﻿Imports XSP
Imports XCM

''' ---------------------------------------------
''' <summary>
''' 病棟日数確認
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class MEN020F020

#Region "コンスタント"

	Private Const CST_DAY As String = "日"

#End Region

#Region "変数"

	Private frmMEN130F020 As MEN130F020 = Nothing			'ＤＰＣ２００８登録
	Private frmMEN130F030 As MEN130F030 = Nothing			'ＤＰＣ２０１０登録
'(A) STR V4-12031-000 003 2012/06/07 ID)平井 DPC2012対応
	Private frmMEN130F040 As MEN130F040 = Nothing			'ＤＰＣ２０１２登録
'(A) END V4-12031-000 003 2012/06/07 ID)平井 DPC2012対応
'(A) STR V4-15019-000 003 2014/04/16 ID)唐渡 DPC2014対応
	Private frmMEN130F050 As MEN130F050 = Nothing			'ＤＰＣ２０１４登録
'(A) END V4-15019-000 003 2014/04/16 ID)唐渡 DPC2014対応

	Private HspDt As String = Nothing						'入院日
	Private OutHspDt As String = Nothing					'退院日
	Private Dept_Cd As String = Nothing						'診療科コード
	Private DpcModelYear As String = Nothing				'DPC年度

	Private dtWard As DataTable = Nothing					'病棟情報テーブル
	Private dtMove_Ward As DataTable = Nothing				'病棟単位移動履歴テーブル
	Private dtMove_Ward_Sum As DataTable = Nothing			'病棟単位移動履歴合計テーブル
	Private dtMove_WardGrp As DataTable = Nothing			'病棟種別単位移動履歴テーブル
	Private dtMove_WardGrp_Sum As DataTable = Nothing		'病棟種別単位移動履歴合計テーブル

	Private cliMENCOMMON As clsMENCOMMON = Nothing			'MEN共通クラス

#End Region

#Region "コンストラクタ"

	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <param name="pExeMode">処理モード</param>
	''' <param name="pPatientNo">患者番号</param>
	''' <param name="pHspHistoryNo">入退院歴番号</param>
	''' <param name="pHspDt">入院日</param>
	''' <param name="pOutHspDt">退院日</param>
	''' <param name="pDept_Cd">診療科コード</param>
	''' <remarks>
	''' 2011/01/06 新規作成　CS)森田<BR/>
	''' </remarks>
	''' --------------------------------------------- 
	Public Sub New(ByVal pExeMode As Enum_ExeMode, ByVal pPatientNo As String, ByVal pHspHistoryNo As Integer, ByVal pHspDt As String, ByVal pOutHspDt As String, ByVal pDept_Cd As String)
		' この呼び出しは、Windows フォーム デザイナで必要です。
		MyBase.New()
		InitializeComponent()

		' InitializeComponent() 呼び出しの後で初期化を追加します。
		Me.ExeMode = pExeMode						'処理モード
		Me.PatientNo = pPatientNo					'患者番号
		Me.HspHistoryNo = pHspHistoryNo				'入退院歴番号
		Me.HspDt = pHspDt							'入院日
		Me.OutHspDt = pOutHspDt						'退院日
		Me.Dept_Cd = pDept_Cd						'診療科コード
	End Sub

#End Region

#Region "イベント"

	''' ---------------------------------------------
	''' <summary>
	''' 画面終了時イベント
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2011/01/06 新規作成　CS)森田<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub MEN020F020_FormClosing(ByVal sender As System.Object, ByVal e As System.Windows.Forms.FormClosingEventArgs) Handles MyBase.FormClosing
		log(clsSysMst.logLevel.NRM, "MEN020F020_FormClosing", " 画面終了時イベント")
		Try
			' 画面途中でエラーの場合は処理しない
			If Me.LoadError OrElse e.Cancel Then
				Exit Try
			End If
		Catch ex As Exception
			e.Cancel = True		'エラー時は画面を閉じない
			ErrorProc(ex)
		Finally
			' 変数の解放は ClosedProc に記述する
			ClosedProc(e.Cancel)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 画面ロード時イベント
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2011/01/06 新規作成　CS)森田<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub MEN020F020_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
		If Me.DesignMode OrElse Me.LoadError Then
			Exit Sub
		End If
		log(clsSysMst.logLevel.NRM, "MEN020F020_Load", "画面ロード時イベント")
'(A) STR V4-12031-000 003 2012/07/25 FWEST)溝渕 DPC2012対応
		Dim cliProduct As clsXTM_PRODUCT
'(A) END V4-12031-000 003 2012/07/25 FWEST)溝渕 DPC2012対応
		Dim cliGridStyle As clsGridStyle
		Try
			cliMENCOMMON = New clsMENCOMMON
'(A) STR V4-12031-000 003 2012/07/25 FWEST)溝渕 DPC2012対応
			cliProduct = New clsXTM_PRODUCT
'(A) END V4-12031-000 003 2012/07/25 FWEST)溝渕 DPC2012対応
			Select Case True
'(D) STR V4-12031-000 004 2012/07/25 FWEST)溝渕 DPC2012対応
				'Case True
				'	' 一旦、DPCボタンを非表示で固定する(OTR-X007)
'(D) END V4-12031-000 004 2012/07/25 FWEST)溝渕 DPC2012対応
				Case Me.ExeMode = Enum_ExeMode.eReference
					' 処理モード「参照」の場合、DPCボタンは非表示のまま
'(A) STR V4-12031-000 004 2012/07/25 FWEST)溝渕 DPC2012対応
				Case Not cliProduct.chkDPCLicense()
					' DPC登録不可の場合、DPCボタンは非表示のまま
'(A) END V4-12031-000 004 2012/07/25 FWEST)溝渕 DPC2012対応
				Case Else
					' DPCボタンを表示する
					Me.dgv008MEN020F020.Columns(Me.c07008MEN020F020.Name).Visible = True
			End Select

			' グリッド１行の高さを設定
			cliGridStyle = New clsGridStyle
			cliGridStyle.setGridHeight(Me.dgv003MEN020F020)
			cliGridStyle.setGridHeight(Me.dgv005MEN020F020)
			cliGridStyle.setGridHeight(Me.dgv008MEN020F020)
			cliGridStyle.setGridHeight(Me.dgv010MEN020F020)

			' グリッド行の自動追加は許可しない
			Me.dgv003MEN020F020.AutoGenerateColumns = False
			Me.dgv005MEN020F020.AutoGenerateColumns = False
			Me.dgv008MEN020F020.AutoGenerateColumns = False
			Me.dgv010MEN020F020.AutoGenerateColumns = False

			' DPC年度の取得
			Me.DpcModelYear = cliMENCOMMON.getDpcModelYear(Me.OutHspDt)

			' 病棟情報の取得
			Using cliWard As clsMTI_WARD = New clsMTI_WARD
				dtWard = cliWard.getWardPlusHspDa(Me.PatientNo, Me.HspHistoryNo)
			End Using

			' グリッド表示
			getMoveWard()			'病棟単位移動履歴作成
			getMoveWardSum()		'病棟単位移動履歴合計作成
			getMoveWardGrp()		'病棟種別単位移動履歴作成
			getMoveWardGrpSum()		'病棟単位移動履歴合計作成
		Catch ex As Exception
			ErrorProc(ex)
			Me.EndProc4Load()
		Finally
'(A) STR V4-12031-000 003 2012/07/25 FWEST)溝渕 DPC2012対応
			cliProduct = Nothing
'(A) END V4-12031-000 003 2012/07/25 FWEST)溝渕 DPC2012対応
			cliGridStyle = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' DPCボタンクリックイベント
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2011/01/06 新規作成　CS)森田<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub dgv008MEN020F020_CellContentClick(ByVal sender As System.Object, ByVal e As System.Windows.Forms.DataGridViewCellEventArgs) Handles dgv008MEN020F020.CellContentClick
		log(clsSysMst.logLevel.NRM, "dgv008MEN020F020_CellContentClick", "DPCボタンクリックイベント")
		Dim dgv As DataGridView = Nothing
		Dim SerialNo As Integer = 0
		Dim WardStartDt As String = Nothing
		Dim WardEndDt As String = Nothing
		Try
			dgv = CType(sender, DataGridView)
			If dgv.Columns(e.ColumnIndex).Name = Me.c07008MEN020F020.Name AndAlso e.RowIndex > -1 Then
				If Not Integer.TryParse(dgv.Rows(e.RowIndex).Cells(Me.c01008MEN020F020.Name).Value.ToString, SerialNo) Then Exit Sub
'(A) STR V4-15019-000 011 2014/05/12 ID)唐渡 DPC2014対応
				'If String.IsNullOrEmpty(dgv.Rows(e.RowIndex).Cells(Me.c02008MEN020F020.Name).Value.ToString) Then
				'	If Me.confMsg("Q0005", MessageBoxButtons.YesNo, "DPC対象病棟種別ではありません。作成", Nothing) = MsgBoxResult.No Then Exit Sub
				'End If
				If Me.DpcModelYear = clsMENCOMMON.CONST_DPC_MODEL_YEAR_2014 Then
				Else
					If String.IsNullOrEmpty(dgv.Rows(e.RowIndex).Cells(Me.c02008MEN020F020.Name).Value.ToString) Then
						If Me.confMsg("Q0005", MessageBoxButtons.YesNo, "DPC対象病棟種別ではありません。作成", Nothing) = MsgBoxResult.No Then Exit Sub
					End If
				End If
'(A) END V4-15019-000 011 2014/04/12 ID)唐渡 DPC2014対応
				WardStartDt = dgv.Rows(e.RowIndex).Cells(Me.c04008MEN020F020.Name).Value.ToString
				WardEndDt = dgv.Rows(e.RowIndex).Cells(Me.c05008MEN020F020.Name).Value.ToString
				If Not execDpc(SerialNo, WardStartDt, WardEndDt) Then
					Me.showMsg("E0003", "対象年度ではない", "DPC登録", Nothing)
				End If
			End If
		Catch ex As Exception
			ErrorProc(ex)
		Finally
			dgv = Nothing
		End Try
	End Sub

#End Region

#Region "メソッド"

	''' ---------------------------------------------
	''' <summary>
	''' 病棟単位移動履歴作成
	''' </summary>
	''' <remarks>
	''' 2011/01/06 新規作成　CS)森田<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub getMoveWard()
		log(clsSysMst.logLevel.DBG, "getMoveWard", "病棟単位移動履歴作成 Start")
		Dim Ward_Days As Long = 0	'病棟日数
		Try
			' 病棟単位移動履歴テーブルを作成
			dtMove_Ward = cliMENCOMMON.getMoveWard(dtWard, Me.HspRec.OUT_HSP_DT)
			' データグリッドに設定
			Using dt As DataTable = dtMove_Ward.Copy
				For Each row As DataRow In dt.Rows
					If Long.TryParse(row(sqlMENCOMMON.itmWARD_DAYS).ToString, Ward_Days) Then
						row(sqlMENCOMMON.itmWARD_DAYS) = Ward_Days.ToString("#,##0") & CST_DAY
					End If
				Next
				Using dvData As DataView = New DataView(dt)
					' 病棟開始日でソート
					dvData.Sort = sqlMENCOMMON.itmWARD_START_DT
					Me.dgv003MEN020F020.DataSource = dvData.ToTable
				End Using
			End Using
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 病棟単位移動履歴合計作成
	''' </summary>
	''' <remarks>
	''' 2011/01/06 新規作成　CS)森田<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub getMoveWardSum()
		log(clsSysMst.logLevel.DBG, "getMoveWardSum", "病棟単位移動履歴合計作成 Start")
		Dim Ward_Days As Long = 0	'病棟日数
		Try
			' 病棟単位移動履歴合計テーブルを作成
			dtMove_Ward_Sum = cliMENCOMMON.getMoveWardSum(dtMove_Ward, Me.HspRec.OUT_HSP_DT)
			' データグリッドに設定
			Using dt As DataTable = dtMove_Ward_Sum.Copy
				For Each row As DataRow In dt.Rows
					If Long.TryParse(row(sqlMENCOMMON.itmWARD_DAYS).ToString, Ward_Days) Then
						row(sqlMENCOMMON.itmWARD_DAYS) = Ward_Days.ToString("#,##0") & CST_DAY
					End If
				Next
				Me.dgv005MEN020F020.DataSource = dt
			End Using
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 病棟種別単位移動履歴作成
	''' </summary>
	''' <remarks>
	''' 2011/01/06 新規作成　CS)森田<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub getMoveWardGrp()
		log(clsSysMst.logLevel.DBG, "getMoveWardGrp", "病棟種別単位移動履歴作成 Start")
		Dim Ward_Days As Long = 0	'病棟日数
		Try
			' 病棟種別単位移動履歴テーブルを作成
			dtMove_WardGrp = cliMENCOMMON.getMoveWardGrp(dtWard, Me.HspRec.OUT_HSP_DT)
			' データグリッドに設定
			Using dt As DataTable = dtMove_WardGrp.Copy
				For Each row As DataRow In dt.Rows
					If Long.TryParse(row(sqlMENCOMMON.itmWARD_DAYS).ToString, Ward_Days) Then
						row(sqlMENCOMMON.itmWARD_DAYS) = Ward_Days.ToString("#,##0") & CST_DAY
					End If
				Next
				Using dvData As DataView = New DataView(dt)
					' 病棟開始日でソート
					dvData.Sort = sqlMENCOMMON.itmWARD_START_DT
					Me.dgv008MEN020F020.DataSource = dvData.ToTable
				End Using
			End Using
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 病棟単位移動履歴合計作成
	''' </summary>
	''' <remarks>
	''' 2011/01/06 新規作成　CS)森田<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub getMoveWardGrpSum()
		log(clsSysMst.logLevel.DBG, "getMoveWardGrpSum", "病棟単位移動履歴合計作成 Start")
		Dim Ward_Days As Long = 0	'病棟日数
		Try
			' 病棟種別単位移動履歴合計テーブルを作成
			Using dtWardGrpMst As DataTable = cliMENCOMMON.getWardGrpMst()
				dtMove_WardGrp_Sum = cliMENCOMMON.getMoveWardGrpSum(dtMove_WardGrp, dtWardGrpMst)
			End Using
			' データグリッドに設定
			Using dt As DataTable = dtMove_WardGrp_Sum.Copy
				For Each row As DataRow In dt.Rows
					If Long.TryParse(row(sqlMENCOMMON.itmWARD_DAYS).ToString, Ward_Days) Then
						row(sqlMENCOMMON.itmWARD_DAYS) = Ward_Days.ToString("#,##0") & CST_DAY
					End If
				Next
				Using dvData As DataView = New DataView(dt)
					' 表示順でソート
					dvData.Sort = sqlMENCOMMON.itmDSPORDER & "," & sqlMENCOMMON.itmWARD_GRP_CD
					Me.dgv010MEN020F020.DataSource = dvData.ToTable
				End Using
			End Using
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' ＤＰＣ登録画面を起動
	''' </summary>
	''' <param name="SerialNo">連番</param>
	''' <param name="WardStartDt">病棟開始日</param>
	''' <param name="WardEndDt">病棟終了日</param>
	''' <remarks>
	''' 2011/01/07 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function execDpc(ByVal SerialNo As Integer, ByVal WardStartDt As String, ByVal WardEndDt As String) As Boolean
		log(clsSysMst.logLevel.DBG, "dspDpcInput", "ＤＰＣ登録画面を起動 Start")
		Try
			Select Case Me.DpcModelYear
				Case clsMENCOMMON.CONST_DPC_MODEL_YEAR_2008
					' ＤＰＣ２００８登録画面を子様式で起動
					frmMEN130F020 = Nothing
					frmMEN130F020 = New MEN130F020(Me.ExeMode, Me.PatientNo, Me.HspHistoryNo, Me.HspDt, Me.OutHspDt, Me.Dept_Cd, Me.DpcModelYear, SerialNo, WardStartDt, WardEndDt)
					Return Me.nextForm(frmMEN130F020)
				Case clsMENCOMMON.CONST_DPC_MODEL_YEAR_2010
					' ＤＰＣ２０１０登録画面を子様式で起動
					frmMEN130F030 = Nothing
					frmMEN130F030 = New MEN130F030(Me.ExeMode, Me.PatientNo, Me.HspHistoryNo, Me.HspDt, Me.OutHspDt, Me.Dept_Cd, Me.DpcModelYear, SerialNo, WardStartDt, WardEndDt)
					Return Me.nextForm(frmMEN130F030)
'(A) STR V4-12031-000 007 2012/06/07 ID)平井 DPC2012対応
				Case clsMENCOMMON.CONST_DPC_MODEL_YEAR_2012
					' ＤＰＣ２０１２登録画面を子様式で起動
					frmMEN130F040 = Nothing
					frmMEN130F040 = New MEN130F040(Me.ExeMode, Me.PatientNo, Me.HspHistoryNo, Me.HspDt, Me.OutHspDt, Me.Dept_Cd, Me.DpcModelYear, SerialNo, WardStartDt, WardEndDt)
					Return Me.nextForm(frmMEN130F040)
'(A) END V4-12031-000 007 2012/06/07 ID)平井 DPC2012対応
'(A) STR V4-15019-000 007 2014/04/16 ID)唐渡 DPC2014対応
				Case clsMENCOMMON.CONST_DPC_MODEL_YEAR_2014
					' ＤＰＣ２０１４登録画面を子様式で起動
					frmMEN130F050 = Nothing
					frmMEN130F050 = New MEN130F050(Me.ExeMode, Me.PatientNo, Me.HspHistoryNo, Me.HspDt, Me.OutHspDt, Me.Dept_Cd, Me.DpcModelYear, SerialNo, WardStartDt, WardEndDt)
					Return Me.nextForm(frmMEN130F050)
'(A) END V4-15019-000 007 2014/04/16 ID)唐渡 DPC2014対応
				Case Else
					Return False
			End Select
		Catch ex As Exception
			Throw
		End Try
	End Function

#End Region

#Region "オーバーライドメソッド"

	''' ---------------------------------------------
	''' <summary>
	''' 閉じるボタンでは処理しない（更新前確認メッセージ）
	''' </summary>
	''' <remarks>
	''' 2011/01/06 新規作成　CS)森田<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function PreUpdConfirm() As MsgBoxResult
		Return MsgBoxResult.No
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 画面終了後処理
	''' </summary>
	''' <param name="bCancel">キャンセルフラグ</param>
	''' <remarks>
	''' 2011/01/06 新規作成　CS)森田<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Sub ClosedProc(ByVal bCancel As Boolean)
		If bCancel Then
			Exit Sub
		End If
		Try
			If frmMEN130F020 IsNot Nothing Then frmMEN130F020.Dispose()
			If frmMEN130F030 IsNot Nothing Then frmMEN130F030.Dispose()
'(A) STR V4-12031-000 003 2012/06/07 ID)平井 DPC2012対応
			If frmMEN130F040 IsNot Nothing Then frmMEN130F040.Dispose()
'(A) END V4-12031-000 003 2012/06/07 ID)平井 DPC2012対応
'(A) STR V4-15019-000 003 2014/04/16 ID)唐渡 DPC2014対応
			If frmMEN130F050 IsNot Nothing Then frmMEN130F050.Dispose()
'(A) END V4-15019-000 003 2014/04/16 ID)平井 DPC2014対応

			If dtWard IsNot Nothing Then dtWard.Dispose()
			If dtMove_Ward IsNot Nothing Then dtMove_Ward.Dispose()
			If dtMove_Ward_Sum IsNot Nothing Then dtMove_Ward_Sum.Dispose()
			If dtMove_WardGrp IsNot Nothing Then dtMove_WardGrp.Dispose()
			If dtMove_WardGrp_Sum IsNot Nothing Then dtMove_WardGrp_Sum.Dispose()

			' 画面終了後処理
			MyBase.ClosedProc(bCancel)
		Catch ex As Exception
			ErrorProc(ex)
		Finally
			frmMEN130F020 = Nothing
			frmMEN130F030 = Nothing
'(A) STR V4-12031-000 003 2012/06/07 ID)平井 DPC2012対応
			frmMEN130F040 = Nothing
'(A) END V4-12031-000 003 2012/06/07 ID)平井 DPC2012対応
'(A) STR V4-15019-000 003 2014/04/16 ID)唐渡 DPC2014対応
			frmMEN130F050 = Nothing
'(A) END V4-15019-000 003 2014/04/16 ID)平井 DPC2014対応
			dtWard = Nothing
			dtMove_Ward = Nothing
			dtMove_Ward_Sum = Nothing
			dtMove_WardGrp = Nothing
			dtMove_WardGrp_Sum = Nothing
			cliMENCOMMON = Nothing
		End Try
	End Sub

#End Region

End Class