﻿Imports XSP
Imports XCM

''' ---------------------------------------------
''' <summary>
''' 医療費明細登録
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class MEN020F060

#Region "コンスタント"

	'医療費項目名コントロール
	Private MED_COST_NM_CTRL As String() = { _
	"lbl008MEN020F060", "lbl010MEN020F060", "lbl012MEN020F060", "lbl014MEN020F060", "lbl016MEN020F060", _
	"lbl018MEN020F060", "lbl020MEN020F060", "lbl022MEN020F060", "lbl024MEN020F060", "lbl026MEN020F060", _
	"lbl028MEN020F060", "lbl030MEN020F060", "lbl032MEN020F060", "lbl034MEN020F060", "lbl036MEN020F060", _
	"lbl038MEN020F060", "lbl040MEN020F060", "lbl042MEN020F060", "lbl044MEN020F060", "lbl046MEN020F060", _
	"lbl048MEN020F060", "lbl050MEN020F060", "lbl052MEN020F060", "lbl054MEN020F060", "lbl056MEN020F060", _
	"lbl058MEN020F060", "lbl060MEN020F060", "lbl062MEN020F060", "lbl064MEN020F060", "lbl066MEN020F060", _
	"lbl068MEN020F060", "lbl070MEN020F060", "lbl072MEN020F060", "lbl074MEN020F060", "lbl076MEN020F060", _
	"lbl078MEN020F060", "lbl080MEN020F060", "lbl082MEN020F060", "lbl084MEN020F060", "lbl086MEN020F060", _
	"lbl088MEN020F060", "lbl090MEN020F060", "lbl092MEN020F060", "lbl094MEN020F060", "lbl096MEN020F060"}
	'医療費金額コントロール
	Private MED_COST_CTRL As String() = { _
	"num009MEN020F060", "num011MEN020F060", "num013MEN020F060", "num015MEN020F060", "num017MEN020F060", _
	"num019MEN020F060", "num021MEN020F060", "num023MEN020F060", "num025MEN020F060", "num027MEN020F060", _
	"num029MEN020F060", "num031MEN020F060", "num033MEN020F060", "num035MEN020F060", "num037MEN020F060", _
	"num039MEN020F060", "num041MEN020F060", "num043MEN020F060", "num045MEN020F060", "num047MEN020F060", _
	"num049MEN020F060", "num051MEN020F060", "num053MEN020F060", "num055MEN020F060", "num057MEN020F060", _
	"num059MEN020F060", "num061MEN020F060", "num063MEN020F060", "num065MEN020F060", "num067MEN020F060", _
	"num069MEN020F060", "num071MEN020F060", "num073MEN020F060", "num075MEN020F060", "num077MEN020F060", _
	"num079MEN020F060", "num081MEN020F060", "num083MEN020F060", "num085MEN020F060", "num087MEN020F060", _
	"num089MEN020F060", "num091MEN020F060", "num093MEN020F060", "num095MEN020F060", "num097MEN020F060"}

#End Region

#Region "変数"

	Private pMedCostDetailsOneRec As datMTI_MED_COST_DETAILS_PLUS_OneRec	'医療費明細情報１件
	Private pKeyRec As datMTI_MED_COST_DETAILS_KeyRec						'医療費明細情報キー項目

	Private pMedCostItm As ArrayList										'医療費項目マスタ
	Private pMedCostValue As SortedList(Of String, Integer)					'医療費０１～４５(チェック用)
	Private pDeptCd As String												'診療科コード
	Private pDeptNm As String												'診療科名
	Private pDataCaptureDt As Date											'データ取込日
	Private pNewRegDt As Date												'新規登録日
	Private pLastUpdUserCd As String										'更新者コード
	Private pLastUpdDt As Date												'最終更新日

	Private updFlg As clsMENCOMMON.Enum_UpdFlg = clsMENCOMMON.Enum_UpdFlg.eInit		'更新フラグ

#End Region

#Region "コンストラクタ"

	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ（入退院明細モード）
	''' </summary>
	''' <param name="execMode">処理モード</param>
	''' <param name="patientNo">患者番号</param>
	''' <param name="historyNo">入退院歴番号</param>
	''' <param name="medCostDetails">医療費明細情報</param>
	''' <remarks>
	''' 2010/12/09 新規作成 CS)中岡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Sub New(ByVal execMode As Enum_ExeMode, ByVal patientNo As String, ByVal historyNo As Integer, _
	ByVal medCostDetails As datMTI_MED_COST_DETAILS_PLUS_OneRec)
		' この呼び出しはデザイナーで必要です。
		InitializeComponent()

		' InitializeComponent() 呼び出しの後で初期化を追加します。
		Me.ExeMode = execMode						'処理モード
		Me.HistoryMode = Enum_HistMode.eHSP			'歴モード＝「入退院」
		Me.PatientNo = patientNo					'患者番号
		Me.HspHistoryNo = historyNo					'入退院歴番号
		Me.ChNo = 0									'科歴番号

		Me.pMedCostDetailsOneRec = medCostDetails	'医療費明細情報
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ（科歴明細モード）
	''' </summary>
	''' <param name="execMode">処理モード</param>
	''' <param name="patientNo">患者番号</param>
	''' <param name="historyNo">入退院歴番号</param>
	''' <param name="chNo">科歴番号</param>
	''' <param name="medCostDetails">医療費明細情報</param>
	''' <remarks>
	''' 2010/12/08 新規作成 CS)中岡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Sub New(ByVal execMode As Enum_ExeMode, ByVal patientNo As String, ByVal historyNo As Integer, ByVal chNo As Integer, _
	ByVal medCostDetails As datMTI_MED_COST_DETAILS_PLUS_OneRec)
		' この呼び出しはデザイナーで必要です。
		InitializeComponent()

		' InitializeComponent() 呼び出しの後で初期化を追加します。
		Me.ExeMode = execMode						'処理モード
		Me.HistoryMode = Enum_HistMode.eCH			'歴モード＝「科歴」
		Me.PatientNo = patientNo					'患者番号
		Me.HspHistoryNo = historyNo					'入退院歴番号
		Me.ChNo = chNo								'科歴番号

		Me.pMedCostDetailsOneRec = medCostDetails	'医療費明細情報
	End Sub

#End Region

#Region "イベント"

	''' ---------------------------------------------
	''' <summary>
	''' 画面終了時イベント
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/08 新規作成　CS)中岡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub MEN020F060_FormClosing(ByVal sender As Object, ByVal e As System.Windows.Forms.FormClosingEventArgs) Handles Me.FormClosing
		log(clsSysMst.logLevel.NRM, "MEN020F060_FormClosing", "画面終了時イベント Start")
		Try
			' 画面途中でエラーの場合は処理しない
			If Me.LoadError OrElse e.Cancel Then
				Exit Try
			End If
		Catch ex As Exception
			e.Cancel = True		'エラー時は画面を閉じない
			Me.ErrorProc(ex)
		Finally
			' 変数の解放は ClosedProc に記述する
			Me.ClosedProc(e.Cancel)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 画面ロード時イベント
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/06 新規作成 CS)中岡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub MEN020F060_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
		If Me.DesignMode OrElse Me.LoadError Then
			Exit Sub
		End If
		log(clsSysMst.logLevel.NRM, "MEN020F060_Load", "画面ロード時イベント Start")
		Dim cliCommon As clsMENCOMMON = Nothing
		Dim cliCombo As clsComboCom = Nothing
		Dim ctrl() As Control = Nothing
		Try
			'処理モード「登録」の場合
			If Me.ExeMode = Enum_ExeMode.eEntry Then
				'保存ボタン表示する
				Me.btn015MEN000F010.Visible = True
				'医療費０１～４５を入力可にする
				For Each strKey As String In Me.MED_COST_CTRL
					ctrl = Me.Controls.Find(strKey, True)
					If ctrl.Length > 0 Then
						CType(ctrl(0), BT_Number).CanInput = True
					End If
				Next
				'診療科コンボボックスを入力可にする
				Me.cmb099MEN020F060.CanInput = True
			End If
			'医療費項目マスタより該当する医療費項目名および合計対象フラグを表示する
			Me.setAllItemClear()
			Using cliMtm_MedCostItm As clsMTM_MED_COST_ITM = New clsMTM_MED_COST_ITM
				Me.pMedCostItm = cliMtm_MedCostItm.getMedCostItmInfo()
			End Using
			If Me.pMedCostItm Is Nothing OrElse Me.pMedCostItm.Count = 0 OrElse Me.setItemInfo() <= 0 Then
				'エラーメッセージを出力し、親画面に戻る。
				Me.showMsg("E0004")
				'終了処理
				Me.EndProc4Load()
				Exit Sub
			End If
			'診療科コンボボックスの設定
			cliCombo = New clsComboCom
			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
				With Me.cmb099MEN020F060
					.DataSource = cliCombo.getCombo(db, clsComboCom.Enum_ComboType.Enum_M_Dept_Dsp)
					.setDropDownWidth()
				End With
			End Using
			'医療費明細情報を内部変数にセットする
			If Me.pMedCostDetailsOneRec Is Nothing Then
				'エラーメッセージを出力し、親画面に戻る。
				Me.showMsg("E0004")
				'終了処理
				Me.EndProc4Load()
				Exit Sub
			End If
			pKeyRec = Me.pMedCostDetailsOneRec.KeyCopy
			Me.ReturnValue = New DictionaryEntry(pKeyRec.Copy, Nothing)
			cliCommon = New clsMENCOMMON
			Me.pMedCostValue = New SortedList(Of String, Integer)
			With Me.pMedCostDetailsOneRec
				Me.pMedCostValue.Add(MED_COST_CTRL(0), .MED_COST01)
				Me.pMedCostValue.Add(MED_COST_CTRL(1), .MED_COST02)
				Me.pMedCostValue.Add(MED_COST_CTRL(2), .MED_COST03)
				Me.pMedCostValue.Add(MED_COST_CTRL(3), .MED_COST04)
				Me.pMedCostValue.Add(MED_COST_CTRL(4), .MED_COST05)
				Me.pMedCostValue.Add(MED_COST_CTRL(5), .MED_COST06)
				Me.pMedCostValue.Add(MED_COST_CTRL(6), .MED_COST07)
				Me.pMedCostValue.Add(MED_COST_CTRL(7), .MED_COST08)
				Me.pMedCostValue.Add(MED_COST_CTRL(8), .MED_COST09)
				Me.pMedCostValue.Add(MED_COST_CTRL(9), .MED_COST10)
				Me.pMedCostValue.Add(MED_COST_CTRL(10), .MED_COST11)
				Me.pMedCostValue.Add(MED_COST_CTRL(11), .MED_COST12)
				Me.pMedCostValue.Add(MED_COST_CTRL(12), .MED_COST13)
				Me.pMedCostValue.Add(MED_COST_CTRL(13), .MED_COST14)
				Me.pMedCostValue.Add(MED_COST_CTRL(14), .MED_COST15)
				Me.pMedCostValue.Add(MED_COST_CTRL(15), .MED_COST16)
				Me.pMedCostValue.Add(MED_COST_CTRL(16), .MED_COST17)
				Me.pMedCostValue.Add(MED_COST_CTRL(17), .MED_COST18)
				Me.pMedCostValue.Add(MED_COST_CTRL(18), .MED_COST19)
				Me.pMedCostValue.Add(MED_COST_CTRL(19), .MED_COST20)
				Me.pMedCostValue.Add(MED_COST_CTRL(20), .MED_COST21)
				Me.pMedCostValue.Add(MED_COST_CTRL(21), .MED_COST22)
				Me.pMedCostValue.Add(MED_COST_CTRL(22), .MED_COST23)
				Me.pMedCostValue.Add(MED_COST_CTRL(23), .MED_COST24)
				Me.pMedCostValue.Add(MED_COST_CTRL(24), .MED_COST25)
				Me.pMedCostValue.Add(MED_COST_CTRL(25), .MED_COST26)
				Me.pMedCostValue.Add(MED_COST_CTRL(26), .MED_COST27)
				Me.pMedCostValue.Add(MED_COST_CTRL(27), .MED_COST28)
				Me.pMedCostValue.Add(MED_COST_CTRL(28), .MED_COST29)
				Me.pMedCostValue.Add(MED_COST_CTRL(29), .MED_COST30)
				Me.pMedCostValue.Add(MED_COST_CTRL(30), .MED_COST31)
				Me.pMedCostValue.Add(MED_COST_CTRL(31), .MED_COST32)
				Me.pMedCostValue.Add(MED_COST_CTRL(32), .MED_COST33)
				Me.pMedCostValue.Add(MED_COST_CTRL(33), .MED_COST34)
				Me.pMedCostValue.Add(MED_COST_CTRL(34), .MED_COST35)
				Me.pMedCostValue.Add(MED_COST_CTRL(35), .MED_COST36)
				Me.pMedCostValue.Add(MED_COST_CTRL(36), .MED_COST37)
				Me.pMedCostValue.Add(MED_COST_CTRL(37), .MED_COST38)
				Me.pMedCostValue.Add(MED_COST_CTRL(38), .MED_COST39)
				Me.pMedCostValue.Add(MED_COST_CTRL(39), .MED_COST40)
				Me.pMedCostValue.Add(MED_COST_CTRL(40), .MED_COST41)
				Me.pMedCostValue.Add(MED_COST_CTRL(41), .MED_COST42)
				Me.pMedCostValue.Add(MED_COST_CTRL(42), .MED_COST43)
				Me.pMedCostValue.Add(MED_COST_CTRL(43), .MED_COST44)
				Me.pMedCostValue.Add(MED_COST_CTRL(44), .MED_COST45)
				Me.pDataCaptureDt = .DATA_CAPTURE_DT	'データ取込日
				If .LASTUPD_DT.Equals(Nothing) Then
					Me.updFlg = clsMENCOMMON.Enum_UpdFlg.eEmpty
				Else
					Me.pNewRegDt = .NEW_REG_DT			'新規登録日
				End If
				Me.pLastUpdUserCd = .LASTUPDUSER_CD		'更新者コード
				Me.pLastUpdDt = .LASTUPD_DT				'最終更新日
				Me.lbl002MEN020F060.Text = cliCommon.getDateFormat(.MED_COST_DATE)	'医療費日付
				Me.lbl004MEN020F060.Text = .SERIAL_NO								'連番
				Me.pDeptCd = .DEPT_CD					'診療科コード
			End With
		Catch ex As Exception
			Me.ErrorProc(ex)
			Me.EndProc4Load()
		Finally
			cliCommon = Nothing
			cliCombo = Nothing
			ctrl = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 画面初回起動時イベント
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/10 新規作成 CS)中岡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub MEN020F060_Shown(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Shown
		If Me.DesignMode OrElse Me.LoadError Then
			Exit Sub
		End If
		log(clsSysMst.logLevel.NRM, "MEN020F060_Shown", "画面初回起動時イベント Start")
		Try
			'画面の再描画を行う。
			Me.repaint()
		Catch ex As Exception
			Me.ErrorProc(ex)
			Me.EndProc4Shown()
		End Try
	End Sub

#End Region

#Region "メソッド"

	''' ---------------------------------------------
	''' <summary>
	''' 全項目名のクリア
	''' </summary>
	''' <remarks>
	''' 2010/12/09 新規作成　CS)中岡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setAllItemClear()
		log(clsSysMst.logLevel.DBG, "setAllItemClear", "全項目名のクリア Start")
		Dim ctrl() As Control
		Try
			'項目名
			For Each strKey As String In Me.MED_COST_NM_CTRL
				ctrl = Me.Controls.Find(strKey, True)
				If ctrl.Length > 0 Then
					CType(ctrl(0), Label).Visible = False
				End If
			Next
			'医療費
			For Each strKey As String In Me.MED_COST_CTRL
				ctrl = Me.Controls.Find(strKey, True)
				If ctrl.Length > 0 Then
					CType(ctrl(0), BT_Number).Visible = False
				End If
			Next
		Catch ex As Exception
			Throw
		Finally
			ctrl = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 各項目の設定
	''' </summary>
	''' <remarks>
	''' 2010/12/02 新規作成　CS)中岡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function setItemInfo() As Integer
		log(clsSysMst.logLevel.DBG, "setItemInfo", "項目設定 Start")
		Dim iRet As Integer = 0
		Dim ctrl() As Control
		Dim intMedCostCd As Integer
		Try
			'医療費項目マスタより該当する医療費項目名を表示する。
			For Each dbData As datMTM_MED_COST_ITM In Me.pMedCostItm
				Select Case False
					Case Not String.IsNullOrEmpty(dbData.MED_COST_NM)
					Case Integer.TryParse(dbData.MED_COST_CD, intMedCostCd)
					Case intMedCostCd > 0 AndAlso intMedCostCd <= MED_COST_NM_CTRL.Length
					Case Else
						'項目名
						ctrl = Me.Controls.Find(MED_COST_NM_CTRL(intMedCostCd - 1), True)
						If ctrl.Length > 0 Then
							With CType(ctrl(0), Label)
								.Visible = True
								.Text = dbData.MED_COST_NM
							End With
						End If
						'医療費
						ctrl = Me.Controls.Find(MED_COST_CTRL(intMedCostCd - 1), True)
						If ctrl.Length > 0 Then
							With CType(ctrl(0), BT_Number)
								.Visible = True
							End With
						End If
						iRet += 1
				End Select
			Next
			Return iRet
		Catch ex As Exception
			Throw
		Finally
			ctrl = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 入力値変更チェック
	''' </summary>
	''' <remarks>
	''' 2010/12/10 新規作成　CS)中岡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function chkUpdate() As Boolean
		log(clsSysMst.logLevel.DBG, "chkUpdate", "入力値変更チェック Start")
		Dim ctrl() As Control
		Dim valWK As Integer
		Try
			For Each strKey As String In Me.MED_COST_CTRL
				ctrl = Me.Controls.Find(strKey, True)
				If ctrl.Length > 0 Then
					'現在入力値を作業用変数にセット
					valWK = CInt(CType(ctrl(0), BT_Number).DblValue)
					'変更されているかチェック
					If Not Me.pMedCostValue(strKey).Equals(valWK) Then
						Return True
					End If
				End If
			Next
			'診療科コードをチェック				
			If Not Me.pDeptCd = Me.cmb099MEN020F060.Text Then
				Return True
			End If
			Return False
		Catch ex As Exception
			Throw
		Finally
			ctrl = Nothing
		End Try
	End Function

#End Region

#Region "オーバーライドメソッド"

	''' -------------------------------------------------------
	''' <summary>
	''' 画面再描画
	''' </summary>
	''' <remarks>
	''' 2010/12/10 新規作成　CS)中岡<BR/>
	''' </remarks>
	''' -------------------------------------------------------
	Public Overrides Sub repaint()
		log(clsSysMst.logLevel.DBG, "repaint", "画面再描画 Start")
		Dim cliCom As clsCom = Nothing
		Dim cliCommon As clsMENCOMMON = Nothing
		Dim ctrl() As Control = Nothing
		Try
			cliCom = New clsCom
			cliCommon = New clsMENCOMMON
			'医療費０１～４５
			For Each strKey As String In Me.MED_COST_CTRL
				ctrl = Me.Controls.Find(strKey, True)
				If ctrl.Length > 0 Then
					CType(ctrl(0), BT_Number).Text = Me.pMedCostValue(strKey).ToString
				End If
			Next
			'診療科コード
			cliCom.setComboValue(Me.cmb099MEN020F060, Me.pDeptCd)
			'最終更新日
			Me.lbl102MEN020F060.Text = cliCommon.getDateFormat(Me.pLastUpdDt)
			'データ取込日
			Me.lbl104MEN020F060.Text = cliCommon.getDateFormat(Me.pDataCaptureDt)
			'新規登録日
			Me.lbl106MEN020F060.Text = cliCommon.getDateFormat(Me.pNewRegDt)
			'フォーカスの設定（医療費０１～４５、閉じるボタンのいずれか）
			'医療費にフォーカス
			For Each strKey As String In Me.MED_COST_CTRL
				ctrl = Me.Controls.Find(strKey, True)
				If ctrl.Length > 0 Then
					If CType(ctrl(0), BT_Number).CanInput = True Then
						ctrl(0).Focus()
						Exit Sub
					End If
				End If
			Next
			'閉じるボタンにフォーカス
			Me.btn018MEN000F010.Focus()
		Catch ex As Exception
			Throw
		Finally
			cliCom = Nothing
			cliCommon = Nothing
			ctrl = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 更新前チェック処理
	''' </summary>
	''' <remarks>
	''' 2010/12/10 新規作成　CS)中岡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function PreUpdChkData() As Boolean
		log(clsSysMst.logLevel.DBG, "PreUpdChkData", "更新前チェック処理 Start")
		Try
			' 子コントロールの検証
			Return Me.ValidateChildren
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' -------------------------------------------------------
	''' <summary>
	''' 更新前処理
	''' </summary>
	''' <remarks>
	''' 2010/12/10 新規作成　CS)中岡<BR/>
	''' </remarks>
	''' -------------------------------------------------------
	Public Overrides Function PreUpdProc() As Boolean
		log(clsSysMst.logLevel.DBG, "PreUpdProc", "更新前処理 Start")
		Try
			Return Me.chkUpdate()
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' -------------------------------------------------------
	''' <summary>
	''' 更新前確認処理
	''' </summary>
	''' <remarks>
	''' 2010/12/10 新規作成　CS)中岡<BR/>
	''' </remarks>
	''' -------------------------------------------------------
	Public Overrides Function PreUpdConfirm() As MsgBoxResult
		log(clsSysMst.logLevel.DBG, "PreUpdConfirm", "更新前確認処理 Start")
		Try
			If Me.updFlg = clsMENCOMMON.Enum_UpdFlg.eEmpty Then
				Return MsgBoxResult.Yes
			Else
				Return MyBase.PreUpdConfirm()
			End If
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' チェック処理
	''' </summary>
	''' <remarks>
	''' 2010/12/10 新規作成　CS)中岡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function ChkData() As Boolean
		log(clsSysMst.logLevel.DBG, "ChkData", "チェック処理 Start")
		Dim ctrl() As Control = Nothing
		Try
			' 全項目未入力なら削除
			For Each strKey As String In Me.MED_COST_CTRL
				ctrl = Me.Controls.Find(strKey, True)
				If ctrl.Length > 0 Then
					If Not CType(ctrl(0), BT_Number).DblValue = 0 Then
						If Me.updFlg <> clsMENCOMMON.Enum_UpdFlg.eEmpty Then
							Me.updFlg = clsMENCOMMON.Enum_UpdFlg.eUpdate
						End If
						Return True
					End If
				End If
			Next
			If Not String.IsNullOrEmpty(Me.cmb099MEN020F060.Text) Then
				If Me.updFlg <> clsMENCOMMON.Enum_UpdFlg.eEmpty Then
					Me.updFlg = clsMENCOMMON.Enum_UpdFlg.eUpdate
				End If
				Return True
			End If
			Me.updFlg = clsMENCOMMON.Enum_UpdFlg.eDelete
			Return True
		Catch ex As Exception
			Throw
		Finally
			ctrl = Nothing
		End Try
	End Function

	''' -------------------------------------------------------
	''' <summary>
	''' 更新処理
	''' </summary>
	''' <remarks>
	''' 2010/12/10 新規作成　CS)中岡<BR/>
	''' </remarks>
	''' -------------------------------------------------------
	Public Overrides Function UpdProc() As Boolean
		log(clsSysMst.logLevel.DBG, "UpdProc", "更新処理 Start")
		Dim ctrl() As Control
		Try
			'内部変数を更新する
			Me.FormReturn = Enum_FormReturn.OK
			'医療費０１～４５
			For Each strKey As String In Me.MED_COST_CTRL
				ctrl = Me.Controls.Find(strKey, True)
				If ctrl.Length > 0 Then
					With CType(ctrl(0), BT_Number)
						Me.pMedCostValue(strKey) = CInt(.DblValue)
					End With
				End If
			Next
			'診療科コード				
			Me.pDeptCd = Me.cmb099MEN020F060.Text
			Me.pDeptNm = Me.lbl100MEN020F060.Text
			If Me.updFlg = clsMENCOMMON.Enum_UpdFlg.eDelete Then
				Me.pLastUpdUserCd = Nothing
				Me.pLastUpdDt = Nothing
			Else
				If Me.updFlg = clsMENCOMMON.Enum_UpdFlg.eEmpty Then
					Me.pNewRegDt = Now			'新規登録日
				End If
				Me.pLastUpdUserCd = Me._userID	'更新者コード
				Me.pLastUpdDt = Now				'最終更新日
				Me.updFlg = clsMENCOMMON.Enum_UpdFlg.eUpdate
			End If
			Return True
		Catch ex As Exception
			Throw
		Finally
			ctrl = Nothing
		End Try
	End Function

	''' -------------------------------------------------------
	''' <summary>
	''' 更新後処理
	''' </summary>
	''' <remarks>
	''' 2010/12/10 新規作成　CS)中岡<BR/>
	''' </remarks>
	''' -------------------------------------------------------
	Public Overrides Function AfterUpdProc() As Boolean
		log(clsSysMst.logLevel.DBG, "AfterUpdProc", "更新後処理 Start")
		Dim actCtrl As Control
		Try
			actCtrl = Me.ActiveControl
			'再描画
			Me.repaint()
			'元のフォーカス位置に戻る
			actCtrl.Focus()
			Return True
		Catch ex As Exception
			Throw
		Finally
			actCtrl = Nothing
		End Try
	End Function

	''' -------------------------------------------------------
	''' <summary>
	''' 戻り値作成処理
	''' </summary>
	''' <remarks>
	''' 2010/12/10 新規作成　CS)中岡<BR/>
	''' </remarks>
	''' -------------------------------------------------------
	Public Overrides Function DBProc() As Boolean
		log(clsSysMst.logLevel.DBG, "DBProc", "戻り値作成処理 Start")
		Try
			'戻り値の作成
			Select Case Me.updFlg
				Case clsMENCOMMON.Enum_UpdFlg.eDelete
					Me.pMedCostDetailsOneRec = Nothing
				Case clsMENCOMMON.Enum_UpdFlg.eUpdate
					'医療費明細情報を編集する
					With Me.pMedCostDetailsOneRec
						'医療費０１～４５
						If Not Me.pMedCostValue.TryGetValue(MED_COST_CTRL(0), .MED_COST01) Then .MED_COST01 = 0
						If Not Me.pMedCostValue.TryGetValue(MED_COST_CTRL(1), .MED_COST02) Then .MED_COST02 = 0
						If Not Me.pMedCostValue.TryGetValue(MED_COST_CTRL(2), .MED_COST03) Then .MED_COST03 = 0
						If Not Me.pMedCostValue.TryGetValue(MED_COST_CTRL(3), .MED_COST04) Then .MED_COST04 = 0
						If Not Me.pMedCostValue.TryGetValue(MED_COST_CTRL(4), .MED_COST05) Then .MED_COST05 = 0
						If Not Me.pMedCostValue.TryGetValue(MED_COST_CTRL(5), .MED_COST06) Then .MED_COST06 = 0
						If Not Me.pMedCostValue.TryGetValue(MED_COST_CTRL(6), .MED_COST07) Then .MED_COST07 = 0
						If Not Me.pMedCostValue.TryGetValue(MED_COST_CTRL(7), .MED_COST08) Then .MED_COST08 = 0
						If Not Me.pMedCostValue.TryGetValue(MED_COST_CTRL(8), .MED_COST09) Then .MED_COST09 = 0
						If Not Me.pMedCostValue.TryGetValue(MED_COST_CTRL(9), .MED_COST10) Then .MED_COST10 = 0
						If Not Me.pMedCostValue.TryGetValue(MED_COST_CTRL(10), .MED_COST11) Then .MED_COST11 = 0
						If Not Me.pMedCostValue.TryGetValue(MED_COST_CTRL(11), .MED_COST12) Then .MED_COST12 = 0
						If Not Me.pMedCostValue.TryGetValue(MED_COST_CTRL(12), .MED_COST13) Then .MED_COST13 = 0
						If Not Me.pMedCostValue.TryGetValue(MED_COST_CTRL(13), .MED_COST14) Then .MED_COST14 = 0
						If Not Me.pMedCostValue.TryGetValue(MED_COST_CTRL(14), .MED_COST15) Then .MED_COST15 = 0
						If Not Me.pMedCostValue.TryGetValue(MED_COST_CTRL(15), .MED_COST16) Then .MED_COST16 = 0
						If Not Me.pMedCostValue.TryGetValue(MED_COST_CTRL(16), .MED_COST17) Then .MED_COST17 = 0
						If Not Me.pMedCostValue.TryGetValue(MED_COST_CTRL(17), .MED_COST18) Then .MED_COST18 = 0
						If Not Me.pMedCostValue.TryGetValue(MED_COST_CTRL(18), .MED_COST19) Then .MED_COST19 = 0
						If Not Me.pMedCostValue.TryGetValue(MED_COST_CTRL(19), .MED_COST20) Then .MED_COST20 = 0
						If Not Me.pMedCostValue.TryGetValue(MED_COST_CTRL(20), .MED_COST21) Then .MED_COST21 = 0
						If Not Me.pMedCostValue.TryGetValue(MED_COST_CTRL(21), .MED_COST22) Then .MED_COST22 = 0
						If Not Me.pMedCostValue.TryGetValue(MED_COST_CTRL(22), .MED_COST23) Then .MED_COST23 = 0
						If Not Me.pMedCostValue.TryGetValue(MED_COST_CTRL(23), .MED_COST24) Then .MED_COST24 = 0
						If Not Me.pMedCostValue.TryGetValue(MED_COST_CTRL(24), .MED_COST25) Then .MED_COST25 = 0
						If Not Me.pMedCostValue.TryGetValue(MED_COST_CTRL(25), .MED_COST26) Then .MED_COST26 = 0
						If Not Me.pMedCostValue.TryGetValue(MED_COST_CTRL(26), .MED_COST27) Then .MED_COST27 = 0
						If Not Me.pMedCostValue.TryGetValue(MED_COST_CTRL(27), .MED_COST28) Then .MED_COST28 = 0
						If Not Me.pMedCostValue.TryGetValue(MED_COST_CTRL(28), .MED_COST29) Then .MED_COST29 = 0
						If Not Me.pMedCostValue.TryGetValue(MED_COST_CTRL(29), .MED_COST30) Then .MED_COST30 = 0
						If Not Me.pMedCostValue.TryGetValue(MED_COST_CTRL(30), .MED_COST31) Then .MED_COST31 = 0
						If Not Me.pMedCostValue.TryGetValue(MED_COST_CTRL(31), .MED_COST32) Then .MED_COST32 = 0
						If Not Me.pMedCostValue.TryGetValue(MED_COST_CTRL(32), .MED_COST33) Then .MED_COST33 = 0
						If Not Me.pMedCostValue.TryGetValue(MED_COST_CTRL(33), .MED_COST34) Then .MED_COST34 = 0
						If Not Me.pMedCostValue.TryGetValue(MED_COST_CTRL(34), .MED_COST35) Then .MED_COST35 = 0
						If Not Me.pMedCostValue.TryGetValue(MED_COST_CTRL(35), .MED_COST36) Then .MED_COST36 = 0
						If Not Me.pMedCostValue.TryGetValue(MED_COST_CTRL(36), .MED_COST37) Then .MED_COST37 = 0
						If Not Me.pMedCostValue.TryGetValue(MED_COST_CTRL(37), .MED_COST38) Then .MED_COST38 = 0
						If Not Me.pMedCostValue.TryGetValue(MED_COST_CTRL(38), .MED_COST39) Then .MED_COST39 = 0
						If Not Me.pMedCostValue.TryGetValue(MED_COST_CTRL(39), .MED_COST40) Then .MED_COST40 = 0
						If Not Me.pMedCostValue.TryGetValue(MED_COST_CTRL(40), .MED_COST41) Then .MED_COST41 = 0
						If Not Me.pMedCostValue.TryGetValue(MED_COST_CTRL(41), .MED_COST42) Then .MED_COST42 = 0
						If Not Me.pMedCostValue.TryGetValue(MED_COST_CTRL(42), .MED_COST43) Then .MED_COST43 = 0
						If Not Me.pMedCostValue.TryGetValue(MED_COST_CTRL(43), .MED_COST44) Then .MED_COST44 = 0
						If Not Me.pMedCostValue.TryGetValue(MED_COST_CTRL(44), .MED_COST45) Then .MED_COST45 = 0
						.DEPT_CD = Me.pDeptCd					'診療科コード
						.DEPT_NM = Me.pDeptNm					'診療科名
						.NEW_REG_DT = Me.pNewRegDt				'新規登録日
						.LASTUPDUSER_CD = Me.pLastUpdUserCd		'更新者コード
						.LASTUPD_DT = Me.pLastUpdDt				'最終更新日
					End With
					'戻り値セット
					Me.ReturnValue = New DictionaryEntry(pKeyRec.Copy, pMedCostDetailsOneRec.Copy)
				Case Else
			End Select
			Return True
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 画面終了後処理
	''' </summary>
	''' <param name="bCancel">キャンセルフラグ</param>
	''' <remarks>
	''' 2010/12/10 新規作成　CS)中岡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Sub ClosedProc(ByVal bCancel As Boolean)
		If bCancel Then
			Exit Sub
		End If
		Try
			' インスタンス開放
			If pMedCostValue IsNot Nothing Then
				pMedCostValue.Clear()
			End If
			' 画面終了後処理
			MyBase.ClosedProc(bCancel)
		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			pMedCostDetailsOneRec = Nothing
			pKeyRec = Nothing
			pMedCostItm = Nothing
			pMedCostValue = Nothing
		End Try
	End Sub

#End Region

End Class