﻿Imports XSP
Imports XCM
Imports System.Windows.Forms

''' ---------------------------------------------
''' <summary>
''' ＤＰＣ選択
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class MEN020F070

#Region "コンスタント"

	'ＤＰＣ一覧列コントロール
	Private Const COL_HSP_HISTORY_NO As String = "c01001MEN020F070"	'入退院歴番号
	Private Const COL_DEPT_RNM As String = "c02001MEN020F070"		'診療科略称名
	Private Const COL_HSP_DT As String = "c03001MEN020F070"			'入院日
	Private Const COL_OUT_HSP_DT As String = "c04001MEN020F070"		'退院日
	Private Const COL_SERIAL_NO As String = "c05001MEN020F070"		'連番
	Private Const COL_DEPT_CD As String = "c06001MEN020F070"		'診療科コード
	Private Const COL_MODEL_YEAR As String = "c07001MEN020F070"		'年度

	Private Const DATA_PROPERTY_NAME_SERIAL_NO = "SERIAL_NO"

	'子画面ID
	Private Const CST_SHOW_MEN130F010_ID As String = "MEN130F010"
	Private Const CST_SHOW_MEN130F020_ID As String = "MEN130F020"
	Private Const CST_SHOW_MEN130F030_ID As String = "MEN130F030"
'(A) STR V4-12031-000 003 2012/06/07 ID)平井 DPC2012対応
	Private Const CST_SHOW_MEN130F040_ID As String = "MEN130F040"
'(A) END V4-12031-000 003 2012/06/07 ID)平井 DPC2012対応
'(A) STR V4-15019-000 003 2014/04/16 ID)唐渡 DPC2014対応
	Private Const CST_SHOW_MEN130F050_ID As String = "MEN130F050"
'(A) END V4-15019-000 003 2014/04/16 ID)唐渡 DPC2014対応

	''' ---------------------------------------------
	''' <summary>
	''' 様式モード
	''' </summary>
	''' <remarks>
	''' 2010/12/21 新規作成 CS)中岡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Enum Enum_StyleMode
		''' ---------------------------------------------
		''' <summary>親様式モード</summary>
		''' ---------------------------------------------
		eParent = 1
		''' ---------------------------------------------
		''' <summary>子様式モード</summary>
		''' ---------------------------------------------
		eChild = 2
	End Enum

#End Region

#Region "変数"

	'画面呼び出し時のパラメータ(コンストラクタでセット)
	Private pHspDate As String														'入院日
	Private pOutHspDate As String													'退院日
	Private pDeptCode As String														'診療科コード
	Private pModelYear As String													'年度
	Private pChildNum As String														'連番
	Private pWardStDate As String													'病棟開始日
	Private pWardEdDate As String													'病棟終了日

	Private styleMode As Enum_StyleMode												'様式モード

	Private frmMEN130F010 As MEN130F010 = Nothing									'遷移先画面(ＤＰＣ２００６画面)
	Private frmMEN130F020 As MEN130F020 = Nothing									'遷移先画面(ＤＰＣ２００８画面)
	Private frmMEN130F030 As MEN130F030 = Nothing									'遷移先画面(ＤＰＣ２０１０画面)
'(A) STR V4-12031-000 003 2012/06/07 ID)平井 DPC2012対応
	Private frmMEN130F040 As MEN130F040 = Nothing									'遷移先画面(ＤＰＣ２０１２画面)
'(A) END V4-12031-000 003 2012/06/07 ID)平井 DPC2012対応
'(A) STR V4-15019-000 003 2014/04/16 ID)唐渡 DPC2014対応
	Private frmMEN130F050 As MEN130F050 = Nothing									'遷移先画面(ＤＰＣ２０１４画面)
'(A) END V4-15019-000 003 2014/04/16 ID)唐渡 DPC2014対応

#End Region

#Region "コンストラクタ"

	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ（ＤＰＣ２００６）
	''' </summary>
	''' <param name="execMode">処理モード</param>
	''' <param name="patientNo">患者番号</param>
	''' <param name="historyNo">入退院歴番号</param>
	''' <param name="hspDate">入院日</param>
	''' <param name="outHspDate">退院日</param>
	''' <param name="deptCode">診療科コード</param>
	''' <param name="modelYear">年度</param>
	''' <remarks>
	''' 2010/12/21 新規作成 CS)中岡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Sub New(ByVal execMode As Enum_ExeMode, ByVal patientNo As String, ByVal historyNo As Integer, ByVal hspDate As String, _
	ByVal outHspDate As String, ByVal deptCode As String, ByVal modelYear As String)
		' この呼び出しはデザイナーで必要です。
		InitializeComponent()

		' InitializeComponent() 呼び出しの後で初期化を追加します。
		Me.ExeMode = execMode					'処理モード
		Me.PatientNo = patientNo				'患者番号
		Me.HspHistoryNo = historyNo				'入退院歴番号

		Me.pHspDate = hspDate					'入院日
		Me.pOutHspDate = outHspDate				'退院日
		Me.pDeptCode = deptCode					'診療科コード
		Me.pModelYear = modelYear				'年度
		Me.pChildNum = String.Empty				'連番

		Me.styleMode = Enum_StyleMode.eParent	'親様式モード
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ（ＤＰＣ２００８、ＤＰＣ２０１０）
	''' </summary>
	''' <param name="execMode">処理モード</param>
	''' <param name="patientNo">患者番号</param>
	''' <param name="historyNo">入退院歴番号</param>
	''' <param name="hspDate">入院日</param>
	''' <param name="outHspDate">退院日</param>
	''' <param name="deptCode">診療科コード</param>
	''' <param name="modelYear">年度</param>
	''' <param name="childNum">連番</param>
	''' <remarks>
	''' 2010/12/21 新規作成 CS)中岡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Sub New(ByVal execMode As Enum_ExeMode, ByVal patientNo As String, ByVal historyNo As Integer, ByVal hspDate As String, _
	ByVal outHspDate As String, ByVal deptCode As String, ByVal modelYear As String, ByVal childNum As Integer)
		' この呼び出しはデザイナーで必要です。
		InitializeComponent()

		' InitializeComponent() 呼び出しの後で初期化を追加します。
		Me.ExeMode = execMode					'処理モード
		Me.PatientNo = patientNo				'患者番号
		Me.HspHistoryNo = historyNo				'入退院歴番号

		Me.pHspDate = hspDate					'入院日
		Me.pOutHspDate = outHspDate				'退院日
		Me.pDeptCode = deptCode					'診療科コード
		Me.pModelYear = modelYear				'年度
		Me.pChildNum = Format(childNum, "000")	'連番

		Me.styleMode = Enum_StyleMode.eParent	'親様式モード
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ（子様式）
	''' </summary>
	''' <param name="execMode">処理モード</param>
	''' <param name="patientNo">患者番号</param>
	''' <param name="historyNo">入退院歴番号</param>
	''' <param name="hspDate">入院日</param>
	''' <param name="outHspDate">退院日</param>
	''' <param name="deptCode">診療科コード</param>
	''' <param name="modelYear">年度</param>
	''' <param name="childNum">連番</param>
	''' <param name="wardStDate">病棟開始日</param>
	''' <param name="wardEdDate" >病棟終了日</param>
	''' <remarks>
	''' 2010/12/21 新規作成 CS)中岡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Sub New(ByVal execMode As Enum_ExeMode, ByVal patientNo As String, ByVal historyNo As Integer, ByVal hspDate As String, _
	ByVal outHspDate As String, ByVal deptCode As String, ByVal modelYear As String, ByVal childNum As Integer, _
	ByVal wardStDate As String, ByVal wardEdDate As String)
		' この呼び出しはデザイナーで必要です。
		InitializeComponent()

		' InitializeComponent() 呼び出しの後で初期化を追加します。
		Me.ExeMode = execMode					'処理モード
		Me.PatientNo = patientNo				'患者番号
		Me.HspHistoryNo = historyNo				'入退院歴番号

		Me.pHspDate = hspDate					'入院日
		Me.pOutHspDate = outHspDate				'退院日
		Me.pDeptCode = deptCode					'診療科コード
		Me.pModelYear = modelYear				'年度
		Me.pChildNum = Format(childNum, "000")	'連番
		Me.pWardStDate = wardStDate				'病棟開始日
		Me.pWardEdDate = wardEdDate				'病棟終了日

		Me.styleMode = Enum_StyleMode.eChild	'子様式モード
	End Sub

#End Region

#Region "イベント"

	''' ---------------------------------------------
	''' <summary>
	''' 画面終了時イベント
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/21 新規作成　CS)中岡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub MEN020F070_FormClosing(ByVal sender As Object, ByVal e As System.Windows.Forms.FormClosingEventArgs) Handles Me.FormClosing
		log(clsSysMst.logLevel.NRM, "MEN020F070_FormClosing", "画面終了時イベント Start")
		Try
			' 画面途中でエラーの場合は処理しない
			If Me.LoadError OrElse e.Cancel Then
				Exit Try
			End If
		Catch ex As Exception
			e.Cancel = True		'エラー時は画面を閉じない
			Me.ErrorProc(ex)
		Finally
			' 変数の解放は ClosedProc に記述する
			Me.ClosedProc(e.Cancel)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 画面ロード時イベント
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/21 新規作成 CS)中岡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub MEN020F070_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
		If Me.DesignMode OrElse Me.LoadError Then
			Exit Sub
		End If
		log(clsSysMst.logLevel.NRM, "MEN020F070_Load", "画面ロード時イベント Start")
		Dim cliGridStyle As clsGridStyle
		Try
			'処理モード「参照」の場合
			If Me.ExeMode = Enum_ExeMode.eReference Then
				'ボタン非表示
				Me.btn011MEN000F010.Visible = False	'新規作成ボタン
				Me.btn013MEN000F010.Visible = False	'削除ボタン
				Me.btn012MEN000F010.Visible = False	'上書修正ボタン
				Me.btn014MEN000F010.Visible = False	'複写作成ボタン
			End If
			'グリッド１行の高さを設定
			cliGridStyle = New clsGridStyle
			cliGridStyle.setGridHeight(Me.dgv001MEN020F070)
			'グリッド行の自動追加は許可しない
			Me.dgv001MEN020F070.AutoGenerateColumns = False
		Catch ex As Exception
			Me.ErrorProc(ex)
			Me.EndProc4Load()
		Finally
			cliGridStyle = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 画面オープン時イベント
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/21 新規作成 CS)中岡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub MEN020F070_Shown(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Shown
		If Me.DesignMode OrElse Me.LoadError Then
			Exit Sub
		End If
		log(clsSysMst.logLevel.NRM, "MEN020F070_Shown", "画面オープン時イベント Start")
		Try
			'再描画
			Me.repaint()
		Catch ex As Exception
			Me.ErrorProc(ex)
			Me.EndProc4Shown()
		End Try
	End Sub

#End Region

#Region "メソッド"

	''' ---------------------------------------------
	''' <summary>
	''' ＤＰＣ登録画面表示処理
	''' </summary>
	''' <remarks>
	''' 2010/12/21 新規作成　CS)中岡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function dspDpcInput() As Boolean
		log(clsSysMst.logLevel.DBG, "dspDpcInput", "ＤＰＣ登録画面表示処理 Start")
		Try
			Select Case Me.pModelYear
				Case clsMENCOMMON.CONST_DPC_MODEL_YEAR_2006
					' ＤＰＣ２００６登録画面を起動
					frmMEN130F010 = Nothing
					frmMEN130F010 = New MEN130F010(Me.ExeMode, Me.PatientNo, Me.HspHistoryNo, Me.pHspDate, Me.pOutHspDate, Me.pDeptCode, Me.pModelYear)
					Return Me.nextForm(frmMEN130F010)
				Case clsMENCOMMON.CONST_DPC_MODEL_YEAR_2008
					' ＤＰＣ２００８登録画面を起動
					frmMEN130F020 = Nothing
					If Me.styleMode = Enum_StyleMode.eParent Then
						frmMEN130F020 = New MEN130F020(Me.ExeMode, Me.PatientNo, Me.HspHistoryNo, Me.pHspDate, Me.pOutHspDate, Me.pDeptCode, Me.pModelYear)
					Else
						frmMEN130F020 = New MEN130F020(Me.ExeMode, Me.PatientNo, Me.HspHistoryNo, Me.pHspDate, Me.pOutHspDate, Me.pDeptCode, Me.pModelYear, Me.pChildNum, Me.pWardStDate, Me.pWardEdDate)
					End If
					Return Me.nextForm(frmMEN130F020)
				Case clsMENCOMMON.CONST_DPC_MODEL_YEAR_2010
					' ＤＰＣ２０１０登録画面を起動
					frmMEN130F030 = Nothing
					If Me.styleMode = Enum_StyleMode.eParent Then
						frmMEN130F030 = New MEN130F030(Me.ExeMode, Me.PatientNo, Me.HspHistoryNo, Me.pHspDate, Me.pOutHspDate, Me.pDeptCode, Me.pModelYear)
					Else
						frmMEN130F030 = New MEN130F030(Me.ExeMode, Me.PatientNo, Me.HspHistoryNo, Me.pHspDate, Me.pOutHspDate, Me.pDeptCode, Me.pModelYear, Me.pChildNum, Me.pWardStDate, Me.pWardEdDate)
					End If
					Return Me.nextForm(frmMEN130F030)
'(A) STR V4-12031-000 011 2012/06/07 ID)平井 DPC2012対応
				Case clsMENCOMMON.CONST_DPC_MODEL_YEAR_2012
					' ＤＰＣ２０１２登録画面を起動
					frmMEN130F040 = Nothing
					If Me.styleMode = Enum_StyleMode.eParent Then
						frmMEN130F040 = New MEN130F040(Me.ExeMode, Me.PatientNo, Me.HspHistoryNo, Me.pHspDate, Me.pOutHspDate, Me.pDeptCode, Me.pModelYear)
					Else
						frmMEN130F040 = New MEN130F040(Me.ExeMode, Me.PatientNo, Me.HspHistoryNo, Me.pHspDate, Me.pOutHspDate, Me.pDeptCode, Me.pModelYear, Me.pChildNum, Me.pWardStDate, Me.pWardEdDate)
					End If
					Return Me.nextForm(frmMEN130F040)
'(A) END V4-12031-000 011 2012/06/07 ID)平井 DPC2012対応
'(A) STR V4-15019-000 011 2014/04/16 ID)唐渡 DPC2014対応
				Case clsMENCOMMON.CONST_DPC_MODEL_YEAR_2014
					' ＤＰＣ２０１４登録画面を起動
					frmMEN130F050 = Nothing
					If Me.styleMode = Enum_StyleMode.eParent Then
						frmMEN130F050 = New MEN130F050(Me.ExeMode, Me.PatientNo, Me.HspHistoryNo, Me.pHspDate, Me.pOutHspDate, Me.pDeptCode, Me.pModelYear)
					Else
						frmMEN130F050 = New MEN130F050(Me.ExeMode, Me.PatientNo, Me.HspHistoryNo, Me.pHspDate, Me.pOutHspDate, Me.pDeptCode, Me.pModelYear, Me.pChildNum, Me.pWardStDate, Me.pWardEdDate)
					End If
					Return Me.nextForm(frmMEN130F050)
'(A) END V4-15019-000 011 2014/04/16 ID)唐渡 DPC2014対応
				Case Else
					Return False
			End Select
		Catch ex As Exception
			Throw
		End Try
	End Function

#End Region

#Region "オーバーライドメソッド"

	''' -------------------------------------------------------
	''' <summary>
	''' 画面再描画
	''' </summary>
	''' <remarks>
	''' 2010/12/21 新規作成　CS)中岡<BR/>
	''' </remarks>
	''' -------------------------------------------------------
	Public Overrides Sub repaint()
		log(clsSysMst.logLevel.DBG, "repaint", "画面再描画 Start")
		Dim dpcAry As ArrayList
		Dim listDtTbl As DataTable
		Dim addRow As DataRow = Nothing
		Dim intSerialNo As Integer = 0
		Try
			'ＤＰＣ情報をＤＢから取得
			Using cliDpc As clsMTI_DPC = New clsMTI_DPC
				dpcAry = cliDpc.getDPCInfoPlus(Me.PatientNo, Me.pModelYear & Me.pChildNum)
			End Using
			'列の設定
			listDtTbl = New DataTable
			listDtTbl.Columns.Add(sqlMTI_DPC.itmHSP_HISTORY_NO, GetType(Integer))	'入退院歴番号
			listDtTbl.Columns.Add(sqlMTI_DPC.itmDEPT_RNM, GetType(String))			'診療科略称名
			listDtTbl.Columns.Add(sqlMTI_DPC.itmHSP_DT, GetType(Date))				'入院日
			listDtTbl.Columns.Add(sqlMTI_DPC.itmOUT_HSP_DT, GetType(Date))			'退院日
			listDtTbl.Columns.Add(DATA_PROPERTY_NAME_SERIAL_NO, GetType(Integer))	'連番
			listDtTbl.Columns.Add(sqlMTI_DPC.itmDEPT_CD, GetType(String))			'診療科コード
			listDtTbl.Columns.Add(sqlMTI_DPC.itmMODEL_YEAR, GetType(String))		'年度
			If Not dpcAry Is Nothing Then
				For Each rec As datMTI_DPC_DPCINFO_PLUS In dpcAry
					addRow = listDtTbl.NewRow()
					addRow(sqlMTI_DPC.itmHSP_HISTORY_NO) = rec.HSP_HISTORY_NO		'入退院歴番号
					addRow(sqlMTI_DPC.itmDEPT_RNM) = rec.DEPT_RNM					'診療科略称名
					addRow(sqlMTI_DPC.itmHSP_DT) = rec.HSP_DT						'入院日
					addRow(sqlMTI_DPC.itmOUT_HSP_DT) = rec.OUT_HSP_DT				'退院日
					'連番
					If rec.MODEL_YEAR.Length >= 7 AndAlso Integer.TryParse(rec.MODEL_YEAR.Substring(4, 3), intSerialNo) Then
						addRow(DATA_PROPERTY_NAME_SERIAL_NO) = intSerialNo
					End If
					addRow(sqlMTI_DPC.itmDEPT_CD) = rec.DEPT_CD						'診療科コード
					addRow(sqlMTI_DPC.itmMODEL_YEAR) = rec.MODEL_YEAR				'年度
					listDtTbl.Rows.Add(addRow)
				Next
			End If
			'一覧に表示
			Me.dgv001MEN020F070.DataSource = listDtTbl
		Catch ex As Exception
			Throw
		Finally
			dpcAry = Nothing
			listDtTbl = Nothing
			addRow = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 閉じるボタンでは処理しない（更新前確認メッセージ）
	''' </summary>
	''' <remarks>
	''' 2010/12/21 新規作成　CS)中岡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function PreUpdConfirm() As MsgBoxResult
		Return MsgBoxResult.No
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 新規作成ボタン（Ｆ３キー）押下処理
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2010/12/21 新規作成　CS)中岡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function FuncAddProc() As Boolean
		log(clsSysMst.logLevel.DBG, "FuncAddProc", "新規作成ボタン（Ｆ３キー）押下処理 Start")
		Dim bRet As Boolean = False
		Try
			If Me.confMsg("Q0005", MessageBoxButtons.YesNo, "新規作成", Nothing) = MsgBoxResult.Yes Then
				'ＤＰＣ登録画面表示
				bRet = Me.dspDpcInput()
			End If
		Catch ex As Exception
			Throw
		End Try
		Return bRet
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 上書修正ボタン（Ｆ４キー）押下処理
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2010/12/21 新規作成　CS)中岡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function FuncModifyProc() As Boolean
		log(clsSysMst.logLevel.DBG, "FuncModifyProc", "上書修正ボタン（Ｆ４キー）押下処理 Start")
		Dim hspDateWk As String = String.Empty		'入院日
		Dim deptCodeWk As String = String.Empty		'診療科コード
		Dim modelYearWk As String = String.Empty	'年度
		Dim datDpcRec As datMTI_DPC_DPCINFO			'更新値データ
		Dim bRet As Boolean = False
		Try
			With Me.dgv001MEN020F070
				'行選択されていない場合
				If .CurrentCell Is Nothing OrElse .CurrentCell.ColumnIndex < 0 OrElse .CurrentCell.RowIndex < 0 Then
					'エラーメッセージを出力し処理を抜ける。
					Me.showMsg("E0014", "ＤＰＣ情報", Nothing)
					Return False
				End If
			End With
			If Me.confMsg("Q0005", MessageBoxButtons.YesNo, "選択された情報に上書き", Nothing) = MsgBoxResult.Yes Then
				'一覧からキーを取得
				With Me.dgv001MEN020F070
					hspDateWk = .CurrentRow.Cells(COL_HSP_DT).Value			'入院日
					deptCodeWk = .CurrentRow.Cells(COL_DEPT_CD).Value		'診療科コード
					modelYearWk = .CurrentRow.Cells(COL_MODEL_YEAR).Value	'年度
				End With
				'更新値が入ったデータクラスの作成
				datDpcRec = New datMTI_DPC_DPCINFO
				With datDpcRec
					.PATIENT_NO = Me.PatientNo					'患者番号
					.HSP_HISTORY_NO = Me.HspHistoryNo			'入退院歴番号
					.HSP_DT = Me.pHspDate						'入院日
					'退院日
					If Not Date.TryParse(Me.pOutHspDate, .OUT_HSP_DT) Then
						.OUT_HSP_DT = Nothing
					End If
					.DEPT_CD = Me.pDeptCode						'診療科コード
					.MODEL_YEAR = Me.pModelYear & Me.pChildNum	'年度
					.LASTUPDUSER_CD = Me._userID
					.LASTUPD_DT = Now
				End With
				Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
					'トランザクション開始
					db.ctlTran(clsDB.Enum_TranMode.Begin)
					Try
						'レコードの更新
						Using cliDpc As clsMTI_DPC = New clsMTI_DPC
							cliDpc.updDPCInfo(db, Me.PatientNo, hspDateWk, deptCodeWk, modelYearWk, datDpcRec)
						End Using
						'コミット
						db.ctlTran(clsDB.Enum_TranMode.Commit)
					Catch ex As Exception
						'ロールバック
						db.ctlTran(clsDB.Enum_TranMode.RollBack)
						Throw
					End Try
				End Using
				'ＤＰＣ登録画面表示
				bRet = Me.dspDpcInput()
			End If
		Catch ex As Exception
			Throw
		Finally
			datDpcRec = Nothing
		End Try
		Return bRet
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 削除ボタン（Ｆ５キー）押下処理
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2010/12/21 新規作成　CS)中岡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function FuncDeleteProc() As Boolean
		log(clsSysMst.logLevel.DBG, "FuncDeleteProc", "削除ボタン（Ｆ５キー）押下処理 Start")
		Dim hspDateWk As String = String.Empty		'入院日
		Dim deptCodeWk As String = String.Empty		'診療科コード
		Dim modelYearWk As String = String.Empty	'年度
		Dim bRet As Boolean = False
		Try
			With Me.dgv001MEN020F070
				'行選択されていない場合
				If .CurrentCell Is Nothing OrElse .CurrentCell.ColumnIndex < 0 OrElse .CurrentCell.RowIndex < 0 Then
					'エラーメッセージを出力し処理を抜ける。
					Me.showMsg("E0014", "ＤＰＣ情報", Nothing)
					Return False
				End If
			End With
			If Me.confMsg("Q0005", MessageBoxButtons.YesNo, MessageBoxDefaultButton.Button2, "選択された情報を削除", Nothing) = MsgBoxResult.Yes Then
				'一覧からキーを取得
				With Me.dgv001MEN020F070
					hspDateWk = .CurrentRow.Cells(COL_HSP_DT).Value			'入院日
					deptCodeWk = .CurrentRow.Cells(COL_DEPT_CD).Value		'診療科コード
					modelYearWk = .CurrentRow.Cells(COL_MODEL_YEAR).Value	'年度
				End With
				Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
					'トランザクション開始
					db.ctlTran(clsDB.Enum_TranMode.Begin)
					Try
						'レコードの削除
						Using cliDpc As clsMTI_DPC = New clsMTI_DPC
							cliDpc.delDPCInfo(db, Me.PatientNo, hspDateWk, deptCodeWk, modelYearWk)
						End Using
						'コミット
						db.ctlTran(clsDB.Enum_TranMode.Commit)
					Catch ex As Exception
						'ロールバック
						db.ctlTran(clsDB.Enum_TranMode.RollBack)
						Throw
					End Try
				End Using
				'再描画
				Me.repaint()
			End If
			bRet = True
		Catch ex As Exception
			Throw
		End Try
		Return bRet
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 複写作成ボタン（Ｆ６キー）押下処理
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2010/12/21 新規作成　CS)中岡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function FuncCopyProc() As Boolean
		log(clsSysMst.logLevel.DBG, "FuncCopyProc", "複写作成ボタン（Ｆ６キー）押下処理 Start")
		Dim hspDateWk As String = String.Empty		'入院日
		Dim deptCodeWk As String = String.Empty		'診療科コード
		Dim modelYearWk As String = String.Empty	'年度
		Dim datDpcRec As datMTI_DPC_DPCINFO			'複写データ
		Dim bRet As Boolean = False
		Try
			With Me.dgv001MEN020F070
				'行選択されていない場合
				If .CurrentCell Is Nothing OrElse .CurrentCell.ColumnIndex < 0 OrElse .CurrentCell.RowIndex < 0 Then
					'エラーメッセージを出力し処理を抜ける。
					Me.showMsg("E0014", "ＤＰＣ情報", Nothing)
					Return False
				End If
			End With
			If Me.confMsg("Q0005", MessageBoxButtons.YesNo, "選択された情報を複写", Nothing) = MsgBoxResult.Yes Then
				'一覧からキーを取得
				With Me.dgv001MEN020F070
					hspDateWk = .CurrentRow.Cells(COL_HSP_DT).Value			'入院日
					deptCodeWk = .CurrentRow.Cells(COL_DEPT_CD).Value		'診療科コード
					modelYearWk = .CurrentRow.Cells(COL_MODEL_YEAR).Value	'年度
				End With
				'選択行のデータをＤＢから取得
				Using cliDpc As clsMTI_DPC = New clsMTI_DPC
					datDpcRec = cliDpc.getDPCInfoOneRec(Me.PatientNo, hspDateWk, deptCodeWk, modelYearWk)
				End Using
				'複写データ編集
				With datDpcRec
					.PATIENT_NO = Me.PatientNo					'患者番号
					.HSP_HISTORY_NO = Me.HspHistoryNo			'入退院歴番号
					.HSP_DT = Me.pHspDate						'入院日
					'退院日
					If Not Date.TryParse(Me.pOutHspDate, .OUT_HSP_DT) Then
						.OUT_HSP_DT = Nothing
					End If
					.DEPT_CD = Me.pDeptCode						'診療科コード
					.MODEL_YEAR = Me.pModelYear & Me.pChildNum	'年度
					.LASTUPDUSER_CD = Me._userID
					.LASTUPD_DT = Now
				End With
				Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
					'トランザクション開始
					db.ctlTran(clsDB.Enum_TranMode.Begin)
					Try
						'レコードの追加
						Using cliDpc As clsMTI_DPC = New clsMTI_DPC
							cliDpc.addDPCInfo(db, datDpcRec)
						End Using
						'コミット
						db.ctlTran(clsDB.Enum_TranMode.Commit)
					Catch ex As Exception
						'ロールバック
						db.ctlTran(clsDB.Enum_TranMode.RollBack)
						Throw
					End Try
				End Using
				'ＤＰＣ登録画面表示
				bRet = Me.dspDpcInput()
			End If
		Catch ex As Exception
			Throw
		End Try
		Return bRet
	End Function

	''' -------------------------------------------------------
	''' <summary>
	''' 子画面データ受信処理
	''' </summary>
	''' <remarks>
	''' 2010/12/21 新規作成　CS)中岡<BR/>
	''' </remarks>
	''' -------------------------------------------------------
	Public Overrides Sub rcvData(ByVal ret As Enum_FormReturn, ByVal de As DictionaryEntry)
'(M) STR V4-11023-000 004 20110816 FJSK)荒川 XXX号 病歴大将V4PKG問題点No127 不要なログ削除対応
'		log(clsSysMst.logLevel.NRM, "rcvData", "子画面データ受信処理 Start")
		log(clsSysMst.logLevel.DBG, "rcvData", "子画面データ受信処理 Start")
'(M) END V4-11023-000 004 20110816
		Try
			Select Case de.Key.ToString
'(M) STR V4-12031-000 004 2012/06/07 ID)平井 DPC2012対応
				'Case CST_SHOW_MEN130F010_ID, CST_SHOW_MEN130F020_ID, CST_SHOW_MEN130F030_ID
'(M) STR V4-15019-000 004 2012/04/16 ID)唐渡 DPC2014対応
				'Case CST_SHOW_MEN130F010_ID, CST_SHOW_MEN130F020_ID, CST_SHOW_MEN130F030_ID, CST_SHOW_MEN130F040_ID
				Case CST_SHOW_MEN130F010_ID, CST_SHOW_MEN130F020_ID, CST_SHOW_MEN130F030_ID, CST_SHOW_MEN130F040_ID, CST_SHOW_MEN130F050_ID
'(M) END V4-15019-000 004 2012/04/16 ID)唐渡 DPC2014対応
'(M) END V4-12031-000 004 2012/06/07 ID)平井 DPC2012対応
					' インスタンス開放
					If frmMEN130F010 IsNot Nothing Then
						frmMEN130F010.Dispose()
					End If
					If frmMEN130F020 IsNot Nothing Then
						frmMEN130F020.Dispose()
					End If
					If frmMEN130F030 IsNot Nothing Then
						frmMEN130F030.Dispose()
					End If
'(A) STR V4-12031-000 005 2012/06/07 ID)平井 DPC2012対応
					If frmMEN130F040 IsNot Nothing Then
						frmMEN130F040.Dispose()
					End If
'(A) END V4-12031-000 005 2012/06/07 ID)平井 DPC2012対応
'(A) STR V4-15019-000 005 2014/04/16 ID)唐渡 DPC2014対応
					If frmMEN130F050 IsNot Nothing Then
						frmMEN130F050.Dispose()
					End If
'(A) END V4-15019-000 005 2014/04/16 ID)唐渡 DPC2014対応
					'終了処理
					Me.EndProc()
				Case Else
					MyBase.rcvData(ret, de)
			End Select
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 画面終了後処理
	''' </summary>
	''' <param name="bCancel">キャンセルフラグ</param>
	''' <remarks>
	''' 2010/12/21 新規作成　CS)中岡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Sub ClosedProc(ByVal bCancel As Boolean)
		If bCancel Then
			Exit Sub
		End If
		Try
			' インスタンス開放
			If frmMEN130F010 IsNot Nothing Then
				frmMEN130F010.Dispose()
			End If
			If frmMEN130F020 IsNot Nothing Then
				frmMEN130F020.Dispose()
			End If
			If frmMEN130F030 IsNot Nothing Then
				frmMEN130F030.Dispose()
			End If
'(A) STR V4-12031-000 005 2012/06/07 ID)平井 DPC2012対応
			If frmMEN130F040 IsNot Nothing Then
				frmMEN130F040.Dispose()
			End If
'(A) END V4-12031-000 005 2012/06/07 ID)平井 DPC2012対応
'(A) STR V4-15019-000 005 2014/04/16 ID)唐渡 DPC2014対応
			If frmMEN130F050 IsNot Nothing Then
				frmMEN130F050.Dispose()
			End If
'(A) END V4-15019-000 005 2014/04/16 ID)唐渡 DPC2014対応
			' 画面終了後処理
			MyBase.ClosedProc(bCancel)
		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			frmMEN130F010 = Nothing
			frmMEN130F020 = Nothing
			frmMEN130F030 = Nothing
'(A) STR V4-12031-000 003 2012/06/07 ID)平井 DPC2012対応
			frmMEN130F040 = Nothing
'(A) END V4-12031-000 003 2012/06/07 ID)平井 DPC2012対応
'(A) STR V4-15019-000 003 2014/04/16 ID)唐渡 DPC2014対応
			frmMEN130F050 = Nothing
'(A) END V4-15019-000 003 2012/04/16 ID)唐渡 DPC2014対応
		End Try
	End Sub

#End Region

End Class