﻿Imports XCM
Imports XSP
Imports System.Runtime.ConstrainedExecution

''' ---------------------------------------------
''' <summary>
''' 医療費明細一覧印刷　Report出力クラス
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class MEN020R010

#Region "解放処理"

	'確実な解放処理を実行するために指定
	Inherits CriticalFinalizerObject
	'解放処理を実装する為に指定
	Implements IDisposable

	''' ---------------------------------------------
	''' <summary>
	''' Dispose（解放処理）※外からはよばない
	''' </summary>
	''' <param name="disposing"></param>
	''' <remarks>
	''' 2010/12/14 新規作成 CS)中岡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overloads Sub Dispose(ByVal disposing As Boolean)
		If disposing Then
			pFrm = Nothing							'フォーム
		End If
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' Finalize（解放処理）
	''' </summary>
	''' <remarks>
	''' 2010/12/14 新規作成 CS)中岡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overloads Sub Dispose() Implements IDisposable.Dispose
		Dispose(True)
		MyBase.Finalize()
		GC.SuppressFinalize(Me)
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' Finalize（解放処理）※外からはよばない
	''' </summary>
	''' <remarks>
	''' 2010/12/14 新規作成 CS)中岡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overrides Sub Finalize()
		Dispose(False)
		MyBase.Finalize()
	End Sub

#End Region

#Region "変数"

	Private pFrm As frmBase = Nothing		'フォーム

#End Region

#Region "コンスタント"

	'帳票タイトル
	Private Const HEADER_TITLE As String = "医療費明細一覧"

	Public Const HEADER_START_DT As String = "開始日"
	Public Const HEADER_END_DT As String = "終了日"
	Public Const HEADER_HSP_DT As String = "入院日"
	Public Const HEADER_OUT_HSP_DT As String = "退院日"

#End Region

#Region "コンストラクタ"

	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <param name="pForm">frmBase</param>
	''' <remarks>
	''' 2010/12/14 新規作成 CS)中岡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Sub New(ByVal pForm As Form)
		'IN項目引き継ぎ
		pFrm = pForm					'画面ID
	End Sub

#End Region

#Region "メソッド"

	''' ---------------------------------------------
	''' <summary>
	''' 印刷・プレビュー処理
	''' </summary>
	''' <param name="privacyChecked">個人情報有り/無し</param>
	''' <remarks>
	''' 2010/12/14 新規作成 CS)中岡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function Prn_MedCostDetails(ByVal ary As ArrayList, ByVal privacyChecked As Boolean, ByVal pValuePrint As Boolean) As Boolean
		pFrm.log(clsSysMst.logLevel.DBG, "Prn_MedCostDetails", "印刷・プレビュー処理 Start")
		Dim FilePath As String = Nothing								'MDBファイルパス（フルパス）
		Dim cliAccess As clsXTM_PRINTSETTING_ACCESS = Nothing			'ACCESS設定情報アクセスクラス
		Dim datAccess As datXTM_PRINTSETTING_ACCESS_OneRec = Nothing	'ACCESS設定情報データクラス
		Dim datHeader As datHeader = Nothing							'ヘッダーデータクラス
		Dim cliCom As clsCom = Nothing									'共通クラス
		Try
			'アクセスクラスのインスタンス化
			cliAccess = New clsXTM_PRINTSETTING_ACCESS
			cliCom = New clsCom
			'ヘッダー情報作成
			datHeader = Me.getHeaderData(privacyChecked)
			'印刷設定情報取得
			datAccess = cliAccess.getAccessSettingOneRec(Me.pFrm.Name, Me.GetType.Name)
			If datAccess Is Nothing Then
				Return False
			End If
			'MDBファイルパス設定
			FilePath = cliCom.setReportPath(datAccess.FILE_NM)
			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData), _
			   cliReportFunc As clsReportFunc = New clsReportFunc(Me.pFrm, FilePath, datAccess.REPORT_NM, pValuePrint)
				'ヘッダーワーク削除
				cliReportFunc.exeHeaderDel(db, datAccess.LEDGERSHEET_CD, True)
				'ワークテーブル削除
				cliReportFunc.exeWorkDel(db, sqlMEN020R010.sqlDel_MTW_MED_COST_DETAILS, sqlMEN020R010.prmHOST_NM)
				'ヘッダーワーク追加
				cliReportFunc.exeHeaderIns(db, datHeader, True)
				'ワークテーブル追加
				With db
					For Each rec As datMTI_MED_COST_DETAILS_PLUS_OneRec In ary
						'１行ずつデータを追加する
						.setSQL(sqlMEN020R010.sqlIns_MTW_MED_COST_DETAILS)						 'INSERT文

						.setParam(sqlMEN020R010.prmHOST_NM, clsDB.Enum_dbType.dbNVarChar)
						.setParam(sqlMEN020R010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
						.setParam(sqlMEN020R010.prmMED_COST_DATE, clsDB.Enum_dbType.dbDateTime)
						.setParam(sqlMEN020R010.prmSERIAL_NO, clsDB.Enum_dbType.dbInt)
						.setParam(sqlMEN020R010.prmDEPT_CD, clsDB.Enum_dbType.dbNVarChar)
						.setParam(sqlMEN020R010.prmMNG_NO, clsDB.Enum_dbType.dbInt)
						.setParam(sqlMEN020R010.prmMED_COST01, clsDB.Enum_dbType.dbInt)
						.setParam(sqlMEN020R010.prmMED_COST02, clsDB.Enum_dbType.dbInt)
						.setParam(sqlMEN020R010.prmMED_COST03, clsDB.Enum_dbType.dbInt)
						.setParam(sqlMEN020R010.prmMED_COST04, clsDB.Enum_dbType.dbInt)
						.setParam(sqlMEN020R010.prmMED_COST05, clsDB.Enum_dbType.dbInt)
						.setParam(sqlMEN020R010.prmMED_COST06, clsDB.Enum_dbType.dbInt)
						.setParam(sqlMEN020R010.prmMED_COST07, clsDB.Enum_dbType.dbInt)
						.setParam(sqlMEN020R010.prmMED_COST08, clsDB.Enum_dbType.dbInt)
						.setParam(sqlMEN020R010.prmMED_COST09, clsDB.Enum_dbType.dbInt)
						.setParam(sqlMEN020R010.prmMED_COST10, clsDB.Enum_dbType.dbInt)
						.setParam(sqlMEN020R010.prmMED_COST11, clsDB.Enum_dbType.dbInt)
						.setParam(sqlMEN020R010.prmMED_COST12, clsDB.Enum_dbType.dbInt)
						.setParam(sqlMEN020R010.prmMED_COST13, clsDB.Enum_dbType.dbInt)
						.setParam(sqlMEN020R010.prmMED_COST14, clsDB.Enum_dbType.dbInt)
						.setParam(sqlMEN020R010.prmMED_COST15, clsDB.Enum_dbType.dbInt)
						.setParam(sqlMEN020R010.prmMED_COST16, clsDB.Enum_dbType.dbInt)
						.setParam(sqlMEN020R010.prmMED_COST17, clsDB.Enum_dbType.dbInt)
						.setParam(sqlMEN020R010.prmMED_COST18, clsDB.Enum_dbType.dbInt)
						.setParam(sqlMEN020R010.prmMED_COST19, clsDB.Enum_dbType.dbInt)
						.setParam(sqlMEN020R010.prmMED_COST20, clsDB.Enum_dbType.dbInt)
						.setParam(sqlMEN020R010.prmMED_COST21, clsDB.Enum_dbType.dbInt)
						.setParam(sqlMEN020R010.prmMED_COST22, clsDB.Enum_dbType.dbInt)
						.setParam(sqlMEN020R010.prmMED_COST23, clsDB.Enum_dbType.dbInt)
						.setParam(sqlMEN020R010.prmMED_COST24, clsDB.Enum_dbType.dbInt)
						.setParam(sqlMEN020R010.prmMED_COST25, clsDB.Enum_dbType.dbInt)
						.setParam(sqlMEN020R010.prmMED_COST26, clsDB.Enum_dbType.dbInt)
						.setParam(sqlMEN020R010.prmMED_COST27, clsDB.Enum_dbType.dbInt)
						.setParam(sqlMEN020R010.prmMED_COST28, clsDB.Enum_dbType.dbInt)
						.setParam(sqlMEN020R010.prmMED_COST29, clsDB.Enum_dbType.dbInt)
						.setParam(sqlMEN020R010.prmMED_COST30, clsDB.Enum_dbType.dbInt)
						.setParam(sqlMEN020R010.prmMED_COST31, clsDB.Enum_dbType.dbInt)
						.setParam(sqlMEN020R010.prmMED_COST32, clsDB.Enum_dbType.dbInt)
						.setParam(sqlMEN020R010.prmMED_COST33, clsDB.Enum_dbType.dbInt)
						.setParam(sqlMEN020R010.prmMED_COST34, clsDB.Enum_dbType.dbInt)
						.setParam(sqlMEN020R010.prmMED_COST35, clsDB.Enum_dbType.dbInt)
						.setParam(sqlMEN020R010.prmMED_COST36, clsDB.Enum_dbType.dbInt)
						.setParam(sqlMEN020R010.prmMED_COST37, clsDB.Enum_dbType.dbInt)
						.setParam(sqlMEN020R010.prmMED_COST38, clsDB.Enum_dbType.dbInt)
						.setParam(sqlMEN020R010.prmMED_COST39, clsDB.Enum_dbType.dbInt)
						.setParam(sqlMEN020R010.prmMED_COST40, clsDB.Enum_dbType.dbInt)
						.setParam(sqlMEN020R010.prmMED_COST41, clsDB.Enum_dbType.dbInt)
						.setParam(sqlMEN020R010.prmMED_COST42, clsDB.Enum_dbType.dbInt)
						.setParam(sqlMEN020R010.prmMED_COST43, clsDB.Enum_dbType.dbInt)
						.setParam(sqlMEN020R010.prmMED_COST44, clsDB.Enum_dbType.dbInt)
						.setParam(sqlMEN020R010.prmMED_COST45, clsDB.Enum_dbType.dbInt)
						.setParam(sqlMEN020R010.prmOTHER_DEPT_INFO, clsDB.Enum_dbType.dbNVarChar)
						.setParam(sqlMEN020R010.prmDATA_CAPTURE_DT, clsDB.Enum_dbType.dbDateTime)
						.setParam(sqlMEN020R010.prmNEW_REG_DT, clsDB.Enum_dbType.dbDateTime)
						.setParam(sqlMEN020R010.prmLASTUPDUSER_CD, clsDB.Enum_dbType.dbNVarChar)
						.setParam(sqlMEN020R010.prmLASTUPD_DT, clsDB.Enum_dbType.dbDateTime)

						.setVal(sqlMEN020R010.prmHOST_NM, clsConst.CST_HOST_NM, False)
						.setVal(sqlMEN020R010.prmPATIENT_NO, rec.PATIENT_NO, False)
						.setVal(sqlMEN020R010.prmMED_COST_DATE, rec.MED_COST_DATE, False)
						.setVal(sqlMEN020R010.prmSERIAL_NO, rec.SERIAL_NO, False)
						.setVal(sqlMEN020R010.prmDEPT_CD, rec.DEPT_CD)
						.setVal(sqlMEN020R010.prmMNG_NO, rec.MNG_NO)
						.setVal(sqlMEN020R010.prmMED_COST01, rec.MED_COST01)
						.setVal(sqlMEN020R010.prmMED_COST02, rec.MED_COST02)
						.setVal(sqlMEN020R010.prmMED_COST03, rec.MED_COST03)
						.setVal(sqlMEN020R010.prmMED_COST04, rec.MED_COST04)
						.setVal(sqlMEN020R010.prmMED_COST05, rec.MED_COST05)
						.setVal(sqlMEN020R010.prmMED_COST06, rec.MED_COST06)
						.setVal(sqlMEN020R010.prmMED_COST07, rec.MED_COST07)
						.setVal(sqlMEN020R010.prmMED_COST08, rec.MED_COST08)
						.setVal(sqlMEN020R010.prmMED_COST09, rec.MED_COST09)
						.setVal(sqlMEN020R010.prmMED_COST10, rec.MED_COST10)
						.setVal(sqlMEN020R010.prmMED_COST11, rec.MED_COST11)
						.setVal(sqlMEN020R010.prmMED_COST12, rec.MED_COST12)
						.setVal(sqlMEN020R010.prmMED_COST13, rec.MED_COST13)
						.setVal(sqlMEN020R010.prmMED_COST14, rec.MED_COST14)
						.setVal(sqlMEN020R010.prmMED_COST15, rec.MED_COST15)
						.setVal(sqlMEN020R010.prmMED_COST16, rec.MED_COST16)
						.setVal(sqlMEN020R010.prmMED_COST17, rec.MED_COST17)
						.setVal(sqlMEN020R010.prmMED_COST18, rec.MED_COST18)
						.setVal(sqlMEN020R010.prmMED_COST19, rec.MED_COST19)
						.setVal(sqlMEN020R010.prmMED_COST20, rec.MED_COST20)
						.setVal(sqlMEN020R010.prmMED_COST21, rec.MED_COST21)
						.setVal(sqlMEN020R010.prmMED_COST22, rec.MED_COST22)
						.setVal(sqlMEN020R010.prmMED_COST23, rec.MED_COST23)
						.setVal(sqlMEN020R010.prmMED_COST24, rec.MED_COST24)
						.setVal(sqlMEN020R010.prmMED_COST25, rec.MED_COST25)
						.setVal(sqlMEN020R010.prmMED_COST26, rec.MED_COST26)
						.setVal(sqlMEN020R010.prmMED_COST27, rec.MED_COST27)
						.setVal(sqlMEN020R010.prmMED_COST28, rec.MED_COST28)
						.setVal(sqlMEN020R010.prmMED_COST29, rec.MED_COST29)
						.setVal(sqlMEN020R010.prmMED_COST30, rec.MED_COST30)
						.setVal(sqlMEN020R010.prmMED_COST31, rec.MED_COST31)
						.setVal(sqlMEN020R010.prmMED_COST32, rec.MED_COST32)
						.setVal(sqlMEN020R010.prmMED_COST33, rec.MED_COST33)
						.setVal(sqlMEN020R010.prmMED_COST34, rec.MED_COST34)
						.setVal(sqlMEN020R010.prmMED_COST35, rec.MED_COST35)
						.setVal(sqlMEN020R010.prmMED_COST36, rec.MED_COST36)
						.setVal(sqlMEN020R010.prmMED_COST37, rec.MED_COST37)
						.setVal(sqlMEN020R010.prmMED_COST38, rec.MED_COST38)
						.setVal(sqlMEN020R010.prmMED_COST39, rec.MED_COST39)
						.setVal(sqlMEN020R010.prmMED_COST40, rec.MED_COST40)
						.setVal(sqlMEN020R010.prmMED_COST41, rec.MED_COST41)
						.setVal(sqlMEN020R010.prmMED_COST42, rec.MED_COST42)
						.setVal(sqlMEN020R010.prmMED_COST43, rec.MED_COST43)
						.setVal(sqlMEN020R010.prmMED_COST44, rec.MED_COST44)
						.setVal(sqlMEN020R010.prmMED_COST45, rec.MED_COST45)
						.setVal(sqlMEN020R010.prmOTHER_DEPT_INFO, rec.OTHER_DEPT_INFO)
						.setVal(sqlMEN020R010.prmDATA_CAPTURE_DT, rec.DATA_CAPTURE_DT)
						.setVal(sqlMEN020R010.prmNEW_REG_DT, rec.NEW_REG_DT)
						.setVal(sqlMEN020R010.prmLASTUPDUSER_CD, rec.LASTUPDUSER_CD)
						.setVal(sqlMEN020R010.prmLASTUPD_DT, rec.LASTUPD_DT)

						.execNonQuery()											'INSERT文実行
					Next
				End With
				'AcPrint内でレポートの存在チェックを行う
				'そのため、独自ロジックは組まない。
				If Not cliReportFunc.AcPrint(datAccess.NUMBERPRINTED) Then
					Return False
				End If
			End Using
		Catch ex As Exception
			Throw
		Finally
			FilePath = Nothing
			cliAccess = Nothing
			datAccess = Nothing
			datHeader = Nothing
			cliCom = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' ヘッダーデータ取得
	''' </summary>
	''' <param name="privacyChecked">個人情報有り/無し</param>
	''' <returns>ヘッダーデータ</returns>
	''' <remarks>
	''' 2010/12/14 新規作成 CS)中岡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getHeaderData(ByVal privacyChecked As Boolean) As datHeader
		pFrm.log(clsSysMst.logLevel.DBG, "getHeaderData", "ヘッダーデータ取得 Start")
		Dim retHeader As datHeader
		Try
			retHeader = New datHeader
			With retHeader
				'帳票ID
				.PRT_ID = Me.GetType.Name
				'タイトル	
				.TITLE_NM = HEADER_TITLE
				'患者番号
				.STR1 = CType(pFrm, MEN000F010).PatientNo
				'患者氏名
				If privacyChecked Then	'個人情報有り
					.STR2 = CType(pFrm, MEN000F010).BasicInfoRec.PATIENT_NM
				Else
					.STR2 = clsConst.CST_MASK_NAME
				End If
				'病歴番号の表記
				.STR3 = clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00001)
				If CType(pFrm, MEN000F010).HistoryMode = MEN000F010.Enum_HistMode.eHSP Then	'入退院モード
					If Not CType(pFrm, MEN000F010).HspRec Is Nothing Then
						'病歴番号
						.STR4 = CType(pFrm, MEN000F010).HspRec.BYOREKI_NO
						'診療科名
						.STR5 = CType(pFrm, MEN000F010).HspRec.DEPT_NM
						'入院日
						.STR6 = HEADER_HSP_DT
						.STR7 = CType(pFrm, MEN000F010).HspRec.HSP_DT.ToString(clsConst.CST_YYYYMMDD_FORMAT)
						'退院日
						.STR8 = HEADER_OUT_HSP_DT
						.STR9 = CType(pFrm, MEN000F010).HspRec.OUT_HSP_DT.ToString(clsConst.CST_YYYYMMDD_FORMAT)
					End If
				Else
					If Not CType(pFrm, MEN000F010).ChRec Is Nothing Then
						'病歴番号
						.STR4 = CType(pFrm, MEN000F010).ChRec.BYOREKI_NO
						'診療科名
						.STR5 = CType(pFrm, MEN000F010).ChRec.DEPT_NM
						'入院日
						.STR6 = HEADER_START_DT
						.STR7 = CType(pFrm, MEN000F010).ChRec.START_DT.ToString(clsConst.CST_YYYYMMDD_FORMAT)
						'退院日
						.STR8 = HEADER_END_DT
						.STR9 = CType(pFrm, MEN000F010).ChRec.END_DT.ToString(clsConst.CST_YYYYMMDD_FORMAT)
					End If
				End If
			End With
			Return retHeader
		Catch ex As Exception
			Throw
		Finally
			retHeader = Nothing
		End Try
	End Function

#End Region

End Class
