﻿Imports XCM
Imports XSP

''' ---------------------------------------------
''' <summary>
''' クリニカルパス登録画面処理
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class MEN120F010

#Region "コンスタント"
	' 子画面に与えるパラメータ文字
	Private Const CONST_PATHCODEARY_PARM_STRING = "PATHCODE_ARY"
	Private Const CONST_PATHCODEONE_PARM_STRING = "PATHCODE_ONE"
	Private Const CONST_VARIANCE1_PARM_STRING = "VARIANCE1"
	Private Const CONST_VARIANCE2_PARM_STRING = "VARIANCE2"
	Private Const CONST_VARIANCE3_PARM_STRING = "VARIANCE3"
	Private Const CONST_VARIANCE4_PARM_STRING = "VARIANCE4"
	Private Const CONST_DOCTOR_PARM_STRING = "DOCTOR"
	'グリッド
	Private Const CONTROL_C01001MEN120F010 As String = "c01001MEN120F010"
#End Region

#Region "変数"
	' パス連番
	Private _pPathSerialNo As Integer
	' 共通メソッドクラス
	Private cliCom As clsCom
	' グリッドスタイルクラス
	Private cliGridStyle As clsGridStyle
	' 入力チェッククラス
	Private cliMEN010F060 As clsMEN010F060
	' MEN共通クラス
	Private cliMENCOMMON As clsMENCOMMON
	' データテーブル
	Private datMtiPath As DataTable
	' 現在編集中連番
	Private pNowSerialNo As Integer = 0
#End Region

#Region "コンストラクタ"

	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <param name="pExeMode">処理モード</param>
	''' <param name="pPatientNo">患者番号</param>
	''' <param name="pHspHistoryNo">入退院歴番号</param>
	''' <param name="pChNo">科歴番号</param>
	''' <remarks>
	''' 2010/11/15 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Sub New(ByVal pExeMode As Enum_ExeMode, ByVal pPatientNo As String, ByVal pHspHistoryNo As Integer, ByVal pChNo As Integer)
		Me.New(pExeMode, pPatientNo, pHspHistoryNo, pChNo, 0)
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <param name="pExeMode">処理モード</param>
	''' <param name="pPatientNo">患者番号</param>
	''' <param name="pHspHistoryNo">入退院歴番号</param>
	''' <param name="pChNo">科歴番号</param>
	''' <remarks>
	''' 2010/11/01 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Sub New(ByVal pExeMode As Enum_ExeMode, ByVal pPatientNo As String, ByVal pHspHistoryNo As Integer, ByVal pChNo As Integer, ByVal aPathSerialNo As Integer)
		' この呼び出しはデザイナーで必要です。
		MyBase.New()
		InitializeComponent()

		' InitializeComponent() 呼び出しの後で初期化を追加します。
		Me.ExeMode = pExeMode						'処理モード
		Me.PatientNo = pPatientNo					'患者番号
		Me.HspHistoryNo = pHspHistoryNo				'入退院歴番号
		Me.ChNo = pChNo								'科歴番号
		_pPathSerialNo = aPathSerialNo				'パス連番
	End Sub

#End Region

#Region "イベント"

	''' ---------------------------------------------
	''' <summary>
	''' バリアンス理由検索＿Ｌｏａｄ処理
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/01 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub MEN120F010_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
		If Me.DesignMode OrElse Me.LoadError Then
			Exit Sub
		End If
		log(clsSysMst.logLevel.NRM, "MEN120F010_Load", "クリニカルパス検索＿Ｌｏａｄ処理 Start")
		Dim cliCombo As clsComboCom
		Dim dtVarianceReason As DataTable
		Dim larData As ArrayList
		Try
			'OwnerFormを取得
			cliCom = New clsCom
			cliCombo = New clsComboCom
			dtVarianceReason = New DataTable
			cliGridStyle = New clsGridStyle
			cliMEN010F060 = New clsMEN010F060
			cliMENCOMMON = New clsMENCOMMON
			datMtiPath = New DataTable
			'コントロール名の設定
			setControlName()
			' 参照モード？
			If Me.ExeMode = Enum_ExeMode.eReference Then showReferenceMode()
			'入力必須項目については該当する見出しの前景色を青色にする。
			btn002MEN120F010.ForeColor = clsConst.CST_REQUIRED_COLOR
			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
				' パス
				cmb003MEN120F010.DataSource = cliCombo.getCombo(db, clsComboCom.Enum_ComboType.Enum_M_Path)
				' 指示医
				cmb010MEN120F010.DataSource = cliCombo.getCombo(db, clsComboCom.Enum_ComboType.Enum_X_StaffXOpk_Dsp)
				' バリアンス 
				dtVarianceReason = cliCombo.getCombo(db, clsComboCom.Enum_ComboType.Enum_M_VarianceReason)
				cmb021MEN120F010.DataSource = dtVarianceReason.Copy
				cmb024MEN120F010.DataSource = dtVarianceReason.Copy
				cmb027MEN120F010.DataSource = dtVarianceReason.Copy
				cmb030MEN120F010.DataSource = dtVarianceReason.Copy
				' バリアンス有無
				cmb015MEN120F010.DataSource = cliCombo.getCombo(db, clsComboCom.Enum_ComboType.Enum_M_VarianceChk)
				' バリアンス種類
				cmb018MEN120F010.DataSource = cliCombo.getCombo(db, clsComboCom.Enum_ComboType.Enum_M_VarianceType)
				Me.cmb003MEN120F010.setDropDownWidth()
				Me.cmb010MEN120F010.setDropDownWidth()
				Me.cmb021MEN120F010.setDropDownWidth()
				Me.cmb024MEN120F010.setDropDownWidth()
				Me.cmb027MEN120F010.setDropDownWidth()
				Me.cmb030MEN120F010.setDropDownWidth()
				Me.cmb015MEN120F010.setDropDownWidth()
				Me.cmb018MEN120F010.setDropDownWidth()
				'クリニカルパス情報
				Using cliPath As clsMTI_PATH = New clsMTI_PATH
					datMtiPath = cliPath.getPathPlusChDa(db, Me.PatientNo, Me.HspHistoryNo, Me.ChNo)
					datMtiPath.Columns.Add(sqlMENCOMMON.itmAddCol4NewRow, GetType(String))
					datMtiPath.Columns.Add(sqlMENCOMMON.itmAddCol4RowSeq, GetType(Integer))
				End Using
			End Using
			'クリニカルパス情報の取得
			dgv001MEN120F010.AutoGenerateColumns = False		'自動行追加禁止
			cliGridStyle.setGridHeight(Me.dgv001MEN120F010)		'グリッド１行の高さを設定
			dgv001MEN120F010.DataSource = datMtiPath
			datMtiPath.AcceptChanges()							'変更をすべてクリアする
			' ソートをつける（グリッドの初回ソートがおかしいので１回目のソートを行う）
			larData = New ArrayList
			larData.Add(New DictionaryEntry(sqlMTI_PATH.itmPATH_SERIAL_NO, clsGridSort.Enum_SortType.SortNone))
		Catch ex As Exception
			ErrorProc(ex)
			Me.EndProc4Load()
		Finally
			cliCombo = Nothing
			dtVarianceReason = Nothing
			larData = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' バリアンス理由検索＿初期表示処理
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/01 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub MEN120F010_Shown(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Shown
		If Me.DesignMode OrElse Me.LoadError Then
			Exit Sub
		End If
		log(clsSysMst.logLevel.NRM, "MEN120F010_Shown", "バリアンス理由検索急＿初期表示 Start")
		Try
			' レコードなしチェック
			If datMtiPath.Rows.Count = 0 Then
				If Me.ExeMode = Enum_ExeMode.eEntry Then
					' 新規レコード追加
					AddNewRow()
				End If
			Else
				' パス連番でレコードを取得しセットする（なければ先頭）
				srhSerialNo(_pPathSerialNo)
			End If
			dspDataRow()
		Catch ex As Exception
			ErrorProc(ex)
			Me.EndProc4Shown()
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' GridView_KeyDown処理
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/01 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub dgv001MEN120F010_KeyDown(ByVal sender As Object, ByVal e As System.Windows.Forms.KeyEventArgs) Handles dgv001MEN120F010.KeyDown
		log(clsSysMst.logLevel.DBG, "dgv001MEN120F010_KeyDown", "GridView_KeyDown処理 Start")	' 大量ログ出力の為DBGに変更
		Dim lPageDisplayedCnt As Integer = dgv001MEN120F010.DisplayedRowCount(False)
		Dim lCurrentIndex As Integer = 0
		Try
			Select Case e.KeyCode
				Case Keys.Down

					If dgv001MEN120F010.RowCount = 0 Then Exit Sub
					If dgv001MEN120F010.RowCount - 1 <= dgv001MEN120F010.CurrentRow.Index Then Exit Sub
					GrdRowUpDownIndex(False)
					e.SuppressKeyPress = True

				Case Keys.Up
					If dgv001MEN120F010.RowCount = 0 Then Exit Sub
					If 0 >= dgv001MEN120F010.CurrentRow.Index Then Exit Sub
					GrdRowUpDownIndex(True)
					e.SuppressKeyPress = True

				Case Keys.PageUp
					If dgv001MEN120F010.RowCount = 0 Then Exit Sub
					lCurrentIndex = dgv001MEN120F010.FirstDisplayedScrollingRowIndex
					If Not setDataRow(srhSerialNo(pNowSerialNo, True)) Then Exit Sub
					Select Case True
						Case 0 <= lCurrentIndex - (lPageDisplayedCnt)
							srhSerialNo(dgv001MEN120F010.Rows(lCurrentIndex - lPageDisplayedCnt).Cells(CONTROL_C01001MEN120F010).Value)
							dspDataRow()
						Case 0 > lCurrentIndex - (lPageDisplayedCnt)
							srhSerialNo(dgv001MEN120F010.Rows(0).Cells(CONTROL_C01001MEN120F010).Value)
							dspDataRow()
						Case Else
					End Select
					e.SuppressKeyPress = True
				Case Keys.PageDown
					If dgv001MEN120F010.RowCount = 0 Then Exit Sub
					lCurrentIndex = dgv001MEN120F010.CurrentCell.RowIndex
					If Not setDataRow(srhSerialNo(pNowSerialNo, True)) Then Exit Sub
					Select Case True
						Case dgv001MEN120F010.Rows.Count - 1 >= lCurrentIndex + lPageDisplayedCnt
							srhSerialNo(dgv001MEN120F010.Rows(lCurrentIndex + lPageDisplayedCnt).Cells(CONTROL_C01001MEN120F010).Value, False, False)
							dspDataRow()
						Case dgv001MEN120F010.Rows.Count - 1 < lCurrentIndex + lPageDisplayedCnt
							srhSerialNo(dgv001MEN120F010.Rows(dgv001MEN120F010.Rows.Count - 1).Cells(CONTROL_C01001MEN120F010).Value, False, False)
							dspDataRow()
						Case Else
					End Select
					e.SuppressKeyPress = True
				Case Else
			End Select
		Catch ex As Exception
			ErrorProc(ex)
		Finally
			lCurrentIndex = Nothing
			lPageDisplayedCnt = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' GridView_セルクリック処理
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/01 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub dgv001MEN120F010_CellMouseClick(ByVal sender As Object, ByVal e As System.Windows.Forms.DataGridViewCellMouseEventArgs) Handles dgv001MEN120F010.CellMouseClick
		log(clsSysMst.logLevel.NRM, "dgv001MEN120F010_CellMouseClick", "GridView_セルクリック処理 Start")
		Try
			If e.RowIndex < 0 OrElse e.ColumnIndex < 0 Then Exit Sub
			selGridView()
			cmb003MEN120F010.Focus()
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' クリニカルパス検索クリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/01 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn002MEN120F010_click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn002MEN120F010.Click
		log(clsSysMst.logLevel.NRM, "btn002MEN120F010_click", "クリニカルパス検索クリック Start")
		Try
			cmb003MEN120F010.Focus()
			nextForm(New XSP.XSP200F010(CONST_PATHCODEONE_PARM_STRING, cmb003MEN120F010.Text))	'クリニカルパス検索
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 指示医検索クリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/01 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn009MEN120F010_click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn009MEN120F010.Click
		log(clsSysMst.logLevel.NRM, "btn009MEN120F010_click", "指示医検索クリック Start")
		Try
			ExecStaffForm(cmb010MEN120F010)
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' バリアンス理由１検索クリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/01 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn020MEN120F010_click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn020MEN120F010.Click
		log(clsSysMst.logLevel.NRM, "btn020MEN120F010_click", "バリアンス理由１検索クリック Start")
		Try
			cmb021MEN120F010.Focus()
			nextForm(New XSP.XSP220F010(CONST_VARIANCE1_PARM_STRING, cmb021MEN120F010.Text))	'バリアンス検索
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' バリアンス理由２検索クリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/01 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn023MEN120F01_click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn023MEN120F010.Click
		log(clsSysMst.logLevel.NRM, "btn023MEN120F01_click", "バリアンス理由２検索クリック Start")
		Try
			cmb024MEN120F010.Focus()
			nextForm(New XSP.XSP220F010(CONST_VARIANCE2_PARM_STRING, cmb024MEN120F010.Text))	'バリアンス検索
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' バリアンス理由３検索クリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/01 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn026MEN120F010_click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn026MEN120F010.Click
		log(clsSysMst.logLevel.NRM, "btn026MEN120F010_click", "バリアンス理由３検索クリック Start")
		Try
			cmb027MEN120F010.Focus()
			nextForm(New XSP.XSP220F010(CONST_VARIANCE3_PARM_STRING, cmb027MEN120F010.Text))	'バリアンス検索
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' バリアンス理由４検索クリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/01 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn029MEN120F010_click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn029MEN120F010.Click
		log(clsSysMst.logLevel.NRM, "btn029MEN120F010_click", "バリアンス理由４検索クリック Start")
		Try
			cmb030MEN120F010.Focus()
			nextForm(New XSP.XSP220F010(CONST_VARIANCE4_PARM_STRING, cmb030MEN120F010.Text))	'バリアンス検索
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 閉じるボタンクリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/01 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub MEN120F010_FormClosing(ByVal sender As Object, ByVal e As System.Windows.Forms.FormClosingEventArgs) Handles Me.FormClosing
		log(clsSysMst.logLevel.NRM, "MEN120F010_FormClosing", "閉じるボタンクリック Start")
		Try
			' 画面途中でエラーの場合は処理しない
			If Me.LoadError OrElse e.Cancel Then
				Exit Try
			End If
			' 終了時処理
			Me.ClosingProc()
		Catch ex As Exception
			e.Cancel = True		'エラー時は画面を閉じない
			ErrorProc(ex)
		Finally
			' 変数の解放は ClosedProc に記述する
			ClosedProc(e.Cancel)
		End Try
	End Sub

#End Region

#Region "メソッド"

	''' ---------------------------------------------
	''' <summary>
	''' コントロール名の設定
	''' </summary>
	''' <remarks>
	''' 2011/03/16 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setControlName()
		log(clsSysMst.logLevel.DBG, "setControlName", "コントロール名の設定 Start")
		Try
			cliMEN010F060.ControlName(clsMEN010F060.Enum_Control_ID.PATH_CD) = cmb003MEN120F010.Name			'パスコード
			cliMEN010F060.ControlName(clsMEN010F060.Enum_Control_ID.PATH_START_DT) = dte006MEN120F010.Name		'適用開始日
			cliMEN010F060.ControlName(clsMEN010F060.Enum_Control_ID.PATH_END_DT) = dte008MEN120F010.Name		'適用終了日
			cliMEN010F060.ControlName(clsMEN010F060.Enum_Control_ID.DOCTOR_CD) = cmb010MEN120F010.Name			'医師コード
			cliMEN010F060.ControlName(clsMEN010F060.Enum_Control_ID.VARIANCE_DAY) = dte013MEN120F010.Name		'バリアンス日
			cliMEN010F060.ControlName(clsMEN010F060.Enum_Control_ID.CHK_CD) = cmb015MEN120F010.Name				'バリアンス有無コード
			cliMEN010F060.ControlName(clsMEN010F060.Enum_Control_ID.TYPE_CD) = cmb018MEN120F010.Name			'バリアンス種類
			cliMEN010F060.ControlName(clsMEN010F060.Enum_Control_ID.REASON1_CD) = cmb021MEN120F010.Name			'理由１コード
			cliMEN010F060.ControlName(clsMEN010F060.Enum_Control_ID.REASON2_CD) = cmb024MEN120F010.Name			'理由２コード
			cliMEN010F060.ControlName(clsMEN010F060.Enum_Control_ID.REASON3_CD) = cmb027MEN120F010.Name			'理由３コード
			cliMEN010F060.ControlName(clsMEN010F060.Enum_Control_ID.REASON4_CD) = cmb030MEN120F010.Name			'理由４コード
			cliMEN010F060.ControlName(clsMEN010F060.Enum_Control_ID.REMARKS) = txt033MEN120F010.Name			'コメント
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 表示切替_参照処理
	''' </summary>
	''' <remarks>
	''' 2010/11/01 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub showReferenceMode()
		log(clsSysMst.logLevel.DBG, "showReferenceMode", "表示切替_参照処理 Start")
		Try
			btn004MEN000F010.Visible = False
			btn005MEN000F010.Visible = False
			pnl020MEN000F040.Visible = False
			btn011MEN000F010.Visible = False
			btn013MEN000F010.Visible = False
			btn008MEN000F010.Visible = False

			btn002MEN120F010.CanInput = False
			cmb003MEN120F010.CanInput = False
			dte006MEN120F010.CanInput = False
			dte008MEN120F010.CanInput = False
			btn009MEN120F010.CanInput = False
			cmb010MEN120F010.CanInput = False
			dte013MEN120F010.CanInput = False
			cmb015MEN120F010.CanInput = False
			cmb018MEN120F010.CanInput = False
			btn020MEN120F010.CanInput = False
			cmb021MEN120F010.CanInput = False
			btn023MEN120F010.CanInput = False
			cmb024MEN120F010.CanInput = False
			btn026MEN120F010.CanInput = False
			cmb027MEN120F010.CanInput = False
			btn029MEN120F010.CanInput = False
			cmb030MEN120F010.CanInput = False
			txt033MEN120F010.CanInput = False
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 更新処理
	''' </summary>
	''' <remarks>
	''' 2010/11/01 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub UpdProcPath()
		log(clsSysMst.logLevel.DBG, "UpdProcPath", "更新処理 Start")
		Dim lSerialNo As Integer = 0
		Dim ldv As DataView = datMtiPath.DefaultView
		Dim lInsertCount As Integer = 0
		Try
			'更新モード以外は抜ける
			If Me.ExeMode <> Enum_ExeMode.eEntry Then Exit Sub
			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData), cliPath As clsMTI_PATH = New clsMTI_PATH, cliCh As clsMTI_CH = New clsMTI_CH
				' トランザクション開始
				db.ctlTran(clsDB.Enum_TranMode.Begin)
				Try
					' パス情報の対象レコード削除
					cliPath.execDelPathCh(db, Me.PatientNo, Me.HspHistoryNo, Me.ChNo)
					' パス情報を登録
					ldv.Sort = sqlMTI_PATH.itmPATH_SERIAL_NO
					For Each lDtRow As DataRow In ldv.ToTable.Rows
						Select Case lDtRow.RowState
							Case DataRowState.Added, DataRowState.Modified, DataRowState.Unchanged	' 追加 変更 変更なし
								' パスコードが入っていないものは登録しない
								If IsDBNull(lDtRow(sqlMTI_PATH.itmPATH_CD)) Then Continue For
								lSerialNo = lSerialNo + 1
							Case Else
								Continue For
						End Select

						' 更新
						lDtRow(sqlMTI_PATH.itmPATIENT_NO) = Me.PatientNo
						lDtRow(sqlMTI_PATH.itmHSP_HISTORY_NO) = Me.HspHistoryNo
						lDtRow(sqlMTI_PATH.itmCH_NO) = Me.ChNo
						lDtRow(sqlMTI_PATH.itmPATH_SERIAL_NO) = lSerialNo
						cliPath.execInsPathOneRec(db, lDtRow)
						lInsertCount = lInsertCount + 1
					Next
					' パス数を更新
					cliCh.execUpdChPathCount(db, Me.PatientNo, Me.HspHistoryNo, Me.ChNo, lInsertCount)
					' コミット
					db.ctlTran(clsDB.Enum_TranMode.Commit)
				Catch ex As Exception
					' ロールバック
					db.ctlTran(clsDB.Enum_TranMode.RollBack)
					Throw
				End Try
			End Using
		Catch ex As Exception
			Throw
		Finally
			ldv = Nothing
			lSerialNo = Nothing
			lInsertCount = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 新規レコード追加処理
	''' </summary>
	''' <remarks>
	''' 2010/11/01 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub AddNewRow(Optional ByVal aMtmPath As datMtmPath = Nothing, Optional ByRef aAddSeq As Integer = 0)
		log(clsSysMst.logLevel.DBG, "AddNewRow", "新規レコード追加処理 Start")
		Dim wGridViewRow As DataGridViewRow = Nothing
		Dim wDataRowView As DataRowView = Nothing
		Dim wRow As DataRow = Nothing
		Dim lSerialNo As Integer = Nothing
		Dim lRowIndex As Integer = Nothing
		Try
			' 既存の最大連番を取得する
			If dgv001MEN120F010.Rows.Count = 0 Then
				lSerialNo = 0
			Else
				lSerialNo = dgv001MEN120F010.Rows(dgv001MEN120F010.Rows.Count - 1).Cells(CONTROL_C01001MEN120F010).Value
			End If
			' 最大連番の選択行を取得する
			lRowIndex = srhSerialNo(lSerialNo, True)
			If lRowIndex < 0 Then
				' 選択行なしは新規追加
				wRow = datMtiPath.NewRow
				lSerialNo = lSerialNo + 1
			Else
				' 選択行レコード取得
				wGridViewRow = dgv001MEN120F010.Rows(lRowIndex)
				wDataRowView = CType(wGridViewRow.DataBoundItem, DataRowView)
				wRow = CType(wDataRowView.Row, DataRow)
				If wRow(sqlMENCOMMON.itmAddCol4NewRow).ToString <> clsMENCOMMON.CONST_NEWROW Then
					' 選択行が新規行以外は新規追加
					lRowIndex = -1
					wRow = datMtiPath.NewRow
					lSerialNo = lSerialNo + 1
				Else
					' 選択行が新規行のときは更新開始
					wRow.BeginEdit()
				End If
			End If
			wRow(sqlMTI_PATH.itmPATH_SERIAL_NO) = lSerialNo
			If Not aMtmPath Is Nothing Then
				wRow(sqlMTI_PATH.itmPATIENT_NO) = Me.PatientNo
				wRow(sqlMTI_PATH.itmHSP_HISTORY_NO) = Me.HspHistoryNo
				wRow(sqlMTI_PATH.itmCH_NO) = Me.ChNo
				wRow(sqlMTI_PATH.itmPATH_CD) = aMtmPath.PATH_CD
				wRow(sqlMTI_PATH.itmPATH_NM) = aMtmPath.PATH_NM
				wRow(sqlMTI_PATH.itmLASTUPDUSER_CD) = clsSysMst.getLoginId		'更新者コード
				wRow(sqlMTI_PATH.itmLASTUPD_DT) = Now							'最終更新日
				'追加行
				aAddSeq += 1
				wRow(sqlMENCOMMON.itmAddCol4NewRow) = clsMENCOMMON.CONST_ADDROW
				wRow(sqlMENCOMMON.itmAddCol4RowSeq) = aAddSeq
			Else
				'新規行
				wRow(sqlMENCOMMON.itmAddCol4NewRow) = clsMENCOMMON.CONST_NEWROW
			End If
			If lRowIndex < 0 Then
				'追加
				datMtiPath.Rows.Add(wRow)
			Else
				'更新終了
				wRow.EndEdit()
			End If
			cliMENCOMMON.dspUpDownButtonFace(dgv001MEN120F010, Me)
			' 新規選択
			dgv001MEN120F010.Rows(dgv001MEN120F010.Rows.Count - 1).Cells(1).Selected = True
		Catch ex As Exception
			Throw
		Finally
			wGridViewRow = Nothing
			wDataRowView = Nothing
			wRow = Nothing
			lSerialNo = Nothing
			lRowIndex = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 連番を探しカレントにする
	''' </summary>
	''' <param name="aSerialNo">シリアル番号</param>
	''' <param name="aMvFlg">移動可否</param>
	''' <param name="aDisplayScroll">スクロール可否</param>
	''' <returns>行番号</returns>
	''' <remarks>
	''' 2010/11/01 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function srhSerialNo(ByVal aSerialNo As Integer, Optional ByVal aMvFlg As Boolean = False, Optional ByVal aDisplayScroll As Boolean = True) As Integer
		log(clsSysMst.logLevel.DBG, "srhSerialNo", "連番を探しカレントにする Start")
		Dim lRetIndex As Integer = -1
		Dim lcnt As Integer = 0
		Try
			For lcnt = 0 To dgv001MEN120F010.Rows.Count - 1
				If dgv001MEN120F010.Rows(lcnt).Cells(CONTROL_C01001MEN120F010).Value = aSerialNo Then
					If Not aMvFlg Then
						dgv001MEN120F010.Rows(lcnt).Selected = True
						dgv001MEN120F010.Rows(lcnt).Cells(1).Selected = True
						If aDisplayScroll Then
							dgv001MEN120F010.FirstDisplayedScrollingRowIndex = lcnt
						End If
						dgv001MEN120F010.Refresh()
					End If
					lRetIndex = lcnt
					Exit For
				End If
			Next
		Catch ex As Exception
			Throw
		Finally
			lcnt = Nothing
		End Try
		Return lRetIndex
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 修正表示処理
	''' </summary>
	''' <remarks>
	''' 2010/11/01 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub dspDataRow()
		log(clsSysMst.logLevel.DBG, "dspDataRow", "修正表示処理 Start")
		Dim lGridViewRow As DataGridViewRow = Nothing
		Dim lDataRowView As DataRowView = Nothing
		Dim lDataRow As DataRow = Nothing
		Try
			' 選択行レコード取得
			lGridViewRow = dgv001MEN120F010.CurrentRow
			If lGridViewRow Is Nothing Then Exit Sub
			lDataRowView = CType(lGridViewRow.DataBoundItem, DataRowView)
			lDataRow = CType(lDataRowView.Row, DataRow)

			' 連番の退避
			pNowSerialNo = lDataRow.Item(sqlMTI_PATH.itmPATH_SERIAL_NO)
			' パスコード
			cliCom.setComboValue(cmb003MEN120F010, lDataRow.Item(sqlMTI_PATH.itmPATH_CD).ToString)
			' 指示医
			cliCom.setComboValue(cmb010MEN120F010, lDataRow.Item(sqlMTI_PATH.itmDOCTOR_CD).ToString)
			' バリアンス有無
			cliCom.setComboValue(cmb015MEN120F010, lDataRow.Item(sqlMTI_PATH.itmCHK_CD).ToString)
			' バリアンス種類
			cliCom.setComboValue(cmb018MEN120F010, lDataRow.Item(sqlMTI_PATH.itmTYPE_CD).ToString)
			' 理由１
			cliCom.setComboValue(cmb021MEN120F010, lDataRow.Item(sqlMTI_PATH.itmREASON1_CD).ToString)
			' 理由２
			cliCom.setComboValue(cmb024MEN120F010, lDataRow.Item(sqlMTI_PATH.itmREASON2_CD).ToString)
			' 理由３
			cliCom.setComboValue(cmb027MEN120F010, lDataRow.Item(sqlMTI_PATH.itmREASON3_CD).ToString)
			' 理由４
			cliCom.setComboValue(cmb030MEN120F010, lDataRow.Item(sqlMTI_PATH.itmREASON4_CD).ToString)
			' 適用開始
			If IsDBNull(lDataRow.Item(sqlMTI_PATH.itmSTART_DT)) Then
				dte006MEN120F010.DateValue = Nothing
			Else
				dte006MEN120F010.DateValue = lDataRow.Item(sqlMTI_PATH.itmSTART_DT)
			End If
			' 適用終了
			If IsDBNull(lDataRow.Item(sqlMTI_PATH.itmEND_DT)) Then
				dte008MEN120F010.DateValue = Nothing
			Else
				dte008MEN120F010.DateValue = lDataRow.Item(sqlMTI_PATH.itmEND_DT)
			End If
			' バリアンス日
			If IsDBNull(lDataRow.Item(sqlMTI_PATH.itmVARIANCE_DAY)) Then
				dte013MEN120F010.DateValue = Nothing
			Else
				dte013MEN120F010.DateValue = lDataRow.Item(sqlMTI_PATH.itmVARIANCE_DAY)
			End If
			' コメント
			txt033MEN120F010.Text = lDataRow.Item(sqlMTI_PATH.itmREMARKS).ToString
			If Me.ExeMode = Enum_ExeMode.eEntry Then
				' 矢印制御
				cliMENCOMMON.dspUpDownButtonFace(dgv001MEN120F010, Me)
			End If
		Catch ex As Exception
			Throw
		Finally
			lGridViewRow = Nothing
			lDataRowView = Nothing
			lDataRow = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 修正データグリッド反映処理
	''' </summary>
	''' <param name="aRowIndex">対象行番号</param>
	''' <remarks>
	''' 2010/11/01 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function setDataRow(ByVal aRowIndex As Integer) As Boolean
		log(clsSysMst.logLevel.DBG, "setDataRow", "修正データグリッド反映処理 Start")
		Dim lRegistDay As String
		Dim lGridViewRow As DataGridViewRow = Nothing
		Dim lDataRowView As DataRowView = Nothing
		Dim lDataRow As DataRow = Nothing
		Try
			'更新モード以外は抜ける
			If Me.ExeMode <> Enum_ExeMode.eEntry Then Return True
			If dgv001MEN120F010.Rows.Count = 0 Then Return True
			' コントロール値確定
			If aRowIndex < 0 Then Return False
			If Not Me.ValidateChildren() Then Return False
			Dim lRowState As Boolean = False
			' 選択行レコード取得
			lGridViewRow = dgv001MEN120F010.Rows(aRowIndex)
			lDataRowView = CType(lGridViewRow.DataBoundItem, DataRowView)
			lDataRow = CType(lDataRowView.Row, DataRow)
			' 入力チェックを行う
			Select Case chkDataRow()
				Case MsgBoxResult.Cancel
					Return True
				Case MsgBoxResult.No
					If Me.getErrCount <> 0 Then nextErrForm()
					Return False
				Case Else
			End Select
			lDataRow.BeginEdit()
			lDataRow.Item(sqlMTI_PATH.itmPATIENT_NO) = Me.PatientNo
			lDataRow.Item(sqlMTI_PATH.itmHSP_HISTORY_NO) = Me.HspHistoryNo
			lDataRow.Item(sqlMTI_PATH.itmCH_NO) = Me.ChNo
			' パスコード
			If cliMENCOMMON.setDtTableField_BTMultiCombo(lDataRow.Item(sqlMTI_PATH.itmPATH_CD), cmb003MEN120F010) Then
				lDataRow.Item(sqlMTI_PATH.itmPATH_NM) = lbl004MEN120F010.Text
				lRowState = True
			End If
			' 指示医
			If cliMENCOMMON.setDtTableField_BTMultiCombo(lDataRow.Item(sqlMTI_PATH.itmDOCTOR_CD), cmb010MEN120F010) Then
				lDataRow.Item(sqlMTI_PATH.itmDOCTOR_NM) = lbl011MEN120F010.Text
				lRowState = True
			End If
			' バリアンス有無
			If cliMENCOMMON.setDtTableField_BTMultiCombo(lDataRow.Item(sqlMTI_PATH.itmCHK_CD), cmb015MEN120F010) Then
				lDataRow.Item(sqlMTI_PATH.itmVARIANCE_CHK_NM) = lbl016MEN120F010.Text
				lRowState = True
			End If
			' バリアンス種類
			If cliMENCOMMON.setDtTableField_BTMultiCombo(lDataRow.Item(sqlMTI_PATH.itmTYPE_CD), cmb018MEN120F010) Then
				lDataRow.Item(sqlMTI_PATH.itmVARIANCE_TYPE_NM) = lbl019MEN120F010.Text
				lRowState = True
			End If
			' 理由１
			If cliMENCOMMON.setDtTableField_BTMultiCombo(lDataRow.Item(sqlMTI_PATH.itmREASON1_CD), cmb021MEN120F010) Then
				lDataRow.Item(sqlMTI_PATH.itmREASON1_NM) = lbl022MEN120F010.Text
				lRowState = True
			End If
			' 理由２
			If cliMENCOMMON.setDtTableField_BTMultiCombo(lDataRow.Item(sqlMTI_PATH.itmREASON2_CD), cmb024MEN120F010) Then
				lDataRow.Item(sqlMTI_PATH.itmREASON2_NM) = lbl025MEN120F010.Text
				lRowState = True
			End If
			' 理由３
			If cliMENCOMMON.setDtTableField_BTMultiCombo(lDataRow.Item(sqlMTI_PATH.itmREASON3_CD), cmb027MEN120F010) Then
				lDataRow.Item(sqlMTI_PATH.itmREASON3_NM) = lbl028MEN120F010.Text
				lRowState = True
			End If
			' 理由４
			If cliMENCOMMON.setDtTableField_BTMultiCombo(lDataRow.Item(sqlMTI_PATH.itmREASON4_CD), cmb030MEN120F010) Then
				lDataRow.Item(sqlMTI_PATH.itmREASON4_NM) = lbl031MEN120F010.Text
				lRowState = True
			End If
			' 適用開始
			If cliMENCOMMON.setDtTableField_BTDate(lDataRow.Item(sqlMTI_PATH.itmSTART_DT), dte006MEN120F010) Then
				lRowState = True
			End If
			' 適用終了
			If cliMENCOMMON.setDtTableField_BTDate(lDataRow.Item(sqlMTI_PATH.itmEND_DT), dte008MEN120F010) Then
				lRowState = True
			End If
			' バリアンス日
			If cliMENCOMMON.setDtTableField_BTDate(lDataRow.Item(sqlMTI_PATH.itmVARIANCE_DAY), dte013MEN120F010) Then
				lRowState = True
			End If
			' コメント
			If cliMENCOMMON.setDtTableField_Text(lDataRow.Item(sqlMTI_PATH.itmREMARKS), txt033MEN120F010.Text) Then
				lRowState = True
			End If
			' 更新チェック
			If lRowState Then
				lDataRow.Item(sqlMTI_PATH.itmLASTUPDUSER_CD) = clsSysMst.getLoginId			'更新者コード
				lDataRow.Item(sqlMTI_PATH.itmLASTUPD_DT) = Now								'最終更新日
				lDataRow.EndEdit()
				' 新規行クリア
				resetNewRow(lDataRow.Item(sqlMENCOMMON.itmAddCol4NewRow).ToString)
			Else
				lDataRow.CancelEdit()
			End If
		Catch ex As Exception
			Throw
		Finally
			lRegistDay = Nothing
			lGridViewRow = Nothing
			lDataRowView = Nothing
			lDataRow = Nothing
		End Try
		Return True
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 新規行クリア処理
	''' </summary>
	''' <param name="aNewRow">新規行識別</param>
	''' <remarks>
	''' 2010/12/01 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub resetNewRow(ByVal aNewRow As String)
		log(clsSysMst.logLevel.DBG, "resetNewRow", "新規行クリア処理 Start")
		Dim lGridViewRow As DataGridViewRow = Nothing
		Dim lDataRowView As DataRowView = Nothing
		Dim lDataRow As DataRow = Nothing
		Try
			If String.IsNullOrEmpty(aNewRow) Then Exit Sub
			For Each lGridViewRow In dgv001MEN120F010.Rows
				lDataRowView = CType(lGridViewRow.DataBoundItem, DataRowView)
				lDataRow = CType(lDataRowView.Row, DataRow)
				With lDataRow
					'同じ新規行識別
					If .Item(sqlMENCOMMON.itmAddCol4NewRow).ToString <> aNewRow Then Continue For
					.BeginEdit()
					.Item(sqlMENCOMMON.itmAddCol4NewRow) = DBNull.Value				'新規行識別
					.Item(sqlMENCOMMON.itmAddCol4RowSeq) = DBNull.Value				'順番識別
					.EndEdit()
				End With
			Next
		Catch ex As Exception
			Throw
		Finally
			lGridViewRow = Nothing
			lDataRowView = Nothing
			lDataRow = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 入力チェック
	''' </summary>
	''' <returns>成否</returns>
	''' <remarks>
	''' 2010/11/01 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function chkDataRow() As MsgBoxResult
		log(clsSysMst.logLevel.DBG, "chkDataRow", "入力チェック Start")
		Dim lRet As MsgBoxResult = MsgBoxResult.Yes
		Dim ldtMtiPathRow As datMtiPathInfo			' チェック用テーブル
		Dim lArList As ArrayList
		Dim lRetErrCnt As ArrayList
		Dim lChkObj As Object = Nothing
		Try
			' すべて入力なしの場合は抜ける
			Select Case False
				Case String.IsNullOrEmpty(cmb003MEN120F010.Text)
				Case String.IsNullOrEmpty(dte006MEN120F010.Text)
				Case String.IsNullOrEmpty(dte008MEN120F010.Text)
				Case String.IsNullOrEmpty(cmb010MEN120F010.Text)
				Case String.IsNullOrEmpty(dte013MEN120F010.Text)
				Case String.IsNullOrEmpty(cmb015MEN120F010.Text)
				Case String.IsNullOrEmpty(cmb018MEN120F010.Text)
				Case String.IsNullOrEmpty(cmb021MEN120F010.Text)
				Case String.IsNullOrEmpty(cmb024MEN120F010.Text)
				Case String.IsNullOrEmpty(cmb027MEN120F010.Text)
				Case String.IsNullOrEmpty(cmb030MEN120F010.Text)
				Case String.IsNullOrEmpty(txt033MEN120F010.Text)
				Case Else
					Return MsgBoxResult.Cancel
			End Select
			ldtMtiPathRow = New datMtiPathInfo
			ldtMtiPathRow.PATIENT_NO = Me.PatientNo							'患者番号
			ldtMtiPathRow.HSP_HISTORY_NO = Me.HspHistoryNo					'入退院歴番号
			ldtMtiPathRow.CH_NO = Me.ChNo									'科歴番号
			ldtMtiPathRow.PATH_SERIAL_NO = pNowSerialNo						'パス連番
			ldtMtiPathRow.PATH_CD = cmb003MEN120F010.Text					'パスコード
			ldtMtiPathRow.PATH_NM = lbl004MEN120F010.Text					'パス名
			ldtMtiPathRow.DOCTOR_CD = cmb010MEN120F010.Text					'指示医コード
			ldtMtiPathRow.STAFF_NM = lbl011MEN120F010.Text					'指示医名
			ldtMtiPathRow.CHK_CD = cmb015MEN120F010.Text					'バリアンス有無コード
			ldtMtiPathRow.VARIANCE_CHK_NM = lbl016MEN120F010.Text			'バリアンス有無名
			ldtMtiPathRow.TYPE_CD = cmb018MEN120F010.Text					'バリアンス種類コード
			ldtMtiPathRow.VARIANCE_TYPE_NM = lbl019MEN120F010.Text			'バリアンス種類名
			ldtMtiPathRow.REASON1_CD = cmb021MEN120F010.Text				'理由１コード
			ldtMtiPathRow.REASON1_NM = lbl022MEN120F010.Text				'理由１名称
			ldtMtiPathRow.REASON2_CD = cmb024MEN120F010.Text				'理由２コード
			ldtMtiPathRow.REASON2_NM = lbl025MEN120F010.Text				'理由２名称
			ldtMtiPathRow.REASON3_CD = cmb027MEN120F010.Text				'理由３コード
			ldtMtiPathRow.REASON3_NM = lbl028MEN120F010.Text				'理由３名称
			ldtMtiPathRow.REASON4_CD = cmb030MEN120F010.Text				'理由４コード
			ldtMtiPathRow.REASON4_NM = lbl031MEN120F010.Text				'理由４名称
			'適用開始日
			If Not String.IsNullOrEmpty(dte006MEN120F010.Text) Then
				ldtMtiPathRow.PATH_START_DT = dte006MEN120F010.Text
			End If
			'適用終了日
			If Not String.IsNullOrEmpty(dte008MEN120F010.Text) Then
				ldtMtiPathRow.PATH_END_DT = dte008MEN120F010.Text
			End If
			'バリアンス日
			If Not String.IsNullOrEmpty(dte013MEN120F010.Text) Then
				ldtMtiPathRow.VARIANCE_DAY = dte013MEN120F010.Text
			End If
			'入退院_入院日
			If Not HspRec.HSP_DT.Equals(Nothing) Then
				ldtMtiPathRow.HSP_DT = HspRec.HSP_DT
			End If
			'入退院_退院日
			If Not HspRec.OUT_HSP_DT.Equals(Nothing) Then
				ldtMtiPathRow.OUT_HSP_DT = HspRec.OUT_HSP_DT
			End If
			'科歴_開始日
			If Not ChRec.START_DT.Equals(Nothing) Then
				ldtMtiPathRow.CH_START_DT = ChRec.START_DT
			End If
			'科歴_終了日
			If Not ChRec.END_DT.Equals(Nothing) Then
				ldtMtiPathRow.CH_END_DT = ChRec.END_DT
			End If
			' チェック処理
			lArList = New ArrayList
			lArList.Add(ldtMtiPathRow)
			lRetErrCnt = cliMEN010F060.chkPathInfo(lArList, Me)
			For Each lChkObj In lRetErrCnt
				If IIf(lChkObj Is Nothing, 0, lChkObj) <> 0 Then
					lRet = MsgBoxResult.No
				End If
			Next
		Catch ex As Exception
			Throw
		Finally
			ldtMtiPathRow = Nothing
			lArList = Nothing
			lRetErrCnt = Nothing
			lChkObj = Nothing
		End Try
		Return lRet
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 全入力チェック
	''' </summary>
	''' <returns>成否</returns>
	''' <remarks>
	''' 2010/11/01 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function chkDataRowAll() As Boolean
		log(clsSysMst.logLevel.DBG, "chkDataRowAll", "全入力チェック Start")
		Dim lRet As Boolean = True
		Dim lDtRow As DataRow = Nothing
		Dim ldtMtiPathRow As datMtiPathInfo			' チェック用テーブル
		Dim lArList As ArrayList
		Dim lRetErrCnt As ArrayList
		Dim lChkObj As Object = Nothing
		Try
			lArList = New ArrayList
			For Each lDtRow In datMtiPath.Rows
				If lDtRow.RowState = DataRowState.Deleted Then Continue For
				If lDtRow(sqlMENCOMMON.itmAddCol4NewRow).ToString = clsMENCOMMON.CONST_NEWROW Then Continue For
				ldtMtiPathRow = New datMtiPathInfo
				With ldtMtiPathRow
					.PATIENT_NO = lDtRow(sqlMTI_PATH.itmPATIENT_NO)
					.HSP_HISTORY_NO = lDtRow(sqlMTI_PATH.itmHSP_HISTORY_NO)
					.CH_NO = lDtRow(sqlMTI_PATH.itmCH_NO)
					.PATH_SERIAL_NO = lDtRow(sqlMTI_PATH.itmPATH_SERIAL_NO)
					'パスコード
					.PATH_CD = lDtRow(sqlMTI_PATH.itmPATH_CD).ToString
					'パス名
					.PATH_NM = lDtRow(sqlMTI_PATH.itmPATH_NM).ToString
					'指示医
					.DOCTOR_CD = lDtRow(sqlMTI_PATH.itmDOCTOR_CD).ToString
					.STAFF_NM = lDtRow(sqlMTI_PATH.itmDOCTOR_NM).ToString
					'バリアンス有無
					.CHK_CD = lDtRow(sqlMTI_PATH.itmCHK_CD).ToString
					.VARIANCE_CHK_NM = lDtRow(sqlMTI_PATH.itmVARIANCE_CHK_NM).ToString
					'バリアンス種類
					.TYPE_CD = lDtRow(sqlMTI_PATH.itmTYPE_CD).ToString
					.VARIANCE_TYPE_NM = lDtRow(sqlMTI_PATH.itmVARIANCE_TYPE_NM).ToString
					'理由１
					.REASON1_CD = lDtRow(sqlMTI_PATH.itmREASON1_CD).ToString
					.REASON1_NM = lDtRow(sqlMTI_PATH.itmREASON1_NM).ToString
					'理由２
					.REASON2_CD = lDtRow(sqlMTI_PATH.itmREASON2_CD).ToString
					.REASON2_NM = lDtRow(sqlMTI_PATH.itmREASON2_NM).ToString
					'理由３
					.REASON3_CD = lDtRow(sqlMTI_PATH.itmREASON3_CD).ToString
					.REASON3_NM = lDtRow(sqlMTI_PATH.itmREASON3_NM).ToString
					'理由４
					.REASON4_CD = lDtRow(sqlMTI_PATH.itmREASON4_CD).ToString
					.REASON4_NM = lDtRow(sqlMTI_PATH.itmREASON4_NM).ToString
					'適用開始日
					If IsDate(lDtRow(sqlMTI_PATH.itmSTART_DT)) Then
						.PATH_START_DT = lDtRow(sqlMTI_PATH.itmSTART_DT)
					End If
					'適用終了日
					If IsDate(lDtRow(sqlMTI_PATH.itmEND_DT)) Then
						.PATH_END_DT = lDtRow(sqlMTI_PATH.itmEND_DT)
					End If
					'バリアンス日
					If IsDate(lDtRow(sqlMTI_PATH.itmVARIANCE_DAY)) Then
						.VARIANCE_DAY = lDtRow(sqlMTI_PATH.itmVARIANCE_DAY)
					End If
					'入退院_入院日
					If Not HspRec.HSP_DT.Equals(Nothing) Then
						.HSP_DT = HspRec.HSP_DT
					End If
					'入退院_退院日
					If Not HspRec.OUT_HSP_DT.Equals(Nothing) Then
						.OUT_HSP_DT = HspRec.OUT_HSP_DT
					End If
					'科歴_開始日
					If Not ChRec.START_DT.Equals(Nothing) Then
						.CH_START_DT = ChRec.START_DT
					End If
					'科歴_終了日
					If Not ChRec.END_DT.Equals(Nothing) Then
						.CH_END_DT = ChRec.END_DT
					End If
				End With
				lArList.Add(ldtMtiPathRow)
			Next
			'チェック
			If lArList.Count > 0 Then
				lRetErrCnt = cliMEN010F060.chkPathInfo(lArList, Me)
				For Each lChkObj In lRetErrCnt
					If IIf(lChkObj Is Nothing, 0, lChkObj) <> 0 Then
						lRet = False
					End If
				Next
			End If
		Catch ex As Exception
			Throw
		Finally
			lDtRow = Nothing
			ldtMtiPathRow = Nothing
			lArList = Nothing
			lRetErrCnt = Nothing
			lChkObj = Nothing
		End Try
		Return lRet
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' グリッド上下入替え処理
	''' </summary>
	''' <param name="aRowIndex1">入替え元Index</param>
	''' <param name="aRowIndex2">入替え先Index</param>
	''' <remarks>
	''' 2010/11/01 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub chgUpDownGrid(ByVal aRowIndex1 As Integer, ByVal aRowIndex2 As Integer)
		log(clsSysMst.logLevel.DBG, "chgUpDownGrid", "グリッド上下入替え処理 クリック Start")
		Try
			dgv001MEN120F010.Columns(CONTROL_C01001MEN120F010).HeaderCell.SortGlyphDirection = SortOrder.Ascending

			Dim wIndex As Integer
			Dim wIndex2 As Integer
			Dim wGridViewRow1 As DataGridViewRow = dgv001MEN120F010.Rows(aRowIndex1)
			Dim wGridViewRow2 As DataGridViewRow = dgv001MEN120F010.Rows(aRowIndex2)
			Dim wDataRowView1 As DataRowView = CType(wGridViewRow1.DataBoundItem, DataRowView)
			Dim wDataRowView2 As DataRowView = CType(wGridViewRow2.DataBoundItem, DataRowView)
			Dim wDataRow1 As DataRow = CType(wDataRowView1.Row, DataRow)
			Dim wDataRow2 As DataRow = CType(wDataRowView2.Row, DataRow)

			' Index退避
			wIndex = dgv001MEN120F010.Rows(aRowIndex1).Cells(CONTROL_C01001MEN120F010).Value
			wIndex2 = dgv001MEN120F010.Rows(aRowIndex2).Cells(CONTROL_C01001MEN120F010).Value

			' 選択行レコード取得
			wDataRow1.BeginEdit()
			wDataRow2.BeginEdit()
			wDataRow1(sqlMTI_PATH.itmPATH_SERIAL_NO) = wIndex2
			wDataRow2(sqlMTI_PATH.itmPATH_SERIAL_NO) = wIndex
			wDataRow1.EndEdit()
			wDataRow2.EndEdit()

			' ソート処理
			Dim dv As DataView = datMtiPath.DefaultView
			dv.Sort = sqlMTI_PATH.itmPATH_SERIAL_NO
			dgv001MEN120F010.Columns(CONTROL_C01001MEN120F010).HeaderCell.SortGlyphDirection = SortOrder.Ascending

			' 現在行にフォーカス移動
			srhSerialNo(wIndex2)
			pNowSerialNo = wIndex2

			' ボタン表示切替
			cliMENCOMMON.dspUpDownButtonFace(dgv001MEN120F010, Me)

		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' グリッド上下移動処理
	''' </summary>
	''' <param name="aUpFlg"></param>
	''' <remarks>
	''' 2010/11/01 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub GrdRowUpDownIndex(ByVal aUpFlg As Boolean)
		log(clsSysMst.logLevel.DBG, "GrdRowUpDownIndex", "グリッド上下移動処理 クリック Start")
		Try
			Dim wRowIndex As Integer = srhSerialNo(pNowSerialNo, True)
			Dim wRowNextIndex As Integer = IIf(aUpFlg, wRowIndex - 1, wRowIndex + 1)
			' グリッドに反映
			If Not setDataRow(wRowIndex) Then Exit Sub

			dgv001MEN120F010.Rows(wRowNextIndex).Cells(1).Selected = True
			' グリッドから取得
			dspDataRow()
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' グリッドの行確定処理
	''' </summary>
	''' <remarks>
	''' 2010/12/07 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub selGridView()
		log(clsSysMst.logLevel.DBG, "selGridView", "グリッドの行確定処理 クリック Start")
		Try
			If pNowSerialNo = 0 Then Exit Sub
			If Not setDataRow(srhSerialNo(pNowSerialNo, True)) Then
				srhSerialNo(pNowSerialNo)
				dgv001MEN120F010.Refresh()
				Exit Sub
			End If
			dspDataRow()
		Catch ex As Exception
			Throw
		End Try
	End Sub

#End Region

#Region "オーバーライドメソッド"

	''' ---------------------------------------------
	''' <summary>
	''' 更新処理
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2010/11/15 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function UpdProc() As Boolean
		log(clsSysMst.logLevel.NRM, "UpdProc", "更新処理 Start")
		Try
			' 現状行のDataTable反映
			If Not setDataRow(srhSerialNo(pNowSerialNo, True)) Then
				Return False
			End If
			dspDataRow()
			' 全入力行のチェック処理
			If Not chkDataRowAll() Then
				If Me.getErrCount <> 0 Then nextErrForm()
				Return False
			End If
			Return True
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' ＤＢ更新
	''' </summary>
	''' <remarks>
	''' 2010/11/15 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function DBProc() As Boolean
		log(clsSysMst.logLevel.DBG, "DBProc", "ＤＢ更新 Start")
		Try
			' 更新処理
			UpdProcPath()
			Return True
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 上へ処理
	''' </summary>
	''' <remarks>
	''' 2010/11/01 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function UpWardProc() As Boolean
		log(clsSysMst.logLevel.NRM, "UpWardProc", "上へ処理 クリック Start")
		Try
			chgUpDownGrid(dgv001MEN120F010.CurrentCell.RowIndex, dgv001MEN120F010.CurrentCell.RowIndex - 1)
			cmb003MEN120F010.Focus()
			Return True
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 下へ処理
	''' </summary>
	''' <remarks>
	''' 2010/11/01 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function DownWardProc() As Boolean
		log(clsSysMst.logLevel.NRM, "DownWardProc", "下へ処理 クリック Start")
		Try
			chgUpDownGrid(dgv001MEN120F010.CurrentCell.RowIndex, dgv001MEN120F010.CurrentCell.RowIndex + 1)
			cmb003MEN120F010.Focus()
			Return True
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' カーソル上移動処理
	''' </summary>
	''' <remarks>
	''' 2010/11/01 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function Func1Proc() As Boolean
		log(clsSysMst.logLevel.NRM, "Func1Proc", "カーソル上移動処理 クリック Start")
		Try
			GrdRowUpDownIndex(True)
			cmb003MEN120F010.Focus()
			Return True
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' カーソル下移動処理
	''' </summary>
	''' <remarks>
	''' 2010/11/01 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function Func2Proc() As Boolean
		log(clsSysMst.logLevel.NRM, "Func2Proc", "カーソル下移動処理 クリック Start")
		Try
			GrdRowUpDownIndex(False)
			cmb003MEN120F010.Focus()
			Return True
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' パスマスタ検索起動処理
	''' </summary>
	''' <remarks>
	''' 2010/11/01 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function Func3Proc() As Boolean
		log(clsSysMst.logLevel.NRM, "Func3Proc", "パスマスタ検索起動処理 Start")
		Try
			' グリッドに反映
			If Not setDataRow(srhSerialNo(pNowSerialNo, True)) Then Return False
			cmb003MEN120F010.Focus()
			nextForm(New XSP.XSP200F010(CONST_PATHCODEARY_PARM_STRING))		'クリニカルパス検索
			Return True
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' Ｆ３キー押下による追加
	''' </summary>
	''' <remarks>
	''' 2010/11/01 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function FuncAddProc() As Boolean
		log(clsSysMst.logLevel.NRM, "FuncAddProc", "Ｆ３キー押下 Start")
		Try
			' グリッドに反映
			If Not setDataRow(srhSerialNo(pNowSerialNo, True)) Then Return False
			AddNewRow()
			dspDataRow()
			cmb003MEN120F010.Focus()
			Return True
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' Ｆ５キー押下による削除
	''' </summary>
	''' <remarks>
	''' 2010/11/01 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function FuncDeleteProc() As Boolean
		log(clsSysMst.logLevel.NRM, "FuncDeleteProc", "Ｆ５キー押下 Start")
		Dim lGridViewRow As DataGridViewRow = Nothing
		Dim lDataRowView As DataRowView = Nothing
		Dim lDataRow As DataRow = Nothing
		Try
			lGridViewRow = dgv001MEN120F010.CurrentRow
			If lGridViewRow Is Nothing Then Return False
			If confMsg("Q0005", MessageBoxButtons.YesNo, MessageBoxDefaultButton.Button2, "削除", Nothing) = MsgBoxResult.Yes Then
				' 選択行レコード取得
				lDataRowView = CType(lGridViewRow.DataBoundItem, DataRowView)
				lDataRow = CType(lDataRowView.Row, DataRow)
				' 最終行の場合は１つカーソルを前に移動する
				If dgv001MEN120F010.CurrentCell.RowIndex = dgv001MEN120F010.Rows.Count - 1 AndAlso dgv001MEN120F010.Rows.Count <> 1 Then
					dgv001MEN120F010.Rows(dgv001MEN120F010.Rows.Count - 2).Cells(1).Selected = True
				End If
				lDataRow.Delete()

				' すべて削除されている場合は新規追加
				If dgv001MEN120F010.Rows.Count = 0 Then
					AddNewRow()
				End If

				' 現在のグリッド情報を取得
				dspDataRow()
			End If
			cmb003MEN120F010.Focus()
			Return True
		Catch ex As Exception
			Throw
		Finally
			lGridViewRow = Nothing
			lDataRowView = Nothing
			lDataRow = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' Ｆ７キー押下による保存
	''' </summary>
	''' <remarks>
	''' 2010/11/01 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function FuncExecProc() As Boolean
		log(clsSysMst.logLevel.NRM, "FuncExecProc", "Ｆ７キー押下 Start")
		Try
			If Not setDataRow(srhSerialNo(pNowSerialNo, True)) Then Return False
			cliMENCOMMON.dspUpDownButtonFace(dgv001MEN120F010, Me)
			dspDataRow()
			cmb003MEN120F010.Focus()
			Return True
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' Ｆ８キー押下による取消し
	''' </summary>
	''' <remarks>
	''' 2010/11/01 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function FuncCancelProc() As Boolean
		log(clsSysMst.logLevel.NRM, "FuncCancelProc", "Ｆ８キー押下 Start")
		Try
			If confMsg("Q0001", MessageBoxButtons.YesNo, MessageBoxDefaultButton.Button2, "修正内容を取消します。", Nothing) = MsgBoxResult.Yes Then
				dspDataRow()
			End If
			cmb003MEN120F010.Focus()
			Return True
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 子画面処理後の処理
	''' </summary>
	''' <param name="ret"></param>
	''' <param name="de"></param>
	''' <remarks>
	''' 2010/11/01 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Sub rcvData(ByVal ret As XCM.frmBase.Enum_FormReturn, ByVal de As System.Collections.DictionaryEntry)
		log(clsSysMst.logLevel.DBG, "rcvData", "子画面処理後の処理 start")
		Dim lMtmPath As datMtmPath = Nothing
		Dim lAddSeq As Integer = 0
		Try
			Select Case de.Key.ToString
				Case CONST_PATHCODEARY_PARM_STRING
					If ret = Enum_FormReturn.OK Then
						For Each lMtmPath In de.Value
							AddNewRow(lMtmPath, lAddSeq)
						Next
						dspDataRow()
					End If
				Case CONST_PATHCODEONE_PARM_STRING
					If ret = Enum_FormReturn.OK Then
						cliCom.setComboValue(cmb003MEN120F010, de.Value.ToString)
					End If
				Case CONST_VARIANCE1_PARM_STRING
					If ret = Enum_FormReturn.OK Then
						cliCom.setComboValue(cmb021MEN120F010, de.Value.ToString)
					End If
				Case CONST_VARIANCE2_PARM_STRING
					If ret = Enum_FormReturn.OK Then
						cliCom.setComboValue(cmb024MEN120F010, de.Value.ToString)
					End If
				Case CONST_VARIANCE3_PARM_STRING
					If ret = Enum_FormReturn.OK Then
						cliCom.setComboValue(cmb027MEN120F010, de.Value.ToString)
					End If
				Case CONST_VARIANCE4_PARM_STRING
					If ret = Enum_FormReturn.OK Then
						cliCom.setComboValue(cmb030MEN120F010, de.Value.ToString)
					End If
				Case CONST_DOCTOR_PARM_STRING
					If ret = Enum_FormReturn.OK Then
						cliCom.setComboValue(cmb010MEN120F010, de.Value.ToString)
					End If
				Case Else
					MyBase.rcvData(ret, de)
			End Select
		Catch ex As Exception
			Throw
		Finally
			lMtmPath = Nothing
			lAddSeq = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' Ｆ１キー押下処理
	''' </summary>
	''' <remarks>
	''' 2010/12/07 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function F1KeyProc() As Boolean
		log(clsSysMst.logLevel.DBG, "F1KeyProc", "Ｆ１キー押下処理 Start")
		Try
			Select Case True
				Case Me.ExeMode = Enum_ExeMode.eReference
					' 処理モード＝「参照」の場合は処理しない
					Return MyBase.F1KeyProc()
				Case cmb003MEN120F010.Focused	'パス
					nextForm(New XSP.XSP200F010(CONST_PATHCODEONE_PARM_STRING, cmb003MEN120F010.Text))	'クリニカルパス検索
					Return True
				Case cmb021MEN120F010.Focused	'理由１
					nextForm(New XSP.XSP220F010(CONST_VARIANCE1_PARM_STRING, cmb021MEN120F010.Text))	'バリアンス検索
					Return True
				Case cmb024MEN120F010.Focused	'理由２
					nextForm(New XSP.XSP220F010(CONST_VARIANCE2_PARM_STRING, cmb024MEN120F010.Text))	'バリアンス検索
					Return True
				Case cmb027MEN120F010.Focused	'理由３
					nextForm(New XSP.XSP220F010(CONST_VARIANCE3_PARM_STRING, cmb027MEN120F010.Text))	'バリアンス検索
					Return True
				Case cmb030MEN120F010.Focused	'理由４
					nextForm(New XSP.XSP220F010(CONST_VARIANCE4_PARM_STRING, cmb030MEN120F010.Text))	'バリアンス検索
					Return True
				Case Else
					Return MyBase.F1KeyProc()
			End Select
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' ＥＮＴＥＲキー押下処理
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2010/12/07 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function EnterProc() As Boolean
		log(clsSysMst.logLevel.DBG, "EnterProc", "ＥＮＴＥＲキー押下処理 Start")
		Try
			Select Case True
				Case dgv001MEN120F010.Focused
					selGridView()
					cmb003MEN120F010.Focus()
					Return True
				Case Else
					Return MyBase.EnterProc()
			End Select
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 画面終了後処理
	''' </summary>
	''' <param name="bCancel">キャンセルフラグ</param>
	''' <remarks>
	''' 2010/12/10 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Sub ClosedProc(ByVal bCancel As Boolean)
		If bCancel Then
			Exit Sub
		End If
		Try
			' インスタンス開放
			If cliMEN010F060 IsNot Nothing Then cliMEN010F060.Dispose()
			If datMtiPath IsNot Nothing Then datMtiPath.Dispose()

			' 画面終了後処理
			MyBase.ClosedProc(bCancel)
		Catch ex As Exception
			ErrorProc(ex)
		Finally
			cliCom = Nothing
			cliGridStyle = Nothing
			datMtiPath = Nothing
			cliMEN010F060 = Nothing
			cliMENCOMMON = Nothing
			pNowSerialNo = Nothing
		End Try
	End Sub

#End Region

End Class
