﻿Imports XCM

''' ---------------------------------------------
''' <summary>
''' 登録参照＿チェック処理
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public NotInheritable Class sqlMEN010F060

	Public Const itmPATIENT_NO As String = "PATIENT_NO"									'患者番号
	Public Const itmBIRTH_DT As String = "BIRTH_DT"										'生年月日
	Public Const itmOUT_HSP_DT As String = "OUT_HSP_DT"									'退院日
	Public Const itmHSP_HISTORY_NO As String = "HSP_HISTORY_NO"							'入退院歴番号
	Public Const itmBYOREKI_NO As String = "BYOREKI_NO"									'病歴番号
	Public Const itmDEPT_CD As String = "DEPT_CD"										'診療科コード
	Public Const itmWARD_CD As String = "WARD_CD"										'病棟コード
	Public Const itmDOCTOR_CD As String = "DOCTOR_CD"									'医師コード
	Public Const itmHSP_CNL_CD As String = "HSP_CNL_CD"									'入院経路コード
	Public Const itmREADMISSION_FLG As String = "READMISSION_FLG"						'再入院フラグ
	Public Const itmHSP_AIM_CD As String = "HSP_AIM_CD"									'入院目的コード
	Public Const itmHSP_FORM_CD As String = "HSP_FORM_CD"								'入院形態コード
	Public Const itmHSP_DT As String = "HSP_DT"											'入院日
	Public Const itmHSP_TIME As String = "HSP_TIME"										'入院時刻
	Public Const itmHSP_AGE As String = "HSP_AGE"										'入院時年齢
	Public Const itmHSP_MONTH_AGE As String = "HSP_MONTH_AGE"							'入院時月齢
	Public Const itmHSP_DAY_AGE As String = "HSP_DAY_AGE"								'入院時日齢
	Public Const itmOUT_HSP_TIME As String = "OUT_HSP_TIME"								'退院時刻
	Public Const itmOUT_HSP_AGE As String = "OUT_HSP_AGE"								'退院時年齢
	Public Const itmOUT_HSP_MONTH_AGE As String = "OUT_HSP_MONTH_AGE"					'退院時月齢
	Public Const itmOUT_HSP_DAY_AGE As String = "OUT_HSP_DAY_AGE"						'退院時日齢
	Public Const itmOUT_HSP_CNL_CD As String = "OUT_HSP_CNL_CD"							'退院経路コード
	Public Const itmOUT_HSP_OUTCOME_CD As String = "OUT_HSP_OUTCOME_CD"					'退院転帰コード
	Public Const itmCHANGE_DEPT_CHK As String = "CHANGE_DEPT_CHK"						'転科有無コード
	Public Const itmHOLD_DEPT_CHK As String = "HOLD_DEPT_CHK"							'兼科有無コード
	Public Const itmTAKE_AMBULANCE_CHK As String = "TAKE_AMBULANCE_CHK"					'救急車搬送有無コード
	Public Const itmPLAN_EMERGENCY_CD As String = "PLAN_EMERGENCY_CD"					'予定緊急コード
	Public Const itmLAST_SELF_OTHER_HSP_DIV As String = "LAST_SELF_OTHER_HSP_DIV"		'前回自他院区分
	Public Const itmLAST_OUT_HSP_DT As String = "LAST_OUT_HSP_DT"						'前回退院日
	Public Const itmSAME_DISEASE_LAST_HSP_DT As String = "SAME_DISEASE_LAST_HSP_DT"		'同一疾病前回退院日
	Public Const itmDISEASE_READMISSION_FLG As String = "DISEASE_READMISSION_FLG"		'疾病再入院フラグ
	Public Const itmSTATURE As String = "STATURE"										'身長
	Public Const itmWEIGHT As String = "WEIGHT"											'体重
	Public Const itmTIME_OUT_FLG As String = "TIME_OUT_FLG"								'時間外フラグ
	Public Const itmSTART_DT As String = "START_DT"										'開始日
	Public Const itmCH_NO As String = "CH_NO"											'科歴番号
	Public Const itmEND_DT As String = "END_DT"											'終了日
	Public Const itmSTART_TIME As String = "START_TIME"									'開始時刻
	Public Const itmCB_DT As String = "CB_DT"											'分娩日
	Public Const itmCB_AGE As String = "CB_AGE"											'分娩時年齢
	Public Const itmCB_MONTH_AGE As String = "CB_MONTH_AGE"								'分娩時月齢
	Public Const itmCHD_COUNT As String = "CHD_COUNT"									'児数
	Public Const itmCNT As String = "CNT"												'データ件数
	Public Const itmTABLENAME As String = "TABLENAME"									'テーブル名

	'患者番号パラメタ
	Public Const prmPATIENT_NO As String = "@PATIENT_NO"
	' 固定コード
	Public Const prmFIXED_CD As String = "@FIXED_CD"
	'入退院歴番号
	Public Const prmHSP_HISTORY_NO As String = "@HSP_HISTORY_NO"
	'科歴番号
	Public Const prmCH_NO As String = "@CH_NO"
	'手術連番
	Public Const prmOPE_SERIAL_NO As String = "@OPE_SERIAL_NO"
	' 死亡場所マスタ固定コード
	Public Const prmDEATH_LCT_FIXED_CD As String = "@DEATH_LCT_FIXED_CD"
	'退院転帰マスタ固定コード
	Public Const prmOUT_HSP_OUTCOME_FIXED_CD As String = "@OUT_HSP_OUTCOME_FIXED_CD"
	'管理記号
	Public Const prmMNG_DIV As String = "@MNG_DIV"
	'管理番号
	Public Const prmMNG_NO As String = "@MNG_NO"
	'終了経路
	Public Const prmEND_CNL_CD As String = "@END_CNL_CD"
	'分娩子連番
	Public Const prmCB_SERIAL_NO As String = "@CB_SERIAL_NO"
	'小分類コード
	Public Const prmS_GRP_CD As String = "@S_GRP_CD"
	'C分類
	Public Const prmC_GRP_CD As String = "@C_GRP_CD"
	'病名連番
	Public Const prmDISEASE_SERIAL_NO As String = "@DISEASE_SERIAL_NO"
	'チェックフラグ
	Public Const prmCheckFlg As String = "@CheckFlg"
	'中分類
	Public Const prmM_GRP_CD As String = "@M_GRP_CD"

	' 基本情報チェックＳＱＬ
	Public Const sqlBASICINFO_CHK_REC As String = "SELECT XTI_BASICINFO.PATIENT_NO" & _
	", XTI_BASICINFO.PATIENT_NM,     XTI_BASICINFO.PATIENT_KNM" & _
	", XTI_BASICINFO.PREVIOUS1_NM,   XTI_BASICINFO.PREVIOUS1_KNM" & _
	", XTI_BASICINFO.PREVIOUS2_NM,   XTI_BASICINFO.PREVIOUS2_KNM" & _
	", XTI_BASICINFO.GENDER_CD,      XTI_BASICINFO.BIRTH_DT" & _
	", XTI_BASICINFO.FIRSTHSPVST_DT, XTI_BASICINFO.LASTHSPVST_DT" & _
	", XTI_BASICINFO.LASTDEPT_CD, XTI_BASICINFO.LASTLEFTHSP_DT" & _
	", XTM_GENDER.GENDER_NM,         MTI_HSP.OUT_HSP_DT" & _
	" FROM XTI_BASICINFO " & _
	" LEFT JOIN XTM_GENDER ON XTI_BASICINFO.GENDER_CD = XTM_GENDER.GENDER_CD" & _
	" LEFT JOIN " & _
	" (SELECT PATIENT_NO, MAX(OUT_HSP_DT) AS OUT_HSP_DT FROM MTI_HSP WHERE PATIENT_NO = " & prmPATIENT_NO & _
	"         GROUP BY PATIENT_NO) MTI_HSP" & _
	"   ON XTI_BASICINFO.PATIENT_NO = MTI_HSP.PATIENT_NO" & _
	" WHERE XTI_BASICINFO.PATIENT_NO = " & prmPATIENT_NO

	'死亡情報（院内)チェックSQL
	Public Const sqlDEATH_INSIDE_CHK_REC As String = "SELECT MTI_DEATH.PATIENT_NO" & _
	", MTI_DEATH.DEATH_DT, MTI_DEATH.DEATH_DIV, MTI_DEATH.AFTER_OPE_DEATH_DIV" & _
	", MTI_DEATH.DEATH_TIME" & _
	", MTI_DEATH.DEATH_AGE, MTI_DEATH.DEATH_MONTH_AGE, MTI_DEATH.DEATH_DAY_AGE" & _
	", XTI_BASICINFO.BIRTH_DT, MTI_HSP.OUT_HSP_DT, MTM_DEATH_LCT.FIXED_CD, MTM_DEATH_DIV.DEATH_DIV_NM, MTM_AFTER_OPE_DEATH_DIV.AFTER_OPE_DEATH_DIV_NM" & _
	" FROM MTI_DEATH" & _
	" LEFT JOIN MTI_HSP ON MTI_DEATH.PATIENT_NO = MTI_HSP.PATIENT_NO" & _
	" LEFT JOIN XTI_BASICINFO ON MTI_DEATH.PATIENT_NO = XTI_BASICINFO.PATIENT_NO" & _
	" LEFT JOIN MTM_DEATH_LCT ON MTI_DEATH.DEATH_LCT_CD = MTM_DEATH_LCT.DEATH_LCT_CD" & _
	" LEFT JOIN MTM_DEATH_DIV ON MTI_DEATH.DEATH_DIV = MTM_DEATH_DIV.DEATH_DIV_CD" & _
	" LEFT JOIN MTM_AFTER_OPE_DEATH_DIV ON MTI_DEATH.AFTER_OPE_DEATH_DIV = MTM_AFTER_OPE_DEATH_DIV.AFTER_OPE_DEATH_DIV_CD" & _
	" LEFT JOIN MTM_OUT_HSP_OUTCOME ON MTI_HSP.OUT_HSP_OUTCOME_CD = MTM_OUT_HSP_OUTCOME.OUT_HSP_OUTCOME_CD" & _
	" WHERE MTI_DEATH.PATIENT_NO = " & prmPATIENT_NO & _
	" AND MTM_OUT_HSP_OUTCOME.FIXED_CD = " & prmOUT_HSP_OUTCOME_FIXED_CD & _
	" AND MTM_DEATH_LCT.FIXED_CD = " & prmDEATH_LCT_FIXED_CD

	'死亡情報（院外)チェックSQL
	Public Const sqlDEATH_OUTSIDE_CHK_REC As String = "SELECT MTI_DEATH.PATIENT_NO" & _
	", MTI_DEATH.DEATH_DT, MTI_DEATH.AFTER_OPE_DEATH_DIV" & _
	", MTI_DEATH.DEATH_TIME" & _
	", MTI_DEATH.DEATH_AGE, MTI_DEATH.DEATH_MONTH_AGE, MTI_DEATH.DEATH_DAY_AGE" & _
	", XTI_BASICINFO.BIRTH_DT, MTI_HSP.OUT_HSP_DT, MTM_DEATH_LCT.FIXED_CD, MTM_DEATH_DIV.DEATH_DIV_NM, MTM_AFTER_OPE_DEATH_DIV.AFTER_OPE_DEATH_DIV_NM" & _
	" FROM MTI_DEATH" & _
	" LEFT JOIN MTI_HSP ON MTI_DEATH.PATIENT_NO = MTI_HSP.PATIENT_NO" & _
	" LEFT JOIN XTI_BASICINFO ON MTI_DEATH.PATIENT_NO = XTI_BASICINFO.PATIENT_NO" & _
	" LEFT JOIN MTM_DEATH_LCT ON MTI_DEATH.DEATH_LCT_CD = MTM_DEATH_LCT.DEATH_LCT_CD" & _
	" LEFT JOIN MTM_DEATH_DIV ON MTI_DEATH.DEATH_DIV = MTM_DEATH_DIV.DEATH_DIV_CD" & _
	" LEFT JOIN MTM_AFTER_OPE_DEATH_DIV ON MTI_DEATH.AFTER_OPE_DEATH_DIV = MTM_AFTER_OPE_DEATH_DIV.AFTER_OPE_DEATH_DIV_CD" & _
	" LEFT JOIN MTM_OUT_HSP_OUTCOME ON MTI_HSP.OUT_HSP_OUTCOME_CD = MTM_OUT_HSP_OUTCOME.OUT_HSP_OUTCOME_CD" & _
	" WHERE MTI_DEATH.PATIENT_NO = " & prmPATIENT_NO & _
	" AND MTM_OUT_HSP_OUTCOME.FIXED_CD = " & prmOUT_HSP_OUTCOME_FIXED_CD & _
	" AND ( MTM_DEATH_LCT.FIXED_CD <> " & prmDEATH_LCT_FIXED_CD & _
	" OR    MTM_DEATH_LCT.FIXED_CD IS NULL)"

	'入退院情報チェックSQL
	Public Const sqlHSP_CHK_REC As String = "SELECT MTI_HSP.PATIENT_NO, MTI_HSP.HSP_HISTORY_NO, MTI_HSP.BYOREKI_NO" & _
	", MTI_HSP.DEPT_CD, MTI_HSP.WARD_CD, MTI_HSP.DOCTOR_CD, MTI_HSP.HSP_CNL_CD, MTI_HSP.READMISSION_FLG, MTI_HSP.HSP_AIM_CD" & _
	", MTI_HSP.HSP_FORM_CD, MTI_HSP.HSP_DT, MTI_HSP.HSP_TIME, MTI_HSP.HSP_AGE, MTI_HSP.HSP_MONTH_AGE, MTI_HSP.HSP_DAY_AGE" & _
	", MTI_HSP.OUT_HSP_DT, MTI_HSP.OUT_HSP_TIME, MTI_HSP.OUT_HSP_AGE, MTI_HSP.OUT_HSP_MONTH_AGE, MTI_HSP.OUT_HSP_DAY_AGE" & _
	", MTI_HSP.OUT_HSP_CNL_CD, MTI_HSP.OUT_HSP_OUTCOME_CD, MTI_HSP.HSP_DAYS, MTI_HSP.CHANGE_DEPT_CHK, MTI_HSP.HOLD_DEPT_CHK" & _
	", MTI_HSP.TAKE_AMBULANCE_CHK, MTI_HSP.PLAN_EMERGENCY_CD, MTI_HSP.CLINICAL_TRIAL_CHK, MTI_HSP.LAST_SELF_OTHER_HSP_DIV" & _
	", MTI_HSP.LAST_OUT_HSP_DT, MTI_HSP.DPC_NO, MTI_HSP.TOTAL_MED_COST, MTI_HSP.MED_COST_COUNT, MTI_HSP.EXCLUDE_STATISTICS_FLG" & _
	", MTI_HSP.SAME_DISEASE_LAST_HSP_DT, MTI_HSP.REMARKS, MTI_HSP.HSP_INFECTION_CHK, MTI_HSP.HSP_FREEITEM1, MTI_HSP.HSP_FREEITEM2" & _
	", MTI_HSP.HSP_FREEITEM3, MTI_HSP.HSP_FREEITEM4, MTI_HSP.HSP_FREEITEM5, MTI_HSP.HSP_FREEITEM6" & _
	", MTI_HSP.DISEASE_READMISSION_FLG, MTI_HSP.STATURE, MTI_HSP.WEIGHT, MTI_HSP.TIME_OUT_FLG, MTI_HSP.DATA_CAPTURE_DT, MTI_HSP.NEW_REG_DT" & _
	", MTM_OUT_HSP_OUTCOME.FIXED_CD AS OUTCOME_FIXED_CD, MTM_HSP_CNL.FIXED_CD AS CNL_FIXED_CD" & _
	", MTI_CH.HSP_FLG, MTI_CH.OUT_HSP_FLG, MTI_CH.MAIN_DPM_FLG, MTI_CH.READMISSION_FLG AS CH_READMISSION_FLG" & _
	", MTI_CH.LAST_OUT_HSP_DT AS CH_LAST_OUT_HSP_DT" & _
	", MTI_CH.START_DT, MTI_CH.START_AGE, MTI_CH.START_MONTH_AGE, MTI_CH.START_DAY_AGE, MTI_CH.START_CNL_CD, MTI_CH.CH_NO" & _
	", MTI_CH.END_DT, MTI_CH.END_AGE, MTI_CH.END_MONTH_AGE, MTI_CH.END_DAY_AGE, MTI_CH.END_CNL_CD, MTI_CH.END_OUTCOME_CD" & _
	", MTI_CH.DEPT_CD AS CH_DEPT_CD, MTI_CH.WARD_CD AS CH_WARD_CD, MTI_CH.DOCTOR_CD AS CH_DOCTOR_CD" & _
	", MTI_CH.BYOREKI_NO AS CH_BYOREKI_NO, MTI_CH.HSP_AIM_CD AS CH_HSP_AIM_CD, MTI_CH.HSP_FORM_CD AS CH_HSP_FORM_CD" & _
	", MTI_CH.START_TIME, MTI_CH.END_TIME, MTI_CH.TAKE_AMBULANCE_CHK AS CH_TAKE_AMBULANCE_CHK, MTI_CH.PLAN_EMERGENCY_CD AS CH_PLAN_EMERGENCY_CD" & _
	", MTI_CH.CLINICAL_TRIAL_CHK AS CH_CLINICAL_TRIAL_CHK, MTI_CH.HSP_INFECTION_CHK AS CH_HSP_INFECTION_CHK" & _
	", MTI_CH.DISEASE_READMISSION_FLG AS CH_DISEASE_READMISSION_FLG, MTI_CH.SAME_DISEASE_LAST_HSP_DT AS CH_SAME_DISEASE_LAST_HSP_DT" & _
	", MTI_CH.LAST_SELF_OTHER_HSP_DIV AS CH_LAST_SELF_OTHER_HSP_DIV" & _
	" FROM MTI_HSP" & _
	" LEFT JOIN MTM_OUT_HSP_OUTCOME ON MTI_HSP.OUT_HSP_OUTCOME_CD = MTM_OUT_HSP_OUTCOME.OUT_HSP_OUTCOME_CD" & _
	" LEFT JOIN MTI_CH ON MTI_HSP.PATIENT_NO = MTI_CH.PATIENT_NO AND MTI_HSP.HSP_HISTORY_NO = MTI_CH.HSP_HISTORY_NO" & _
	" LEFT JOIN MTM_HSP_CNL ON MTI_CH.START_CNL_CD = MTM_HSP_CNL.HSP_CNL_CD" & _
	" WHERE MTI_HSP.PATIENT_NO = " & prmPATIENT_NO & _
	" ORDER BY MTI_HSP.HSP_HISTORY_NO, MTI_CH.CH_NO"

	' 科歴情報チェックSQL
	Public Const sqlCH_CHK_REC As String = "SELECT" & _
	" MTI_CH.PATIENT_NO, MTI_CH.HSP_HISTORY_NO, MTI_CH.CH_NO, MTI_CH.BYOREKI_NO, MTI_CH.DEPT_CD, MTI_CH.WARD_CD, MTI_CH.DOCTOR_CD, MTI_CH.HSP_FLG, MTI_CH.OUT_HSP_FLG, MTI_CH.MAIN_DPM_FLG" & _
	", MTI_CH.ZIP_CD, MTI_CH.AREA_CD, MTI_CH.ADDRESS_NM, MTI_CH.TELNUMBER, MTI_CH.READMISSION_FLG, MTI_CH.HSP_AIM_CD, MTI_CH.HSP_FORM_CD, MTI_CH.INTRODUCED_CD, MTI_CH.INTRODUCED_NM, MTI_CH.INTRODUCED_DOCTOR_NM" & _
	", MTI_CH.INTRODUCED_REMARKS, MTI_CH.REFERENCE_CD, MTI_CH.REFERENCE_NM, MTI_CH.REFERENCE_DOCTOR_NM, MTI_CH.REFERENCE_REMARKS, MTI_CH.START_CNL_CD, MTI_CH.START_DT, MTI_CH.START_TIME, MTI_CH.START_AGE" & _
	", MTI_CH.START_MONTH_AGE, MTI_CH.START_DAY_AGE, MTI_CH.END_DT, MTI_CH.END_TIME, MTI_CH.END_AGE, MTI_CH.END_MONTH_AGE, MTI_CH.END_DAY_AGE, MTI_CH.HSP_DAYS, MTI_CH.END_CNL_CD, MTI_CH.END_OUTCOME_CD, MTI_CH.STATURE" & _
	", MTI_CH.WEIGHT, MTI_CH.INSURANCE_CD1, MTI_CH.INSURANCE_CD2, MTI_CH.INSURANCE_CD3, MTI_CH.CURRENT_JOB_CD, MTI_CH.FIRST_DIAGNOSIS_DT, MTI_CH.OTHER_DEPT_CHK, MTI_CH.BLOOD_TRAN_CHK, MTI_CH.OPE_CHK, MTI_CH.DPC_CD" & _
	", MTI_CH.TOTAL_MED_COST, MTI_CH.INFECTION1, MTI_CH.INFECTION2, MTI_CH.INFECTION3, MTI_CH.INFECTION4, MTI_CH.INFECTION5, MTI_CH.INFECTION6, MTI_CH.OTHER_INFECTION, MTI_CH.ALLERGY1, MTI_CH.ALLERGY2, MTI_CH.ALLERGY3" & _
	", MTI_CH.ALLERGY4, MTI_CH.ALLERGY5, MTI_CH.ALLERGY6, MTI_CH.OTHER_ALLERGY, MTI_CH.LAST_OUT_HSP_DT, MTI_CH.LAST_SELF_OTHER_HSP_DIV, MTI_CH.COMMENT, MTI_CH.EXCLUDE_STATISTICS_FLG, MTI_CH.REG_STATUS_CD, MTI_CH.REG_FINISHED_DT" & _
	", MTI_CH.REG_PERSON_CD, MTI_CH.DISEASE_COUNT, MTI_CH.OPE_COUNT, MTI_CH.CARE_COUNT, MTI_CH.TEST_COUNT, MTI_CH.ASST_ITM1_COUNT, MTI_CH.ASST_ITM2_COUNT, MTI_CH.CB_COUNT, MTI_CH.EMERGENCY_COUNT, MTI_CH.OTHER_DEPT_COUNT" & _
	", MTI_CH.MED_COST_COUNT, MTI_CH.HOUSEHOLDER_NM, MTI_CH.RELATION_CD, MTI_CH.TAKE_AMBULANCE_CHK, MTI_CH.PLAN_EMERGENCY_CD, MTI_CH.CLINICAL_TRIAL_CHK, MTI_CH.CNR_REG_COUNT, MTI_CH.CNR_REG_EXPECTED_COUNT, MTI_CH.SAME_DISEASE_LAST_HSP_DT" & _
	", MTI_CH.REMARKS, MTI_CH.HSP_INFECTION_CHK, MTI_CH.DISEASE_READMISSION_FLG, MTI_CH.PATH_COUNT, MTI_CH.PAST_JOB_CD, MTI_CH.LIVE_TOGETHER_STATE_CD, MTI_CH.INTRODUCTION_CHK, MTI_CH.TIME_OUT_FLG, MTI_CH.DATA_CAPTURE_DT, MTI_CH.NEW_REG_DT" & _
	", XTI_BASICINFO.BIRTH_DT" & _
	", MTM_DEPT.DEPT_NM, MTM_OUT_HSP_CNL.OUT_HSP_CNL_NM, MTM_OUT_HSP_OUTCOME.OUT_HSP_OUTCOME_NM, MTM_HSP_CNL.HSP_CNL_NM" & _
	", MTM_WARD.WARD_NM, MTM_AREA.AREA_NM, MTM_REG_STATUS.REG_STATUS_NM, MTM_MED_AGENCY.MED_AGENCY_NM AS FROM_MED_AGENCY_NM" & _
	", MTM_MED_AGENCY_1.MED_AGENCY_NM AS TO_MED_AGENCY_NM, MTM_JOB.JOB_NM, XTM_STAFF.STAFF_NM AS DOCTOR_STAFF" & _
	", MTM_HSP_CNL.FIXED_CD AS HSP_CNL_FIXED_CD, MTM_OUT_HSP_CNL.FIXED_CD AS OUT_HSP_CNL_FIXED_CD" & _
	", MTM_OUT_HSP_OUTCOME.FIXED_CD AS OUT_HSP_OUTCOME_FIXED_CD" & _
	", MTI_DEATH.PATIENT_NO AS DEATH_PATIENT_NO, MTI_DEATH.DEATH_DT, MTI_DEATH.DEATH_TIME, MTM_DEATH_LCT.FIXED_CD AS DEATH_LCT_FIXED_CD" & _
	", XTM_STAFF_1.STAFF_NM AS ENTRY_STAFF, MTM_HSP_CNL.FIXED_CD3 AS HSP_CNL_FIXED_CD3, MTM_OUT_HSP_CNL.FIXED_CD3 AS OUT_HSP_CNL_FIXED_CD3" & _
	" FROM MTI_CH" & _
	" LEFT JOIN MTM_DEPT ON MTI_CH.DEPT_CD = MTM_DEPT.DEPT_CD" & _
	" LEFT JOIN MTM_WARD ON MTI_CH.WARD_CD = MTM_WARD.WARD_CD" & _
	" LEFT JOIN MTM_AREA ON MTI_CH.AREA_CD = MTM_AREA.AREA_CD" & _
	" LEFT JOIN MTM_REG_STATUS ON MTI_CH.REG_STATUS_CD = MTM_REG_STATUS.REG_STATUS_CD" & _
	" LEFT JOIN MTM_JOB ON MTI_CH.CURRENT_JOB_CD = MTM_JOB.JOB_CD" & _
	" LEFT JOIN MTM_OUT_HSP_CNL ON MTI_CH.END_CNL_CD = MTM_OUT_HSP_CNL.OUT_HSP_CNL_CD" & _
	" LEFT JOIN MTM_OUT_HSP_OUTCOME ON MTI_CH.END_OUTCOME_CD = MTM_OUT_HSP_OUTCOME.OUT_HSP_OUTCOME_CD" & _
	" LEFT JOIN MTM_HSP_CNL ON MTI_CH.START_CNL_CD = MTM_HSP_CNL.HSP_CNL_CD" & _
	" LEFT JOIN MTM_MED_AGENCY ON MTI_CH.INTRODUCED_CD = MTM_MED_AGENCY.MED_AGENCY_CD" & _
	" LEFT JOIN MTM_MED_AGENCY AS MTM_MED_AGENCY_1 ON MTI_CH.REFERENCE_CD = MTM_MED_AGENCY_1.MED_AGENCY_CD" & _
	" LEFT JOIN XTM_STAFF ON MTI_CH.DOCTOR_CD = XTM_STAFF.STAFF_CD" & _
	" LEFT JOIN XTM_STAFF AS XTM_STAFF_1 ON MTI_CH.REG_PERSON_CD = XTM_STAFF_1.STAFF_CD" & _
	" LEFT JOIN XTI_BASICINFO ON MTI_CH.PATIENT_NO = XTI_BASICINFO.PATIENT_NO" & _
	" LEFT JOIN MTI_DEATH ON MTI_CH.PATIENT_NO = MTI_DEATH.PATIENT_NO" & _
	" LEFT JOIN MTM_DEATH_LCT ON MTI_DEATH.DEATH_LCT_CD = MTM_DEATH_LCT.DEATH_LCT_CD" & _
	" WHERE MTI_CH.PATIENT_NO = " & prmPATIENT_NO & _
	" ORDER BY MTI_CH.PATIENT_NO, MTI_CH.HSP_HISTORY_NO, MTI_CH.CH_NO"

	'科歴チェック（医師情報）SQL
	Public Const sql_CH_DOCTOR_CHK_REC As String = "SELECT" & _
	  " MTI_DOCTOR.PATIENT_NO, MTI_DOCTOR.HSP_HISTORY_NO, MTI_DOCTOR.CH_NO" & _
	  ", MTI_DOCTOR.DOCTOR_SERIAL_NO" & _
	  ", MTI_DOCTOR.MAIN_DOCTOR_FLG, MTI_DOCTOR.DOCTOR_DIV, MTI_DOCTOR.DOCTOR_CD, MTI_DOCTOR.ATTEND_START_DT, MTI_DOCTOR.ATTEND_END_DT" & _
	  ", MTM_DOCTOR_DIV.DOCTOR_DIV_NM, XTM_STAFF.STAFF_NM" & _
	  " FROM MTI_DOCTOR" & _
	  " LEFT JOIN MTM_DOCTOR_DIV ON MTI_DOCTOR.DOCTOR_DIV = MTM_DOCTOR_DIV.DOCTOR_DIV_CD" & _
	  " LEFT JOIN XTM_STAFF ON MTI_DOCTOR.DOCTOR_CD = XTM_STAFF.STAFF_CD" & _
	  " WHERE MTI_DOCTOR.PATIENT_NO = " & prmPATIENT_NO & _
	  " AND MTI_DOCTOR.HSP_HISTORY_NO = " & prmHSP_HISTORY_NO & _
	  " AND MTI_DOCTOR.CH_NO = " & prmCH_NO & _
	  " ORDER BY MTI_DOCTOR.PATIENT_NO, MTI_DOCTOR.HSP_HISTORY_NO, MTI_DOCTOR.CH_NO, MTI_DOCTOR.DOCTOR_SERIAL_NO"

	'科歴チェック（病棟情報）SQL
	Public Const sql_CH_WARD_CHK_REC As String = "SELECT" & _
	  " MTI_WARD.PATIENT_NO, MTI_WARD.HSP_HISTORY_NO, MTI_WARD.CH_NO" & _
	  ", MTI_WARD.WARD_SERIAL_NO" & _
	  ", MTI_WARD.MAIN_WARD_FLG, MTI_WARD.WARD_CD, MTI_WARD.WARD_START_DT, MTI_WARD.WARD_END_DT, MTI_WARD.WARD_DAYS" & _
	  ", MTM_WARD.WARD_NM, MTM_WARD.SEVERE_DIV" & _
	  " FROM MTI_WARD" & _
	  " LEFT JOIN MTM_WARD ON MTI_WARD.WARD_CD = MTM_WARD.WARD_CD" & _
	  " WHERE MTI_WARD.PATIENT_NO = " & prmPATIENT_NO & _
	  " AND MTI_WARD.HSP_HISTORY_NO = " & prmHSP_HISTORY_NO & _
	  " AND MTI_WARD.CH_NO = " & prmCH_NO & _
	  " ORDER BY MTI_WARD.PATIENT_NO, MTI_WARD.HSP_HISTORY_NO, MTI_WARD.CH_NO, MTI_WARD.WARD_SERIAL_NO"

	' 他の科歴取得
	Public Const sqlCH_CHK_OTHER_DATA As String = "SELECT END_DT FROM MTI_CH" & _
	 " WHERE PATIENT_NO = " & prmPATIENT_NO & _
	 " AND HSP_HISTORY_NO = " & prmHSP_HISTORY_NO & _
	 " AND CH_NO != " & prmCH_NO & _
	 " ORDER BY CH_NO DESC"

	' 入院の科歴取得
	Public Const sqlCH_CHK_HSP_FLG_DATA As String = "SELECT START_DT, START_TIME FROM MTI_CH" & _
	 " WHERE PATIENT_NO = " & prmPATIENT_NO & _
	 " AND HSP_HISTORY_NO = " & prmHSP_HISTORY_NO & _
	 " AND CH_NO != " & prmCH_NO & _
	 " AND HSP_FLG = " & prmCheckFlg

	' 前回の科歴取得
	Public Const sqlCH_CHK_PREV_DATA As String = "SELECT END_DT, END_CNL_CD FROM MTI_CH" & _
	 " WHERE PATIENT_NO = " & prmPATIENT_NO & _
	 " AND HSP_HISTORY_NO = " & prmHSP_HISTORY_NO & _
	 " AND CH_NO < " & prmCH_NO & _
	 " ORDER BY CH_NO DESC"

	Public Const sqlCH_CHK_PREV_END_CNL_CD_DATA As String = "SELECT COUNT(MTI_CH.CH_NO) AS CNT FROM MTI_CH" & _
	 " LEFT JOIN MTM_OUT_HSP_CNL ON MTI_CH.END_CNL_CD = MTM_OUT_HSP_CNL.OUT_HSP_CNL_CD" & _
	 " WHERE MTI_CH.PATIENT_NO = " & prmPATIENT_NO & _
	 " AND MTI_CH.HSP_HISTORY_NO = " & prmHSP_HISTORY_NO & _
	 " AND MTI_CH.CH_NO < " & prmCH_NO & _
	 " AND MTM_OUT_HSP_CNL.FIXED_CD = " & prmFIXED_CD

	Public Const sqlCH_CHK_NEXT_START_CNL_CD_DATA As String = "SELECT COUNT(MTI_CH.CH_NO) AS CNT FROM MTI_CH" & _
	 " LEFT JOIN MTM_HSP_CNL ON MTI_CH.START_CNL_CD = MTM_HSP_CNL.HSP_CNL_CD" & _
	 " WHERE MTI_CH.PATIENT_NO = " & prmPATIENT_NO & _
	 " AND MTI_CH.HSP_HISTORY_NO = " & prmHSP_HISTORY_NO & _
	 " AND MTI_CH.CH_NO > " & prmCH_NO & _
	 " AND MTM_HSP_CNL.FIXED_CD = " & prmFIXED_CD

	Public Const sqlCH_CHK_START_CNL_CD_DATA As String = "SELECT COUNT(MTI_CH.CH_NO) AS CNT FROM MTI_CH" & _
	 " LEFT JOIN MTM_HSP_CNL ON MTI_CH.START_CNL_CD = MTM_HSP_CNL.HSP_CNL_CD" & _
	 " WHERE MTI_CH.PATIENT_NO = " & prmPATIENT_NO & _
	 " AND MTI_CH.HSP_HISTORY_NO = " & prmHSP_HISTORY_NO & _
	 " AND MTI_CH.CH_NO != " & prmCH_NO & _
	 " AND (MTM_HSP_CNL.FIXED_CD != " & prmFIXED_CD1 & " AND MTM_HSP_CNL.FIXED_CD != " & prmFIXED_CD2 & ")"

	Public Const sqlCH_CHK_RECORDCOUNT As String = "" & _
	  "SELECT 'MTI_MED_COST' AS TABLENAME, COUNT(*) AS CNT FROM MTI_MED_COST WHERE PATIENT_NO = " & prmPATIENT_NO & " AND HSP_HISTORY_NO = " & prmHSP_HISTORY_NO & " AND CH_NO = " & prmCH_NO & _
	  " UNION ALL " & _
	  "SELECT 'MTI_EMERGENCY' AS TABLENAME, COUNT(EMERGENCY_SERIAL_NO) AS CNT FROM MTI_EMERGENCY WHERE PATIENT_NO = " & prmPATIENT_NO & " AND HSP_HISTORY_NO = " & prmHSP_HISTORY_NO & " AND CH_NO = " & prmCH_NO & _
	  " UNION ALL " & _
	  "SELECT 'MTI_TEST' AS TABLENAME, COUNT(TEST_SERIAL_NO) AS CNT FROM MTI_TEST WHERE PATIENT_NO = " & prmPATIENT_NO & " AND HSP_HISTORY_NO = " & prmHSP_HISTORY_NO & " AND CH_NO = " & prmCH_NO & _
	  " UNION ALL " & _
	  "SELECT 'MTI_CARE' AS TABLENAME, COUNT(CARE_SERIAL_NO) AS CNT FROM MTI_CARE WHERE PATIENT_NO = " & prmPATIENT_NO & " AND HSP_HISTORY_NO = " & prmHSP_HISTORY_NO & " AND CH_NO = " & prmCH_NO & _
	  " UNION ALL " & _
	  "SELECT 'MTI_OPE' AS TABLENAME, COUNT(OPE_SERIAL_NO)  AS CNT FROM MTI_OPE  WHERE PATIENT_NO = " & prmPATIENT_NO & " AND HSP_HISTORY_NO = " & prmHSP_HISTORY_NO & " AND CH_NO = " & prmCH_NO & _
	  " UNION ALL " & _
	  "SELECT 'MTI_OTHER_DEPT' AS TABLENAME, COUNT(*) AS CNT FROM MTI_OTHER_DEPT WHERE PATIENT_NO = " & prmPATIENT_NO & " AND HSP_HISTORY_NO = " & prmHSP_HISTORY_NO & " AND CH_NO = " & prmCH_NO & _
	  " UNION ALL " & _
	  "SELECT 'MTI_DISEASE' AS TABLENAME, COUNT(DISEASE_SERIAL_NO) AS CNT FROM MTI_DISEASE  WHERE PATIENT_NO = " & prmPATIENT_NO & " AND HSP_HISTORY_NO = " & prmHSP_HISTORY_NO & " AND CH_NO = " & prmCH_NO & _
	  " UNION ALL " & _
	  "SELECT 'MTI_CB' AS TABLENAME, COUNT(*) AS CNT FROM  MTI_CB  WHERE PATIENT_NO = " & prmPATIENT_NO & " AND HSP_HISTORY_NO = " & prmHSP_HISTORY_NO & " AND CH_NO = " & prmCH_NO & _
	  " UNION ALL " & _
	  "SELECT 'MTI_ASST1' AS TABLENAME, COUNT(*) AS CNT FROM MTI_ASST1 WHERE PATIENT_NO = " & prmPATIENT_NO & " AND HSP_HISTORY_NO = " & prmHSP_HISTORY_NO & " AND CH_NO = " & prmCH_NO & _
	  " UNION ALL " & _
	  "SELECT 'MTI_ASST2' AS TABLENAME, COUNT(*) AS CNT FROM MTI_ASST2 WHERE PATIENT_NO = " & prmPATIENT_NO & " AND HSP_HISTORY_NO = " & prmHSP_HISTORY_NO & " AND CH_NO = " & prmCH_NO & _
	  " UNION ALL " & _
	  "SELECT 'MTI_PATH' AS TABLENAME, COUNT(PATH_SERIAL_NO) AS CNT FROM MTI_PATH  WHERE PATIENT_NO = " & prmPATIENT_NO & " AND HSP_HISTORY_NO = " & prmHSP_HISTORY_NO & " AND CH_NO = " & prmCH_NO

	' 主科の科歴取得
	Public Const sqlCH_CHK_MAIN_DPM_FLG_DATA As String = "SELECT COUNT(CH_NO) AS CNT FROM MTI_CH" & _
	 " WHERE PATIENT_NO = " & prmPATIENT_NO & _
	 " AND HSP_HISTORY_NO = " & prmHSP_HISTORY_NO & _
	 " AND CH_NO != " & prmCH_NO & _
	 " AND MAIN_DPM_FLG = " & prmCheckFlg

	' 退院の科歴取得
	Public Const sqlCH_CHK_OUT_HSP_FLG_DATA As String = "SELECT COUNT(CH_NO) AS CNT FROM MTI_CH" & _
	 " WHERE PATIENT_NO = " & prmPATIENT_NO & _
	 " AND HSP_HISTORY_NO = " & prmHSP_HISTORY_NO & _
	 " AND CH_NO != " & prmCH_NO & _
	 " AND OUT_HSP_FLG = " & prmCheckFlg

	' 同一終了転帰の科歴取得
	Public Const sqlCH_CHK_OUTCOME_CD_DATA As String = "SELECT COUNT(MTI_CH.CH_NO) AS CNT FROM MTI_CH" & _
	 " LEFT JOIN MTM_OUT_HSP_OUTCOME ON MTI_CH.END_OUTCOME_CD = MTM_OUT_HSP_OUTCOME.OUT_HSP_OUTCOME_CD" & _
	 " WHERE MTI_CH.PATIENT_NO = " & prmPATIENT_NO & _
	 " AND MTI_CH.HSP_HISTORY_NO = " & prmHSP_HISTORY_NO & _
	 " AND CH_NO != " & prmCH_NO & _
	 " AND MTM_OUT_HSP_OUTCOME.FIXED_CD = " & prmFIXED_CD

	' 同一診療科の科歴取得
	Public Const sqlCH_CHK_DEPT_CD_DATA As String = "SELECT END_DT FROM MTI_CH" & _
	 " WHERE PATIENT_NO = " & prmPATIENT_NO & _
	 " AND HSP_HISTORY_NO = " & prmHSP_HISTORY_NO & _
	 " AND CH_NO != " & prmCH_NO & _
	 " AND DEPT_CD = " & prmDEPT_CD & _
	 " ORDER BY CH_NO DESC"

	' 同一患者以外の病歴番号の科歴チェック
	Public Const sqlCH_CHK_BYOREKI_NO_OTHER_PATIENT_DATA As String = "SELECT COUNT(CH_NO) AS CNT FROM MTI_CH" & _
	 " WHERE PATIENT_NO != " & prmPATIENT_NO & _
	 " AND BYOREKI_NO = " & prmBYOREKI_NO

	' 同一科歴以外の病歴番号の科歴チェック
	Public Const sqlCH_CHK_BYOREKI_NO_OTHER_DATA As String = "SELECT COUNT(CH_NO) AS CNT FROM MTI_CH" & _
	 " WHERE NOT (PATIENT_NO = " & prmPATIENT_NO & _
	 " AND HSP_HISTORY_NO = " & prmHSP_HISTORY_NO & _
	 " AND CH_NO = " & prmCH_NO & _
	 ") AND BYOREKI_NO = " & prmBYOREKI_NO

	' 退院経路の取得
	Public Const sqlOUT_HSP_CNL_CD As String = "SELECT OUT_HSP_CNL_CD FROM MTM_OUT_HSP_CNL" & _
	 " WHERE FIXED_CD = " & prmFIXED_CD

	' 死因病名フラグチェック
	Public Const sqlDISEASE_DEATH_FLG_CHK As String = "SELECT COUNT(DISEASE_SERIAL_NO) AS CNT FROM MTI_DISEASE" & _
	 " WHERE PATIENT_NO = " & prmPATIENT_NO & _
	 " AND HSP_HISTORY_NO = " & prmHSP_HISTORY_NO & _
	 " AND CH_NO = " & prmCH_NO & _
	 " AND (DEATH_DISEASE_FLG = " & prmCheckFlg & " OR DEATH_CAUSE_FLG = " & prmCheckFlg & " OR DIRECT_DEATH_DISEASE_FLG = " & prmCheckFlg & ")"

	' 病名チェックSQL
	Public Const sqlDISEASENAME_CHK_REC As String = "SELECT MTI_HSP.PATIENT_NO AS HSP_PATIENT_NO" & _
	  ", MTI_DISEASE.PATIENT_NO, MTI_DISEASE.HSP_HISTORY_NO, MTI_DISEASE.CH_NO, MTI_DISEASE.DISEASE_SERIAL_NO, MTI_DISEASE.HSP_CHANCE_DISEASE_FLG" & _
	  ", MTI_DISEASE.DISEASE_MED_RES_FLG1, MTI_DISEASE.DISEASE_MED_RES_FLG2, MTI_DISEASE.DEATH_DISEASE_FLG, MTI_DISEASE.DISEASE_DIV" & _
	  ", MTI_DISEASE.DISEASE, MTI_DISEASE.DIAGNOSIS_DT, MTI_DISEASE.ONSET_DT, MTI_DISEASE.END_DT, MTI_DISEASE.ICD10_CD, MTI_DISEASE.DISEASE_OUTCOME_CD" & _
	  ", MTI_DISEASE.PLURAL_GRP_CD, MTI_DISEASE.REMARKS1, MTI_DISEASE.REMARKS2, MTI_DISEASE.HSP_DISEASE_CD, MTI_DISEASE.ICD9_CD, MTI_DISEASE.CAUSE_GRP_CD" & _
	  ", MTI_DISEASE.DEATH_CAUSE_FLG, MTI_DISEASE.SPECIMEN_NO, MTI_DISEASE.ICDO_FORM_CD, MTI_DISEASE.ICDO_FORM_6DIGS_CD, MTI_DISEASE.L_GRP_CD, MTI_DISEASE.M_GRP_CD" & _
	  ", MTI_DISEASE.S_GRP_CD, MTI_DISEASE.GRP300_CD, MTI_DISEASE.A_GRP_CD, MTI_DISEASE.B_GRP_CD, MTI_DISEASE.C_GRP_CD, MTI_DISEASE.DEATH_GRP_CD" & _
	  ", MTI_DISEASE.CAUSE_L_GRP_CD, MTI_DISEASE.CAUSE_DEATH_GRP_CD, MTI_DISEASE.CAUSE_4GRP_PTN, MTI_DISEASE.CAUSE_4DIGS_CD, MTI_DISEASE.ICD9_L_GRP_CD" & _
	  ", MTI_DISEASE.ICD9_M_GRP_CD, MTI_DISEASE.ICD9_ASST_GRP1_CD, MTI_DISEASE.ICD9_ASST_GRP2_CD, MTI_DISEASE.ICD9_ASST_GRP3_CD, MTI_DISEASE.DISEASE_MNG_DIV" & _
	  ", MTI_DISEASE.DISEASE_MNG_NO, MTI_DISEASE.HSP_DISEASE_FLG, MTI_DISEASE.AFTER_HSP_DISEASE_FLG, MTI_DISEASE.CNR_REG_STATUS_CD, MTI_DISEASE.CNR_REG_EXTRACT_DT" & _
	  ", MTI_DISEASE.ICDO_MNG_DIV, MTI_DISEASE.ICDO_MNG_NO, MTI_DISEASE.ICDO_FORM_NM, MTI_DISEASE.DIRECT_DEATH_DISEASE_FLG, MTI_DISEASE.DIRECT_DEATH_CAUSE_FLG_V3" & _
	  ", MTI_DISEASE.CAUSE_GRP_NM, MTI_DISEASE.CAUSE_4GRP_NM, MTI_DISEASE.DATA_CAPTURE_DT, MTI_DISEASE.NEW_REG_DT, MTI_DISEASE.LASTUPDUSER_CD, MTI_DISEASE.LASTUPD_DT" & _
	  ", MTI_CH.END_DT as CH_END_DT, MTI_CH.END_OUTCOME_CD, MTM_OUT_HSP_OUTCOME.FIXED_CD, MTM_DISEASE_DIV.DISEASE_DIV_NM" & _
	  ", MTM_DISEASE_OUTCOME.DISEASE_OUTCOME_NM,  MTM_DISEASE_DIV.FIXED_CD as DISEASE_DIV_FIXED_CD" & _
	  " FROM (((((MTI_HSP " & _
	  " LEFT JOIN MTI_CH ON (MTI_HSP.PATIENT_NO = MTI_CH.PATIENT_NO) AND (MTI_HSP.HSP_HISTORY_NO = MTI_CH.HSP_HISTORY_NO))" & _
	  " LEFT JOIN MTI_DISEASE ON (MTI_CH.PATIENT_NO = MTI_DISEASE.PATIENT_NO) " & _
	  "   AND (MTI_CH.HSP_HISTORY_NO = MTI_DISEASE.HSP_HISTORY_NO) AND (MTI_CH.CH_NO = MTI_DISEASE.CH_NO))" & _
	  " LEFT JOIN MTM_DISEASE_DIV ON MTI_DISEASE.DISEASE_DIV = MTM_DISEASE_DIV.DISEASE_DIV_CD) " & _
	  " LEFT JOIN MTM_DISEASE_OUTCOME ON MTI_DISEASE.DISEASE_OUTCOME_CD = MTM_DISEASE_OUTCOME.DISEASE_OUTCOME_CD) " & _
	  " LEFT JOIN MTM_OUT_HSP_OUTCOME ON MTI_CH.END_OUTCOME_CD = MTM_OUT_HSP_OUTCOME.OUT_HSP_OUTCOME_CD) " & _
	  " WHERE MTI_DISEASE.PATIENT_NO = " & prmPATIENT_NO

	' 病名（主病名）件数チェック
	Public Const sqlDISEASENAME_FIXED_CD_CHK As String = "SELECT COUNT(*) AS CNT" & _
	  " FROM MTI_HSP " & _
	  " LEFT JOIN MTI_CH ON (MTI_HSP.PATIENT_NO = MTI_CH.PATIENT_NO AND MTI_HSP.HSP_HISTORY_NO = MTI_CH.HSP_HISTORY_NO)" & _
	  " LEFT JOIN MTI_DISEASE ON (MTI_CH.PATIENT_NO = MTI_DISEASE.PATIENT_NO " & _
	  "   AND MTI_CH.HSP_HISTORY_NO = MTI_DISEASE.HSP_HISTORY_NO AND MTI_CH.CH_NO = MTI_DISEASE.CH_NO)" & _
	  " LEFT JOIN MTM_DISEASE_DIV ON (MTI_DISEASE.DISEASE_DIV = MTM_DISEASE_DIV.DISEASE_DIV_CD) " & _
	  " LEFT JOIN MTM_DISEASE_OUTCOME ON (MTI_DISEASE.DISEASE_OUTCOME_CD = MTM_DISEASE_OUTCOME.DISEASE_OUTCOME_CD) " & _
	  " LEFT JOIN MTM_OUT_HSP_OUTCOME ON (MTI_CH.END_OUTCOME_CD = MTM_OUT_HSP_OUTCOME.OUT_HSP_OUTCOME_CD) " & _
	  " WHERE MTI_DISEASE.PATIENT_NO = " & prmPATIENT_NO & _
	  " AND MTI_DISEASE.HSP_HISTORY_NO = " & prmHSP_HISTORY_NO & _
	  " AND MTI_DISEASE.CH_NO = " & prmCH_NO & _
	  " AND MTM_DISEASE_DIV.FIXED_CD = " & prmFIXED_CD

	'入院契機病名フラグチェック
	Public Const sqlHSP_CHANCE_DISEASE_FLG_CHK As String = "SELECT COUNT(*) AS CNT FROM" & _
	 " (SELECT PATIENT_NO, HSP_HISTORY_NO, CH_NO, DISEASE_SERIAL_NO, HSP_CHANCE_DISEASE_FLG" & _
	 " FROM MTI_DISEASE" & _
	 " WHERE PATIENT_NO = " & prmPATIENT_NO & _
	 " AND HSP_HISTORY_NO = " & prmHSP_HISTORY_NO & _
	 " AND HSP_CHANCE_DISEASE_FLG = " & prmCheckFlg & _
	 ") AS DISEASE" & _
	 " WHERE NOT EXISTS (" & _
	 "SELECT PATIENT_NO, HSP_HISTORY_NO, CH_NO, DISEASE_SERIAL_NO, HSP_CHANCE_DISEASE_FLG FROM MTI_DISEASE" & _
	 " WHERE PATIENT_NO = " & prmPATIENT_NO & _
	 " AND HSP_HISTORY_NO = " & prmHSP_HISTORY_NO & _
	 " AND CH_NO = " & prmCH_NO & _
	 " AND DISEASE_SERIAL_NO = " & prmDISEASE_SERIAL_NO & _
	 " AND HSP_CHANCE_DISEASE_FLG = " & prmCheckFlg & _
	 " AND DISEASE.PATIENT_NO = PATIENT_NO" & _
	 " AND DISEASE.HSP_HISTORY_NO = HSP_HISTORY_NO" & _
	 " AND DISEASE.CH_NO = CH_NO" & _
	 " AND DISEASE.DISEASE_SERIAL_NO = DISEASE_SERIAL_NO" & _
	 ")"

	'医療資源投入病名フラグ１チェック
	Public Const sqlDISEASE_MED_RES_FLG1_CHK As String = "SELECT COUNT(*) AS CNT FROM" & _
	 " (SELECT PATIENT_NO, HSP_HISTORY_NO, CH_NO, DISEASE_SERIAL_NO, DISEASE_MED_RES_FLG1" & _
	 " FROM MTI_DISEASE" & _
	 " WHERE PATIENT_NO = " & prmPATIENT_NO & _
	 " AND HSP_HISTORY_NO = " & prmHSP_HISTORY_NO & _
	 " AND DISEASE_MED_RES_FLG1 = " & prmCheckFlg & _
	 ") AS DISEASE" & _
	 " WHERE NOT EXISTS (" & _
	 "SELECT PATIENT_NO, HSP_HISTORY_NO, CH_NO, DISEASE_SERIAL_NO, DISEASE_MED_RES_FLG1 FROM MTI_DISEASE" & _
	 " WHERE PATIENT_NO = " & prmPATIENT_NO & _
	 " AND HSP_HISTORY_NO = " & prmHSP_HISTORY_NO & _
	 " AND CH_NO = " & prmCH_NO & _
	 " AND DISEASE_SERIAL_NO = " & prmDISEASE_SERIAL_NO & _
	 " AND DISEASE_MED_RES_FLG1 = " & prmCheckFlg & _
	 " AND DISEASE.PATIENT_NO = PATIENT_NO" & _
	 " AND DISEASE.HSP_HISTORY_NO = HSP_HISTORY_NO" & _
	 " AND DISEASE.CH_NO = CH_NO" & _
	 " AND DISEASE.DISEASE_SERIAL_NO = DISEASE_SERIAL_NO" & _
	 ")"

	'医療資源投入病名フラグ２チェック
	Public Const sqlDISEASE_MED_RES_FLG2_CHK As String = "SELECT COUNT(*) AS CNT FROM" & _
	 " (SELECT PATIENT_NO, HSP_HISTORY_NO, CH_NO, DISEASE_SERIAL_NO, DISEASE_MED_RES_FLG2" & _
	 " FROM MTI_DISEASE" & _
	 " WHERE PATIENT_NO = " & prmPATIENT_NO & _
	 " AND HSP_HISTORY_NO = " & prmHSP_HISTORY_NO & _
	 " AND DISEASE_MED_RES_FLG2 = " & prmCheckFlg & _
	 ") AS DISEASE" & _
	 " WHERE NOT EXISTS (" & _
	 "SELECT PATIENT_NO, HSP_HISTORY_NO, CH_NO, DISEASE_SERIAL_NO, DISEASE_MED_RES_FLG2 FROM MTI_DISEASE" & _
	 " WHERE PATIENT_NO = " & prmPATIENT_NO & _
	 " AND HSP_HISTORY_NO = " & prmHSP_HISTORY_NO & _
	 " AND CH_NO = " & prmCH_NO & _
	 " AND DISEASE_SERIAL_NO = " & prmDISEASE_SERIAL_NO & _
	 " AND DISEASE_MED_RES_FLG2 = " & prmCheckFlg & _
	 " AND DISEASE.PATIENT_NO = PATIENT_NO" & _
	 " AND DISEASE.HSP_HISTORY_NO = HSP_HISTORY_NO" & _
	 " AND DISEASE.CH_NO = CH_NO" & _
	 " AND DISEASE.DISEASE_SERIAL_NO = DISEASE_SERIAL_NO" & _
	 ")"

	'手術チェックSQL
	Public Const sqlOPE_CHK_REC As String = "SELECT " & _
	"  MTI_OPE.PATIENT_NO,MTI_OPE.HSP_HISTORY_NO,MTI_OPE.CH_NO,MTI_OPE.OPE_SERIAL_NO,MTI_OPE.OPE_DIV,MTI_OPE.OPE_NM,MTI_OPE.OPE_DT,MTI_OPE.OPE_TIME" & _
	", MTI_OPE.OPE_REQUIRED_TIME,MTI_OPE.OPE_AGE,MTI_OPE.OPE_MONTH_AGE,MTI_OPE.OPE_DAY_AGE,MTI_OPE.ANESTHESIA_DIV1,MTI_OPE.ANESTHESIA_TIME,MTI_OPE.ANESTHESIA_DIV2" & _
	", MTI_OPE.ASST_DIV1,MTI_OPE.ASST_DIV2,MTI_OPE.REMARKS1,MTI_OPE.REMARKS2,MTI_OPE.SPT_DISEASE_SERIAL_NO,MTI_OPE.ICD9CM_CD,MTI_OPE.L_GRP_CD,MTI_OPE.M_GRP_CD" & _
	", MTI_OPE.DIGS3_GRP_CD,MTI_OPE.MNG_DIV,MTI_OPE.MNG_NO,MTI_OPE.OPE_COUNT_CD,MTI_OPE.OPE_PART_CD,MTI_OPE.END_DT,MTI_OPE.END_TIME,MTI_OPE.SPT_DISEASE_NM" & _
	", MTI_OPE.SPT_DISEASE_ICD10_CD,MTI_OPE.SPT_DISEASE_OUTCOME_CD,MTI_OPE.SPT_DISEASE_MNG_DIV1,MTI_OPE.SPT_DISEASE_MNG_NO,MTI_OPE.SCORE_CD,MTI_OPE.AFTER_OPE_DAYS" & _
	", MTI_OPE.AFTER_OPE_CMPC_CHK,MTI_OPE.HSP_OPE_CD,MTI_OPE.PRE_OPE_DAYS,MTI_OPE.PLAN_EMERGENCY_CD,MTI_OPE.ASA_PS_GRP_CD,MTI_OPE.TIME_OUT_FLG" & _
	", MTI_OPE.BLEEDING_VOLUME,MTI_OPE.BLOOD_TRAN_VOLUME,MTI_OPE.DATA_CAPTURE_DT,MTI_OPE.NEW_REG_DT" & _
	", MTI_HSP.HSP_DT, MTI_HSP.OUT_HSP_DT" & _
	", MTI_CH.START_DT, MTI_CH.END_DT as CH_END_DT" & _
	", XTI_BASICINFO.BIRTH_DT, MTM_OPE_DIV.OPE_DIV_NM" & _
	", MTM_ANESTHESIA.ANESTHESIA_NM, MTM_ANESTHESIA_1.ANESTHESIA_NM as ANESTHESIA_NM2" & _
	" FROM ((((((MTI_OPE " & _
	" LEFT JOIN XTI_BASICINFO ON MTI_OPE.PATIENT_NO = XTI_BASICINFO.PATIENT_NO) " & _
	" LEFT JOIN MTI_HSP ON (MTI_OPE.PATIENT_NO = MTI_HSP.PATIENT_NO)  AND (MTI_OPE.HSP_HISTORY_NO = MTI_HSP.HSP_HISTORY_NO)) " & _
	" LEFT JOIN MTI_CH ON (MTI_OPE.PATIENT_NO = MTI_CH.PATIENT_NO) " & _
	"   AND (MTI_OPE.HSP_HISTORY_NO = MTI_CH.HSP_HISTORY_NO) AND (MTI_OPE.CH_NO = MTI_CH.CH_NO)) " & _
	" LEFT JOIN MTM_OPE_DIV ON MTI_OPE.OPE_DIV = MTM_OPE_DIV.OPE_DIV_CD) " & _
	" LEFT JOIN MTM_ANESTHESIA ON MTI_OPE.ANESTHESIA_DIV1 = MTM_ANESTHESIA.ANESTHESIA_CD) " & _
	" LEFT JOIN MTM_ANESTHESIA AS MTM_ANESTHESIA_1 ON MTI_OPE.ANESTHESIA_DIV2 = MTM_ANESTHESIA_1.ANESTHESIA_CD)" & _
	" WHERE MTI_OPE.PATIENT_NO = " & prmPATIENT_NO

	'手術チェック（手術医師情報）SQL
	Public Const sqlOPE_DOCTOR_CHK_REC As String = "SELECT MTI_OPE_DOCTOR.PATIENT_NO, MTI_OPE_DOCTOR.HSP_HISTORY_NO, MTI_OPE_DOCTOR.CH_NO" & _
	", MTI_OPE_DOCTOR.OPE_SERIAL_NO, MTI_OPE_DOCTOR.OPE_DOCTOR_SERIAL_NO" & _
	", MTI_OPE_DOCTOR.OPE_DOCTOR_DIV, MTI_OPE_DOCTOR.DOCTOR_CD, XTM_STAFF.STAFF_NM" & _
	" FROM MTI_OPE_DOCTOR " & _
	" LEFT JOIN XTM_STAFF ON MTI_OPE_DOCTOR.DOCTOR_CD = XTM_STAFF.STAFF_CD" & _
	" WHERE MTI_OPE_DOCTOR.PATIENT_NO = " & prmPATIENT_NO & _
	" AND MTI_OPE_DOCTOR.HSP_HISTORY_NO = " & prmHSP_HISTORY_NO & _
	" AND MTI_OPE_DOCTOR.CH_NO     = " & prmCH_NO & _
	" AND MTI_OPE_DOCTOR.OPE_SERIAL_NO     = " & prmOPE_SERIAL_NO

	'治療処置チェックSQL
	Public Const sqlCARE_CHK_REC As String = "SELECT " & _
	"  MTI_CARE.PATIENT_NO,MTI_CARE.HSP_HISTORY_NO,MTI_CARE.CH_NO,MTI_CARE.CARE_SERIAL_NO,MTI_CARE.CARE_DIV,MTI_CARE.CARE_NM,MTI_CARE.CARE_DT,MTI_CARE.ASST_DIV" & _
	", MTI_CARE.REMARKS1,MTI_CARE.REMARKS2,MTI_CARE.ICD9CM_CD,MTI_CARE.L_GRP_CD,MTI_CARE.M_GRP_CD,MTI_CARE.DIGS3_GRP_CD,MTI_CARE.MNG_DIV,MTI_CARE.MNG_NO" & _
	", MTI_CARE.SCORE_CD,MTI_CARE.HSP_OPE_CD,MTI_CARE.DATA_CAPTURE_DT,MTI_CARE.NEW_REG_DT" & _
	", MTI_CH.START_DT, MTI_CH.END_DT as CH_END_DT" & _
	", MTI_HSP.HSP_DT, MTI_HSP.OUT_HSP_DT, MTM_CARE_DIV.CARE_DIV_NM" & _
	" FROM ((MTI_CARE " & _
	" LEFT JOIN MTI_HSP ON (MTI_CARE.PATIENT_NO = MTI_HSP.PATIENT_NO) " & _
	"   AND (MTI_CARE.HSP_HISTORY_NO = MTI_HSP.HSP_HISTORY_NO)) " & _
	" LEFT JOIN MTI_CH ON (MTI_CARE.PATIENT_NO = MTI_CH.PATIENT_NO) " & _
	"   AND (MTI_CARE.HSP_HISTORY_NO = MTI_CH.HSP_HISTORY_NO) AND (MTI_CARE.CH_NO = MTI_CH.CH_NO)) " & _
	" LEFT JOIN MTM_CARE_DIV ON MTI_CARE.CARE_DIV = MTM_CARE_DIV.CARE_DIV_CD" & _
	" WHERE MTI_CARE.PATIENT_NO = " & prmPATIENT_NO

	Public Const sqlMtmOpeNmData As String = "SELECT " & _
	 " L_GRP_CD, M_GRP_CD, DIGS3_GRP_CD" & _
	 " FROM MTM_OPE_NM" & _
	 " WHERE MNG_DIV = " & prmMNG_DIV & _
	 " AND   MNG_NO  = " & prmMNG_NO

	'救命救急チェックSQL
	Public Const sqlEMERGENCY_CHK_REC As String = "SELECT " & _
	"  MTI_EMERGENCY.PATIENT_NO,MTI_EMERGENCY.HSP_HISTORY_NO,MTI_EMERGENCY.CH_NO,MTI_EMERGENCY.EMERGENCY_SERIAL_NO,MTI_EMERGENCY.IN_METHOD_CD,MTI_EMERGENCY.OUT_METHOD_CD" & _
	", MTI_EMERGENCY.ENTERING_DT,MTI_EMERGENCY.ENTERING_TIME,MTI_EMERGENCY.LEAVING_DT,MTI_EMERGENCY.LEAVING_TIME,MTI_EMERGENCY.ENTERING_AGE,MTI_EMERGENCY.ENTERING_MONTH_AGE" & _
	", MTI_EMERGENCY.ENTERING_DAY_AGE,MTI_EMERGENCY.LEAVING_AGE,MTI_EMERGENCY.LEAVING_MONTH_AGE,MTI_EMERGENCY.LEAVING_DAY_AGE,MTI_EMERGENCY.IN_ROOM_DAYS" & _
	", MTI_EMERGENCY.SEVERE_CD,MTI_EMERGENCY.MED_REQUIRED_TIME" & _
	", XTI_BASICINFO.BIRTH_DT, MTI_CH.START_DT, MTI_CH.END_DT" & _
	", MTI_HSP.HSP_DT, MTI_HSP.OUT_HSP_DT, MTM_EMERGENCY_IN_METHOD.IN_METHOD_NM, MTM_EMERGENCY_OUT_METHOD.OUT_METHOD_NM" & _
	", MTM_EMERGENCY_SEVERE_DIV.SEVERE_DIV_NM" & _
	" FROM (((((MTI_EMERGENCY " & _
	" LEFT JOIN XTI_BASICINFO ON MTI_EMERGENCY.PATIENT_NO = XTI_BASICINFO.PATIENT_NO) " & _
	" LEFT JOIN MTI_HSP ON (MTI_EMERGENCY.PATIENT_NO = MTI_HSP.PATIENT_NO) AND (MTI_EMERGENCY.HSP_HISTORY_NO = MTI_HSP.HSP_HISTORY_NO)) " & _
	" LEFT JOIN MTI_CH ON (MTI_EMERGENCY.PATIENT_NO = MTI_CH.PATIENT_NO) " & _
	"   AND (MTI_EMERGENCY.HSP_HISTORY_NO = MTI_CH.HSP_HISTORY_NO) AND (MTI_EMERGENCY.CH_NO = MTI_CH.CH_NO)) " & _
	" LEFT JOIN MTM_EMERGENCY_IN_METHOD ON MTI_EMERGENCY.IN_METHOD_CD = MTM_EMERGENCY_IN_METHOD.IN_METHOD_CD) " & _
	" LEFT JOIN MTM_EMERGENCY_OUT_METHOD ON MTI_EMERGENCY.OUT_METHOD_CD = MTM_EMERGENCY_OUT_METHOD.OUT_METHOD_CD) " & _
	" LEFT JOIN MTM_EMERGENCY_SEVERE_DIV ON MTI_EMERGENCY.SEVERE_CD = MTM_EMERGENCY_SEVERE_DIV.SEVERE_DIV_CD" & _
	"  WHERE MTI_EMERGENCY.PATIENT_NO = " & prmPATIENT_NO

	'分娩・分娩児チェックSQL
	Public Const sqlCB_CHK_REC As String = "SELECT" & _
	" MTI_CB.PATIENT_NO, MTI_CB.HSP_HISTORY_NO, MTI_CB.CH_NO, MTI_CB.CB_DT, MTI_CB.CB_AGE, MTI_CB.CB_MONTH_AGE, MTI_CB.GESTATIONAL_WEEK_COUNT," & _
	" MTI_CB.GESTATIONAL_DAY_COUNT, MTI_CB.CHD_COUNT, MTI_CB.CB_DIV1, MTI_CB.CB_DIV2, MTI_CB.PREMATURE_BIRTH, MTI_CB.MISCARRIAGE," & _
	" MTI_CB.BLEEDING_VOLUME, MTI_CB.CB_DIV3, MTI_CB.CB_DIV4, MTI_CB.CAESAREAN_OPE_CD, MTI_CB.CB_CHK1, MTI_CB.CB_CHK2, MTI_CB.CB_CHK3, MTI_CB.REMARKS," & _
	" XTI_BASICINFO.GENDER_CD, XTI_BASICINFO.BIRTH_DT, MTI_CH.START_DT, MTI_CH.END_DT," & _
	" MTI_HSP.HSP_DT, MTI_HSP.OUT_HSP_DT" & _
	" FROM MTI_CB" & _
	" LEFT JOIN XTI_BASICINFO ON MTI_CB.PATIENT_NO = XTI_BASICINFO.PATIENT_NO" & _
	" LEFT JOIN MTI_CH" & _
	" ON MTI_CB.PATIENT_NO = MTI_CH.PATIENT_NO" & _
	" AND MTI_CB.HSP_HISTORY_NO = MTI_CH.HSP_HISTORY_NO" & _
	" AND MTI_CB.CH_NO = MTI_CH.CH_NO" & _
	" LEFT JOIN MTI_HSP ON MTI_CB.PATIENT_NO = MTI_HSP.PATIENT_NO AND MTI_CB.HSP_HISTORY_NO = MTI_HSP.HSP_HISTORY_NO" & _
	" WHERE MTI_CB.PATIENT_NO = " & prmPATIENT_NO

	Public Const sqlCB_CHILD_CHK_REC As String = "SELECT" & _
	" MTI_CB_CHILD.PATIENT_NO, MTI_CB_CHILD.HSP_HISTORY_NO, MTI_CB_CHILD.CH_NO, MTI_CB_CHILD.CB_SERIAL_NO, MTI_CB_CHILD.GENDER_CD, MTI_CB_CHILD.NEWBORN_STATURE, MTI_CB_CHILD.NEWBORN_WEIGHT," & _
	" MTI_CB_CHILD.APGARSCORE_1MIN, MTI_CB_CHILD.APGARSCORE_5MIN, MTI_CB_CHILD.IMMATURE, MTI_CB_CHILD.DEFORMITY, MTI_CB_CHILD.STILLBIRTH, MTI_CB_CHILD.CB_PTN1, MTI_CB_CHILD.CB_PTN2, MTI_CB_CHILD.CB_PTN3," & _
	" MTI_CB_CHILD.CB_PTN4, MTI_CB_CHILD.NEWBORN_NO, MTI_CB_CHILD.CHD_CB_DT, MTI_CB_CHILD.CHD_CB_TIME, MTI_CB_CHILD.CHD_BLOODTYPE_CD, MTI_CB_CHILD.CHD_RH_CD, MTI_CB_CHILD.CHD_PATIENT_NO," & _
	" MTI_CB_CHILD.CHD_REMARKS, MTI_CB_CHILD.CHD_CB_CHK1, MTI_CB_CHILD.CHD_CB_CHK2, MTI_CB_CHILD.CHD_CB_CHK3, MTI_CB_CHILD.CHD_CB_CHK4, MTI_CB_CHILD.CHD_CB_CHK5," & _
	" MTI_CB.CB_DT, MTI_CB_SB.PATIENT_NO AS CB_SB_PATIENT_NO" & _
	" FROM MTI_CB_CHILD" & _
	" LEFT JOIN MTI_CB" & _
	" ON MTI_CB_CHILD.PATIENT_NO = MTI_CB.PATIENT_NO" & _
	" AND MTI_CB_CHILD.HSP_HISTORY_NO = MTI_CB.HSP_HISTORY_NO" & _
	" AND MTI_CB_CHILD.CH_NO = MTI_CB.CH_NO" & _
	" LEFT JOIN MTI_CB_SB" & _
	" ON MTI_CB_CHILD.PATIENT_NO = MTI_CB_SB.PATIENT_NO" & _
	" AND MTI_CB_CHILD.HSP_HISTORY_NO = MTI_CB_SB.HSP_HISTORY_NO" & _
	" AND MTI_CB_CHILD.CH_NO = MTI_CB_SB.CH_NO" & _
	" AND MTI_CB_CHILD.CB_SERIAL_NO = MTI_CB_SB.CB_SERIAL_NO" & _
	" WHERE MTI_CB_CHILD.PATIENT_NO = " & prmPATIENT_NO

	' 分娩児の児数を取得するＳＱＬ
	Public Const sqlCB_CHILD_SU As String = "SELECT Count(*) AS CNT" & _
	" FROM MTI_CB_CHILD" & _
	" WHERE PATIENT_NO = " & prmPATIENT_NO & _
	" AND HSP_HISTORY_NO = " & prmHSP_HISTORY_NO & _
	" AND CH_NO = " & prmCH_NO

	'検査チェックSQL
	Public Const sqlTEST_CHK_REC As String = "SELECT " & _
	"  MTI_TEST.PATIENT_NO,MTI_TEST.HSP_HISTORY_NO,MTI_TEST.CH_NO,MTI_TEST.TEST_SERIAL_NO,MTI_TEST.TEST_DIV,MTI_TEST.TEST_NM" & _
	", MTI_TEST.TEST_DT,MTI_TEST.ASST_DIV,MTI_TEST.REMARKS1,MTI_TEST.REMARKS2,MTI_TEST.ICD9CM_CD,MTI_TEST.L_GRP_CD,MTI_TEST.M_GRP_CD" & _
	", MTI_TEST.DIGS3_GRP_CD,MTI_TEST.MNG_DIV,MTI_TEST.MNG_NO,MTI_TEST.SCORE_CD,MTI_TEST.HSP_OPE_CD,MTI_TEST.DATA_CAPTURE_DT,MTI_TEST.NEW_REG_DT" & _
	", XTI_BASICINFO.BIRTH_DT, MTI_CH.START_DT, MTI_CH.END_DT as CH_END_DT" & _
	", MTI_HSP.HSP_DT, MTI_HSP.OUT_HSP_DT, MTM_TEST_DIV.TEST_DIV_NM" & _
	" FROM (((MTI_TEST " & _
	" LEFT JOIN XTI_BASICINFO ON MTI_TEST.PATIENT_NO = XTI_BASICINFO.PATIENT_NO) " & _
	" LEFT JOIN MTI_HSP ON (MTI_TEST.PATIENT_NO = MTI_HSP.PATIENT_NO) " & _
	"   AND (MTI_TEST.HSP_HISTORY_NO = MTI_HSP.HSP_HISTORY_NO)) " & _
	" LEFT JOIN MTI_CH ON (MTI_TEST.PATIENT_NO = MTI_CH.PATIENT_NO) " & _
	"   AND (MTI_TEST.HSP_HISTORY_NO = MTI_CH.HSP_HISTORY_NO) AND (MTI_TEST.CH_NO = MTI_CH.CH_NO)) " & _
	" LEFT JOIN MTM_TEST_DIV ON MTI_TEST.TEST_DIV = MTM_TEST_DIV.TEST_DIV_CD" & _
	"  WHERE MTI_TEST.PATIENT_NO = " & prmPATIENT_NO


	'貸出物チェックSQL
	Public Const sqlLENDITM_CHK_REC As String = "SELECT " & _
	"  MTI_LENDITM.PATIENT_NO,MTI_LENDITM.HSP_HISTORY_NO,MTI_LENDITM.CH_NO,MTI_LENDITM.RECORD_COUNT,MTI_LENDITM.RECORD_RECEIPT_DT,MTI_LENDITM.RECORD_RECIPIENT_CD,MTI_LENDITM.RECORD_KEEPLCT_CD" & _
	", MTI_LENDITM.RECORD_ARG_STATUS_CD,MTI_LENDITM.RECORD_MNGSTATUS_CD,MTI_LENDITM.SUMMARY_COUNT,MTI_LENDITM.SUMMARY_RECEIPT_DT,MTI_LENDITM.SUMMARY_KEEPLCT_CD,MTI_LENDITM.SUMMARY_MAKER_CD" & _
	", MTI_LENDITM.SUMMARY_MNGSTATUS_CD,MTI_LENDITM.OTHER1_COUNT,MTI_LENDITM.OTHER1_RECEIPT_DT,MTI_LENDITM.OTHER1_KEEPLCT_CD,MTI_LENDITM.OTHER1_MNGSTATUS_CD,MTI_LENDITM.OTHER2_COUNT" & _
	", MTI_LENDITM.OTHER2_RECEIPT_DT,MTI_LENDITM.OTHER2_KEEPLCT_CD,MTI_LENDITM.OTHER2_MNGSTATUS_CD,MTI_LENDITM.OTHER3_COUNT,MTI_LENDITM.OTHER3_RECEIPT_DT,MTI_LENDITM.OTHER3_KEEPLCT_CD" & _
	", MTI_LENDITM.OTHER3_MNGSTATUS_CD,MTI_LENDITM.SUMMARY_APPROVAL_DT" & _
	", MTM_LENDITEM_MNGSTATUS_KARTE.FIXED_CD1 AS KARUTE_FIXED_CD1" & _
	", MTM_LENDITEM_MNGSTATUS_KARTE.MNGSTATUS_NM AS KARUTE_MNGSTATUS_NM" & _
	", MTM_LENDITEM_MNGSTATUS_SUMMARY.FIXED_CD1 AS SUMMARY_FIXED_CD1" & _
	", MTM_LENDITEM_MNGSTATUS_SUMMARY.MNGSTATUS_NM AS SUMMARY_MNGSTATUS_NM" & _
	", MTM_LENDITEM_MNGSTATUS_OTHER1.FIXED_CD1 as OTHER1_FIXED_CD1" & _
	", MTM_LENDITEM_MNGSTATUS_OTHER1.MNGSTATUS_NM AS OTHER1_MNGSTATUS_NM" & _
	", MTM_LENDITEM_MNGSTATUS_OTHER2.FIXED_CD1 as OTHER2_FIXED_CD1" & _
	", MTM_LENDITEM_MNGSTATUS_OTHER2.MNGSTATUS_NM as OTHER2_MNGSTATUS_NM" & _
	", MTM_LENDITEM_MNGSTATUS_OTHER3.FIXED_CD1 as OTHER3_FIXED_CD1" & _
	", MTM_LENDITEM_MNGSTATUS_OTHER3.MNGSTATUS_NM as OTHER3_MNGSTATUS_NM" & _
	", XTM_STAFF.STAFF_NM" & _
	" FROM MTI_LENDITM " & _
	" LEFT JOIN " & _
	"     (SELECT MTM_LENDITEM_MNGSTATUS.FIXED_CD1, MTM_LENDITEM_MNGSTATUS.MNGSTATUS_NM, MTM_LENDITEM_MNGSTATUS.MNGSTATUS_CD" & _
	"      FROM MTM_LENDITEM_MNGSTATUS WHERE MTM_LENDITEM_MNGSTATUS.LENDITEM_CD ='1') AS MTM_LENDITEM_MNGSTATUS_KARTE" & _
	"   ON (MTI_LENDITM.RECORD_MNGSTATUS_CD = MTM_LENDITEM_MNGSTATUS_KARTE.MNGSTATUS_CD) " & _
	" LEFT JOIN " & _
	"     (SELECT MTM_LENDITEM_MNGSTATUS.FIXED_CD1, MTM_LENDITEM_MNGSTATUS.MNGSTATUS_NM, MTM_LENDITEM_MNGSTATUS.MNGSTATUS_CD" & _
	"     FROM MTM_LENDITEM_MNGSTATUS WHERE MTM_LENDITEM_MNGSTATUS.LENDITEM_CD = '2') AS MTM_LENDITEM_MNGSTATUS_SUMMARY" & _
	"   ON (MTI_LENDITM.SUMMARY_MNGSTATUS_CD = MTM_LENDITEM_MNGSTATUS_SUMMARY.MNGSTATUS_CD) " & _
	" LEFT JOIN " & _
	"     (SELECT MTM_LENDITEM_MNGSTATUS.FIXED_CD1, MTM_LENDITEM_MNGSTATUS.MNGSTATUS_NM, MTM_LENDITEM_MNGSTATUS.MNGSTATUS_CD" & _
	"     FROM MTM_LENDITEM_MNGSTATUS WHERE MTM_LENDITEM_MNGSTATUS.LENDITEM_CD = '3') AS MTM_LENDITEM_MNGSTATUS_OTHER1" & _
	"   ON (MTI_LENDITM.OTHER1_MNGSTATUS_CD = MTM_LENDITEM_MNGSTATUS_OTHER1.MNGSTATUS_CD) " & _
	" LEFT JOIN " & _
	"     (SELECT MTM_LENDITEM_MNGSTATUS.FIXED_CD1, MTM_LENDITEM_MNGSTATUS.MNGSTATUS_NM, MTM_LENDITEM_MNGSTATUS.MNGSTATUS_CD" & _
	"     FROM MTM_LENDITEM_MNGSTATUS WHERE MTM_LENDITEM_MNGSTATUS.LENDITEM_CD = '4') AS MTM_LENDITEM_MNGSTATUS_OTHER2" & _
	"   ON (MTI_LENDITM.OTHER2_MNGSTATUS_CD = MTM_LENDITEM_MNGSTATUS_OTHER2.MNGSTATUS_CD) " & _
	" LEFT JOIN " & _
	"     (SELECT MTM_LENDITEM_MNGSTATUS.FIXED_CD1, MTM_LENDITEM_MNGSTATUS.MNGSTATUS_NM, MTM_LENDITEM_MNGSTATUS.MNGSTATUS_CD" & _
	"     FROM MTM_LENDITEM_MNGSTATUS WHERE MTM_LENDITEM_MNGSTATUS.LENDITEM_CD = '5') AS MTM_LENDITEM_MNGSTATUS_OTHER3" & _
	"   ON (MTI_LENDITM.OTHER3_MNGSTATUS_CD = MTM_LENDITEM_MNGSTATUS_OTHER3.MNGSTATUS_CD) " & _
	" LEFT JOIN XTM_STAFF ON (MTI_LENDITM.SUMMARY_MAKER_CD = XTM_STAFF.STAFF_CD)" & _
	" WHERE MTI_LENDITM.PATIENT_NO = " & prmPATIENT_NO

	'医療費チェックSQL
	Public Const sqlMED_COST_CHK_REC As String = "SELECT" & _
	 "  MTI_MED_COST.PATIENT_NO, MTI_MED_COST.HSP_HISTORY_NO, MTI_MED_COST.CH_NO" & _
	 ", MTI_MED_COST.MED_COST01, MTI_MED_COST.MED_COST02, MTI_MED_COST.MED_COST03" & _
	 ", MTI_MED_COST.MED_COST04, MTI_MED_COST.MED_COST05, MTI_MED_COST.MED_COST06" & _
	 ", MTI_MED_COST.MED_COST07, MTI_MED_COST.MED_COST08, MTI_MED_COST.MED_COST09" & _
	 ", MTI_MED_COST.MED_COST10, MTI_MED_COST.MED_COST11, MTI_MED_COST.MED_COST12" & _
	 ", MTI_MED_COST.MED_COST13, MTI_MED_COST.MED_COST14, MTI_MED_COST.MED_COST15" & _
	 ", MTI_MED_COST.MED_COST16, MTI_MED_COST.MED_COST17, MTI_MED_COST.MED_COST18" & _
	 ", MTI_MED_COST.MED_COST19, MTI_MED_COST.MED_COST20, MTI_MED_COST.MED_COST21" & _
	 ", MTI_MED_COST.MED_COST22, MTI_MED_COST.MED_COST23, MTI_MED_COST.MED_COST24" & _
	 ", MTI_MED_COST.MED_COST25, MTI_MED_COST.MED_COST26, MTI_MED_COST.MED_COST27" & _
	 ", MTI_MED_COST.MED_COST28, MTI_MED_COST.MED_COST29, MTI_MED_COST.MED_COST30" & _
	 ", MTI_MED_COST.MED_COST31, MTI_MED_COST.MED_COST32, MTI_MED_COST.MED_COST33" & _
	 ", MTI_MED_COST.MED_COST34, MTI_MED_COST.MED_COST35, MTI_MED_COST.MED_COST36" & _
	 ", MTI_MED_COST.MED_COST37, MTI_MED_COST.MED_COST38, MTI_MED_COST.MED_COST39" & _
	 ", MTI_MED_COST.MED_COST40, MTI_MED_COST.MED_COST41, MTI_MED_COST.MED_COST42" & _
	 ", MTI_MED_COST.MED_COST43, MTI_MED_COST.MED_COST44, MTI_MED_COST.MED_COST45" & _
	 ", MTI_HSP.TOTAL_MED_COST" & _
	 " FROM MTI_MED_COST " & _
	 " LEFT JOIN MTI_HSP ON (MTI_MED_COST.PATIENT_NO = MTI_HSP.PATIENT_NO AND MTI_MED_COST.HSP_HISTORY_NO = MTI_HSP.HSP_HISTORY_NO)" & _
	 " WHERE MTI_MED_COST.PATIENT_NO     = " & prmPATIENT_NO & _
	 " AND MTI_MED_COST.CH_NO = " & prmCH_NO

	'医療費チェック（科歴）SQL
	Public Const sqlMED_COST_CHK_CH_REC As String = "SELECT" & _
	 "  MTI_MED_COST.PATIENT_NO, MTI_MED_COST.HSP_HISTORY_NO, MTI_MED_COST.CH_NO" & _
	 ", MTI_MED_COST.MED_COST01, MTI_MED_COST.MED_COST02, MTI_MED_COST.MED_COST03" & _
	 ", MTI_MED_COST.MED_COST04, MTI_MED_COST.MED_COST05, MTI_MED_COST.MED_COST06" & _
	 ", MTI_MED_COST.MED_COST07, MTI_MED_COST.MED_COST08, MTI_MED_COST.MED_COST09" & _
	 ", MTI_MED_COST.MED_COST10, MTI_MED_COST.MED_COST11, MTI_MED_COST.MED_COST12" & _
	 ", MTI_MED_COST.MED_COST13, MTI_MED_COST.MED_COST14, MTI_MED_COST.MED_COST15" & _
	 ", MTI_MED_COST.MED_COST16, MTI_MED_COST.MED_COST17, MTI_MED_COST.MED_COST18" & _
	 ", MTI_MED_COST.MED_COST19, MTI_MED_COST.MED_COST20, MTI_MED_COST.MED_COST21" & _
	 ", MTI_MED_COST.MED_COST22, MTI_MED_COST.MED_COST23, MTI_MED_COST.MED_COST24" & _
	 ", MTI_MED_COST.MED_COST25, MTI_MED_COST.MED_COST26, MTI_MED_COST.MED_COST27" & _
	 ", MTI_MED_COST.MED_COST28, MTI_MED_COST.MED_COST29, MTI_MED_COST.MED_COST30" & _
	 ", MTI_MED_COST.MED_COST31, MTI_MED_COST.MED_COST32, MTI_MED_COST.MED_COST33" & _
	 ", MTI_MED_COST.MED_COST34, MTI_MED_COST.MED_COST35, MTI_MED_COST.MED_COST36" & _
	 ", MTI_MED_COST.MED_COST37, MTI_MED_COST.MED_COST38, MTI_MED_COST.MED_COST39" & _
	 ", MTI_MED_COST.MED_COST40, MTI_MED_COST.MED_COST41, MTI_MED_COST.MED_COST42" & _
	 ", MTI_MED_COST.MED_COST43, MTI_MED_COST.MED_COST44, MTI_MED_COST.MED_COST45" & _
	 ", MTI_CH.TOTAL_MED_COST" & _
	 " FROM MTI_MED_COST " & _
	 " LEFT JOIN MTI_CH ON " & _
	 " (MTI_MED_COST.PATIENT_NO = MTI_CH.PATIENT_NO AND MTI_MED_COST.HSP_HISTORY_NO = MTI_CH.HSP_HISTORY_NO AND MTI_MED_COST.CH_NO = MTI_CH.CH_NO)" & _
	 " WHERE MTI_MED_COST.PATIENT_NO     = " & prmPATIENT_NO & _
	 " AND MTI_MED_COST.CH_NO <> " & prmCH_NO

	' パスチェック
	Public Const sqlMTIPATH_CHK_REC As String = "SELECT " & _
	 " MTI_PATH.PATIENT_NO, MTI_PATH.HSP_HISTORY_NO, MTI_PATH.CH_NO, MTI_PATH.PATH_SERIAL_NO, MTI_PATH.PATH_CD," & _
	 " MTI_PATH.START_DT AS PATH_START_DT, MTI_PATH.END_DT AS PATH_END_DT, MTI_PATH.DOCTOR_CD, MTI_PATH.VARIANCE_DAY, MTI_PATH.CHK_CD," & _
	 " MTI_PATH.TYPE_CD, MTI_PATH.REASON1_CD, MTI_PATH.REASON2_CD, MTI_PATH.REASON3_CD, MTI_PATH.REASON4_CD," & _
	 " MTI_PATH.REMARKS, MTI_PATH.LASTUPDUSER_CD, MTI_PATH.LASTUPD_DT," & _
	 " MTM_PATH.PATH_NM, XTM_STAFF.STAFF_NM, MTM_VARIANCE_TYPE.VARIANCE_TYPE_NM, MTM_VARIANCE_CHK.VARIANCE_CHK_NM," & _
	 " REASON1.REASON_NM AS REASON1_NM, REASON2.REASON_NM AS REASON2_NM," & _
	 " REASON3.REASON_NM AS REASON3_NM, REASON4.REASON_NM AS REASON4_NM," & _
	 " MTI_HSP.HSP_DT, MTI_HSP.OUT_HSP_DT," & _
	 " MTI_CH.START_DT AS CH_START_DT, MTI_CH.END_DT AS CH_END_DT" & _
	 " FROM MTI_PATH" & _
	 " LEFT OUTER JOIN MTM_PATH ON (MTI_PATH.PATH_CD = MTM_PATH.PATH_CD)" & _
	 " LEFT OUTER JOIN XTM_STAFF ON (MTI_PATH.DOCTOR_CD = XTM_STAFF.STAFF_CD)" & _
	 " LEFT OUTER JOIN MTM_VARIANCE_TYPE ON (MTI_PATH.TYPE_CD = MTM_VARIANCE_TYPE.VARIANCE_TYPE_CD)" & _
	 " LEFT OUTER JOIN MTM_VARIANCE_CHK ON (MTI_PATH.CHK_CD = MTM_VARIANCE_CHK.VARIANCE_CHK_CD)" & _
	 " LEFT OUTER JOIN MTM_VARIANCE_REASON REASON1 ON (MTI_PATH.REASON1_CD = REASON1.REASON_CD)" & _
	 " LEFT OUTER JOIN MTM_VARIANCE_REASON REASON2 ON (MTI_PATH.REASON2_CD = REASON2.REASON_CD)" & _
	 " LEFT OUTER JOIN MTM_VARIANCE_REASON REASON3 ON (MTI_PATH.REASON3_CD = REASON3.REASON_CD)" & _
	 " LEFT OUTER JOIN MTM_VARIANCE_REASON REASON4 ON (MTI_PATH.REASON4_CD = REASON4.REASON_CD)" & _
	 " LEFT OUTER JOIN MTI_HSP ON (MTI_PATH.PATIENT_NO = MTI_HSP.PATIENT_NO AND MTI_PATH.HSP_HISTORY_NO = MTI_HSP.HSP_HISTORY_NO)" & _
	 " LEFT OUTER JOIN MTI_CH ON  (MTI_PATH.PATIENT_NO = MTI_CH.PATIENT_NO AND MTI_PATH.HSP_HISTORY_NO = MTI_CH.HSP_HISTORY_NO AND MTI_PATH.CH_NO = MTI_CH.CH_NO)" & _
	 " WHERE MTI_PATH.PATIENT_NO     = " & prmPATIENT_NO

	Public Const sqlSumHspDays As String = "SELECT SUM(HSP_DAYS) AS CNT" & _
	   " FROM MTI_CH LEFT JOIN MTM_HSP_CNL ON MTI_CH.START_CNL_CD = MTM_HSP_CNL.HSP_CNL_CD " & _
	   " WHERE (MTI_CH.PATIENT_NO      = " & prmPATIENT_NO & _
	   " AND MTI_CH.HSP_HISTORY_NO = " & prmHSP_HISTORY_NO & _
	   " AND ((MTM_HSP_CNL.FIXED_CD2)<>'9' Or (MTM_HSP_CNL.FIXED_CD2) Is Null))"

	' エラーリストテーブル追加,削除
	Public Const itmHOST_NM As String = "HOST_NM"
	Public Const itmSERIAL_NO As String = "SERIAL_NO"
	Public Const itmINFO_NM As String = "INFO_NM"
	Public Const itmINFO_SERIAL_NO As String = "INFO_SERIAL_NO"
	Public Const itmERROR_KBN As String = "ERROR_KBN"
	Public Const itmERROR_MESSAGE As String = "ERROR_MESSAGE"
	Public Const prmHOST_NM As String = "@HOST_NM"
	Public Const prmSERIAL_NO As String = "@SERIAL_NO"
	Public Const prmINFO_NM As String = "@INFO_NM"
	Public Const prmINFO_SERIAL_NO As String = "@INFO_SERIAL_NO"
	Public Const prmERROR_KBN As String = "@ERROR_KBN"
	Public Const prmERROR_MESSAGE As String = "@ERROR_MESSAGE"
	Public Const sqlInputErrlist As String = _
	 "INSERT INTO MTW_INPUT_CHK" _
	 & " ( HOST_NM, PATIENT_NO, SERIAL_NO, HSP_HISTORY_NO, CH_NO, INFO_NM, INFO_SERIAL_NO, ERROR_KBN, ERROR_MESSAGE, LASTUPDUSER_CD, LASTUPD_DT) " _
	 & " VALUES (" _
	 & prmHOST_NM & "," _
	 & prmPATIENT_NO & "," _
	 & prmSERIAL_NO & "," _
	 & prmHSP_HISTORY_NO & "," _
	 & prmCH_NO & "," _
	 & prmINFO_NM & "," _
	 & prmINFO_SERIAL_NO & "," _
	 & prmERROR_KBN & "," _
	 & prmERROR_MESSAGE & "," _
	 & prmLASTUPDUSER_CD & "," _
	 & prmLASTUPD_DT & ")"

	Public Const sqlDeleteErrList As String = "DELETE FROM MTW_INPUT_CHK WHERE HOST_NM = " & prmHOST_NM
	Public Const sqlDeleteErrListHeader As String = "DELETE FROM XTW_HEADER_WORK WHERE HOST_NM = " & prmHOST_NM

	'基本情報更新用ＳＱＬ
	Public Const prmLASTLEFTHSP_DT As String = "@LASTLEFTHSP_DT"
	Public Const prmLASTUPD_DT As String = "@LASTUPD_DT"
	Public Const prmLASTUPDUSER_CD As String = "@LASTUPDUSER_CD"
	Public Const sqlUpdBasicInfo As String = "UPDATE XTI_BASICINFO SET" & _
	  "  LASTLEFTHSP_DT = " & prmLASTLEFTHSP_DT & _
	  ", LASTUPDUSER_CD = " & prmLASTUPDUSER_CD & _
	  ", LASTUPD_DT = " & prmLASTUPD_DT & _
	  " WHERE PATIENT_NO = " & prmPATIENT_NO

	'死亡院内更新用ＳＱＬ
	Public Const prmDEATH_AGE As String = "@DEATH_AGE"
	Public Const prmDEATH_MONTH_AGE As String = "@DEATH_MONTH_AGE"
	Public Const prmDEATH_DAY_AGE As String = "@DEATH_DAY_AGE"
	Public Const sqlUpdDEATH As String = "UPDATE MTI_DEATH SET " & _
	 "  DEATH_AGE = " & prmDEATH_AGE & _
	 ", DEATH_MONTH_AGE = " & prmDEATH_MONTH_AGE & _
	 ", DEATH_DAY_AGE = " & prmDEATH_DAY_AGE & _
	 ", LASTUPDUSER_CD = " & prmLASTUPDUSER_CD & _
	 ", LASTUPD_DT = " & prmLASTUPD_DT & _
	 " WHERE PATIENT_NO = " & prmPATIENT_NO

	'入退院歴更新処理
	Public Const prmFIXED_CD1 As String = "@FIXED_CD1"
	Public Const prmFIXED_CD2 As String = "@FIXED_CD2"
	Public Const prmFIXED_CD9 As String = "@FIXED_CD9"
	Public Const sqlSelHspInfo As String = "SELECT " & _
	 " MTI_HSP.PATIENT_NO, MTI_HSP.HSP_HISTORY_NO," & _
	 " MTI_HSP.BYOREKI_NO, MTI_HSP.DEPT_CD, MTI_HSP.WARD_CD, MTI_HSP.DOCTOR_CD," & _
	 " MTI_HSP.HSP_CNL_CD, MTI_HSP.READMISSION_FLG, MTI_HSP.HSP_AIM_CD, MTI_HSP.HSP_FORM_CD," & _
	 " MTI_HSP.HSP_DT, MTI_HSP.HSP_TIME, MTI_HSP.HSP_AGE, MTI_HSP.HSP_MONTH_AGE, MTI_HSP.HSP_DAY_AGE," & _
	 " MTI_HSP.OUT_HSP_DT, MTI_HSP.OUT_HSP_TIME, MTI_HSP.OUT_HSP_AGE, MTI_HSP.OUT_HSP_MONTH_AGE, MTI_HSP.OUT_HSP_DAY_AGE," & _
	 " MTI_HSP.OUT_HSP_CNL_CD, MTI_HSP.OUT_HSP_OUTCOME_CD, MTI_HSP.HSP_DAYS," & _
	 " MTI_HSP.CHANGE_DEPT_CHK, MTI_HSP.HOLD_DEPT_CHK, MTI_HSP.TAKE_AMBULANCE_CHK, MTI_HSP.PLAN_EMERGENCY_CD," & _
	 " MTI_HSP.CLINICAL_TRIAL_CHK, MTI_HSP.LAST_SELF_OTHER_HSP_DIV, MTI_HSP.LAST_OUT_HSP_DT, MTI_HSP.DPC_NO," & _
	 " MTI_HSP.TOTAL_MED_COST, MTI_HSP.MED_COST_COUNT, MTI_HSP.EXCLUDE_STATISTICS_FLG," & _
	 " MTI_HSP.SAME_DISEASE_LAST_HSP_DT, MTI_HSP.REMARKS, MTI_HSP.HSP_INFECTION_CHK," & _
	 " MTI_HSP.HSP_FREEITEM1, MTI_HSP.HSP_FREEITEM2, MTI_HSP.HSP_FREEITEM3, MTI_HSP.HSP_FREEITEM4," & _
	 " MTI_HSP.HSP_FREEITEM5, MTI_HSP.HSP_FREEITEM6," & _
	 " MTI_HSP.DISEASE_READMISSION_FLG, MTI_HSP.STATURE, MTI_HSP.WEIGHT, MTI_HSP.TIME_OUT_FLG," & _
	 " MTI_HSP.DATA_CAPTURE_DT, MTI_HSP.NEW_REG_DT, MTI_HSP.LASTUPDUSER_CD, MTI_HSP.LASTUPD_DT" & _
	 " FROM MTI_HSP" & _
	 " INNER JOIN (SELECT * FROM MTI_CH WHERE OUT_HSP_FLG = -1 ) AS MTI_CH ON (MTI_HSP.PATIENT_NO = MTI_CH.PATIENT_NO AND MTI_HSP.HSP_HISTORY_NO = MTI_CH.HSP_HISTORY_NO) " & _
	 " WHERE MTI_HSP.PATIENT_NO = " & prmPATIENT_NO

	Public Const sqlSelHspCHInfo As String = "SELECT " & _
	 " PATIENT_NO,HSP_HISTORY_NO,CH_NO, HSP_FLG, MAIN_DPM_FLG, OUT_HSP_FLG, FIXED_CD," & _
	 " START_CNL_CD, HSP_AIM_CD, HSP_FORM_CD, START_DT, START_TIME,START_AGE, START_MONTH_AGE," & _
	 " START_DAY_AGE, TAKE_AMBULANCE_CHK,PLAN_EMERGENCY_CD, STATURE,WEIGHT, TIME_OUT_FLG," & _
	 " READMISSION_FLG, LAST_OUT_HSP_DT, LAST_SELF_OTHER_HSP_DIV, DISEASE_READMISSION_FLG, SAME_DISEASE_LAST_HSP_DT," & _
	 " END_DT,END_TIME, END_AGE, END_MONTH_AGE, END_DAY_AGE, END_CNL_CD, END_OUTCOME_CD," & _
	 " DEPT_CD, WARD_CD, DOCTOR_CD, BYOREKI_NO" & _
	 " FROM " & _
	 " (SELECT " & _
	 "  PATIENT_NO,HSP_HISTORY_NO,CH_NO, HSP_FLG, MAIN_DPM_FLG, OUT_HSP_FLG, MTM_HSP_CNL.FIXED_CD," & _
	 "  START_CNL_CD, HSP_AIM_CD,HSP_FORM_CD,START_DT,START_TIME,START_AGE,START_MONTH_AGE," & _
	 "  START_DAY_AGE,TAKE_AMBULANCE_CHK,PLAN_EMERGENCY_CD,STATURE,WEIGHT,TIME_OUT_FLG," & _
	 "  READMISSION_FLG,LAST_OUT_HSP_DT,LAST_SELF_OTHER_HSP_DIV,DISEASE_READMISSION_FLG,SAME_DISEASE_LAST_HSP_DT," & _
	 "  END_DT,END_TIME,END_AGE,END_MONTH_AGE,END_DAY_AGE,END_CNL_CD,END_OUTCOME_CD," & _
	 "  DEPT_CD,WARD_CD,DOCTOR_CD,BYOREKI_NO" & _
	 "  FROM MTI_CH LEFT OUTER JOIN MTM_HSP_CNL " & _
	 "   ON (MTM_HSP_CNL.HSP_CNL_CD = MTI_CH.START_CNL_CD AND ( MTM_HSP_CNL.FIXED_CD = " & prmFIXED_CD1 & " OR MTM_HSP_CNL.FIXED_CD = " & prmFIXED_CD9 & "))" & _
	 "  WHERE HSP_FLG = -1 AND PATIENT_NO = " & prmPATIENT_NO & " AND HSP_HISTORY_NO = " & prmHSP_HISTORY_NO & _
	 " UNION " & _
	 " SELECT " & _
	 "  PATIENT_NO,HSP_HISTORY_NO,CH_NO, HSP_FLG, MAIN_DPM_FLG, OUT_HSP_FLG, MTM_HSP_CNL.FIXED_CD," & _
	 "  START_CNL_CD, HSP_AIM_CD,HSP_FORM_CD,START_DT,START_TIME,START_AGE,START_MONTH_AGE," & _
	 "  START_DAY_AGE,TAKE_AMBULANCE_CHK,PLAN_EMERGENCY_CD,STATURE,WEIGHT,TIME_OUT_FLG," & _
	 "  READMISSION_FLG,LAST_OUT_HSP_DT,LAST_SELF_OTHER_HSP_DIV,DISEASE_READMISSION_FLG,SAME_DISEASE_LAST_HSP_DT," & _
	 "  END_DT,END_TIME,END_AGE,END_MONTH_AGE,END_DAY_AGE,END_CNL_CD,END_OUTCOME_CD," & _
	 "  DEPT_CD,WARD_CD,DOCTOR_CD,BYOREKI_NO" & _
	 "  FROM MTI_CH LEFT OUTER JOIN MTM_HSP_CNL " & _
	 "   ON (MTM_HSP_CNL.HSP_CNL_CD = MTI_CH.START_CNL_CD AND ( MTM_HSP_CNL.FIXED_CD = " & prmFIXED_CD1 & " OR MTM_HSP_CNL.FIXED_CD = " & prmFIXED_CD9 & "))" & _
	 "  WHERE OUT_HSP_FLG = -1 AND PATIENT_NO = " & prmPATIENT_NO & " AND HSP_HISTORY_NO = " & prmHSP_HISTORY_NO & _
	 " UNION " & _
	 " SELECT " & _
	 "  PATIENT_NO,HSP_HISTORY_NO,CH_NO, HSP_FLG, MAIN_DPM_FLG, OUT_HSP_FLG, MTM_HSP_CNL.FIXED_CD," & _
	 "  START_CNL_CD, HSP_AIM_CD,HSP_FORM_CD,START_DT,START_TIME,START_AGE,START_MONTH_AGE," & _
	 "  START_DAY_AGE,TAKE_AMBULANCE_CHK,PLAN_EMERGENCY_CD,STATURE,WEIGHT,TIME_OUT_FLG," & _
	 "  READMISSION_FLG,LAST_OUT_HSP_DT,LAST_SELF_OTHER_HSP_DIV,DISEASE_READMISSION_FLG,SAME_DISEASE_LAST_HSP_DT," & _
	 "  END_DT,END_TIME,END_AGE,END_MONTH_AGE,END_DAY_AGE,END_CNL_CD,END_OUTCOME_CD," & _
	 "  DEPT_CD,WARD_CD,DOCTOR_CD,BYOREKI_NO" & _
	 "  FROM MTI_CH LEFT OUTER JOIN MTM_HSP_CNL " & _
	 "   ON (MTM_HSP_CNL.HSP_CNL_CD = MTI_CH.START_CNL_CD AND ( MTM_HSP_CNL.FIXED_CD = " & prmFIXED_CD1 & " OR MTM_HSP_CNL.FIXED_CD = " & prmFIXED_CD9 & "))" & _
	 "  WHERE MAIN_DPM_FLG = -1 AND PATIENT_NO = " & prmPATIENT_NO & " AND HSP_HISTORY_NO = " & prmHSP_HISTORY_NO & _
	 " UNION " & _
	 " SELECT " & _
	 "  PATIENT_NO,HSP_HISTORY_NO,CH_NO, HSP_FLG, MAIN_DPM_FLG, OUT_HSP_FLG, MTM_HSP_CNL.FIXED_CD," & _
	 "  START_CNL_CD, HSP_AIM_CD,HSP_FORM_CD,START_DT,START_TIME,START_AGE,START_MONTH_AGE," & _
	 "  START_DAY_AGE,TAKE_AMBULANCE_CHK,PLAN_EMERGENCY_CD,STATURE,WEIGHT,TIME_OUT_FLG," & _
	 "  READMISSION_FLG,LAST_OUT_HSP_DT,LAST_SELF_OTHER_HSP_DIV,DISEASE_READMISSION_FLG,SAME_DISEASE_LAST_HSP_DT," & _
	 "  END_DT,END_TIME,END_AGE,END_MONTH_AGE,END_DAY_AGE,END_CNL_CD,END_OUTCOME_CD," & _
	 "  DEPT_CD,WARD_CD,DOCTOR_CD,BYOREKI_NO" & _
	 "  FROM MTI_CH LEFT OUTER JOIN MTM_HSP_CNL " & _
	 "   ON (MTM_HSP_CNL.HSP_CNL_CD = MTI_CH.START_CNL_CD AND ( MTM_HSP_CNL.FIXED_CD = " & prmFIXED_CD1 & " OR MTM_HSP_CNL.FIXED_CD = " & prmFIXED_CD9 & "))" & _
	 "  WHERE PATIENT_NO = " & prmPATIENT_NO & " AND HSP_HISTORY_NO = " & prmHSP_HISTORY_NO & _
	 " ) AS MTI_CH" & _
	 " ORDER BY PATIENT_NO, HSP_HISTORY_NO, CH_NO"
	Public Const prmHSP_CNL_CD As String = "@HSP_CNL_CD"
	Public Const prmHSP_AIM_CD As String = "@HSP_AIM_CD"
	Public Const prmHSP_FORM_CD As String = "@HSP_FORM_CD"
	Public Const prmHSP_DT As String = "@HSP_DT"
	Public Const prmHSP_TIME As String = "@HSP_TIME"
	Public Const prmHSP_AGE As String = "@HSP_AGE"
	Public Const prmHSP_MONTH_AGE As String = "@HSP_MONTH_AGE"
	Public Const prmHSP_DAY_AGE As String = "@HSP_DAY_AGE"
	Public Const prmTAKE_AMBULANCE_CHK As String = "@TAKE_AMBULANCE_CHK"
	Public Const prmPLAN_EMERGENCY_CD As String = "@PLAN_EMERGENCY_CD"
	Public Const prmSTATURE As String = "@STATURE"
	Public Const prmWEIGHT As String = "@WEIGHT"
	Public Const prmTIME_OUT_FLG As String = "@TIME_OUT_FLG"
	Public Const prmREADMISSION_FLG As String = "@READMISSION_FLG"
	Public Const prmLAST_OUT_HSP_DT As String = "@LAST_OUT_HSP_DT"
	Public Const prmLAST_SELF_OTHER_HSP_DIV As String = "@LAST_SELF_OTHER_HSP_DIV"
	Public Const prmDISEASE_READMISSION_FLG As String = "@DISEASE_READMISSION_FLG"
	Public Const prmSAME_DISEASE_LAST_HSP_DT As String = "@SAME_DISEASE_LAST_HSP_DT"
	Public Const prmOUT_HSP_DT As String = "@OUT_HSP_DT"
	Public Const prmOUT_HSP_TIME As String = "@OUT_HSP_TIME"
	Public Const prmOUT_HSP_AGE As String = "@OUT_HSP_AGE"
	Public Const prmOUT_HSP_MONTH_AGE As String = "@OUT_HSP_MONTH_AGE"
	Public Const prmOUT_HSP_DAY_AGE As String = "@OUT_HSP_DAY_AGE"
	Public Const prmOUT_HSP_CNL_CD As String = "@OUT_HSP_CNL_CD"
	Public Const prmOUT_HSP_OUTCOME_CD As String = "@OUT_HSP_OUTCOME_CD"
	Public Const prmDEPT_CD As String = "@DEPT_CD"
	Public Const prmWARD_CD As String = "@WARD_CD"
	Public Const prmDOCTOR_CD As String = "@DOCTOR_CD"
	Public Const prmBYOREKI_NO As String = "@BYOREKI_NO"
	Public Const prmCHANGE_DEPT_CHK As String = "@CHANGE_DEPT_CHK"
	Public Const prmHOLD_DEPT_CHK As String = "@HOLD_DEPT_CHK"
	Public Const sqlUpdHspCh As String = "UPDATE MTI_HSP SET" & _
	  "  HSP_CNL_CD = " & prmHSP_CNL_CD & _
	  ", HSP_AIM_CD = " & prmHSP_AIM_CD & _
	  ", HSP_FORM_CD = " & prmHSP_FORM_CD & _
	  ", HSP_DT = " & prmHSP_DT & _
	  ", HSP_TIME = " & prmHSP_TIME & _
	  ", HSP_AGE = " & prmHSP_AGE & _
	  ", HSP_MONTH_AGE = " & prmHSP_MONTH_AGE & _
	  ", HSP_DAY_AGE = " & prmHSP_DAY_AGE & _
	  ", TAKE_AMBULANCE_CHK = " & prmTAKE_AMBULANCE_CHK & _
	  ", PLAN_EMERGENCY_CD = " & prmPLAN_EMERGENCY_CD & _
	  ", STATURE = " & prmSTATURE & _
	  ", WEIGHT = " & prmWEIGHT & _
	  ", TIME_OUT_FLG = " & prmTIME_OUT_FLG & _
	  ", READMISSION_FLG = " & prmREADMISSION_FLG & _
	  ", LAST_OUT_HSP_DT = " & prmLAST_OUT_HSP_DT & _
	  ", LAST_SELF_OTHER_HSP_DIV = " & prmLAST_SELF_OTHER_HSP_DIV & _
	  ", DISEASE_READMISSION_FLG = " & prmDISEASE_READMISSION_FLG & _
	  ", SAME_DISEASE_LAST_HSP_DT = " & prmSAME_DISEASE_LAST_HSP_DT & _
	  ", OUT_HSP_DT = " & prmOUT_HSP_DT & _
	  ", OUT_HSP_TIME = " & prmOUT_HSP_TIME & _
	  ", OUT_HSP_AGE = " & prmOUT_HSP_AGE & _
	  ", OUT_HSP_MONTH_AGE = " & prmOUT_HSP_MONTH_AGE & _
	  ", OUT_HSP_DAY_AGE = " & prmOUT_HSP_DAY_AGE & _
	  ", OUT_HSP_CNL_CD = " & prmOUT_HSP_CNL_CD & _
	  ", OUT_HSP_OUTCOME_CD = " & prmOUT_HSP_OUTCOME_CD & _
	  ", DEPT_CD = " & prmDEPT_CD & _
	  ", WARD_CD = " & prmWARD_CD & _
	  ", DOCTOR_CD = " & prmDOCTOR_CD & _
	  ", BYOREKI_NO = " & prmBYOREKI_NO & _
	  ", CHANGE_DEPT_CHK = " & prmCHANGE_DEPT_CHK & _
	  ", HOLD_DEPT_CHK = " & prmHOLD_DEPT_CHK & _
	  ", LASTUPDUSER_CD = " & prmLASTUPDUSER_CD & _
	  ", LASTUPD_DT = " & prmLASTUPD_DT & _
	  "  WHERE PATIENT_NO = " & prmPATIENT_NO & _
	  "  AND HSP_HISTORY_NO = " & prmHSP_HISTORY_NO

	Public Const sqlUpdHspInDay As String = "UPDATE MTI_HSP SET" & _
	 "  HSP_DAYS = " & prmHSP_DAYS & _
	 ", LASTUPDUSER_CD = " & prmLASTUPDUSER_CD & _
	 ", LASTUPD_DT = " & prmLASTUPD_DT & _
	 "  WHERE PATIENT_NO = " & prmPATIENT_NO & _
	 "  AND HSP_HISTORY_NO = " & prmHSP_HISTORY_NO

	'科歴情報更新処理
	Public Const prmDISEASE_COUNT As String = "@DISEASE_COUNT"
	Public Const prmOPE_COUNT As String = "@OPE_COUNT"
	Public Const prmCARE_COUNT As String = "@CARE_COUNT"
	Public Const prmTEST_COUNT As String = "@TEST_COUNT"
	Public Const prmASST_ITM1_COUNT As String = "@ASST_ITM1_COUNT"
	Public Const prmASST_ITM2_COUNT As String = "@ASST_ITM2_COUNT"
	Public Const prmCB_COUNT As String = "@CB_COUNT"
	Public Const prmEMERGENCY_COUNT As String = "@EMERGENCY_COUNT"
	Public Const prmOTHER_DEPT_COUNT As String = "@OTHER_DEPT_COUNT"
	Public Const prmMED_COST_COUNT As String = "@MED_COST_COUNT"
	Public Const prmPATH_COUNT As String = "@PATH_COUNT"
	Public Const prmHSP_DAYS As String = "@HSP_DAYS"
	Public Const prmSTART_AGE As String = "@START_AGE"
	Public Const prmSTART_MONTH_AGE As String = "@START_MONTH_AGE"
	Public Const prmSTART_DAY_AGE As String = "@START_DAY_AGE"
	Public Const prmEND_AGE As String = "@END_AGE"
	Public Const prmEND_MONTH_AGE As String = "@END_MONTH_AGE"
	Public Const prmEND_DAY_AGE As String = "@END_DAY_AGE"
	Public Const sqlUpdChAge As String = "UPDATE MTI_CH SET" & _
	 "  START_AGE = " & prmSTART_AGE & _
	 ", START_MONTH_AGE = " & prmSTART_MONTH_AGE & _
	 ", START_DAY_AGE = " & prmSTART_DAY_AGE & _
	 ", END_AGE = " & prmEND_AGE & _
	 ", END_MONTH_AGE = " & prmEND_MONTH_AGE & _
	 ", END_DAY_AGE = " & prmEND_DAY_AGE & _
	 ", LASTUPDUSER_CD = " & prmLASTUPDUSER_CD & _
	 ", LASTUPD_DT = " & prmLASTUPD_DT & _
	 "  WHERE PATIENT_NO = " & prmPATIENT_NO & _
	 "  AND HSP_HISTORY_NO = " & prmHSP_HISTORY_NO & _
	 "  AND CH_NO = " & prmCH_NO

	Public Const sqlUpdChInDay As String = "UPDATE MTI_CH SET" & _
	 "  HSP_DAYS = " & prmHSP_DAYS & _
	 ", LASTUPDUSER_CD = " & prmLASTUPDUSER_CD & _
	 ", LASTUPD_DT = " & prmLASTUPD_DT & _
	 "  WHERE PATIENT_NO = " & prmPATIENT_NO & _
	 "  AND HSP_HISTORY_NO = " & prmHSP_HISTORY_NO & _
	 "  AND CH_NO = " & prmCH_NO

	Public Const sqlUpdChRecordSu As String = "UPDATE MTI_CH SET" & _
	 "  DISEASE_COUNT = " & prmDISEASE_COUNT & _
	 ", OPE_COUNT = " & prmOPE_COUNT & _
	 ", CARE_COUNT = " & prmCARE_COUNT & _
	 ", TEST_COUNT = " & prmTEST_COUNT & _
	 ", ASST_ITM1_COUNT = " & prmASST_ITM1_COUNT & _
	 ", ASST_ITM2_COUNT = " & prmASST_ITM2_COUNT & _
	 ", CB_COUNT = " & prmCB_COUNT & _
	 ", EMERGENCY_COUNT = " & prmEMERGENCY_COUNT & _
	 ", OTHER_DEPT_COUNT = " & prmOTHER_DEPT_COUNT & _
	 ", MED_COST_COUNT = " & prmMED_COST_COUNT & _
	 ", PATH_COUNT = " & prmPATH_COUNT & _
	 ", LASTUPDUSER_CD = " & prmLASTUPDUSER_CD & _
	 ", LASTUPD_DT = " & prmLASTUPD_DT & _
	 "  WHERE PATIENT_NO = " & prmPATIENT_NO & _
	 "  AND HSP_HISTORY_NO = " & prmHSP_HISTORY_NO & _
	 "  AND CH_NO = " & prmCH_NO

	'病名情報更新処理
	Public Const prmA_GRP_CD As String = "@A_GRP_CD"
	Public Const prmB_GRP_CD As String = "@B_GRP_CD"
	Public Const prmDEATH_GRP_CD As String = "@DEATH_GRP_CD"
	Public Const prmGRP300_CD As String = "@GRP300_CD"
	Public Const sqlUpdDiseaseGrp As String = "UPDATE MTI_DISEASE SET" & _
	   "  L_GRP_CD = " & prmL_GRP_CD & _
	   ", M_GRP_CD = " & prmM_GRP_CD & _
	   ", S_GRP_CD = " & prmS_GRP_CD & _
	   ", GRP300_CD = " & prmGRP300_CD & _
	   ", A_GRP_CD = " & prmA_GRP_CD & _
	   ", B_GRP_CD = " & prmB_GRP_CD & _
	   ", C_GRP_CD = " & prmC_GRP_CD & _
	   ", DEATH_GRP_CD = " & prmDEATH_GRP_CD & _
	   ", LASTUPDUSER_CD = " & prmLASTUPDUSER_CD & _
	   ", LASTUPD_DT = " & prmLASTUPD_DT & _
	   "  WHERE PATIENT_NO = " & prmPATIENT_NO & _
	   "  AND HSP_HISTORY_NO = " & prmHSP_HISTORY_NO & _
	   "  AND CH_NO = " & prmCH_NO & _
	   "  AND DISEASE_SERIAL_NO = " & prmDISEASE_SERIAL_NO

	'手術情報更新処理
	Public Const prmOPE_AGE As String = "@OPE_AGE"
	Public Const prmOPE_MONTH_AGE As String = "@OPE_MONTH_AGE"
	Public Const prmOPE_DAY_AGE As String = "@OPE_DAY_AGE"
	Public Const prmAFTER_OPE_DAYS As String = "@AFTER_OPE_DAYS"
	Public Const prmPRE_OPE_DAYS As String = "@PRE_OPE_DAYS"
	Public Const sqlUpdOpeGrp As String = "UPDATE MTI_OPE SET" & _
	 "  L_GRP_CD = " & prmL_GRP_CD & _
	 ", M_GRP_CD = " & prmM_GRP_CD & _
	 ", DIGS3_GRP_CD = " & prmDIGS3_GRP_CD & _
	 ", LASTUPDUSER_CD = " & prmLASTUPDUSER_CD & _
	 ", LASTUPD_DT = " & prmLASTUPD_DT & _
	 "  WHERE PATIENT_NO = " & prmPATIENT_NO & _
	 "  AND HSP_HISTORY_NO = " & prmHSP_HISTORY_NO & _
	 "  AND CH_NO = " & prmCH_NO & _
	 "  AND OPE_SERIAL_NO = " & prmOPE_SERIAL_NO
	Public Const sqlUpdOpeCalc As String = "UPDATE MTI_OPE SET" & _
	 "  OPE_AGE = " & prmOPE_AGE & _
	 ", OPE_MONTH_AGE = " & prmOPE_MONTH_AGE & _
	 ", OPE_DAY_AGE = " & prmOPE_DAY_AGE & _
	 ", AFTER_OPE_DAYS = " & prmAFTER_OPE_DAYS & _
	 ", PRE_OPE_DAYS = " & prmPRE_OPE_DAYS & _
	 ", LASTUPDUSER_CD = " & prmLASTUPDUSER_CD & _
	 ", LASTUPD_DT = " & prmLASTUPD_DT & _
	 "  WHERE PATIENT_NO = " & prmPATIENT_NO & _
	 "  AND HSP_HISTORY_NO = " & prmHSP_HISTORY_NO & _
	 "  AND CH_NO = " & prmCH_NO & _
	 "  AND OPE_SERIAL_NO = " & prmOPE_SERIAL_NO

	'治療情報更新処理
	Public Const prmCARE_SERIAL_NO As String = "@CARE_SERIAL_NO"
	Public Const sqlUpdCareGrp As String = "UPDATE MTI_CARE SET" & _
	  "  L_GRP_CD = " & prmL_GRP_CD & _
	  ", M_GRP_CD = " & prmM_GRP_CD & _
	  ", DIGS3_GRP_CD = " & prmDIGS3_GRP_CD & _
	  ", LASTUPDUSER_CD = " & prmLASTUPDUSER_CD & _
	  ", LASTUPD_DT = " & prmLASTUPD_DT & _
	  "  WHERE PATIENT_NO = " & prmPATIENT_NO & _
	  "  AND HSP_HISTORY_NO = " & prmHSP_HISTORY_NO & _
	  "  AND CH_NO = " & prmCH_NO & _
	  "  AND CARE_SERIAL_NO = " & prmCARE_SERIAL_NO

	'検査情報更新処理
	Public Const prmL_GRP_CD As String = "@L_GRP_CD"
	Public Const prmDIGS3_GRP_CD As String = "@DIGS3_GRP_CD"
	Public Const prmTEST_SERIAL_NO As String = "@TEST_SERIAL_NO"
	Public Const sqlUpdTestGrp As String = "UPDATE MTI_TEST SET" & _
	   "  L_GRP_CD = " & prmL_GRP_CD & _
	   ", M_GRP_CD = " & prmM_GRP_CD & _
	   ", DIGS3_GRP_CD = " & prmDIGS3_GRP_CD & _
	   ", LASTUPDUSER_CD = " & prmLASTUPDUSER_CD & _
	   ", LASTUPD_DT = " & prmLASTUPD_DT & _
	   "  WHERE PATIENT_NO = " & prmPATIENT_NO & _
	   "  AND HSP_HISTORY_NO = " & prmHSP_HISTORY_NO & _
	   "  AND CH_NO = " & prmCH_NO & _
	   "  AND TEST_SERIAL_NO = " & prmTEST_SERIAL_NO

	'救命情報更新処理
	Public Const prmEMERGENCY_SERIAL_NO As String = "@EMERGENCY_SERIAL_NO"
	Public Const prmENTERING_AGE As String = "@ENTERING_AGE"
	Public Const prmENTERING_MONTH_AGE As String = "@ENTERING_MONTH_AGE"
	Public Const prmENTERING_DAY_AGE As String = "@ENTERING_DAY_AGE"
	Public Const prmLEAVING_AGE As String = "@LEAVING_AGE"
	Public Const prmLEAVING_MONTH_AGE As String = "@LEAVING_MONTH_AGE"
	Public Const prmLEAVING_DAY_AGE As String = "@LEAVING_DAY_AGE"
	Public Const prmIN_ROOM_DAYS As String = "@IN_ROOM_DAYS"
	Public Const prmMED_REQUIRED_TIME As String = "@MED_REQUIRED_TIME"
	Public Const sqlUpdEMERGENCY As String = "UPDATE MTI_EMERGENCY SET" & _
	  "  ENTERING_AGE =" & prmENTERING_AGE & _
	  ", ENTERING_MONTH_AGE = " & prmENTERING_MONTH_AGE & _
	  ", ENTERING_DAY_AGE = " & prmENTERING_DAY_AGE & _
	  ", LEAVING_AGE = " & prmLEAVING_AGE & _
	  ", LEAVING_MONTH_AGE = " & prmLEAVING_MONTH_AGE & _
	  ", LEAVING_DAY_AGE = " & prmLEAVING_DAY_AGE & _
	  ", IN_ROOM_DAYS = " & prmIN_ROOM_DAYS & _
	  ", MED_REQUIRED_TIME = " & prmMED_REQUIRED_TIME & _
	  ", LASTUPDUSER_CD = " & prmLASTUPDUSER_CD & _
	  ", LASTUPD_DT = " & prmLASTUPD_DT & _
	  "  WHERE PATIENT_NO = " & prmPATIENT_NO & _
	  "  AND HSP_HISTORY_NO = " & prmHSP_HISTORY_NO & _
	  "  AND CH_NO = " & prmCH_NO & _
	  "  AND EMERGENCY_SERIAL_NO = " & prmEMERGENCY_SERIAL_NO

	'入退院医療費更新処理
	Public Const prmTOTAL_MED_COST As String = "@TOTAL_MED_COST"
	Public Const sqlUpdHspMedCost As String = "UPDATE MTI_HSP SET" & _
	  "  TOTAL_MED_COST = " & prmTOTAL_MED_COST & _
	  ", LASTUPDUSER_CD = " & prmLASTUPDUSER_CD & _
	  ", LASTUPD_DT = " & prmLASTUPD_DT & _
	  "  WHERE PATIENT_NO = " & prmPATIENT_NO & _
	  "  AND HSP_HISTORY_NO = " & prmHSP_HISTORY_NO

	'科歴医療費更新処理
	Public Const sqlUpdChMedCost As String = "UPDATE MTI_CH SET" & _
	 "  TOTAL_MED_COST = " & prmTOTAL_MED_COST & _
	 ", LASTUPDUSER_CD = " & prmLASTUPDUSER_CD & _
	 ", LASTUPD_DT = " & prmLASTUPD_DT & _
	 "  WHERE PATIENT_NO = " & prmPATIENT_NO & _
	 "  AND HSP_HISTORY_NO = " & prmHSP_HISTORY_NO & _
	 "  AND CH_NO = " & prmCH_NO

	'分娩時情報更新処理
	Public Const sqlGetCbUpdInfo As String = " SELECT " & _
	 "  MTI_CB.PATIENT_NO, MTI_CB.HSP_HISTORY_NO, MTI_CB.CH_NO" & _
	 ", MTI_CB.CB_DT, MTI_CB.CB_AGE, MTI_CB.CB_MONTH_AGE, MTI_CB.CHD_COUNT" & _
	 ", XTI_BASICINFO.BIRTH_DT" & _
	 " FROM MTI_CB " & _
	 " LEFT JOIN XTI_BASICINFO ON (MTI_CB.PATIENT_NO = XTI_BASICINFO.PATIENT_NO) " & _
	 " WHERE MTI_CB.PATIENT_NO = " & prmPATIENT_NO

	Public Const prmCB_AGE As String = "@CB_AGE"
	Public Const prmCB_MONTH_AGE As String = "@CB_MONTH_AGE"
	Public Const prmCHD_COUNT As String = "@CHD_COUNT"
	Public Const sqlUpdCbUpdInfo As String = " UPDATE MTI_CB" & _
	 " SET" & _
	 "  LASTUPDUSER_CD = " & prmLASTUPDUSER_CD & _
	 ", LASTUPD_DT = " & prmLASTUPD_DT & _
	 ", CB_AGE = " & prmCB_AGE & _
	 ", CB_MONTH_AGE = " & prmCB_MONTH_AGE & _
	 ", CHD_COUNT = " & prmCHD_COUNT & _
	 " WHERE PATIENT_NO = " & prmPATIENT_NO & _
	 " AND HSP_HISTORY_NO = " & prmHSP_HISTORY_NO & _
	 " AND CH_NO = " & prmCH_NO

	'分娩情報削除取得
	Public Const prmGENDER_CD As String = "@GENDER_CD"
	Public Const sqlGetCbDelInfo As String = " SELECT " & _
	 "  MTI_CB.PATIENT_NO, MTI_CB.HSP_HISTORY_NO, MTI_CB.CH_NO" & _
	 ", XTI_BASICINFO.GENDER_CD" & _
	 " FROM MTI_CB " & _
	 " LEFT JOIN XTI_BASICINFO ON (MTI_CB.PATIENT_NO = XTI_BASICINFO.PATIENT_NO) " & _
	 " WHERE MTI_CB.PATIENT_NO = " & prmPATIENT_NO & _
	 " AND XTI_BASICINFO.GENDER_CD = " & prmGENDER_CD

End Class

''' ---------------------------------------------
''' <summary>
''' 基本情報チェッククラス
''' </summary>
''' ---------------------------------------------
Public NotInheritable Class datBasicInfo
	Public PATIENT_NO As String = Nothing								'患者番号
	Public PATIENT_NM As String = Nothing								'氏名
	Public PATIENT_KNM As String = Nothing								'氏名カナ
	Public PREVIOUS1_NM As String = Nothing								'旧姓１
	Public PREVIOUS1_KNM As String = Nothing							'旧姓１カナ
	Public PREVIOUS2_NM As String = Nothing								'旧姓２
	Public PREVIOUS2_KNM As String = Nothing							'旧姓２カナ
	Public GENDER_CD As String = Nothing								'性別コード
	Public BIRTH_DT As Nullable(Of Date) = Nothing						'生年月日
	Public FIRSTHSPVST_DT As Nullable(Of Date) = Nothing				'初回来院日
	Public LASTHSPVST_DT As Nullable(Of Date) = Nothing					'最終来院日
	Public LASTDEPT_CD As String = Nothing								'最終受診科コード
	Public LASTLEFTHSP_DT As Nullable(Of Date) = Nothing				'最終退院日
	Public GENDER_NM As String = Nothing								'性別名称
	Public OUT_HSP_DT As Nullable(Of Date) = Nothing					'退院日
End Class

''' ---------------------------------------------
''' <summary>
''' 死亡情報チェッククラス
''' </summary>
''' ---------------------------------------------
Public NotInheritable Class datDeathInfo
	Public PATIENT_NO As String = Nothing						'患者番号
	Public DEATH_DT As Nullable(Of Date) = Nothing				'死亡日
	Public DEATH_DIV As String = Nothing						'死亡区分コード
	Public AFTER_OPE_DEATH_DIV As String = Nothing				'術後死亡区分コード
	Public DEATH_TIME As String = Nothing						'死亡時刻
	Public DEATH_AGE As Nullable(Of Integer) = Nothing			'死亡時年齢
	Public DEATH_MONTH_AGE As Nullable(Of Integer) = Nothing	'死亡時月齢
	Public DEATH_DAY_AGE As Nullable(Of Integer) = Nothing		'死亡時日齢
	Public BIRTH_DT As Nullable(Of Date) = Nothing				'生年月日
	Public OUT_HSP_DT As Nullable(Of Date) = Nothing			'退院日
	Public FIXED_CD As String = Nothing							'死亡場所マスタ固定コード
	Public DEATH_DIV_NM As String = Nothing						'死亡区分名
	Public AFTER_OPE_DEATH_DIV_NM As String = Nothing			'術後死亡区分名
End Class

''' ---------------------------------------------
''' <summary>
''' 入退院情報チェッククラス
''' </summary>
''' ---------------------------------------------
Public NotInheritable Class datHspInfo
	Public PATIENT_NO As String = Nothing								'患者番号
	Public HSP_HISTORY_NO As Nullable(Of Integer) = Nothing				'入退院歴番号
	Public BYOREKI_NO As String = Nothing								'病歴番号
	Public DEPT_CD As String = Nothing									'診療科コード
	Public WARD_CD As String = Nothing									'病棟コード
	Public DOCTOR_CD As String = Nothing								'医師コード
	Public HSP_CNL_CD As String = Nothing								'入院経路コード
	Public READMISSION_FLG As Nullable(Of Integer) = Nothing			'再入院フラグ
	Public HSP_AIM_CD As String = Nothing								'入院目的コード
	Public HSP_FORM_CD As String = Nothing								'入院形態コード
	Public HSP_DT As Nullable(Of Date) = Nothing						'入院日
	Public HSP_TIME As String = Nothing									'入院時刻
	Public HSP_AGE As Nullable(Of Integer) = Nothing					'入院時年齢
	Public HSP_MONTH_AGE As Nullable(Of Integer) = Nothing				'入院時月齢
	Public HSP_DAY_AGE As Nullable(Of Integer) = Nothing				'入院時日齢
	Public OUT_HSP_DT As Nullable(Of Date) = Nothing					'退院日
	Public OUT_HSP_TIME As String = Nothing								'退院時刻
	Public OUT_HSP_AGE As Nullable(Of Integer) = Nothing				'退院時年齢
	Public OUT_HSP_MONTH_AGE As Nullable(Of Integer) = Nothing			'退院時月齢
	Public OUT_HSP_DAY_AGE As Nullable(Of Integer) = Nothing			'退院時日齢
	Public OUT_HSP_CNL_CD As String = Nothing							'退院経路コード
	Public OUT_HSP_OUTCOME_CD As String = Nothing						'退院転帰コード
	Public HSP_DAYS As Nullable(Of Integer) = Nothing					'在院日数
	Public CHANGE_DEPT_CHK As String = Nothing							'転科有無コード
	Public HOLD_DEPT_CHK As String = Nothing							'兼科有無コード
	Public DATA_CAPTURE_DT As Nullable(Of Date) = Nothing				'データ取込日
	Public NEW_REG_DT As Nullable(Of Date) = Nothing					'新規登録日
	Public TAKE_AMBULANCE_CHK As String = Nothing						'救急車搬送有無コード
	Public PLAN_EMERGENCY_CD As String = Nothing						'予定緊急コード
	Public CLINICAL_TRIAL_CHK As String = Nothing						'治験実施有無コード
	Public LAST_SELF_OTHER_HSP_DIV As String = Nothing					'前回自他院区分
	Public LAST_OUT_HSP_DT As Nullable(Of Date) = Nothing				'前回退院日
	Public DPC_NO As String = Nothing									'ＤＰＣ番号
	Public TOTAL_MED_COST As Nullable(Of Integer) = Nothing				'医療費合計
	Public MED_COST_COUNT As Nullable(Of Integer) = Nothing				'医療費数
	Public EXCLUDE_STATISTICS_FLG As Nullable(Of Integer) = Nothing		'統計対象外フラグ
	Public SAME_DISEASE_LAST_HSP_DT As Nullable(Of Date) = Nothing		'同一疾病前回退院日
	Public REMARKS As String = Nothing									'備考
	Public HSP_INFECTION_CHK As String = Nothing						'院内感染症有無コード
	Public HSP_FREEITEM1 As String = Nothing							'一般病棟以外からの移動有無コード
	Public HSP_FREEITEM2 As String = Nothing							'一般病棟以外への移動有無コード
	Public HSP_FREEITEM3 As String = Nothing							'入退院有無コード3
	Public HSP_FREEITEM4 As String = Nothing							'入退院有無コード4
	Public HSP_FREEITEM5 As String = Nothing							'入退院有無コード5
	Public HSP_FREEITEM6 As String = Nothing							'入退院有無コード6
	Public DISEASE_READMISSION_FLG As Nullable(Of Integer) = Nothing	'疾病再入院フラグ
	Public STATURE As Nullable(Of Double) = Nothing						'身長
	Public WEIGHT As Nullable(Of Double) = Nothing						'体重
	Public TIME_OUT_FLG As Nullable(Of Integer) = Nothing				'時間外フラグ
	Public OUTCOME_FIXED_CD As String = Nothing							'退院転帰 固定コード
	Public CNL_FIXED_CD As String = Nothing								'入院経路 固定コード
	Public HSP_FLG As Nullable(Of Integer) = Nothing					'入院フラグ
	Public OUT_HSP_FLG As Nullable(Of Integer) = Nothing				'退院フラグ
	Public MAIN_DPM_FLG As Nullable(Of Integer) = Nothing				'主科フラグ
	Public CH_READMISSION_FLG As Nullable(Of Integer) = Nothing			'再入院フラグ
	Public CH_LAST_OUT_HSP_DT As Nullable(Of Date) = Nothing			'前回退院日
	Public START_DT As Nullable(Of Date) = Nothing						'開始日
	Public START_AGE As Nullable(Of Integer) = Nothing					'開始時年齢
	Public START_MONTH_AGE As Nullable(Of Integer) = Nothing			'開始時月齢
	Public START_DAY_AGE As Nullable(Of Integer) = Nothing				'開始時日齢
	Public START_CNL_CD As String = Nothing								'開始経路コード
	Public CH_NO As Nullable(Of Integer) = Nothing						'科歴番号
	Public END_DT As Nullable(Of Date) = Nothing						'終了日
	Public END_AGE As Nullable(Of Integer) = Nothing					'終了時年齢
	Public END_MONTH_AGE As Nullable(Of Integer) = Nothing				'終了時月齢
	Public END_DAY_AGE As Nullable(Of Integer) = Nothing				'終了時日齢
	Public END_CNL_CD As String = Nothing								'終了経路コード
	Public END_OUTCOME_CD As String = Nothing							'終了転帰コード
	Public CH_DEPT_CD As String = Nothing								'診療科コード
	Public CH_WARD_CD As String = Nothing								'病棟コード
	Public CH_DOCTOR_CD As String = Nothing								'医師コード
	Public CH_BYOREKI_NO As String = Nothing							'病歴番号
	Public CH_HSP_AIM_CD As String = Nothing							'入院目的コード
	Public CH_HSP_FORM_CD As String = Nothing							'入院形態コード
	Public START_TIME As String = Nothing								'開始時刻
	Public END_TIME As String = Nothing									'終了時刻
	Public CH_TAKE_AMBULANCE_CHK As String = Nothing					'科歴救急車搬送有無コード
	Public CH_PLAN_EMERGENCY_CD As String = Nothing						'科歴予定緊急コード
	Public CH_CLINICAL_TRIAL_CHK As String = Nothing					'治験実施有無コード
	Public CH_HSP_INFECTION_CHK As String = Nothing						'院内感染症有無コード
	Public CH_DISEASE_READMISSION_FLG As Nullable(Of Integer) = Nothing	'疾病再入院フラグ
	Public CH_SAME_DISEASE_LAST_HSP_DT As Nullable(Of Date) = Nothing	'同一疾病前回退院日
	Public CH_LAST_SELF_OTHER_HSP_DIV As String = Nothing				'前回自他院区分
End Class

''' ---------------------------------------------
''' <summary>
''' 科歴情報チェッククラス
''' </summary>
''' ---------------------------------------------
Public NotInheritable Class datChInfo
	Public PATIENT_NO As String = Nothing								'患者番号
	Public HSP_HISTORY_NO As Nullable(Of Integer) = Nothing				'入退院歴番号
	Public CH_NO As Nullable(Of Integer) = Nothing						'科歴番号
	Public BYOREKI_NO As String = Nothing								'病歴番号
	Public DEPT_CD As String = Nothing									'診療科コード
	Public WARD_CD As String = Nothing									'病棟コード
	Public DOCTOR_CD As String = Nothing								'医師コード
	Public HSP_FLG As Nullable(Of Integer) = Nothing					'入院フラグ
	Public OUT_HSP_FLG As Nullable(Of Integer) = Nothing				'退院フラグ
	Public MAIN_DPM_FLG As Nullable(Of Integer) = Nothing				'主科フラグ
	Public ZIP_CD As String = Nothing									'郵便番号
	Public AREA_CD As String = Nothing									'診療圏コード
	Public ADDRESS_NM As String = Nothing								'住所
	Public TELNUMBER As String = Nothing								'電話番号
	Public READMISSION_FLG As Nullable(Of Integer) = Nothing			'再入院フラグ
	Public HSP_AIM_CD As String = Nothing								'入院目的コード
	Public HSP_FORM_CD As String = Nothing								'入院形態コード
	Public INTRODUCED_CD As String = Nothing							'紹介元コード
	Public INTRODUCED_NM As String = Nothing							'紹介元名
	Public INTRODUCED_DOCTOR_NM As String = Nothing						'紹介元医師名
	Public INTRODUCED_REMARKS As String = Nothing						'紹介元備考
	Public REFERENCE_CD As String = Nothing								'紹介先コード
	Public REFERENCE_NM As String = Nothing								'紹介先名
	Public REFERENCE_DOCTOR_NM As String = Nothing						'紹介先医師名
	Public REFERENCE_REMARKS As String = Nothing						'紹介先備考
	Public START_CNL_CD As String = Nothing								'開始経路コード
	Public START_DT As Nullable(Of Date) = Nothing						'開始日
	Public START_TIME As String = Nothing								'開始時刻
	Public START_AGE As Nullable(Of Integer) = Nothing					'開始時年齢
	Public START_MONTH_AGE As Nullable(Of Integer) = Nothing			'開始時月齢
	Public START_DAY_AGE As Nullable(Of Integer) = Nothing				'開始時日齢
	Public END_DT As Nullable(Of Date) = Nothing						'終了日
	Public END_TIME As String = Nothing									'終了時刻
	Public END_AGE As Nullable(Of Integer) = Nothing					'終了時年齢
	Public END_MONTH_AGE As Nullable(Of Integer) = Nothing				'終了時月齢
	Public END_DAY_AGE As Nullable(Of Integer) = Nothing				'終了時日齢
	Public HSP_DAYS As Nullable(Of Integer) = Nothing					'在院日数
	Public END_CNL_CD As String = Nothing								'終了経路コード
	Public END_OUTCOME_CD As String = Nothing							'終了転帰コード
	Public STATURE As Nullable(Of Double) = Nothing						'身長
	Public WEIGHT As Nullable(Of Double) = Nothing						'体重
	Public INSURANCE_CD1 As String = Nothing							'保険コード１
	Public INSURANCE_CD2 As String = Nothing							'保険コード２
	Public INSURANCE_CD3 As String = Nothing							'保険コード３
	Public CURRENT_JOB_CD As String = Nothing							'職業コード
	Public FIRST_DIAGNOSIS_DT As Nullable(Of Date) = Nothing			'初診日
	Public OTHER_DEPT_CHK As String = Nothing							'対診有無コード
	Public BLOOD_TRAN_CHK As String = Nothing							'輸血有無コード
	Public OPE_CHK As String = Nothing									'手術有無コード
	Public DPC_CD As String = Nothing									'ＤＰＣコード
	Public TOTAL_MED_COST As Nullable(Of Integer) = Nothing				'医療費合計
	Public INFECTION1 As String = Nothing								'感染症１
	Public INFECTION2 As String = Nothing								'感染症２
	Public INFECTION3 As String = Nothing								'感染症３
	Public INFECTION4 As String = Nothing								'感染症４
	Public INFECTION5 As String = Nothing								'感染症５
	Public INFECTION6 As String = Nothing								'感染症６
	Public OTHER_INFECTION As String = Nothing							'感染症その他
	Public ALLERGY1 As String = Nothing									'アレルギー１
	Public ALLERGY2 As String = Nothing									'アレルギー２
	Public ALLERGY3 As String = Nothing									'アレルギー３
	Public ALLERGY4 As String = Nothing									'アレルギー４
	Public ALLERGY5 As String = Nothing									'アレルギー５
	Public ALLERGY6 As String = Nothing									'アレルギー６
	Public OTHER_ALLERGY As String = Nothing							'アレルギーその他
	Public LAST_OUT_HSP_DT As Nullable(Of Date) = Nothing				'前回退院日
	Public LAST_SELF_OTHER_HSP_DIV As String = Nothing					'前回自他院区分
	Public COMMENT As String = Nothing									'コメント
	Public EXCLUDE_STATISTICS_FLG As Nullable(Of Integer) = Nothing		'統計対象外フラグ
	Public REG_STATUS_CD As String = Nothing							'登録状況コード
	Public REG_FINISHED_DT As Nullable(Of Date) = Nothing				'登録完了日
	Public REG_PERSON_CD As String = Nothing							'登録者コード
	Public DATA_CAPTURE_DT As Nullable(Of Date) = Nothing				'データ取込日
	Public NEW_REG_DT As Nullable(Of Date) = Nothing					'新規登録日
	Public DISEASE_COUNT As Nullable(Of Integer) = Nothing				'病名数
	Public OPE_COUNT As Nullable(Of Integer) = Nothing					'手術数
	Public CARE_COUNT As Nullable(Of Integer) = Nothing					'治療処置数
	Public TEST_COUNT As Nullable(Of Integer) = Nothing					'検査数
	Public ASST_ITM1_COUNT As Nullable(Of Integer) = Nothing			'補足項目１数
	Public ASST_ITM2_COUNT As Nullable(Of Integer) = Nothing			'補足項目２数
	Public CB_COUNT As Nullable(Of Integer) = Nothing					'分娩数
	Public EMERGENCY_COUNT As Nullable(Of Integer) = Nothing			'救命救急数
	Public OTHER_DEPT_COUNT As Nullable(Of Integer) = Nothing			'対診科数
	Public MED_COST_COUNT As Nullable(Of Integer) = Nothing				'医療費数
	Public HOUSEHOLDER_NM As String = Nothing							'世帯主名
	Public RELATION_CD As String = Nothing								'続柄コード
	Public TAKE_AMBULANCE_CHK As String = Nothing						'救急車搬送有無コード
	Public PLAN_EMERGENCY_CD As String = Nothing						'予定緊急コード
	Public CLINICAL_TRIAL_CHK As String = Nothing						'治験実施有無コード
	Public CNR_REG_COUNT As Nullable(Of Integer) = Nothing				'がん登録数
	Public CNR_REG_EXPECTED_COUNT As Nullable(Of Integer) = Nothing		'がん登録予定数
	Public SAME_DISEASE_LAST_HSP_DT As Nullable(Of Date) = Nothing		'同一疾病前回退院日
	Public REMARKS As String = Nothing									'備考
	Public HSP_INFECTION_CHK As String = Nothing						'院内感染症有無コード
	Public DISEASE_READMISSION_FLG As Nullable(Of Integer) = Nothing	'疾病再入院フラグ
	Public PATH_COUNT As Nullable(Of Integer) = Nothing					'パス数
	Public PAST_JOB_CD As String = Nothing								'既職コード
	Public LIVE_TOGETHER_STATE_CD As String = Nothing					'同居状況コード
	Public INTRODUCTION_CHK As String = Nothing							'紹介状有無コード
	Public TIME_OUT_FLG As Nullable(Of Integer) = Nothing				'時間外フラグ
	Public BIRTH_DT As Nullable(Of Date) = Nothing						'生年月日
	Public DEPT_NM As String = Nothing									'診療科名
	Public OUT_HSP_CNL_NM As String = Nothing							'退院経路
	Public OUT_HSP_OUTCOME_NM As String = Nothing						'退院転帰
	Public HSP_CNL_NM As String = Nothing								'入院経路
	Public WARD_NM As String = Nothing									'病棟名
	Public AREA_NM As String = Nothing									'診療圏名
	Public REG_STATUS_NM As String = Nothing							'登録状況
	Public FROM_MED_AGENCY_NM As String = Nothing						'医療機関グループ名(転移元）
	Public TO_MED_AGENCY_NM As String = Nothing							'医療機関グループ名(転移先）
	Public JOB_NM As String = Nothing									'職業
	Public DOCTOR_STAFF As String = Nothing								'職員名(医者）
	Public HSP_CNL_FIXED_CD As String = Nothing							'入院経路マスタ_固定コード
	Public OUT_HSP_CNL_FIXED_CD As String = Nothing						'退院経路マスタ_固定コード
	Public OUT_HSP_OUTCOME_FIXED_CD As String = Nothing					'退院転帰マスタ_固定コード
	Public DEATH_PATIENT_NO As String = Nothing							'死亡情報_患者番号
	Public DEATH_DT As Nullable(Of Date) = Nothing						'死亡日
	Public DEATH_TIME As String = Nothing								'死亡時刻
	Public DEATH_LCT_FIXED_CD As String = Nothing						'死亡場所マスタ_固定コード
	Public ENTRY_STAFF As String = Nothing								'職員名(登録者）
	Public HSP_CNL_FIXED_CD3 As String = Nothing						'入院経路マスタ_固定コード３
	Public OUT_HSP_CNL_FIXED_CD3 As String = Nothing					'退院経路マスタ_固定コード３
End Class

''' ---------------------------------------------
''' <summary>
''' 医師情報チェッククラス
''' </summary>
''' ---------------------------------------------
Public NotInheritable Class datChDoctorInfo
	Public PATIENT_NO As String = Nothing							'患者番号
	Public HSP_HISTORY_NO As Nullable(Of Integer) = Nothing			'入退院歴番号
	Public CH_NO As Nullable(Of Integer) = Nothing					'科歴番号
	Public DOCTOR_SERIAL_NO As Nullable(Of Integer) = Nothing		'医師連番
	Public MAIN_DOCTOR_FLG As Nullable(Of Integer) = Nothing		'主治医フラグ
	Public DOCTOR_DIV As String = Nothing							'医師区分コード
	Public DOCTOR_CD As String = Nothing							'医師コード
	Public ATTEND_START_DT As Nullable(Of Date) = Nothing			'担当開始日
	Public ATTEND_END_DT As Nullable(Of Date) = Nothing				'担当終了日
	Public DOCTOR_DIV_NM As String = Nothing						'医師区分
	Public STAFF_NM As String = Nothing								'職員名
End Class

''' ---------------------------------------------
''' <summary>
''' 病棟情報チェッククラス
''' </summary>
''' ---------------------------------------------
Public NotInheritable Class datChWardInfo
	Public PATIENT_NO As String = Nothing							'患者番号
	Public HSP_HISTORY_NO As Nullable(Of Integer) = Nothing			'入退院歴番号
	Public CH_NO As Nullable(Of Integer) = Nothing					'科歴番号
	Public WARD_SERIAL_NO As Nullable(Of Integer) = Nothing			'病棟連番
	Public MAIN_WARD_FLG As Nullable(Of Integer) = Nothing			'主病棟フラグ
	Public WARD_CD As String = Nothing								'病棟コード
	Public WARD_START_DT As Nullable(Of Date) = Nothing				'病棟開始日
	Public WARD_END_DT As Nullable(Of Date) = Nothing				'病棟終了日
	Public WARD_DAYS As Nullable(Of Integer) = Nothing				'病棟日数
	Public WARD_NM As String = Nothing								'病棟名
	Public SEVERE_DIV As String = Nothing							'重症区分コード
End Class

''' ---------------------------------------------
''' <summary>
''' 手術医師チェック用科歴情報チェッククラス
''' </summary>
''' ---------------------------------------------
Public NotInheritable Class datChInfo_DoctorInfo
	Public PATIENT_NO As String = Nothing							'患者番号
	Public HSP_HISTORY_NO As Nullable(Of Integer) = Nothing			'入退院歴番号
	Public CH_NO As Nullable(Of Integer) = Nothing					'科歴番号
End Class

''' ---------------------------------------------
''' <summary>
''' 病棟情報チェッククラス
''' </summary>
''' ---------------------------------------------
Public NotInheritable Class datWardInfo
	Public PATIENT_NO As String = Nothing					'患者番号
	Public HSP_HISTORY_NO As Nullable(Of Integer) = Nothing	'入退院歴番号
	Public CH_NO As Nullable(Of Integer) = Nothing			'科歴番号
	Public WARD_SERIAL_NO As Nullable(Of Integer) = Nothing	'病棟連番
	Public MAIN_WARD_FLG As Nullable(Of Integer) = Nothing	'主病棟フラグ
	Public WARD_CD As String = Nothing						'病棟コード
	Public WARD_START_DT As Nullable(Of Date) = Nothing		'病棟開始日
	Public WARD_END_DT As Nullable(Of Date) = Nothing		'病棟終了日
	Public WARD_DAYS As Nullable(Of Integer) = Nothing		'病棟日数
	Public LASTUPD_DT As Nullable(Of Date) = Nothing		'更新者コード
	Public UPDATED_FLG As String = Nothing					'最終更新日
End Class

''' ---------------------------------------------
''' <summary>
''' 病名情報チェッククラス
''' </summary>
''' ---------------------------------------------
Public NotInheritable Class datDiseaseNameInfo
	Public HSP_PATIENT_NO As String = Nothing							'入退院情報_患者番号
	Public PATIENT_NO As String = Nothing								'患者番号
	Public HSP_HISTORY_NO As Nullable(Of Integer) = Nothing				'入退院歴番号
	Public CH_NO As Nullable(Of Integer) = Nothing						'科歴番号
	Public DISEASE_SERIAL_NO As Nullable(Of Integer) = Nothing			'病名連番
	Public HSP_CHANCE_DISEASE_FLG As Nullable(Of Integer) = Nothing		'入院契機病名フラグ
	Public DISEASE_MED_RES_FLG1 As Nullable(Of Integer) = Nothing		'医療資源投入病名フラグ１
	Public DISEASE_MED_RES_FLG2 As Nullable(Of Integer) = Nothing		'医療資源投入病名フラグ２
	Public DEATH_DISEASE_FLG As Nullable(Of Integer) = Nothing			'死因病名フラグ
	Public DISEASE_DIV As String = Nothing								'病名区分コード
	Public DISEASE As String = Nothing									'病名
	Public DIAGNOSIS_DT As Nullable(Of Date) = Nothing					'診断日
	Public ONSET_DT As Nullable(Of Date) = Nothing						'発症日
	Public END_DT As Nullable(Of Date) = Nothing						'終了日
	Public ICD10_CD As String = Nothing									'ＩＣＤ１０コード
	Public DISEASE_OUTCOME_CD As String = Nothing						'病名転帰コード
	Public PLURAL_GRP_CD As String = Nothing							'複数分類コード
	Public REMARKS1 As String = Nothing									'備考１
	Public REMARKS2 As String = Nothing									'備考２
	Public HSP_DISEASE_CD As String = Nothing							'院内病名コード
	Public ICD9_CD As String = Nothing									'ＩＣＤ９コード
	Public CAUSE_GRP_CD As String = Nothing								'外因分類コード
	Public DEATH_CAUSE_FLG As Nullable(Of Integer) = Nothing			'死因外因フラグ
	Public SPECIMEN_NO As String = Nothing								'標本番号
	Public ICDO_FORM_CD As String = Nothing								'ＩＣＤＯ１
	Public ICDO_FORM_6DIGS_CD As String = Nothing						'ＩＣＤＯ１２
	Public L_GRP_CD As String = Nothing									'大分類コード
	Public M_GRP_CD As String = Nothing									'中分類コード
	Public S_GRP_CD As String = Nothing									'小分類コード
	Public GRP300_CD As String = Nothing								'３００分類コード
	Public A_GRP_CD As String = Nothing									'ａ分類コード
	Public B_GRP_CD As String = Nothing									'ｂ分類コード
	Public C_GRP_CD As String = Nothing									'ｃ分類コード
	Public DEATH_GRP_CD As String = Nothing								'死因分類コード
	Public CAUSE_L_GRP_CD As String = Nothing							'外因大分類コード
	Public CAUSE_DEATH_GRP_CD As String = Nothing						'外因死因分類コード
	Public CAUSE_4GRP_PTN As String = Nothing							'外因４桁細分類パターン
	Public CAUSE_4DIGS_CD As String = Nothing							'外因４桁目コード
	Public ICD9_L_GRP_CD As String = Nothing							'ＩＣＤ９大分類コード
	Public ICD9_M_GRP_CD As String = Nothing							'ＩＣＤ９中分類コード
	Public ICD9_ASST_GRP1_CD As String = Nothing						'ＩＣＤ９補助分類コード１
	Public ICD9_ASST_GRP2_CD As String = Nothing						'ＩＣＤ９補助分類コード２
	Public ICD9_ASST_GRP3_CD As String = Nothing						'ＩＣＤ９補助分類コード３
	Public DISEASE_MNG_DIV As String = Nothing							'管理記号
	Public DISEASE_MNG_NO As Nullable(Of Integer) = Nothing				'管理番号
	Public DATA_CAPTURE_DT As Nullable(Of Date) = Nothing				'データ取込日
	Public NEW_REG_DT As Nullable(Of Date) = Nothing					'新規登録日
	Public HSP_DISEASE_FLG As Nullable(Of Integer) = Nothing			'入院時併存症名フラグ
	Public AFTER_HSP_DISEASE_FLG As Nullable(Of Integer) = Nothing		'入院後発症疾患名フラグ
	Public CNR_REG_STATUS_CD As String = Nothing						'がん登録状況コード
	Public CNR_REG_EXTRACT_DT As Nullable(Of Date) = Nothing			'がん登録抽出日
	Public ICDO_MNG_DIV As String = Nothing								'ＩＣＤＯ１管理記号
	Public ICDO_MNG_NO As Nullable(Of Integer) = Nothing				'ＩＣＤＯ１管理番号
	Public ICDO_FORM_NM As String = Nothing								'ＩＣＤＯ１形態名
	Public DIRECT_DEATH_DISEASE_FLG As Nullable(Of Integer) = Nothing	'直接死因病名フラグ
	Public DIRECT_DEATH_CAUSE_FLG_V3 As Nullable(Of Integer) = Nothing	'直接死因外因フラグ
	Public CAUSE_GRP_NM As String = Nothing								'外因分類名
	Public CAUSE_4GRP_NM As String = Nothing							'外因４桁細分類名
	Public LASTUPDUSER_CD As String = Nothing							'更新者コード
	Public LASTUPD_DT As Nullable(Of Date) = Nothing					'最終更新日
	Public CH_END_DT As Nullable(Of Date) = Nothing						'科歴終了日
	Public END_OUTCOME_CD As String = Nothing							'終了転帰コード
	Public FIXED_CD As String = Nothing									'退院転帰マスタ_固定コード
	Public DISEASE_DIV_NM As String = Nothing							'病名区分名
	Public DISEASE_OUTCOME_NM As String = Nothing						'病名転帰
	Public DISEASE_DIV_FIXED_CD As String = Nothing						'病名区分マスタ_固定コード
End Class

''' ---------------------------------------------
''' <summary>
''' 手術情報チェッククラス
''' </summary>
''' ---------------------------------------------
Public NotInheritable Class datOpeInfo
	Public PATIENT_NO As String = Nothing							'患者番号
	Public HSP_HISTORY_NO As Nullable(Of Integer) = Nothing			'入退院歴番号
	Public CH_NO As Nullable(Of Integer) = Nothing					'科歴番号
	Public OPE_SERIAL_NO As Nullable(Of Integer) = Nothing			'手術連番
	Public OPE_DIV As String = Nothing								'手術区分コード
	Public OPE_NM As String = Nothing								'手術名
	Public OPE_DT As Nullable(Of Date) = Nothing					'実施日
	Public OPE_TIME As String = Nothing								'実施時刻
	Public OPE_REQUIRED_TIME As String = Nothing					'手術所要時間
	Public OPE_AGE As Nullable(Of Integer) = Nothing				'手術時年齢
	Public OPE_MONTH_AGE As Nullable(Of Integer) = Nothing			'手術時月齢
	Public OPE_DAY_AGE As Nullable(Of Integer) = Nothing			'手術時日齢
	Public ANESTHESIA_DIV1 As String = Nothing						'麻酔区分コード１
	Public ANESTHESIA_TIME As String = Nothing						'全身麻酔時間
	Public ANESTHESIA_DIV2 As String = Nothing						'麻酔区分コード２
	Public ASST_DIV1 As String = Nothing							'補助区分コード１
	Public ASST_DIV2 As String = Nothing							'補助区分コード２
	Public REMARKS1 As String = Nothing								'備考１
	Public REMARKS2 As Nullable(Of Double) = Nothing				'備考２
	Public SPT_DISEASE_SERIAL_NO As Nullable(Of Integer) = Nothing	'対応病名連番
	Public ICD9CM_CD As String = Nothing							'ＩＣＤ９ＣＭコード
	Public L_GRP_CD As String = Nothing								'大分類コード
	Public M_GRP_CD As String = Nothing								'中分類コード
	Public DIGS3_GRP_CD As String = Nothing							'３桁分類コード
	Public MNG_DIV As String = Nothing								'管理記号
	Public MNG_NO As Nullable(Of Integer) = Nothing					'管理番号
	Public DATA_CAPTURE_DT As Nullable(Of Date) = Nothing			'データ取込日
	Public NEW_REG_DT As Nullable(Of Date) = Nothing				'新規登録日
	Public OPE_COUNT_CD As String = Nothing							'手術回数コード
	Public OPE_PART_CD As String = Nothing							'手術側数コード
	Public END_DT As Nullable(Of Date) = Nothing					'終了日
	Public END_TIME As String = Nothing								'終了時刻
	Public SPT_DISEASE_NM As String = Nothing						'病名
	Public SPT_DISEASE_ICD10_CD As String = Nothing					'ＩＣＤ１０コード
	Public SPT_DISEASE_OUTCOME_CD As String = Nothing				'病名転帰コード
	Public SPT_DISEASE_MNG_DIV1 As String = Nothing					'管理記号
	Public SPT_DISEASE_MNG_NO As Nullable(Of Integer) = Nothing		'管理番号
	Public SCORE_CD As String = Nothing								'点数表コード
	Public AFTER_OPE_DAYS As Nullable(Of Integer) = Nothing			'術後日数
	Public AFTER_OPE_CMPC_CHK As String = Nothing					'術後合併症有無コード
	Public HSP_OPE_CD As String = Nothing							'院内手術コード
	Public PRE_OPE_DAYS As Nullable(Of Integer) = Nothing			'術前日数
	Public PLAN_EMERGENCY_CD As String = Nothing					'緊急区分コード
	Public ASA_PS_GRP_CD As String = Nothing						'ＡＳＡ＿ＰＳコード
	Public TIME_OUT_FLG As Nullable(Of Integer) = Nothing			'時間外フラグ
	Public BLEEDING_VOLUME As Nullable(Of Integer) = Nothing		'出血量
	Public BLOOD_TRAN_VOLUME As Nullable(Of Integer) = Nothing		'輸血量
	Public HSP_DT As Nullable(Of Date) = Nothing					'入院日
	Public OUT_HSP_DT As Nullable(Of Date) = Nothing				'退院日
	Public START_DT As Nullable(Of Date) = Nothing					'開始日
	Public CH_END_DT As Nullable(Of Date) = Nothing					'科歴終了日
	Public BIRTH_DT As Nullable(Of Date) = Nothing					'生年月日
	Public OPE_DIV_NM As String = Nothing							'手術区分名
	Public ANESTHESIA_NM As String = Nothing						'麻酔名
	Public ANESTHESIA_NM2 As String = Nothing						'麻酔名２
End Class

''' ---------------------------------------------
''' <summary>
''' 手術医師情報チェッククラス
''' </summary>
''' ---------------------------------------------
Public NotInheritable Class datOpeDoctorInfo
	Public PATIENT_NO As String = Nothing							'患者番号
	Public HSP_HISTORY_NO As Nullable(Of Integer) = Nothing			'入退院歴番号
	Public CH_NO As Nullable(Of Integer) = Nothing					'科歴番号
	Public OPE_SERIAL_NO As Nullable(Of Integer) = Nothing			'手術連番
	Public OPE_DOCTOR_SERIAL_NO As Nullable(Of Integer) = Nothing	'手術医師連番
	Public OPE_DOCTOR_DIV As String = Nothing						'手術医師区分コード
	Public DOCTOR_CD As String = Nothing							'医師コード
	Public STAFF_NM As String = Nothing								'職員名
End Class

''' ---------------------------------------------
''' <summary>
''' 治療処置情報チェッククラス
''' </summary>
''' ---------------------------------------------
Public NotInheritable Class datCareInfo
	Public PATIENT_NO As String = Nothing					'患者番号
	Public HSP_HISTORY_NO As Nullable(Of Integer) = Nothing	'入退院歴番号
	Public CH_NO As Nullable(Of Integer) = Nothing			'科歴番号
	Public CARE_SERIAL_NO As Nullable(Of Integer) = Nothing	'治療処置連番
	Public CARE_DIV As String = Nothing						'治療処置区分コード
	Public CARE_NM As String = Nothing						'治療処置名
	Public CARE_DT As Nullable(Of Date) = Nothing			'実施日
	Public ASST_DIV As String = Nothing						'補助区分コード
	Public REMARKS1 As String = Nothing						'備考１
	Public REMARKS2 As Nullable(Of Double) = Nothing		'備考２
	Public ICD9CM_CD As String = Nothing					'ＩＣＤ９ＣＭコード
	Public L_GRP_CD As String = Nothing						'大分類コード
	Public M_GRP_CD As String = Nothing						'中分類コード
	Public DIGS3_GRP_CD As String = Nothing					'３桁分類コード
	Public MNG_DIV As String = Nothing						'管理記号
	Public MNG_NO As Nullable(Of Integer) = Nothing			'管理番号
	Public DATA_CAPTURE_DT As Nullable(Of Date) = Nothing	'データ取込日
	Public NEW_REG_DT As Nullable(Of Date) = Nothing		'新規登録日
	Public SCORE_CD As String = Nothing						'点数表コード
	Public HSP_OPE_CD As String = Nothing					'院内手術コード
	Public START_DT As Nullable(Of Date) = Nothing			'科歴情報_開始日
	Public CH_END_DT As Nullable(Of Date) = Nothing			'科歴情報_終了日
	Public HSP_DT As Nullable(Of Date) = Nothing			'入院日
	Public OUT_HSP_DT As Nullable(Of Date) = Nothing		'退院日
	Public CARE_DIV_NM As String = Nothing					'治療処置区分名
End Class

''' ---------------------------------------------
''' <summary>
''' 救命救急情報チェッククラス
''' </summary>
''' ---------------------------------------------
Public NotInheritable Class datEmergencyInfo
	Public PATIENT_NO As String = Nothing							'患者番号
	Public HSP_HISTORY_NO As Nullable(Of Integer) = Nothing			'入退院歴番号
	Public CH_NO As Nullable(Of Integer) = Nothing					'科歴番号
	Public EMERGENCY_SERIAL_NO As Nullable(Of Integer) = Nothing	'救命救急連番
	Public IN_METHOD_CD As String = Nothing							'入法コード
	Public OUT_METHOD_CD As String = Nothing						'出法コード
	Public ENTERING_DT As Nullable(Of Date) = Nothing				'入室日
	Public LEAVING_DT As Nullable(Of Date) = Nothing				'退室日
	Public ENTERING_AGE As Nullable(Of Integer) = Nothing			'入室時年齢
	Public ENTERING_MONTH_AGE As Nullable(Of Integer) = Nothing		'入室時月齢
	Public ENTERING_DAY_AGE As Nullable(Of Integer) = Nothing		'入室時日齢
	Public LEAVING_AGE As Nullable(Of Integer) = Nothing			'退室時年齢
	Public LEAVING_MONTH_AGE As Nullable(Of Integer) = Nothing		'退室時月齢
	Public LEAVING_DAY_AGE As Nullable(Of Integer) = Nothing		'退室時日齢
	Public IN_ROOM_DAYS As Nullable(Of Integer) = Nothing			'在室日数
	Public SEVERE_CD As String = Nothing							'重症コード
	Public ENTERING_TIME As String = Nothing						'入室時刻
	Public LEAVING_TIME As String = Nothing							'退室時刻
	Public MED_REQUIRED_TIME As String = Nothing					'救命所要時間
	Public BIRTH_DT As Nullable(Of Date) = Nothing					'誕生日
	Public START_DT As Nullable(Of Date) = Nothing					'開始日
	Public END_DT As Nullable(Of Date) = Nothing					'終了日
	Public HSP_DT As Nullable(Of Date) = Nothing					'入院日
	Public OUT_HSP_DT As Nullable(Of Date) = Nothing				'退院日
	Public IN_METHOD_NM As String = Nothing							'入法名
	Public OUT_METHOD_NM As String = Nothing						'出法名
	Public SEVERE_DIV_NM As String = Nothing						'重症区分名
End Class

''' ---------------------------------------------
''' <summary>
''' 分娩情報チェッククラス
''' </summary>
''' ---------------------------------------------
Public NotInheritable Class datCbInfo
	Public PATIENT_NO As String = Nothing							'患者番号
	Public HSP_HISTORY_NO As Nullable(Of Integer) = Nothing			'入退院歴番号
	Public CH_NO As Nullable(Of Integer) = Nothing					'科歴番号
	Public CB_DT As Nullable(Of Date) = Nothing						'分娩日
	Public CB_AGE As Nullable(Of Integer) = Nothing					'分娩時年齢
	Public CB_MONTH_AGE As Nullable(Of Integer) = Nothing			'分娩時月齢
	Public GESTATIONAL_WEEK_COUNT As Nullable(Of Integer) = Nothing	'在胎週数
	Public GESTATIONAL_DAY_COUNT As Nullable(Of Integer) = Nothing	'在胎日数
	Public CHD_COUNT As Nullable(Of Integer) = Nothing				'児数
	Public CB_DIV1 As String = Nothing								'分娩区分コード１
	Public CB_DIV2 As String = Nothing								'分娩区分コード２
	Public PREMATURE_BIRTH As Nullable(Of Integer) = Nothing		'早産
	Public MISCARRIAGE As Nullable(Of Integer) = Nothing			'流産
	Public BLEEDING_VOLUME As Nullable(Of Integer) = Nothing		'出血量
	Public CB_DIV3 As String = Nothing								'分娩区分コード３
	Public CB_DIV4 As String = Nothing								'分娩区分コード４
	Public CAESAREAN_OPE_CD As String = Nothing						'帝王切開有無コード
	Public CB_CHK1 As Nullable(Of Integer) = Nothing				'分娩チェック項目１
	Public CB_CHK2 As Nullable(Of Integer) = Nothing				'分娩チェック項目２
	Public CB_CHK3 As Nullable(Of Integer) = Nothing				'分娩チェック項目３
	Public REMARKS As String = Nothing								'備考
	Public GENDER_CD As String = Nothing							'性別コード
	Public BIRTH_DT As Nullable(Of Date) = Nothing					'生年月日
	Public START_DT As Nullable(Of Date) = Nothing					'開始日
	Public END_DT As Nullable(Of Date) = Nothing					'終了日
	Public HSP_DT As Nullable(Of Date) = Nothing					'入院日
	Public OUT_HSP_DT As Nullable(Of Date) = Nothing				'退院日
End Class

''' ---------------------------------------------
''' <summary>
''' 分娩子情報チェッククラス
''' </summary>
''' ---------------------------------------------
Public NotInheritable Class datCbChildInfo
	Public PATIENT_NO As String = Nothing						'患者番号
	Public HSP_HISTORY_NO As Nullable(Of Integer) = Nothing		'入退院歴番号
	Public CH_NO As Nullable(Of Integer) = Nothing				'科歴番号
	Public CB_SERIAL_NO As Nullable(Of Integer) = Nothing		'分娩子連番
	Public GENDER_CD As String = Nothing						'性別コード
	Public NEWBORN_STATURE As Nullable(Of Double) = Nothing		'新生児身長
	Public NEWBORN_WEIGHT As Nullable(Of Integer) = Nothing		'新生児体重
	Public APGARSCORE_1MIN As String = Nothing					'アプガー指数１分
	Public APGARSCORE_5MIN As String = Nothing					'アプガー指数５分
	Public IMMATURE As Nullable(Of Integer) = Nothing			'未熟
	Public DEFORMITY As Nullable(Of Integer) = Nothing			'奇形
	Public STILLBIRTH As Nullable(Of Integer) = Nothing			'流死産
	Public CB_PTN1 As String = Nothing							'分娩様式コード１
	Public CB_PTN2 As String = Nothing							'分娩様式コード２
	Public CB_PTN3 As String = Nothing							'分娩様式コード３
	Public CB_PTN4 As String = Nothing							'分娩様式コード４
	Public NEWBORN_NO As String = Nothing						'新生児番号
	Public CHD_CB_DT As Nullable(Of Date) = Nothing				'子分娩日
	Public CHD_CB_TIME As String = Nothing						'子分娩時刻
	Public CHD_BLOODTYPE_CD As String = Nothing					'子血液型コード
	Public CHD_RH_CD As String = Nothing						'子Ｒｈコード
	Public CHD_PATIENT_NO As String = Nothing					'子患者番号
	Public CHD_REMARKS As String = Nothing						'子備考
	Public CHD_CB_CHK1 As Nullable(Of Integer) = Nothing		'子分娩チェック項目１
	Public CHD_CB_CHK2 As Nullable(Of Integer) = Nothing		'子分娩チェック項目２
	Public CHD_CB_CHK3 As Nullable(Of Integer) = Nothing		'子分娩チェック項目３
	Public CHD_CB_CHK4 As Nullable(Of Integer) = Nothing		'子分娩チェック項目４
	Public CHD_CB_CHK5 As Nullable(Of Integer) = Nothing		'子分娩チェック項目５
	Public CB_DT As Nullable(Of Date) = Nothing					'分娩日
	Public CB_SB_PATIENT_NO As String = Nothing					'分娩子流死産情報_患者番号
End Class

''' ---------------------------------------------
''' <summary>
''' 検査情報チェッククラス
''' </summary>
''' ---------------------------------------------
Public NotInheritable Class datTestInfo
	Public PATIENT_NO As String = Nothing					'患者番号
	Public HSP_HISTORY_NO As Nullable(Of Integer) = Nothing	'入退院歴番号
	Public CH_NO As Nullable(Of Integer) = Nothing			'科歴番号
	Public TEST_SERIAL_NO As Nullable(Of Integer) = Nothing	'検査連番
	Public TEST_DIV As String = Nothing						'検査区分コード
	Public TEST_NM As String = Nothing						'検査名
	Public TEST_DT As Nullable(Of Date) = Nothing			'実施日
	Public ASST_DIV As String = Nothing						'補助区分コード
	Public REMARKS1 As String = Nothing						'備考１
	Public REMARKS2 As Nullable(Of Double) = Nothing		'備考２
	Public ICD9CM_CD As String = Nothing					'ＩＣＤ９ＣＭコード
	Public L_GRP_CD As String = Nothing						'大分類コード
	Public M_GRP_CD As String = Nothing						'中分類コード
	Public DIGS3_GRP_CD As String = Nothing					'３桁分類コード
	Public MNG_DIV As String = Nothing						'管理記号
	Public MNG_NO As Nullable(Of Integer) = Nothing			'管理番号
	Public DATA_CAPTURE_DT As Nullable(Of Date) = Nothing	'データ取込日
	Public NEW_REG_DT As Nullable(Of Date) = Nothing		'新規登録日
	Public SCORE_CD As String = Nothing						'点数表コード
	Public HSP_OPE_CD As String = Nothing					'院内手術コード
	Public BIRTH_DT As Nullable(Of Date) = Nothing			'生年月日
	Public START_DT As Nullable(Of Date) = Nothing			'科歴_開始日
	Public CH_END_DT As Nullable(Of Date) = Nothing			'科歴_終了日
	Public HSP_DT As Nullable(Of Date) = Nothing			'入院日
	Public OUT_HSP_DT As Nullable(Of Date) = Nothing		'退院日
	Public TEST_DIV_NM As String = Nothing					'検査区分名
End Class

''' ---------------------------------------------
''' <summary>
''' 医療費明細情報チェッククラス
''' </summary>
''' ---------------------------------------------
Public NotInheritable Class datMedCostInfo
	Public PATIENT_NO As String = Nothing					'患者番号
	Public HSP_HISTORY_NO As Nullable(Of Integer) = Nothing	'入退院歴番号
	Public CH_NO As Nullable(Of Integer) = Nothing			'科歴番号
	Public MED_COST01 As Nullable(Of Integer) = Nothing		'医療費０１
	Public MED_COST02 As Nullable(Of Integer) = Nothing		'医療費０２
	Public MED_COST03 As Nullable(Of Integer) = Nothing		'医療費０３
	Public MED_COST04 As Nullable(Of Integer) = Nothing		'医療費０４
	Public MED_COST05 As Nullable(Of Integer) = Nothing		'医療費０５
	Public MED_COST06 As Nullable(Of Integer) = Nothing		'医療費０６
	Public MED_COST07 As Nullable(Of Integer) = Nothing		'医療費０７
	Public MED_COST08 As Nullable(Of Integer) = Nothing		'医療費０８
	Public MED_COST09 As Nullable(Of Integer) = Nothing		'医療費０９
	Public MED_COST10 As Nullable(Of Integer) = Nothing		'医療費１０
	Public MED_COST11 As Nullable(Of Integer) = Nothing		'医療費１１
	Public MED_COST12 As Nullable(Of Integer) = Nothing		'医療費１２
	Public MED_COST13 As Nullable(Of Integer) = Nothing		'医療費１３
	Public MED_COST14 As Nullable(Of Integer) = Nothing		'医療費１４
	Public MED_COST15 As Nullable(Of Integer) = Nothing		'医療費１５
	Public MED_COST16 As Nullable(Of Integer) = Nothing		'医療費１６
	Public MED_COST17 As Nullable(Of Integer) = Nothing		'医療費１７
	Public MED_COST18 As Nullable(Of Integer) = Nothing		'医療費１８
	Public MED_COST19 As Nullable(Of Integer) = Nothing		'医療費１９
	Public MED_COST20 As Nullable(Of Integer) = Nothing		'医療費２０
	Public MED_COST21 As Nullable(Of Integer) = Nothing		'医療費２１
	Public MED_COST22 As Nullable(Of Integer) = Nothing		'医療費２２
	Public MED_COST23 As Nullable(Of Integer) = Nothing		'医療費２３
	Public MED_COST24 As Nullable(Of Integer) = Nothing		'医療費２４
	Public MED_COST25 As Nullable(Of Integer) = Nothing		'医療費２５
	Public MED_COST26 As Nullable(Of Integer) = Nothing		'医療費２６
	Public MED_COST27 As Nullable(Of Integer) = Nothing		'医療費２７
	Public MED_COST28 As Nullable(Of Integer) = Nothing		'医療費２８
	Public MED_COST29 As Nullable(Of Integer) = Nothing		'医療費２９
	Public MED_COST30 As Nullable(Of Integer) = Nothing		'医療費３０
	Public MED_COST31 As Nullable(Of Integer) = Nothing		'医療費３１
	Public MED_COST32 As Nullable(Of Integer) = Nothing		'医療費３２
	Public MED_COST33 As Nullable(Of Integer) = Nothing		'医療費３３
	Public MED_COST34 As Nullable(Of Integer) = Nothing		'医療費３４
	Public MED_COST35 As Nullable(Of Integer) = Nothing		'医療費３５
	Public MED_COST36 As Nullable(Of Integer) = Nothing		'医療費３６
	Public MED_COST37 As Nullable(Of Integer) = Nothing		'医療費３７
	Public MED_COST38 As Nullable(Of Integer) = Nothing		'医療費３８
	Public MED_COST39 As Nullable(Of Integer) = Nothing		'医療費３９
	Public MED_COST40 As Nullable(Of Integer) = Nothing		'医療費４０
	Public MED_COST41 As Nullable(Of Integer) = Nothing		'医療費４１
	Public MED_COST42 As Nullable(Of Integer) = Nothing		'医療費４２
	Public MED_COST43 As Nullable(Of Integer) = Nothing		'医療費４３
	Public MED_COST44 As Nullable(Of Integer) = Nothing		'医療費４４
	Public MED_COST45 As Nullable(Of Integer) = Nothing		'医療費４５
	Public TOTAL_MED_COST As Nullable(Of Integer) = Nothing	'入退院情報_医療費合計
End Class

''' ---------------------------------------------
''' <summary>
''' 貸出物情報チェッククラス
''' </summary>
''' ---------------------------------------------
Public NotInheritable Class datLenditmInfo
	Public PATIENT_NO As String = Nothing						'患者番号
	Public HSP_HISTORY_NO As Nullable(Of Integer) = Nothing		'入退院歴番号
	Public CH_NO As Nullable(Of Integer) = Nothing				'科歴番号
	Public RECORD_COUNT As Nullable(Of Integer) = Nothing		'カルテ数
	Public RECORD_RECEIPT_DT As Nullable(Of Date) = Nothing		'カルテ受領日
	Public RECORD_RECIPIENT_CD As String = Nothing				'カルテ受領者コード
	Public RECORD_KEEPLCT_CD As String = Nothing				'カルテ保管場所コード
	Public RECORD_ARG_STATUS_CD As String = Nothing				'カルテ整理状況コード
	Public RECORD_MNGSTATUS_CD As String = Nothing				'カルテ管理状況コード
	Public SUMMARY_COUNT As Nullable(Of Integer) = Nothing		'サマリ数
	Public SUMMARY_RECEIPT_DT As Nullable(Of Date) = Nothing	'サマリ受領日
	Public SUMMARY_KEEPLCT_CD As String = Nothing				'サマリ保管場所コード
	Public SUMMARY_MAKER_CD As String = Nothing					'サマリ作成者コード
	Public SUMMARY_MNGSTATUS_CD As String = Nothing				'サマリ管理状況コード
	Public OTHER1_COUNT As Nullable(Of Integer) = Nothing		'他１数
	Public OTHER1_RECEIPT_DT As Nullable(Of Date) = Nothing		'他１受領日
	Public OTHER1_KEEPLCT_CD As String = Nothing				'他１保管場所コード
	Public OTHER1_MNGSTATUS_CD As String = Nothing				'他１管理状況コード
	Public OTHER2_COUNT As Nullable(Of Integer) = Nothing		'他２数
	Public OTHER2_RECEIPT_DT As Nullable(Of Date) = Nothing		'他２受領日
	Public OTHER2_KEEPLCT_CD As String = Nothing				'他２保管場所コード
	Public OTHER2_MNGSTATUS_CD As String = Nothing				'他２管理状況コード
	Public OTHER3_COUNT As Nullable(Of Integer) = Nothing		'他３数
	Public OTHER3_RECEIPT_DT As Nullable(Of Date) = Nothing		'他３受領日
	Public OTHER3_KEEPLCT_CD As String = Nothing				'他３保管場所コード
	Public OTHER3_MNGSTATUS_CD As String = Nothing				'他３管理状況コード
	Public SUMMARY_APPROVAL_DT As Nullable(Of Date) = Nothing	'サマリ承認日
	Public KARUTE_FIXED_CD1 As String = Nothing					'カルテ固定コード１
	Public KARUTE_MNGSTATUS_NM As String = Nothing				'カルテ管理状況
	Public SUMMARY_FIXED_CD1 As String = Nothing				'サマリ固定コード１
	Public SUMMARY_MNGSTATUS_NM As String = Nothing				'サマリ管理状況
	Public OTHER1_FIXED_CD1 As String = Nothing					'他１固定コード１
	Public OTHER1_MNGSTATUS_NM As String = Nothing				'他１管理状況
	Public OTHER2_FIXED_CD1 As String = Nothing					'他２固定コード１
	Public OTHER2_MNGSTATUS_NM As String = Nothing				'他２管理状況
	Public OTHER3_FIXED_CD1 As String = Nothing					'他３固定コード１
	Public OTHER3_MNGSTATUS_NM As String = Nothing				'他３管理状況
	Public STAFF_NM As String = Nothing							'職員名
End Class

''' ---------------------------------------------
''' <summary>
''' バリアンスパス情報チェッククラス
''' </summary>
''' ---------------------------------------------
Public NotInheritable Class datMtiPathInfo
	Public PATIENT_NO As String = Nothing					'患者番号
	Public HSP_HISTORY_NO As Nullable(Of Integer) = Nothing	'入退院歴番号
	Public CH_NO As Nullable(Of Integer) = Nothing			'科歴番号
	Public PATH_SERIAL_NO As Nullable(Of Integer) = Nothing	'パス連番
	Public PATH_CD As String = Nothing						'パスコード
	Public PATH_START_DT As Nullable(Of Date) = Nothing		'適用開始日
	Public PATH_END_DT As Nullable(Of Date) = Nothing		'適用終了日
	Public DOCTOR_CD As String = Nothing					'医師コード
	Public VARIANCE_DAY As Nullable(Of Date) = Nothing		'バリアンス日
	Public CHK_CD As String = Nothing						'バリアンス有無コード
	Public TYPE_CD As String = Nothing						'バリアンス種類
	Public REASON1_CD As String = Nothing					'理由１コード
	Public REASON2_CD As String = Nothing					'理由２コード
	Public REASON3_CD As String = Nothing					'理由３コード
	Public REASON4_CD As String = Nothing					'理由４コード
	Public REMARKS As String = Nothing						'コメント
	Public PATH_NM As String = Nothing						'パス名
	Public STAFF_NM As String = Nothing						'医師名
	Public VARIANCE_TYPE_NM As String = Nothing				'バリアンスチェック種類
	Public VARIANCE_CHK_NM As String = Nothing				'バリアンスチェック有無
	Public REASON1_NM As String = Nothing					'理由１
	Public REASON2_NM As String = Nothing					'理由２
	Public REASON3_NM As String = Nothing					'理由３
	Public REASON4_NM As String = Nothing					'理由４
	Public HSP_DT As Nullable(Of Date) = Nothing			'入院日
	Public OUT_HSP_DT As Nullable(Of Date) = Nothing		'退院日
	Public CH_START_DT As Nullable(Of Date) = Nothing		'科歴開始日
	Public CH_END_DT As Nullable(Of Date) = Nothing			'科歴終了日
End Class

''' ---------------------------------------------
''' <summary>
''' 医療費項目マスタ情報クラス
''' </summary>
''' ---------------------------------------------
Public NotInheritable Class dat_MedCcosttmInfo
	Public MED_COST_CD As String = Nothing					'医療費項目コード
	Public MED_COST_NM As String = Nothing					'医療費項目名
	Public TOTAL_OBJECT_FLG As Integer = Nothing			'合計対象フラグ
End Class

''' ---------------------------------------------
''' <summary>
''' 科歴件数情報自動更新対象テーブルクラス
''' </summary>
''' ---------------------------------------------
Public NotInheritable Class dat_CHChkRecordCountInfo
	Public TABLENAME As String = Nothing	'テーブル名
	Public CNT As Integer = Nothing			'件数
End Class

''' ---------------------------------------------
''' <summary>
''' 入退院履歴の科歴自動更新対象テーブルクラス
''' </summary>
''' ---------------------------------------------
Public NotInheritable Class dat_HspChAutoCheckInfo
	Public PATIENT_NO As String = Nothing
	Public HSP_HISTORY_NO As Integer = Nothing
	Public CH_NO As Integer = Nothing
	Public HSP_FLG As Integer = Nothing
	Public MAIN_DPM_FLG As Integer = Nothing
	Public OUT_HSP_FLG As Integer = Nothing
	Public FIXED_CD As String = Nothing
	Public START_CNL_CD As String = Nothing
	Public HSP_AIM_CD As String = Nothing
	Public HSP_FORM_CD As String = Nothing
	Public START_DT As Date = Nothing
	Public START_TIME As String = Nothing
	Public START_AGE As Integer = Nothing
	Public START_MONTH_AGE As Integer = Nothing
	Public START_DAY_AGE As Integer = Nothing
	Public TAKE_AMBULANCE_CHK As String = Nothing
	Public PLAN_EMERGENCY_CD As String = Nothing
	Public STATURE As Double = Nothing
	Public WEIGHT As Double = Nothing
	Public TIME_OUT_FLG As Integer = Nothing
	Public READMISSION_FLG As Integer = Nothing
	Public LAST_OUT_HSP_DT As Date = Nothing
	Public LAST_SELF_OTHER_HSP_DIV As String = Nothing
	Public DISEASE_READMISSION_FLG As Integer = Nothing
	Public SAME_DISEASE_LAST_HSP_DT As Date = Nothing
	Public END_DT As Date = Nothing
	Public END_TIME As String = Nothing
	Public END_AGE As Integer = Nothing
	Public END_MONTH_AGE As Integer = Nothing
	Public END_DAY_AGE As Integer = Nothing
	Public END_CNL_CD As String = Nothing
	Public END_OUTCOME_CD As String = Nothing
	Public DEPT_CD As String = Nothing
	Public WARD_CD As String = Nothing
	Public DOCTOR_CD As String = Nothing
	Public BYOREKI_NO As String = Nothing
End Class

''' ---------------------------------------------
''' <summary>
''' 手術名マスタの分類コード取得テーブルクラス
''' </summary>
''' ---------------------------------------------
Public NotInheritable Class dat_MtmOpeNmDataCheckInfo
	Public L_GRP_CD As String = Nothing
	Public M_GRP_CD As String = Nothing
	Public DIGS3_GRP_CD As String = Nothing
End Class