﻿Imports XCM
Imports XSP
''' ---------------------------------------------
''' <summary>
''' 診療情報管理 共通帳票  入退院情報（すべて） EXCEL出力クラス
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class MRP040E020
	Inherits MRP000E010

#Region "解放処理"
	''' ---------------------------------------------
	''' <summary>
	''' Dispose（解放処理）※外からはよばない
	''' </summary>
	''' <param name="disposing"></param>
	''' <remarks>
	''' 2010/12/08 新規作成 ACS)仙頭<BR/><BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overrides Sub Dispose(ByVal disposing As Boolean)
		MyBase.Dispose(disposing)
		Me.Header_Dpc = Nothing
	End Sub
#End Region

#Region "コンスタント"

	''' ---------------------------------------------
	''' <summary>
	''' ＳＱＬ文設定
	''' </summary>
	''' <remarks>
	''' 2010/12/08 新規作成 ACS)仙頭<BR/><BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Enum ENUM_SQLTYPE As Byte
		''' <summary>
		''' ワーククリア
		''' </summary>
		DEL_DPC = 0
		''' <summary>
		''' ワーク作成
		''' </summary>
		INS_DPC = 1
		''' <summary>
		''' ワーク更新(病名)
		''' </summary>
		UPD_DISEASE1 = 2
		''' <summary>
		''' ワーク更新(病名)
		''' </summary>
		UPD_DISEASE5 = 3
		''' <summary>
		''' ワーク更新(病名)
		''' </summary>
		UPD_DISEASE9 = 4
		''' <summary>
		''' ワーク更新(手術)
		''' </summary>
		UPD_OPE = 6
		''' <summary>
		''' DPCマスタの取得
		''' </summary>
		SEL_DPC = 10
		''' <summary>
		''' ワーク更新(補足)
		''' </summary>
		UPD_ASST1 = 12
		''' <summary>
		''' ワーク更新(補足)
		''' </summary>
		UPD_ASST2 = 13
	End Enum

	Private Const CST_LOG_CLASS As String = "入退院情報（すべて）（Excel）"
#End Region

#Region "変数"

	Private Header_Dpc() As String = Nothing									 'DPCヘッダ

#End Region

#Region "コンストラクタ"

	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <param name="pForm">遷移元画面</param>
	''' <param name="pDgv">出力元グリッド</param>
	''' <param name="pTempFile">雛型ファイル</param>
	''' <param name="pPutName">出力ファイル</param>
	''' <param name="pPutPath">出力パス</param>
	''' <param name="pPrivacy">個人情報出力フラグ</param>
	''' <remarks>
	''' 2010/10/19 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Sub New(ByVal pForm As frmBase, ByVal pDgv As DataGridView, ByVal pTempFile As String, ByVal pPutName As String, ByVal pPutPath As String, ByVal pPrivacy As Boolean)
		MyBase.New(pForm, pDgv, pTempFile, pPutName, pPutPath, pPrivacy)

		'出力先シート名の決定
		Me.SheetName = {clsExcelFunc.CST_DATA_SHEET & "２"}
	End Sub

#End Region

#Region "オーバライドメソッド"

	''' ---------------------------------------------
	''' <summary>
	''' ワークの作成(DPCの作成)
	''' </summary>
	''' <param name="db">clsDB</param>
	''' <param name="pDgv">入力元一覧</param>
	''' <param name="type">作成キー項目</param>
	''' <remarks>
	''' 2010/10/19 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overrides Sub setWork(ByVal db As clsDB, ByRef pDgv As System.Windows.Forms.DataGridView, Optional ByVal type As clsMakeWork.ENUM_SEARCH_WORK_KEY = clsMakeWork.ENUM_SEARCH_WORK_KEY.AUTO)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, "setWork", clsMRPCOMMON.CST_LOG_PRODUCT, CST_LOG_CLASS, "ワークの作成 START")
		Try
			'継承元を処理
			MyBase.setWork(db, pDgv, type)
			Using cliMakeWork As New clsMakeWork
				cliMakeWork.setDpcWork(db)
				Me.Header_Dpc = cliMakeWork.getDpcHeader
			End Using
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' Excel出力用SQLを取得
	''' </summary>
	''' <returns>Excel出力用SQL</returns>
	''' <remarks>
	''' 2010/12/08 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overrides Function getSelectSql() As String
		clsSysMst.logEx(clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, "getSelectSql", clsMRPCOMMON.CST_LOG_PRODUCT, CST_LOG_CLASS, "Excel出力用SQLを取得 START")
		Dim sql As String
		Try
			Me.LendParam = True

			Select Case clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00012)							'医療費の登録方法
			Case clsConst.Enum_MedCostInput.HspDeptDetail, clsConst.Enum_MedCostInput.HspDeptNoDetail	'	科歴単位
				sql = sqlMRP040E020.sqlTbl_MED_COST_C
			Case clsConst.Enum_MedCostInput.HspDetail, clsConst.Enum_MedCostInput.HspNoDetail			'	入退院単位
				sql = sqlMRP040E020.sqlTbl_MED_COST_H
			Case clsConst.Enum_MedCostInput.NoInput														'	登録なし
				sql = sqlMRP040E020.sqlTbl_MED_COST_H
			Case Else
				sql = Nothing
			End Select
			Return String.Format(sqlMRP040E020.sqlSel, sql)

		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' データ部タイトルを返却
	''' </summary>
	''' <returns>データ部タイトル</returns>
	''' <remarks>
	''' 2010/12/08 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overrides Function getHeader() As String
		clsSysMst.logEx(clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, "getHeader", clsMRPCOMMON.CST_LOG_PRODUCT, CST_LOG_CLASS, "データ部タイトル START")
		Dim Header() As String = {Nothing, Nothing, Nothing}
		Try
			Using db As New clsDB(clsSysMst.ctlConfigData), dt As New DataTable
				'入退院項目マスタより項目を設定
				db.setSQLDa(sqlMRP040E020.sqlSel_Header_Hsp)
				db.execQueryDa(dt)
				Dim row As DataRow()
				Try
					For Each key As String In {"001", "002", "003", "004", "005", "006"}
						row = dt.Select(sqlMRPCOMMON.itmITEM_CD & "='" & key & "'")
						If row IsNot Nothing AndAlso row.Length >= 1 Then
							Header(0) &= String.Format(sqlMRP040E020.excel_FreeFormat, row(0).Item(sqlMRPCOMMON.itmITEM_NM).ToString, row(0).Item(sqlMRPCOMMON.itmITEM_RNM).ToString)
						Else
							Header(0) &= sqlMRP040E020.excel_FreeFormatEmpty
						End If
					Next
				Finally
					row = Nothing
				End Try
				dt.Clear()

				'DPC補足を退避データより設定
				For i As Integer = 0 To Me.Header_Dpc.Length - 1
					If String.IsNullOrEmpty(Me.Header_Dpc(i)) = True Then
						Me.Header_Dpc(i) = ","
					End If
				Next
				Header(1) = "," & Join(Me.Header_Dpc, ",")

				'医療費マスタより項目を設定
				db.setSQLDa(sqlMRP040E020.sqlSel_Header_Med)
				db.execQueryDa(dt)
				Dim aryItem(0 To 44) As String
				Try
					For Each row2 As DataRow In dt.Rows
						If IsNumeric(row2.Item(sqlMRPCOMMON.itmITEM_CD).ToString) Then
							aryItem(CType(row2.Item(sqlMRPCOMMON.itmITEM_CD).ToString - 1, Integer)) = row2.Item(sqlMRPCOMMON.itmITEM_NM).ToString
						End If
					Next
					Header(2) = "," & Join(aryItem, ",")
				Finally
					aryItem = Nothing
				End Try

			End Using
			Return String.Format(sqlMRP040E020.excel_Header, Header)
		Catch ex As Exception
			Throw
		Finally
			Header = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' シートにデータ設定
	''' </summary>
	''' <param name="xlApp">clsExcelオブジェクト</param>
	''' <param name="xlOSheets">clsExcelSheetsオブジェクト</param>
	''' <param name="xlOSheet">clsExcelSheetオブジェクト</param>
	''' <param name="posHome">開始位置</param> 
	''' <param name="dt">データテーブル</param>
	''' <remarks>
	''' 2010/12/08 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overrides Sub setSheet(ByRef xlApp As XSP.clsExcel, ByRef xlOSheets As XSP.clsExcelSheets, ByRef xlOSheet As XSP.clsExcelSheet, ByRef posHome As XSP.clsExcel.PosInfo, ByRef dt As System.Data.DataTable)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, "setSheet", clsMRPCOMMON.CST_LOG_PRODUCT, CST_LOG_CLASS, "シートにデータ設定 START")
		Const CST_COL_CNT As Integer = 180
		Try
			Using xlRange As clsExcelRange = New clsExcelRange

				'パラメータシートの設定
				Me.setParamSheet(xlApp, xlOSheets, xlOSheet, posHome, xlRange, dt)

				'データシートの設定
				xlOSheet.SetSheet(xlOSheets, clsExcelFunc.CST_DATA_SHEET)
				xlOSheet.ClearContents()
				'書式設定
				Me.setFormat(xlApp, xlRange, xlOSheet, posHome, 1, CST_COL_CNT, 1, clsExcel.CST_FORMAT_STRING)						'ヘッダ部
				Me.setSheetFormat(xlApp, xlRange, xlOSheet, posHome, dt, , CST_COL_CNT)												'データ部

				'データ設定
				xlRange.SetAreaValue(xlOSheet.Worksheet, clsExcelFunc.Enum_PosX.pA, 1, CST_COL_CNT, 1, Me.getHeaderAry(, CST_COL_CNT))
				xlRange.SetAreaValue(xlOSheet.Worksheet, clsExcelFunc.Enum_PosX.pA, 2, CST_COL_CNT, 1 + dt.Rows.Count, Me.cnvDt2Ary(dt, , CST_COL_CNT))

				'データシートの設定
				xlOSheet.SetSheet(xlOSheets, Me.SheetName(0))
				xlOSheet.ClearContents()
				'書式設定
				Me.setFormat(xlApp, xlRange, xlOSheet, posHome, 1, dt.Columns.Count - CST_COL_CNT, 1, clsExcel.CST_FORMAT_STRING)	'ヘッダ部
				Me.setSheetFormat(xlApp, xlRange, xlOSheet, posHome, dt, CST_COL_CNT)												'データ部
				'データ設定

				xlRange.SetAreaValue(xlOSheet.Worksheet, clsExcelFunc.Enum_PosX.pA, 1, dt.Columns.Count - CST_COL_CNT, 1, Me.getHeaderAry(CST_COL_CNT))
				xlRange.SetAreaValue(xlOSheet.Worksheet, clsExcelFunc.Enum_PosX.pA, 2, dt.Columns.Count - CST_COL_CNT, 1 + dt.Rows.Count, Me.cnvDt2Ary(dt, CST_COL_CNT))
			End Using
		Catch ex As Exception
			Throw
		End Try
	End Sub

#End Region

End Class
