﻿Imports XSP
''' ---------------------------------------------
''' <summary>
''' 診療情報管理 共通帳票 入退院情報一覧表(Report)クラス
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class MRP040R020
	Inherits MRP040R000

#Region "解放処理"
	''' ---------------------------------------------
	''' <summary>
	''' Dispose（解放処理）※外からはよばない
	''' </summary>
	''' <param name="disposing"></param>
	''' <remarks>
	''' 2010/10/15 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overridable Overloads Sub Dispose(ByVal disposing As Boolean)
		If disposing Then
			MyBase.Dispose(disposing)
			Me.pBreak = Nothing
		End If
	End Sub

#End Region

#Region "コンスタント"

	''' <summary>
	''' ブレイク単位
	''' </summary>
	''' <remarks>
	''' 2010/12/07 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	Public Enum ENUM_REPORT_BREAK As Byte
		''' <summary>
		''' 改ページなし
		''' </summary>
		NONE = 0
		''' <summary>
		''' 患者番号単位
		''' </summary>
		PATIENT_NO = 2
		''' <summary>
		''' 診療科コード単位
		''' </summary>
		DEPT_CD = 21
		''' <summary>
		''' 病棟コード単位
		''' </summary>
		WARD_CD = 22
		''' <summary>
		''' 医師コード単位
		''' </summary>
		DOCTOR_CD = 23
	End Enum

	Private Const CST_LOG_CLASS As String = "入退院一覧表（詳細）"
#End Region

#Region "変数"

	Private pBreak As ENUM_REPORT_BREAK				'ブレイク単位

#End Region


#Region "コンストラクタ"

	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <param name="pForm">呼出画面</param>
	''' <param name="pPrint">印刷フラグ True:印刷/False:プレビュー</param>
	''' <param name="pDgv">一覧</param>
	''' <param name="pTitle">帳票タイトル</param>
	''' <param name="pPrivacy">個人情報出力フラグ True:出力する/False:出力しない</param>
	''' <param name="pMakeWork">ワークデータ作成フラグ True:作成する/False:作成しない</param>
	''' <param name="pBreak">ブレイク単位</param>
	''' <remarks>
	''' 2010/12/07 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Sub New(ByVal pForm As XCM.frmBase, ByVal pPrint As Boolean,
			ByVal pDgv As DataGridView, ByVal pTitle As String,
			ByVal pPrivacy As Boolean, ByVal pMakeWork As Boolean,
			ByVal pBreak As ENUM_REPORT_BREAK)
		MyBase.New(pForm, pPrint, pDgv, pTitle, pPrivacy, pMakeWork)
		Me.pBreak = pBreak
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ(登録からの呼出)
	''' </summary>
	''' <param name="pForm">呼出画面</param>
	''' <param name="pPrint">印刷フラグ True:印刷/False:プレビュー</param>
	''' <param name="pTitle">帳票タイトル</param>
	''' <param name="pPrivacy">個人情報出力フラグ True:出力する/False:出力しない</param>
	''' <param name="pPatientNo">患者番号</param>
	''' <param name="pHspNo">入退院歴番号</param>
	''' <remarks>
	''' 2010/12/07 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Sub New(ByVal pForm As XCM.frmBase, ByVal pPrint As Boolean,
			ByVal pTitle As String, ByVal pPrivacy As Boolean,
			ByVal pPatientNo As String, Optional ByVal pHspNo As Integer = Nothing)
		MyBase.New(pForm, pPrint, pTitle, pPrivacy, pPatientNo, pHspNo)
		Me.pBreak = ENUM_REPORT_BREAK.NONE
	End Sub

#End Region

#Region "オーバーライドメソッド"

	''' ---------------------------------------------
	''' <summary>
	''' ヘッダ情報編集
	''' </summary>
	''' <returns>ヘッダ情報</returns>
	''' <remarks>
	''' 2010/12/07 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overrides Function getHeaderData() As datHeader
		XCM.clsSysMst.logEx(XCM.clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, "getHeaderData", clsMRPCOMMON.CST_LOG_PRODUCT, CST_LOG_CLASS, "ヘッダ情報編集")
		Dim retHeader As datHeader
		Try
			retHeader = MyBase.getHeaderData()
			retHeader.STR5 = Me.pBreak
			Return retHeader
		Catch ex As Exception
			Throw
		End Try
	End Function

#End Region

End Class
