﻿Imports XCM
Imports XSP
''' ---------------------------------------------
''' <summary>
''' 診療情報管理 共通帳票  科歴情報（すべて） EXCEL出力クラス
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class MRP050E030
	Inherits MRP000E010

#Region "解放処理"
	''' ---------------------------------------------
	''' <summary>
	''' Dispose（解放処理）※外からはよばない
	''' </summary>
	''' <param name="disposing"></param>
	''' <remarks>
	''' 2010/12/10 新規作成 ACS)常包
	''' </remarks>
	''' ---------------------------------------------
	Protected Overrides Sub Dispose(ByVal disposing As Boolean)
		MyBase.Dispose(disposing)
		Me.Header = Nothing
		Me.ItemNM = Nothing
	End Sub
#End Region

#Region "コンスタント"

	Private Const CST_LOG_CLASS As String = "科歴情報（すべて）（Excel）"
	Private Const CST_AST1_COL_CNT = 132	   '補足項目１情報出力カラム数
	Private Const CST_DEPT_COL_CNT = 52		   '対診科情報出力カラム数
	Private Const CST_MED_COL_CNT = 45		   '医療費情報出力カラム数

#End Region

#Region "変数"

	Private Header As String()
	Private ItemNM As String()

#End Region

#Region "コンストラクタ"

	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <param name="pForm">遷移元画面</param>
	''' <param name="pDgv">出力元グリッド</param>
	''' <param name="pTempFile">雛型ファイル</param>
	''' <param name="pPutName">出力ファイル</param>
	''' <param name="pPutPath">出力パス</param>
	''' <param name="pPrivacy">個人情報出力フラグ</param>
	''' <remarks>
	''' 2010/12/10 新規作成 ACS)常包
	''' </remarks>
	''' ---------------------------------------------
	Sub New(ByVal pForm As frmBase, ByVal pDgv As DataGridView, ByVal pTempFile As String, ByVal pPutName As String, ByVal pPutPath As String, ByVal pPrivacy As Boolean)
		MyBase.New(pForm, pDgv, pTempFile, pPutName, pPutPath, pPrivacy)

		'出力先シート名の決定
		Me.SheetName = {clsExcelFunc.CST_DATA_SHEET & "２", clsExcelFunc.CST_DATA_SHEET & "３"}
	End Sub

#End Region

#Region "オーバーライドメソッド"
	''' ---------------------------------------------
	''' <summary>
	''' Excel出力用SQLを取得
	''' </summary>
	''' <returns>Excel出力用SQL</returns>
	''' <remarks>
	''' 2010/12/07 新規作成　ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overrides Function getSelectSql() As String
		XCM.clsSysMst.logEx(XCM.clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, "getSelectSql", clsMRPCOMMON.CST_LOG_PRODUCT, CST_LOG_CLASS, "Excel出力用SQLを取得 START")
		Dim wrkJoin As String = Nothing
		Dim wrkCnt As Integer
		Dim wrkMedJoin As String = Nothing
		Try
			Header = New String() {Nothing, Nothing, Nothing, Nothing}
			ItemNM = New String() {Nothing, Nothing, Nothing, Nothing}
			Me.LendParam = True
			Using db As New clsDB(clsSysMst.ctlConfigData), dt As New DataTable
				'補足項目１項目マスタより項目を設定
				db.setSQLDa(sqlMRP050E030.sqlSel_Header_Asst1)
				db.execQueryDa(dt)
				Try
					wrkCnt = 0
					For Each row2 As DataRow In dt.Rows
						wrkCnt = wrkCnt + 1
						'ヘッダセット
						Header(0) &= "," & row2.Item(sqlMRPCOMMON.itmITEM_NM).ToString
						'取得項目セット
						ItemNM(0) &= String.Format(sqlMRP050E030.sqlColAST1, row2.Item(sqlMRPCOMMON.itmITEM_CD).ToString)
					Next
					For i As Integer = wrkCnt + 1 To CST_AST1_COL_CNT
						'ヘッダセット
						Header(0) &= ","
						'取得項目セット
						ItemNM(0) &= sqlMRP050E030.sqlColNull
					Next
				Finally

				End Try
				dt.Clear()
				'対診科マスタより項目を設定
				db.setSQLDa(sqlMRP050E030.sqlSel_Header_Dept)
				db.execQueryDa(dt)
				Try
					wrkCnt = 0
					For Each row2 As DataRow In dt.Rows
						wrkCnt = wrkCnt + 1
						'ヘッダセット
						Header(1) &= "," & row2.Item(sqlMRPCOMMON.itmITEM_NM).ToString
						'取得項目セット
						ItemNM(1) &= String.Format(sqlMRP050E030.sqlColDEPT, row2.Item(sqlMRPCOMMON.itmITEM_CD).ToString)
					Next
					For i As Integer = wrkCnt + 1 To CST_DEPT_COL_CNT
						'ヘッダセット
						Header(1) &= "," & Nothing
						'取得項目セット
						ItemNM(1) &= sqlMRP050E030.sqlColNull
					Next
				Finally

				End Try
				dt.Clear()
				Select Case clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00012)
				Case clsConst.Enum_MedCostInput.HspDeptDetail, clsConst.Enum_MedCostInput.HspDeptNoDetail
					'医療費項目マスタより項目を設定
					db.setSQLDa(sqlMRP050E030.sqlSel_Header_Med)
					db.execQueryDa(dt)
					Try
						wrkCnt = 0
						For Each row2 As DataRow In dt.Rows
							wrkCnt = wrkCnt + 1
							'ヘッダセット
							Header(2) &= "," & row2.Item(sqlMRPCOMMON.itmITEM_NM).ToString
							'取得項目セット
							ItemNM(2) &= String.Format(sqlMRP050E030.sqlColM, row2.Item(sqlMRPCOMMON.itmITEM_CD).ToString)
						Next
						For i As Integer = wrkCnt + 1 To CST_MED_COL_CNT
							'ヘッダセット
							Header(2) &= "," & Nothing
							'取得項目セット
							ItemNM(2) &= sqlMRP050E030.sqlColNull
						Next
						wrkMedJoin = sqlMRP050E030.sqlTblMed
					Finally

					End Try
					dt.Clear()
				Case Else
					For i As Integer = 1 To CST_MED_COL_CNT
						'ヘッダセット
						Header(2) &= "," & Nothing
						'取得項目セット
						ItemNM(2) &= sqlMRP050E030.sqlColNull
					Next
				End Select
				'補足項目２項目マスタより項目を設定
				db.setSQLDa(sqlMRP050E030.sqlSel_Header_Asst2)
				db.execQueryDa(dt)
				Try
					For Each row2 As DataRow In dt.Rows
						Select Case row2.Item(sqlMRP050E030.itmITEM_TYPE)
							Case clsConst.Enum_Asst2Type.cmb_type					'項目タイプが「コンボ」項目のとき
								'ヘッダセット
								Header(3) &= "," & row2.Item(sqlMRPCOMMON.itmITEM_NM).ToString & "," & row2.Item(sqlMRPCOMMON.itmITEM_RNM).ToString
								'取得項目(JOIN項目)セット
								wrkJoin &= String.Format(sqlMRP050E030.sqlSel_Asst2_Join, row2.Item(sqlMRP050E030.itmSPT_FIELD_NM).ToString, _
																						  row2.Item(sqlMRPCOMMON.itmITEM_CD).ToString)
								'取得項目セット
								ItemNM(3) &= String.Format(sqlMRP050E030.sqlColAST2_2, row2.Item(sqlMRPCOMMON.itmITEM_CD).ToString)
'(A) STR V4-13006-000 007 20130212 ID)荒川 管理№228 1900年より前の発症日/診断日でExcel出力すると例外エラーが発生する
							Case row2.Item(sqlMRP110E010.itmITEM_TYPE).ToString = XCM.clsConst.Enum_Asst2Type.date_type
								'ヘッダセット
								Header(3) &= "," & row2.Item(sqlMRPCOMMON.itmITEM_RNM).ToString
								'取得項目セット
								ItemNM(3) &= String.Format(sqlMRP050E030.sqlColAST2_3, row2.Item(sqlMRP050E030.itmSPT_FIELD_NM).ToString)
'(A) END V4-13006-000 007 20130212
							Case Else
								'ヘッダセット
								Header(3) &= "," & row2.Item(sqlMRPCOMMON.itmITEM_RNM).ToString
								'取得項目セット
								ItemNM(3) &= String.Format(sqlMRP050E030.sqlColAST2_1, row2.Item(sqlMRP050E030.itmSPT_FIELD_NM).ToString)
						End Select
					Next
				Finally

				End Try
				dt.Clear()
			End Using
			Return String.Format(sqlMRP050E030.sqlSel, ItemNM(0), ItemNM(1), ItemNM(2), ItemNM(3), wrkMedJoin, wrkJoin)
		Catch ex As Exception
			Throw
		Finally
			wrkJoin = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' データ取得時の追加パラメータ設定
	''' </summary>
	''' <param name="db">clsDB</param>
	''' <remarks>
	''' 2010/12/13 新規作成 ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overrides Sub addParam(ByVal db As clsDB)
		XCM.clsSysMst.logEx(XCM.clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, "addParam", clsMRPCOMMON.CST_LOG_PRODUCT, CST_LOG_CLASS, "データ取得時の追加パラメータ設定 START")
		Try
			With db
				.setParamDa(sqlMRPCOMMON.prmFIXED_CD, XCM.clsDB.Enum_dbType.dbNVarChar)
				.setValDa(sqlMRPCOMMON.prmFIXED_CD, XCM.clsConst.Enum_Disease_Div_Fix1.MainDisease, False)	 '主病名
			End With
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' データ部タイトルを返却
	''' </summary>
	''' <returns>データ部タイトル</returns>
	''' <remarks>
	''' 2010/12/10 新規作成 ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overrides Function getHeader() As String
		clsSysMst.logEx(clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, "getHeader", clsMRPCOMMON.CST_LOG_PRODUCT, CST_LOG_CLASS, "データ部タイトル START")

		Try
			Return String.Format(sqlMRP050E030.excel_Header, Header)
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' シートにデータ設定
	''' </summary>
	''' <param name="xlApp">clsExcelオブジェクト</param>
	''' <param name="xlOSheets">clsExcelSheetsオブジェクト</param>
	''' <param name="xlOSheet">clsExcelSheetオブジェクト</param>
	''' <param name="posHome">開始位置</param> 
	''' <param name="dt">データテーブル</param>
	''' <remarks>
	''' 2010/10/20 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overrides Sub setSheet(ByRef xlApp As XSP.clsExcel, ByRef xlOSheets As XSP.clsExcelSheets, ByRef xlOSheet As XSP.clsExcelSheet, ByRef posHome As XSP.clsExcel.PosInfo, ByRef dt As System.Data.DataTable)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, "setSheet", clsMRPCOMMON.CST_LOG_PRODUCT, CST_LOG_CLASS, "シートにデータ設定 START")
		Const CST_COL_CNT1 As Integer = 226	   'データ１カラム数
		Const CST_COL_CNT2 As Integer = 232	   'データ２カラム数
		'Const CST_COL_CNT3 As Integer = 108	   'データ３カラム数（跡で削除）
		Try
			Using xlRange As clsExcelRange = New clsExcelRange

				'パラメータシートの設定
				Me.setParamSheet(xlApp, xlOSheets, xlOSheet, posHome, xlRange, dt)

				'@データ１シート
				'データシートの設定
				xlOSheet.SetSheet(xlOSheets, clsExcelFunc.CST_DATA_SHEET)
				xlOSheet.ClearContents()
				'書式設定
				Me.setFormat(xlApp, xlRange, xlOSheet, posHome, 1, CST_COL_CNT1, 1, clsExcel.CST_FORMAT_STRING)						'ヘッダ部
				Me.setSheetFormat(xlApp, xlRange, xlOSheet, posHome, dt, , CST_COL_CNT1)											'データ部
				'データ設定
				xlRange.SetAreaValue(xlOSheet.Worksheet, clsExcelFunc.Enum_PosX.pA, 1, CST_COL_CNT1, 1, Me.getHeaderAry(, CST_COL_CNT1))
				xlRange.SetAreaValue(xlOSheet.Worksheet, clsExcelFunc.Enum_PosX.pA, 2, CST_COL_CNT1, 1 + dt.Rows.Count, Me.cnvDt2Ary(dt, , CST_COL_CNT1))

				'@データ２シート
				'データシートの設定
				xlOSheet.SetSheet(xlOSheets, Me.SheetName(0))
				xlOSheet.ClearContents()
				'書式設定
				Me.setFormat(xlApp, xlRange, xlOSheet, posHome, 1, CST_COL_CNT2, 1, clsExcel.CST_FORMAT_STRING)						'ヘッダ部
				Me.setSheetFormat(xlApp, xlRange, xlOSheet, posHome, dt, CST_COL_CNT1, CST_COL_CNT2)								'データ部
				'データ設定
				xlRange.SetAreaValue(xlOSheet.Worksheet, clsExcelFunc.Enum_PosX.pA, 1, CST_COL_CNT2, 1, Me.getHeaderAry(CST_COL_CNT1, CST_COL_CNT2))
				xlRange.SetAreaValue(xlOSheet.Worksheet, clsExcelFunc.Enum_PosX.pA, 2, CST_COL_CNT2, 1 + dt.Rows.Count, Me.cnvDt2Ary(dt, CST_COL_CNT1, CST_COL_CNT2))

				'@データ３シート
				'データシートの設定
				xlOSheet.SetSheet(xlOSheets, Me.SheetName(1))
				xlOSheet.ClearContents()
				'書式設定
				Me.setFormat(xlApp, xlRange, xlOSheet, posHome, 1, dt.Columns.Count - (CST_COL_CNT1 + CST_COL_CNT2), 1, clsExcel.CST_FORMAT_STRING)	'ヘッダ部
				Me.setSheetFormat(xlApp, xlRange, xlOSheet, posHome, dt, CST_COL_CNT1 + CST_COL_CNT2)												'データ部
				'データ設定
				xlRange.SetAreaValue(xlOSheet.Worksheet, clsExcelFunc.Enum_PosX.pA, 1, dt.Columns.Count - (CST_COL_CNT1 + CST_COL_CNT2), 1, Me.getHeaderAry((CST_COL_CNT1 + CST_COL_CNT2)))
				xlRange.SetAreaValue(xlOSheet.Worksheet, clsExcelFunc.Enum_PosX.pA, 2, dt.Columns.Count - (CST_COL_CNT1 + CST_COL_CNT2), 1 + dt.Rows.Count, Me.cnvDt2Ary(dt, (CST_COL_CNT1 + CST_COL_CNT2)))
			End Using
		Catch ex As Exception
			Throw
		End Try
	End Sub


#End Region

End Class
