﻿Imports XCM

''' ---------------------------------------------
''' <summary>
''' 診療情報管理 共通帳票 共通メソッド
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class clsMRPCOMMON

#Region "コンスタント"
   ''' ---------------------------------------------
	''' <summary>
	''' テーブルコード
	''' </summary>
	''' <remarks>
	''' 2010/10/15 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Enum Enum_Tbl_CD As Byte
		''' <summary>
		''' 基本情報
		''' </summary>
		XTI_BASICINFO = 1
		''' <summary>
		''' 入退院情報
		''' </summary>
		MTI_HSP = 2
		''' <summary>
		''' 科歴情報
		''' </summary>
		MTI_CH = 3
		''' <summary>
		''' 死亡情報
		''' </summary>
		MTI_DEATH = 4
		''' <summary>
		''' 病棟情報
		''' </summary>
		MTI_WARD = 5
		''' <summary>
		''' 医師情報
		''' </summary>
		MTI_DOCTOR = 6
		''' <summary>
		''' 医療費情報
		''' </summary>
		MTI_MED_COST = 7
		''' <summary>
		''' 対診科情報
		''' </summary>
		MTI_OTHER_DEPT = 8
		''' <summary>
		''' 病名情報
		''' </summary>
		MTI_DISEASE = 9
		''' <summary>
		''' 手術情報
		''' </summary>
		MTI_OPE = 10
		''' <summary>
		''' 手術医師情報
		''' </summary>
		MTI_OPE_DOCTOR = 11
		''' <summary>
		''' 検査情報
		''' </summary>
		MTI_TEST = 12
		''' <summary>
		''' 治療処置情報
		''' </summary>
		MTI_CARE = 13
		''' <summary>
		''' 補足項目１情報
		''' </summary>
		MTI_ASST1 = 14
		''' <summary>
		''' 補足項目２情報
		''' </summary>
		MTI_ASST2 = 15
		''' <summary>
		''' 救命救急情報
		''' </summary>
		MTI_EMERGENCY = 16
		''' <summary>
		''' 分娩情報
		''' </summary>
		MTI_CB = 17
		''' <summary>
		''' 分娩子情報
		''' </summary>
		MTI_CB_CHILD = 18
		''' <summary>
		''' 分娩子死産情報
		''' </summary>
		MTI_CB_SB = 19
		''' <summary>
		''' 貸出物情報
		''' </summary>
		MTI_LENDITM = 20
		''' <summary>
		''' 貸出情報
		''' </summary>
		MTI_LEND = 21
		''' <summary>
		''' パス情報
		''' </summary>
		MTI_PATH = 22
		''' <summary>
		''' 監査情報
		''' </summary>
		MTI_INSPECT = 23
	End Enum
	''' ---------------------------------------------
	''' <summary>
	''' ワーク削除のキー(カテゴリ)
	''' </summary>
	''' <remarks>
	''' 2010/11/17 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	Public Enum ENUM_SQL_DEL_WORK As Byte
		''' <summary>
		''' 削除なし
		''' </summary>
		''' <remarks></remarks>
		NONE = 0
		''' <summary>
		''' 基本情報
		''' </summary>
		MRP030 = 3
		''' <summary>
		''' 入退院
		''' </summary>
		MRP040 = 4
		''' <summary>
		''' 科歴
		''' </summary>
		MRP050 = 5
		''' <summary>
		''' 病名
		''' </summary>
		MRP060 = 6
		''' <summary>
		''' 手術
		''' </summary>
		MRP070 = 7
		''' <summary>
		''' 治療処置
		''' </summary>
		MRP080 = 8
		''' <summary>
		''' 検査
		''' </summary>
		MRP090 = 9
		''' <summary>
		''' 補足項目１
		''' </summary>
		MRP100 = 10
		''' <summary>
		''' 補足項目２
		''' </summary>
		MRP110 = 11
		''' <summary>
		''' 分娩
		''' </summary>
		MRP120 = 12
		''' <summary>
		''' 分娩子
		''' </summary>
		MRP130 = 13
		''' <summary>
		''' 救命救急
		''' </summary>
		MRP140 = 14
		''' <summary>
		''' パス
		''' </summary>
		MRP150 = 15
		''' <summary>
		''' 管理物
		''' </summary>
		MRP160 = 16
		''' <summary>
		''' 貸出情報
		''' </summary>
		MRP170 = 17
		''' <summary>
		''' 貸出情報
		''' </summary>
		MRP180 = 18
	End Enum

	Public Const CST_LOG_PRODUCT As String = "診療情報管理"

	Private Const CST_LOG_GID As String = "MRP"
	Private Const CST_LOG_FID As String = "clsMRPCOMMON"
	Private Const CST_LOG_CLASS As String = "共通処理"
#End Region

#Region "メソッド"

	''' ---------------------------------------------
	''' <summary>
	''' データテーブルよりキー値に一致するデータを取得
	''' </summary>
	''' <param name="dt">データテーブル</param>
	''' <param name="key">キー値</param>
	''' <returns>データ値</returns>
	''' <remarks>
	''' 2010/10/15 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Shared Function getDtItem(ByVal dt As DataTable, ByVal key As Object) As String
		clsSysMst.logEx(clsSysMst.logLevel.DBG, CST_LOG_GID, CST_LOG_FID, "getDtItem", clsMRPCOMMON.CST_LOG_PRODUCT, CST_LOG_CLASS, "データテーブルよりキー値に一致するデータを取得 START")
		Dim row As DataRow()
		Try
			Select Case dt.Columns(0).DataType
			Case System.Type.GetType("System.String"), System.Type.GetType("System.DateTime")
				row = dt.Select(dt.Columns(0).ColumnName & "='" & key & "'")
			Case Else
				row = dt.Select(dt.Columns(0).ColumnName & "=" & key)
			End Select
			If row IsNot Nothing AndAlso row.Length >= 1 Then
				Return row(0).Item(1).ToString
			Else
				Return String.Empty
			End If
		Catch ex As Exception
			Throw
		Finally
			row = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 指定された帳票群のワークを削除
	''' </summary>
	''' <param name="key">削除キー(カテゴリ)</param>
	''' <remarks>
	''' 2010/11/17 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Shared Sub DelWork(ByVal db As clsDB, ByVal key As ENUM_SQL_DEL_WORK, Optional ByVal AutoTran As Boolean = True)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, CST_LOG_GID, CST_LOG_FID, "DelWork", clsMRPCOMMON.CST_LOG_PRODUCT, CST_LOG_CLASS, "指定された帳票群のワークを削除 START")
		Dim arySql As String()
		Try
			Select Case key
				Case ENUM_SQL_DEL_WORK.MRP030 : arySql = New String() {sqlMakeWork.sqlDel_SEARCH_WORK, sqlMRP030R000.sqlDel, sqlMRP030R030.sqlDel}
				Case ENUM_SQL_DEL_WORK.MRP040
												arySql = New String() {sqlMakeWork.sqlDel_SEARCH_WORK, sqlMRP040R000.sqlDel, sqlMakeWork.sqlDel_DPC,
																	   sqlMRP040R110.sqlDel_DISEASE, sqlMRP040R110.sqlDel_OPE, sqlMRP040R110.sqlDel_ASST,
																	   sqlMRP040R110.sqlDel_MED, sqlMRP040R110.sqlDel_HEADING}
				Case ENUM_SQL_DEL_WORK.MRP050
												arySql = New String() {sqlMakeWork.sqlDel_SEARCH_WORK, sqlMRP050R000.sqlDel, sqlMRP050R110.sqlDel_DPC_Head,
																	   sqlMRP050R110.sqlDel_DPC_Detail}
				Case ENUM_SQL_DEL_WORK.MRP060 : arySql = New String() {sqlMakeWork.sqlDel_SEARCH_WORK, sqlMRP060R000.sqlDel}
				Case ENUM_SQL_DEL_WORK.MRP070 : arySql = New String() {sqlMakeWork.sqlDel_SEARCH_WORK, sqlMRP070R000.sqlDel}
				Case ENUM_SQL_DEL_WORK.MRP080 : arySql = New String() {sqlMakeWork.sqlDel_SEARCH_WORK, sqlMRP080R010.sqlDel}
				Case ENUM_SQL_DEL_WORK.MRP090 : arySql = New String() {sqlMakeWork.sqlDel_SEARCH_WORK, sqlMRP090R010.sqlDel}
				Case ENUM_SQL_DEL_WORK.MRP100 : arySql = New String() {sqlMakeWork.sqlDel_SEARCH_WORK, sqlMRP100R010.sqlDel}
				Case ENUM_SQL_DEL_WORK.MRP110 : arySql = New String() {sqlMakeWork.sqlDel_SEARCH_WORK, sqlMRP110R010.sqlDel}
				Case ENUM_SQL_DEL_WORK.MRP120 : arySql = New String() {sqlMakeWork.sqlDel_SEARCH_WORK, sqlMRP120R010.sqlDel}
				Case ENUM_SQL_DEL_WORK.MRP130 : arySql = New String() {sqlMakeWork.sqlDel_SEARCH_WORK, sqlMRP130R000.sqlDel}
				Case ENUM_SQL_DEL_WORK.MRP140 : arySql = New String() {sqlMakeWork.sqlDel_SEARCH_WORK, sqlMRP140R010.sqlDel}
				Case ENUM_SQL_DEL_WORK.MRP150 : arySql = New String() {sqlMakeWork.sqlDel_SEARCH_WORK, sqlMRP150R000.sqlDel}
				Case ENUM_SQL_DEL_WORK.MRP160 : arySql = New String() {sqlMakeWork.sqlDel_SEARCH_WORK, sqlMRP160R000.sqlDel, sqlMRP160R040.sqlDel}
				Case ENUM_SQL_DEL_WORK.MRP170 : arySql = New String() {sqlMakeWork.sqlDel_SEARCH_WORK, sqlMRP170R000.sqlDel}
				Case ENUM_SQL_DEL_WORK.MRP180 : arySql = New String() {sqlMakeWork.sqlDel_SEARCH_WORK, sqlMRP180R000.sqlDel, sqlMRP180R020.sqlDel}
				Case Else : Return
			End Select

			For Each sql As String In arySql
				With db
					.setSQL(sql)
					.setParam(sqlMRPCOMMON.prmHOST_NM, clsDB.Enum_dbType.dbNVarChar)
					.setVal(sqlMRPCOMMON.prmHOST_NM, clsConst.CST_HOST_NM)
					.execNonQuery(AutoTran)
				End With
			Next
		Catch ex As Exception
			Throw
		Finally
			arySql = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 貸出物マスタより単位コードを取得
	''' </summary>
	''' <returns>単位コード</returns>
	''' <remarks>
	''' 2010/11/08 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Shared Function getLendItemUnitCd(ByVal LendItemCd As clsConst.Enum_Lenditem) As String
		Try
			Using dt As DataTable = New DataTable
				Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
					With db
						.setSQLDa(sqlMRPCOMMON.sqlSel_MTM_LENDITEM)

						.setParamDa(sqlMRPCOMMON.prmLENDITEM_CD, clsDB.Enum_dbType.dbNVarChar)					'管理物コード
						.setValDa(sqlMRPCOMMON.prmLENDITEM_CD, LendItemCd)
						.execQueryDa(dt)
						If dt.Rows.Count = 0 Then
							Return Nothing
						Else
							Return dt.Rows(0).Item(0)
						End If
					End With
				End Using
			End Using
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 貸出物マスタより単位コードを取得
	''' </summary>
	''' <remarks>
	''' 2010/12/03 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Shared Function getLendItemAll() As DataTable
		Try
			Using dt As DataTable = New DataTable
				Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
					With db
						.setSQLDa(sqlMRPCOMMON.sqlSelAll_MTM_LENDITEM)
						.execQueryDa(dt)
						Return dt
					End With
				End Using
			End Using
		Catch ex As Exception
			Throw
		End Try
	End Function

#End Region

End Class
