﻿''' ---------------------------------------------
''' <summary>
''' 診療情報管理 共通帳票 科歴情報一覧(EXCEL) (SQLクラス）
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public NotInheritable Class sqlMRP050E020

#Region "パラメータ"
	Public Const prmFIXED_DEPT_CHANGE_HSP As String = "@FIXED_DEPT_CHANGE_HSP"				'転科（入院経路）
	Public Const prmFIXED_DEPT_CHANGE_OUT As String = "@FIXED_DEPT_CHANGE_OUT"				'転科（退院経路）
#End Region

#Region "エクセルヘッダ項目"
	''' <summary>
	''' エクセル出力ヘッダ
	''' </summary>
	''' <remarks></remarks>
	Public Const excel_Header As String = "" _
	& "患者番号" _
	& ",入退院歴番号" _
	& ",科歴番号" _
	& excel_HeaderBH _
	& excel_HeaderC _
	& excel_HeaderWa _
	& excel_HeaderDoc _
	& excel_HeaderL


	''' <summary>
	''' 患者＋入退院ヘッダ
	''' </summary>
	''' <remarks></remarks>
	Private Const excel_HeaderBH As String = "" _
	& ",氏名" _
	& ",氏名カナ" _
	& ",性別" _
	& ",生年月日" _
	& ",血液型" _
	& ",Ｒｈ" _
	& ",最新住所郵便番号" _
	& ",最新住所診療圏" _
	& ",最新住所診療圏(略称)" _
	& ",最新住所" _
	& ",死亡場所" _
	& ",死亡場所(略称)" _
	& ",死亡日" _
	& ",死亡時刻" _
	& ",死亡時年齢" _
	& ",死亡時月齢" _
	& ",死亡時日齢" _
	& ",死亡区分" _
	& ",死亡区分(略称)" _
	& ",術後死亡区分" _
	& ",術後死亡区分(略称)" _
	& ",剖検有無" _
	& ",剖検番号" _
	& ",{{0}}" _
	& ",診療科" _
	& ",診療科(略称)" _
	& ",病棟" _
	& ",病棟(略称)" _
	& ",医師" _
	& ",入院日" _
	& ",入院時年齢" _
	& ",入院時月齢" _
	& ",入院時日齢" _
	& ",入院経路" _
	& ",入院経路(略称)" _
	& ",退院日" _
	& ",退院時年齢" _
	& ",退院時月齢" _
	& ",退院時日齢" _
	& ",退院経路" _
	& ",退院経路(略称)" _
	& ",退院転帰" _
	& ",退院転帰(略称)" _
	& ",在院日数"

	''' <summary>
	''' 科歴情報ヘッダ
	''' </summary>
	''' <remarks></remarks>
	Private Const excel_HeaderC As String = "" _
	& ",入院フラグ" _
	& ",退院フラグ" _
	& ",主科フラグ" _
	& ",{{0}}" _
	& ",診療科" _
	& ",診療科(略称)" _
	& ",転科元名" _
	& ",転科元名(略称)" _
	& ",転科先名" _
	& ",転科先名(略称)" _
	& ",病棟" _
	& ",病棟(略称)" _
	& ",医師" _
	& ",郵便番号" _
	& ",診療圏" _
	& ",診療圏(略称)" _
	& ",住所" _
	& ",電話番号" _
	& ",開始日" _
	& ",開始時刻" _
	& ",開始時年齢" _
	& ",開始時月齢" _
	& ",開始時日齢" _
	& ",開始経路" _
	& ",開始経路(略称)" _
	& ",予定緊急" _
	& ",時間外フラグ" _
	& ",救急車搬送有無" _
	& ",入院目的" _
	& ",入院目的(略称)" _
	& ",終了日" _
	& ",終了時刻" _
	& ",終了時年齢" _
	& ",終了時月齢" _
	& ",終了時日齢" _
	& ",終了経路" _
	& ",終了経路(略称)" _
	& ",終了転帰" _
	& ",終了転帰(略称)" _
	& ",在院日数" _
	& ",入院形態" _
	& ",入院形態(略称)" _
	& ",身長" _
	& ",体重" _
	& ",再入院フラグ" _
	& ",前回自他院" _
	& ",前回退院日" _
	& ",同一疾病自院再入院フラグ" _
	& ",同一疾病自院前回退院日" _
	& ",医療費合計" _
	& ",輸血有無" _
	& ",手術有無" _
	& ",治験有無" _
	& ",院内感染" _
	& ",対診有無" _
	& ",初診日" _
	& ",紹介状有無" _
	& ",紹介元名" _
	& ",紹介元医師名" _
	& ",紹介先名" _
	& ",紹介先医師名" _
	& "{0}" _
	& ",感染症その他" _
	& ",アレルギー１" _
	& ",アレルギー２" _
	& ",アレルギー３" _
	& ",アレルギー４" _
	& ",アレルギー５" _
	& ",アレルギー６" _
	& ",アレルギーその他" _
	& ",現職" _
	& ",現職(略称)" _
	& ",既職" _
	& ",既職(略称)" _
	& ",ＤＰＣ" _
	& ",備考" _
	& ",保険１" _
	& ",保険１(略称)" _
	& ",保険２" _
	& ",保険２(略称)" _
	& ",保険３" _
	& ",保険３(略称)" _
	& ",世帯主" _
	& ",続柄" _
	& ",続柄(略称)" _
	& ",同居状況" _
	& ",コメント" _
	& ",がん登録数" _
	& ",がん登録予定数" _
	& ",登録状況" _
	& ",登録状況(略称)" _
	& ",登録完了日" _
	& ",登録者" _
	& ",統計対象外フラグ" _
	& ",病名数" _
	& ",手術数" _
	& ",治療処置数" _
	& ",検査数" _
	& ",補足項目１数" _
	& ",補足項目２数" _
	& ",分娩数" _
	& ",救命救急数" _
	& ",対診科数" _
	& ",医療費数" _
	& ",パス数" _
	& ",主病名ＩＣＤ１０コード" _
	& ",主病名"

	''' <summary>
	''' 病棟ヘッダ
	''' </summary>
	''' <remarks></remarks>
	Private Const excel_HeaderWa As String = "" _
	& ",病棟" _
	& ",病棟(略称)" _
	& ",病棟" _
	& ",病棟(略称)" _
	& ",病棟" _
	& ",病棟(略称)" _
	& ",病棟" _
	& ",病棟(略称)" _
	& ",病棟" _
	& ",病棟(略称)"

	''' <summary>
	''' 医師ヘッダ
	''' </summary>
	''' <remarks></remarks>
	Private Const excel_HeaderDoc As String = "" _
	& ",医師区分" _
	& ",医師区分(略称)" _
	& ",医師" _
	& ",医師区分" _
	& ",医師区分(略称)" _
	& ",医師" _
	& ",医師区分" _
	& ",医師区分(略称)" _
	& ",医師" _
	& ",医師区分" _
	& ",医師区分(略称)" _
	& ",医師" _
	& ",医師区分" _
	& ",医師区分(略称)" _
	& ",医師"

	''' <summary>
	''' 貸出物ヘッダ
	''' </summary>
	''' <remarks></remarks>
	Private Const excel_HeaderL As String = "" _
	& ",カルテ受領日" _
	& ",カルテ管理状況" _
	& ",カルテ管理状況(略称)" _
	& ",サマリ受領日" _
	& ",サマリ管理状況" _
	& ",サマリ管理状況(略称)" _
	& ",サマリ承認日"

#End Region

#Region "Excel出力"

	' ''' <summary>
	' ''' Excel出力
	' ''' </summary>
	Public Const sqlSel As String = _
	  "SELECT " _
	& " c.PATIENT_NO" _
	& ",c.HSP_HISTORY_NO" _
	& ",c.CH_NO" _
	& sqlColB _
	& sqlColD _
	& sqlColH _
	& sqlColC _
	& sqlColL _
	& " FROM MTW_SEARCH_WORK AS w" _
	& sqlTblTarn _
	& sqlTblB _
	& sqlTblD _
	& sqlTblH _
	& sqlTblC _
	& sqlTblDept _
	& sqlTblL _
	& " WHERE w.HOST_NM = " & sqlMRPCOMMON.prmHOST_NM _
	& " ORDER BY w.OUT_ORDER"

#Region "出力項目"
'(M) STR V4-13006-000 315 20130212 ID)荒川 管理№228 1900年より前の発症日/診断日でExcel出力すると例外エラーが発生する
	'Private Const sqlColB = "" _
	'& ",b.PATIENT_NM" _
	'& ",b.PATIENT_KNM" _
	'& ",XTM_GENDER.GENDER_NM" _
	'& "," & sqlMRPCOMMON.CST_COL_EXCEL_BIRTH _
	'& ",MTM_BLOODTYPE.BLOODTYPE_NM" _
	'& ",MTM_RH.RH_NM" _
	'& ",bc.ZIP_CD" _
	'& ",BC_AREA.AREA_NM,BC_AREA.AREA_RNM" _
	'& ",bc.ADDRESS_NM"
	''' <summary>
	''' 基本
	''' </summary>
	Private Const sqlColB = "" _
	& ",b.PATIENT_NM" _
	& ",b.PATIENT_KNM" _
	& ",XTM_GENDER.GENDER_NM" _
	& "," & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "b.BIRTH_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED & " AS BIRTH_DT" _
	& ",MTM_BLOODTYPE.BLOODTYPE_NM" _
	& ",MTM_RH.RH_NM" _
	& ",bc.ZIP_CD" _
	& ",BC_AREA.AREA_NM,BC_AREA.AREA_RNM" _
	& ",bc.ADDRESS_NM"

	'Private Const sqlColD = "" _
	'& ",MTM_DEATH_LCT.DEATH_LCT_NM,MTM_DEATH_LCT.DEATH_LCT_RNM" _
	'& ",d.DEATH_DT" _
	'& ",d.DEATH_TIME" _
	'& ",d.DEATH_AGE" _
	'& ",d.DEATH_MONTH_AGE" _
	'& ",d.DEATH_DAY_AGE" _
	'& ",MTM_DEATH_DIV.DEATH_DIV_NM,MTM_DEATH_DIV.DEATH_DIV_RNM" _
	'& ",MTM_AFTER_OPE_DEATH_DIV.AFTER_OPE_DEATH_DIV_NM,MTM_AFTER_OPE_DEATH_DIV.AFTER_OPE_DEATH_DIV_RNM" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "d.AUTOPSY_CHK" & sqlMRPCOMMON.sqlCHK_NM_E & "AUTOPSY_CHK" _
	'& ",d.AUTOPSY_NO"
	''' <summary>
	''' 死亡
	''' </summary>
	Private Const sqlColD = "" _
	& ",MTM_DEATH_LCT.DEATH_LCT_NM,MTM_DEATH_LCT.DEATH_LCT_RNM" _
	& "," & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "d.DEATH_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED & " AS DEATH_DT" _
	& ",d.DEATH_TIME" _
	& ",d.DEATH_AGE" _
	& ",d.DEATH_MONTH_AGE" _
	& ",d.DEATH_DAY_AGE" _
	& ",MTM_DEATH_DIV.DEATH_DIV_NM,MTM_DEATH_DIV.DEATH_DIV_RNM" _
	& ",MTM_AFTER_OPE_DEATH_DIV.AFTER_OPE_DEATH_DIV_NM,MTM_AFTER_OPE_DEATH_DIV.AFTER_OPE_DEATH_DIV_RNM" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "d.AUTOPSY_CHK" & sqlMRPCOMMON.sqlCHK_NM_E & "AUTOPSY_CHK" _
	& ",d.AUTOPSY_NO"

	'Private Const sqlColH As String = "" _
	'& ",h.BYOREKI_NO" _
	'& ",H_DEPT.DEPT_NM,H_DEPT.DEPT_RNM" _
	'& ",H_WARD.WARD_NM,H_WARD.WARD_RNM" _
	'& ",H_STAFF.STAFF_NM" _
	'& ",h.HSP_DT" _
	'& ",h.HSP_AGE" _
	'& ",h.HSP_MONTH_AGE" _
	'& ",h.HSP_DAY_AGE" _
	'& ",H_CNL.HSP_CNL_NM,H_CNL.HSP_CNL_RNM" _
	'& ",h.OUT_HSP_DT" _
	'& ",h.OUT_HSP_AGE" _
	'& ",h.OUT_HSP_MONTH_AGE" _
	'& ",h.OUT_HSP_DAY_AGE" _
	'& ",H_O_CNL.OUT_HSP_CNL_NM,H_O_CNL.OUT_HSP_CNL_RNM" _
	'& ",H_OUTCOME.OUT_HSP_OUTCOME_NM,H_OUTCOME.OUT_HSP_OUTCOME_RNM" _
	'& ",h.HSP_DAYS"
	''' <summary>
	''' 入退院
	''' </summary>
	Private Const sqlColH As String = "" _
	& ",h.BYOREKI_NO" _
	& ",H_DEPT.DEPT_NM,H_DEPT.DEPT_RNM" _
	& ",H_WARD.WARD_NM,H_WARD.WARD_RNM" _
	& ",H_STAFF.STAFF_NM" _
	& "," & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "h.HSP_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED & " AS HSP_DT" _
	& ",h.HSP_AGE" _
	& ",h.HSP_MONTH_AGE" _
	& ",h.HSP_DAY_AGE" _
	& ",H_CNL.HSP_CNL_NM,H_CNL.HSP_CNL_RNM" _
	& "," & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "h.OUT_HSP_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED & " AS OUT_HSP_DT" _
	& ",h.OUT_HSP_AGE" _
	& ",h.OUT_HSP_MONTH_AGE" _
	& ",h.OUT_HSP_DAY_AGE" _
	& ",H_O_CNL.OUT_HSP_CNL_NM,H_O_CNL.OUT_HSP_CNL_RNM" _
	& ",H_OUTCOME.OUT_HSP_OUTCOME_NM,H_OUTCOME.OUT_HSP_OUTCOME_RNM" _
	& ",h.HSP_DAYS"

	'Private Const sqlColC As String = "" _
	'& "," & sqlMRPCOMMON.sqlFLG_NM_S & "c.HSP_FLG" & sqlMRPCOMMON.sqlFLG_NM_E & "HSP_FLG" _
	'& "," & sqlMRPCOMMON.sqlFLG_NM_S & "c.OUT_HSP_FLG" & sqlMRPCOMMON.sqlFLG_NM_E & "OUT_HSP_FLG" _
	'& "," & sqlMRPCOMMON.sqlFLG_NM_S & "c.MAIN_DPM_FLG" & sqlMRPCOMMON.sqlFLG_NM_E & "MAIN_DPM_FLG" _
	'& ",c.BYOREKI_NO" _
	'& ",C_DEPT.DEPT_NM,C_DEPT.DEPT_RNM" _
	'& ",FR_DEPT.DEPT_NM,FR_DEPT.DEPT_RNM" _
	'& ",TO_DEPT.DEPT_NM,TO_DEPT.DEPT_RNM" _
	'& ",C_WARD.WARD_NM,C_WARD.WARD_RNM" _
	'& ",C_STAFF.STAFF_NM" _
	'& ",c.ZIP_CD AS CH_ZIP_CD" _
	'& ",C_AREA.AREA_NM,C_AREA.AREA_RNM" _
	'& ",c.ADDRESS_NM" _
	'& ",c.TELNUMBER" _
	'& ",c.START_DT" _
	'& ",c.START_TIME" _
	'& ",c.START_AGE" _
	'& ",c.START_MONTH_AGE" _
	'& ",c.START_DAY_AGE" _
	'& ",C_CNL.HSP_CNL_NM,C_CNL.HSP_CNL_RNM" _
	'& ",MTM_PLAN_EMERGENCY.PLAN_EMERGENCY_NM" _
	'& "," & sqlMRPCOMMON.sqlFLG_NM_S & "c.TIME_OUT_FLG " & sqlMRPCOMMON.sqlFLG_NM_E & "TIME_OUT_FLG_NM" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "c.TAKE_AMBULANCE_CHK" & sqlMRPCOMMON.sqlCHK_NM_E & "TAKE_AMBULANCE_CHK_NM" _
	'& ",MTM_HSP_AIM.HSP_AIM_NM,MTM_HSP_AIM.HSP_AIM_RNM" _
	'& ",c.END_DT" _
	'& ",c.END_TIME" _
	'& ",c.END_AGE" _
	'& ",c.END_MONTH_AGE" _
	'& ",c.END_DAY_AGE" _
	'& ",C_O_CNL.OUT_HSP_CNL_NM,C_O_CNL.OUT_HSP_CNL_RNM" _
	'& ",C_OUTCOME.OUT_HSP_OUTCOME_NM,C_OUTCOME.OUT_HSP_OUTCOME_RNM" _
	'& ",c.HSP_DAYS" _
	'& ",MTM_HSP_FORM.HSP_FORM_NM,MTM_HSP_FORM.HSP_FORM_RNM" _
	'& ",c.STATURE" _
	'& ",c.WEIGHT" _
	'& "," & sqlMRPCOMMON.sqlFLG_NM_S & "c.READMISSION_FLG" & sqlMRPCOMMON.sqlFLG_NM_E & "READMISSION_FLG_NM" _
	'& ",MTM_SELF_OTHER_HSP_DIV.SELF_OTHER_HSP_DIV" _
	'& ",c.LAST_OUT_HSP_DT" _
	'& "," & sqlMRPCOMMON.sqlFLG_NM_S & "c.DISEASE_READMISSION_FLG" & sqlMRPCOMMON.sqlFLG_NM_E & "DISEASE_READMISSION_FLG_NM" _
	'& ",c.SAME_DISEASE_LAST_HSP_DT" _
	'& ",c.TOTAL_MED_COST" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "c.BLOOD_TRAN_CHK" & sqlMRPCOMMON.sqlCHK_NM_E & "BLOOD_TRAN_CHK_NM" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "c.OPE_CHK" & sqlMRPCOMMON.sqlCHK_NM_E & "OPE_CHK_NM" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "c.CLINICAL_TRIAL_CHK" & sqlMRPCOMMON.sqlCHK_NM_E & "CLINICAL_TRIAL_CHK_NM" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "c.HSP_INFECTION_CHK" & sqlMRPCOMMON.sqlCHK_NM_E & "HSP_INFECTION_CHK_NM" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "c.OTHER_DEPT_CHK" & sqlMRPCOMMON.sqlCHK_NM_E & "OTHER_DEPT_CHK_NM" _
	'& ",c.FIRST_DIAGNOSIS_DT" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "c.INTRODUCTION_CHK" & sqlMRPCOMMON.sqlCHK_NM_E & "INTRODUCTION_CHK_NM" _
	'& ",c.INTRODUCED_NM" _
	'& ",c.INTRODUCED_DOCTOR_NM" _
	'& ",c.REFERENCE_NM" _
	'& ",c.REFERENCE_DOCTOR_NM" _
	'& ",MTM_INFECTION_FLG1.INFECTION_FLG_NM AS INFECTION_FLG_NM1" _
	'& ",MTM_INFECTION_FLG2.INFECTION_FLG_NM AS INFECTION_FLG_NM2" _
	'& ",MTM_INFECTION_FLG3.INFECTION_FLG_NM AS INFECTION_FLG_NM3" _
	'& ",MTM_INFECTION_FLG4.INFECTION_FLG_NM AS INFECTION_FLG_NM4" _
	'& ",MTM_INFECTION_FLG5.INFECTION_FLG_NM AS INFECTION_FLG_NM5" _
	'& ",MTM_INFECTION_FLG6.INFECTION_FLG_NM AS INFECTION_FLG_NM6" _
	'& ",c.OTHER_INFECTION" _
	'& ",MTM_ALLERGY1.ALLERGY_NM AS ALLERGY_NM1" _
	'& ",MTM_ALLERGY2.ALLERGY_NM AS ALLERGY_NM2" _
	'& ",MTM_ALLERGY3.ALLERGY_NM AS ALLERGY_NM3" _
	'& ",MTM_ALLERGY4.ALLERGY_NM AS ALLERGY_NM4" _
	'& ",MTM_ALLERGY5.ALLERGY_NM AS ALLERGY_NM5" _
	'& ",MTM_ALLERGY6.ALLERGY_NM AS ALLERGY_NM6" _
	'& ",c.OTHER_ALLERGY" _
	'& ",MTM_JOBC.JOB_NM AS JOB_NM_CUR,MTM_JOBC.JOB_RNM AS JOB_RNM_CUR" _
	'& ",MTM_JOBP.JOB_NM AS JOB_NM_PAST,MTM_JOBP.JOB_RNM AS JOB_RNM_PAST" _
	'& ",c.DPC_CD" _
	'& ",c.REMARKS" _
	'& ",MTM_INSURANCE1.INSURANCE_NM AS INSURANCE_NM1,MTM_INSURANCE1.INSURANCE_RNM AS INSURANCE_RNM1" _
	'& ",MTM_INSURANCE2.INSURANCE_NM AS INSURANCE_NM2,MTM_INSURANCE2.INSURANCE_RNM AS INSURANCE_RNM2" _
	'& ",MTM_INSURANCE3.INSURANCE_NM AS INSURANCE_NM3,MTM_INSURANCE3.INSURANCE_RNM AS INSURANCE_RNM3" _
	'& ",c.HOUSEHOLDER_NM" _
	'& ",MTM_RELATION.RELATION_NM,MTM_RELATION.RELATION_RNM" _
	'& ",MTM_LIVE_TOGETHER_STATE.LIVE_TOGETHER_STATE_NM" _
	'& ",c.COMMENT" _
	'& ",c.CNR_REG_COUNT" _
	'& ",c.CNR_REG_EXPECTED_COUNT" _
	'& ",MTM_REG_STATUS.REG_STATUS_NM,MTM_REG_STATUS.REG_STATUS_RNM" _
	'& ",c.REG_FINISHED_DT" _
	'& ",C_STAFF_R.STAFF_NM" _
	'& "," & sqlMRPCOMMON.sqlFLG_NM_S & "c.EXCLUDE_STATISTICS_FLG" & sqlMRPCOMMON.sqlFLG_NM_E & "EXCLUDE_STATISTICS_FLG_NM" _
	'& ",c.DISEASE_COUNT" _
	'& ",c.OPE_COUNT" _
	'& ",c.CARE_COUNT" _
	'& ",c.TEST_COUNT" _
	'& ",c.ASST_ITM1_COUNT" _
	'& ",c.ASST_ITM2_COUNT" _
	'& ",c.CB_COUNT" _
	'& ",c.EMERGENCY_COUNT" _
	'& ",c.OTHER_DEPT_COUNT" _
	'& ",c.MED_COST_COUNT" _
	'& ",c.PATH_COUNT" _
	'& ",da.ICD10_CD" _
	'& ",da.DISEASE" _
	'& ",a1.WARD_NM,a1.WARD_RNM" _
	'& ",a2.WARD_NM,a2.WARD_RNM" _
	'& ",a3.WARD_NM,a3.WARD_RNM" _
	'& ",a4.WARD_NM,a4.WARD_RNM" _
	'& ",a5.WARD_NM,a5.WARD_RNM" _
	'& ",d1.DOCTOR_DIV_NM,d1.DOCTOR_DIV_RNM" _
	'& ",d1.STAFF_NM" _
	'& ",d2.DOCTOR_DIV_NM,d2.DOCTOR_DIV_RNM" _
	'& ",d2.STAFF_NM" _
	'& ",d3.DOCTOR_DIV_NM,d3.DOCTOR_DIV_RNM" _
	'& ",d3.STAFF_NM" _
	'& ",d4.DOCTOR_DIV_NM,d4.DOCTOR_DIV_RNM" _
	'& ",d4.STAFF_NM" _
	'& ",d5.DOCTOR_DIV_NM,d5.DOCTOR_DIV_RNM" _
	'& ",d5.STAFF_NM"
	''' <summary>
	''' 科歴
	''' </summary>
	Private Const sqlColC As String = "" _
	& "," & sqlMRPCOMMON.sqlFLG_NM_S & "c.HSP_FLG" & sqlMRPCOMMON.sqlFLG_NM_E & "HSP_FLG" _
	& "," & sqlMRPCOMMON.sqlFLG_NM_S & "c.OUT_HSP_FLG" & sqlMRPCOMMON.sqlFLG_NM_E & "OUT_HSP_FLG" _
	& "," & sqlMRPCOMMON.sqlFLG_NM_S & "c.MAIN_DPM_FLG" & sqlMRPCOMMON.sqlFLG_NM_E & "MAIN_DPM_FLG" _
	& ",c.BYOREKI_NO" _
	& ",C_DEPT.DEPT_NM,C_DEPT.DEPT_RNM" _
	& ",FR_DEPT.DEPT_NM,FR_DEPT.DEPT_RNM" _
	& ",TO_DEPT.DEPT_NM,TO_DEPT.DEPT_RNM" _
	& ",C_WARD.WARD_NM,C_WARD.WARD_RNM" _
	& ",C_STAFF.STAFF_NM" _
	& ",c.ZIP_CD AS CH_ZIP_CD" _
	& ",C_AREA.AREA_NM,C_AREA.AREA_RNM" _
	& ",c.ADDRESS_NM" _
	& ",c.TELNUMBER" _
	& "," & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "c.START_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED & " AS START_DT" _
	& ",c.START_TIME" _
	& ",c.START_AGE" _
	& ",c.START_MONTH_AGE" _
	& ",c.START_DAY_AGE" _
	& ",C_CNL.HSP_CNL_NM,C_CNL.HSP_CNL_RNM" _
	& ",MTM_PLAN_EMERGENCY.PLAN_EMERGENCY_NM" _
	& "," & sqlMRPCOMMON.sqlFLG_NM_S & "c.TIME_OUT_FLG " & sqlMRPCOMMON.sqlFLG_NM_E & "TIME_OUT_FLG_NM" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "c.TAKE_AMBULANCE_CHK" & sqlMRPCOMMON.sqlCHK_NM_E & "TAKE_AMBULANCE_CHK_NM" _
	& ",MTM_HSP_AIM.HSP_AIM_NM,MTM_HSP_AIM.HSP_AIM_RNM" _
	& "," & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "c.END_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED & " AS END_DT" _
	& ",c.END_TIME" _
	& ",c.END_AGE" _
	& ",c.END_MONTH_AGE" _
	& ",c.END_DAY_AGE" _
	& ",C_O_CNL.OUT_HSP_CNL_NM,C_O_CNL.OUT_HSP_CNL_RNM" _
	& ",C_OUTCOME.OUT_HSP_OUTCOME_NM,C_OUTCOME.OUT_HSP_OUTCOME_RNM" _
	& ",c.HSP_DAYS" _
	& ",MTM_HSP_FORM.HSP_FORM_NM,MTM_HSP_FORM.HSP_FORM_RNM" _
	& ",c.STATURE" _
	& ",c.WEIGHT" _
	& "," & sqlMRPCOMMON.sqlFLG_NM_S & "c.READMISSION_FLG" & sqlMRPCOMMON.sqlFLG_NM_E & "READMISSION_FLG_NM" _
	& ",MTM_SELF_OTHER_HSP_DIV.SELF_OTHER_HSP_DIV" _
	& "," & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "c.LAST_OUT_HSP_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED & " AS LAST_OUT_HSP_DT" _
	& "," & sqlMRPCOMMON.sqlFLG_NM_S & "c.DISEASE_READMISSION_FLG" & sqlMRPCOMMON.sqlFLG_NM_E & "DISEASE_READMISSION_FLG_NM" _
	& "," & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "c.SAME_DISEASE_LAST_HSP_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED & " AS SAME_DISEASE_LAST_HSP_DT" _
	& ",c.TOTAL_MED_COST" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "c.BLOOD_TRAN_CHK" & sqlMRPCOMMON.sqlCHK_NM_E & "BLOOD_TRAN_CHK_NM" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "c.OPE_CHK" & sqlMRPCOMMON.sqlCHK_NM_E & "OPE_CHK_NM" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "c.CLINICAL_TRIAL_CHK" & sqlMRPCOMMON.sqlCHK_NM_E & "CLINICAL_TRIAL_CHK_NM" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "c.HSP_INFECTION_CHK" & sqlMRPCOMMON.sqlCHK_NM_E & "HSP_INFECTION_CHK_NM" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "c.OTHER_DEPT_CHK" & sqlMRPCOMMON.sqlCHK_NM_E & "OTHER_DEPT_CHK_NM" _
	& "," & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "c.FIRST_DIAGNOSIS_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED & " AS FIRST_DIAGNOSIS_DT" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "c.INTRODUCTION_CHK" & sqlMRPCOMMON.sqlCHK_NM_E & "INTRODUCTION_CHK_NM" _
	& ",c.INTRODUCED_NM" _
	& ",c.INTRODUCED_DOCTOR_NM" _
	& ",c.REFERENCE_NM" _
	& ",c.REFERENCE_DOCTOR_NM" _
	& ",MTM_INFECTION_FLG1.INFECTION_FLG_NM AS INFECTION_FLG_NM1" _
	& ",MTM_INFECTION_FLG2.INFECTION_FLG_NM AS INFECTION_FLG_NM2" _
	& ",MTM_INFECTION_FLG3.INFECTION_FLG_NM AS INFECTION_FLG_NM3" _
	& ",MTM_INFECTION_FLG4.INFECTION_FLG_NM AS INFECTION_FLG_NM4" _
	& ",MTM_INFECTION_FLG5.INFECTION_FLG_NM AS INFECTION_FLG_NM5" _
	& ",MTM_INFECTION_FLG6.INFECTION_FLG_NM AS INFECTION_FLG_NM6" _
	& ",c.OTHER_INFECTION" _
	& ",MTM_ALLERGY1.ALLERGY_NM AS ALLERGY_NM1" _
	& ",MTM_ALLERGY2.ALLERGY_NM AS ALLERGY_NM2" _
	& ",MTM_ALLERGY3.ALLERGY_NM AS ALLERGY_NM3" _
	& ",MTM_ALLERGY4.ALLERGY_NM AS ALLERGY_NM4" _
	& ",MTM_ALLERGY5.ALLERGY_NM AS ALLERGY_NM5" _
	& ",MTM_ALLERGY6.ALLERGY_NM AS ALLERGY_NM6" _
	& ",c.OTHER_ALLERGY" _
	& ",MTM_JOBC.JOB_NM AS JOB_NM_CUR,MTM_JOBC.JOB_RNM AS JOB_RNM_CUR" _
	& ",MTM_JOBP.JOB_NM AS JOB_NM_PAST,MTM_JOBP.JOB_RNM AS JOB_RNM_PAST" _
	& ",c.DPC_CD" _
	& ",c.REMARKS" _
	& ",MTM_INSURANCE1.INSURANCE_NM AS INSURANCE_NM1,MTM_INSURANCE1.INSURANCE_RNM AS INSURANCE_RNM1" _
	& ",MTM_INSURANCE2.INSURANCE_NM AS INSURANCE_NM2,MTM_INSURANCE2.INSURANCE_RNM AS INSURANCE_RNM2" _
	& ",MTM_INSURANCE3.INSURANCE_NM AS INSURANCE_NM3,MTM_INSURANCE3.INSURANCE_RNM AS INSURANCE_RNM3" _
	& ",c.HOUSEHOLDER_NM" _
	& ",MTM_RELATION.RELATION_NM,MTM_RELATION.RELATION_RNM" _
	& ",MTM_LIVE_TOGETHER_STATE.LIVE_TOGETHER_STATE_NM" _
	& ",c.COMMENT" _
	& ",c.CNR_REG_COUNT" _
	& ",c.CNR_REG_EXPECTED_COUNT" _
	& ",MTM_REG_STATUS.REG_STATUS_NM,MTM_REG_STATUS.REG_STATUS_RNM" _
	& "," & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "c.REG_FINISHED_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED & " AS REG_FINISHED_DT" _
	& ",C_STAFF_R.STAFF_NM" _
	& "," & sqlMRPCOMMON.sqlFLG_NM_S & "c.EXCLUDE_STATISTICS_FLG" & sqlMRPCOMMON.sqlFLG_NM_E & "EXCLUDE_STATISTICS_FLG_NM" _
	& ",c.DISEASE_COUNT" _
	& ",c.OPE_COUNT" _
	& ",c.CARE_COUNT" _
	& ",c.TEST_COUNT" _
	& ",c.ASST_ITM1_COUNT" _
	& ",c.ASST_ITM2_COUNT" _
	& ",c.CB_COUNT" _
	& ",c.EMERGENCY_COUNT" _
	& ",c.OTHER_DEPT_COUNT" _
	& ",c.MED_COST_COUNT" _
	& ",c.PATH_COUNT" _
	& ",da.ICD10_CD" _
	& ",da.DISEASE" _
	& ",a1.WARD_NM,a1.WARD_RNM" _
	& ",a2.WARD_NM,a2.WARD_RNM" _
	& ",a3.WARD_NM,a3.WARD_RNM" _
	& ",a4.WARD_NM,a4.WARD_RNM" _
	& ",a5.WARD_NM,a5.WARD_RNM" _
	& ",d1.DOCTOR_DIV_NM,d1.DOCTOR_DIV_RNM" _
	& ",d1.STAFF_NM" _
	& ",d2.DOCTOR_DIV_NM,d2.DOCTOR_DIV_RNM" _
	& ",d2.STAFF_NM" _
	& ",d3.DOCTOR_DIV_NM,d3.DOCTOR_DIV_RNM" _
	& ",d3.STAFF_NM" _
	& ",d4.DOCTOR_DIV_NM,d4.DOCTOR_DIV_RNM" _
	& ",d4.STAFF_NM" _
	& ",d5.DOCTOR_DIV_NM,d5.DOCTOR_DIV_RNM" _
	& ",d5.STAFF_NM"
'(M) END V4-13006-000 315

	''' <summary>
	''' 管理物情報
	''' </summary>
	Private Const sqlColL = "" _
	& ",l.RECORD_RECEIPT_DT" _
	& ",L1_MNG.MNGSTATUS_NM,L1_MNG.MNGSTATUS1_RNM" _
	& ",l.SUMMARY_RECEIPT_DT" _
	& ",L2_MNG.MNGSTATUS_NM,L2_MNG.MNGSTATUS1_RNM" _
	& ",l.SUMMARY_APPROVAL_DT"

#End Region

#Region "FROM句"

	''' <summary>
	''' From句(トラン)
	''' </summary>
	Private Const sqlTblTarn = "" _
	& " INNER JOIN MTI_CH        AS c            ON w.PATIENT_NO         =  c.PATIENT_NO " _
	& "                                         AND w.HSP_HISTORY_NO     =  c.HSP_HISTORY_NO" _
	& "                                         AND w.CH_NO              =  c.CH_NO" _
	& "  LEFT JOIN XTI_BASICINFO AS b            ON w.PATIENT_NO         =  b.PATIENT_NO" _
	& "  LEFT JOIN MTI_DEATH     AS d            ON w.PATIENT_NO         =  d.PATIENT_NO" _
	& "  LEFT JOIN MTI_HSP       AS h            ON w.PATIENT_NO         =  h.PATIENT_NO " _
	& "                                         AND w.HSP_HISTORY_NO     =  h.HSP_HISTORY_NO" _
	& "  LEFT JOIN MTI_CH        AS bc           ON w.PATIENT_NO         =  bc.PATIENT_NO" _
	& "                                         AND w.NEW_HSP_NO         =  bc.HSP_HISTORY_NO" _
	& "                                         AND w.NEW_CH_NO          =  bc.CH_NO" _
	& "  LEFT JOIN (" & sqlSubLI & ") AS l       ON w.PATIENT_NO         =  l.PATIENT_NO" _
	& "                                         AND w.HSP_HISTORY_NO     =  l.HSP_HISTORY_NO" _
	& "                                         AND w.CH_NO              =  l.CH_NO" _
	& "  LEFT JOIN (" & sqlSubDI & ") AS da      ON w.PATIENT_NO         =  da.PATIENT_NO" _
	& "                                         AND w.HSP_HISTORY_NO     =  da.HSP_HISTORY_NO" _
	& "                                         AND w.CH_NO              =  da.CH_NO" _
	& "  LEFT JOIN (" & sqlSubWard & ") AS a1    ON w.PATIENT_NO         =  a1.PATIENT_NO" _
	& "                                         AND w.HSP_HISTORY_NO     =  a1.HSP_HISTORY_NO" _
	& "                                         AND w.CH_NO              =  a1.CH_NO" _
	& "                                         AND                1     =  a1.ROWNUM" _
	& "  LEFT JOIN (" & sqlSubWard & ") AS a2    ON w.PATIENT_NO         =  a2.PATIENT_NO" _
	& "                                         AND w.HSP_HISTORY_NO     =  a2.HSP_HISTORY_NO" _
	& "                                         AND w.CH_NO              =  a2.CH_NO" _
	& "                                         AND                2     =  a2.ROWNUM" _
	& "  LEFT JOIN (" & sqlSubWard & ") AS a3    ON w.PATIENT_NO         =  a3.PATIENT_NO" _
	& "                                         AND w.HSP_HISTORY_NO     =  a3.HSP_HISTORY_NO" _
	& "                                         AND w.CH_NO              =  a3.CH_NO" _
	& "                                         AND                3     =  a3.ROWNUM" _
	& "  LEFT JOIN (" & sqlSubWard & ") AS a4    ON w.PATIENT_NO         =  a4.PATIENT_NO" _
	& "                                         AND w.HSP_HISTORY_NO     =  a4.HSP_HISTORY_NO" _
	& "                                         AND w.CH_NO              =  a4.CH_NO" _
	& "                                         AND                4     =  a4.ROWNUM" _
	& "  LEFT JOIN (" & sqlSubWard & ") AS a5    ON w.PATIENT_NO         =  a5.PATIENT_NO" _
	& "                                         AND w.HSP_HISTORY_NO     =  a5.HSP_HISTORY_NO" _
	& "                                         AND w.CH_NO              =  a5.CH_NO" _
	& "                                         AND                5     =  a5.ROWNUM" _
	& "  LEFT JOIN (" & sqlSubDoctor & ") AS d1  ON w.PATIENT_NO         =  d1.PATIENT_NO" _
	& "                                         AND w.HSP_HISTORY_NO     =  d1.HSP_HISTORY_NO" _
	& "                                         AND w.CH_NO              =  d1.CH_NO" _
	& "                                         AND                1     =  d1.ROWNUM" _
	& "  LEFT JOIN (" & sqlSubDoctor & ") AS d2  ON w.PATIENT_NO         =  d2.PATIENT_NO" _
	& "                                         AND w.HSP_HISTORY_NO     =  d2.HSP_HISTORY_NO" _
	& "                                         AND w.CH_NO              =  d2.CH_NO" _
	& "                                         AND                2     =  d2.ROWNUM" _
	& "  LEFT JOIN (" & sqlSubDoctor & ") AS d3  ON w.PATIENT_NO         =  d3.PATIENT_NO" _
	& "                                         AND w.HSP_HISTORY_NO     =  d3.HSP_HISTORY_NO" _
	& "                                         AND w.CH_NO              =  d3.CH_NO" _
	& "                                         AND                3     =  d3.ROWNUM" _
	& "  LEFT JOIN (" & sqlSubDoctor & ") AS d4  ON w.PATIENT_NO         =  d4.PATIENT_NO" _
	& "                                         AND w.HSP_HISTORY_NO     =  d4.HSP_HISTORY_NO" _
	& "                                         AND w.CH_NO              =  d4.CH_NO" _
	& "                                         AND                4     =  d4.ROWNUM" _
	& "  LEFT JOIN (" & sqlSubDoctor & ") AS d5  ON w.PATIENT_NO         =  d5.PATIENT_NO" _
	& "                                         AND w.HSP_HISTORY_NO     =  d5.HSP_HISTORY_NO" _
	& "                                         AND w.CH_NO              =  d5.CH_NO" _
	& "                                         AND                5     =  d5.ROWNUM"

'(M) STR V4-13007-000 047 20130208 ID)荒川 管理№197 貸出物：診療録単位の場合、EXCELの一覧に管理状況が表示されない
	'Private Const sqlSubLI = "" _
	'& "SELECT" _
	'& " r.PATIENT_NO" _
	'& ",r.HSP_HISTORY_NO" _
	'& ",r.CH_NO" _
	'& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_M & sqlCASE_UNIT_H & "RECORD_RECEIPT_DT    " & sqlCASE_UNIT_B & "RECORD_RECEIPT_DT    " & sqlCASE_UNIT_E & "RECORD_RECEIPT_DT" _
	'& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_M & sqlCASE_UNIT_H & "RECORD_MNGSTATUS_CD  " & sqlCASE_UNIT_B & "RECORD_MNGSTATUS_CD  " & sqlCASE_UNIT_E & "RECORD_MNGSTATUS_CD" _
	'& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_S & sqlCASE_UNIT_C & "SUMMARY_RECEIPT_DT   " & sqlCASE_UNIT_H & "SUMMARY_RECEIPT_DT   " & sqlCASE_UNIT_B & "SUMMARY_RECEIPT_DT   " & sqlCASE_UNIT_E & "SUMMARY_RECEIPT_DT" _
	'& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_S & sqlCASE_UNIT_C & "SUMMARY_MNGSTATUS_CD " & sqlCASE_UNIT_H & "SUMMARY_MNGSTATUS_CD " & sqlCASE_UNIT_B & "SUMMARY_MNGSTATUS_CD " & sqlCASE_UNIT_E & "SUMMARY_MNGSTATUS_CD" _
	'& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_S & sqlCASE_UNIT_C & "SUMMARY_APPROVAL_DT  " & sqlCASE_UNIT_H & "SUMMARY_APPROVAL_DT  " & sqlCASE_UNIT_B & "SUMMARY_APPROVAL_DT  " & sqlCASE_UNIT_E & "SUMMARY_APPROVAL_DT" _
	'& " FROM MTW_SEARCH_WORK   AS r" _
	'& "  LEFT JOIN MTI_LENDITM  AS ih	 ON r.PATIENT_NO		    = ih.PATIENT_NO" _
	'& "									AND r.HSP_HISTORY_NO	    = ih.HSP_HISTORY_NO" _
	'& "									AND 0					    = ih.CH_NO" _
	'& "  LEFT JOIN MTI_LENDITM	AS ib	 ON r.PATIENT_NO		    = ib.PATIENT_NO" _
	'& "									AND 0					    = ib.HSP_HISTORY_NO" _
	'& "									AND 0					    = ib.CH_NO" _
	'& "  LEFT JOIN MTI_LENDITM  AS ic    ON r.PATIENT_NO		    = ic.PATIENT_NO" _
	'& "									AND r.HSP_HISTORY_NO	    = ic.HSP_HISTORY_NO" _
	'& "									AND r.CH_NO                 = ic.CH_NO" _
	'& " WHERE r.HOST_NM = " & sqlMRPCOMMON.prmHOST_NM
'(M) STR V4-13006-000 072 20130212 ID)荒川 管理№228 1900年より前の発症日/診断日でExcel出力すると例外エラーが発生する
	'Private Const sqlSubLI = "" _
	'& "SELECT" _
	'& " r.PATIENT_NO" _
	'& ",r.HSP_HISTORY_NO" _
	'& ",r.CH_NO" _
	'& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_M & sqlCASE_UNIT_C & "RECORD_RECEIPT_DT    " & sqlCASE_UNIT_H & "RECORD_RECEIPT_DT    " & sqlCASE_UNIT_B & "RECORD_RECEIPT_DT    " & sqlCASE_UNIT_E & "RECORD_RECEIPT_DT" _
	'& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_M & sqlCASE_UNIT_C & "RECORD_MNGSTATUS_CD  " & sqlCASE_UNIT_H & "RECORD_MNGSTATUS_CD  " & sqlCASE_UNIT_B & "RECORD_MNGSTATUS_CD  " & sqlCASE_UNIT_E & "RECORD_MNGSTATUS_CD" _
	'& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_S & sqlCASE_UNIT_C & "SUMMARY_RECEIPT_DT   " & sqlCASE_UNIT_H & "SUMMARY_RECEIPT_DT   " & sqlCASE_UNIT_B & "SUMMARY_RECEIPT_DT   " & sqlCASE_UNIT_E & "SUMMARY_RECEIPT_DT" _
	'& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_S & sqlCASE_UNIT_C & "SUMMARY_MNGSTATUS_CD " & sqlCASE_UNIT_H & "SUMMARY_MNGSTATUS_CD " & sqlCASE_UNIT_B & "SUMMARY_MNGSTATUS_CD " & sqlCASE_UNIT_E & "SUMMARY_MNGSTATUS_CD" _
	'& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_S & sqlCASE_UNIT_C & "SUMMARY_APPROVAL_DT  " & sqlCASE_UNIT_H & "SUMMARY_APPROVAL_DT  " & sqlCASE_UNIT_B & "SUMMARY_APPROVAL_DT  " & sqlCASE_UNIT_E & "SUMMARY_APPROVAL_DT" _
	'& " FROM MTW_SEARCH_WORK   AS r" _
	'& "  LEFT JOIN MTI_LENDITM  AS ih	 ON r.PATIENT_NO		    = ih.PATIENT_NO" _
	'& "									AND r.HSP_HISTORY_NO	    = ih.HSP_HISTORY_NO" _
	'& "									AND 0					    = ih.CH_NO" _
	'& "  LEFT JOIN MTI_LENDITM	AS ib	 ON r.PATIENT_NO		    = ib.PATIENT_NO" _
	'& "									AND 0					    = ib.HSP_HISTORY_NO" _
	'& "									AND 0					    = ib.CH_NO" _
	'& "  LEFT JOIN MTI_LENDITM  AS ic    ON r.PATIENT_NO		    = ic.PATIENT_NO" _
	'& "									AND r.HSP_HISTORY_NO	    = ic.HSP_HISTORY_NO" _
	'& "									AND r.CH_NO                 = ic.CH_NO" _
	'& " WHERE r.HOST_NM = " & sqlMRPCOMMON.prmHOST_NM
	''' <summary>
	''' 管理物
	''' </summary>
	Private Const sqlSubLI = "" _
	& "SELECT" _
	& " r.PATIENT_NO" _
	& ",r.HSP_HISTORY_NO" _
	& ",r.CH_NO" _
	& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_M _
	& sqlCASE_UNIT_C & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "ic.RECORD_RECEIPT_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED _
	& sqlCASE_UNIT_H & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "ih.RECORD_RECEIPT_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED _
	& sqlCASE_UNIT_B & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "ib.RECORD_RECEIPT_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED _
	& sqlCASE_UNIT_E & "RECORD_RECEIPT_DT" _
	& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_M & sqlCASE_UNIT_C & "ic.RECORD_MNGSTATUS_CD  " & sqlCASE_UNIT_H & "ih.RECORD_MNGSTATUS_CD  " & sqlCASE_UNIT_B & "ib.RECORD_MNGSTATUS_CD  " & sqlCASE_UNIT_E & "RECORD_MNGSTATUS_CD" _
	& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_S _
	& sqlCASE_UNIT_C & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "ic.SUMMARY_RECEIPT_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED _
	& sqlCASE_UNIT_H & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "ih.SUMMARY_RECEIPT_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED _
	& sqlCASE_UNIT_B & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "ib.SUMMARY_RECEIPT_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED _
	& sqlCASE_UNIT_E & "SUMMARY_RECEIPT_DT" _
	& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_S & sqlCASE_UNIT_C & "ic.SUMMARY_MNGSTATUS_CD " & sqlCASE_UNIT_H & "ih.SUMMARY_MNGSTATUS_CD " & sqlCASE_UNIT_B & "ib.SUMMARY_MNGSTATUS_CD " & sqlCASE_UNIT_E & "SUMMARY_MNGSTATUS_CD" _
	& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_S _
	& sqlCASE_UNIT_C & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "ic.SUMMARY_APPROVAL_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED _
	& sqlCASE_UNIT_H & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "ih.SUMMARY_APPROVAL_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED _
	& sqlCASE_UNIT_B & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "ib.SUMMARY_APPROVAL_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED _
	& sqlCASE_UNIT_E & "SUMMARY_APPROVAL_DT" _
	& " FROM MTW_SEARCH_WORK   AS r" _
	& "  LEFT JOIN MTI_LENDITM  AS ih	 ON r.PATIENT_NO		    = ih.PATIENT_NO" _
	& "									AND r.HSP_HISTORY_NO	    = ih.HSP_HISTORY_NO" _
	& "									AND 0					    = ih.CH_NO" _
	& "  LEFT JOIN MTI_LENDITM	AS ib	 ON r.PATIENT_NO		    = ib.PATIENT_NO" _
	& "									AND 0					    = ib.HSP_HISTORY_NO" _
	& "									AND 0					    = ib.CH_NO" _
	& "  LEFT JOIN MTI_LENDITM  AS ic    ON r.PATIENT_NO		    = ic.PATIENT_NO" _
	& "									AND r.HSP_HISTORY_NO	    = ic.HSP_HISTORY_NO" _
	& "									AND r.CH_NO                 = ic.CH_NO" _
	& " WHERE r.HOST_NM = " & sqlMRPCOMMON.prmHOST_NM
'(M) END V4-13007-000 047

	'管理物サブテーブルで使用
	'Private Const sqlCASE_UNIT_S As String = ",CASE "
	'Private Const sqlCASE_UNIT_C As String = " WHEN " & sqlMRPCOMMON.prmLENDUNIT_VALC & " THEN ic."
	'Private Const sqlCASE_UNIT_H As String = " WHEN " & sqlMRPCOMMON.prmLENDUNIT_VALH & " THEN ih."
	'Private Const sqlCASE_UNIT_B As String = " WHEN " & sqlMRPCOMMON.prmLENDUNIT_VALB & " THEN ib."
	'Private Const sqlCASE_UNIT_E As String = " ELSE NULL END AS "
	Private Const sqlCASE_UNIT_S As String = ",CASE "
	Private Const sqlCASE_UNIT_C As String = " WHEN " & sqlMRPCOMMON.prmLENDUNIT_VALC & " THEN "
	Private Const sqlCASE_UNIT_H As String = " WHEN " & sqlMRPCOMMON.prmLENDUNIT_VALH & " THEN "
	Private Const sqlCASE_UNIT_B As String = " WHEN " & sqlMRPCOMMON.prmLENDUNIT_VALB & " THEN "
	Private Const sqlCASE_UNIT_E As String = " ELSE NULL END AS "
'(M) END V4-13006-000 072

	''' <summary>
	'''病棟
	''' </summary>
	Private Const sqlSubWard As String = _
	" SELECT " _
	& "  a.PATIENT_NO" _
	& ", a.HSP_HISTORY_NO" _
	& ", a.CH_NO" _
	& ", a.WARD_CD" _
	& ", MTM_WARD.WARD_NM, MTM_WARD.WARD_RNM" _
	& ", ROW_NUMBER() OVER (PARTITION BY a.PATIENT_NO, a.HSP_HISTORY_NO, a.CH_NO ORDER BY a.PATIENT_NO, a.HSP_HISTORY_NO, a.CH_NO, a.WARD_SERIAL_NO) AS ROWNUM" _
	& " FROM MTW_SEARCH_WORK   AS r" _
	& "      INNER JOIN MTI_WARD AS a    ON a.PATIENT_NO            =  r.PATIENT_NO" _
	& "                                 AND a.HSP_HISTORY_NO        =  r.HSP_HISTORY_NO" _
	& "                                 AND a.CH_NO                 =  r.CH_NO" _
	& "       LEFT JOIN MTM_WARD         ON a.WARD_CD               =  MTM_WARD.WARD_CD" _
	& " WHERE r.HOST_NM = " & sqlMRPCOMMON.prmHOST_NM

	''' <summary>
	'''医師
	''' </summary>
	Private Const sqlSubDoctor As String = _
	" SELECT " _
	& "  d.PATIENT_NO" _
	& ", d.HSP_HISTORY_NO" _
	& ", d.CH_NO" _
	& ", ROW_NUMBER() OVER (PARTITION BY d.PATIENT_NO, d.HSP_HISTORY_NO, d.CH_NO ORDER BY d.PATIENT_NO, d.HSP_HISTORY_NO, d.CH_NO, d.DOCTOR_SERIAL_NO) AS ROWNUM" _
	& ", d.DOCTOR_DIV" _
	& ", d.DOCTOR_CD" _
	& ", MTM_DOCTOR_DIV.DOCTOR_DIV_NM, MTM_DOCTOR_DIV.DOCTOR_DIV_RNM" _
	& ", XTM_STAFF.STAFF_NM" _
	& " FROM MTW_SEARCH_WORK   AS r" _
	& "      INNER JOIN MTI_DOCTOR AS d  ON d.PATIENT_NO		    =  r.PATIENT_NO" _
	& "                                 AND d.HSP_HISTORY_NO	    =  r.HSP_HISTORY_NO" _
	& "                                 AND d.CH_NO                 =  r.CH_NO" _
	& "       LEFT JOIN MTM_DOCTOR_DIV   ON d.DOCTOR_DIV            =  MTM_DOCTOR_DIV.DOCTOR_DIV_CD" _
	& "       LEFT JOIN XTM_STAFF        ON d.DOCTOR_CD             =  XTM_STAFF.STAFF_CD" _
	& " WHERE r.HOST_NM = " & sqlMRPCOMMON.prmHOST_NM

	''' <summary>
	'''転科元・転科先テーブル
	''' </summary>
	Private Const sqlTblDept As String = _
	  "  LEFT JOIN MTI_CH AS FDC                              ON w.PATIENT_NO               = FDC.PATIENT_NO" _
	& "	                                                     AND w.HSP_HISTORY_NO           = FDC.HSP_HISTORY_NO" _
	& "	                                                     AND (SELECT MAX(A.CH_NO)" _
	& "			                                                    FROM MTI_CH AS A" _
	& "			                                                         INNER JOIN MTM_OUT_HSP_CNL AS A_CNL" _
	& "																			 ON A.END_CNL_CD = A_CNL.OUT_HSP_CNL_CD" _
	& "			                                                   WHERE A.PATIENT_NO       = w.PATIENT_NO" _
	& "			                                                     AND A.HSP_HISTORY_NO   = w.HSP_HISTORY_NO" _
	& "			                                                     AND A.CH_NO			< w.CH_NO" _
	& "			                                                     AND A_CNL.FIXED_CD		= " & prmFIXED_DEPT_CHANGE_OUT _
	& "																					  ) = FDC.CH_NO" _
	& "														 AND C_CNL.FIXED_CD				= " & prmFIXED_DEPT_CHANGE_HSP _
	& "  LEFT JOIN MTM_DEPT AS FR_DEPT                      ON FDC.DEPT_CD                  = FR_DEPT.DEPT_CD" _
	& "  LEFT JOIN MTI_CH AS TDC                              ON w.PATIENT_NO               = TDC.PATIENT_NO" _
	& "	                                                     AND w.HSP_HISTORY_NO           = TDC.HSP_HISTORY_NO" _
	& "	                                                     AND (SELECT MIN(A.CH_NO)" _
	& "			                                                    FROM MTI_CH AS A" _
	& "			                                                         INNER JOIN MTM_HSP_CNL AS A_CNL" _
	& "																			 ON A.START_CNL_CD = A_CNL.HSP_CNL_CD" _
	& "			                                                   WHERE A.PATIENT_NO       = w.PATIENT_NO" _
	& "			                                                     AND A.HSP_HISTORY_NO   = w.HSP_HISTORY_NO" _
	& "			                                                     AND A.CH_NO			> w.CH_NO" _
	& "			                                                     AND A_CNL.FIXED_CD		= " & prmFIXED_DEPT_CHANGE_HSP _
	& "																					  ) = TDC.CH_NO" _
	& "														 AND C_O_CNL.FIXED_CD			= " & prmFIXED_DEPT_CHANGE_OUT _
	& "  LEFT JOIN MTM_DEPT AS TO_DEPT                        ON TDC.DEPT_CD                = TO_DEPT.DEPT_CD"

	''' <summary>
	''' 基本 マスタ
	''' </summary>
	Private Const sqlTblB = "" _
	& "  LEFT JOIN XTM_GENDER                                 ON b.GENDER_CD                = XTM_GENDER.GENDER_CD" _
	& "  LEFT JOIN MTM_BLOODTYPE                              ON b.BLOODTYPE_CD             = MTM_BLOODTYPE.BLOODTYPE_CD" _
	& "  LEFT JOIN MTM_RH                                     ON b.RH_CD                    = MTM_RH.RH_CD" _
	& "  LEFT JOIN MTM_AREA AS BC_AREA                        ON bc.AREA_CD                 = BC_AREA.AREA_CD"

	''' <summary>
	''' 死亡　マスタ
	''' </summary>
	Private Const sqlTblD = "" _
	& "  LEFT JOIN MTM_DEATH_LCT							  ON d.DEATH_LCT_CD				 = MTM_DEATH_LCT.DEATH_LCT_CD" _
	& "  LEFT JOIN MTM_DEATH_DIV                              ON d.DEATH_DIV                 = MTM_DEATH_DIV.DEATH_DIV_CD" _
	& "  LEFT JOIN MTM_AFTER_OPE_DEATH_DIV                    ON d.AFTER_OPE_DEATH_DIV       = MTM_AFTER_OPE_DEATH_DIV.AFTER_OPE_DEATH_DIV_CD"

	''' <summary>
	''' 入退院　
	''' </summary>
	Public Const sqlTblH As String = "" _
	& "  LEFT JOIN MTM_DEPT             AS H_DEPT             ON h.DEPT_CD                   = H_DEPT.DEPT_CD" _
	& "  LEFT JOIN MTM_WARD             AS H_WARD             ON h.WARD_CD			         = H_WARD.WARD_CD" _
	& "  LEFT JOIN XTM_STAFF            AS H_STAFF            ON h.DOCTOR_CD			     = H_STAFF.STAFF_CD" _
	& "  LEFT JOIN MTM_HSP_CNL          AS H_CNL              ON h.HSP_CNL_CD                = H_CNL.HSP_CNL_CD" _
	& "  LEFT JOIN MTM_OUT_HSP_CNL      AS H_O_CNL            ON h.OUT_HSP_CNL_CD            = H_O_CNL.OUT_HSP_CNL_CD" _
	& "  LEFT JOIN MTM_OUT_HSP_OUTCOME  AS H_OUTCOME          ON h.OUT_HSP_OUTCOME_CD        = H_OUTCOME.OUT_HSP_OUTCOME_CD" _
	& "  LEFT JOIN MTM_HSP_FORM			                      ON h.HSP_FORM_CD		         = MTM_HSP_FORM.HSP_FORM_CD"

'(M) STR V4-11050-000 074 20111028 FJSK)H.Y V4.10.11.4(登録者出力不具合対応)
#Region "修正前"
	' ''' <summary>
	' ''' 科歴テーブル
	' ''' </summary>
	'Private Const sqlTblC As String = "" _
	'& "  LEFT JOIN MTM_DEPT             AS C_DEPT             ON c.DEPT_CD                   = C_DEPT.DEPT_CD" _
	'& "  LEFT JOIN MTM_WARD             AS C_WARD             ON c.WARD_CD			         = C_WARD.WARD_CD" _
	'& "  LEFT JOIN XTM_STAFF            AS C_STAFF            ON c.DOCTOR_CD			     = C_STAFF.STAFF_CD" _
	'& "  LEFT JOIN XTM_STAFF            AS C_STAFF_R          ON c.DOCTOR_CD			     = C_STAFF_R.STAFF_CD" _
	'& "  LEFT JOIN MTM_HSP_CNL          AS C_CNL              ON c.START_CNL_CD              = C_CNL.HSP_CNL_CD" _
	'& "  LEFT JOIN MTM_OUT_HSP_CNL      AS C_O_CNL            ON c.END_CNL_CD                = C_O_CNL.OUT_HSP_CNL_CD" _
	'& "  LEFT JOIN MTM_OUT_HSP_OUTCOME  AS C_OUTCOME          ON c.END_OUTCOME_CD            = C_OUTCOME.OUT_HSP_OUTCOME_CD" _
	'& "  LEFT JOIN MTM_AREA             AS C_AREA             ON c.AREA_CD                   = C_AREA.AREA_CD" _
	'& "  LEFT JOIN MTM_RELATION                               ON c.RELATION_CD               = MTM_RELATION.RELATION_CD" _
	'& "  LEFT JOIN MTM_HSP_AIM                                ON c.HSP_AIM_CD                = MTM_HSP_AIM.HSP_AIM_CD" _
	'& "  LEFT JOIN MTM_PLAN_EMERGENCY                         ON c.PLAN_EMERGENCY_CD         = MTM_PLAN_EMERGENCY.PLAN_EMERGENCY_CD" _
	'& "  LEFT JOIN MTM_JOB              AS MTM_JOBP           ON c.PAST_JOB_CD               = MTM_JOBP.JOB_CD" _
	'& "  LEFT JOIN MTM_JOB              AS MTM_JOBC           ON c.CURRENT_JOB_CD            = MTM_JOBC.JOB_CD" _
	'& "  LEFT JOIN MTM_INSURANCE        AS MTM_INSURANCE1     ON c.INSURANCE_CD1             = MTM_INSURANCE1.INSURANCE_CD" _
	'& "  LEFT JOIN MTM_INSURANCE        AS MTM_INSURANCE2     ON c.INSURANCE_CD2             = MTM_INSURANCE2.INSURANCE_CD" _
	'& "  LEFT JOIN MTM_INSURANCE        AS MTM_INSURANCE3     ON c.INSURANCE_CD3             = MTM_INSURANCE3.INSURANCE_CD" _
	'& "  LEFT JOIN MTM_SELF_OTHER_HSP_DIV                     ON c.LAST_SELF_OTHER_HSP_DIV   = MTM_SELF_OTHER_HSP_DIV.SELF_OTHER_HSP_DIV_CD" _
	'& "  LEFT JOIN MTM_ALLERGY          AS MTM_ALLERGY1       ON c.ALLERGY1                  = MTM_ALLERGY1.ALLERGY_CD" _
	'& "  LEFT JOIN MTM_ALLERGY          AS MTM_ALLERGY2       ON c.ALLERGY2                  = MTM_ALLERGY2.ALLERGY_CD" _
	'& "  LEFT JOIN MTM_ALLERGY          AS MTM_ALLERGY3       ON c.ALLERGY3                  = MTM_ALLERGY3.ALLERGY_CD" _
	'& "  LEFT JOIN MTM_ALLERGY          AS MTM_ALLERGY4       ON c.ALLERGY4                  = MTM_ALLERGY4.ALLERGY_CD" _
	'& "  LEFT JOIN MTM_ALLERGY          AS MTM_ALLERGY5       ON c.ALLERGY5                  = MTM_ALLERGY5.ALLERGY_CD" _
	'& "  LEFT JOIN MTM_ALLERGY          AS MTM_ALLERGY6       ON c.ALLERGY6                  = MTM_ALLERGY6.ALLERGY_CD" _
	'& "  LEFT JOIN MTM_INFECTION_FLG    AS MTM_INFECTION_FLG1 ON c.INFECTION1                = MTM_INFECTION_FLG1.INFECTION_FLG_CD" _
	'& "  LEFT JOIN MTM_INFECTION_FLG    AS MTM_INFECTION_FLG2 ON c.INFECTION2                = MTM_INFECTION_FLG2.INFECTION_FLG_CD" _
	'& "  LEFT JOIN MTM_INFECTION_FLG    AS MTM_INFECTION_FLG3 ON c.INFECTION3                = MTM_INFECTION_FLG3.INFECTION_FLG_CD" _
	'& "  LEFT JOIN MTM_INFECTION_FLG    AS MTM_INFECTION_FLG4 ON c.INFECTION4                = MTM_INFECTION_FLG4.INFECTION_FLG_CD" _
	'& "  LEFT JOIN MTM_INFECTION_FLG    AS MTM_INFECTION_FLG5 ON c.INFECTION5                = MTM_INFECTION_FLG5.INFECTION_FLG_CD" _
	'& "  LEFT JOIN MTM_INFECTION_FLG    AS MTM_INFECTION_FLG6 ON c.INFECTION6                = MTM_INFECTION_FLG6.INFECTION_FLG_CD" _
	'& "  LEFT JOIN MTM_REG_STATUS                             ON c.REG_STATUS_CD             = MTM_REG_STATUS.REG_STATUS_CD" _
	'& "  LEFT JOIN MTM_LIVE_TOGETHER_STATE                    ON c.LIVE_TOGETHER_STATE_CD    = MTM_LIVE_TOGETHER_STATE.LIVE_TOGETHER_STATE_CD"
#End Region
	''' <summary>
	''' 科歴テーブル
	''' </summary>
	Private Const sqlTblC As String = "" _
	& "  LEFT JOIN MTM_DEPT             AS C_DEPT             ON c.DEPT_CD                   = C_DEPT.DEPT_CD" _
	& "  LEFT JOIN MTM_WARD             AS C_WARD             ON c.WARD_CD			         = C_WARD.WARD_CD" _
	& "  LEFT JOIN XTM_STAFF            AS C_STAFF            ON c.DOCTOR_CD			     = C_STAFF.STAFF_CD" _
	& "  LEFT JOIN XTM_STAFF            AS C_STAFF_R          ON c.REG_PERSON_CD    	     = C_STAFF_R.STAFF_CD" _
	& "  LEFT JOIN MTM_HSP_CNL          AS C_CNL              ON c.START_CNL_CD              = C_CNL.HSP_CNL_CD" _
	& "  LEFT JOIN MTM_OUT_HSP_CNL      AS C_O_CNL            ON c.END_CNL_CD                = C_O_CNL.OUT_HSP_CNL_CD" _
	& "  LEFT JOIN MTM_OUT_HSP_OUTCOME  AS C_OUTCOME          ON c.END_OUTCOME_CD            = C_OUTCOME.OUT_HSP_OUTCOME_CD" _
	& "  LEFT JOIN MTM_AREA             AS C_AREA             ON c.AREA_CD                   = C_AREA.AREA_CD" _
	& "  LEFT JOIN MTM_RELATION                               ON c.RELATION_CD               = MTM_RELATION.RELATION_CD" _
	& "  LEFT JOIN MTM_HSP_AIM                                ON c.HSP_AIM_CD                = MTM_HSP_AIM.HSP_AIM_CD" _
	& "  LEFT JOIN MTM_PLAN_EMERGENCY                         ON c.PLAN_EMERGENCY_CD         = MTM_PLAN_EMERGENCY.PLAN_EMERGENCY_CD" _
	& "  LEFT JOIN MTM_JOB              AS MTM_JOBP           ON c.PAST_JOB_CD               = MTM_JOBP.JOB_CD" _
	& "  LEFT JOIN MTM_JOB              AS MTM_JOBC           ON c.CURRENT_JOB_CD            = MTM_JOBC.JOB_CD" _
	& "  LEFT JOIN MTM_INSURANCE        AS MTM_INSURANCE1     ON c.INSURANCE_CD1             = MTM_INSURANCE1.INSURANCE_CD" _
	& "  LEFT JOIN MTM_INSURANCE        AS MTM_INSURANCE2     ON c.INSURANCE_CD2             = MTM_INSURANCE2.INSURANCE_CD" _
	& "  LEFT JOIN MTM_INSURANCE        AS MTM_INSURANCE3     ON c.INSURANCE_CD3             = MTM_INSURANCE3.INSURANCE_CD" _
	& "  LEFT JOIN MTM_SELF_OTHER_HSP_DIV                     ON c.LAST_SELF_OTHER_HSP_DIV   = MTM_SELF_OTHER_HSP_DIV.SELF_OTHER_HSP_DIV_CD" _
	& "  LEFT JOIN MTM_ALLERGY          AS MTM_ALLERGY1       ON c.ALLERGY1                  = MTM_ALLERGY1.ALLERGY_CD" _
	& "  LEFT JOIN MTM_ALLERGY          AS MTM_ALLERGY2       ON c.ALLERGY2                  = MTM_ALLERGY2.ALLERGY_CD" _
	& "  LEFT JOIN MTM_ALLERGY          AS MTM_ALLERGY3       ON c.ALLERGY3                  = MTM_ALLERGY3.ALLERGY_CD" _
	& "  LEFT JOIN MTM_ALLERGY          AS MTM_ALLERGY4       ON c.ALLERGY4                  = MTM_ALLERGY4.ALLERGY_CD" _
	& "  LEFT JOIN MTM_ALLERGY          AS MTM_ALLERGY5       ON c.ALLERGY5                  = MTM_ALLERGY5.ALLERGY_CD" _
	& "  LEFT JOIN MTM_ALLERGY          AS MTM_ALLERGY6       ON c.ALLERGY6                  = MTM_ALLERGY6.ALLERGY_CD" _
	& "  LEFT JOIN MTM_INFECTION_FLG    AS MTM_INFECTION_FLG1 ON c.INFECTION1                = MTM_INFECTION_FLG1.INFECTION_FLG_CD" _
	& "  LEFT JOIN MTM_INFECTION_FLG    AS MTM_INFECTION_FLG2 ON c.INFECTION2                = MTM_INFECTION_FLG2.INFECTION_FLG_CD" _
	& "  LEFT JOIN MTM_INFECTION_FLG    AS MTM_INFECTION_FLG3 ON c.INFECTION3                = MTM_INFECTION_FLG3.INFECTION_FLG_CD" _
	& "  LEFT JOIN MTM_INFECTION_FLG    AS MTM_INFECTION_FLG4 ON c.INFECTION4                = MTM_INFECTION_FLG4.INFECTION_FLG_CD" _
	& "  LEFT JOIN MTM_INFECTION_FLG    AS MTM_INFECTION_FLG5 ON c.INFECTION5                = MTM_INFECTION_FLG5.INFECTION_FLG_CD" _
	& "  LEFT JOIN MTM_INFECTION_FLG    AS MTM_INFECTION_FLG6 ON c.INFECTION6                = MTM_INFECTION_FLG6.INFECTION_FLG_CD" _
	& "  LEFT JOIN MTM_REG_STATUS                             ON c.REG_STATUS_CD             = MTM_REG_STATUS.REG_STATUS_CD" _
	& "  LEFT JOIN MTM_LIVE_TOGETHER_STATE                    ON c.LIVE_TOGETHER_STATE_CD    = MTM_LIVE_TOGETHER_STATE.LIVE_TOGETHER_STATE_CD"
'(M) END V4-11050-000 074 20111028 FJSK)H.Y V4.10.11.4(登録者出力不具合対応)

	''' <summary>
	''' 管理物情報　マスタ
	''' </summary>
	Private Const sqlTblL = "" _
	& "  LEFT JOIN MTM_LENDITEM_MNGSTATUS  AS L1_MNG   ON " & sqlMRPCOMMON.prmLENDITEM_M & " = L1_MNG.LENDITEM_CD AND l.RECORD_MNGSTATUS_CD  = L1_MNG.MNGSTATUS_CD" _
	& "  LEFT JOIN MTM_LENDITEM_MNGSTATUS  AS L2_MNG   ON " & sqlMRPCOMMON.prmLENDITEM_S & " = L2_MNG.LENDITEM_CD AND l.SUMMARY_MNGSTATUS_CD = L2_MNG.MNGSTATUS_CD"

	''' <summary>
	''' 主病名に紐づく病名を取得
	''' (科歴情報と病名情報を結合し、かつ病名区分マスタ(固定コード=1)を結合する。）
	''' </summary>
	Private Const sqlSubDI = "" _
	& " SELECT dc.PATIENT_NO,dc.HSP_HISTORY_NO,dc.CH_NO,di.ICD10_CD,di.DISEASE" _
	& "   FROM MTW_SEARCH_WORK AS dc" _
	& "        INNER JOIN MTI_DISEASE AS di" _
	& "                ON dc.PATIENT_NO         = di.PATIENT_NO" _
	& "               AND dc.HSP_HISTORY_NO     = di.HSP_HISTORY_NO" _
	& "               AND dc.CH_NO              = di.CH_NO" _
	& "        INNER JOIN MTM_DISEASE_DIV AS dm" _
	& "                ON di.DISEASE_DIV        = dm.DISEASE_DIV_CD" _
	& "               AND " & sqlMRPCOMMON.prmFIXED_CD & "= dm.FIXED_CD" _
	& " WHERE dc.HOST_NM = " & sqlMRPCOMMON.prmHOST_NM

#End Region

	''' <summary>
	''' 感染症フラグヘッダ取得
	''' </summary>
	Public Const sqlHeader_INFECTION = "" _
	& "SELECT INFECTION_NM FROM MTM_INFECTION WHERE INFECTION_CD='{0}'"


#End Region

End Class
