﻿''' ---------------------------------------------
''' <summary>
''' 診療情報管理 共通帳票 病名情報Report継承元クラス(SQLクラス）
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public NotInheritable Class sqlMRP060R000

	''' <summary>
	''' workを削除
	''' </summary>
	Public Const sqlDel As String = _
	"DELETE FROM MTW_SEARCH_DISEASE WHERE HOST_NM=" & sqlMRPCOMMON.prmHOST_NM

	''' <summary>
	''' workを追加
	''' </summary>
	Public Const sqlIns As String = _
	"INSERT INTO MTW_SEARCH_DISEASE (" _
	& " HOST_NM" _
	& ",DSPORDER" _
	& ",PATIENT_NO" _
	& ",HSP_HISTORY_NO" _
	& ",CH_NO" _
	& ",DISEASE_SERIAL_NO" _
	& ",LASTUPDUSER_CD" _
	& ",LASTUPD_DT" _
	& ") VALUES (" _
	& " " & sqlMRPCOMMON.prmHOST_NM _
	& "," & sqlMRPCOMMON.prmDSPORDER _
	& "," & sqlMRPCOMMON.prmPATIENT_NO _
	& "," & sqlMRPCOMMON.prmHSP_NO _
	& "," & sqlMRPCOMMON.prmCH_NO _
	& "," & sqlMRPCOMMON.prmSERIAL_NO _
	& "," & sqlMRPCOMMON.prmLASTUPDUSER_CD _
	& "," & sqlMRPCOMMON.prmLASTUPD_DT _
	& ")"

	''' <summary>
	''' workを更新
	''' </summary>
	Public Const sqlUpd As String = _
	"UPDATE MTW_SEARCH_DISEASE SET" _
	& " PATIENT_NM					= b.PATIENT_NM" _
	& ",DISEASE_DIV					= i.DISEASE_DIV" _
	& ",DISEASE						= i.DISEASE" _
	& ",DISEASE_OUTCOME_CD			= i.DISEASE_OUTCOME_CD" _
	& ",GENDER_CD					= b.GENDER_CD" _
	& ",BIRTH_DT					= b.BIRTH_DT" _
	& ",PATIENT_AGE			= (CASE " & sqlMRPCOMMON.prmENV_AGE & " WHEN " & sqlMRPCOMMON.CST_ENV_AGE_IN & " THEN c.START_AGE       ELSE c.END_AGE       END)" _
	& ",PATIENT_MONTH_AGE	= (CASE " & sqlMRPCOMMON.prmENV_AGE & " WHEN " & sqlMRPCOMMON.CST_ENV_AGE_IN & " THEN c.START_MONTH_AGE ELSE c.END_MONTH_AGE END)" _
	& ",PATIENT_DAY_AGE		= (CASE " & sqlMRPCOMMON.prmENV_AGE & " WHEN " & sqlMRPCOMMON.CST_ENV_AGE_IN & " THEN c.START_DAY_AGE   ELSE c.END_DAY_AGE   END)" _
	& ",BYOREKI_NO					= c.BYOREKI_NO" _
	& ",DEPT_CD						= c.DEPT_CD" _
	& ",WARD_CD						= c.WARD_CD" _
	& ",DOCTOR_CD					= c.DOCTOR_CD" _
	& ",START_CNL_CD				= c.START_CNL_CD" _
	& ",START_DT					= c.START_DT" _
	& ",END_CNL_CD					= c.END_CNL_CD" _
	& ",END_OUTCOME_CD				= c.END_OUTCOME_CD" _
	& ",END_DT						= c.END_DT" _
	& ",HSP_DAYS					= c.HSP_DAYS" _
	& ",HSP_CHANCE_DISEASE_FLG		= i.HSP_CHANCE_DISEASE_FLG" _
	& ",DISEASE_MED_RES_FLG1		= i.DISEASE_MED_RES_FLG1" _
	& ",DISEASE_MED_RES_FLG2		= i.DISEASE_MED_RES_FLG2" _
	& ",DEATH_DISEASE_FLG			= i.DEATH_DISEASE_FLG" _
	& ",DIAGNOSIS_DT				= i.DIAGNOSIS_DT" _
	& ",ONSET_DT					= i.ONSET_DT" _
	& ",DISEASE_END_DT				= i.END_DT" _
	& ",ICD10_CD					= i.ICD10_CD" _
	& ",PLURAL_GRP_CD				= i.PLURAL_GRP_CD" _
	& ",REMARKS1					= i.REMARKS1" _
	& ",REMARKS2					= i.REMARKS2" _
	& ",CAUSE_GRP_CD				= i.CAUSE_GRP_CD" _
	& ",DEATH_CAUSE_FLG				= i.DEATH_CAUSE_FLG" _
	& ",SPECIMEN_NO					= i.SPECIMEN_NO" _
	& ",ICDO_FORM_CD				= i.ICDO_FORM_CD" _
	& ",ICDO_FORM_6DIGS_CD			= i.ICDO_FORM_6DIGS_CD" _
	& ",PATIENT_KNM					= b.PATIENT_KNM" _
	& ",START_AGE					= c.START_AGE" _
	& ",START_MONTH_AGE				= c.START_MONTH_AGE" _
	& ",START_DAY_AGE				= c.START_DAY_AGE" _
	& ",END_AGE						= c.END_AGE" _
	& ",END_MONTH_AGE				= c.END_MONTH_AGE" _
	& ",END_DAY_AGE					= c.END_DAY_AGE" _
	& ",DIRECT_DEATH_DISEASE_FLG	= i.DIRECT_DEATH_DISEASE_FLG" _
	& ",LASTUPDUSER_CD				= " & sqlMRPCOMMON.prmLASTUPDUSER_CD _
	& ",LASTUPD_DT					= " & sqlMRPCOMMON.prmLASTUPD_DT _
	& " FROM MTW_SEARCH_DISEASE AS w " _
	& "      LEFT JOIN XTI_BASICINFO AS B" _
	& "                 ON w.PATIENT_NO         = B.PATIENT_NO" _
	& "      LEFT JOIN MTI_CH AS c" _
	& "                 ON w.PATIENT_NO         = c.PATIENT_NO" _
	& "                AND w.HSP_HISTORY_NO     = c.HSP_HISTORY_NO" _
	& "                AND w.CH_NO = c.CH_NO" _
	& "      LEFT JOIN MTI_DISEASE AS i" _
	& "                 ON w.PATIENT_NO         = i.PATIENT_NO" _
	& "                AND w.HSP_HISTORY_NO     = i.HSP_HISTORY_NO" _
	& "                AND w.CH_NO = i.CH_NO" _
	& "                AND w.DISEASE_SERIAL_NO  = i.DISEASE_SERIAL_NO" _
	& " WHERE w.HOST_NM=" & sqlMRPCOMMON.prmHOST_NM
End Class
