﻿''' ---------------------------------------------
''' <summary>
''' 診療情報管理 共通帳票 共通用(SQLクラス）
''' </summary>
''' <remarks>
''' Copyright 2009 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public NotInheritable Class sqlMRPCOMMON

#Region "コンスタント"
	Public Const CST_ENV_AGE_IN As String = "'1'"
	Public Const CST_EXCEL_DATE_MIN_2 As String = "'1900/1/1'"		'日付出力下限
	Public Const CST_EXCEL_DATE_MIN_1 As String = "'1900/3/1'"		'日付出力下限

	'EXCEL出力時、1900/1/1以前はエラーになるのでNULL出力
	'EXCELには、1900/2/29が存在するので対応 
'(M) STR V4-13006-000 008 20130212 ID)荒川 管理№228 1900年より前の発症日/診断日でExcel出力すると例外エラーが発生する
'	Public Const CST_COL_EXCEL_BIRTH As String = "" &
'	 "CASE WHEN b.BIRTH_DT >= '1900/3/1' THEN b.BIRTH_DT" &
'		 " WHEN b.BIRTH_DT >= '1900/1/1' THEN DATEADD(d,-1,b.BIRTH_DT)" &
'		 " ELSE NULL END"
	Public Const CST_CNV_EXCEL_ST As String = " RTRIM(CONVERT(char, "	'日付型→文字列に変換
	Public Const CST_CNV_EXCEL_ED As String = " , 111)) "
'(M) END V4-13006-000 008 20130212
#End Region

#Region "項目"

	Public Const itmPATIENT_NO As String = "PATIENT_NO"				'患者番号
	Public Const itmHSP_NO As String = "HSP_HISTORY_NO"				'入退院歴番号
	Public Const itmCH_NO As String = "CH_NO"						'科歴番号
	Public Const itmSERIAL_NO As String = "SERIAL_NO"				'xx連番

	'一覧系で使用
	Public Const itmSELECTED As String = "SELECTED"					'選択チェックボックス

	'一覧ヘッダ項目取得用
	Public Const itmITEM_CD As String = "ITEM_CD"					'項目コード
	Public Const itmITEM_RNM As String = "ITEM_RNM"					'項目略称
	Public Const itmITEM_NM As String = "ITEM_NM"					'項目名称

#End Region

#Region "パラメータ"

	Public Const prmPATIENT_NO As String = "@PATIENT_NO"			'患者番号
	Public Const prmHSP_NO As String = "@HSP_HISTORY_NO"			'入退院歴番号
	Public Const prmCH_NO As String = "@CH_NO"						'科歴番号
	Public Const prmSERIAL_NO As String = "@SERIAL_NO"				'連番

	Public Const prmUSER_CD As String = "@USER_CD"					'使用者コード
	Public Const prmSEARCH_NO As String = "@SEARCH_NO"				'検索番号

	Public Const prmHOST_NM As String = "@HOST_NM"					'ホスト名
	Public Const prmLASTUPD_DT As String = "@LASTUPD_DT"			'更新日
	Public Const prmLASTUPDUSER_CD As String = "@LASTUPDUSER_CD"	'更新者コード

	Public Const prmFLG_ON As String = "@FLG_ON"					'フラグ値

	Public Const prmDSPORDER As String = "@DSPORDER"				'表示順

	Public Const prmENV_AGE As String = "@ENV_AGE"					'動作環境年齢取得項目

	Public Const prmFIXED_CD As String = "@FIXED_CD"				'固定コード

	Public Const prmLENDITEM_M As String = "@LENDITEM_M"			'管理物コード（カルテ）
	Public Const prmLENDITEM_S As String = "@LENDITEM_S"			'管理物コード（サマリ）
	Public Const prmLENDITEM_1 As String = "@LENDITEM_1"			'管理物コード（他１）
	Public Const prmLENDITEM_2 As String = "@LENDITEM_2"			'管理物コード（他２）
	Public Const prmLENDITEM_3 As String = "@LENDITEM_3"			'管理物コード（他３）

	Public Const prmLENDUNIT_VALC As String = "@LENDUNIT_VALC"		'管理物単位値（科歴）
	Public Const prmLENDUNIT_VALH As String = "@LENDUNIT_VALH"		'管理物単位値（入退院）
	Public Const prmLENDUNIT_VALB As String = "@LENDUNIT_VALB"		'管理物単位値（患者）

	Public Const prmLENDUNIT_M As String = "@LENDUNIT_M"			'管理物単位（カルテ）
	Public Const prmLENDUNIT_S As String = "@LENDUNIT_S"			'管理物単位（サマリ）
	Public Const prmLENDUNIT_1 As String = "@LENDUNIT_1"			'管理物単位（他１）
	Public Const prmLENDUNIT_2 As String = "@LENDUNIT_2"			'管理物単位（他２）
	Public Const prmLENDUNIT_3 As String = "@LENDUNIT_3"			'管理物単位（他３）

#End Region

#Region " 有無マスタ フラグ名称取得用"

	Public Const prmCHK_CD_ON As String = "@CHK_CD_ON"				'有無マスタ コードON
	Public Const prmCHK_CD_OFF As String = "@CHK_CD_OFF"			'有無マスタ コードOFF
	Public Const prmCHK_NM_ON As String = "@CHK_NM_ON"				'有無マスタ 表示名ON
	Public Const prmCHK_NM_OFF As String = "@CHK_NM_OFF"			'有無マスタ 表示名OFF

	Public Const prmFLG_CD_ON As String = "@FLG_CD_ON"				'フラグ コードON
	Public Const prmFLG_NM_ON As String = "@FLG_NM_ON"				'フラグ 表示名ON
	''' <summary>
	''' 有無マスタ
	''' </summary>
	Public Const sqlCHK_NM_S As String = "CASE "
	Public Const sqlCHK_NM_E As String = _
	  " WHEN " & prmCHK_CD_ON & " THEN " & prmCHK_NM_ON _
	& " WHEN " & prmCHK_CD_OFF & " THEN " & prmCHK_NM_OFF _
	& " END AS "

	''' <summary>
	''' フラグ
	''' </summary>
	Public Const sqlFLG_NM_S As String = "CASE "
	Public Const sqlFLG_NM_E As String = _
	  " WHEN " & prmFLG_CD_ON & " THEN " & prmFLG_NM_ON _
	& " END AS "

#End Region

#Region "TM_貸出物マスタより単位を取得"

	Public Const prmLENDITEM_CD As String = "@LENDITEM_CD"			'貸出物コード

	Public Const itmLENDITEM_CD As String = "LENDITEM_CD"
	Public Const itmLENDITEM_RNM As String = "LENDITEM_RNM"
	Public Const itmLENDUNIT_CD As String = "UNIT_CD"

	''' <summary>
	'''　TM_貸出物マスタより単位を取得
	''' </summary>
	Public Const sqlSel_MTM_LENDITEM As String = _
	  "SELECT TOP 1 UNIT_CD FROM MTM_LENDITEM" _
	 & " WHERE LENDITEM_CD = " & prmLENDITEM_CD

	''' <summary>
	'''　TM_貸出物マスタより全件を取得
	''' </summary>
	Public Const sqlSelAll_MTM_LENDITEM As String = _
	  "SELECT LENDITEM_CD,UNIT_CD,LENDITEM_RNM FROM MTM_LENDITEM" _
	& " WHERE LENDITEM_NM " & XCM.clsConst.CST_NONEMPTY_WHERE

#End Region

End Class
