﻿''' ---------------------------------------------
''' <summary>
''' 診療情報管理 共通帳票 Excelクラス用(SQLクラス） 共通部
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public NotInheritable Class sqlMakeWork

	Public Const prmOUT_ORDER As String = "@OUT_ORDER"						'出力順

	''' <summary>
	''' 最新科歴
	''' </summary>
	Private Const sqlNewCH As String = _
	  "SELECT" _
	& " c.PATIENT_NO" _
	& ",c.HSP_HISTORY_NO AS NEW_HSP_NO" _
	& ",c.CH_NO          AS NEW_CH_NO" _
	& ",ROW_NUMBER() OVER ( PARTITION BY c.PATIENT_NO ORDER BY c.HSP_HISTORY_NO DESC, c.CH_NO DESC) AS ROWNUM" _
	& "  FROM MTW_SEARCH_WORK AS w INNER JOIN MTI_CH as c ON w.PATIENT_NO = c.PATIENT_NO" _
	& " WHERE w.HOST_NM = " & sqlMRPCOMMON.prmHOST_NM

	''' <summary>
	''' MTW_検索処理ワーク 更新
	''' </summary>
	Public Const sqlUpd_SEARCH_WORK As String = _
	 "UPDATE MTW_SEARCH_WORK SET" _
	& " NEW_HSP_NO     = a.NEW_HSP_NO" _
	& ",NEW_CH_NO      = a.NEW_CH_NO" _
	& ",LASTUPDUSER_CD = " & sqlMRPCOMMON.prmLASTUPDUSER_CD _
	& ",LASTUPD_DT     = " & sqlMRPCOMMON.prmLASTUPD_DT _
	& " FROM MTW_SEARCH_WORK AS w" _
	& " INNER JOIN (" & sqlNewCH & ") as a " _
	& "   ON w.PATIENT_NO     = a.PATIENT_NO" _
	& "  AND 1                = a.ROWNUM" _
	& " WHERE w.HOST_NM = " & sqlMRPCOMMON.prmHOST_NM

	''' <summary>
	''' MTW_検索処理ワーク 削除
	''' </summary>
	Public Const sqlDel_SEARCH_WORK As String = _
	"DELETE FROM MTW_SEARCH_WORK WHERE HOST_NM = " & sqlMRPCOMMON.prmHOST_NM

	''' <summary>
	''' MTW_検索処理ワーク 追加
	''' </summary>
	Public Const sqlIns_SEARCH_WORK As String = _
	 "INSERT INTO MTW_SEARCH_WORK" _
	& "(HOST_NM" _
	& ",PATIENT_NO" _
	& ",HSP_HISTORY_NO" _
	& ",CH_NO" _
	& ",SERIAL_NO" _
	& ",OUT_ORDER" _
	& ",LASTUPDUSER_CD" _
	& ",LASTUPD_DT" _
	& ") VALUES (" _
	& "" & sqlMRPCOMMON.prmHOST_NM _
	& "," & sqlMRPCOMMON.prmPATIENT_NO _
	& "," & sqlMRPCOMMON.prmHSP_NO _
	& "," & sqlMRPCOMMON.prmCH_NO _
	& "," & sqlMRPCOMMON.prmSERIAL_NO _
	& "," & prmOUT_ORDER _
	& "," & sqlMRPCOMMON.prmLASTUPDUSER_CD _
	& "," & sqlMRPCOMMON.prmLASTUPD_DT _
	& ")"

#Region "ＤＰＣ作成"

	''' <summary>
	''' workを削除
	''' </summary>
	''' <remarks></remarks>
	Public Const sqlDel_DPC As String = _
	"DELETE FROM MTW_SEARCH_DPC WHERE HOST_NM=" & sqlMRPCOMMON.prmHOST_NM

	''' <summary>
	''' workを追加
	''' </summary>
	''' <remarks></remarks>
	Public Const sqlIns_DPC As String = "" _
	& "INSERT INTO MTW_SEARCH_DPC (" _
	& " HOST_NM" _
	& ",PATIENT_NO" _
	& ",HSP_HISTORY_NO" _
	& ",LASTUPDUSER_CD" _
	& ",LASTUPD_DT" _
	& ")" _
	& "SELECT" _
	& " HOST_NM" _
	& ",PATIENT_NO" _
	& ",HSP_HISTORY_NO" _
	& ",MAX(LASTUPDUSER_CD)" _
	& "," & sqlMRPCOMMON.prmLASTUPD_DT _
	& "  FROM MTW_SEARCH_WORK" _
	& " WHERE HOST_NM=" & sqlMRPCOMMON.prmHOST_NM _
	& " GROUP BY" _
	& " HOST_NM" _
	& ",PATIENT_NO" _
	& ",HSP_HISTORY_NO"

	''' <summary>
	''' workを更新(主病名,入院契機,医療資源投入１位,医療資源投入２位)
	''' </summary>
	''' <remarks></remarks>
	Public Const sqlUpd_Disease1 As String = "" _
	& "UPDATE MTW_SEARCH_DPC SET" _
	& " ICD10_CD01	= s1.ICD10_CD" _
	& ",DISEASE01	= s1.DISEASE" _
	& ",ICD10_CD02	= s2.ICD10_CD" _
	& ",DISEASE02	= s2.DISEASE" _
	& ",ICD10_CD03	= s3.ICD10_CD" _
	& ",DISEASE03	= s3.DISEASE" _
	& ",ICD10_CD04	= s4.ICD10_CD" _
	& ",DISEASE04	= s4.DISEASE" _
	& ",LASTUPD_DT	= " & sqlMRPCOMMON.prmLASTUPD_DT _
	& "  FROM MTW_SEARCH_DPC p" _
 _
	& "  LEFT JOIN (" _
	& "SELECT" _
	& " d.PATIENT_NO" _
	& ",d.HSP_HISTORY_NO" _
	& ",d.ICD10_CD" _
	& ",d.DISEASE" _
	& ",ROW_NUMBER() OVER(PARTITION BY d.PATIENT_NO,d.HSP_HISTORY_NO ORDER BY d.CH_NO,d.DISEASE_SERIAL_NO) AS ROW_NO" _
	& "  FROM MTW_SEARCH_DPC AS w" _
	& " INNER JOIN MTI_CH          AS c  ON w.PATIENT_NO      = c.PATIENT_NO" _
	& "                                 AND w.HSP_HISTORY_NO  = c.HSP_HISTORY_NO" _
	& " INNER JOIN MTI_DISEASE     AS d  ON c.PATIENT_NO      = d.PATIENT_NO" _
	& "                                 AND c.HSP_HISTORY_NO  = d.HSP_HISTORY_NO" _
	& "                                 AND c.CH_NO           = d.CH_NO" _
	& " INNER JOIN MTM_DISEASE_DIV AS m  ON d.DISEASE_DIV     = m.DISEASE_DIV_CD" _
	& " WHERE w.HOST_NM                = " & sqlMRPCOMMON.prmHOST_NM _
	& "  AND  c.MAIN_DPM_FLG           = " & sqlMRPCOMMON.prmFLG_ON _
	& "  AND  m.FIXED_CD               = " & sqlMRPCOMMON.prmFIXED_CD _
	& ") AS s1 ON p.PATIENT_NO         = s1.PATIENT_NO" _
	& "       AND p.HSP_HISTORY_NO     = s1.HSP_HISTORY_NO" _
	& "       AND 1                    = s1.ROW_NO" _
 _
	 & " LEFT JOIN (" _
	& "SELECT" _
	& " d.PATIENT_NO" _
	& ",d.HSP_HISTORY_NO" _
	& ",d.ICD10_CD" _
	& ",d.DISEASE" _
	& ",ROW_NUMBER() OVER(PARTITION BY d.PATIENT_NO,d.HSP_HISTORY_NO ORDER BY d.CH_NO,d.DISEASE_SERIAL_NO) AS ROW_NO" _
	& "  FROM MTW_SEARCH_DPC AS w" _
	& " INNER JOIN MTI_DISEASE     AS d  ON w.PATIENT_NO      = d.PATIENT_NO" _
	& "                                 AND w.HSP_HISTORY_NO  = d.HSP_HISTORY_NO" _
	& " WHERE w.HOST_NM                = " & sqlMRPCOMMON.prmHOST_NM _
	& "  AND  d.HSP_CHANCE_DISEASE_FLG = " & sqlMRPCOMMON.prmFLG_ON _
	& ") AS s2 ON p.PATIENT_NO         = s2.PATIENT_NO" _
	& "       AND p.HSP_HISTORY_NO     = s2.HSP_HISTORY_NO" _
	& "       AND 1                    = s2.ROW_NO" _
 _
	& " LEFT JOIN (" _
	& "SELECT" _
	& " d.PATIENT_NO" _
	& ",d.HSP_HISTORY_NO" _
	& ",d.ICD10_CD" _
	& ",d.DISEASE" _
	& ",ROW_NUMBER() OVER(PARTITION BY d.PATIENT_NO,d.HSP_HISTORY_NO ORDER BY d.CH_NO,d.DISEASE_SERIAL_NO) AS ROW_NO" _
	& "  FROM MTW_SEARCH_DPC AS w" _
	& " INNER JOIN MTI_DISEASE     AS d  ON w.PATIENT_NO      = d.PATIENT_NO" _
	& "                                 AND w.HSP_HISTORY_NO  = d.HSP_HISTORY_NO" _
	& " WHERE w.HOST_NM                = " & sqlMRPCOMMON.prmHOST_NM _
	& "  AND  d.DISEASE_MED_RES_FLG1   = " & sqlMRPCOMMON.prmFLG_ON _
	& ") AS s3 ON p.PATIENT_NO         = s3.PATIENT_NO" _
	& "       AND p.HSP_HISTORY_NO     = s3.HSP_HISTORY_NO" _
	& "       AND 1                    = s3.ROW_NO" _
 _
	& " LEFT JOIN (" _
	& "SELECT" _
	& " d.PATIENT_NO" _
	& ",d.HSP_HISTORY_NO" _
	& ",d.ICD10_CD" _
	& ",d.DISEASE" _
	& ",ROW_NUMBER() OVER(PARTITION BY d.PATIENT_NO,d.HSP_HISTORY_NO ORDER BY d.CH_NO,d.DISEASE_SERIAL_NO) AS ROW_NO" _
	& "  FROM MTW_SEARCH_DPC AS w" _
	& " INNER JOIN MTI_DISEASE     AS d  ON w.PATIENT_NO      = d.PATIENT_NO" _
	& "                                 AND w.HSP_HISTORY_NO  = d.HSP_HISTORY_NO" _
	& " WHERE w.HOST_NM                = " & sqlMRPCOMMON.prmHOST_NM _
	& "  AND  d.DISEASE_MED_RES_FLG2   = " & sqlMRPCOMMON.prmFLG_ON _
	& ") AS s4 ON p.PATIENT_NO         = s4.PATIENT_NO" _
	& "       AND p.HSP_HISTORY_NO     = s4.HSP_HISTORY_NO" _
	& "       AND 1                    = s4.ROW_NO" _
 _
	& " WHERE p.HOST_NM = " & sqlMRPCOMMON.prmHOST_NM

	''' <summary>
	''' workを更新(入院時併存病名)
	''' </summary>
	''' <remarks></remarks>
	Public Const sqlUpd_Disease5 As String = "" _
	& "UPDATE MTW_SEARCH_DPC SET" _
	& " ICD10_CD05	= s1.ICD10_CD" _
	& ",DISEASE05	= s1.DISEASE" _
	& ",ICD10_CD06	= s2.ICD10_CD" _
	& ",DISEASE06	= s2.DISEASE" _
	& ",ICD10_CD07	= s3.ICD10_CD" _
	& ",DISEASE07	= s3.DISEASE" _
	& ",ICD10_CD08	= s4.ICD10_CD" _
	& ",DISEASE08	= s4.DISEASE" _
	& ",LASTUPD_DT	= " & sqlMRPCOMMON.prmLASTUPD_DT _
	& "  FROM MTW_SEARCH_DPC AS p" _
	& " INNER JOIN (" & sqlSel_Disese5 & ") AS s1	 ON p.PATIENT_NO		= s1.PATIENT_NO" _
	& "												AND p.HSP_HISTORY_NO	= s1.HSP_HISTORY_NO" _
	& "												AND 1					= s1.ROW_NO" _
	& "  LEFT JOIN (" & sqlSel_Disese5 & ") AS s2	 ON p.PATIENT_NO		= s2.PATIENT_NO" _
	& "												AND p.HSP_HISTORY_NO	= s2.HSP_HISTORY_NO" _
	& "												AND 2					= s2.ROW_NO" _
	& "  LEFT JOIN (" & sqlSel_Disese5 & ") AS s3	 ON p.PATIENT_NO		= s3.PATIENT_NO" _
	& "												AND p.HSP_HISTORY_NO	= s3.HSP_HISTORY_NO" _
	& "												AND 3					= s3.ROW_NO" _
	& "  LEFT JOIN (" & sqlSel_Disese5 & ") AS s4	 ON p.PATIENT_NO		= s4.PATIENT_NO" _
	& "												AND p.HSP_HISTORY_NO	= s4.HSP_HISTORY_NO" _
	& "												AND 4					= s4.ROW_NO" _
	& " WHERE p.HOST_NM = " & sqlMRPCOMMON.prmHOST_NM

	Private Const sqlSel_Disese5 As String = "" _
	& "SELECT" _
	& " d.PATIENT_NO" _
	& ",d.HSP_HISTORY_NO" _
	& ",d.ICD10_CD" _
	& ",d.DISEASE" _
	& ",ROW_NUMBER() OVER(PARTITION BY d.PATIENT_NO,d.HSP_HISTORY_NO ORDER BY d.CH_NO,d.DISEASE_SERIAL_NO) AS ROW_NO" _
	& "  FROM MTW_SEARCH_DPC w" _
	& " INNER JOIN MTI_DISEASE     AS d  ON w.PATIENT_NO      = d.PATIENT_NO" _
	& "                                 AND w.HSP_HISTORY_NO  = d.HSP_HISTORY_NO" _
	& " WHERE w.HOST_NM                = " & sqlMRPCOMMON.prmHOST_NM _
	& "  AND  d.HSP_DISEASE_FLG        = " & sqlMRPCOMMON.prmFLG_ON

	''' <summary>
	''' workを更新(入院後発症疾患名)
	''' </summary>
	''' <remarks></remarks>
	Public Const sqlUpd_Disease9 As String = "" _
	& "UPDATE MTW_SEARCH_DPC SET" _
	& " ICD10_CD09	= s1.ICD10_CD" _
	& ",DISEASE09	= s1.DISEASE" _
	& ",ICD10_CD10	= s2.ICD10_CD" _
	& ",DISEASE10	= s2.DISEASE" _
	& ",ICD10_CD11	= s3.ICD10_CD" _
	& ",DISEASE11	= s3.DISEASE" _
	& ",ICD10_CD12	= s4.ICD10_CD" _
	& ",DISEASE12	= s4.DISEASE" _
	& ",LASTUPD_DT	= " & sqlMRPCOMMON.prmLASTUPD_DT _
	& "  FROM MTW_SEARCH_DPC AS p" _
	& " INNER JOIN (" & sqlSel_Disese9 & ") AS s1	 ON p.PATIENT_NO		= s1.PATIENT_NO" _
	& "												AND p.HSP_HISTORY_NO	= s1.HSP_HISTORY_NO" _
	& "												AND 1					= s1.ROW_NO" _
	& "  LEFT JOIN (" & sqlSel_Disese9 & ") AS s2	 ON p.PATIENT_NO		= s2.PATIENT_NO" _
	& "												AND p.HSP_HISTORY_NO	= s2.HSP_HISTORY_NO" _
	& "												AND 2					= s2.ROW_NO" _
	& "  LEFT JOIN (" & sqlSel_Disese9 & ") AS s3	 ON p.PATIENT_NO		= s3.PATIENT_NO" _
	& "												AND p.HSP_HISTORY_NO	= s3.HSP_HISTORY_NO" _
	& "												AND 3					= s3.ROW_NO" _
	& "  LEFT JOIN (" & sqlSel_Disese9 & ") AS s4	 ON p.PATIENT_NO		= s4.PATIENT_NO" _
	& "												AND p.HSP_HISTORY_NO	= s4.HSP_HISTORY_NO" _
	& "												AND 4					= s4.ROW_NO" _
	& " WHERE p.HOST_NM = " & sqlMRPCOMMON.prmHOST_NM

	Private Const sqlSel_Disese9 As String = "" _
	& "SELECT" _
	& " d.PATIENT_NO" _
	& ",d.HSP_HISTORY_NO" _
	& ",d.ICD10_CD" _
	& ",d.DISEASE" _
	& ",ROW_NUMBER() OVER(PARTITION BY d.PATIENT_NO,d.HSP_HISTORY_NO ORDER BY d.CH_NO,d.DISEASE_SERIAL_NO) AS ROW_NO" _
	& "  FROM MTW_SEARCH_DPC AS w" _
	& " INNER JOIN MTI_DISEASE     AS d  ON w.PATIENT_NO      = d.PATIENT_NO" _
	& "                                 AND w.HSP_HISTORY_NO  = d.HSP_HISTORY_NO" _
	& " WHERE w.HOST_NM                = " & sqlMRPCOMMON.prmHOST_NM _
	& "  AND  d.AFTER_HSP_DISEASE_FLG  = " & sqlMRPCOMMON.prmFLG_ON


	''' <summary>
	''' workを更新(手術)
	''' </summary>
	''' <remarks></remarks>
	Public Const sqlUpd_Ope As String = "" _
	& "UPDATE MTW_SEARCH_DPC SET" _
	& " OPE_NM01			= o1.OPE_NM" _
	& ",ICD9CM_CD01			= o1.ICD9CM_CD" _
	& ",SCORE_CD01			= o1.SCORE_CD" _
	& ",OPE_COUNT_CD01		= o1.OPE_COUNT_CD" _
	& ",OPE_PART_CD01		= o1.OPE_PART_CD" _
	& ",OPE_DT01			= o1.OPE_DT" _
	& ",ANESTHESIA_CD01		= o1.ANESTHESIA_CD" _
	& ",OPE_NM02			= o2.OPE_NM" _
	& ",ICD9CM_CD02			= o2.ICD9CM_CD" _
	& ",SCORE_CD02			= o2.SCORE_CD" _
	& ",OPE_COUNT_CD02		= o2.OPE_COUNT_CD" _
	& ",OPE_PART_CD02		= o2.OPE_PART_CD" _
	& ",OPE_DT02			= o2.OPE_DT" _
	& ",ANESTHESIA_CD02		= o2.ANESTHESIA_CD" _
	& ",OPE_NM03			= o3.OPE_NM" _
	& ",ICD9CM_CD03			= o3.ICD9CM_CD" _
	& ",SCORE_CD03			= o3.SCORE_CD" _
	& ",OPE_COUNT_CD03		= o3.OPE_COUNT_CD" _
	& ",OPE_PART_CD03		= o3.OPE_PART_CD" _
	& ",OPE_DT03			= o3.OPE_DT" _
	& ",ANESTHESIA_CD03		= o3.ANESTHESIA_CD" _
	& ",OPE_NM04			= o4.OPE_NM" _
	& ",ICD9CM_CD04			= o4.ICD9CM_CD" _
	& ",SCORE_CD04			= o4.SCORE_CD" _
	& ",OPE_COUNT_CD04		= o4.OPE_COUNT_CD" _
	& ",OPE_PART_CD04		= o4.OPE_PART_CD" _
	& ",OPE_DT04			= o4.OPE_DT" _
	& ",ANESTHESIA_CD04		= o4.ANESTHESIA_CD" _
	& ",OPE_NM05			= o5.OPE_NM" _
	& ",ICD9CM_CD05			= o5.ICD9CM_CD" _
	& ",SCORE_CD05			= o5.SCORE_CD" _
	& ",OPE_COUNT_CD05		= o5.OPE_COUNT_CD" _
	& ",OPE_PART_CD05		= o5.OPE_PART_CD" _
	& ",OPE_DT05			= o5.OPE_DT" _
	& ",ANESTHESIA_CD05		= o5.ANESTHESIA_CD" _
	& ",LASTUPD_DT			= " & sqlMRPCOMMON.prmLASTUPD_DT _
	& "  FROM MTW_SEARCH_DPC AS w" _
	& " INNER JOIN (" & sqlSubOpe & ") AS o1	 ON w.PATIENT_NO = o1.PATIENT_NO AND w.HSP_HISTORY_NO  = o1.HSP_HISTORY_NO AND 1 = o1.ROW_NO" _
	& "  LEFT JOIN (" & sqlSubOpe & ") AS o2	 ON w.PATIENT_NO = o2.PATIENT_NO AND w.HSP_HISTORY_NO  = o2.HSP_HISTORY_NO AND 2 = o2.ROW_NO" _
	& "  LEFT JOIN (" & sqlSubOpe & ") AS o3	 ON w.PATIENT_NO = o3.PATIENT_NO AND w.HSP_HISTORY_NO  = o3.HSP_HISTORY_NO AND 3 = o3.ROW_NO" _
	& "  LEFT JOIN (" & sqlSubOpe & ") AS o4	 ON w.PATIENT_NO = o4.PATIENT_NO AND w.HSP_HISTORY_NO  = o4.HSP_HISTORY_NO AND 4 = o4.ROW_NO" _
	& "  LEFT JOIN (" & sqlSubOpe & ") AS o5	 ON w.PATIENT_NO = o5.PATIENT_NO AND w.HSP_HISTORY_NO  = o5.HSP_HISTORY_NO AND 5 = o5.ROW_NO" _
	& " WHERE w.HOST_NM = " & sqlMRPCOMMON.prmHOST_NM

	Public Const sqlSubOpe As String = "" _
	& "SELECT" _
	& " o.PATIENT_NO" _
	& ",o.HSP_HISTORY_NO" _
	& ",ROW_NUMBER() OVER(PARTITION BY o.PATIENT_NO,o.HSP_HISTORY_NO ORDER BY {0}o.OPE_DT,o.CH_NO,o.OPE_SERIAL_NO) AS ROW_NO" _
	& ",o.OPE_NM" _
	& ",o.ICD9CM_CD" _
	& ",o.SCORE_CD" _
	& ",o.OPE_COUNT_CD" _
	& ",o.OPE_PART_CD" _
	& ",o.OPE_DT" _
	& ",o.ANESTHESIA_DIV1 AS ANESTHESIA_CD" _
	& "  FROM MTW_SEARCH_DPC" _
	& " INNER JOIN MTI_OPE		AS o ON MTW_SEARCH_DPC.PATIENT_NO		= o.PATIENT_NO" _
	& "								AND MTW_SEARCH_DPC.HSP_HISTORY_NO	= o.HSP_HISTORY_NO" _
	& " WHERE MTW_SEARCH_DPC.HOST_NM = " & sqlMRPCOMMON.prmHOST_NM _
	& "{1}"

	'動作環境[手術区分]= a の場合
	Public Const sqlAdd_Ope_Sort_A = "o.REMARKS1,o.OPE_DIV,"					'上記SQLの{0}に追加
	Public Const sqlAdd_Ope_Where_A = "  AND o.REMARKS1 Is NOT NULL"			'上記SQLの{1}に追加
	'動作環境[手術区分]= b の場合
	Public Const sqlAdd_Ope_Sort_B = "o.REMARKS2,o.OPE_DIV,"					'上記SQLの{0}に追加
	Public Const sqlAdd_Ope_Where_B = "  AND o.REMARKS2 Is NOT NULL"			'上記SQLの{1}に追加
	'動作環境[手術区分]= c の場合
	Public Const sqlAdd_Ope_Sort_C = "o.ASST_DIV1,o.OPE_DIV,"					'上記SQLの{0}に追加
	Public Const sqlAdd_Ope_Where_C = "  AND o.ASST_DIV1 Is NOT NULL"			'上記SQLの{1}に追加
	'動作環境[手術区分]= d の場合
	Public Const sqlAdd_Ope_Sort_D = "o.ASST_DIV2,o.OPE_DIV,"					'上記SQLの{0}に追加
	Public Const sqlAdd_Ope_Where_D = "  AND o.ASST_DIV2 Is NOT NULL"			'上記SQLの{1}に追加
	'動作環境[手術区分]= 数値 の場合
	Public Const prmOPE_DIV As String = "@OPE_DIV"
	Public Const sqlAdd_Ope_Sort_N = Nothing									'上記SQLの{0}に追加
	Public Const sqlAdd_Ope_Where_N = "  AND o.OPE_DIV = " & prmOPE_DIV			'上記SQLの{1}に追加
	'動作環境[手術区分]= 上記以外 の場合
	Public Const sqlAdd_Ope_Sort_Z = "o.OPE_DIV,"								'上記SQLの{0}に追加
	Public Const sqlAdd_Ope_Where_Z = Nothing									'上記SQLの{1}に追加

	''' <summary>
	''' 検索結果件数取得用データクラス
	''' </summary>
	Public NotInheritable Class datDpcMst
		Public TABLE_CD As String = Nothing						'テーブルコード
		Public FIELD_NM As String = Nothing						'フィールド名
		Public EXTRACT_OBJECT As Integer = Nothing				'抽出対象
		Public CONTENT As String = Nothing						'内容
		Public CONTENT_RNM As String = Nothing					'内容
	End Class

	''' <summary>
	''' ＤＰＣマスタ参照
	''' </summary>
	''' <remarks></remarks>
	Public Const sqlSel_DpcMst As String = "" _
	& "SELECT TOP 100" _
	& " TABLE_CD" _
	& ",FIELD_NM" _
	& ",EXTRACT_OBJECT" _
	& ",CONTENT" _
	& ",CONTENT_RNM" _
	& "  FROM MTM_EXTRACT_ITM" _
	& " WHERE L_GRP_CD = 1" _
	& "   AND M_GRP_CD" & XCM.clsConst.CST_NONEMPTY_WHERE _
	& " ORDER BY M_GRP_CD"

	''' <summary>
	''' workを更新(補足項目１)
	''' </summary>
	''' <remarks></remarks>
	Public Const sqlUpd_Asst1_1 As String = "" _
	& "UPDATE MTW_SEARCH_DPC SET" _
	& " ASST_CD{0}	= " & sqlMRPCOMMON.prmFLG_ON _
	& ",ASST{0}		= " & sqlMRPCOMMON.prmFLG_NM_ON _
	& ",ASST_RNM{0} = " & sqlMRPCOMMON.prmFLG_NM_ON _
	& ",LASTUPD_DT	= " & sqlMRPCOMMON.prmLASTUPD_DT _
	& "  FROM MTW_SEARCH_DPC AS w" _
	& " INNER JOIN MTI_CH          AS c  ON w.PATIENT_NO      = c.PATIENT_NO" _
	& "                                 AND w.HSP_HISTORY_NO  = c.HSP_HISTORY_NO" _
	& " INNER JOIN MTI_ASST1       AS a  ON c.PATIENT_NO      = a.PATIENT_NO" _
	& "                                 AND c.HSP_HISTORY_NO  = a.HSP_HISTORY_NO" _
	& "                                 AND c.CH_NO           = a.CH_NO" _
	& " WHERE w.HOST_NM                = " & sqlMRPCOMMON.prmHOST_NM _
	& "   AND c.MAIN_DPM_FLG           = " & sqlMRPCOMMON.prmFLG_ON _
	& "   AND a.{1}                    = " & sqlMRPCOMMON.prmFLG_ON

	''' <summary>
	''' workを更新(補足項目２)
	''' </summary>
	''' <remarks></remarks>
	Public Const sqlUpd_Asst2_1 As String = "" _
	& "UPDATE MTW_SEARCH_DPC SET" _
	& " ASST{0}		= CASE WHEN '{1}' LIKE 'DATE%' THEN CONVERT(VARCHAR, a.{1} ,111) ELSE CONVERT(VARCHAR,a.{1}) END" _
	& ",LASTUPD_DT	= " & sqlMRPCOMMON.prmLASTUPD_DT _
	& "  FROM MTW_SEARCH_DPC AS w" _
	& " INNER JOIN MTI_CH          AS c  ON w.PATIENT_NO      = c.PATIENT_NO" _
	& "                                 AND w.HSP_HISTORY_NO  = c.HSP_HISTORY_NO" _
	& " INNER JOIN MTI_ASST2       AS a  ON c.PATIENT_NO      = a.PATIENT_NO" _
	& "                                 AND c.HSP_HISTORY_NO  = a.HSP_HISTORY_NO" _
	& "                                 AND c.CH_NO           = a.CH_NO" _
	& " WHERE w.HOST_NM                = " & sqlMRPCOMMON.prmHOST_NM _
	& "   AND c.MAIN_DPM_FLG           = " & sqlMRPCOMMON.prmFLG_ON

	''' <summary>
	''' workを更新(補足項目２)
	''' </summary>
	''' <remarks></remarks>
	Public Const sqlUpd_Asst2_1_cmb As String = "" _
	& "UPDATE MTW_SEARCH_DPC SET" _
	& " ASST_CD{0}	= a.{1}" _
	& ",ASST{0}		= MTM_ASST2_CNT.CNT_NM" _
	& ",ASST_RNM{0} = MTM_ASST2_CNT.CNT_RNM" _
	& ",LASTUPD_DT	= " & sqlMRPCOMMON.prmLASTUPD_DT _
	& "  FROM MTW_SEARCH_DPC AS w" _
	& " INNER JOIN MTI_CH          AS c  ON w.PATIENT_NO      = c.PATIENT_NO" _
	& "                                 AND w.HSP_HISTORY_NO  = c.HSP_HISTORY_NO" _
	& " INNER JOIN MTI_ASST2       AS a  ON c.PATIENT_NO      = a.PATIENT_NO" _
	& "                                 AND c.HSP_HISTORY_NO  = a.HSP_HISTORY_NO" _
	& "                                 AND c.CH_NO           = a.CH_NO" _
	& " INNER JOIN MTM_ASST2_ITM         ON '{1}' 	          = MTM_ASST2_ITM.SPT_FIELD_NM" _
	& " INNER JOIN MTM_ASST2_CNT         ON MTM_ASST2_ITM.ITEM_CD = MTM_ASST2_CNT.ITEM_CD" _
	& "                                 AND a.{1}                 = MTM_ASST2_CNT.CNT_CD" _
	& " WHERE w.HOST_NM                  = " & sqlMRPCOMMON.prmHOST_NM _
	& "   AND c.MAIN_DPM_FLG             = " & sqlMRPCOMMON.prmFLG_ON


	''' <summary>
	''' workを更新(補足項目１)
	''' </summary>
	''' <remarks></remarks>
	Public Const sqlUpd_Asst1_2 As String = "" _
	& "UPDATE MTW_SEARCH_DPC SET" _
	& " ASST_CD{0}	= " & sqlMRPCOMMON.prmFLG_ON _
	& ",ASST{0}		= " & sqlMRPCOMMON.prmFLG_NM_ON _
	& ",ASST_RNM{0} = " & sqlMRPCOMMON.prmFLG_NM_ON _
	& ",LASTUPD_DT	= " & sqlMRPCOMMON.prmLASTUPD_DT _
	& "  FROM MTW_SEARCH_DPC AS w" _
	& " INNER JOIN MTI_CH          AS c  ON w.PATIENT_NO      = c.PATIENT_NO" _
	& "                                 AND w.HSP_HISTORY_NO  = c.HSP_HISTORY_NO" _
	& " INNER JOIN MTI_ASST1       AS a  ON c.PATIENT_NO      = a.PATIENT_NO" _
	& "                                 AND c.HSP_HISTORY_NO  = a.HSP_HISTORY_NO" _
	& " WHERE w.HOST_NM                = " & sqlMRPCOMMON.prmHOST_NM _
	& "   AND c.MAIN_DPM_FLG           = " & sqlMRPCOMMON.prmFLG_ON _
	& "   AND a.{1}                    = " & sqlMRPCOMMON.prmFLG_ON

	''' <summary>
	''' workを更新(補足項目２)
	''' </summary>
	''' <remarks></remarks>
	Public Const sqlUpd_Asst2_3 As String = "" _
	& "UPDATE MTW_SEARCH_DPC SET" _
	& " ASST{0}		= CASE WHEN '{1}' LIKE 'DATE%' THEN CONVERT(VARCHAR, s.VAL ,111) ELSE CONVERT(VARCHAR,s.VAL) END" _
	& ",LASTUPD_DT	= " & sqlMRPCOMMON.prmLASTUPD_DT _
	& "  FROM MTW_SEARCH_DPC AS p" _
	& " INNER JOIN (" _
 _
	& "SELECT" _
	& " a.PATIENT_NO" _
	& ",a.HSP_HISTORY_NO" _
	& ",a.{1}  AS VAL" _
	& ",ROW_NUMBER() OVER(PARTITION BY c.PATIENT_NO,c.HSP_HISTORY_NO ORDER BY {2}) AS ROW_NO" _
	& "  FROM MTW_SEARCH_DPC AS w" _
	& " INNER JOIN MTI_CH          AS c  ON w.PATIENT_NO      = c.PATIENT_NO" _
	& "                                 AND w.HSP_HISTORY_NO  = c.HSP_HISTORY_NO" _
	& " INNER JOIN MTI_ASST2       AS a  ON c.PATIENT_NO      = a.PATIENT_NO" _
	& "                                 AND c.HSP_HISTORY_NO  = a.HSP_HISTORY_NO" _
	& "                                 AND c.CH_NO           = a.CH_NO" _
	& " WHERE w.HOST_NM                = " & sqlMRPCOMMON.prmHOST_NM _
	& "  AND  a.{1} IS NOT NULL" _
 _
	& ") AS s                            ON p.PATIENT_NO      = s.PATIENT_NO" _
	& "                                 AND p.HSP_HISTORY_NO  = s.HSP_HISTORY_NO" _
	& " WHERE p.HOST_NM                = " & sqlMRPCOMMON.prmHOST_NM _
	& "   AND s.ROW_NO                 = 1"
	''' <summary>
	''' workを更新(補足項目２)
	''' </summary>
	''' <remarks></remarks>
	Public Const sqlUpd_Asst2_3_cmb As String = "" _
	& "UPDATE MTW_SEARCH_DPC SET" _
	& " ASST_CD{0}  = s.VAL" _
	& ",ASST{0}		= MTM_ASST2_CNT.CNT_NM" _
	& ",ASST_RNM{0} = MTM_ASST2_CNT.CNT_RNM" _
	& ",LASTUPD_DT	= " & sqlMRPCOMMON.prmLASTUPD_DT _
	& "  FROM MTW_SEARCH_DPC AS p" _
	& " INNER JOIN (" _
 _
	& "SELECT" _
	& " a.PATIENT_NO" _
	& ",a.HSP_HISTORY_NO" _
	& ",a.{1}  AS VAL" _
	& ",ROW_NUMBER() OVER(PARTITION BY c.PATIENT_NO,c.HSP_HISTORY_NO ORDER BY {2}) AS ROW_NO" _
	& "  FROM MTW_SEARCH_DPC AS w" _
	& " INNER JOIN MTI_CH          AS c  ON w.PATIENT_NO      = c.PATIENT_NO" _
	& "                                 AND w.HSP_HISTORY_NO  = c.HSP_HISTORY_NO" _
	& " INNER JOIN MTI_ASST2       AS a  ON c.PATIENT_NO      = a.PATIENT_NO" _
	& "                                 AND c.HSP_HISTORY_NO  = a.HSP_HISTORY_NO" _
	& "                                 AND c.CH_NO           = a.CH_NO" _
	& " WHERE w.HOST_NM                = " & sqlMRPCOMMON.prmHOST_NM _
	& "  AND  a.{1} IS NOT NULL" _
 _
	& ") AS s                            ON p.PATIENT_NO      = s.PATIENT_NO" _
	& "                                 AND p.HSP_HISTORY_NO  = s.HSP_HISTORY_NO" _
	& " INNER JOIN MTM_ASST2_ITM         ON '{1}' 	          = MTM_ASST2_ITM.SPT_FIELD_NM" _
	& " INNER JOIN MTM_ASST2_CNT         ON MTM_ASST2_ITM.ITEM_CD = MTM_ASST2_CNT.ITEM_CD" _
	& "                                 AND s.VAL             = MTM_ASST2_CNT.CNT_CD" _
	& " WHERE p.HOST_NM                  = " & sqlMRPCOMMON.prmHOST_NM _
	& "  AND  s.ROW_NO                   = 1"

	'
	Public Const sqlAdd_Asst_Sort_3 As String = "c.MAIN_DPM_FLG,c.CH_NO DESC"		'上記SQLの{2}に追加
	Public Const sqlAdd_Asst_Sort_4 As String = "c.MAIN_DPM_FLG,c.CH_NO"			'上記SQLの{2}に追加
	Public Const sqlAdd_Asst_Sort_5 As String = "a.{1}"								'上記SQLの{2}に追加

#End Region
End Class
