﻿Imports XCM
Imports System.ComponentModel
''' ---------------------------------------------
''' <summary>
''' 診療情報管理 検索 コントロールベース(タブ)
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class MSR000C020

#Region "コンスタント"

	Protected Const CST_TABPAGE_MARK As String = "★"		' タブタイトル条件有り
	Protected Const CST_TABPAGE_BLANK As String = "　"		' タブタイトル条件有り

#End Region

#Region "変数"

	Private _DoubleBuffer As Boolean = True					'ダブルバッファリング設定

#End Region

#Region "プロパティ"

    ''' ---------------------------------------------
    ''' <summary>
    ''' 独自ダブルバッファリングを設定
    ''' </summary>
    ''' <value></value>
    ''' <returns></returns>
    ''' <remarks>
    ''' 2010/10/25 新規作成 ACS)仙頭<BR/>
    ''' </remarks>
    ''' ---------------------------------------------
    <Browsable(True), _
     Description("ダブルバッファリングを設定します。"), _
     Category("カスタムプロパティ")>
    Public Property localDoubleBuffer() As Boolean
        Get
            Return Me._DoubleBuffer
        End Get
        Set(ByVal value As Boolean)
            Me._DoubleBuffer = value
        End Set
    End Property

	''' ---------------------------------------------
	''' <summary>
	''' ちらつき軽減
	''' </summary>
	''' <value></value>
	''' <returns></returns>
	''' <remarks>
	''' 2010/11/04 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overrides ReadOnly Property CreateParams() As System.Windows.Forms.CreateParams
		Get
			If Me._DoubleBuffer Then
				Dim c As CreateParams = MyBase.CreateParams
				c.ExStyle = c.ExStyle Or &H2000000
				Return c
			Else
				Return MyBase.CreateParams
			End If
		End Get
	End Property

#End Region

#Region "イベント"

    ''' ---------------------------------------------
    ''' <summary>
    ''' コントロールロード
    ''' </summary>
    ''' <param name="sender"></param>
    ''' <param name="e"></param>
    ''' <remarks>
    ''' 2010/10/25 新規作成 ACS)仙頭<BR/>
    ''' </remarks>
    ''' ---------------------------------------------
    Private Sub MSR000C020_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        If Me.DesignMode = True Then Exit Sub
		DirectCast(Me.TopLevelControl, frmBase).log(clsSysMst.logLevel.DBG, "MSR000C020_Load", "コントロールロード START")
        Try
			With Me.tab001MSR000C020

				'タブタイトルを縦書きに
				If .Alignment = TabAlignment.Left Then
					.DrawMode = TabDrawMode.OwnerDrawFixed
					AddHandler .DrawItem, AddressOf tab001MSR000C010_DrawItem
				Else
					'タブタイトルにブランクを付与
					For i As Integer = 0 To .TabPages.Count - 1
						With .TabPages(i)
							.Text = CST_TABPAGE_BLANK & .Text.Trim & CST_TABPAGE_BLANK
						End With
					Next
					'変更したタブタイトルで位置調整
					.ItemSize = New Size(.ItemSize.Width, .ItemSize.Height)
				End If
			End With
        Catch ex As Exception
            DirectCast(Me.TopLevelControl, frmBase).ErrorProc(ex)
        End Try
    End Sub

    ''' ---------------------------------------------
    ''' <summary>
    ''' タブ描画
    ''' </summary>
    ''' <param name="sender"></param>
    ''' <param name="e"></param>
    ''' <remarks>
    ''' 2010/10/25 新規作成 ACS)仙頭<BR/>
    ''' </remarks>
    ''' ---------------------------------------------
    Private Sub tab001MSR000C010_DrawItem(ByVal sender As Object, ByVal e As System.Windows.Forms.DrawItemEventArgs)
        DirectCast(Me.TopLevelControl, frmBase).log(clsSysMst.logLevel.DBG, "tab001MSR000C010_DrawItem", "タブ描画 START")
		Dim Page As TabPage
		Dim g As Graphics
		Try
			Page = DirectCast(sender, TabControl).TabPages(e.Index)
			g = e.Graphics

			'背景塗りつぶし
			Using backBrush As New SolidBrush(page.BackColor)
				g.FillRectangle(backBrush, e.Bounds)
			End Using

			'文字を描画
			Using foreBrush As New SolidBrush(page.ForeColor), _
				  sf As New StringFormat(StringFormat.GenericDefault)
				'sf.FormatFlags = StringFormatFlags.DirectionVertical Or StringFormatFlags.LineLimit	'縦書きにするとXPで上手く表示できないのでコメントアウト
				sf.Alignment = StringAlignment.Center
				sf.LineAlignment = StringAlignment.Center
				g.TranslateTransform(e.Bounds.X + e.Bounds.Width \ 2, e.Bounds.Y + e.Bounds.Height \ 2)
				g.DrawString(page.Text, e.Font, foreBrush, 0, 0, sf)
			End Using
		Catch ex As Exception
			DirectCast(Me.TopLevelControl, frmBase).ErrorProc(ex)
		Finally
			Page = Nothing
			g = Nothing
		End Try
    End Sub

#End Region

#Region "メソッド"

    ''' ---------------------------------------------
    ''' <summary>
    ''' 貸出物のタブ名を設定
    ''' </summary>
	''' <param name="Param">タブページと管理物コード → 1:タブページ 2:管理物コード 3:タブページ 4:管理物コード …</param>
    ''' <remarks>
    ''' 2010/11/08 新規作成 ACS)仙頭<BR/>
    ''' </remarks>
    ''' ---------------------------------------------
	Protected Sub setTabName(ByVal ParamArray Param())
		'DirectCast(Me.TopLevelControl, frmBase).log(clsSysMst.logLevel.DBG, "setTabName", "貸出物のタブ名を設定 START")
		Try
			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData),
				  dt As DataTable = New DataTable
				With db
					.setSQLDa(sqlMSR000C020.sqlSel_MTM_LENDITEM)
					.execQueryDa(dt)
					With dt
						.PrimaryKey = New DataColumn() {.Columns(sqlMSR000C020.itmLENDITEM_CD)}
						For i As Integer = 0 To Param.Length - 1 Step 2
							Dim row As DataRow = .Rows.Find(Integer.Parse(Param(i + 1)))
							If row IsNot Nothing Then
								DirectCast(Param(i), TabPage).Text = row.Item(sqlMSR000C020.itmLENDITEM_NM)
							Else
								DirectCast(DirectCast(Param(i), TabPage).Parent, TabControl).TabPages.Remove(DirectCast(Param(i), TabPage))
							End If
						Next
					End With
				End With
			End Using
		Catch ex As Exception
			Throw
		End Try
	End Sub

#End Region

#Region "オーバーライダブルメソッド"

    ''' ---------------------------------------------
    ''' <summary>
    ''' タブページタイトル設定
    ''' </summary>
    ''' <param name="ctl">タブページ</param>
    ''' <remarks>
    ''' 2010/10/25 新規作成 ACS)仙頭<BR/>
    ''' </remarks>
    ''' ---------------------------------------------
    Protected Overridable Sub setTitle(ByVal ctl As TabPage)
		DirectCast(Me.TopLevelControl, frmBase).log(clsSysMst.logLevel.DBG, "setTitle", "タブページタイトル設定１ START")
        Try
            '全タブ検索時のみ処理を行う
            If Me.TabType <> ENUM_TAB_TYPE.ALL_TAB Then Exit Sub

            'タブ名称を設定
            Me.setTitle(ctl, Me.chkChecked(ctl))

        Catch ex As Exception
            Throw
        End Try
    End Sub

    ''' ---------------------------------------------
    ''' <summary>
    ''' タブページタイトル設定
    ''' </summary>
    ''' <param name="ctl">コントロール</param>
    ''' <param name="chk">設定・解除</param>
    ''' <remarks>
    ''' 2010/10/25 新規作成 ACS)仙頭<BR/>
    ''' </remarks>
    ''' ---------------------------------------------
    Protected Overridable Sub setTitle(ByVal ctl As System.Object, ByVal chk As Boolean)
		DirectCast(Me.TopLevelControl, frmBase).log(clsSysMst.logLevel.DBG, "setTitle", "タブページタイトル設定２ START")
        Dim owner_ctl As TabPage
        Try
            '全タブ検索時のみ処理を行う
            If Me.TabType <> ENUM_TAB_TYPE.ALL_TAB Then Exit Sub

            'タブページコンテナの検索
            owner_ctl = getParentTabPage(ctl)

            'タブページコンテナが見つかれば
            If owner_ctl IsNot Nothing Then

                'OFFの場合は、他のコントロールを走査し、判定する
                If chk = False Then chk = Me.chkChecked(owner_ctl)

                'タブ名称を設定
                Me.setTitle(owner_ctl, chk)
            End If
        Catch ex As Exception
            Throw
        End Try
    End Sub

    ''' ---------------------------------------------
    ''' <summary>
    ''' タブページタイトル設定
    ''' </summary>
    ''' <param name="ctl">タブページ</param>
    ''' <param name="chk">設定・解除</param>
    ''' <remarks>
    ''' 2010/10/25 新規作成 ACS)仙頭<BR/>
    ''' </remarks>
    ''' ---------------------------------------------
    Protected Overridable Sub setTitle(ByVal ctl As TabPage, ByVal chk As Boolean)
		DirectCast(Me.TopLevelControl, frmBase).log(clsSysMst.logLevel.DBG, "setTitle", "タブページタイトル設定３ START")
		Try
			'インデックスを取得
			Dim idx As Integer = Me.tab001MSR000C020.TabPages.IndexOf(ctl)
			If idx = -1 Then Exit Sub

			'タブ名称を設定
			With ctl
				If chk = True Then
					.Text = CST_TABPAGE_MARK & .Text.Substring(CST_TABPAGE_MARK.Length)
				Else
					.Text = CST_TABPAGE_BLANK & .Text.Substring(CST_TABPAGE_MARK.Length)
				End If
			End With
		Catch ex As Exception
			Throw
		End Try
    End Sub

#End Region

#Region "オーバーライズメソッド"

    ''' ---------------------------------------------
    ''' <summary>
    ''' 復元処理
    ''' </summary>
    ''' <param name="searhNo">検索番号</param>
    ''' <returns></returns>
    ''' <remarks>
    ''' 2010/10/25 新規作成 ACS)仙頭<BR/>
    ''' </remarks>
    ''' ---------------------------------------------
    Public Overrides Function setCondition(ByVal searhNo As Integer) As Boolean
        DirectCast(Me.TopLevelControl, frmBase).log(clsSysMst.logLevel.NRM, "setCondition", "復元処理 START")
        Try
            '継承元を処理
            MyBase.setCondition(searhNo)

            'タブ名称を設定
            With Me.tab001MSR000C020
                For Each ctl As TabPage In .TabPages
                    Me.setTitle(ctl)
                Next
            End With
            Return True
        Catch ex As Exception
            Throw
        End Try
    End Function

    ''' ---------------------------------------------
    ''' <summary>
    ''' チェックボックス変更
    ''' </summary>
    ''' <param name="sender"></param>
    ''' <param name="e"></param>
    ''' <remarks>
    ''' 2010/10/26 新規作成 ACS)仙頭<BR/>
    ''' </remarks>
    ''' ---------------------------------------------
    Protected Overrides Sub CheckBox_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs)
        'イベントとの関連付けは、継承元のsetControlで行っています
		DirectCast(Me.TopLevelControl, frmBase).log(clsSysMst.logLevel.DBG, "CheckBox_CheckedChanged", "検索条件変更時 START")
        Try
            Me.setTitle(sender, DirectCast(sender, CheckBox).Checked)
        Catch ex As Exception
            DirectCast(Me.TopLevelControl, frmBase).ErrorProc(ex)
        End Try
    End Sub

    ''' ---------------------------------------------
    ''' <summary>
    ''' Ｆ１０キー押下処理
    ''' </summary>
    ''' <returns></returns>
    ''' <remarks>
    ''' 2010/10/25 新規作成 ACS)仙頭<BR/>
    ''' </remarks>
    ''' ---------------------------------------------
    Public Overrides Function F10KeyProc() As Boolean
        DirectCast(Me.TopLevelControl, frmBase).log(clsSysMst.logLevel.NRM, "F10KeyProc", "Ｆ１０キー押下処理 START")
		Try
			'入力エラーならタブ移動させない
			If Me.ValidateChildren = False Then Return True

			'タブ移動
			If Me.tab001MSR000C020.SelectedIndex >= Me.tab001MSR000C020.TabPages.Count - 1 Then
				Me.tab001MSR000C020.SelectedIndex = 0
			Else
				Me.tab001MSR000C020.SelectedIndex += 1
			End If
			Return True
		Catch ex As Exception
			Throw
		End Try
    End Function

#End Region

End Class
