﻿Imports XCM
Imports XSP

''' ---------------------------------------------
''' <summary>
''' 診療情報管理 検索 継承元 検索結果更新
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class MSR000F040

#Region "変数"

	'継承先にて値設定
	Protected dgvList As DataGridView								'一覧(ｸﾞﾘｯﾄﾋﾞｭｰ)
	Protected MngDiv As String = clsConst.CST_SIGN_F				'管理記号

#End Region

#Region "イベント"

	''' ---------------------------------------------
	''' <summary>
	''' フォームロード時
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/29 新規作成　ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub MSR000F040_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
		If Me.DesignMode Then Exit Sub
		log(XCM.clsSysMst.logLevel.NRM, "MSR000F040_Load", "フォームロード時 START")
		Try
			'初期値設定
			Me.rdo004MSR000F040.Checked = True
			Me.rdo003MSR000F040.Checked = True
			Me.rdo014MSR000F040.Checked = True
			Me.rdo029MSR000F040.Checked = True

		Catch ex As Exception
			Me.ErrorProc(ex)
		End Try

	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' フォームを閉じるとき
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/29 新規作成　ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub MSR000F040_FormClosing(ByVal sender As Object, ByVal e As System.Windows.Forms.FormClosingEventArgs) Handles Me.FormClosing
		log(XCM.clsSysMst.logLevel.NRM, "MSR000F040_FormClosing", "フォームクローズ START")
		Try
			Me.FormClosingProc()
		Catch ex As Exception
			Me.ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' ラジオボタン変更時（管理番号・ＩＣＤ１０）
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/26 新規作成　ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub rdo_CheckedChanged(ByVal sender As Object, ByVal e As System.EventArgs) Handles rdo003MSR000F040.CheckedChanged, rdo004MSR000F040.CheckedChanged
		log(XCM.clsSysMst.logLevel.NRM, "rdo_Click", "ラジオボタンクリック時（管理番号・ＩＣＤ１０） START")
		Try
			'画面データクリア
			Me.txtClear()
		Catch ex As Exception
			Me.ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 管理番号Leave時
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/01 新規作成　ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub txt007MSR000F040_Leave(ByVal sender As Object, ByVal e As System.EventArgs) Handles msk007MSR000F040.Leave
		log(XCM.clsSysMst.logLevel.NRM, "txt007MSR000F040_Leave", "管理番号Leave時 START")
		'手術名マスタより取得し、画面上の各項目にセット
		Try
			Me.Cursor = Cursors.WaitCursor

			If String.IsNullOrEmpty(Me.msk007MSR000F040.Text) = True Then Return

			Using dt As New DataTable
				Using db As New clsDB(clsSysMst.ctlConfigData)
					With db
						'パラメータセット
						.setSQLDa(sqlMSR000F040.sqlSelMstOpe)
						.setParamDa(sqlMSR000F040.prmDISEASE_MNG_DIV, XCM.clsDB.Enum_dbType.dbNVarChar)	'管理記号
						.setParamDa(sqlMSR000F040.prmDISEASE_MNG_NO, XCM.clsDB.Enum_dbType.dbInt)		'管理番号

						'値セット
						.setValDa(sqlMSR000F040.prmDISEASE_MNG_DIV, Me.MngDiv)							'管理記号
						.setValDa(sqlMSR000F040.prmDISEASE_MNG_NO, Me.msk007MSR000F040.Text)			'管理番号

						'SQL実行
						.execQueryDa(dt)
					End With
				End Using

				If dt IsNot Nothing AndAlso dt.Rows.Count > 0 Then
					'取得したICD9CM～点数表コードを画面上の各項目にセット
					Me.txt009MSR000F040.Text = dt.Rows(0).Item(sqlMSR000F040.itmICD9CM_CD).ToString		  'ICD9CM
					Me.txt011MSR000F040.Text = dt.Rows(0).Item(sqlMSR000F040.itmNAME).ToString			  '名称
					Me.lbl017MSR000F040.Text = dt.Rows(0).Item(sqlMSR000F040.itmL_GRP_CD).ToString		  '大分類コード
					Me.lbl020MSR000F040.Text = dt.Rows(0).Item(sqlMSR000F040.itmM_GRP_CD).ToString		  '中分類コード
					Me.lbl023MSR000F040.Text = dt.Rows(0).Item(sqlMSR000F040.itmDIGS3_GRP_CD).ToString	  '３桁分類コード
					Me.txt026MSR000F040.Text = dt.Rows(0).Item(sqlMSR000F040.itmSCORE_CD).ToString		  '点数表コード
				Else
					'画面データクリア
					Me.txtClear()
				End If

				'各マスタ項目取得
				Me.getMstData()

				'名称テキストボックスへフォーカス
				Me.txt011MSR000F040.Select()
			End Using
		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			Me.Cursor = Cursors.Default
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' ICD9CMLeave時
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/01 新規作成　ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub txt009MSR000F040_Leave(ByVal sender As Object, ByVal e As System.EventArgs) Handles txt009MSR000F040.Leave
		log(XCM.clsSysMst.logLevel.NRM, "txt009MSR000F040_Leave", "ICD9CMLeave時 START")
		Try
			Me.Cursor = Cursors.WaitCursor

			'マスタデータセット
			Me.setMstData()
		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			Me.Cursor = Cursors.Default
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' ICD9CMボタン押下時
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/01 新規作成　ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn008MSR000F040_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles btn008MSR000F040.Click
		log(XCM.clsSysMst.logLevel.NRM, "btn008MSR000F040_Click", "ICD9CMボタン押下時 START")
		Try
			Me.Cursor = Cursors.WaitCursor

			'マスタデータセット
			Me.setMstData()
		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			Me.Cursor = Cursors.Default
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 管理番号ボタン押下時
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/01 新規作成　ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn006MSR000F040_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles btn006MSR000F040.Click
		log(XCM.clsSysMst.logLevel.NRM, "btn006MSR000F040_Click", "管理番号ボタン押下時 START")
		Try
			Me.Cursor = Cursors.WaitCursor

			'手術検索画面遷移
			Me.showOpe()
		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			Me.Cursor = Cursors.Default
		End Try
	End Sub

#End Region

#Region "メソッド"

	''' ---------------------------------------------
	''' <summary>
	''' 画面データクリア処理
	''' </summary>
	''' <remarks>
	''' 2010/10/29 新規作成　ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overridable Sub txtClear()
		log(clsSysMst.logLevel.DBG, "txtClear", "画面データクリア処理 START")
		Try
			'テキストボックス
			Me.msk007MSR000F040.Text = Nothing
			Me.txt009MSR000F040.Text = Nothing
			Me.txt011MSR000F040.Text = Nothing
			Me.lbl017MSR000F040.Text = Nothing
			Me.lbl018MSR000F040.Text = Nothing
			Me.lbl020MSR000F040.Text = Nothing
			Me.lbl021MSR000F040.Text = Nothing
			Me.lbl023MSR000F040.Text = Nothing
			Me.lbl024MSR000F040.Text = Nothing
			Me.txt026MSR000F040.Text = Nothing
		Catch ex As Exception
			Throw
		End Try
	End Sub


	''' ---------------------------------------------
	''' <summary>
	''' 手術検索画面遷移
	''' </summary>
	''' <remarks>
	''' 2010/10/29 新規作成　ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub showOpe()
		log(clsSysMst.logLevel.DBG, "showOpe", "手術検索画面遷移 START")
		Dim ChildForm As XSP140F010
		Try
			ChildForm = New XSP140F010(Me.Name, clsConst.Enum_OverWrite.OverWrite, clsConst.Enum_OverWrite.OverWrite, Nothing)
			nextForm(ChildForm)
		Catch ex As Exception
			Throw
		Finally
			ChildForm = Nothing
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' マスタデータセット(ICD9CMコードより)
	''' </summary>
	''' <remarks>
	''' 2010/10/29 新規作成　ACS)常包<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub setMstData()
		log(clsSysMst.logLevel.DBG, "setMstData", "マスタデータセット(ICD9CMコードより) START")
		Dim wrkICD9CM_2 As String = Nothing										'２文字までのICD9CMコード
		Dim wrkICD9CM_3 As String = Nothing										'３文字までのICD9CMコード
		Dim wrkDT As DataTable = Nothing										'取得したデータテーブル
		Try
			wrkICD9CM_2 = Me.txt009MSR000F040.Text.PadRight(2).Substring(0, 2)
			wrkICD9CM_3 = Me.txt009MSR000F040.Text.PadRight(3).Substring(0, 3)
			'大分類コード・中分類コード・３桁分類コードを取得
			wrkDT = getData(sqlMSR000F040.sqlSelMstOpeNM, sqlMSR000F040.prmICD9CM_CD, clsDB.Enum_dbType.dbNVarChar, wrkICD9CM_2)
			If wrkDT IsNot Nothing AndAlso wrkDT.Rows.Count > 0 Then
				'取得したデータを画面項目にセット
				Me.lbl017MSR000F040.Text = wrkDT.Rows(0).Item(sqlMSR000F040.itmL_GRP_CD).ToString			 '大分類コード
				Me.lbl020MSR000F040.Text = wrkICD9CM_2														 '中分類コード
				If Me.txt009MSR000F040.Text.Length >= 2 Then
					Me.lbl023MSR000F040.Text = wrkICD9CM_3													 '３桁分類コード
				Else
					Me.lbl023MSR000F040.Text = Nothing
				End If
			Else
				Me.lbl017MSR000F040.Text = Nothing		  '大分類コード
				Me.lbl020MSR000F040.Text = Nothing		  '中分類コード
				Me.lbl023MSR000F040.Text = Nothing		  '３桁分類コード
			End If
			'マスタデータ項目取得
			Me.getMstData()
		Catch ex As Exception
			Throw
		Finally
			If wrkDT IsNot Nothing Then : wrkDT.Dispose() : wrkDT = Nothing : End If
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' データ取得
	''' </summary>
	''' <remarks>
	''' 2010/10/29 新規作成　ACS)常包<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Function getData(ByVal pSql As String, ByVal pParam As String, ByVal pType As XCM.clsDB.Enum_dbType, ByVal pSetData As String) As DataTable
		log(clsSysMst.logLevel.DBG, "getData", "データ取得 START")
		Try
			Using dt As New DataTable
				Using db As New clsDB(clsSysMst.ctlConfigData)
					With db
						'パラメータセット
						.setSQLDa(pSql)
						.setParamDa(pParam, pType)
						'値セット
						.setValDa(pParam, pSetData)
						'SQL実行
						.execQueryDa(dt)
					End With
				End Using
				Return dt
			End Using
		Catch ex As Exception
			Throw
		End Try
	End Function

	'''---------------------------------------------
	''' <summary>
	''' マスタデータ項目取得
	''' </summary>
	''' <remarks>
	''' 2010/10/29 新規作成　ACS)常包<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub getMstData()
		log(clsSysMst.logLevel.DBG, "getMstData", "マスタデータ項目取得 START")
		Dim wrkDT As DataTable								 '取得したデータテーブル

		'(大分類名,中分類名,３桁分類名)
		'ＳＱＬ用配列
		Dim pSql() As String = {sqlMSR000F040.sqlSelGetMstOpe_L_GRP, sqlMSR000F040.sqlSelGetMstOpe_M_GRP, sqlMSR000F040.sqlSelGetMstS_GRP}
		'パラメータ用配列
		Dim pParam() As String = {sqlMSR000F040.prmL_GRP_CD, sqlMSR000F040.prmM_GRP_CD, sqlMSR000F040.prmDIGS3_GRP_CD}
		'IN項目用配列
		Dim pInCol() As Label = {Me.lbl017MSR000F040, Me.lbl020MSR000F040, Me.lbl023MSR000F040}
		'OUT項目用配列
		Dim pOutCol() As Label = {Me.lbl018MSR000F040, Me.lbl021MSR000F040, Me.lbl024MSR000F040}
		Try
			'データ項目取得
			For i As Integer = 0 To pSql.Length - 1
				If String.IsNullOrEmpty(pInCol(i).Text) = False Then
					wrkDT = getData(pSql(i), pParam(i), clsDB.Enum_dbType.dbNVarChar, pInCol(i).Text)
					If wrkDT IsNot Nothing AndAlso wrkDT.Rows.Count > 0 Then
						'取得したデータを画面項目にセット
						pOutCol(i).Text = wrkDT.Rows(0).Item(0).ToString
					Else
						pOutCol(i).Text = Nothing
					End If
				Else
					pOutCol(i).Text = Nothing
				End If
			Next i
		Catch ex As Exception
			Throw
		Finally
			wrkDT = Nothing
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' 共通パラメータセット
	''' </summary>
	''' <remarks>
	''' 2010/11/09 新規作成　ACS)常包<BR/>
	''' </remarks>
	'''---------------------------------------------
	Protected Sub setParamater(ByVal db As clsDB)
		log(clsSysMst.logLevel.DBG, "setParamater", "共通パラメータセット START")
		Try
			With db
				'パラメータ設定
				.setParam(sqlMSRCOMMON.prmHOST_NM, XCM.clsDB.Enum_dbType.dbNVarChar)					'ホスト名
				.setVal(sqlMSRCOMMON.prmHOST_NM, XCM.clsConst.CST_HOST_NM)

				.setParam(sqlMSRCOMMON.prmLASTUPDUSER_CD, XCM.clsDB.Enum_dbType.dbNVarChar)			'更新者名
				.setVal(sqlMSRCOMMON.prmLASTUPDUSER_CD, XCM.clsSysMst.getLoginId)

				.setParam(sqlMSRCOMMON.prmLASTUPD_DT, clsDB.Enum_dbType.dbDateTime)					'更新日
				.setVal(sqlMSRCOMMON.prmLASTUPD_DT, DateTime.Now())

			End With
		Catch ex As Exception
			Throw
		End Try
	End Sub

#End Region

#Region "オーバーライドメソッド"

	''' ---------------------------------------------
	''' <summary>
	''' 入力項目の入力チェック
	''' </summary>
	''' <remarks>
	''' 2010/10/29 新規作成　ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overridable Function ChkData() As Boolean
		log(clsSysMst.logLevel.DBG, "ChkData", "入力チェック START")
		Try
			If Me.rdo003MSR000F040.Checked = True Then
				'管理番号ラジオボタンが選択されているとき
				If String.IsNullOrEmpty(Me.msk007MSR000F040.Text) OrElse _
				   String.IsNullOrEmpty(Me.txt009MSR000F040.Text) Then
					'管理番号またはＩＣＤ９ＣＭが入力されていないとき
					'「未入力の項目があります」メッセージ
					addErrList("E0001", Me.msk007MSR000F040.Name, Me.btn004MSR000F010.Text, Nothing)
				End If
			ElseIf Me.rdo004MSR000F040.Checked = True Then
				'ＩＣＤ９ＣＭラジオボタンが選択されているとき
				If String.IsNullOrEmpty(Me.txt009MSR000F040.Text) Then
					'ＩＣＤ９ＣＭが入力されていないとき
					'「未入力の項目があります」メッセージ
					addErrList("E0001", Me.txt009MSR000F040.Name, Me.btn008MSR000F040.Text, Nothing)
				End If
			End If
			If Me.getErrCount() > 0 Then
				Me.nextErrForm()							'エラーがある場合、エラー画面表示
				Return False
			Else
				Return True									'エラーがない場合、正常終了
			End If
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' データ更新処理
	''' </summary>
	''' <param name="db">DBクラス</param>
	''' <returns>True/False</returns>
	''' <remarks>
	''' 2010/10/29 新規作成　ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overridable Function UpdProc(ByVal db As clsDB) As Boolean
		'継承先にて処理記述（空メソッド)
		Return True
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 実行処理
	''' </summary>
	''' <remarks>
	''' 2010/10/28 新規作成　ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overrides Sub RunProc()
		log(clsSysMst.logLevel.DBG, "RunProc", "実行処理 START")
'(A) STR V4-11007-000 003 20110809 FJSK)荒川 XXX号 病歴大将V4PKG問題点No1 一括更新⇔登録機能での排他チェック仕様変更対応
		Dim errPtn As ArrayList = Nothing
'(A) END V4-11007-000 003 20110809
		Try
			If Me.ChkData = False Then												'入力チェック
'(D) STR V4-11007-000 003 20110809 FJSK)荒川 XXX号 病歴大将V4PKG問題点No1 一括更新⇔登録機能での排他チェック仕様変更対応
'			ElseIf Me.chkStartStatusRegSys() = True Then							'登録系の起動を確認
'(D) END V4-11007-000 003 20110809
'(M) STR V4-12053-000 004 2012/12/14 ID)荒川 病歴大将V4PKG 管理No.49 確認メッセージ「OK/キャンセル」→「はい/いいえ」に修正
'			ElseIf Me.confMsg("Q0005", "更新", Nothing) <> MsgBoxResult.Ok Then		'「更新しますか?」
			ElseIf Me.confMsg("Q0005", "更新", Nothing) <> MsgBoxResult.Yes Then	'「更新しますか?」
'(M) END V4-12053-000 004 2012/12/14
'(D) STR V4-11007-000 003 20110809 FJSK)荒川 XXX号 病歴大将V4PKG問題点No1 一括更新⇔登録機能での排他チェック仕様変更対応
'			ElseIf Me.chkStartStatusRegSys() = True Then							'登録系の起動を再確認
'(D) END V4-11007-000 003 20110809
			Else
				Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
'(M) STR V4-11007-000 005 20110809 FJSK)荒川 XXX号 病歴大将V4PKG問題点No1 一括更新⇔登録機能での排他チェック仕様変更対応
'					If clsMSRCOMMON.setWorkData(db, Me.dgvList) = False Then			'更新対象ワークデータ作成
					errPtn = Me.chkStartStatus(clsMSRCOMMON.getUpdPatient(Me.dgvList).ToArray, String.Empty, "処理中")
					If clsMSRCOMMON.setWorkData(db, Me.dgvList, errPtn) = False Then	'更新対象ワークデータ作成
'(M) END V4-11007-000 005 20110809
						'エラーなら更新しない
'(M) STR V4-11007-000 004 20110809 FJSK)荒川 XXX号 病歴大将V4PKG問題点No1 一括更新⇔登録機能での排他チェック仕様変更対応
'					ElseIf Me.UpdProc(db) = True Then									'更新処理
					ElseIf Me.UpdProc(db) = True AndAlso (getErrCount() = 0) Then		'更新処理
'(M) END V4-11007-000 004 20110809
						Me.showMsg("I0006", "更新", Nothing)						'「更新が終了しました」
					End If
'(A) STR V4-11007-000 006 20110809 FJSK)荒川 XXX号 病歴大将V4PKG問題点No1 一括更新⇔登録機能での排他チェック仕様変更対応
					'エラー情報があったらエラー画面を表示する
					If getErrCount() > 0 Then
						nextErrForm(CST_RUNPROC_NAME)
					End If
'(A) END V4-11007-000 006 20110809
				End Using
			End If
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 子画面処理後の処理
	''' </summary>
	''' <param name="ret"></param>
	''' <param name="de"></param>
	''' <remarks>
	''' 2010/10/28 新規作成　ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Sub rcvData(ByVal ret As XCM.frmBase.Enum_FormReturn, ByVal de As System.Collections.DictionaryEntry)
		log(clsSysMst.logLevel.DBG, "rcvData", "子画面処理後の処理 START")
		Try
'(M) STR V4-11007-000 005 20110809 FJSK)荒川 XXX号 病歴大将V4PKG問題点No1 一括更新⇔登録機能での排他チェック仕様変更対応
'			If de.Key.ToString = Me.Name Then
			Select Case de.Key.ToString
				Case Me.Name
'(M) END V4-11007-000 005 20110809
					'手術名検索画面より戻ってきたとき
					If ret = Enum_FormReturn.OK AndAlso
					   TypeOf de.Value Is ArrayList AndAlso
					   DirectCast(de.Value, ArrayList).Count >= 3 AndAlso
					   TypeOf de.Value(2) Is datMTM_OPE_NM_OneRec Then
						'手術名検索画面で、確定ボタンが押下されたとき（結果が存在するとき）
						'各テキストボックスに戻り値をセット
						With DirectCast(de.Value(2), datMTM_OPE_NM_OneRec)
							Me.MngDiv = .MNG_DIV								'管理記号
							Me.msk007MSR000F040.Text = .MNG_NO					'管理番号
							Me.txt009MSR000F040.Text = .ICD9CM1_CD				'ICD9CM
							If de.Value(0) = clsConst.Enum_OverWrite.OverWrite Then
								Me.txt011MSR000F040.Text = .OPE_KANJI			'手術名
							End If
							Me.lbl017MSR000F040.Text = .L_GRP_CD				'大分類コード
							Me.lbl020MSR000F040.Text = .M_GRP_CD				'中分類コード
							Me.lbl023MSR000F040.Text = .DIGS3_GRP_CD			'３桁分類コード
							If de.Value(1) = clsConst.Enum_OverWrite.OverWrite Then
								Me.txt026MSR000F040.Text = .K_CD				'点数表コード
							End If
						End With
						'マスタデータ項目取得
						Me.getMstData()

						'名称テキストボックスへフォーカス
						Me.txt011MSR000F040.Select()
					Else
						Me.msk007MSR000F040.Select()
					End If
'(M) STR V4-11007-000 009 20110809 FJSK)荒川 XXX号 病歴大将V4PKG問題点No1 一括更新⇔登録機能での排他チェック仕様変更対応
'			End If
				Case CST_XCM020F010_CD
					If de.Value IsNot Nothing AndAlso de.Value.ToString = CST_RUNPROC_NAME Then
						Me.showMsg("I0006", "更新", Nothing)						'「更新が終了しました」
					End If
				Case Else
			End Select
'(M) END V4-11007-000 009 20110809
		Catch ex As Exception
			Me.ErrorProc(ex)
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' F1処理
	''' </summary>
	''' <remarks>
	''' 2010/10/28 新規作成　ACS)常包<BR/>
	''' </remarks>
	'''---------------------------------------------
	Public Overrides Function F1KeyProc() As Boolean
		Try
			Me.Cursor = Cursors.WaitCursor
			Select Case Me.ActiveControl.Name
				Case Me.msk007MSR000F040.Name
					'手術検索画面遷移
					Me.showOpe()
			End Select
			Return True
		Catch ex As Exception
			Throw
		Finally
			Me.Cursor = Cursors.Default
		End Try
	End Function

#End Region

End Class