﻿Imports XCM
Imports XSP
''' <summary>
''' 診療情報管理 検索 一覧メニュー
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
Public Class MSR020F010

#Region "コンスタント"
	''' ---------------------------------------------
	''' <summary>
	''' ＳＱＬ文
	''' </summary>
	''' <remarks>
	''' 2010/11/15 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Enum ENUM_SQL As Byte
		''' <summary>
		''' TM_貸出物マスタ取得
		''' </summary>
		SEL_LENDITEM = 0
		''' <summary>
		''' 検索結果情報取得
		''' </summary>
		SEL_INFO = 1
		''' <summary>
		''' 検索結果情報条件取得
		''' </summary>
		SEL_CND = 2
	End Enum
#End Region

#Region "変数"
													'前回値
	Private LastValueCtl() As String = {"chk078MSR020F010", "chk079MSR020F010", "chk080MSR020F010", "chk081MSR020F010", "chk082MSR020F010"}
	Private SearchNo As Integer						'検索番号
#End Region

#Region "コンストラクタ"

	Public Sub New(ByVal pSearchNo As Integer)

	' この呼び出しはデザイナーで必要です。
	InitializeComponent()

	' InitializeComponent() 呼び出しの後で初期化を追加します。

	'IN項目
	Me.SearchNo = pSearchNo
End Sub

#End Region

#Region "イベント"

	''' ---------------------------------------------
	''' <summary>
	''' フォームロード
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/15 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub MSR020F010_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
		log(clsSysMst.logLevel.NRM, "MSR020F010_Load", "フォームロード START")
		Try
			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
				'貸出物マスタによる画面設定
				Using dt As DataTable = New DataTable
					Me.setSql(db, ENUM_SQL.SEL_LENDITEM)
					db.execQueryDa(dt)
					If dt IsNot Nothing AndAlso dt.Rows.Count > 0 Then
						With Me.cmb057MSR020F010 : .DataSource = dt.Copy : .setDropDownWidth() : .SelectedIndex = 0 : End With
						With Me.cmb061MSR020F010 : .DataSource = dt.Copy : .setDropDownWidth() : .SelectedIndex = 0 : End With
					Else
						'マスタ無しなら入力不可
						Me.cmb057MSR020F010.Enabled = False
						Me.btn058MSR020F010.Enabled = False
						Me.cmb061MSR020F010.Enabled = False
						Me.btn062MSR020F010.Enabled = False
						Me.btn063MSR020F010.Enabled = False
						Me.btn064MSR020F010.Enabled = False
					End If
					For Each row As DataRow In dt.Rows
						Select Case row.Item(sqlMSR020F010.itmLENDITEM_CD)
							Case clsConst.Enum_Lenditem.MedicalRecord : Me.setLendItem(Me.chk078MSR020F010, row)
							Case clsConst.Enum_Lenditem.Summary : Me.setLendItem(Me.chk079MSR020F010, row)
							Case clsConst.Enum_Lenditem.LendItem3 : Me.setLendItem(Me.chk080MSR020F010, row)
							Case clsConst.Enum_Lenditem.LendItem4 : Me.setLendItem(Me.chk081MSR020F010, row)
							Case clsConst.Enum_Lenditem.LendItem5 : Me.setLendItem(Me.chk082MSR020F010, row)
						End Select
					Next
				End Using

				'検索結果情報による画面設定
				Using dt As DataTable = New DataTable
					Me.setSql(db, ENUM_SQL.SEL_INFO)
					db.execQueryDa(dt)

					If dt.Rows.Count > 0 Then
						With dt.Rows(0)
							'処理日の編集
							If IsDate(.Item(sqlMSR020F010.itmSTART_DT)) = True Then
								Me.lbl002MSR020F010.Text = CDate(.Item(sqlMSR020F010.itmSTART_DT)).ToString(clsConst.CST_YYYYMMDD_FORMAT)
								Me.lbl003MSR020F010.Text = CDate(.Item(sqlMSR020F010.itmSTART_DT)).ToString("HH:mm:ss")
							End If

							'患者数～科歴数の表示
							Me.lbl006MSR020F010.Text = CInt(.Item(sqlMSR020F010.itmPATIENT_NUM)).ToString(clsConst.CST_KENSU_FORMAT)
							Me.lbl010MSR020F010.Text = CInt(.Item(sqlMSR020F010.itmHSP_HISTORY_NUM)).ToString(clsConst.CST_KENSU_FORMAT)
							Me.lbl014MSR020F010.Text = CInt(.Item(sqlMSR020F010.itmCH_NUM)).ToString(clsConst.CST_KENSU_FORMAT)

							'患者数による制御
							If .Item(sqlMSR020F010.itmPATIENT_NUM) = 0 Then
								Me.btn007MSR020F010.Enabled = False
							End If
							'入退院数による制御
							If .Item(sqlMSR020F010.itmHSP_HISTORY_NUM) = 0 Then
								Me.btn011MSR020F010.Enabled = False
							End If
							'科歴数による制御
							If .Item(sqlMSR020F010.itmHSP_HISTORY_NUM) = 0 Then
								Me.btn015MSR020F010.Enabled = False
								Me.btn018MSR020F010.Enabled = False
								Me.btn019MSR020F010.Enabled = False
								Me.btn023MSR020F010.Enabled = False
								Me.btn024MSR020F010.Enabled = False
								Me.btn028MSR020F010.Enabled = False
								Me.btn032MSR020F010.Enabled = False
								Me.btn036MSR020F010.Enabled = False
								Me.btn039MSR020F010.Enabled = False
								Me.btn042MSR020F010.Enabled = False
								Me.btn046MSR020F010.Enabled = False
								Me.btn049MSR020F010.Enabled = False
								Me.btn053MSR020F010.Enabled = False
								Me.btn067MSR020F010.Enabled = False
							Else
								'検索結果条件による画面設定
								Using dt2 As DataTable = New DataTable
									Me.setSql(db, ENUM_SQL.SEL_CND)
									db.execQueryDa(dt2)
									For Each row2 As DataRow In dt2.Rows
										Select Case row2.Item(sqlMSR020F010.itmTABLE_CD)
											Case clsMSRCOMMON.Enum_Tbl_CD.MTI_DISEASE : Me.btn020MSR020F010.Enabled = True
											Case clsMSRCOMMON.Enum_Tbl_CD.MTI_OPE, clsMSRCOMMON.Enum_Tbl_CD.MTI_OPE_DOCTOR
																						Me.btn025MSR020F010.Enabled = True
											Case clsMSRCOMMON.Enum_Tbl_CD.MTI_CARE : Me.btn029MSR020F010.Enabled = True
											Case clsMSRCOMMON.Enum_Tbl_CD.MTI_TEST : Me.btn033MSR020F010.Enabled = True
											Case clsMSRCOMMON.Enum_Tbl_CD.MTI_CB_CHILD : Me.btn050MSR020F010.Enabled = True
											Case clsMSRCOMMON.Enum_Tbl_CD.MTI_EMERGENCY : Me.btn054MSR020F010.Enabled = True
											Case clsMSRCOMMON.Enum_Tbl_CD.MTI_LENDITM, clsMSRCOMMON.Enum_Tbl_CD.MTI_LENDITM_MR, clsMSRCOMMON.Enum_Tbl_CD.MTI_LENDITM_SM _
											   , clsMSRCOMMON.Enum_Tbl_CD.MTI_LENDITM_I3, clsMSRCOMMON.Enum_Tbl_CD.MTI_LENDITM_I4, clsMSRCOMMON.Enum_Tbl_CD.MTI_LENDITM_I5
																					Me.btn054MSR020F010.Enabled = True
											Case clsMSRCOMMON.Enum_Tbl_CD.MTI_PATH : Me.btn043MSR020F010.Enabled = True
											Case clsMSRCOMMON.Enum_Tbl_CD.MTI_LEND, clsMSRCOMMON.Enum_Tbl_CD.MTI_LEND_MR, clsMSRCOMMON.Enum_Tbl_CD.MTI_LEND_SM _
											   , clsMSRCOMMON.Enum_Tbl_CD.MTI_LEND_I3, clsMSRCOMMON.Enum_Tbl_CD.MTI_LEND_I4, clsMSRCOMMON.Enum_Tbl_CD.MTI_LEND_I5
																					If Me.cmb061MSR020F010.Enabled = True Then Me.btn063MSR020F010.Enabled = True
										End Select
									Next
								End Using
							End If
						End With
					End If

				End Using
			End Using

			'使用者権限制御処理
			Dim cliXTM_USER As New clsXTM_USER
			'受領貸出 督促権限がなければ もしくは管理物がなければ
			If (cliXTM_USER.getAuthority(clsXTM_USER.Enum_Authority.PRD1_Zyuryou_Kasidasi) = False AndAlso
				cliXTM_USER.getAuthority(clsXTM_USER.Enum_Authority.PRD1_Tokusoku) = False
				) OrElse (
				Me.chk078MSR020F010.Visible = False AndAlso Me.chk079MSR020F010.Visible = False AndAlso
				Me.chk080MSR020F010.Visible = False AndAlso Me.chk081MSR020F010.Visible = False AndAlso
				Me.chk082MSR020F010.Visible = False
				) Then
				Me.lbl076MSR020F010.Visible = False
				Me.pnl077MSR020F010.Visible = False
				Me.chk078MSR020F010.Visible = False
				Me.chk079MSR020F010.Visible = False
				Me.chk080MSR020F010.Visible = False
				Me.chk081MSR020F010.Visible = False
				Me.chk082MSR020F010.Visible = False
				Me.btn083MSR020F010.Visible = False
				Me.btn084MSR020F010.Visible = False
				Me.btn085MSR020F010.Visible = False
				Me.btn086MSR020F010.Visible = False
				Me.btn087MSR020F010.Visible = False
				Me.btn088MSR020F010.Visible = False
				Me.chk089MSR020F010.Visible = False
			Else
				'受領貸出権限による制御
				If cliXTM_USER.getAuthority(clsXTM_USER.Enum_Authority.PRD1_Zyuryou_Kasidasi) = False Then
					Me.btn083MSR020F010.Visible = False
					Me.btn084MSR020F010.Visible = False
					Me.btn085MSR020F010.Visible = False
					Me.btn086MSR020F010.Visible = False
				End If
				'督促権限による制御
				If cliXTM_USER.getAuthority(clsXTM_USER.Enum_Authority.PRD1_Tokusoku) = False Then
					Me.btn087MSR020F010.Visible = False
					Me.btn088MSR020F010.Visible = False
					Me.chk089MSR020F010.Visible = False
				End If

				'前回値による画面設定
				Me.LoadLastValue(Me.LastValueCtl)

				'非表示ならCHKOFFに
				If Me.chk078MSR020F010.Visible = False Then Me.chk078MSR020F010.Checked = False
				If Me.chk079MSR020F010.Visible = False Then Me.chk079MSR020F010.Checked = False
				If Me.chk080MSR020F010.Visible = False Then Me.chk080MSR020F010.Checked = False
				If Me.chk081MSR020F010.Visible = False Then Me.chk081MSR020F010.Checked = False
				If Me.chk082MSR020F010.Visible = False Then Me.chk082MSR020F010.Checked = False

				'全てOFFならカルテのみONに
				If Me.chk078MSR020F010.Checked = False AndAlso _
				   Me.chk079MSR020F010.Checked = False AndAlso _
				   Me.chk080MSR020F010.Checked = False AndAlso _
				   Me.chk081MSR020F010.Checked = False AndAlso _
				   Me.chk082MSR020F010.Checked = False Then
					Me.chk078MSR020F010.Checked = True
				End If
			End If

		Catch ex As Exception
			Me.ErrorProc(ex)
			Me.CancelProc()
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' フォームクローズ
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/15 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub MSR020F010_FormClosing(ByVal sender As Object, ByVal e As System.Windows.Forms.FormClosingEventArgs) Handles Me.FormClosing
		log(clsSysMst.logLevel.NRM, "MSR001F010_FormClosing", "フォームクローズ START")
		Try
			If DirectCast(Me.Owner, frmBase).getCancelFlg() = False AndAlso Me.pnl077MSR020F010.Visible = True Then
				'正常終了時に前回値にを保存 
				Me.SaveLastValue(Me.LastValueCtl)
			End If
		Catch ex As Exception

		End Try
		Try
			Me.FormClosingProc()
		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			Me.LastValueCtl = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 各一覧遷移ボタン
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/15 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btnShowList_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles _
		   btn007MSR020F010.Click, btn011MSR020F010.Click, btn015MSR020F010.Click _
		 , btn018MSR020F010.Click, btn019MSR020F010.Click, btn020MSR020F010.Click _
		 , btn023MSR020F010.Click, btn024MSR020F010.Click, btn025MSR020F010.Click _
		 , btn028MSR020F010.Click, btn029MSR020F010.Click _
		 , btn032MSR020F010.Click, btn033MSR020F010.Click _
		 , btn036MSR020F010.Click, btn039MSR020F010.Click _
		 , btn042MSR020F010.Click, btn043MSR020F010.Click _
		 , btn046MSR020F010.Click, btn049MSR020F010.Click, btn050MSR020F010.Click _
		 , btn053MSR020F010.Click, btn054MSR020F010.Click _
		 , btn058MSR020F010.Click _
		 , btn062MSR020F010.Click, btn063MSR020F010.Click, btn064MSR020F010.Click _
		 , btn067MSR020F010.Click
		log(clsSysMst.logLevel.NRM, "btnShowList_Click", "各一覧遷移ボタン START")
		Dim frmList As MSR000F020
		Try
			Me.Cursor = Cursors.WaitCursor
			frmList = Nothing
			Select Case sender.name
				Case Me.btn007MSR020F010.Name : frmList = New MSR030F010(Me.SearchNo)										'患者
				Case Me.btn011MSR020F010.Name : frmList = New MSR040F010(Me.SearchNo)										'入退院
				Case Me.btn015MSR020F010.Name : frmList = New MSR050F010(Me.SearchNo)										'科歴

				Case Me.btn018MSR020F010.Name : frmList = New MSR060F010(Me.SearchNo, MSR000F020.ENUM_SEARCHTYPE.MAIN)		'病名 主
				Case Me.btn019MSR020F010.Name : frmList = New MSR060F010(Me.SearchNo, MSR000F020.ENUM_SEARCHTYPE.ALL)		'　　 すべて
				Case Me.btn020MSR020F010.Name : frmList = New MSR060F010(Me.SearchNo, MSR000F020.ENUM_SEARCHTYPE.WHERE)		'　　 条件

				Case Me.btn023MSR020F010.Name : frmList = New MSR070F010(Me.SearchNo, MSR000F020.ENUM_SEARCHTYPE.MAIN)		'手術 主
				Case Me.btn024MSR020F010.Name : frmList = New MSR070F010(Me.SearchNo, MSR000F020.ENUM_SEARCHTYPE.ALL)		'　　 すべて
				Case Me.btn025MSR020F010.Name : frmList = New MSR070F010(Me.SearchNo, MSR000F020.ENUM_SEARCHTYPE.WHERE)		'　　 条件

				Case Me.btn028MSR020F010.Name : frmList = New MSR080F010(Me.SearchNo, MSR000F020.ENUM_SEARCHTYPE.ALL)		'治療 すべて
				Case Me.btn029MSR020F010.Name : frmList = New MSR080F010(Me.SearchNo, MSR000F020.ENUM_SEARCHTYPE.WHERE)		'　　 条件

				Case Me.btn032MSR020F010.Name : frmList = New MSR090F010(Me.SearchNo, MSR000F020.ENUM_SEARCHTYPE.ALL)		'検査 すべて
				Case Me.btn033MSR020F010.Name : frmList = New MSR090F010(Me.SearchNo, MSR000F020.ENUM_SEARCHTYPE.WHERE)		'　　 条件

				Case Me.btn036MSR020F010.Name : frmList = New MSR100F010(Me.SearchNo)										'補足１
				Case Me.btn039MSR020F010.Name : frmList = New MSR110F010(Me.SearchNo)										'補足２

				Case Me.btn042MSR020F010.Name : frmList = New MSR150F010(Me.SearchNo, MSR000F020.ENUM_SEARCHTYPE.ALL)		'パス すべて
				Case Me.btn043MSR020F010.Name : frmList = New MSR150F010(Me.SearchNo, MSR000F020.ENUM_SEARCHTYPE.WHERE)		'     条件

				Case Me.btn046MSR020F010.Name : frmList = New MSR120F010(Me.SearchNo)										'分娩
				Case Me.btn049MSR020F010.Name : frmList = New MSR130F010(Me.SearchNo, MSR000F020.ENUM_SEARCHTYPE.ALL)		'　子 すべて
				Case Me.btn050MSR020F010.Name : frmList = New MSR130F010(Me.SearchNo, MSR000F020.ENUM_SEARCHTYPE.WHERE)		'　   条件

				Case Me.btn053MSR020F010.Name : frmList = New MSR140F010(Me.SearchNo, MSR000F020.ENUM_SEARCHTYPE.ALL)		'救急 すべて
				Case Me.btn054MSR020F010.Name : frmList = New MSR140F010(Me.SearchNo, MSR000F020.ENUM_SEARCHTYPE.WHERE)		'     条件

				Case Me.btn058MSR020F010.Name : frmList = New MSR160F010(Me.SearchNo, Me.cmb057MSR020F010.SelectedValue)	'管理物

				Case Me.btn062MSR020F010.Name : frmList = New MSR170F010(Me.SearchNo, Me.cmb061MSR020F010.SelectedValue, MSR000F020.ENUM_SEARCHTYPE.ALL)	'貸出  すべて
				Case Me.btn063MSR020F010.Name : frmList = New MSR170F010(Me.SearchNo, Me.cmb061MSR020F010.SelectedValue, MSR000F020.ENUM_SEARCHTYPE.WHERE)	'      条件
				Case Me.btn064MSR020F010.Name : frmList = New MSR170F010(Me.SearchNo, Me.cmb061MSR020F010.SelectedValue, MSR000F020.ENUM_SEARCHTYPE.MAIN)	'      最新

				Case Me.btn067MSR020F010.Name : frmList = New MSR180F010(Me.SearchNo)										'監査

			End Select
			If frmList IsNot Nothing Then Me.nextForm(frmList)
		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			frmList = Nothing
			Me.Cursor = Cursors.Default
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 受領貸出遷移ボタン
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/15 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btnMLN_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles _
		   btn083MSR020F010.Click, btn084MSR020F010.Click, btn085MSR020F010.Click, btn086MSR020F010.Click, btn087MSR020F010.Click, btn088MSR020F010.Click
		log(clsSysMst.logLevel.NRM, "btnMLN_Click", "受領貸出遷移ボタン START")
		Try
			Me.Cursor = Cursors.WaitCursor
			If Me.chk078MSR020F010.Checked = False AndAlso
			   Me.chk079MSR020F010.Checked = False AndAlso
			   Me.chk080MSR020F010.Checked = False AndAlso
			   Me.chk081MSR020F010.Checked = False AndAlso
			   Me.chk082MSR020F010.Checked = False Then
				'対象データが選択されていません。
				Me.showMsg("E0005")
				Return
			End If

			Dim idx As Integer = CInt(sender.name.ToString.Substring(3, 3)) - 82
			Select Case idx
				Case 1 To 4														'受領貸出

						Dim frmMLN As MLN.MLN010F010 = New MLN.MLN010F010(Me.SearchNo, idx _
														, Me.chk078MSR020F010.Checked, Me.chk079MSR020F010.Checked, Me.chk080MSR020F010.Checked _
														, Me.chk081MSR020F010.Checked, Me.chk082MSR020F010.Checked)
						If frmMLN IsNot Nothing Then Me.nextForm(frmMLN) : frmMLN = Nothing

				Case 5 To 6														'督促
						If idx = 5 Then
							Dim cnt As Integer = 0
							If Me.chk078MSR020F010.Checked = True Then cnt += 1
							If Me.chk079MSR020F010.Checked = True Then cnt += 1
							If Me.chk080MSR020F010.Checked = True Then cnt += 1
							If Me.chk081MSR020F010.Checked = True Then cnt += 1
							If Me.chk082MSR020F010.Checked = True Then cnt += 1
							If cnt <> 1 Then
								'貸出物は１個だけ選択してください。
								Me.showMsg("E0020", "貸出物は１個だけ選択", Nothing)
								Return
							End If
						End If

						Dim frmMLN As MLN.MLN020F010 = New MLN.MLN020F010(Me.SearchNo, idx _
														, Me.chk078MSR020F010.Checked, Me.chk079MSR020F010.Checked, Me.chk080MSR020F010.Checked _
														, Me.chk081MSR020F010.Checked, Me.chk082MSR020F010.Checked, Me.chk089MSR020F010.Checked)
						If frmMLN IsNot Nothing Then Me.nextForm(frmMLN) : frmMLN = Nothing
			End Select
		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			Me.Cursor = Cursors.Default
		End Try
	End Sub

#End Region

#Region "メソッド"

	''' ---------------------------------------------
	''' <summary>
	''' SQLの設定
	''' </summary>
	''' <param name="db">clsDB</param>
	''' <param name="type">設定SQL</param>
	''' <param name="val">データ値</param>
	''' <remarks>
	''' 2010/11/15 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setSql(ByRef db As clsDB, ByVal type As ENUM_SQL, ByVal ParamArray val() As Object)
		log(clsSysMst.logLevel.DBG, "setSql", "ＳＱＬ設定 START")
		Try
			With db
				Select Case type
					'検索結果情報取得
					Case ENUM_SQL.SEL_LENDITEM
						.setSQLDa(sqlMSR020F010.sql_MTM_LENDITEM)

					Case Else
						Select Case type
						'検索結果情報取得
						Case ENUM_SQL.SEL_INFO
							.setSQLDa(sqlMSR020F010.sqlSel_Info)

						'検索結果条件取得
						Case ENUM_SQL.SEL_CND
							.setSQLDa(sqlMSR020F010.sqlSel_Cnd)
						End Select

						.setParamDa(sqlMSRCOMMON.prmUSER_CD, clsDB.Enum_dbType.dbNVarChar)		'使用者コード
						.setValDa(sqlMSRCOMMON.prmUSER_CD, Me._userID)
						.setParamDa(sqlMSRCOMMON.prmSEARCH_NO, clsDB.Enum_dbType.dbInt)			'検索番号
						.setValDa(sqlMSRCOMMON.prmSEARCH_NO, Me.SearchNo)
				End Select
			End With
		Catch ex As Exception
			Throw
		End Try

	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 貸出物マスタによる画面設定
	''' </summary>
	''' <param name="ctl">設定コントロール</param>
	''' <param name="row">マスタ取得レコード</param>
	''' <remarks>
	''' 2010/11/15 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setLendItem(ByVal ctl As BT_CheckBox, ByVal row As DataRow)
		log(clsSysMst.logLevel.DBG, "setLendItem", "貸出物マスタによる画面設定 START")
		Try
			With ctl
				Select Case row.Item(sqlMSR020F010.itmUNIT_CD)
					Case clsConst.Enum_LendUnit.Each_Dept : .ForeColor = clsConst.CST_DEPT_COLOR
					Case clsConst.Enum_LendUnit.Each_Hosp : .ForeColor = clsConst.CST_HOSP_COLOR
					Case clsConst.Enum_LendUnit.Each_Patient : .ForeColor = clsConst.CST_PATIENT_COLOR
				End Select
				.Text = row.Item(sqlMSR020F010.itmLENDITEM_RNM).ToString
				.Checked = True
				.Visible = True
			End With
		Catch ex As Exception
			Throw
		End Try
	End Sub

#End Region

End Class

