﻿Imports XCM

''' ---------------------------------------------
''' <summary>
''' 診療情報管理 検索 入退院情報 検索結果更新
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class MSR040F030

#Region "変数"

	Protected pDgvList As DataGridView								'一覧

#End Region

#Region "コンストラクタ"

	'''---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <param name="pDgv">一覧</param>
	''' <remarks>
	''' 2010/11/29 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	'''---------------------------------------------
	Public Sub New(ByVal pDgv As DataGridView)

		' この呼び出しはデザイナーで必要です。
		InitializeComponent()

		' InitializeComponent() 呼び出しの後で初期化を追加します。

		Me.pDgvList = pDgv
	End Sub

#End Region

#Region "イベント"

	''' ---------------------------------------------
	''' <summary>
	''' フォームロード
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/29 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub MSR040F030_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
		log(clsSysMst.logLevel.DBG, "MSR040F030_Load", "フォームロード START")
		Try
			'コンボ設定
			With Me.cmb002MSR040F030
				.DataSource = clsConst.getOnYseNo
				.setDropDownWidth()
			End With

			'動作環境[入院情報の再入院フラグ]にて画面表示項目を変更
			Select Case clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00009)
				Case clsConst.Enum_HspReadMissionStdCh.MainCh
					'主科
					Me.lbl005MSR040F030.Text = "（主科より）"
					Me.lbl007MSR040F030.Text = "（主科より）"
				Case clsConst.Enum_HspReadMissionStdCh.Hsp
					'入院
					Me.lbl005MSR040F030.Text = "（入院科歴より）"
					Me.lbl007MSR040F030.Text = "（入院科歴より）"
			End Select

			'位置調整
			With Me.lbl005MSR040F030
				.Location = New Point(Me.chk004MSR040F030.Location.X + Me.chk004MSR040F030.Width, .Location.Y)
			End With
			With Me.lbl007MSR040F030
				.Location = New Point(Me.chk006MSR040F030.Location.X + Me.chk006MSR040F030.Width, .Location.Y)
			End With

		Catch ex As Exception
			Me.ErrorProc(ex)
			Me.CancelProc()
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' フォームクローズ
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/29 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub MSR040F030_FormClosing(ByVal sender As Object, ByVal e As System.Windows.Forms.FormClosingEventArgs) Handles Me.FormClosing
		log(clsSysMst.logLevel.DBG, "MSR040F030_FormClosing", "フォームクローズ START")
		Try
			Me.FormClosingProc()
		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			Me.pDgvList = Nothing
			With Me.cmb002MSR040F030
				If .DataSource IsNot Nothing Then
					DirectCast(.DataSource, DataTable).Dispose()
					.DataSource = Nothing
				End If
			End With
		End Try
	End Sub

#End Region

#Region "メソッド"

	''' ---------------------------------------------
	''' <summary>
	''' 入力チェック
	''' </summary>
	''' <returns>True:正常/false:エラー有</returns>
	''' <remarks>
	''' 2010/11/29 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function ChkData() As Boolean
		log(clsSysMst.logLevel.DBG, "ChkData", "入力チェック START")
		Try
			'チェック項目の入力チェック
			If Me.chk001MSR040F030.Checked = False AndAlso _
			   Me.chk003MSR040F030.Checked = False AndAlso _
			   Me.chk004MSR040F030.Checked = False AndAlso _
			   Me.chk006MSR040F030.Checked = False Then

				addErrList("E0014", Me.chk001MSR040F030.Name, "更新対象", "更新対象", Nothing)		'「更新対象が選択されていません」
			End If

			'統計コンボの入力チェック
			If Me.chk001MSR040F030.Checked = True AndAlso _
			   Me.cmb002MSR040F030.SelectedIndex = -1 Then
				addErrList("E0001", Me.cmb002MSR040F030.Name, Me.chk001MSR040F030.Text, Nothing)	'「未入力の項目があります。」
			End If

			If Me.getErrCount() > 0 Then
				Me.nextErrForm()							'エラーがある場合、エラー画面表示
				Return False
			Else
				Return True									'エラーがない場合、正常終了
			End If

		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 更新処理
	''' </summary>
	''' <param name="db">DBクラス</param>
	''' <returns>True/False</returns>
	''' <remarks>
	''' 2010/11/30 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function UpdProc(ByVal db As clsDB) As Boolean
		log(clsSysMst.logLevel.DBG, "UpdProc", "更新処理 START")
		Dim ProcMsg As String = Nothing
		Try
			For Each ctl As BT_CheckBox In New BT_CheckBox() {Me.chk001MSR040F030, Me.chk003MSR040F030, Me.chk004MSR040F030, Me.chk006MSR040F030}
				If ctl.Checked = True Then

					'エラー処理時のメッセージ
					ProcMsg = ctl.Text & "を処理中、更新"
					'タスクバーにメッセージ表示
					Me.showMsgBar("I0022", Enum_MsgIcon.None, ctl.Text, Nothing)

					db.ctlTran(clsDB.Enum_TranMode.Begin)							'トランザクション開始
					Select Case ctl.Name
						Case Me.chk003MSR040F030.Name
							Me.setSql(db, ctl.Name & "C")
							db.execNonQuery(False)
							Me.setSql(db, ctl.Name & "H")
							db.execNonQuery(False)
						Case Else
							Me.setSql(db, ctl.Name)
							db.execNonQuery(False)
					End Select
					db.ctlTran(clsDB.Enum_TranMode.Commit)							'コミット
				End If
			Next
			Return True
		Catch ex As SqlClient.SqlException
			If db.statTran() = True Then db.ctlTran(clsDB.Enum_TranMode.RollBack) 'ロールバック
			Me.ErrorProc(ex, False)													'共通例外エラー処理
			Me.showMsg("E0013", ProcMsg, ex.Message)								'「○○を処理時、更新に失敗しました」

			Return False
		Catch ex As Exception
			Throw
		Finally
			Me.clearMsgBar()
			If db.statTran() = True Then db.ctlTran(clsDB.Enum_TranMode.RollBack) 'ロールバック
			ProcMsg = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' SQLの設定
	''' </summary>
	''' <param name="db">DBクラス</param>
	''' <param name="key">設定キー</param>
	''' <remarks>
	''' 2010/11/30 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setSql(ByVal db As clsDB, ByVal key As String)
		log(clsSysMst.logLevel.DBG, "setSql", "SQL設定 START")
		Try
			Select Case True
				Case key = Me.chk001MSR040F030.Name
					'統計対象外
					db.setSQL(sqlMSR040F030.sqlUpd_StatisticsFlg)
					db.setParam(sqlMSR040F030.prmEXCLUDE_STATISTICS_FLG, clsDB.Enum_dbType.dbInt)			'統計対象外フラグ
					db.setVal(sqlMSR040F030.prmEXCLUDE_STATISTICS_FLG, Me.cmb002MSR040F030.SelectedValue)
				Case key Like Me.chk003MSR040F030.Name & "*"
					'在院日数の再計算
					Select Case True
						Case key Like "*C"
							'科歴
							db.setSQL(sqlMSR040F030.sqlUpd_HspDays_C)
						Case key Like "*H"
							'入退院
							Select Case clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00008)					'入退院歴在院日数の計算
								Case clsConst.Enum_HspStayDaysCalc.Def											'	在院日数の計算と同値
									db.setSQL(sqlMSR040F030.sqlUpd_HspDays_H)
								Case clsConst.Enum_HspStayDaysCalc.StayDaysSum									'	科歴の合計
									db.setSQL(sqlMSR040F030.sqlUpd_HspDays_HfromC)

									db.setParam(sqlMSRCOMMON.prmFIXED_CD, clsDB.Enum_dbType.dbNVarChar)			'固定コード２
									db.setVal(sqlMSRCOMMON.prmFIXED_CD, clsConst.Enum_HspChannel_Fix2.StatisticsExcept, False)
								Case Else : Return
							End Select
					End Select

					db.setParam(sqlMSR040F030.prmNISUU_INIT, clsDB.Enum_dbType.dbInt)						'在院日数の初期値
					db.setVal(sqlMSR040F030.prmNISUU_INIT, clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00006), False)

					db.setParam(sqlMSR040F010.prmNISUU_PLUS, clsDB.Enum_dbType.dbInt)						'在院日数の計算
					db.setVal(sqlMSR040F030.prmNISUU_PLUS, clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00004), False)
				Case key = Me.chk004MSR040F030.Name
					'再入院の再チェック
					Select Case clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00009)						'入院情報の再入院フラグ
						Case clsConst.Enum_HspReadMissionStdCh.MainCh											'	主科
							db.setSQL(sqlMSR040F030.sqlUpd_ReadmissionFlg_Main)
						Case clsConst.Enum_HspReadMissionStdCh.Hsp												'	入院
							db.setSQL(sqlMSR040F030.sqlUpd_ReadmissionFlg_Hsp)
						Case Else : Return
					End Select
				Case key = Me.chk006MSR040F030.Name
					'同一疾病自院再入院の再チェック
					Select Case clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00009)						'入院情報の再入院フラグ
						Case clsConst.Enum_HspReadMissionStdCh.MainCh											'	主科
							db.setSQL(sqlMSR040F030.sqlUpd_DiseaseReadmissionFlg_Main)
						Case clsConst.Enum_HspReadMissionStdCh.Hsp												'	入院
							db.setSQL(sqlMSR040F030.sqlUpd_DiseaseReadmissionFlg_Hsp)
						Case Else : Return
					End Select

				Case Else
					Return
			End Select

			'共通のパラメータ設定
			db.setParam(sqlMSRCOMMON.prmFLG_ON, clsDB.Enum_dbType.dbInt)										'フラグ
			db.setVal(sqlMSRCOMMON.prmFLG_ON, clsConst.Enum_CheckBox_Flg.CheckOn)
			db.setParam(sqlMSRCOMMON.prmHOST_NM, clsDB.Enum_dbType.dbNVarChar)								'ホスト名
			db.setVal(sqlMSRCOMMON.prmHOST_NM, clsConst.CST_HOST_NM)
			db.setParam(sqlMSRCOMMON.prmLASTUPDUSER_CD, clsDB.Enum_dbType.dbNVarChar)							'更新者名
			db.setVal(sqlMSRCOMMON.prmLASTUPDUSER_CD, clsSysMst.getLoginId)
			db.setParam(sqlMSRCOMMON.prmLASTUPD_DT, clsDB.Enum_dbType.dbDateTime)							'更新日
			db.setVal(sqlMSRCOMMON.prmLASTUPD_DT, DateTime.Now())

		Catch ex As Exception
			Throw
		End Try
	End Sub

#End Region

#Region "オーバーライドメソッド"

	''' ---------------------------------------------
	''' <summary>
	''' 実行処理
	''' </summary>
	''' <remarks>
	''' 2010/11/29 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overrides Sub RunProc()
		log(clsSysMst.logLevel.DBG, "RunProc", "実行処理 START")
'(A) STR V4-11007-000 003 20110809 FJSK)荒川 XXX号 病歴大将V4PKG問題点No1 一括更新⇔登録機能での排他チェック仕様変更対応
		Dim errPtn As ArrayList = Nothing
'(A) END V4-11007-000 003 20110809
		Try
			If Me.ChkData = False Then												'入力チェック
'(D) STR V4-11007-000 003 20110809 FJSK)荒川 XXX号 病歴大将V4PKG問題点No1 一括更新⇔登録機能での排他チェック仕様変更対応
'			ElseIf Me.chkStartStatusRegSys() = True Then							'登録系の起動を確認
'(D) END V4-11007-000 003 20110809
'(M) STR V4-12053-000 004 2012/12/14 ID)荒川 病歴大将V4PKG 管理No.49 確認メッセージ「OK/キャンセル」→「はい/いいえ」に修正
'			ElseIf Me.confMsg("Q0005", "更新", Nothing) <> MsgBoxResult.Ok Then		'「更新しますか?」
			ElseIf Me.confMsg("Q0005", "更新", Nothing) <> MsgBoxResult.Yes Then	'「更新しますか?」
'(M) END V4-12053-000 004 2012/12/14
'(D) STR V4-11007-000 003 20110809 FJSK)荒川 XXX号 病歴大将V4PKG問題点No1 一括更新⇔登録機能での排他チェック仕様変更対応
'			ElseIf Me.chkStartStatusRegSys() = True Then							'登録系の起動を再確認
'(D) END V4-11007-000 003 20110809
			Else
				Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
'(M) STR V4-11007-000 005 20110809 FJSK)荒川 XXX号 病歴大将V4PKG問題点No1 一括更新⇔登録機能での排他チェック仕様変更対応
'					If clsMSRCOMMON.setWorkData(db, Me.pDgvList) = False Then		'更新対象ワークデータ作成
					errPtn = Me.chkStartStatus(clsMSRCOMMON.getUpdPatient(Me.pDgvList).ToArray, String.Empty, "処理中")
					If clsMSRCOMMON.setWorkData(db, Me.pDgvList, errPtn) = False Then		'更新対象ワークデータ作成
'(M) END V4-11007-000 005 20110809
						'エラーなら更新しない
'(M) STR V4-11007-000 004 20110809 FJSK)荒川 XXX号 病歴大将V4PKG問題点No1 一括更新⇔登録機能での排他チェック仕様変更対応
'					ElseIf Me.UpdProc(db) = True Then								'更新処理
					ElseIf Me.UpdProc(db) = True AndAlso (getErrCount() = 0) Then	'更新処理
'(M) END V4-11007-000 004 20110809
						Me.showMsg("I0006", "更新", Nothing)						'「更新が終了しました」
					End If
'(A) STR V4-11007-000 006 20110809 FJSK)荒川 XXX号 病歴大将V4PKG問題点No1 一括更新⇔登録機能での排他チェック仕様変更対応
					'エラー情報があったらエラー画面を表示する
					If getErrCount() > 0 Then
						nextErrForm(CST_RUNPROC_NAME)
					End If
'(A) END V4-11007-000 006 20110809
				End Using
			End If
		Catch ex As Exception
			Throw
		End Try
	End Sub

#End Region

End Class
