﻿Imports XCM

''' ---------------------------------------------
''' <summary>
''' 診療情報管理 検索 補足項目２ 検索結果出力
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class MSR110F020

#Region "変数"
	''' <summary>ワーク作成フラグ</summary>
	Private makeWork As Boolean = True
	Private wrkPage As Integer
	Private datOutput1 As MRP.datMRP110R010
	Private datOutput2 As MRP.datMRP110R010
	Private datOutput3 As MRP.datMRP110R010
#End Region

#Region "コンスタント"
	Private Const CST_PAGE_TXT_CNT = 10					'１ページあたりのテキスト項目出力件数
	Private Const CST_PAGE_NUM_CNT = 10					'１ページあたりの数値項目出力件数
	Private Const CST_PAGE_DTA_CNT = 4					'１ページあたりの日付項目出力件数
	Private Const CST_PAGE_CMB_CNT = 12					'１ページあたりの選択項目出力件数

	Private Enum ENUM_ITEM_TYPE
		T_TEXT = 0		'テキスト項目
		T_NUMBER = 1	'数値項目
		T_DATE = 2		'日付項目
		T_COMBO = 3		'選択項目
	End Enum
#End Region

#Region "コンストラクタ"

	'''---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <param name="pDgv">一覧</param>
	''' <remarks>
	''' 2010/12/21 新規作成　ACS)常包<BR/>
	''' </remarks>
	'''---------------------------------------------
	Sub New(ByVal pDgv As DataGridView)

		' この呼び出しはデザイナーで必要です。
		InitializeComponent()
		' InitializeComponent() 呼び出しの後で初期化を追加します。

		'ＩＮ項目取得
		Me.pDgvList = pDgv					'一覧

		'継承元に引き渡し
		Me.ExcelID(0) = "MRP110E010"		'帳票(EXCEL)ID
		Me.CsvFile = "BT4HSK2.CSV"			'CSVファイル名

		'ワーク削除キー
		Me.DelWorkKey = MRP.clsMRPCOMMON.ENUM_SQL_DEL_WORK.MRP110
	End Sub

#End Region

#Region "イベント"

	''' ---------------------------------------------
	''' <summary>
	''' フォームロード
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/17 新規作成 ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub MSR100F020_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
		If Me.IsDisposed = True Then Return
		log(clsSysMst.logLevel.NRM, "MSR100F020_Load", "フォームロード START")
		Dim cnt As Integer = 0
		Dim PageCnt As Integer
		Try
			'ラジオボタンの制御
			PageCnt = Me.getPrintPageCnt
			For Each ctl As RadioButton In New RadioButton() {Me.rdo014MSR000F030, Me.rdo015MSR000F030, Me.rdo016MSR000F030}
				If PageCnt = 0 Then						   'ページ数が０のときは、すべてのラジオボタンを表示しない
					Me.btn026MSR000F030.Enabled = False	   'ﾌﾟﾚﾋﾞｭｰボタン使用不可
					Me.btn027MSR000F030.Enabled = False	   '印刷ボタン使用不可
					Exit For
				End If
				ctl.Visible = True
				cnt += 1
				If PageCnt <= 1 Then
					ctl.Text = "補足項目２情報一覧表"
				Else
					ctl.Text = "補足項目２情報一覧表(" & cnt & "/" & PageCnt & ")"
				End If
				If cnt >= PageCnt Then
					Exit For
				End If
			Next
		Catch ex As Exception
			Me.ErrorProc(ex)
			Me.CancelProc()
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 帳票ボタンクリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/21 新規作成 ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btnPrt_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn026MSR000F030.Click, btn027MSR000F030.Click
		log(clsSysMst.logLevel.NRM, "btnPrt_Click", "印刷プレビューボタンクリックイベント START")
		Try
			Me.Cursor = Cursors.WaitCursor
			Dim print As Boolean = CBool(sender.name = "btn027MSR000F030")		'印刷/ﾌﾚﾋﾞｭｰ
			Select Case True
				Case Me.rdo014MSR000F030.Checked
					If wrkPage <> 1 Then Me.makeWork = True : wrkPage = 1
					Using prt As New MRP.MRP110R010(Me, print, Me.pDgvList, Me.getPrnTitle(Me.rdo014MSR000F030.Text), Me.rdo006MSR000F030.Checked, Me.makeWork, Me.datOutput1)
						If prt.exeReport() = True Then Me.makeWork = False
					End Using
				Case Me.rdo015MSR000F030.Checked
					If wrkPage <> 2 Then Me.makeWork = True : wrkPage = 2
					Using prt As New MRP.MRP110R010(Me, print, Me.pDgvList, Me.getPrnTitle(Me.rdo015MSR000F030.Text), Me.rdo006MSR000F030.Checked, Me.makeWork, Me.datOutput2)
						If prt.exeReport() = True Then Me.makeWork = False
					End Using
				Case Me.rdo016MSR000F030.Checked
					If wrkPage <> 3 Then Me.makeWork = True : wrkPage = 3
					Using prt As New MRP.MRP110R010(Me, print, Me.pDgvList, Me.getPrnTitle(Me.rdo016MSR000F030.Text), Me.rdo006MSR000F030.Checked, Me.makeWork, Me.datOutput3)
						If prt.exeReport() = True Then Me.makeWork = False
					End Using
				Case Else
					'処理なし
			End Select
		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			Me.Cursor = Cursors.Default
		End Try
	End Sub

#End Region

#Region "メソッド"

	''' ---------------------------------------------
	''' <summary>
	''' 各項目数よりページ数を取得
	''' </summary>
	''' <remarks>
	''' 2010/12/21 新規作成 ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getPrintPageCnt() As Integer
		log(clsSysMst.logLevel.DBG, "getPrintPageCnt", "各項目数よりページ数を取得 START")
		Dim dt As DataTable
		Dim wrkcnt As Integer = 0
		Dim txtCnt As Integer
		Dim numCnt As Integer
		Dim dteCnt As Integer
		Dim cboCnt As Integer
		Dim txtPageCnt As Integer = 0
		Dim numPageCnt As Integer = 0
		Dim dtePageCnt As Integer = 0
		Dim cboPageCnt As Integer = 0
		Try
			dt = New DataTable
			Using db As New clsDB(clsSysMst.ctlConfigData)
				db.setSQLDa(sqlMSR110F020.sqlSel_Asst2ITM)
				db.execQueryDa(dt)
			End Using
			datOutput1 = New MRP.datMRP110R010
			datOutput2 = New MRP.datMRP110R010
			datOutput3 = New MRP.datMRP110R010
			Dim dat As MRP.datMRP110R010() = New MRP.datMRP110R010() {datOutput1, datOutput2, datOutput3}
			'各タイプごとに各項目を取得
			For Each row As DataRow In dt.Rows
				Select Case row(sqlMSR110F020.itmITEM_TYPE).ToString
					Case 1	  'テキスト項目
						If (txtCnt Mod CST_PAGE_TXT_CNT) = 0 Then
							txtCnt = 0 : txtPageCnt += 1
						End If
						dat(txtPageCnt - 1).ITM_RNM(ENUM_ITEM_TYPE.T_TEXT, txtCnt) = row(sqlMSR110F020.itmITEM_RNM).ToString
						dat(txtPageCnt - 1).SPT_FIELD_NM(ENUM_ITEM_TYPE.T_TEXT, txtCnt) = row(sqlMSR110F020.itmSPT_FIELD_NM).ToString
						dat(txtPageCnt - 1).ITEM_CD(ENUM_ITEM_TYPE.T_TEXT, txtCnt) = row(sqlMSR110F020.itmITEM_CD).ToString
						txtCnt += 1
					Case 2, 3	  '数値項目
						If (numCnt Mod CST_PAGE_NUM_CNT) = 0 Then
							numCnt = 0 : numPageCnt += 1
						End If
						dat(numPageCnt - 1).ITM_RNM(ENUM_ITEM_TYPE.T_NUMBER, numCnt) = row(sqlMSR110F020.itmITEM_RNM).ToString
						dat(numPageCnt - 1).SPT_FIELD_NM(ENUM_ITEM_TYPE.T_NUMBER, numCnt) = row(sqlMSR110F020.itmSPT_FIELD_NM).ToString
						dat(numPageCnt - 1).ITEM_CD(ENUM_ITEM_TYPE.T_NUMBER, numCnt) = row(sqlMSR110F020.itmITEM_CD).ToString
						numCnt += 1
					Case 4		 '日付項目
						If (dteCnt Mod CST_PAGE_DTA_CNT) = 0 Then
							dteCnt = 0 : dtePageCnt += 1
						End If
						dat(dtePageCnt - 1).ITM_RNM(ENUM_ITEM_TYPE.T_DATE, dteCnt) = row(sqlMSR110F020.itmITEM_RNM).ToString
						dat(dtePageCnt - 1).SPT_FIELD_NM(ENUM_ITEM_TYPE.T_DATE, dteCnt) = row(sqlMSR110F020.itmSPT_FIELD_NM).ToString
						dat(dtePageCnt - 1).ITEM_CD(ENUM_ITEM_TYPE.T_DATE, dteCnt) = row(sqlMSR110F020.itmITEM_CD).ToString
						dteCnt += 1
					Case 5		 '選択項目
						If (cboCnt Mod CST_PAGE_CMB_CNT) = 0 Then
							cboCnt = 0 : cboPageCnt += 1
						End If
						dat(cboPageCnt - 1).ITM_RNM(ENUM_ITEM_TYPE.T_COMBO, cboCnt) = row(sqlMSR110F020.itmITEM_RNM).ToString
						dat(cboPageCnt - 1).SPT_FIELD_NM(ENUM_ITEM_TYPE.T_COMBO, cboCnt) = row(sqlMSR110F020.itmSPT_FIELD_NM).ToString
						dat(cboPageCnt - 1).ITEM_CD(ENUM_ITEM_TYPE.T_COMBO, cboCnt) = row(sqlMSR110F020.itmITEM_CD).ToString
						cboCnt += 1
					Case Else

				End Select
			Next
			'ページ数を算出(各項目のページ数の最大値)
			wrkcnt = Math.Max(Math.Max(txtPageCnt, numPageCnt), Math.Max(dtePageCnt, cboPageCnt))
			Return wrkcnt
		Catch ex As Exception
			Throw
		End Try
	End Function
#End Region

#Region "オーバーライズメソッド"

	''' ---------------------------------------------
	''' <summary>
	''' EXCEL出力
	''' </summary>
	''' <param name="id">帳票ID</param>
	''' <param name="sheet">シート名</param>
	''' <param name="template">書式ファイル</param>
	''' <param name="path">出力先</param>
	''' <returns></returns>
	''' <remarks>
	''' 2010/12/17 新規作成 ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function exeExcel(ByVal id As String, ByVal sheet As String, ByVal template As String, Optional ByVal path As String = Nothing) As Boolean
		log(clsSysMst.logLevel.DBG, "exeExcel", "EXCEL出力 START")
		Try
			Select Case True
				Case id = Me.ExcelID(0)
					Using excel As New MRP.MRP110E010(Me, Me.pDgvList, template, sheet, path, Me.rdo006MSR000F030.Checked)
						Return excel.exeExcel()
					End Using
				Case Else
					Return False
			End Select
			Return True
		Catch ex As Exception
			Throw
		End Try
	End Function

#End Region


End Class
