﻿Imports XCM
''' ---------------------------------------------
''' <summary>
''' 診療情報管理 検索 貸出情報 結果出力
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class MSR170F020

#Region "変数"

	Private makeWork As Boolean = True				'ワーク作成フラグ

#End Region

#Region "コンストラクタ"

	'''---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <param name="pDgv">一覧</param>
	''' <param name="pLendItem">管理物コード</param>
	''' <param name="pLendUnit">管理単位</param>
	''' <remarks>
	''' 2010/10/14 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	'''---------------------------------------------
	Sub New(ByVal pDgv As DataGridView, ByVal pLendItem As String, ByVal pLendUnit As String)

		' この呼び出しはデザイナーで必要です。
		InitializeComponent()

		' InitializeComponent() 呼び出しの後で初期化を追加します。

		'ＩＮ項目取得
		Me.pDgvList = pDgv							'一覧

		'ＩＮ項目取得
		Me.pDgvList = pDgv							'一覧
		Me.pLendUnit = pLendUnit					'管理単位
		Me.pLendItem = pLendItem					'管理物コード

		'継承元に引き渡し
		Select Case Me.pLendUnit
		Case clsConst.Enum_LendUnit.Each_Patient
				Me.ExcelID(0) = "MRP170E010"		'帳票(EXCEL)ID
				Me.CsvFile = "BT4KD0.CSV"			'CSVファイル名
				Me.rdo021MSR000F030.Visible = False
		Case clsConst.Enum_LendUnit.Each_Hosp
				Me.ExcelID(0) = "MRP170E020"		'帳票(EXCEL)ID
				Me.CsvFile = "BT4KD1.CSV"			'CSVファイル名
		Case clsConst.Enum_LendUnit.Each_Dept
				Me.ExcelID(0) = "MRP170E030"		'帳票(EXCEL)ID
				Me.CsvFile = "BT4KD2.CSV"			'CSVファイル名
		End Select

		'ワーク削除キー
		Me.DelWorkKey = MRP.clsMRPCOMMON.ENUM_SQL_DEL_WORK.MRP170
	End Sub

#End Region

#Region "イベント"

	''' ---------------------------------------------
	''' <summary>
	''' フォームクローズ
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/10 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub MSR170F020_FormClosing(ByVal sender As Object, ByVal e As System.Windows.Forms.FormClosingEventArgs) Handles Me.FormClosing
		log(XCM.clsSysMst.logLevel.NRM, "MSR170F020_FormClosing", "フォームクローズ START")
		Try
		Finally
			'変数解放（Nothing）
			Me.makeWork = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 帳票ボタンクリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/10 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btnPrt_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn026MSR000F030.Click, btn027MSR000F030.Click
		log(clsSysMst.logLevel.NRM, "btnPrt_Click", "印刷プレビューボタンクリックイベント START")
		Try
			Me.Cursor = Cursors.WaitCursor
			Dim print As Boolean = CBool(sender.name = "btn027MSR000F030")		'印刷/ﾌﾚﾋﾞｭｰ
			Select Case True
				Case Me.rdo014MSR000F030.Checked
					Using prt As New MRP.MRP170R010(Me, print, Me.pDgvList, Me.getPrnTitle(Me.rdo014MSR000F030.Text), Me.rdo006MSR000F030.Checked, Me.makeWork, Me.pLendItem, Me.pLendUnit)
						If prt.exeReport() = True Then Me.makeWork = False
					End Using
				Case Me.rdo015MSR000F030.Checked
					Using prt As New MRP.MRP170R020(Me, print, Me.pDgvList, Me.getPrnTitle(Me.rdo015MSR000F030.Text), Me.rdo006MSR000F030.Checked, Me.makeWork, Me.pLendItem, Me.pLendUnit)
						If prt.exeReport() = True Then Me.makeWork = False
					End Using
				Case Me.rdo016MSR000F030.Checked
					Using prt As New MRP.MRP170R030(Me, print, Me.pDgvList, Me.getPrnTitle(Me.rdo016MSR000F030.Text), Me.rdo006MSR000F030.Checked, Me.makeWork, Me.pLendItem, Me.pLendUnit)
						If prt.exeReport() = True Then Me.makeWork = False
					End Using
				Case Me.rdo020MSR000F030.Checked
					Using prt As New MRP.MRP170R040(Me, print, Me.pDgvList, Me.getPrnTitle(Me.rdo020MSR000F030.Text), Me.rdo006MSR000F030.Checked, Me.makeWork, Me.pLendItem, Me.pLendUnit)
						If prt.exeReport() = True Then Me.makeWork = False
					End Using
				Case Me.rdo021MSR000F030.Checked
					Using prt As New MRP.MRP170R050(Me, print, Me.pDgvList, Me.getPrnTitle(Me.rdo021MSR000F030.Text), Me.rdo006MSR000F030.Checked, Me.makeWork, Me.pLendItem, Me.pLendUnit)
						If prt.exeReport() = True Then Me.makeWork = False
					End Using
			End Select
		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			Me.Cursor = Cursors.Default
		End Try
	End Sub

#End Region

#Region "オーバーライズメソッド"

	''' ---------------------------------------------
	''' <summary>
	''' EXCEL出力
	''' </summary>
	''' <param name="id">帳票ID</param>
	''' <param name="sheet">シート名</param>
	''' <param name="template">書式ファイル</param>
	''' <param name="path">出力先</param>
	''' <returns></returns>
	''' <remarks>
	''' 2010/12/10 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function exeExcel(ByVal id As String, ByVal sheet As String, ByVal template As String, Optional ByVal path As String = Nothing) As Boolean
		log(clsSysMst.logLevel.DBG, "exeExcel", "EXCEL出力 START")
		Try
			Select Case True
				Case id = Me.ExcelID(0)
					Select Case Me.pLendUnit
						Case clsConst.Enum_LendUnit.Each_Patient
							Using excel As New MRP.MRP170E010(Me, Me.pDgvList, template, sheet, path, Me.rdo006MSR000F030.Checked, Me.pLendItem)
								Return excel.exeExcel()
							End Using
						Case clsConst.Enum_LendUnit.Each_Hosp
							Using excel As New MRP.MRP170E020(Me, Me.pDgvList, template, sheet, path, Me.rdo006MSR000F030.Checked, Me.pLendItem)
								Return excel.exeExcel()
							End Using
						Case clsConst.Enum_LendUnit.Each_Dept
							Using excel As New MRP.MRP170E030(Me, Me.pDgvList, template, sheet, path, Me.rdo006MSR000F030.Checked, Me.pLendItem)
								Return excel.exeExcel()
							End Using
						Case Else
							Return False
					End Select
				Case Else
					Return False
				End Select
			Return True
		Catch ex As Exception
			Throw
		End Try
	End Function

#End Region

End Class
