﻿Imports XCM

''' ---------------------------------------------
''' <summary>
''' 診療情報管理 検索 抽出項目選択
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class MSR200F010

#Region "コンスタント"

	''' ---------------------------------------------
	''' <summary>
	''' ＳＱＬ文
	''' </summary>
	''' <remarks>
	''' 2010/12/16 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Enum ENUM_SQL As Byte
		''' <summary>
		''' テーブル情報取得
		''' </summary>
		''' <remarks></remarks>
		Sel_Tbl = 0
		''' <summary>
		''' テーブル項目情報取得
		''' </summary>
		''' <remarks></remarks>
		Sel_Field = 1
		''' <summary>
		''' パターンデータ取得
		''' </summary>
		''' <remarks></remarks>
		Sel_Ptn = 2
		''' <summary>
		''' パターンリスト取得
		''' </summary>
		''' <remarks></remarks>
		Sel_Ptn_List = 3
		''' <summary>
		''' パターン項目取得
		''' </summary>
		''' <remarks></remarks>
		Sel_Ptn_Field = 4
		''' <summary>
		''' パターン追加
		''' </summary>
		''' <remarks></remarks>
		Sel_Max_PtnNo = 5
		''' <summary>
		''' パターン追加
		''' </summary>
		''' <remarks></remarks>
		Ins_Ptn = 6
		''' <summary>
		''' パターン更新
		''' </summary>
		''' <remarks></remarks>
		Upd_Ptn = 7
		''' <summary>
		''' パターン削除
		''' </summary>
		''' <remarks></remarks>
		Ins_Ptn_Field = 8
		''' <summary>
		''' パターン削除
		''' </summary>
		''' <remarks></remarks>
		Del_Ptn = 9
		''' <summary>
		''' パターン削除
		''' </summary>
		''' <remarks></remarks>
		Del_Ptn_Field = 10
	End Enum

	'''---------------------------------------------
	''' <summary>
	''' 更新処理モード
	''' </summary>
	''' <remarks>
	''' 2010/12/20 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	'''---------------------------------------------
	Public Enum ENUM_UPD_MODE As Byte
		''' <summary>
		''' 追加処理
		''' </summary>
		INS = 0
		''' <summary>
		''' 更新処理
		''' </summary>
		UPD = 1
		''' <summary>
		''' 削除処理
		''' </summary>
		DEL = 2

	End Enum

	Private CST_SHOW_MSR200F020 As String = "MSR200F020"			'タイトル画面
'(A) STR V4-12067-000 015 20130122 ID)平井(出力候補一覧のデータグリッドビュー化)
	' グリッドカラム名
		Private Const C_COL_SELECTED As String = "c01036MSR200F010"
		Private Const C_COL_TABLE_DSP_NM As String = "c02036MSR200F010"
		Private Const C_COL_DSP_FIELD_NM As String = "c03036MSR200F010"
		Private Const C_COL_DSPORDER As String = "c04036MSR200F010"
		Private Const C_COL_DSPORDER_FIELD As String = "c05036MSR200F010"
		Private Const C_COL_CSV_NO As String = "c06036MSR200F010"
		Private Const C_COL_TABLE_CD As String = "c07036MSR200F010"
		Private Const C_COL_FIELD_CD As String = "c08036MSR200F010"
		Private Const C_COL_SEL_TABLE_CD As String = "c09036MSR200F010"
		Private Const C_COL_DSP_NM As String = "c10036MSR200F010"
		Private Const C_COL_FIELD_NM As String = "c11036MSR200F010"
		Private Const C_COL_MASTER_NM As String = "c12036MSR200F010"
'(A) END V4-12067-000 015 20130122

#End Region

#Region "変数"

	Private pCsvFile As String											'出力ファイル名
	Private pDgv As DataGridView = Nothing								'出力元グリッド
	Private pPtnNo As Integer											'パターン番号
	Private pPrivacy As Boolean = Nothing								'個人情報出力フラグ
	Private pLendItem As String = Nothing								'管理物コード
	Private pLendUnit As Integer										'管理単位

	Private CtlNum() As BT_Number										'繰返回数コントロール
	Private CtlChk() As BT_CheckBox										'オプションコントロール
	Private InitPtnDt As DataTable										'初期パターンテーブル
	Private BackPtnNo As Integer										'前回設定ﾊﾟﾀｰﾝ番号

	Private frmMSR200F020 As MSR200F020 = Nothing						'子画面

	Private ReturnFlg As Enum_FormReturn = Enum_FormReturn.CANSEL		'戻り値
#End Region

#Region "コンストラクタ"

	'''---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <param name="pCsvFile">出力ファイル名</param>
	''' <param name="pDgv">一覧</param>
	''' <param name="pPtnNo">パターン番号</param>
	''' <param name="pPrivacy">個人情報出力フラグ True:出力する/False:出力しない</param>
	''' <param name="pLendItem">管理物コード</param>
	''' <param name="pLendUnit">管理単位</param>
	''' <remarks>
	''' 2010/12/15 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	'''---------------------------------------------
	Sub New(ByVal pCsvFile As String, ByVal pDgv As DataGridView,
			ByVal pPtnNo As Integer, ByVal pPrivacy As Boolean,
			ByVal pLendItem As String,
			ByVal pLendUnit As clsConst.Enum_LendUnit)

		' この呼び出しはデザイナーで必要です。
		InitializeComponent()

		' InitializeComponent() 呼び出しの後で初期化を追加します。

		'ＩＮ項目取得
		Me.pCsvFile = pCsvFile				'出力ファイル
		Me.pDgv = pDgv						'一覧
		Me.pPtnNo = pPtnNo					'パターン番号
		Me.pPrivacy = pPrivacy				'個人情報出力フラグ
		Me.pLendItem = pLendItem			'管理物コード
		Me.pLendUnit = pLendUnit			'管理物-管理単位

	End Sub

#End Region

#Region "イベント"

	''' ---------------------------------------------
	''' <summary>
	''' フォームロード時
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/15 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub MSR200F010_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
		log(clsSysMst.logLevel.NRM, Reflection.MethodBase.GetCurrentMethod.Name, "フォームロード START")
		Dim cliGridStyle As XSP.clsGridStyle
		Try
			'繰返し項目を配列化
			Me.CtlNum = {Me.num006MSR200F010, Me.num007MSR200F010, Me.num008MSR200F010, Me.num009MSR200F010, Me.num010MSR200F010,
						 Me.num011MSR200F010, Me.num012MSR200F010, Me.num013MSR200F010, Me.num014MSR200F010, Me.num015MSR200F010,
						 Me.num016MSR200F010, Me.num017MSR200F010, Me.num018MSR200F010, Me.num019MSR200F010, Me.num020MSR200F010,
						 Me.num021MSR200F010, Me.num022MSR200F010, Me.num023MSR200F010, Me.num024MSR200F010, Me.num025MSR200F010,
						 Me.num026MSR200F010, Me.num027MSR200F010, Me.num028MSR200F010, Me.num029MSR200F010}
			'オプションを配列化
			Me.CtlChk = {Me.chk040MSR200F010, Me.chk041MSR200F010, Me.chk042MSR200F010}

			'パターンリストを設定
			Me.setCmbCsv()
			AddHandler Me.cmb002MSR200F010.SelectedIndexChanged, AddressOf cmb002MSR200F010_SelectedIndexChanged	'イベントとの関連付け

			If Me.getInitData = False Then
				Me.CancelProc()
				Return
			Else
				Me.setFieldList()																					'候補一覧を設定
			End If
			cliGridStyle = New XSP.clsGridStyle
			cliGridStyle.setGridHeight(Me.dgv036MSR200F010)		'グリッド１行の高さを設定
			Me.dgv036MSR200F010.AutoGenerateColumns = False
		Catch ex As Exception
			Me.ErrorProc(ex)
			Me.CancelProc()
		Finally
			cliGridStyle = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' フォーム表示
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/15 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub MSR200F010_Shown(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Shown
		log(clsSysMst.logLevel.NRM, "MSR200F010_Shown", "フォーム表示 START")
		Try
			Me.Cursor = Cursors.WaitCursor
			Application.DoEvents()												'画面表示
			If Me.pPtnNo > 0 Then Me.cmb002MSR200F010.SelectedValue = Me.pPtnNo '前画面より引き渡された値を画面に反映
			Me.lst004MSR200F010.Select()										'テーブルを選択
		Catch ex As Exception
			Me.ErrorProc(ex)
			Me.CancelProc()
		Finally
			Me.Cursor = Cursors.Default
		End Try
	End Sub
	''' ---------------------------------------------
	''' <summary>
	''' フォームを閉じるとき
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/15 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub MSR200F010_FormClosing(ByVal sender As Object, ByVal e As System.Windows.Forms.FormClosingEventArgs) Handles Me.FormClosing
		log(clsSysMst.logLevel.NRM, Reflection.MethodBase.GetCurrentMethod.Name, "フォームクローズ START")
		Dim frm As XCM.frmBase
		Try
			If Me.Owner IsNot Nothing Then
				frm = Me.Owner
				frm.Select()
				frm.backForm(False, Me.ReturnFlg, New DictionaryEntry(Me.Name, Me.cmb002MSR200F010.SelectedValue))			   '遷移元に戻り値を戻す
			End If
		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			Me.pDgv = Nothing
			Me.pPtnNo = Nothing
			Me.pLendItem = Nothing
			Me.pLendUnit = Nothing
			Me.ReturnFlg = Nothing
			With Me.cmb002MSR200F010
				If .DataSource IsNot Nothing Then
					DirectCast(.DataSource, DataTable).Dispose()
					.DataSource = Nothing
				End If
			End With
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' パターン選択
	''' 　イベントとの関連付けはLoad時に行う
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/16 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub cmb002MSR200F010_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs)
		If Me.IsDisposed = True Then Return 'FormClosingでDataSourceを破棄したときに起動されるので無視
		log(clsSysMst.logLevel.NRM, Reflection.MethodBase.GetCurrentMethod.Name, "パターン選択 START")
		Try
			Me.Cursor = Cursors.WaitCursor
			With DirectCast(sender, BT_MultiComboBox)
				If .SelectedIndex = -1 Then Return

				'前回設定と同じﾊﾟﾀｰﾝ番号なら処理しない
				If Me.BackPtnNo = .SelectedValue Then Return

				'選択内容を元にパターンデータを反映
				Me.getPtnData(.SelectedValue)

				'現在値を保存
				Me.BackPtnNo = .SelectedValue

			End With
		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			Me.Cursor = Cursors.Default
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 登録ボタン
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/16 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn003MSR200F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn003MSR200F010.Click
		log(clsSysMst.logLevel.NRM, Reflection.MethodBase.GetCurrentMethod.Name, "登録ボタンクリック START")
		Dim PtnNo As Integer
		Dim PtnName As String
		Try
			Me.Cursor = Cursors.WaitCursor
			If Me.chkInput = False Then Return '入力チェック
			'登録画面引数を取得
			With Me.cmb002MSR200F010
				If .SelectedIndex = -1 Then
					PtnNo = 0
					PtnName = .Text
				Else
					PtnNo = .SelectedValue
					PtnName = .Text
				End If
			End With
			'登録画面へ遷移
			Me.frmMSR200F020 = Nothing
			Me.frmMSR200F020 = New MSR200F020(PtnNo, PtnName)
			Me.nextForm(Me.frmMSR200F020)
		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			'解放
			PtnNo = Nothing
			PtnName = Nothing
			Me.Cursor = Cursors.Default
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 情報一覧項目の描画
	''' 　項目高さを繰返し項目と同期させるために自分で描画する
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/15 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub lst004MSR200F010_DrawItem(ByVal sender As Object, ByVal e As System.Windows.Forms.DrawItemEventArgs) Handles lst004MSR200F010.DrawItem
		'リストが空なら処理しない
		If e.Index = -1 Then Return

		log(clsSysMst.logLevel.DBG, Reflection.MethodBase.GetCurrentMethod.Name, "情報一覧項目の描画 START")
		Try
			'背景を描画
			e.DrawBackground()
			'項目を描画
			With DirectCast(sender, ListBox)
				Dim row As DataRowView = .Items(e.Index)
				e.Graphics.DrawString(row.Item(.DisplayMember).ToString,
										e.Font,
										New SolidBrush(e.ForeColor),
										e.Bounds.X,
										e.Bounds.Y + (.ItemHeight - 15) / 2)
			End With
			'フォーカスを示す四角形を描画
			e.DrawFocusRectangle()
		Catch ex As Exception
			Me.ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' テーブル選択
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/16 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub lst004MSR200F010_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles lst004MSR200F010.SelectedIndexChanged
		log(clsSysMst.logLevel.NRM, Reflection.MethodBase.GetCurrentMethod.Name, "テーブル選択 START")
		Try
			Me.Cursor = Cursors.WaitCursor
			Me.setFieldList()
			With Me.lst031MSR200F010
				If .Items.Count > 0 Then .Select()
			End With
		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			Me.Cursor = Cursors.Default
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 初期値ボタン
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/16 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn030MSR200F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn030MSR200F010.Click
		log(clsSysMst.logLevel.NRM, Reflection.MethodBase.GetCurrentMethod.Name, "初期値ボタンクリック START")
		Try
			Me.Cursor = Cursors.WaitCursor
			'初期パターンデータより編集
			Me.setPtn2Disp(Me.InitPtnDt, False)
		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			Me.Cursor = Cursors.Default
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 候補項目一覧ダブルクリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/20 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub lst031MSR200F010_DoubleClick(ByVal sender As Object, ByVal e As System.EventArgs) Handles lst031MSR200F010.DoubleClick
		log(clsSysMst.logLevel.NRM, Reflection.MethodBase.GetCurrentMethod.Name, "候補項目一覧ダブルクリック START")
		Try
			Me.Cursor = Cursors.WaitCursor
			If DirectCast(sender, ListBox).SelectedItems.Count > 0 Then
				Me.addSelectList(False)
'(M) STR V4-12067-000 004 20130122 ID)平井(出力候補一覧のデータグリッドビュー化)
				'Me.lst036MSR200F010.Select()
				Me.dgv036MSR200F010.Select()
'(M) END V4-12067-000 004 20130122
			End If
		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			Me.Cursor = Cursors.Default
		End Try
	End Sub

'(M) STR V4-12067-000 051 20130122 ID)平井(出力候補一覧のデータグリッドビュー化)
'	''' ---------------------------------------------
'	''' <summary>
'	''' 選択項目一覧ダブルクリック
'	''' </summary>
'	''' <param name="sender"></param>
'	''' <param name="e"></param>
'	''' <remarks>
'	''' 2010/12/20 新規作成 ACS)仙頭<BR/>
'	''' </remarks>
'	''' ---------------------------------------------
'	Private Sub lst036MSR200F010_DoubleClick(ByVal sender As Object, ByVal e As System.EventArgs) Handles lst036MSR200F010.DoubleClick
'		log(clsSysMst.logLevel.NRM, Reflection.MethodBase.GetCurrentMethod.Name, "選択項目一覧ダブルクリック START")
'		Try
'			Me.Cursor = Cursors.WaitCursor
'			If DirectCast(sender, ListBox).SelectedItems.Count > 0 Then
'				Me.delSelectList(False)
'				Me.lst031MSR200F010.Select()
'			End If
'		Catch ex As Exception
'			Me.ErrorProc(ex)
'		Finally
'			Me.Cursor = Cursors.Default
'		End Try
'	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 選択項目一覧ダブルクリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/20 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub dgv036MSR200F010_DoubleClick(ByVal sender As Object, ByVal e As System.EventArgs) Handles dgv036MSR200F010.DoubleClick
		log(clsSysMst.logLevel.NRM, Reflection.MethodBase.GetCurrentMethod.Name, "選択項目一覧ダブルクリック START")
		Try
			Me.Cursor = Cursors.WaitCursor
			If DirectCast(sender, DataGridView).SelectedRows.Count > 0 Then
				Me.delSelectList(False)
				Me.lst031MSR200F010.Select()
			End If
		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			Me.Cursor = Cursors.Default
		End Try
	End Sub
'(M) END V4-12067-000 051 20130122

	''' ---------------------------------------------
	''' <summary>
	''' ＞＞ボタン
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/20 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn032MSR200F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn032MSR200F010.Click
		log(clsSysMst.logLevel.NRM, Reflection.MethodBase.GetCurrentMethod.Name, "＞＞ボタンクリック START")
		Try
			Me.Cursor = Cursors.WaitCursor
			Me.addSelectList(True)
'(M) STR V4-12067-000 007 20130122 ID)平井(出力候補一覧のデータグリッドビュー化)
			'Me.lst036MSR200F010.Select()
			If Me.dgv036MSR200F010.Rows.Count > 0 Then
				Me.dgv036MSR200F010.Rows(0).Selected = True
			End If
			Me.dgv036MSR200F010.Select()
'(M) END V4-12067-000 007 20130122
		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			Me.Cursor = Cursors.Default
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' ＞ボタン
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/20 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn033MSR200F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn033MSR200F010.Click
		log(clsSysMst.logLevel.NRM, Reflection.MethodBase.GetCurrentMethod.Name, "＞ボタンクリック START")
		Try
			Me.Cursor = Cursors.WaitCursor
			Me.addSelectList(False)
'(M) STR V4-12067-000 004 20130122 ID)平井(出力候補一覧のデータグリッドビュー化)
			'Me.lst036MSR200F010.Select()
			Me.dgv036MSR200F010.Select()
'(M) END V4-12067-000 004 20130122
		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			Me.Cursor = Cursors.Default
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' ＜ボタン
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/20 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn034MSR200F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn034MSR200F010.Click
		log(clsSysMst.logLevel.NRM, Reflection.MethodBase.GetCurrentMethod.Name, "＜ボタンクリック START")
		Try
			Me.Cursor = Cursors.WaitCursor
			Me.delSelectList(False)
			Me.lst031MSR200F010.Select()
		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			Me.Cursor = Cursors.Default
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' ＜＜ボタン
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/20 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn035MSR200F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn035MSR200F010.Click
		log(clsSysMst.logLevel.NRM, Reflection.MethodBase.GetCurrentMethod.Name, "＜＜ボタンクリック START")
		Try
			Me.Cursor = Cursors.WaitCursor
			Me.delSelectList(True)
			Me.lst031MSR200F010.Select()
		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			Me.Cursor = Cursors.Default
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' ↑ボタン
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/20 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn037MSR200F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn037MSR200F010.Click
		log(clsSysMst.logLevel.NRM, Reflection.MethodBase.GetCurrentMethod.Name, "↑ボタンクリック START")
		Try
			Me.Cursor = Cursors.WaitCursor
			Me.chgDispNo(True)
		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			Me.Cursor = Cursors.Default
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' ↑ボタン
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/20 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn038MSR200F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn038MSR200F010.Click
		log(clsSysMst.logLevel.NRM, Reflection.MethodBase.GetCurrentMethod.Name, "↓ボタンクリック START")
		Try
			Me.Cursor = Cursors.WaitCursor
			Me.chgDispNo(False)
		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			Me.Cursor = Cursors.Default
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' クリアボタン
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/20 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn039MSR200F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn039MSR200F010.Click
		log(clsSysMst.logLevel.NRM, Reflection.MethodBase.GetCurrentMethod.Name, "クリアボタンクリック START")
		Try
			Me.Cursor = Cursors.WaitCursor
			Me.ClearDisp()
			Me.lst031MSR200F010.Select()
		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			Me.Cursor = Cursors.Default
		End Try
	End Sub

#End Region

#Region "メソッド"

	''' ---------------------------------------------
	''' <summary>
	''' SQLの設定
	''' </summary>
	''' <param name="db">DBクラス</param>
	''' <param name="type">SQL種類</param>
	''' <param name="val">パラメータ値</param>
	''' <remarks>
	''' 2010/12/16 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setSql(ByVal db As clsDB, ByVal type As ENUM_SQL, ByVal ParamArray val() As String)
		log(clsSysMst.logLevel.DBG, Reflection.MethodBase.GetCurrentMethod.Name, "SQL設定 START")
		Try
			With db
				Select Case type
					'テーブル情報取得
					Case ENUM_SQL.Sel_Tbl
						.setSQLDa(sqlMSR200F010.sqlSel_TBL)
						'共通パラメータは必要ないのでここで終了
						Return
					'テーブル情報取得
					Case ENUM_SQL.Sel_Field
						.setSQLDa(sqlMSR200F010.sqlSel_FIELD)
						.setParamDa(sqlMSRCOMMON.prmSELECTED, clsDB.Enum_dbType.dbInt)		'パターン番号
						.setValDa(sqlMSRCOMMON.prmSELECTED, clsConst.Enum_Chk.ChkOff, False)
						'共通パラメータは必要ないのでここで終了
						Return

					'パターンテーブル取得
					Case ENUM_SQL.Sel_Ptn, ENUM_SQL.Sel_Ptn_Field, ENUM_SQL.Sel_Ptn_List, ENUM_SQL.Sel_Max_PtnNo
						Select Case type
							Case ENUM_SQL.Sel_Ptn												'パターン(ヘッダ)
								.setSQLDa(sqlMSR200F010.sqlSel_PTN)
							Case ENUM_SQL.Sel_Ptn_Field											'パターン(明細)
								.setSQLDa(sqlMSR200F010.sqlSel_PTN_FIELD)
							Case ENUM_SQL.Sel_Ptn_List											'パターンリスト取得
								.setSQLDa(sqlMSR200F010.sqlSel_PTN_LIST)
							Case ENUM_SQL.Sel_Max_PtnNo											'パターン番号最大値
								.setSQLDa(sqlMSR200F010.sqlSel_MAX_PTN_NO)
						End Select

						If val.Length > 0 Then
							.setParamDa(sqlMSR200F010.prmPTN_NO, clsDB.Enum_dbType.dbInt)		'パターン番号
							.setValDa(sqlMSR200F010.prmPTN_NO, val(0))
						End If

						'共通パラメータ
						.setParamDa(sqlMSR200F010.prmSCREEN_CD, clsDB.Enum_dbType.dbNVarChar)		'画面コード
						.setValDa(sqlMSR200F010.prmSCREEN_CD, Me.Owner.Name)
						.setParamDa(sqlMSR200F010.prmUNIT_CD, clsDB.Enum_dbType.dbNVarChar)		'管理単位
						.setValDa(sqlMSR200F010.prmUNIT_CD, Me.pLendUnit, False)

					'パターンデータ更新
					Case ENUM_SQL.Ins_Ptn, ENUM_SQL.Ins_Ptn_Field, ENUM_SQL.Upd_Ptn, ENUM_SQL.Del_Ptn, ENUM_SQL.Del_Ptn_Field
						Select Case type

							Case ENUM_SQL.Ins_Ptn, ENUM_SQL.Upd_Ptn
								Select Case type
									Case ENUM_SQL.Ins_Ptn
										.setSQL(sqlMSR200F010.sqlIns_PTN)
									Case ENUM_SQL.Upd_Ptn
										.setSQL(sqlMSR200F010.sqlUpd_PTN)
								End Select
								.setParam(sqlMSR200F010.prmPTN_NM, clsDB.Enum_dbType.dbNVarChar)									'パターン名
								Dim SqlItem As String
								Try
									For i As Integer = 0 To Me.CtlNum.Length - 2
										SqlItem = String.Format(sqlMSR200F010.prmREPEAT_COUNT, i + 1)
										.setParam(SqlItem, clsDB.Enum_dbType.dbInt)												'繰返し回数
										.setVal(SqlItem, String.Empty)															'NULLを設定しておく
									Next
									SqlItem = String.Format(sqlMSR200F010.prmREPEAT_COUNT, Integer.Parse(clsMSRCOMMON.Enum_Tbl_CD.MTW_DPC))
									.setParam(SqlItem, clsDB.Enum_dbType.dbInt)
									.setVal(SqlItem, String.Empty)																'NULLを設定しておく

									For i As Integer = 0 To Me.CtlChk.Length - 1
										SqlItem = String.Format(sqlMSR200F010.prmOPT_FLG, i + 1)
										.setParam(SqlItem, clsDB.Enum_dbType.dbInt)												'ｵﾌﾟｼｮﾝﾌﾗｸﾞ
										.setVal(SqlItem, String.Empty)															'NULLを設定しておく
									Next
								Catch ex As Exception
									Throw
								Finally
									SqlItem = Nothing
								End Try

							Case ENUM_SQL.Ins_Ptn_Field
								.setSQL(sqlMSR200F010.sqlIns_PTN_FIELD)
								.setParam(sqlMSR200F010.prmTABLE_CD, clsDB.Enum_dbType.dbInt)
								.setParam(sqlMSR200F010.prmFIELD_CD, clsDB.Enum_dbType.dbInt)
								.setParam(sqlMSR200F010.prmCSV_NO, clsDB.Enum_dbType.dbInt)

							Case ENUM_SQL.Del_Ptn
								.setSQL(sqlMSR200F010.sqlDel_PATTERN)

							Case ENUM_SQL.Del_Ptn_Field
								.setSQL(sqlMSR200F010.sqlDel_PTN_FIELD)
						End Select
						If val.Length > 0 Then
							.setParam(sqlMSR200F010.prmPTN_NO, clsDB.Enum_dbType.dbInt)			'パターン番号
							.setVal(sqlMSR200F010.prmPTN_NO, val(0))
						End If
						.setParam(sqlMSR200F010.prmSCREEN_CD, clsDB.Enum_dbType.dbNVarChar)		'画面コード
						.setVal(sqlMSR200F010.prmSCREEN_CD, Me.Owner.Name)
						.setParam(sqlMSR200F010.prmUNIT_CD, clsDB.Enum_dbType.dbNVarChar)			'管理単位
						.setVal(sqlMSR200F010.prmUNIT_CD, Me.pLendUnit, False)
						.setParam(sqlMSRCOMMON.prmLASTUPDUSER_CD, clsDB.Enum_dbType.dbNVarChar)	'更新担当者
						.setVal(sqlMSRCOMMON.prmLASTUPDUSER_CD, Me._userID)
						.setParam(sqlMSRCOMMON.prmLASTUPD_DT, clsDB.Enum_dbType.dbDateTime)		'更新日
						.setVal(sqlMSRCOMMON.prmLASTUPD_DT, DateTime.Now())
				End Select

			End With
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' ＣＳＶ出力パターンコンボ設定
	''' </summary>
	''' <remarks>
	'''2010/12/16 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setCmbCsv()
		log(clsSysMst.logLevel.DBG, Reflection.MethodBase.GetCurrentMethod.Name, "ＣＳＶ出力パターンコンボ設定 START")
		Try
			Using db As New clsDB(clsSysMst.ctlConfigData),
				  dt As New DataTable
				Me.setSql(db, ENUM_SQL.Sel_Ptn_List)
				db.execQueryDa(dt)

				With Me.cmb002MSR200F010
					.DataSource = dt.Copy
					.setDropDownWidth()
				End With

			End Using
		Catch ex As Exception
			Throw
		End Try
	End Sub

'(M) STR V4-12067-000 297 20130122 ID)平井(出力候補一覧のデータグリッドビュー化)
'	''' ---------------------------------------------
'	''' <summary>
'	''' 初期データの取得
'	''' </summary>
'	''' <returns>初期データ取得の有無(True/False)</returns>
'	''' <remarks>
'	''' 2010/12/16 新規作成 ACS)仙頭<BR/>
'	''' </remarks>
'	''' ---------------------------------------------
'	Private Function getInitData() As Boolean
'		log(clsSysMst.logLevel.DBG, Reflection.MethodBase.GetCurrentMethod.Name, "初期データの取得 START")
'		Try
'			Dim TableDt As New DataTable
'			Dim FieldDt As New DataTable
'			Me.InitPtnDt = New DataTable

'			Using db As New clsDB(clsSysMst.ctlConfigData)
'				'テーブル情報の取得
'				Me.setSql(db, ENUM_SQL.Sel_Tbl)
'				db.execQueryDa(TableDt)
'				If TableDt.Rows.Count = 0 Then Return False

'				'フィールド情報の取得
'				Me.setSql(db, ENUM_SQL.Sel_Field)
'				db.execQueryDa(FieldDt)
'				If FieldDt.Rows.Count = 0 Then Return False

'				'初期パターン情報の取得(KEY = 0)
'				Me.setSql(db, ENUM_SQL.Sel_Ptn, 0)
'				db.execQueryDa(Me.InitPtnDt)

'				If Me.InitPtnDt.Rows.Count = 0 Then Return False

'				Dim PtnRow As DataRow = Me.InitPtnDt.Rows(0)
'				Dim idx As Integer = 0
'				Dim RepetVal As String
'				Dim ColName As String
'				Try
'					'テーブルの絞り込み
'					For Each row As DataRow In TableDt.Rows
'						Select Case row.Item(sqlMSR020F010.itmTABLE_CD)
'						Case clsMSRCOMMON.Enum_Tbl_CD.MTI_MED_COST												'医療費情報
'							Select Case clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00012)					'医療費の登録方法
'								Case clsConst.Enum_MedCostInput.NoInput											'	登録しない
'									row.Delete() : Continue For
'								Case clsConst.Enum_MedCostInput.HspDetail,
'									 clsConst.Enum_MedCostInput.HspNoDetail										'	入退院単位
'									Using cliCsvOut As New clsMSRCsvOut
'										Select Case cliCsvOut.getProcUnit(Me.Owner.Name, Me.pLendUnit)			'		入退院ならＯＫ
'											Case clsMSRCsvOut.ENUM_PROC_UNIT.HSP
'											Case Else : row.Delete() : Continue For
'										End Select
'									End Using
'								Case clsConst.Enum_MedCostInput.HspDeptDetail,
'									 clsConst.Enum_MedCostInput.HspDeptNoDetail									'	科歴単位
'									Using cliCsvOut As New clsMSRCsvOut
'										Select Case cliCsvOut.getProcUnit(Me.Owner.Name, Me.pLendUnit)			'		入退院以上ならＯＫ
'											Case clsMSRCsvOut.ENUM_PROC_UNIT.HSP, clsMSRCsvOut.ENUM_PROC_UNIT.CH, clsMSRCsvOut.ENUM_PROC_UNIT.SERIAL
'											Case Else : row.Delete() : Continue For
'										End Select
'									End Using
'								Case Else
'									row.Delete() : Continue For
'							End Select
'						Case clsMSRCOMMON.Enum_Tbl_CD.MTI_CB_SB													'分娩子流死産情報 分娩子に含むため削除
'							row.Delete()
'							Continue For
'						End Select

'						'繰返し回数を画面に反映
'						ColName = String.Format(sqlMSR200F010.itmREPEAT_COUNT, row.Item(sqlMSR020F010.itmTABLE_CD).ToString)
'						If Me.InitPtnDt.Columns.Contains(ColName) = True Then
'							RepetVal = PtnRow.Item(ColName).ToString
'							If IsNumeric(RepetVal) = False Then RepetVal = "-1"

'							Select Case Integer.Parse(RepetVal)
'							Case -1 : row.Delete() : Continue For
'							Case 0 : With Me.CtlNum(idx) : .Text = RepetVal : .Visible = False : End With
'							Case Else : With Me.CtlNum(idx) : .Text = RepetVal : .Visible = True : .Minimum = 1 : End With
'							End Select
'							idx += 1
'						Else
'							row.Delete()																		'繰返し項目がないので削除
'						End If
'					Next
'					TableDt.AcceptChanges()

'					'残ったテーブルの確認
'					If TableDt.Rows.Count = 0 Then Return False

'					'テーブル一覧に反映
'					Me.lst004MSR200F010.DataSource = TableDt							'選択対象(ﾃｰﾌﾞﾙ)
'					Using cliCsvOut As New clsMSRCsvOut
'						cliCsvOut.setMst2Field(db, FieldDt)
'					End Using
'					With FieldDt
'						'検索のためPKを設定しておく
'						.PrimaryKey = New DataColumn() {.Columns(sqlMSR200F010.itmTABLE_CD), .Columns(sqlMSR200F010.itmFIELD_CD)}
'						'名前を付与
'						.TableName = "List"
'					End With

'					Dim dv As New DataView
'					dv.Table = FieldDt
'					dv.AllowEdit = True
'					dv.Sort = sqlMSR200F010.itmLST_SORT
'					Me.lst031MSR200F010.DataSource = dv									'選択対象(項目)

'					dv = Nothing
'					dv = New DataView
'					dv.Table = FieldDt.Clone
'					dv.AllowNew = True
'					dv.AllowEdit = True
'					dv.AllowDelete = True
'					dv.Sort = sqlMSR200F010.itmSEL_SORT
'					Me.lst036MSR200F010.DataSource = dv									'選択済(項目)


'					For Each ctl As BT_Number In Me.CtlNum								'繰返回数のいずれかが表示されていれば
'						If ctl.Visible = True Then
'							Me.lbl005MSR200F010.Visible = True
'							Me.btn030MSR200F010.Visible = True
'							Exit For
'						End If
'					Next
'					'オプションチェック
'					For i As Integer = 1 To Me.CtlChk.Length
'						Select Case PtnRow.Item(String.Format(sqlMSR200F010.itmOPT_FLG, i.ToString)).ToString
'							Case clsConst.Enum_CheckBox_Flg.CheckOn
'								Me.CtlChk(i - 1).Checked = True
'							Case Else
'								Me.CtlChk(i - 1).Checked = False
'						End Select
'					Next
'				Catch ex As Exception
'					Throw
'				Finally
'					PtnRow = Nothing
'					RepetVal = Nothing
'					ColName = Nothing
'				End Try
'				Return True
'			End Using
'		Catch ex As Exception
'			Throw
'		End Try
'	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 初期データの取得
	''' </summary>
	''' <returns>初期データ取得の有無(True/False)</returns>
	''' <remarks>
	''' 2010/12/16 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getInitData() As Boolean
		log(clsSysMst.logLevel.DBG, Reflection.MethodBase.GetCurrentMethod.Name, "初期データの取得 START")
		Try
			Dim TableDt As New DataTable
			Dim FieldDt As New DataTable
			Me.InitPtnDt = New DataTable

			Using db As New clsDB(clsSysMst.ctlConfigData)
				'テーブル情報の取得
				Me.setSql(db, ENUM_SQL.Sel_Tbl)
				db.execQueryDa(TableDt)
				If TableDt.Rows.Count = 0 Then Return False

				'フィールド情報の取得
				Me.setSql(db, ENUM_SQL.Sel_Field)
				db.execQueryDa(FieldDt)
				If FieldDt.Rows.Count = 0 Then Return False

				'初期パターン情報の取得(KEY = 0)
				Me.setSql(db, ENUM_SQL.Sel_Ptn, 0)
				db.execQueryDa(Me.InitPtnDt)

				If Me.InitPtnDt.Rows.Count = 0 Then Return False

				Dim PtnRow As DataRow = Me.InitPtnDt.Rows(0)
				Dim idx As Integer = 0
				Dim RepetVal As String
				Dim ColName As String
				Try
					'テーブルの絞り込み
					For Each row As DataRow In TableDt.Rows
						Select Case row.Item(sqlMSR020F010.itmTABLE_CD)
						Case clsMSRCOMMON.Enum_Tbl_CD.MTI_MED_COST												'医療費情報
							Select Case clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00012)					'医療費の登録方法
								Case clsConst.Enum_MedCostInput.NoInput											'	登録しない
									row.Delete() : Continue For
								Case clsConst.Enum_MedCostInput.HspDetail,
									 clsConst.Enum_MedCostInput.HspNoDetail										'	入退院単位
									Using cliCsvOut As New clsMSRCsvOut
										Select Case cliCsvOut.getProcUnit(Me.Owner.Name, Me.pLendUnit)			'		入退院ならＯＫ
											Case clsMSRCsvOut.ENUM_PROC_UNIT.HSP
											Case Else : row.Delete() : Continue For
										End Select
									End Using
								Case clsConst.Enum_MedCostInput.HspDeptDetail,
									 clsConst.Enum_MedCostInput.HspDeptNoDetail									'	科歴単位
									Using cliCsvOut As New clsMSRCsvOut
										Select Case cliCsvOut.getProcUnit(Me.Owner.Name, Me.pLendUnit)			'		入退院以上ならＯＫ
											Case clsMSRCsvOut.ENUM_PROC_UNIT.HSP, clsMSRCsvOut.ENUM_PROC_UNIT.CH, clsMSRCsvOut.ENUM_PROC_UNIT.SERIAL
											Case Else : row.Delete() : Continue For
										End Select
									End Using
								Case Else
									row.Delete() : Continue For
							End Select
						Case clsMSRCOMMON.Enum_Tbl_CD.MTI_CB_SB													'分娩子流死産情報 分娩子に含むため削除
							row.Delete()
							Continue For
						End Select

						'繰返し回数を画面に反映
						ColName = String.Format(sqlMSR200F010.itmREPEAT_COUNT, row.Item(sqlMSR020F010.itmTABLE_CD).ToString)
						If Me.InitPtnDt.Columns.Contains(ColName) = True Then
							RepetVal = PtnRow.Item(ColName).ToString
							If IsNumeric(RepetVal) = False Then RepetVal = "-1"

							Select Case Integer.Parse(RepetVal)
							Case -1 : row.Delete() : Continue For
							Case 0 : With Me.CtlNum(idx) : .Text = RepetVal : .Visible = False : End With
							Case Else : With Me.CtlNum(idx) : .Text = RepetVal : .Visible = True : .Minimum = 1 : End With
							End Select
							idx += 1
						Else
							row.Delete()																		'繰返し項目がないので削除
						End If
					Next
					TableDt.AcceptChanges()

					'残ったテーブルの確認
					If TableDt.Rows.Count = 0 Then Return False

					'テーブル一覧に反映
					Me.lst004MSR200F010.DataSource = TableDt							'選択対象(ﾃｰﾌﾞﾙ)
					Using cliCsvOut As New clsMSRCsvOut
						cliCsvOut.setMst2Field(db, FieldDt)
					End Using
					With FieldDt
						'検索のためPKを設定しておく
						.PrimaryKey = New DataColumn() {.Columns(sqlMSR200F010.itmTABLE_CD), .Columns(sqlMSR200F010.itmFIELD_CD)}
						'名前を付与
						.TableName = "List"
					End With

					Dim dv As New DataView
					dv.Table = FieldDt
					dv.AllowEdit = True
					dv.Sort = sqlMSR200F010.itmLST_SORT
					Me.lst031MSR200F010.DataSource = dv									'選択対象(項目)

					dv = Nothing
					dv = New DataView
					dv.Table = FieldDt.Clone
					dv.AllowNew = True
					dv.AllowEdit = True
					dv.AllowDelete = True
					dv.Sort = sqlMSR200F010.itmSEL_SORT
					Me.dgv036MSR200F010.DataSource = dv									'選択済(項目)


					For Each ctl As BT_Number In Me.CtlNum								'繰返回数のいずれかが表示されていれば
						If ctl.Visible = True Then
							Me.lbl005MSR200F010.Visible = True
							Me.btn030MSR200F010.Visible = True
							Exit For
						End If
					Next
					'オプションチェック
					For i As Integer = 1 To Me.CtlChk.Length
						Select Case PtnRow.Item(String.Format(sqlMSR200F010.itmOPT_FLG, i.ToString)).ToString
							Case clsConst.Enum_CheckBox_Flg.CheckOn
								Me.CtlChk(i - 1).Checked = True
							Case Else
								Me.CtlChk(i - 1).Checked = False
						End Select
					Next
				Catch ex As Exception
					Throw
				Finally
					PtnRow = Nothing
					RepetVal = Nothing
					ColName = Nothing
				End Try
				Return True
			End Using
		Catch ex As Exception
			Throw
		End Try
	End Function
'(M) END V4-12067-000 297 20130122

'(M) STR V4-12067-000 129 20130122 ID)平井(出力候補一覧のデータグリッドビュー化)
'	''' ---------------------------------------------
'	''' <summary>
'	''' 登録済みパターンデータの取得
'	''' </summary>
'	''' <returns>データ取得の有無(True/False)</returns>
'	''' <remarks>
'	''' 2010/12/16 新規作成 ACS)仙頭<BR/>
'	''' </remarks>
'	''' ---------------------------------------------
'	Private Function getPtnData(ByVal PtnNo As Integer) As Boolean
'		log(clsSysMst.logLevel.DBG, Reflection.MethodBase.GetCurrentMethod.Name, "パターンデータの取得 START")
'		Try
'			Me.lst031MSR200F010.BeginUpdate()													'描画停止
'			Me.lst036MSR200F010.BeginUpdate()
'			Using db As New clsDB(clsSysMst.ctlConfigData),
'				  dt As New DataTable, dtDetail As New DataTable

'				'パターン(ヘッダ)の取得
'				Me.setSql(db, ENUM_SQL.Sel_Ptn, PtnNo)
'				db.execQueryDa(dt)

'				If dt.Rows.Count = 0 Then Return False

'				'パターン(ヘッダ)の画面への反映
'				Me.setPtn2Disp(dt)

'				'選択フラグをクリア
'				Me.delSelectList(True)

'				'パターン(明細)の取得
'				Me.setSql(db, ENUM_SQL.Sel_Ptn_Field, PtnNo)
'				db.execQueryDa(dtDetail)

'				'取得したデータを候補一覧から選択一覧に移動
'				Dim MoveTable As DataTable = DirectCast(Me.lst036MSR200F010.DataSource, DataView).Table
'				Dim FindTable As DataTable = DirectCast(Me.lst031MSR200F010.DataSource, DataView).Table
'				Dim FindRow As DataRow
'				Try
'					For Each row As DataRow In dtDetail.Rows
'						FindRow = FindTable.Rows.Find(New Object() {row.Item(sqlMSR200F010.itmTABLE_CD), row.Item(sqlMSR200F010.itmFIELD_CD)})
'						If FindRow IsNot Nothing Then
'							FindRow.Item(sqlMSR200F010.itmCSV_NO) = row.Item(sqlMSR200F010.itmCSV_NO)		'行番号を付加しコピー
'							MoveTable.ImportRow(FindRow)
'							FindRow.Item(sqlMSRCOMMON.itmSELECTED) = clsConst.Enum_Chk.ChkOn				'選択済みに変更
'							FindRow.Item(sqlMSR200F010.itmCSV_NO) = 0										'念のため行番号をZeroリセット
'						End If
'					Next
'				Catch ex As Exception
'					Throw
'				Finally
'					MoveTable = Nothing
'					FindTable = Nothing
'					FindRow = Nothing
'				End Try

'				'一覧への反映
'			End Using
'		Catch ex As Exception
'			Throw
'		Finally
'			Me.lst031MSR200F010.EndUpdate()
'			Me.lst036MSR200F010.EndUpdate()
'		End Try
'	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 登録済みパターンデータの取得
	''' </summary>
	''' <returns>データ取得の有無(True/False)</returns>
	''' <remarks>
	''' 2010/12/16 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getPtnData(ByVal PtnNo As Integer) As Boolean
		log(clsSysMst.logLevel.DBG, Reflection.MethodBase.GetCurrentMethod.Name, "パターンデータの取得 START")
		Try
			Me.lst031MSR200F010.BeginUpdate()													'描画停止
			Using db As New clsDB(clsSysMst.ctlConfigData),
				  dt As New DataTable, dtDetail As New DataTable

				'パターン(ヘッダ)の取得
				Me.setSql(db, ENUM_SQL.Sel_Ptn, PtnNo)
				db.execQueryDa(dt)

				If dt.Rows.Count = 0 Then Return False

				'パターン(ヘッダ)の画面への反映
				Me.setPtn2Disp(dt)

				'選択フラグをクリア
				Me.delSelectList(True)

				'パターン(明細)の取得
				Me.setSql(db, ENUM_SQL.Sel_Ptn_Field, PtnNo)
				db.execQueryDa(dtDetail)

				'取得したデータを候補一覧から選択一覧に移動
				Dim MoveTable As DataTable = DirectCast(Me.dgv036MSR200F010.DataSource, DataView).Table
				Dim FindTable As DataTable = DirectCast(Me.lst031MSR200F010.DataSource, DataView).Table
				Dim FindRow As DataRow
				Try
					For Each row As DataRow In dtDetail.Rows
						FindRow = FindTable.Rows.Find(New Object() {row.Item(sqlMSR200F010.itmTABLE_CD), row.Item(sqlMSR200F010.itmFIELD_CD)})
						If FindRow IsNot Nothing Then
							FindRow.Item(sqlMSR200F010.itmCSV_NO) = row.Item(sqlMSR200F010.itmCSV_NO)		'行番号を付加しコピー
							MoveTable.ImportRow(FindRow)
							FindRow.Item(sqlMSRCOMMON.itmSELECTED) = clsConst.Enum_Chk.ChkOn				'選択済みに変更
							FindRow.Item(sqlMSR200F010.itmCSV_NO) = 0										'念のため行番号をZeroリセット
						End If
					Next
				Catch ex As Exception
					Throw
				Finally
					MoveTable = Nothing
					FindTable = Nothing
					FindRow = Nothing
				End Try

				'一覧への反映
			End Using
		Catch ex As Exception
			Throw
		Finally
			Me.lst031MSR200F010.EndUpdate()
		End Try
	End Function
'(M) END V4-12067-000 129 20130122

	''' ---------------------------------------------
	''' <summary>
	''' パターンデータの画面への反映
	'''  初期値、クリアボタン押下時、パターン選択時
	''' </summary>
	''' <param name="dt">設定パターンデータ</param>
	''' <param name="OptChk">オプション設定有無(初期値ボタンの時はFALSEにする)</param>
	''' <remarks>
	''' 2010/12/16 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setPtn2Disp(ByRef dt As DataTable, Optional ByVal OptChk As Boolean = True)
		log(clsSysMst.logLevel.DBG, Reflection.MethodBase.GetCurrentMethod.Name, "パターンデータの画面反映 START")
		Dim PtnRow As DataRow
		Dim RepetVal As String
		Dim idx As Integer = 0
		Try
			PtnRow = dt.Rows(0)
			For Each row As DataRow In DirectCast(Me.lst004MSR200F010.DataSource, DataTable).Rows
				Try
					'繰返し回数を画面に反映
					RepetVal = PtnRow.Item(String.Format(sqlMSR200F010.itmREPEAT_COUNT, row.Item(sqlMSR020F010.itmTABLE_CD).ToString)).ToString
					If IsNumeric(RepetVal) = False Then RepetVal = "-1"
					Select Case Integer.Parse(RepetVal)
					Case -1
					Case 0
					Case Else : If Me.CtlNum(idx).Visible = True Then Me.CtlNum(idx).Text = RepetVal
					End Select
					idx += 1
				Catch ex As Exception
					Throw
				End Try
			Next

			If OptChk = True Then
				'オプションチェック
				For i As Integer = 1 To Me.CtlChk.Length
					Select Case PtnRow.Item(String.Format(sqlMSR200F010.itmOPT_FLG, i.ToString)).ToString
						Case clsConst.Enum_CheckBox_Flg.CheckOn
							Me.CtlChk(i - 1).Checked = True
						Case Else
							Me.CtlChk(i - 1).Checked = False
					End Select
				Next
			End If
		Catch ex As Exception
			PtnRow = Nothing
			RepetVal = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 候補項目一覧の設定
	''' </summary>
	''' <remarks>
	''' 2010/12/20 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setFieldList()
		log(clsSysMst.logLevel.DBG, Reflection.MethodBase.GetCurrentMethod.Name, "選択対象(項目)一覧の設定 START")
		Dim Filter As String
		Try
			'画面ロード時は、データソースが設定されていなので終了
			If Me.lst031MSR200F010.DataSource Is Nothing Then Return

			'絞り込み条件の設定
			With Me.lst004MSR200F010
				If .SelectedIndex = -1 Then
					Filter = String.Format("{0} < -1", sqlMSR200F010.itmSEL_TABLE_CD)
				Else
					Filter = String.Format("{0} = {1} AND {2} = {3}", sqlMSR200F010.itmSEL_TABLE_CD, .SelectedValue,
																	  sqlMSRCOMMON.itmSELECTED, Integer.Parse(clsConst.Enum_Chk.ChkOff))
				End If
			End With
			With Me.lst031MSR200F010
				'絞り込み条の一覧へ反映
				With DirectCast(.DataSource, DataView)
					.RowFilter = Filter
				End With
				.Refresh()
			End With

		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			Filter = Nothing
		End Try
	End Sub

'(M) STR V4-12067-000 188 20130122 ID)平井(出力候補一覧のデータグリッドビュー化)
'	''' ---------------------------------------------
'	''' <summary>
'	''' 選択項目一覧への追加
'	''' </summary>
'	''' <param name="All">True:全て/Flase:選択項目</param>
'	''' <remarks>
'	''' 2010/12/20 新規作成 ACS)仙頭<BR/>
'	''' </remarks>
'	''' ---------------------------------------------
'	Private Sub addSelectList(ByVal All As Boolean)
'		log(clsSysMst.logLevel.DBG, Reflection.MethodBase.GetCurrentMethod.Name, "選択項目一覧への追加 START")
'		Dim SelRow As DataRow
'		Dim EditRow As List(Of DataRow)

'		Try
'			Me.lst031MSR200F010.BeginUpdate()													'描画停止
'			Me.lst036MSR200F010.BeginUpdate()

'			'現在の表示順最大値を取得
'			Dim TableCd As Integer = Me.lst004MSR200F010.SelectedValue
'			Dim DspOrder As Integer = 0
'			Dim CurentNo As Integer = 0
'			With DirectCast(Me.lst036MSR200F010.DataSource, DataView)
'				For i As Integer = 0 To .Count - 1
'					SelRow = DirectCast(.Item(i), DataRowView).Row()
'					If SelRow.Item(sqlMSR200F010.itmSEL_TABLE_CD) = TableCd Then
'						CurentNo = SelRow.Item(sqlMSR200F010.itmCSV_NO)
'						If DspOrder < CurentNo Then
'							DspOrder = CurentNo
'						End If
'					ElseIf DspOrder > 0 Then
'						Exit For
'					End If
'				Next
'			End With

'			EditRow = New List(Of DataRow)
'			'選択項目一覧に追加
'			With Me.lst031MSR200F010
'				If All = True Then																		'全てを対象
'					For i As Integer = 0 To .Items.Count - 1
'						SelRow = DirectCast(.Items(i), DataRowView).Row										'選択行を取得
'						DspOrder += 1
'						SelRow.Item(sqlMSR200F010.itmCSV_NO) = DspOrder										'表示順の設定
'						DirectCast(Me.lst036MSR200F010.DataSource, DataView).Table.ImportRow(SelRow)		'選択項目一覧に追加
'						EditRow.Add(SelRow)																	'選択済み更新一覧に追加
'					Next
'					With Me.lst036MSR200F010															'選択解除し、先頭を選択
'						If .Items.Count > 0 Then
'							.ClearSelected()
'							.SelectedIndex = 0
'						End If
'					End With
'				Else
'					For i As Integer = 0 To .SelectedItems.Count - 1
'						SelRow = DirectCast(.SelectedItems(i), DataRowView).Row							'選択行を取得
'						DspOrder += 1
'						SelRow.Item(sqlMSR200F010.itmCSV_NO) = DspOrder										'表示順の設定
'						DirectCast(Me.lst036MSR200F010.DataSource, DataView).Table.ImportRow(SelRow)		'選択項目一覧に追加
'						EditRow.Add(SelRow)																	'選択済み更新一覧に追加
'					Next
'					With Me.lst036MSR200F010															'一旦選択をクリア
'						If .Items.Count > 0 Then .ClearSelected()
'						For Each row As DataRow In EditRow												'追加項目を選択状態に
'							For j As Integer = 0 To .Items.Count - 1
'								With DirectCast(.Items(j), DataRowView).Row
'									If .Item(sqlMSR200F010.itmTABLE_CD).ToString = row.Item(sqlMSR200F010.itmTABLE_CD).ToString AndAlso
'										.Item(sqlMSR200F010.itmFIELD_CD).ToString = row.Item(sqlMSR200F010.itmFIELD_CD).ToString Then
'										Me.lst036MSR200F010.SetSelected(j, True)
'										Exit For
'									End If
'								End With
'							Next
'						Next
'					End With
'				End If

'				'選択項目一覧に追加した行を選択済みに変更
'				For Each row As DataRow In EditRow
'					row.BeginEdit()
'					row.Item(sqlMSRCOMMON.itmSELECTED) = clsConst.Enum_Chk.ChkOn
'					row.EndEdit()
'				Next
'				EditRow.Clear()
'				.Refresh()
'			End With

'		Catch ex As Exception
'			Throw
'		Finally
'			Me.lst031MSR200F010.EndUpdate()
'			Me.lst036MSR200F010.EndUpdate()
'			EditRow = Nothing
'		End Try
'	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 選択項目一覧への追加
	''' </summary>
	''' <param name="All">True:全て/Flase:選択項目</param>
	''' <remarks>
	''' 2010/12/20 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub addSelectList(ByVal All As Boolean)
		log(clsSysMst.logLevel.DBG, Reflection.MethodBase.GetCurrentMethod.Name, "選択項目一覧への追加 START")
		Dim SelRow As DataRow
		Dim EditRow As List(Of DataRow)

		Try
			Me.lst031MSR200F010.BeginUpdate()													'描画停止

			'現在の表示順最大値を取得
			Dim TableCd As Integer = Me.lst004MSR200F010.SelectedValue
			Dim DspOrder As Integer = 0
			Dim CurentNo As Integer = 0
			With DirectCast(Me.dgv036MSR200F010.DataSource, DataView)
				For i As Integer = 0 To .Count - 1
					SelRow = DirectCast(.Item(i), DataRowView).Row()
					If SelRow.Item(sqlMSR200F010.itmSEL_TABLE_CD) = TableCd Then
						CurentNo = SelRow.Item(sqlMSR200F010.itmCSV_NO)
						If DspOrder < CurentNo Then
							DspOrder = CurentNo
						End If
					ElseIf DspOrder > 0 Then
						Exit For
					End If
				Next
			End With

			EditRow = New List(Of DataRow)
			'選択項目一覧に追加
			With Me.lst031MSR200F010
				If All = True Then																		'全てを対象
					For i As Integer = 0 To .Items.Count - 1
						SelRow = DirectCast(.Items(i), DataRowView).Row										'選択行を取得
						DspOrder += 1
						SelRow.Item(sqlMSR200F010.itmCSV_NO) = DspOrder										'表示順の設定
						DirectCast(Me.dgv036MSR200F010.DataSource, DataView).Table.ImportRow(SelRow)		'選択項目一覧に追加
						EditRow.Add(SelRow)																	'選択済み更新一覧に追加
					Next
					With Me.dgv036MSR200F010															'選択解除し、先頭を選択
						If .Rows.Count > 0 Then
							.ClearSelection()
						End If
					End With
				Else
					For i As Integer = 0 To .SelectedItems.Count - 1
						SelRow = DirectCast(.SelectedItems(i), DataRowView).Row							'選択行を取得
						DspOrder += 1
						SelRow.Item(sqlMSR200F010.itmCSV_NO) = DspOrder										'表示順の設定
						DirectCast(Me.dgv036MSR200F010.DataSource, DataView).Table.ImportRow(SelRow)		'選択項目一覧に追加
						EditRow.Add(SelRow)																	'選択済み更新一覧に追加
					Next
					With Me.dgv036MSR200F010															'一旦選択をクリア
						If .Rows.Count > 0 Then .ClearSelection()
						For Each row As DataRow In EditRow												'追加項目を選択状態に
							For j As Integer = 0 To .Rows.Count - 1
								If .Rows(j).Cells(C_COL_TABLE_CD).Value.ToString = row.Item(sqlMSR200F010.itmTABLE_CD).ToString AndAlso
									.Rows(j).Cells(C_COL_FIELD_CD).Value.ToString = row.Item(sqlMSR200F010.itmFIELD_CD).ToString Then
									.Rows(j).Selected = True
									Exit For
								End If
							Next
						Next
					End With
				End If

				'選択項目一覧に追加した行を選択済みに変更
				For Each row As DataRow In EditRow
					row.BeginEdit()
					row.Item(sqlMSRCOMMON.itmSELECTED) = clsConst.Enum_Chk.ChkOn
					row.EndEdit()
				Next
				EditRow.Clear()
				.Refresh()
			End With

		Catch ex As Exception
			Throw
		Finally
			Me.lst031MSR200F010.EndUpdate()
			EditRow = Nothing
		End Try
	End Sub
'(M) END V4-12067-000 188 20130122

'(M) STR V4-12067-000 165 20130122 ID)平井(出力候補一覧のデータグリッドビュー化)
'	''' ---------------------------------------------
'	''' <summary>
'	''' 選択項目一覧からの削除
'	''' </summary>
'	''' <param name="All">True:全て/Flase:選択項目</param>
'	''' <remarks>
'	''' 2010/12/20 新規作成 ACS)仙頭<BR/>
'	''' </remarks>
'	''' ---------------------------------------------
'	Private Sub delSelectList(ByVal All As Boolean)
'		log(clsSysMst.logLevel.DBG, Reflection.MethodBase.GetCurrentMethod.Name, "選択項目一覧からの削除 START")
'		Dim row As DataRow
'		Try
'			Me.lst031MSR200F010.BeginUpdate()													'描画停止
'			Me.lst036MSR200F010.BeginUpdate()
'			With Me.lst036MSR200F010
'				If All = True Then
'					'一覧をクリア
'					With DirectCast(.DataSource, DataView)
'						Dim BackSort As String = .Sort
'						Dim dt As DataTable = .Table.Clone
'						.Table = Nothing
'						.Table = dt
'						.Sort = BackSort
'					End With
'					With Me.lst031MSR200F010
'						For Each row In DirectCast(.DataSource, DataView).Table.Rows			'選択フラグをクリア
'							row.Item(sqlMSRCOMMON.itmSELECTED) = clsConst.Enum_Chk.ChkOff
'						Next
'						.ClearSelected()														'選択をクリアし先頭を選択
'						If .Items.Count > 0 Then .SelectedIndex = 0
'					End With
'				Else
'					Dim FindRow As DataRow
'					Dim DelList As New List(Of DataRow)
'					Try
'						For i As Integer = 0 To .SelectedItems.Count - 1
'							'選択行を取得
'							row = DirectCast(.SelectedItems(i), DataRowView).Row
'							'未選択に変更(元データ)
'							With DirectCast(Me.lst031MSR200F010.DataSource, DataView).Table
'								FindRow = .Rows.Find(New Object() {row.Item(sqlMSR200F010.itmTABLE_CD), row.Item(sqlMSR200F010.itmFIELD_CD)})
'								If row IsNot Nothing Then
'									FindRow.Item(sqlMSRCOMMON.itmSELECTED) = clsConst.Enum_Chk.ChkOff
'								End If
'							End With
'							'削除対象一覧に追加
'							DelList.Add(row)
'						Next
'						With Me.lst031MSR200F010
'							.ClearSelected()													'選択をクリア
'							For Each row In DelList
'								For j As Integer = 0 To .Items.Count - 1						'削除対象を選択
'									With DirectCast(.Items(j), DataRowView).Row
'										If .Item(sqlMSR200F010.itmTABLE_CD).ToString = row.Item(sqlMSR200F010.itmTABLE_CD).ToString AndAlso
'										   .Item(sqlMSR200F010.itmFIELD_CD).ToString = row.Item(sqlMSR200F010.itmFIELD_CD).ToString Then
'											Me.lst031MSR200F010.SetSelected(j, True)
'											Exit For
'										End If
'									End With
'								Next
'								row.Delete()													'削除対象一覧を削除
'							Next
'							If .SelectedItems.Count = 0 AndAlso .Items.Count > 0 Then			'１件も選択されていなければ先頭を選択
'								.SelectedIndex = 0
'							End If
'						End With
'					Catch ex As Exception
'					Finally
'						FindRow = Nothing
'					End Try

'				End If
'				.Refresh()
'			End With
'		Catch ex As Exception
'			Throw
'		Finally
'			Me.lst031MSR200F010.EndUpdate()
'			Me.lst036MSR200F010.EndUpdate()
'			row = Nothing
'		End Try
'	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 選択項目一覧からの削除
	''' </summary>
	''' <param name="All">True:全て/Flase:選択項目</param>
	''' <remarks>
	''' 2010/12/20 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub delSelectList(ByVal All As Boolean)
		log(clsSysMst.logLevel.DBG, Reflection.MethodBase.GetCurrentMethod.Name, "選択項目一覧からの削除 START")
		Dim row As DataRow
		Try
			Me.lst031MSR200F010.BeginUpdate()													'描画停止
			With Me.dgv036MSR200F010
				If All = True Then
					'一覧をクリア
					With DirectCast(.DataSource, DataView)
						Dim BackSort As String = .Sort
						Dim dt As DataTable = .Table.Clone
						.Table = Nothing
						.Table = dt
						.Sort = BackSort
					End With
					With Me.lst031MSR200F010
						For Each row In DirectCast(.DataSource, DataView).Table.Rows			'選択フラグをクリア
							row.Item(sqlMSRCOMMON.itmSELECTED) = clsConst.Enum_Chk.ChkOff
						Next
						.ClearSelected()														'選択をクリアし先頭を選択
						If .Items.Count > 0 Then .SelectedIndex = 0
					End With
				Else
					Dim FindRow As DataRow
					Dim DelList As New List(Of DataRow)
					Try
						For Each drow As DataGridViewRow In .SelectedRows
							'未選択に変更(元データ)
							With DirectCast(Me.lst031MSR200F010.DataSource, DataView).Table
								FindRow = .Rows.Find(New Object() {drow.Cells(C_COL_TABLE_CD).Value.ToString, drow.Cells(C_COL_FIELD_CD).Value.ToString})
								If drow IsNot Nothing Then
									FindRow.Item(sqlMSRCOMMON.itmSELECTED) = clsConst.Enum_Chk.ChkOff
								End If
							End With
							'削除対象一覧に追加
							DelList.Add(drow.DataBoundItem.Row)
						Next
						With Me.lst031MSR200F010
							.ClearSelected()													'選択をクリア
							For Each row In DelList
								For j As Integer = 0 To .Items.Count - 1						'削除対象を選択
									With DirectCast(.Items(j), DataRowView).Row
										If .Item(sqlMSR200F010.itmTABLE_CD).ToString = row.Item(sqlMSR200F010.itmTABLE_CD).ToString AndAlso
										   .Item(sqlMSR200F010.itmFIELD_CD).ToString = row.Item(sqlMSR200F010.itmFIELD_CD).ToString Then
											Me.lst031MSR200F010.SetSelected(j, True)
											Exit For
										End If
									End With
								Next
								row.Delete()													'削除対象一覧を削除
							Next
							If .SelectedItems.Count = 0 AndAlso .Items.Count > 0 Then			'１件も選択されていなければ先頭を選択
								.SelectedIndex = 0
							End If
						End With
					Catch ex As Exception
					Finally
						FindRow = Nothing
					End Try

				End If
				.Refresh()
			End With
		Catch ex As Exception
			Throw
		Finally
			Me.lst031MSR200F010.EndUpdate()
			row = Nothing
		End Try
	End Sub
'(M) END V4-12067-000 165 20130122

'(M) STR V4-12067-000 275 20130122 ID)平井(出力候補一覧のデータグリッドビュー化)
'	''' ---------------------------------------------
'	''' <summary>
'	''' 表示順の変更
'	''' </summary>
'	''' <param name="Forward">True:前方へ/False:後方へ</param>
'	''' <remarks>
'	''' 2010/12/20 新規作成 ACS)仙頭<BR/>
'	''' </remarks>
'	''' ---------------------------------------------
'	Private Sub chgDispNo(ByVal Forward As Boolean)
'		log(clsSysMst.logLevel.DBG, Reflection.MethodBase.GetCurrentMethod.Name, "表示順の変更 START")
'		Try
'			Dim TableCd As Integer								'テーブルコード
'			Dim FirstTableCd As Integer							'選択１件目のテーブルコード

'			Dim Plus As Integer									'加算
'			Dim SelectCnt As Integer							'選択行数

'			Dim TopIndex As Integer								'最上位表示位置の退避
'			Dim FinishIdx As Integer = -1						'最終検査行
'			Dim ChangeRow As DataRow							'移動対象行(非選択)
'			Dim row As DataRow									'データ行

'			Dim EditRow As New List(Of DictionaryEntry)			'変更行リスト
'			Dim SelectList As New List(Of String)				'選択行キー情報の退避

'			Try

'			If Forward = True Then								'前方/後方移動
'				Plus = -1
'			Else
'				Plus = 1
'			End If

'			With Me.lst036MSR200F010
'				'最上位表示位置を退避
'				TopIndex = .TopIndex
'				'選択ｲﾝﾃﾞｯｸｽを対象にループ
'				For Each idx As Integer In .SelectedIndices
'					If idx <= FinishIdx Then
'						'処理済みは読み飛ばし
'						Continue For

'					ElseIf Forward = True Then
'						If idx = 0 Then
'							ChangeRow = Nothing
'							TableCd = -9
'						Else
'							'1行前を取得
'							ChangeRow = DirectCast(.Items(idx - 1), DataRowView).Row
'							TableCd = ChangeRow.Item(sqlMSR200F010.itmSEL_TABLE_CD)
'						End If
'					Else
'						'選択行の次行を取得
'						ChangeRow = Nothing
'						TableCd = -9
'						For i As Integer = idx + 1 To .Items.Count - 1
'							If .GetSelected(i) = False Then
'									ChangeRow = DirectCast(.Items(i), DataRowView).Row
'									TableCd = ChangeRow.Item(sqlMSR200F010.itmSEL_TABLE_CD)
'								Exit For
'							End If
'						Next
'					End If

'					'選択されている一覧の順番を変更
'					SelectCnt = 0
'					FirstTableCd = -9
'					For i As Integer = idx To .Items.Count - 1
'						If .GetSelected(i) = True Then
'							row = DirectCast(.Items(i), DataRowView).Row
'							'選択リストに退避
'							SelectList.Add(String.Format("{0}/{1}", row.Item(sqlMSR200F010.itmTABLE_CD), row.Item(sqlMSR200F010.itmFIELD_CD)))
'							'テーブルコードが一致すれば、編集対象に
'							If row.Item(sqlMSR200F010.itmSEL_TABLE_CD) = TableCd Then
'								SelectCnt += 1
'								EditRow.Add(New DictionaryEntry(row, Plus))
'								FinishIdx = i
'							Else
'								'変更できない項目の調査
'								If SelectCnt > 0 Then
'									Exit For
'								ElseIf FirstTableCd = -9 Then
'									FirstTableCd = row.Item(sqlMSR200F010.itmSEL_TABLE_CD)
'								ElseIf FirstTableCd = row.Item(sqlMSR200F010.itmSEL_TABLE_CD) Then
'									FinishIdx = i
'								Else
'									Exit For
'								End If
'							End If
'						Else
'							Exit For
'						End If
'					Next
'					'1つ前の番号を変更
'					If SelectCnt > 0 Then EditRow.Add(New DictionaryEntry(ChangeRow, SelectCnt * Plus * -1))
'				Next

'				'変更内容を反映
'				For Each de As DictionaryEntry In EditRow
'					With DirectCast(de.Key, DataRow)
'						.BeginEdit()
'						.Item(sqlMSR200F010.itmCSV_NO) = .Item(sqlMSR200F010.itmCSV_NO) + de.Value
'						.EndEdit()
'					End With
'				Next
'				EditRow.Clear()

'				.Refresh()
'				'退避した選択リストを再選択
'				.SelectedIndex = -1
'				For i As Integer = 0 To .Items.Count - 1
'					row = DirectCast(.Items(i), DataRowView).Row
'					If SelectList.IndexOf(String.Format("{0}/{1}", row.Item(sqlMSR200F010.itmTABLE_CD), row.Item(sqlMSR200F010.itmFIELD_CD))) >= 0 Then
'						.SetSelected(i, True)
'					End If
'				Next
'				SelectList.Clear()
'				'退避した最上位表示位置を設定
'				.TopIndex = TopIndex
'			End With

'			Catch ex As Exception
'				Throw
'			Finally
'				ChangeRow = Nothing
'				row = Nothing
'				EditRow = Nothing
'				SelectList = Nothing
'			End Try

'		Catch ex As Exception
'			Throw
'		End Try
'	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 表示順の変更
	''' </summary>
	''' <param name="Forward">True:前方へ/False:後方へ</param>
	''' <remarks>
	''' 2010/12/20 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub chgDispNo(ByVal Forward As Boolean)
		log(clsSysMst.logLevel.DBG, Reflection.MethodBase.GetCurrentMethod.Name, "表示順の変更 START")
		Try
			Dim TableCd As Integer								'テーブルコード
			Dim FirstTableCd As Integer							'選択１件目のテーブルコード

			Dim Plus As Integer									'加算
			Dim SelectCnt As Integer							'選択行数

			Dim TopIndex As Integer								'最上位表示位置の退避
			Dim FinishIdx As Integer = -1						'最終検査行
			Dim ChangeRow As DataRow							'移動対象行(非選択)
			Dim row As DataRow									'データ行

			Dim EditRow As New List(Of DictionaryEntry)			'変更行リスト
			Dim SelectList As New List(Of String)				'選択行キー情報の退避
			Dim SelRows() As Integer = Nothing					'選択行のソート済みIndex

			Try

			If Forward = True Then								'前方/後方移動
				Plus = -1
			Else
				Plus = 1
			End If

			With Me.dgv036MSR200F010
				'最上位表示位置を退避
				TopIndex = .FirstDisplayedScrollingRowIndex
				'選択ｲﾝﾃﾞｯｸｽを対象にループ
				SelRows = GetSortedIndex(.SelectedRows)
				For Each idx As Integer In SelRows
					If .Rows(idx).Index <= FinishIdx Then
						'処理済みは読み飛ばし
						Continue For

					ElseIf Forward = True Then
						If .Rows(idx).Index = 0 Then
							ChangeRow = Nothing
							TableCd = -9
						Else
							'1行前を取得
							ChangeRow = .Rows(.Rows(idx).Index - 1).DataBoundItem.Row
							TableCd = ChangeRow.Item(sqlMSR200F010.itmSEL_TABLE_CD)
						End If
					Else
						'選択行の次行を取得
						ChangeRow = Nothing
						TableCd = -9
						For i As Integer = .Rows(idx).Index + 1 To .Rows.Count - 1
							If .Rows(i).Selected = False Then
									ChangeRow = .Rows(i).DataBoundItem.Row
									TableCd = ChangeRow.Item(sqlMSR200F010.itmSEL_TABLE_CD)
								Exit For
							End If
						Next
					End If

					'選択されている一覧の順番を変更
					SelectCnt = 0
					FirstTableCd = -9
					For i As Integer = .Rows(idx).Index To .Rows.Count - 1
						If .Rows(i).Selected = True Then
							row = .Rows(i).DataBoundItem.Row
							'選択リストに退避
							SelectList.Add(String.Format("{0}/{1}", row.Item(sqlMSR200F010.itmTABLE_CD), row.Item(sqlMSR200F010.itmFIELD_CD)))
							'テーブルコードが一致すれば、編集対象に
							If row.Item(sqlMSR200F010.itmSEL_TABLE_CD) = TableCd Then
								SelectCnt += 1
								EditRow.Add(New DictionaryEntry(row, Plus))
								FinishIdx = i
							Else
								'変更できない項目の調査
								If SelectCnt > 0 Then
									Exit For
								ElseIf FirstTableCd = -9 Then
									FirstTableCd = row.Item(sqlMSR200F010.itmSEL_TABLE_CD)
								ElseIf FirstTableCd = row.Item(sqlMSR200F010.itmSEL_TABLE_CD) Then
									FinishIdx = i
								Else
									Exit For
								End If
							End If
						Else
							Exit For
						End If
					Next
					'1つ前の番号を変更
					If SelectCnt > 0 Then EditRow.Add(New DictionaryEntry(ChangeRow, SelectCnt * Plus * -1))
				Next

				'変更内容を反映
				For Each de As DictionaryEntry In EditRow
					With DirectCast(de.Key, DataRow)
						.BeginEdit()
						.Item(sqlMSR200F010.itmCSV_NO) = .Item(sqlMSR200F010.itmCSV_NO) + de.Value
						.EndEdit()
					End With
				Next
				EditRow.Clear()

				.Refresh()
				'退避した選択リストを再選択
				.ClearSelection()
				For i As Integer = 0 To .Rows.Count - 1
					row = .Rows(i).DataBoundItem.Row
					If SelectList.IndexOf(String.Format("{0}/{1}", row.Item(sqlMSR200F010.itmTABLE_CD), row.Item(sqlMSR200F010.itmFIELD_CD))) >= 0 Then
						.Rows(i).Selected = True
					End If
				Next
				SelectList.Clear()
				'退避した最上位表示位置を設定
				.FirstDisplayedScrollingRowIndex = TopIndex
			End With

			Catch ex As Exception
				Throw
			Finally
				ChangeRow = Nothing
				row = Nothing
				EditRow = Nothing
				SelectList = Nothing
			End Try

		Catch ex As Exception
			Throw
		End Try
	End Sub
'(M) END V4-12067-000 275 20130122

'(M) STR V4-12067-000 247 20130122 ID)平井(出力候補一覧のデータグリッドビュー化)
'	''' ---------------------------------------------
'	''' <summary>
'	''' 入力チェック
'	''' </summary>
'	''' <returns></returns>
'	''' <remarks>
'	''' 2010/12/20 新規作成 ACS)仙頭<BR/>
'	''' </remarks>
'	''' ---------------------------------------------
'	Private Function chkInput() As Boolean
'		log(clsSysMst.logLevel.DBG, Reflection.MethodBase.GetCurrentMethod.Name, "入力チェック START")
'		Dim MaxCol As Integer = 256
'		Try
'			With Me.lst004MSR200F010
'				For j As Integer = 0 To .Items.Count - 1
'					With DirectCast(.Items(j), DataRowView).Row
'						If String.IsNullOrEmpty(Me.CtlNum(j).Text) = True Then
'							Me.addErrList("E0001", Me.CtlNum(j).Name, .Item(sqlMSR200F010.itmTABLE_DSP_NM).ToString, Nothing)
'						End If
'					End With
'				Next
'			End With
'			With Me.lst036MSR200F010
'				If .Items.Count = 0 Then
'					Me.addErrList("E0014", .Name, "抽出項目", "抽出項目", Nothing)
'				Else
'					Using cliCsvOut As New clsMSRCsvOut					'処理単位により最大項目数を決定
'						Select Case cliCsvOut.getProcUnit(Me.Owner.Name, Me.pLendUnit)
'						Case clsMSRCsvOut.ENUM_PROC_UNIT.PATIENT : MaxCol -= 1
'						Case clsMSRCsvOut.ENUM_PROC_UNIT.HSP : MaxCol -= 2
'						Case clsMSRCsvOut.ENUM_PROC_UNIT.CH,
'							 clsMSRCsvOut.ENUM_PROC_UNIT.SERIAL : MaxCol -= 3
'						End Select
'					End Using

'					If .Items.Count > MaxCol Then
'						Me.addErrList("E0017", .Name, "抽出項目", "抽出項目が２５６項目を", Nothing)
'					Else

'						'繰返し回数×項目数を確認
'						Dim row As DataRow
'						Dim TableCd As Integer = 0							'テーブルコード
'						Dim TableCnt As Integer = 0							'同一テーブル内項目数
'						Dim Repeat As Integer								'繰返数
'						Dim AllCnt As Integer = 0							'残対件数
'						Try
'							With DirectCast(.DataSource, DataView)
'								For i As Integer = 0 To .Count
'									If i < .Count Then
'										row = DirectCast(.Item(i), DataRowView).Row()
'									Else
'										row = Nothing
'									End If
'									If row IsNot Nothing AndAlso TableCd = row.Item(sqlMSR200F010.itmSEL_TABLE_CD) Then
'										If Me.chk040MSR200F010.Checked = False OrElse
'										   row.Item(sqlMSR200F010.itmMASTER_NM).ToString = String.Empty Then		'コード出力を考慮
'											TableCnt += 1
'										Else
'											TableCnt += 2
'										End If
'									Else
'										'初回以外なら繰返し回数を取得し加算
'										If TableCnt > 0 Then
'											With Me.lst004MSR200F010
'												For j As Integer = 0 To .Items.Count - 1
'													With DirectCast(.Items(j), DataRowView).Row
'														If .Item(sqlMSR200F010.itmTABLE_CD) = TableCd Then
'															Repeat = CType(Me.CtlNum(j).DblValue, Integer)
'															If Repeat = 0 Then Repeat = 1
'															If TableCd = clsMSRCOMMON.Enum_Tbl_CD.MTI_OPE_DOCTOR Then		'手術医師の場合手術を考慮
'																Dim Repeat2 As Integer = 0
'																For k As Integer = 0 To Me.lst004MSR200F010.Items.Count - 1
'																	With DirectCast(Me.lst004MSR200F010.Items(k), DataRowView).Row
'																		If .Item(sqlMSR200F010.itmTABLE_CD) = clsMSRCOMMON.Enum_Tbl_CD.MTI_OPE Then
'																			Repeat2 = CType(Me.CtlNum(k).DblValue, Integer)
'																			If Repeat2 = 0 Then Repeat2 = 1
'																			Exit For
'																		End If
'																	End With
'																Next
'																If Repeat2 > 0 Then Repeat = Repeat2 * Repeat
'															End If
'															AllCnt += TableCnt * Repeat

'															If AllCnt > MaxCol Then
'																Me.lst036MSR200F010.Select()
'																Me.addErrList("E0017", Me.lst036MSR200F010.Name, "抽出項目", "抽出項目が２５６項目を", Nothing)
'																Exit For
'															End If
'															Exit For
'														End If
'													End With
'												Next
'											End With
'										End If
'										If i < .Count Then
'											'現在値を退避し、カウンタを１に変更
'											TableCd = row.Item(sqlMSR200F010.itmSEL_TABLE_CD)
'											TableCnt = 1
'										End If
'									End If
'								Next
'							End With
'						Catch ex As Exception
'							Throw
'						Finally
'							row = Nothing
'						End Try
'					End If
'				End If
'			End With
'			If Me.getErrCount() > 0 Then											'エラー表示
'				Me.nextErrForm()
'				Return False
'			Else
'				Return True
'			End If

'		Catch ex As Exception
'			Throw
'		End Try
'	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 入力チェック
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2010/12/20 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function chkInput() As Boolean
		log(clsSysMst.logLevel.DBG, Reflection.MethodBase.GetCurrentMethod.Name, "入力チェック START")
		Dim MaxCol As Integer = 256
		Try
			With Me.lst004MSR200F010
				For j As Integer = 0 To .Items.Count - 1
					With DirectCast(.Items(j), DataRowView).Row
						If String.IsNullOrEmpty(Me.CtlNum(j).Text) = True Then
							Me.addErrList("E0001", Me.CtlNum(j).Name, .Item(sqlMSR200F010.itmTABLE_DSP_NM).ToString, Nothing)
						End If
					End With
				Next
			End With
			With Me.dgv036MSR200F010
				If .Rows.Count = 0 Then
					Me.addErrList("E0014", .Name, "抽出項目", "抽出項目", Nothing)
				Else
					Using cliCsvOut As New clsMSRCsvOut					'処理単位により最大項目数を決定
						Select Case cliCsvOut.getProcUnit(Me.Owner.Name, Me.pLendUnit)
						Case clsMSRCsvOut.ENUM_PROC_UNIT.PATIENT : MaxCol -= 1
						Case clsMSRCsvOut.ENUM_PROC_UNIT.HSP : MaxCol -= 2
						Case clsMSRCsvOut.ENUM_PROC_UNIT.CH,
							 clsMSRCsvOut.ENUM_PROC_UNIT.SERIAL : MaxCol -= 3
						End Select
					End Using

					If .Rows.Count > MaxCol Then
						Me.addErrList("E0017", .Name, "抽出項目", "抽出項目が２５６項目を", Nothing)
					Else

						'繰返し回数×項目数を確認
						Dim row As DataRow
						Dim TableCd As Integer = 0							'テーブルコード
						Dim TableCnt As Integer = 0							'同一テーブル内項目数
						Dim Repeat As Integer								'繰返数
						Dim AllCnt As Integer = 0							'残対件数
						Try
							With DirectCast(.DataSource, DataView)
								For i As Integer = 0 To .Count
									If i < .Count Then
										row = DirectCast(.Item(i), DataRowView).Row()
									Else
										row = Nothing
									End If
									If row IsNot Nothing AndAlso TableCd = row.Item(sqlMSR200F010.itmSEL_TABLE_CD) Then
										If Me.chk040MSR200F010.Checked = False OrElse
										   row.Item(sqlMSR200F010.itmMASTER_NM).ToString = String.Empty Then		'コード出力を考慮
											TableCnt += 1
										Else
											TableCnt += 2
										End If
									Else
										'初回以外なら繰返し回数を取得し加算
										If TableCnt > 0 Then
											With Me.lst004MSR200F010
												For j As Integer = 0 To .Items.Count - 1
													With DirectCast(.Items(j), DataRowView).Row
														If .Item(sqlMSR200F010.itmTABLE_CD) = TableCd Then
															Repeat = CType(Me.CtlNum(j).DblValue, Integer)
															If Repeat = 0 Then Repeat = 1
															If TableCd = clsMSRCOMMON.Enum_Tbl_CD.MTI_OPE_DOCTOR Then		'手術医師の場合手術を考慮
																Dim Repeat2 As Integer = 0
																For k As Integer = 0 To Me.lst004MSR200F010.Items.Count - 1
																	With DirectCast(Me.lst004MSR200F010.Items(k), DataRowView).Row
																		If .Item(sqlMSR200F010.itmTABLE_CD) = clsMSRCOMMON.Enum_Tbl_CD.MTI_OPE Then
																			Repeat2 = CType(Me.CtlNum(k).DblValue, Integer)
																			If Repeat2 = 0 Then Repeat2 = 1
																			Exit For
																		End If
																	End With
																Next
																If Repeat2 > 0 Then Repeat = Repeat2 * Repeat
															End If
															AllCnt += TableCnt * Repeat

															If AllCnt > MaxCol Then
																Me.dgv036MSR200F010.Select()
																Me.addErrList("E0017", Me.dgv036MSR200F010.Name, "抽出項目", "抽出項目が２５６項目を", Nothing)
																Exit For
															End If
															Exit For
														End If
													End With
												Next
											End With
										End If
										If i < .Count Then
											'現在値を退避し、カウンタを１に変更
											TableCd = row.Item(sqlMSR200F010.itmSEL_TABLE_CD)
											TableCnt = 1
										End If
									End If
								Next
							End With
						Catch ex As Exception
							Throw
						Finally
							row = Nothing
						End Try
					End If
				End If
			End With
			If Me.getErrCount() > 0 Then											'エラー表示
				Me.nextErrForm()
				Return False
			Else
				Return True
			End If

		Catch ex As Exception
			Throw
		End Try
	End Function
'(M) END V4-12067-000 247 20130122

	''' ---------------------------------------------
	''' <summary>
	''' 更新処理
	'''  MSR200F020からの呼出
	''' </summary>
	''' <param name="mode">処理モード</param>
	''' <remarks>
	''' 2010/12/20 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function UpdProc(ByVal mode As ENUM_UPD_MODE, ByRef PtnNo As Integer, ByVal PtnName As String) As Boolean
		log(clsSysMst.logLevel.DBG, Reflection.MethodBase.GetCurrentMethod.Name, "更新処理 START")
		Dim row As DataRow
		Try
			Using db As New clsDB(clsSysMst.ctlConfigData)
				Try
					db.ctlTran(clsDB.Enum_TranMode.Begin)
					Select Case mode
						Case ENUM_UPD_MODE.INS, ENUM_UPD_MODE.UPD

							'パターン(ヘッダ)の追加/更新
							Select Case mode
								Case ENUM_UPD_MODE.INS
									'最大キー値を取得
									db.ctlTran(clsDB.Enum_TranMode.RollBack)
									Using dt As New DataTable
										Me.setSql(db, ENUM_SQL.Sel_Max_PtnNo)
										db.execQueryDa(dt)
										If dt.Rows.Count > 0 AndAlso IsDBNull(dt.Rows(0).Item(sqlMSR200F010.itmMAX_PTN_NO)) = False Then
											PtnNo = Integer.Parse(dt.Rows(0).Item(sqlMSR200F010.itmMAX_PTN_NO).ToString) + 1
										Else
											PtnNo = 1
										End If
									End Using
									db.ctlTran(clsDB.Enum_TranMode.Begin)
									Me.setSql(db, ENUM_SQL.Ins_Ptn, PtnNo)

								Case ENUM_UPD_MODE.UPD
									Me.setSql(db, ENUM_SQL.Upd_Ptn, PtnNo)
							End Select
							db.setVal(sqlMSR200F010.prmPTN_NM, PtnName)							'パターン名

							'繰返し回数
							With Me.lst004MSR200F010
								For i As Integer = 0 To .Items.Count - 1
									row = DirectCast(.Items(i), DataRowView).Row
									db.setVal(String.Format(sqlMSR200F010.prmREPEAT_COUNT, row.Item(sqlMSR200F010.itmTABLE_CD).ToString),
											  Me.CtlNum(i).DblValue, False)
								Next
							End With

							'オプション
							For i As Integer = 0 To Me.CtlChk.Length - 1
								Dim chk As Integer
								If Me.CtlChk(i).Checked = True Then
									chk = clsConst.Enum_CheckBox_Flg.CheckOn
								Else
									chk = clsConst.Enum_CheckBox_Flg.CheckOff
								End If
								db.setVal(String.Format(sqlMSR200F010.prmOPT_FLG, i + 1), chk, False)
							Next

							Select Case mode
								Case ENUM_UPD_MODE.UPD
									If db.execNonQuery(False) <> 1 Then
										Me.showMsg("E0013", "更新", Nothing)
										Me.ReturnFlg = Enum_FormReturn.OK									'変更フラグを立てる
										Return False
									End If
								Case ENUM_UPD_MODE.INS
									For i As Integer = 0 To 4												'キー重複に備え最大５回繰返し
										Try
											db.execNonQuery(False)
											Exit For
										Catch ex As SqlClient.SqlException
											Select Case ex.Number
												Case clsSysMst.sqlErrCode.KeyDuplicate
													If i < 4 Then											'番号を１Ｕｐしリトライ
														PtnNo += 1
														db.setVal(sqlMSR200F010.prmPTN_NO, PtnNo)
													Else
														Me.ReturnFlg = Enum_FormReturn.OK					'変更フラグを立てる
														Throw
													End If
												Case Else
													Throw
											End Select
										Catch ex As Exception
											Throw
										End Try
									Next
							End Select

							'パターン(明細)をクリア
							Me.setSql(db, ENUM_SQL.Del_Ptn_Field, PtnNo)
							db.execNonQuery(False)

							'パターン(明細)を追加
							Me.setSql(db, ENUM_SQL.Ins_Ptn_Field, PtnNo)
'(M) STR V4-12067-000 004 20130122 ID)平井(出力候補一覧のデータグリッドビュー化)
							'With DirectCast(Me.lst036MSR200F010.DataSource, DataView)
							With DirectCast(Me.dgv036MSR200F010.DataSource, DataView)
'(M) END V4-12067-000 004 20130122
								For i As Integer = 0 To .Count - 1
									row = DirectCast(.Item(i), DataRowView).Row
									db.setVal(sqlMSR200F010.prmTABLE_CD, row(sqlMSR200F010.itmTABLE_CD).ToString, False)
									db.setVal(sqlMSR200F010.prmFIELD_CD, row(sqlMSR200F010.itmFIELD_CD).ToString, False)
									db.setVal(sqlMSR200F010.prmCSV_NO, i + 1, False)
									db.execNonQuery(False)
								Next
							End With

						'パターンの削除
						Case ENUM_UPD_MODE.DEL
							For Each sql As ENUM_SQL In {ENUM_SQL.Del_Ptn, ENUM_SQL.Del_Ptn_Field}
								Me.setSql(db, sql, PtnNo)
								db.execNonQuery(False)
							Next

					End Select
					db.ctlTran(clsDB.Enum_TranMode.Commit)

					'変更フラグを立てる
					Me.ReturnFlg = Enum_FormReturn.OK
					Return True

				Catch ex As Exception
					Throw
				Finally
					If db.statTran() = True Then db.ctlTran(clsDB.Enum_TranMode.RollBack) 'ロールバック
				End Try
			End Using

		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 画面クリア
	''' </summary>
	''' <remarks>
	''' 2010/12/24 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub ClearDisp()
		log(clsSysMst.logLevel.NRM, Reflection.MethodBase.GetCurrentMethod.Name, "画面クリア処理 START")
		Try
			With Me.cmb002MSR200F010								'パターン名は未選択状態に
				.SelectedIndex = -1
				.Text = String.Empty
			End With
			Me.BackPtnNo = 0										'前回設定ﾊﾟﾀｰﾝ番号をリセット
			Me.setPtn2Disp(Me.InitPtnDt)							'初期パターンの反映
			Me.delSelectList(True)									'選択項目一覧をクリア
			Me.lst004MSR200F010.SelectedIndex = 0					'テーブルは１件目を選択
			With Me.lst031MSR200F010								'候補一覧は１件目を選択
				If .Items.Count > 0 Then .SelectedIndex = 0
			End With
		Catch ex As Exception
			Throw
		End Try
	End Sub

'(A) STR V4-12067-000 032 20130122 ID)平井(出力候補一覧のデータグリッドビュー化)
	''' ---------------------------------------------
	''' <summary>
	''' データグリッドビュー選択行コレクションのソート処理
	''' </summary>
	''' <param name="dsrc">DataGridViewSelectedRowCollection</param>
	''' <returns></returns>
	''' <remarks>
	''' 2013/01/22 新規作成 ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function GetSortedIndex(ByVal dsrc As DataGridViewSelectedRowCollection) As Integer()
		log(clsSysMst.logLevel.NRM, Reflection.MethodBase.GetCurrentMethod.Name, "データグリッドビュー選択行コレクションのソート処理 START")
		Try
			Dim SortList() As Integer
			ReDim SortList(dsrc.Count - 1)
			Dim idx As Integer = 0
			For Each row As DataGridViewRow In dsrc
				SortList(idx) = row.Index
				idx += 1
			Next

			'格納順を表示上の行番号順にする
			Array.Sort(SortList)

			Return SortList

		Catch ex As Exception
			Throw
		End Try
	End Function
'(A) END V4-12067-000 032 20130122

#End Region

#Region "オーバライズメソッド"

	''' ---------------------------------------------
	''' <summary>
	''' 実行処理
	''' </summary>
	''' <remarks>
	''' 2010/12/20 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overrides Sub RunProc()
		log(clsSysMst.logLevel.DBG, Reflection.MethodBase.GetCurrentMethod.Name, "実行処理 START")
		Dim row As DataRow
		Try
			If Me.chkInput = False Then Return
			Using cliMSRCsv As New clsMSRCsvOut(Me.Owner.Name, Me.pPrivacy, Me.pLendItem, Me.pLendUnit)

				With Me.lst004MSR200F010															'繰返し回数
					For i As Integer = 0 To .Items.Count - 1
						row = DirectCast(.Items(i), DataRowView).Row
						cliMSRCsv.setRepeatCnt(row.Item(sqlMSR200F010.itmTABLE_CD), CType(Me.CtlNum(i).DblValue, Integer))
					Next
				End With

				For i As Integer = 0 To CtlChk.Length - 1											'オプション
					cliMSRCsv.setOptChk(i + 1, CtlChk(i).Checked)
				Next

'(M) STR V4-12067-000 004 20130122 ID)平井(出力候補一覧のデータグリッドビュー化)
				'cliMSRCsv.setFieldDt(Me.lst036MSR200F010.DataSource)								'選択項目
				cliMSRCsv.setFieldDt(Me.dgv036MSR200F010.DataSource)								'選択項目
'(M) END V4-12067-000 004 20130122

				If cliMSRCsv.exeCsvOut(Me, Me.pCsvFile, Me.pDgv) = True Then
					Me.showMsg("I0006", "CSV出力", "出力場所：" & cliMSRCsv.getOutPath)
				End If
			End Using
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 遷移から戻ってくる処理
	''' </summary>
	''' <param name="ret"></param>
	''' <param name="de"></param>
	''' <remarks>
	''' 2010/12/20 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Sub rcvData(ByVal ret As XCM.frmBase.Enum_FormReturn, ByVal de As System.Collections.DictionaryEntry)
		log(clsSysMst.logLevel.DBG, Reflection.MethodBase.GetCurrentMethod.Name, "遷移から戻ってくる処理 START")
		Try
			Select Case de.Key
				Case CST_SHOW_MSR200F020
					'解放
					If Me.frmMSR200F020 IsNot Nothing Then Me.frmMSR200F020.Dispose()
					Me.frmMSR200F020 = Nothing

					With Me.cmb002MSR200F010
						If ret = Enum_FormReturn.OK Then
							Me.setCmbCsv()												'コンボの再設定
							Me.BackPtnNo = Nothing										'前回値はクリア
							If String.IsNullOrEmpty(de.Value) = False Then				'コンボのSelectedIndexを設定
								.SelectedValue = de.Value
							End If
							If .SelectedIndex = -1 Then
								Me.ClearDisp()											'クリア処理
							End If
						End If
						.Select()
					End With
			End Select
		Catch ex As Exception
			Throw
		End Try
	End Sub

#End Region

End Class
