﻿Imports System.Runtime.ConstrainedExecution
Imports XCM

''' ---------------------------------------------
''' <summary>
''' 診断情報管理 検索 ＣＳＶ出力クラス
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class clsMSRCsvOut

#Region "解放処理"

	'確実な解放処理を実行するために指定
	Inherits CriticalFinalizerObject
	'解放処理を実装する為に指定
	Implements IDisposable

	Public Overloads Sub Dispose(ByVal disposing As Boolean)
		If disposing Then
			Me.pFormId = Nothing
			Me.pPrivacy = Nothing
			Me.pLendItem = Nothing
			Me.pLendUnit = Nothing
			Me.OptChk = Nothing
			Me.RepeatCnt = Nothing
			Me.OutFile = Nothing
			If Me.FieldDt IsNot Nothing Then : Me.FieldDt.Dispose() : Me.FieldDt = Nothing : End If
		End If
	End Sub

	Public Overloads Sub Dispose() Implements IDisposable.Dispose
		Dispose(True)
		MyBase.Finalize()
		GC.SuppressFinalize(Me)
	End Sub

	Protected Overrides Sub Finalize()
		Dispose(False)
		MyBase.Finalize()
	End Sub

#End Region

#Region "コンスタント"

	''' ---------------------------------------------
	''' <summary>
	''' ＳＱＬ文
	''' </summary>
	''' <remarks>
	''' 2010/12/24 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Enum ENUM_SQL As Byte
		''' <summary>
		''' パターンデータ取得
		''' </summary>
		''' <remarks></remarks>
		Sel_Ptn = 1
		''' <summary>
		''' パターン項目取得
		''' </summary>
		''' <remarks></remarks>
		Sel_Ptn_Field = 2
		''' <summary>
		''' 項目取得
		''' </summary>
		''' <remarks></remarks>
		Sel_Field = 3
	End Enum

	'''---------------------------------------------
	''' <summary>
	''' 処理単位
	''' </summary>
	''' <remarks>
	''' 2010/12/20 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	'''---------------------------------------------
	Public Enum ENUM_PROC_UNIT As Byte
		''' <summary>
		''' 下記以外
		''' </summary>
		''' <remarks></remarks>
		NONE = 0
		''' <summary>
		''' 患者単位
		''' </summary>
		''' <remarks></remarks>
		PATIENT = 1
		''' <summary>
		''' 入退院単位
		''' </summary>
		''' <remarks></remarks>
		HSP = 2
		''' <summary>
		''' 科歴単位
		''' </summary>
		''' <remarks></remarks>
		CH = 3
		''' <summary>
		''' 連番単位
		''' </summary>
		''' <remarks></remarks>
		SERIAL = 4
	End Enum

	''' ---------------------------------------------
	''' <summary>
	''' ＣＳＶ出力オプション番号
	''' </summary>
	''' <remarks>
	''' 2010/12/24 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Enum ENUM_OPT_CHK As Integer
		''' <summary>
		''' コード出力
		''' </summary>
		CODE_OUT = 1
		''' <summary>
		''' 「"」で囲む
		''' </summary>
		BOXED = 2
		''' <summary>
		''' 略称出力
		''' </summary>
		ABBREVIATE = 3
	End Enum


	Private Const CST_LOG_PRODUCT As String = "診療情報管理"						'ログ出力用
	Private Const CST_LOG_CLASS As String = "ＣＳＶ出力処理(clsMSRCsvOut)"

	Private Const CST_IDX_HEADER As Integer = 0
	Private Const CST_KEY_HEADER As String = "HEADER"

	Private Const CST_TBL_MAX As Integer = clsMSRCOMMON.Enum_Tbl_CD.MTW_DPC + 1		'テーブル配列の最大値

	Private Const CST_FORM_BASIC As String = "MSR030F020"							'呼出元画面	基本
	Private Const CST_FORM_HSP As String = "MSR040F020"								'			入退院
	Private Const CST_FORM_CH As String = "MSR050F020"								'			科歴
	Private Const CST_FORM_DISEASE As String = "MSR060F020"							'			病名
	Private Const CST_FORM_OPE As String = "MSR070F020"								'			手術
	Private Const CST_FORM_CARE As String = "MSR080F020"							'			治療措置
	Private Const CST_FORM_TEST As String = "MSR090F020"							'			検査
	Private Const CST_FORM_ASST1 As String = "MSR100F020"							'			補足項目１
	Private Const CST_FORM_ASST2 As String = "MSR110F020"							'			補足項目２
	Private Const CST_FORM_CB As String = "MSR120F020"								'			分娩
	Private Const CST_FORM_CB_CHI As String = "MSR130F020"							'			分娩子
	Private Const CST_FORM_EMERGENCY As String = "MSR140F020"						'			救命救急
	Private Const CST_FORM_PATH As String = "MSR150F020"							'			パス
	Private Const CST_FORM_LENDITEM As String = "MSR160F020"						'			管理物
	Private Const CST_FORM_LEND As String = "MSR170F020"							'			貸出
	Private Const CST_FORM_INSPECT As String = "MSR180F020"							'			監査

#End Region

#Region "変数"

	Private pFormId As String = Nothing												'画面ID
	Private pPrivacy As String = Nothing											'個人情報出力フラグ
	Private pLendItem As String = Nothing											'管理物コード
	Private pLendUnit As Integer = Nothing											'管理単位

	Private FieldDt As DataTable													'項目
	Private OptChk() As Boolean = Nothing											'オプション
	Private RepeatCnt() As Integer = Nothing										'繰返回数

	Private OutFile As String = Nothing												'出力ファイル
#End Region

#Region "コンストラクタ"

	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ（メソッド使用時）
	''' </summary>
	''' <remarks>
	''' 2010/12/20 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Sub New()

	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ(ＣＳＶ出力用)
	''' </summary>
	''' <param name="pFormId">呼出画面ID</param>
	''' <param name="pPrivacy">個人情報出力フラグ True:出力する/False:出力しない</param>
	''' <param name="pLendItem">管理物コード</param>
	''' <param name="pLendUnit">管理物単位</param>
	''' <remarks>
	''' 2010/12/24 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Sub New(ByVal pFormId As String, ByVal pPrivacy As Boolean,
			ByVal pLendItem As String, ByVal pLendUnit As String)
		'IN項目引き継ぎ
		Me.pFormId = pFormId
		Me.pPrivacy = pPrivacy
		Me.pLendItem = pLendItem
		Me.pLendUnit = pLendUnit
	End Sub
#End Region

#Region "パブリックメソッド"

	''' ---------------------------------------------
	''' <summary>
	''' 繰返回数を設定
	''' </summary>
	''' <param name="key">テーブルコード</param>
	''' <param name="Value">繰返回数</param>
	''' <remarks>
	''' 2010/12/24 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Sub setRepeatCnt(ByVal key As Integer, ByVal Value As Integer)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name,
						Reflection.MethodBase.GetCurrentMethod.Name, CST_LOG_PRODUCT, CST_LOG_CLASS, "繰返回数の設定 START")
		Try
																						'初期化
			If Me.RepeatCnt Is Nothing Then Me.InitVariable()
			Me.RepeatCnt(key) = Value
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' オプションの設定
	''' </summary>
	''' <param name="key">オプション設定値</param>
	''' <param name="Value">繰返回数</param>
	''' <remarks>
	''' 2010/12/24 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Sub setOptChk(ByVal key As ENUM_OPT_CHK, ByVal Value As Integer)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name,
						Reflection.MethodBase.GetCurrentMethod.Name, CST_LOG_PRODUCT, CST_LOG_CLASS, "繰返回数の設定 START")
		Try
																						'初期化
			If Me.OptChk Is Nothing Then Me.InitVariable()
			Me.OptChk(key) = Value
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 出力項目の設定
	''' </summary>
	''' <param name="FieldList">項目一覧</param>
	''' <remarks>
	''' 2010/12/24 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Sub setFieldDt(ByVal FieldList As DataView)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name,
						Reflection.MethodBase.GetCurrentMethod.Name, CST_LOG_PRODUCT, CST_LOG_CLASS, "取得項目の設定 START")
		Dim ListRow As DataRow
		Try
			Using db As New clsDB(clsSysMst.ctlConfigData), dt As New DataTable
				Me.setSql(db, ENUM_SQL.Sel_Field)										'項目をＤＢより取得
				db.execQueryDa(dt)

				Me.FieldDt = dt.Clone
				With FieldList
					For i As Integer = 0 To .Count - 1
						ListRow = DirectCast(.Item(i), DataRowView).Row
						For Each row As DataRow In dt.Rows
																						'画面で設定されている項目を追加
							If ListRow.Item(sqlMSRCsvOut.itmTABLE_CD).ToString = row.Item(sqlMSRCsvOut.itmTABLE_CD).ToString AndAlso
							   ListRow.Item(sqlMSRCsvOut.itmFIELD_CD).ToString = row.Item(sqlMSRCsvOut.itmFIELD_CD).ToString Then
								Me.FieldDt.ImportRow(row)
								Exit For
							End If
						Next
					Next
				End With
				Me.FieldDt.AcceptChanges()
				Me.setMst2Field(db, Me.FieldDt, False)
			End Using
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' ＣＳＶ出力処理
	''' </summary>
	''' <param name="pCsvFile">出力ファイル名</param>
	''' <param name="pPtnNo">パターン番号</param>
	''' <returns></returns>
	''' <remarks>
	''' 2010/12/24 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function exeCsvOut(ByRef Form As frmBase, ByVal pCsvFile As String, ByVal pDgv As DataGridView, Optional ByVal pPtnNo As Integer = 0) As Boolean
		clsSysMst.logEx(clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name,
						Reflection.MethodBase.GetCurrentMethod.Name, CST_LOG_PRODUCT, CST_LOG_CLASS, "ＣＳＶ出力処理 START")
		Dim ProcUnit As ENUM_PROC_UNIT													'処理単位
		Dim SqlList As List(Of DictionaryEntry) = Nothing								'SQL文等
		Try
			Using db As New clsDB(clsSysMst.ctlConfigData), cliMakeWork As New MRP.clsMakeWork

				If pPtnNo = 0 Then															'画面呼出の場合は別途設定済みのためデータを取得しない
				ElseIf Me.getPtnData(db, pPtnNo) = False Then								'パターンデータの取得
					Form.showMsg("E0003", "パターンデータが正しくない", "出力", Nothing)
					Return False
				End If

				Dim cliCom As New XSP.clsCom												'出力先の指定
				Try
					Me.OutFile = cliCom.setSaveFileDialog(pCsvFile, XSP.clsCSV.getCSVPath(), XSP.clsCom.Enum_FileDialogType.eCSV)
					If Me.OutFile Is Nothing Then Return False

'(D) STR V4-11021-000 008 20110816 FJSK)荒川 XXX号 病歴大将V4PKG問題点No102 「確認ﾒｯｾｰｼﾞ」を出力しているが、それを廃止対応
'					Using cliCSV As New XSP.clsCSV(Me.OutFile)
'						If cliCSV.chkFileFind = False Then
'						ElseIf Form.confMsg("Q0005", "既に結果ファイルが存在します。上書き", Nothing) = MsgBoxResult.Cancel Then
'							Return False
'						End If
'					End Using
'(D) END V4-11021-000 008 20110816

				Catch ex As Exception
					Throw
				Finally
					cliCom = Nothing
				End Try

				If cliMakeWork.setSearchWork(db, pDgv) = False Then							'ワークデータの作成
					Return False
				End If
				Me.setDpc(db, cliMakeWork)													'DPCワークの作成

				ProcUnit = Me.getProcUnit(Me.pFormId, Me.pLendUnit)							'処理単位の取得

				SqlList = Me.setSqlSentence(ProcUnit)										'SQL文の構築

				Dim Header As String = Nothing
				Dim WorkDt As New DataTable
				Try
					Using MainDt As New DataTable											'データ取得
						For i As Integer = 0 To SqlList.Count - 1
							With SqlList(i)
								If IsNumeric(.Key) = False Then
									Select Case .Key
										Case CST_KEY_HEADER : Header = .Value				'ヘッダの取得
									End Select
								Else
									If Debugger.IsAttached = True Then Debug.Print(.Value)
									db.setSQLDa(.Value)
									Me.setDbParam(db)
									If .Key = 0 Then
										db.execQueryDa(MainDt)
									Else
										WorkDt.Dispose() : WorkDt = New DataTable
										db.execQueryDa(WorkDt)
										If WorkDt.Rows.Count > 0 Then
											Me.MergeDt(ProcUnit, .Key, MainDt, WorkDt)		'マージ
										End If
									End If

								End If
							End With
						Next
						If ProcUnit = ENUM_PROC_UNIT.SERIAL AndAlso
						   MainDt.Columns.Contains(sqlMSRCOMMON.itmSERIAL_NO) = True Then	'連番は不要なので削除
						   MainDt.Columns.Remove(MainDt.Columns.Item(sqlMSRCOMMON.itmSERIAL_NO))
						End If
						Return Me.OutCsv(Me.OutFile, Header, MainDt)						'CSV出力
					End Using

				Catch ex As Exception
					Throw
				Finally
					If WorkDt IsNot Nothing Then : WorkDt.Dispose() : WorkDt = Nothing : End If
					 Header = Nothing
				End Try
			End Using
		Catch ex As Exception
			Throw
		Finally
			If SqlList IsNot Nothing Then : SqlList.Clear() : SqlList = Nothing : End If
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 出力パスを取得
	''' </summary>
	''' <returns>出力パス</returns>
	''' <remarks>
	''' 2010/12/24 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function getOutPath() As String
		clsSysMst.logEx(clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name,
					Reflection.MethodBase.GetCurrentMethod.Name, CST_LOG_PRODUCT, CST_LOG_CLASS, "出力パスを取得 START")
		Try
			Return IO.Path.GetDirectoryName(Me.OutFile)
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 処理単位を取得
	''' </summary>
	''' <param name="FormId">画面ID</param>
	''' <param name="LendUnit">管理単位</param>
	''' <returns>処理単位(ENUM_PROC_UNIT)</returns>
	''' <remarks>
	''' 2010/12/20 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function getProcUnit(ByVal FormId As String, ByVal LendUnit As String) As ENUM_PROC_UNIT
		clsSysMst.logEx(clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name,
						Reflection.MethodBase.GetCurrentMethod.Name, CST_LOG_PRODUCT, CST_LOG_CLASS, "処理単位を取得 START")
		Try
			Select Case FormId
			Case CST_FORM_BASIC : Return ENUM_PROC_UNIT.PATIENT														'患者単位
			Case CST_FORM_HSP : Return ENUM_PROC_UNIT.HSP															'入退院単位
			Case CST_FORM_CH, CST_FORM_ASST1, CST_FORM_ASST2, CST_FORM_CB, CST_FORM_INSPECT							'科歴単位
								Return ENUM_PROC_UNIT.CH
			Case CST_FORM_DISEASE, CST_FORM_OPE, CST_FORM_TEST, CST_FORM_CARE, CST_FORM_CB_CHI, CST_FORM_EMERGENCY, CST_FORM_PATH
								Return ENUM_PROC_UNIT.SERIAL
			Case CST_FORM_LENDITEM, CST_FORM_LEND																	'管理物.貸出情報は管理単位を参照
					Select Case LendUnit
						Case clsConst.Enum_LendUnit.Each_Patient : Return ENUM_PROC_UNIT.PATIENT
						Case clsConst.Enum_LendUnit.Each_Hosp : Return ENUM_PROC_UNIT.HSP
						Case clsConst.Enum_LendUnit.Each_Dept : Return ENUM_PROC_UNIT.CH
					End Select
			End Select
			'上記のいずれにもあてはまなければ
			Return ENUM_PROC_UNIT.NONE
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 項目名の変換
	''' </summary>
	''' <param name="db">clsDB</param>
	''' <param name="FieldDt">変換対象データテーブル</param>
	''' <param name="Screen">画面からの呼出(候補一覧用変更)</param>
	''' <remarks>
	''' 2010/12/20 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Sub setMst2Field(ByVal db As clsDB, ByRef FieldDt As DataTable, Optional ByVal Screen As Boolean = True)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name,
						Reflection.MethodBase.GetCurrentMethod.Name, CST_LOG_PRODUCT, CST_LOG_CLASS, "項目名の変換 START")
		Dim DelList As List(Of DataRow) = Nothing								'削除項目(その場で消さず、最後に消すため）
		Dim dt As DataTable = Nothing											'マスタデータテーブル
		Dim ChkKey As String = Nothing											'データテーブルに保持している内容
		Dim FindKey As String = Nothing											'検索項目内容
		Dim PlusNm As String = Nothing											'付加文字

		Const CST_BYOREKI_NO As String = "BYOREKI_NO"							'病歴番号
		Const CST_HSP_FREEITEM As String = "HSP_FREEITEM#"						'入退院項目マスタ
		Const CST_CH_INFECTION As String = "INFECTION#"							'感染症マスタ
		Const CST_MED_COST As String = "MED_COST##"								'医療費マスタ
		Const CST_OTHER_DEPT As String = "OTHER_DEPT##"							'対診科マスタ
		Const CST_CB_DIV As String = "CB_DIV#"									'分娩区分項目マスタ
		Const CST_CB_CHK As String = "CB_CHK#"									'分娩チェック項目マスタ
		Const CST_CHD_CB_PTN As String = "CB_PTN#"								'分娩区分項目マスタ
		Const CST_CHD_CB_CHK As String = "CHD_CB_CHK#"							'分娩チェック項目マスタ
		Const CST_ASST1_ITM As String = "ASST_ITM###"							'補足項目１マスタ
		Const CST_ASST2_ITM As String = "ASST2_ITM"								'補足項目２マスタ
		Const CST_INSPECT_ITM As String = "INSPECT###_#"						'監査項目
		Const CST_INSPECT_DOC As String = "DOCTOR###_CD"						'監査項目(医者)
		Try
			dt = New DataTable
			DelList = New List(Of DataRow)

			For i As Integer = 0 To FieldDt.Rows.Count - 1
				With FieldDt
					Select Case .Rows(i).Item(sqlMSRCsvOut.itmTABLE_CD)

						Case clsMSRCOMMON.Enum_Tbl_CD.MTI_HSP															'入退院情報
							Select Case True
								Case .Rows(i).Item(sqlMSRCsvOut.itmFIELD_NM).ToString = CST_BYOREKI_NO					'	病歴番号
									With .Rows(i)
										.Item(sqlMSRCsvOut.itmDSP_FIELD_NM) = clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00001)
										If Screen = True Then															'画面側であれば、候補一覧も変更
											.Item(sqlMSRCsvOut.itmDSP_NM) = .Item(sqlMSRCsvOut.itmDSP_NM).ToString.Substring(0,
																			.Item(sqlMSRCsvOut.itmDSP_NM).ToString.IndexOf("|") + 1) &
																			clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00001)
										End If
									End With

								Case .Rows(i).Item(sqlMSRCsvOut.itmFIELD_NM).ToString Like CST_HSP_FREEITEM				'	入退院項目マスタ
									If ChkKey <> CST_HSP_FREEITEM Then
										ChkKey = CST_HSP_FREEITEM
										dt.Dispose() : dt = New DataTable
										db.setSQLDa(sqlMSRCsvOut.sqlHSP_ITM)
										db.execQueryDa(dt)
									End If
																														'キーは項目名より取得し「00x」の形式に変更する
									FindKey = .Rows(i).Item(sqlMSRCsvOut.itmFIELD_NM).ToString.Substring(CST_HSP_FREEITEM.IndexOf("#")).PadLeft(3, "0")
									If Me.FindMst2Change(dt, FindKey, .Rows(i), Screen) = False Then					'マスタを参照し名称を変更
										DelList.Add(FieldDt.Rows(i))													'	なければ、項目を削除
									End If
							End Select

						Case clsMSRCOMMON.Enum_Tbl_CD.MTI_CH															'科歴情報
							Select Case True
								Case .Rows(i).Item(sqlMSRCsvOut.itmFIELD_NM).ToString = CST_BYOREKI_NO					'	病歴番号
									With .Rows(i)
										.Item(sqlMSRCsvOut.itmDSP_FIELD_NM) = clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00001)
										If Screen = True Then															'画面側であれば、候補一覧も変更
											.Item(sqlMSRCsvOut.itmDSP_NM) = .Item(sqlMSRCsvOut.itmDSP_NM).ToString.Substring(0,
																			.Item(sqlMSRCsvOut.itmDSP_NM).ToString.IndexOf("|") + 1) &
																			clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00001)
										End If
									End With
								Case .Rows(i).Item(sqlMSRCsvOut.itmFIELD_NM).ToString Like CST_CH_INFECTION				'	感染症マスタ
									If ChkKey <> CST_CH_INFECTION Then
										ChkKey = CST_CH_INFECTION
										dt.Dispose() : dt = New DataTable
										db.setSQLDa(sqlMSRCsvOut.sqlINFECTION_ITM)
										db.execQueryDa(dt)
									End If
																														'キーは項目名より取得
									FindKey = .Rows(i).Item(sqlMSRCsvOut.itmFIELD_NM).ToString.Substring(CST_CH_INFECTION.IndexOf("#"))
									If Me.FindMst2Change(dt, FindKey, .Rows(i), Screen) = False Then					'マスタを参照し名称を変更
										DelList.Add(FieldDt.Rows(i))													'	なければ、項目を削除
									End If
							End Select

						Case clsMSRCOMMON.Enum_Tbl_CD.MTI_MED_COST														'医療費情報
							Select Case True
								Case .Rows(i).Item(sqlMSRCsvOut.itmFIELD_NM).ToString Like CST_MED_COST					'	医療費項目マスタ
									If ChkKey <> CST_MED_COST Then
										ChkKey = CST_MED_COST
										dt.Dispose() : dt = New DataTable
										db.setSQLDa(sqlMSRCsvOut.sqlMED_COST_ITM)
										db.execQueryDa(dt)
									End If
																														'キーは項目名より取得
									FindKey = .Rows(i).Item(sqlMSRCsvOut.itmFIELD_NM).ToString.Substring(CST_MED_COST.IndexOf("#"))
									If Me.FindMst2Change(dt, FindKey, .Rows(i), Screen) = False Then					'マスタを参照し名称を変更
										DelList.Add(FieldDt.Rows(i))													'	なければ、項目を削除
									End If

							End Select

						Case clsMSRCOMMON.Enum_Tbl_CD.MTI_OTHER_DEPT													'対診科情報
							Select Case True
								Case .Rows(i).Item(sqlMSRCsvOut.itmFIELD_NM).ToString Like CST_OTHER_DEPT				'	対診科マスタ
									If ChkKey <> CST_OTHER_DEPT Then
										ChkKey = CST_OTHER_DEPT
										dt.Dispose() : dt = New DataTable
										db.setSQLDa(sqlMSRCsvOut.sqlOTHER_DEPT_ITM)
										db.execQueryDa(dt)
									End If
																														'キーは項目名より取得
									FindKey = .Rows(i).Item(sqlMSRCsvOut.itmFIELD_NM).ToString.Substring(CST_OTHER_DEPT.IndexOf("#"))
									If Me.FindMst2Change(dt, FindKey, .Rows(i), Screen) = False Then					'マスタを参照し名称を変更
										DelList.Add(FieldDt.Rows(i))													'	なければ、項目を削除
									End If

							End Select

						Case clsMSRCOMMON.Enum_Tbl_CD.MTI_CB															'分娩情報
							Select Case True
								Case .Rows(i).Item(sqlMSRCsvOut.itmFIELD_NM).ToString Like CST_CB_DIV					'	分娩区分項目マスタ
									If ChkKey <> CST_CB_DIV Then
										ChkKey = CST_CB_DIV
										dt.Dispose() : dt = New DataTable
										db.setSQLDa(sqlMSRCsvOut.selCB_DIV_ITM)
										db.execQueryDa(dt)
									End If
																														'キーは項目名より取得
									Select Case .Rows(i).Item(sqlMSRCsvOut.itmFIELD_NM).ToString.Substring(CST_CB_DIV.IndexOf("#"))
										Case "1" : FindKey = "1"
										Case "2" : FindKey = "2"
										Case "3" : FindKey = "7"
										Case "4" : FindKey = "8"
										Case Else : Continue For
									End Select
									If Me.FindMst2Change(dt, FindKey, .Rows(i), Screen) = False Then					'マスタを参照し名称を変更
										DelList.Add(FieldDt.Rows(i))													'	なければ、項目を削除
									End If
								Case .Rows(i).Item(sqlMSRCsvOut.itmFIELD_NM).ToString Like CST_CB_CHK					'	分娩チェック項目マスタ
									If ChkKey <> CST_CB_CHK Then
										ChkKey = CST_CB_CHK
										dt.Dispose() : dt = New DataTable
										db.setSQLDa(sqlMSRCsvOut.selCB_CHK_ITM)
										db.execQueryDa(dt)
									End If
																														'キーは項目名より取得
									Select Case .Rows(i).Item(sqlMSRCsvOut.itmFIELD_NM).ToString.Substring(CST_CB_CHK.IndexOf("#"))
										Case "1" : FindKey = "11"
										Case "2" : FindKey = "12"
										Case "3" : FindKey = "13"
										Case Else : Continue For
									End Select
									If Me.FindMst2Change(dt, FindKey, .Rows(i), Screen) = False Then					'マスタを参照し名称を変更
										DelList.Add(FieldDt.Rows(i))													'	なければ、項目を削除
									End If
							End Select

						Case clsMSRCOMMON.Enum_Tbl_CD.MTI_CB_CHILD														'分娩子情報
							Select Case True
								Case .Rows(i).Item(sqlMSRCsvOut.itmFIELD_NM).ToString Like CST_CHD_CB_PTN				'	分娩区分項目マスタ
									If ChkKey <> CST_CHD_CB_PTN Then
										ChkKey = CST_CHD_CB_PTN
										dt.Dispose() : dt = New DataTable
										db.setSQLDa(sqlMSRCsvOut.selCB_DIV_ITM)
										db.execQueryDa(dt)
									End If
																														'キーは項目名より取得
									Select Case .Rows(i).Item(sqlMSRCsvOut.itmFIELD_NM).ToString.Substring(CST_CHD_CB_PTN.IndexOf("#"))
										Case "1" : FindKey = "3"
										Case "2" : FindKey = "4"
										Case "3" : FindKey = "5"
										Case "4" : FindKey = "6"
										Case Else : Continue For
									End Select
									If Me.FindMst2Change(dt, FindKey, .Rows(i), Screen) = False Then					'マスタを参照し名称を変更
										DelList.Add(FieldDt.Rows(i))													'	なければ、項目を削除
									End If
								Case .Rows(i).Item(sqlMSRCsvOut.itmFIELD_NM).ToString Like CST_CHD_CB_CHK				'	分娩チェック項目マスタ
									If ChkKey <> CST_CHD_CB_CHK Then
										ChkKey = CST_CHD_CB_CHK
										dt.Dispose() : dt = New DataTable
										db.setSQLDa(sqlMSRCsvOut.selCB_CHK_ITM)
										db.execQueryDa(dt)
									End If
																														'キーは項目名より取得
									Select Case .Rows(i).Item(sqlMSRCsvOut.itmFIELD_NM).ToString.Substring(CST_CHD_CB_CHK.IndexOf("#"))
										Case "1" : FindKey = "21"
										Case "2" : FindKey = "22"
										Case "3" : FindKey = "23"
										Case "4" : FindKey = "24"
										Case "5" : FindKey = "25"
										Case Else : Continue For
									End Select
									If Me.FindMst2Change(dt, FindKey, .Rows(i), Screen) = False Then					'マスタを参照し名称を変更
										DelList.Add(FieldDt.Rows(i))													'	なければ、項目を削除
									End If
							End Select

						Case clsMSRCOMMON.Enum_Tbl_CD.MTI_ASST1															'補足項目１
							Select Case True
								Case .Rows(i).Item(sqlMSRCsvOut.itmFIELD_NM).ToString Like CST_ASST1_ITM				'	分娩区分項目マスタ

									If ChkKey <> CST_ASST1_ITM Then
										ChkKey = CST_ASST1_ITM
										dt.Dispose() : dt = New DataTable
										db.setSQLDa(sqlMSRCsvOut.sqlASST1_ITM)
										db.execQueryDa(dt)
									End If
																														'キーは項目名より取得
									FindKey = .Rows(i).Item(sqlMSRCsvOut.itmFIELD_NM).ToString.Substring(CST_ASST1_ITM.IndexOf("#"))
									If Me.FindMst2Change(dt, FindKey, .Rows(i), Screen) = False Then					'マスタを参照し名称を変更
										DelList.Add(FieldDt.Rows(i))													'	なければ、項目を削除
									End If
							End Select

						Case clsMSRCOMMON.Enum_Tbl_CD.MTI_ASST2															'補足項目２
							Select Case True
								Case .Rows(i).Item(sqlMSRCsvOut.itmFIELD_NM).ToString Like "TEXT*"
								Case .Rows(i).Item(sqlMSRCsvOut.itmFIELD_NM).ToString Like "NUMBER*"
								Case .Rows(i).Item(sqlMSRCsvOut.itmFIELD_NM).ToString Like "DATE*"
								Case .Rows(i).Item(sqlMSRCsvOut.itmFIELD_NM).ToString Like "COMBO*"
								Case Else : Continue For
							End Select
									If ChkKey <> CST_ASST2_ITM Then
										ChkKey = CST_ASST2_ITM
										dt.Dispose() : dt = New DataTable
										db.setSQLDa(sqlMSRCsvOut.sqlASST2_ITM)
										db.execQueryDa(dt)
									End If
																														'キーは項目名より取得
									FindKey = .Rows(i).Item(sqlMSRCsvOut.itmFIELD_NM).ToString
									If Me.FindMst2Change(dt, FindKey, .Rows(i), Screen) = False Then					'マスタを参照し名称を変更
										DelList.Add(FieldDt.Rows(i))													'	なければ、項目を削除
									End If

						Case clsMSRCOMMON.Enum_Tbl_CD.MTI_INSPECT														'監査
							Select Case True
								Case .Rows(i).Item(sqlMSRCsvOut.itmFIELD_NM).ToString Like CST_INSPECT_ITM				'	監査項目マスタ
									If ChkKey <> CST_INSPECT_ITM Then
										ChkKey = CST_INSPECT_ITM
										dt.Dispose() : dt = New DataTable
										db.setSQLDa(sqlMSRCsvOut.sqlINSPECT_ITM)
										db.execQueryDa(dt)
									End If
																														'キーは項目名より取得
									With .Rows(i).Item(sqlMSRCsvOut.itmFIELD_NM).ToString
										FindKey = .Substring(CST_INSPECT_ITM.IndexOf("#"), 3)
										PlusNm = .Substring(CST_INSPECT_ITM.IndexOf("_") + 1)
										If PlusNm IsNot Nothing Then PlusNm = String.Format("({0})", StrConv(PlusNm, VbStrConv.Wide))
									End With

									If Me.FindMst2Change(dt, FindKey, .Rows(i), Screen, , PlusNm) = False Then			'マスタを参照し名称を変更
										DelList.Add(FieldDt.Rows(i))													'	なければ、項目を削除
									End If

								Case .Rows(i).Item(sqlMSRCsvOut.itmFIELD_NM).ToString Like CST_INSPECT_DOC				'	監査項目マスタ(医者)
									If ChkKey <> CST_INSPECT_ITM Then													'	マスタは↑と同じ
										ChkKey = CST_INSPECT_ITM
										dt.Dispose() : dt = New DataTable
										db.setSQLDa(sqlMSRCsvOut.sqlINSPECT_ITM)
										db.execQueryDa(dt)
									End If
																														'キーは項目名より取得
									FindKey = .Rows(i).Item(sqlMSRCsvOut.itmFIELD_NM).ToString.Substring(CST_INSPECT_DOC.IndexOf("#"), 3)
									If Me.FindMst2Change(dt, FindKey, .Rows(i), Screen, sqlMSRCsvOut.itmDOCTOR_NM) = False Then			'マスタを参照し名称を変更
										DelList.Add(FieldDt.Rows(i))													'	なければ、項目を削除
									End If
							End Select

					End Select
				End With

			Next

			For Each row As DataRow In DelList									'マスタに存在しなかった項目は削除する
				row.Delete()
			Next

			FieldDt.AcceptChanges()												'変更を確定
		Catch ex As Exception
			Throw
		Finally
			If DelList IsNot Nothing Then : DelList.Clear() : DelList = Nothing : End If
			If dt IsNot Nothing Then : dt.Dispose() : dt = Nothing : End If
			ChkKey = Nothing
			FindKey = Nothing
			PlusNm = Nothing
		End Try

	End Sub

#End Region

#Region "メソッド"

	''' ---------------------------------------------
	''' <summary>
	''' 変数の初期化
	''' </summary>
	''' <remarks>
	''' 2010/12/24 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub InitVariable()
		clsSysMst.logEx(clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name,
						Reflection.MethodBase.GetCurrentMethod.Name, CST_LOG_PRODUCT, CST_LOG_CLASS, "変数の初期化取得 START")
		Try
			Me.RepeatCnt = New Integer(CST_TBL_MAX) {}															'繰返回数
			Me.OptChk = New Boolean(ENUM_OPT_CHK.ABBREVIATE + 1) {}												'オプション
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 項目名称の変更(共通部)
	''' </summary>
	''' <param name="MstDt">マスタテーブル</param>
	''' <param name="Key">検索キー</param>
	''' <param name="row">変更対象テーブル行</param>
	''' <param name="Screen">画面用か否か</param>
	''' <param name="ItemNm">名称設定項目</param>
	''' <param name="PlusNm">付加文字</param>
	''' <returns>マスタ存在有無</returns>
	''' <remarks>
	''' 2010/12/20 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function FindMst2Change(ByRef MstDt As DataTable,
									ByVal Key As String,
									ByRef row As DataRow,
									ByVal Screen As Boolean,
						   Optional ByVal ItemNm As String = sqlMSRCOMMON.itmITEM_NM,
						   Optional ByVal PlusNm As String = Nothing
						   ) As Boolean
		clsSysMst.logEx(clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name,
						Reflection.MethodBase.GetCurrentMethod.Name, CST_LOG_PRODUCT, CST_LOG_CLASS, "項目名称の変更(共通部) START")
		Dim WkName As String				'ワーク名称
		Try
			For Each MstRow As DataRow In MstDt.Rows
				With MstRow
					If .Item(sqlMSRCOMMON.itmITEM_CD).ToString = Key Then
						If String.IsNullOrEmpty(.Item(ItemNm).ToString) = False Then						'名称の入れ替え
							row.Item(sqlMSRCsvOut.itmDSP_FIELD_NM) = .Item(ItemNm).ToString & PlusNm
						End If

						If Screen = True Then																'画面側であれば、候補一覧も変更
							WkName = row.Item(sqlMSRCsvOut.itmDSP_NM).ToString
							row.Item(sqlMSRCsvOut.itmDSP_NM) = WkName.Substring(0, WkName.IndexOf("|") + 1) & row.Item(sqlMSRCsvOut.itmDSP_FIELD_NM)

							If MstDt.Columns.Contains(sqlMSRCsvOut.itmDSPORDER) = True Then					'順番を取得してれば、追加
								row.Item(sqlMSRCsvOut.itmDSPORDER & "_FIELD") = .Item(sqlMSRCsvOut.itmDSPORDER)
							End If
						ElseIf MstDt.Columns.Contains(sqlMSRCsvOut.itmMST_KEY) = True Then
							row.Item(sqlMSRCOMMON.itmITEM_CD) = MstRow.Item(sqlMSRCsvOut.itmMST_KEY)		'アイテムコードを保存
						Else
							row.Item(sqlMSRCOMMON.itmITEM_CD) = Key											'アイテムコードを保存
						End If

						Return True
					End If
				End With
			Next
			Return False
		Catch ex As Exception
			Throw
		Finally
			WkName = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' SQLの設定
	''' </summary>
	''' <param name="db">DBクラス</param>
	''' <param name="type">SQL種類</param>
	''' <param name="val">パラメータ値</param>
	''' <remarks>
	''' 2010/12/16 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setSql(ByVal db As clsDB, ByVal type As ENUM_SQL, ByVal ParamArray val() As String)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name,
						Reflection.MethodBase.GetCurrentMethod.Name, CST_LOG_PRODUCT, CST_LOG_CLASS, "SQL設定 START")
		Try
			With db

				Select Case type
					Case ENUM_SQL.Sel_Ptn												'パターン(ヘッダ)
						.setSQLDa(sqlMSRCsvOut.sqlSel_PTN)
					Case ENUM_SQL.Sel_Ptn_Field											'パターン(明細)
						.setSQLDa(sqlMSRCsvOut.sqlSel_PTN_FIELD)
					Case ENUM_SQL.Sel_Field												'項目データ
						.setSQLDa(sqlMSRCsvOut.sqlSel_FIELD)
						Return
				End Select

				.setParamDa(sqlMSR200F010.prmPTN_NO, clsDB.Enum_dbType.dbInt)			'パターン番号
				.setValDa(sqlMSR200F010.prmPTN_NO, val(0))

				.setParamDa(sqlMSR200F010.prmSCREEN_CD, clsDB.Enum_dbType.dbNVarChar)		'画面コード
				.setValDa(sqlMSR200F010.prmSCREEN_CD, Me.pFormId)
				.setParamDa(sqlMSR200F010.prmUNIT_CD, clsDB.Enum_dbType.dbNVarChar)		'管理単位
				.setValDa(sqlMSR200F010.prmUNIT_CD, Me.pLendUnit, False)

			End With
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' パターンデータの取得
	''' </summary>
	''' <param name="db">DBクラス</param>
	''' <param name="PtnNo">パターン番号</param>
	''' <remarks>
	''' 2010/12/16 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getPtnData(ByVal db As clsDB, ByVal PtnNo As Integer) As Boolean
		clsSysMst.logEx(clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name,
						Reflection.MethodBase.GetCurrentMethod.Name, CST_LOG_PRODUCT, CST_LOG_CLASS, "パターンデータの取得 START")
		Dim ColName As String
		Try
			Using dt As New DataTable
				'パターン(ヘッダ)の取得
				Me.setSql(db, ENUM_SQL.Sel_Ptn, PtnNo)
				db.execQueryDa(dt)
				If dt.Rows.Count = 0 Then Return False

				Me.InitVariable()																				'変数初期化
				With dt.Rows(0)
					For i As Integer = 1 To Me.RepeatCnt.Length - 1												'繰返回数
						ColName = String.Format(sqlMSRCsvOut.itmREPEAT_COUNT, i)
						If dt.Columns.Contains(ColName) = True AndAlso IsDBNull(.Item(ColName)) = False Then
							Me.RepeatCnt(i) = .Item(ColName)
						End If
					Next
					For Each i As Integer In [Enum].GetValues(GetType(ENUM_OPT_CHK))							'オプション
						If .Item(String.Format(sqlMSRCsvOut.itmOPT_FLG, i)) = clsConst.Enum_CheckBox_Flg.CheckOn Then
							Me.OptChk(i) = True
						End If
					Next
				End With
			End Using

			'パターン(明細)の取得
			Me.FieldDt = New DataTable
			Me.setSql(db, ENUM_SQL.Sel_Ptn_Field, PtnNo)
			db.execQueryDa(Me.FieldDt)
			If Me.FieldDt.Rows.Count = 0 Then Return False

			'パターンデータの更新
			Me.setMst2Field(db, Me.FieldDt, False)

			Return True
		Catch ex As Exception
			Throw
		Finally
			ColName = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' ＤＰＣワークの作成/出力項目の調整
	''' </summary>
	''' <param name="db">clsDB</param>
	''' <param name="cliMakeWork">ワーク作成クラス</param>
	''' <remarks>
	''' 2010/12/24 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setDpc(ByVal db As clsDB, ByVal cliMakeWork As MRP.clsMakeWork)
			clsSysMst.logEx(clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name,
						Reflection.MethodBase.GetCurrentMethod.Name, CST_LOG_PRODUCT, CST_LOG_CLASS, "ＤＰＣの作成 START")
		Dim ColName As String = Nothing
		Try
			With Me.FieldDt
				For i As Integer = 0 To .Rows.Count - 1
					Select Case .Rows(i).Item(sqlMSRCsvOut.itmTABLE_CD)
						Case clsMSRCOMMON.Enum_Tbl_CD.MTW_DPC
							cliMakeWork.setDpcWork(db)											'DPCワークの作成

							For j As Integer = i To Me.FieldDt.Rows.Count - 1					'DPC出力項目の精査
								With .Rows(j)
									If .Item(sqlMSRCsvOut.itmTABLE_CD) <> clsMSRCOMMON.Enum_Tbl_CD.MTW_DPC Then
										Exit For
									ElseIf .Item(sqlMSRCsvOut.itmHSP_SPT) = 1 Then				'個別対応が１であること

										ColName = .Item(sqlMSRCsvOut.itmFIELD_NM).ToString

										If cliMakeWork.getDpcHeader(ColName) IsNot Nothing Then	'表示名の上書き
											.Item(sqlMSRCsvOut.itmDSP_FIELD_NM) = cliMakeWork.getDpcHeader(ColName)
										End If

										If cliMakeWork.chkDpcAsstCode(ColName) = False Then		'コードでなければ
											.Item(sqlMSRCsvOut.itmMASTER_NM) = String.Empty
											.Item(sqlMSRCsvOut.itmFIELD_NM) = .Item(sqlMSRCsvOut.itmMST_FIELD_NM)	'項目を出力内容に移動
										End If
									End If
								End With
							Next
							.AcceptChanges()													'変更を反映

							Exit For
					End Select
				Next
			End With
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' テーブルコードを元にSQL情報を取得
	''' </summary>
	''' <param name="ProcUnit">処理単位</param>
	''' <param name="TblCd">テーブルコード</param>
	''' <param name="TblNm">テーブル名</param>
	''' <param name="oSql">返却：SQL</param>
	''' <param name="oJoin">返却：結合式</param>
	''' <remarks>
	''' 2010/12/24 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub getTblInfo(ByVal ProcUnit As ENUM_PROC_UNIT,
						   ByVal TblCd As Integer,
						   ByVal TblNm As String,
						   ByRef oSql As String,
						   ByRef oJoin As String,
						   ByRef oRowNum As String)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name,
						Reflection.MethodBase.GetCurrentMethod.Name, CST_LOG_PRODUCT, CST_LOG_CLASS, "テーブルコードを元にSQL情報を取得 START")
		Dim Tbl As String
		Try
			oJoin = Nothing																						'返却用引数をクリア
			oSql = Nothing
			oRowNum = Nothing
			Tbl = TblNm

			If TblCd = clsMSRCOMMON.Enum_Tbl_CD.MTI_LEND Then													'貸出の場合は、科歴までを結合するので処理単位を偽装
				If Me.pFormId = CST_FORM_LEND Then																'貸出履歴の場合は、連番まで
					ProcUnit = ENUM_PROC_UNIT.SERIAL
				Else
					ProcUnit = ENUM_PROC_UNIT.CH
				End If
			End If

			Select Case Me.getTableUnit(TblCd, Tbl, ProcUnit)													'テーブルの保持単位
				Case ENUM_PROC_UNIT.PATIENT																		'患者単位
						Select Case ProcUnit
							Case ENUM_PROC_UNIT.PATIENT, ENUM_PROC_UNIT.HSP, ENUM_PROC_UNIT.CH, ENUM_PROC_UNIT.SERIAL
								oJoin = String.Format(sqlMSRCsvOut.joinBASIC, Tbl, TblNm)						'	メインＳＱＬに結合→Joinのみ
						End Select
				Case ENUM_PROC_UNIT.HSP																			'入退院単位
						Select Case ProcUnit
							Case ENUM_PROC_UNIT.PATIENT
								oSql = sqlMSRCsvOut.selBASIC
								If TblCd = clsMSRCOMMON.Enum_Tbl_CD.MTI_HSP Then								'	患者番号＋最新入退院歴で結合
									oJoin = String.Format(sqlMSRCsvOut.joinNewHsp, Tbl, TblNm)
								Else																			'	患者番号で結合
									oJoin = String.Format(sqlMSRCsvOut.joinBASIC, Tbl, TblNm)
								End If

							Case ENUM_PROC_UNIT.HSP, ENUM_PROC_UNIT.CH, ENUM_PROC_UNIT.SERIAL					'	メインＳＱＬに結合→Joinのみ
								Select Case TblCd
									Case clsMSRCOMMON.Enum_Tbl_CD.MTI_MED_COST
										oJoin = String.Format(sqlMSRCsvOut.joinCHZERO, Tbl, TblNm)				'	科歴=Zeroで結合
									Case clsMSRCOMMON.Enum_Tbl_CD.MTW_DPC
										oJoin = String.Format(sqlMSRCsvOut.joinHSPHOST, Tbl, TblNm)				'	DPC仕様
									Case Else
										oJoin = String.Format(sqlMSRCsvOut.joinHSP, Tbl, TblNm)
								End Select
						End Select

				Case ENUM_PROC_UNIT.CH																			'科歴単位
						Select Case ProcUnit
							Case ENUM_PROC_UNIT.PATIENT															'	患者番号＋最新入退院歴＋最新科歴で結合し、取得する
								oSql = sqlMSRCsvOut.selBASIC
								If TblCd = clsMSRCOMMON.Enum_Tbl_CD.MTI_CH Then
									oJoin = String.Format(sqlMSRCsvOut.joinNewCH, Tbl, TblNm)

								Else																			'	患者番号で結合
									oJoin = String.Format(sqlMSRCsvOut.joinBASIC, Tbl, TblNm)
									oSql = sqlMSRCsvOut.selBASIC
									oRowNum = String.Format(sqlMSRCsvOut.colRowNumBASIC, TblNm, Nothing)
								End If
							Case ENUM_PROC_UNIT.HSP																'	患者番号＋入退院歴で結合
								oJoin = String.Format(sqlMSRCsvOut.joinHSP, Tbl, TblNm)
								oSql = sqlMSRCsvOut.selHSP
								oRowNum = String.Format(sqlMSRCsvOut.colRowNumHSP, TblNm, Nothing)

							Case ENUM_PROC_UNIT.CH, ENUM_PROC_UNIT.SERIAL										'	メインＳＱＬに結合→Joinのみ
								oJoin = String.Format(sqlMSRCsvOut.joinCH, Tbl, TblNm)
						End Select

				Case ENUM_PROC_UNIT.SERIAL																		'連番単位
						Dim SerialNm As String
						Try
							Select Case TblCd																	'	連番項目名を取得
								Case clsMSRCOMMON.Enum_Tbl_CD.MTI_CB_CHILD, clsMSRCOMMON.Enum_Tbl_CD.MTI_CB_SB
											SerialNm = "CB_"
								Case clsMSRCOMMON.Enum_Tbl_CD.MTI_LEND
											SerialNm = TblNm.Substring(TblNm.IndexOf("_") + 1)
								Case Else
											SerialNm = TblNm.Substring(TblNm.IndexOf("_") + 1) & "_"			'		テーブル名から取得
							End Select

							Select Case ProcUnit
								Case ENUM_PROC_UNIT.PATIENT														'	患者番号で結合
									oSql = sqlMSRCsvOut.selBASIC
									oJoin = String.Format(sqlMSRCsvOut.joinBASIC, Tbl, TblNm)
									oRowNum = String.Format(sqlMSRCsvOut.colRowNumBASIC, TblNm, String.Format(sqlMSRCsvOut.orderSERIAL, TblNm, SerialNm))

								Case ENUM_PROC_UNIT.HSP															'	患者番号＋入退院歴で結合
									oSql = sqlMSRCsvOut.selHSP
									oJoin = String.Format(sqlMSRCsvOut.joinHSP, Tbl, TblNm)
									oRowNum = String.Format(sqlMSRCsvOut.colRowNumHSP, TblNm, String.Format(sqlMSRCsvOut.orderSERIAL, TblNm, SerialNm))

								Case ENUM_PROC_UNIT.CH															'	患者番号＋入退院歴＋科歴で結合
									oSql = sqlMSRCsvOut.selCH
									Select Case TblCd
										Case clsMSRCOMMON.Enum_Tbl_CD.MTI_OPE_DOCTOR
											oJoin = String.Format(sqlMSRCsvOut.joinOpeDocter, Tbl, TblNm)
											oRowNum = String.Format(sqlMSRCsvOut.colRowNumOpeDoc, TblNm, SerialNm)
										Case Else
											oJoin = String.Format(sqlMSRCsvOut.joinCH, Tbl, TblNm)
											oRowNum = String.Format(sqlMSRCsvOut.colRowNumCH, TblNm, SerialNm)
									End Select
								Case ENUM_PROC_UNIT.SERIAL
									Select Case True															'	連番が自分であれば、メインＳＱＬに結合→Joinのみ（連番まで結合する
										Case Me.pFormId = CST_FORM_DISEASE AndAlso TblCd = clsMSRCOMMON.Enum_Tbl_CD.MTI_DISEASE,
											 Me.pFormId = CST_FORM_OPE AndAlso TblCd = clsMSRCOMMON.Enum_Tbl_CD.MTI_OPE,
											 Me.pFormId = CST_FORM_TEST AndAlso TblCd = clsMSRCOMMON.Enum_Tbl_CD.MTI_TEST,
											 Me.pFormId = CST_FORM_CARE AndAlso TblCd = clsMSRCOMMON.Enum_Tbl_CD.MTI_CARE,
											 Me.pFormId = CST_FORM_CB_CHI AndAlso TblCd = clsMSRCOMMON.Enum_Tbl_CD.MTI_CB_CHILD,
											 Me.pFormId = CST_FORM_CB_CHI AndAlso TblCd = clsMSRCOMMON.Enum_Tbl_CD.MTI_CB_SB,
											 Me.pFormId = CST_FORM_EMERGENCY AndAlso TblCd = clsMSRCOMMON.Enum_Tbl_CD.MTI_EMERGENCY,
											 Me.pFormId = CST_FORM_PATH AndAlso TblCd = clsMSRCOMMON.Enum_Tbl_CD.MTI_PATH,
											 Me.pFormId = CST_FORM_LEND AndAlso TblCd = clsMSRCOMMON.Enum_Tbl_CD.MTI_LEND
												oJoin = String.Format(sqlMSRCsvOut.joinSerial, Tbl, TblNm, SerialNm)
										Case Else																'	連番が自分でないので、科歴で結合し、連番順で取得する
												oSql = sqlMSRCsvOut.selSERIAL2CH
												Select Case TblCd
													Case clsMSRCOMMON.Enum_Tbl_CD.MTI_OPE_DOCTOR
														If Me.pFormId = CST_FORM_OPE Then
															oSql = sqlMSRCsvOut.selCH
															oJoin = String.Format(sqlMSRCsvOut.joinOpeDocterSerial, Tbl, TblNm)
															oRowNum = String.Format(sqlMSRCsvOut.colRowNumOpeDocSerial, TblNm, SerialNm)
														Else
															oJoin = String.Format(sqlMSRCsvOut.joinOpeDocter, Tbl, TblNm)
															oRowNum = String.Format(sqlMSRCsvOut.colRowNumOpeDoc, TblNm, SerialNm)
														End If

													Case Else
														oJoin = String.Format(sqlMSRCsvOut.joinCH, Tbl, TblNm)
														oRowNum = String.Format(sqlMSRCsvOut.colRowNumCH, TblNm, SerialNm)
												End Select
									End Select
							End Select
						Catch ex As Exception
							Throw
						Finally
							SerialNm = Nothing
						End Try
			End Select

			If TblCd = clsMSRCOMMON.Enum_Tbl_CD.MTI_LEND Then						'貸出情報の場合、管理物コードを追加条件に
				If Me.pFormId = CST_FORM_LEND Then
					oJoin &= String.Format(sqlMSRCsvOut.joinMtiLendMyPlus, TblNm)
				Else																'貸出以外からの出力であれば、貸出中のみ
					oJoin &= String.Format(sqlMSRCsvOut.joinMtiLendPlus, TblNm)
				End If
			End If

		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' テーブルの保持単位を取得
	''' </summary>
	''' <param name="Tblcd">テーブルコード</param>
	''' <param name="Tbl">返却：取得テーブル(特殊ケースの場合、置き換える)</param>
	''' <param name="ProcUnit">処理単位</param>
	''' <returns>保持（処理）単位</returns>
	''' <remarks>
	''' 2010/12/24 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getTableUnit(ByVal TblCd As Integer, ByRef Tbl As String, ByVal ProcUnit As ENUM_PROC_UNIT) As ENUM_PROC_UNIT
		clsSysMst.logEx(clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name,
						Reflection.MethodBase.GetCurrentMethod.Name, CST_LOG_PRODUCT, CST_LOG_CLASS, "テーブルの保持単位を取得 START")
		Try
			Select Case TblCd
				Case clsMSRCOMMON.Enum_Tbl_CD.XTI_BASICINFO,
					 clsMSRCOMMON.Enum_Tbl_CD.MTI_DEATH
																		Return ENUM_PROC_UNIT.PATIENT

				Case clsMSRCOMMON.Enum_Tbl_CD.MTI_HSP,
					 clsMSRCOMMON.Enum_Tbl_CD.MTW_DPC

																		Return ENUM_PROC_UNIT.HSP
				Case clsMSRCOMMON.Enum_Tbl_CD.MTI_MED_COST
																		If ProcUnit = ENUM_PROC_UNIT.HSP Then
																			Select Case clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00012)					'医療費の登録方法が
																				Case clsConst.Enum_MedCostInput.HspDeptDetail,
																					 clsConst.Enum_MedCostInput.HspDeptNoDetail									'	科歴単位の場合は
																					 Tbl = sqlMSRCsvOut.tblMTI_MED_COST											'	入退院単位に集計したものとする
																			End Select
																			Return ENUM_PROC_UNIT.HSP
																		Else
																			Return ENUM_PROC_UNIT.CH
																		End If

				Case clsMSRCOMMON.Enum_Tbl_CD.MTI_CH,
					 clsMSRCOMMON.Enum_Tbl_CD.MTI_OTHER_DEPT,
					 clsMSRCOMMON.Enum_Tbl_CD.MTI_ASST1,
					 clsMSRCOMMON.Enum_Tbl_CD.MTI_ASST2,
					 clsMSRCOMMON.Enum_Tbl_CD.MTI_CB,
					 clsMSRCOMMON.Enum_Tbl_CD.MTI_INSPECT
																		Return ENUM_PROC_UNIT.CH
				Case clsMSRCOMMON.Enum_Tbl_CD.MTI_WARD,
					 clsMSRCOMMON.Enum_Tbl_CD.MTI_DOCTOR,
					 clsMSRCOMMON.Enum_Tbl_CD.MTI_DISEASE,
					 clsMSRCOMMON.Enum_Tbl_CD.MTI_OPE,
					 clsMSRCOMMON.Enum_Tbl_CD.MTI_OPE_DOCTOR,
					 clsMSRCOMMON.Enum_Tbl_CD.MTI_TEST,
					 clsMSRCOMMON.Enum_Tbl_CD.MTI_CARE,
					 clsMSRCOMMON.Enum_Tbl_CD.MTI_EMERGENCY,
					 clsMSRCOMMON.Enum_Tbl_CD.MTI_CB_CHILD,
					 clsMSRCOMMON.Enum_Tbl_CD.MTI_CB_SB,
					 clsMSRCOMMON.Enum_Tbl_CD.MTI_PATH
																		Return ENUM_PROC_UNIT.SERIAL
				Case clsMSRCOMMON.Enum_Tbl_CD.MTI_LENDITM
						Select Case ProcUnit																'取得テーブルは各単位を取得したものにする
							Case ENUM_PROC_UNIT.PATIENT
																		Tbl = sqlMSRCsvOut.tblMTI_LENDITM_B
							Case ENUM_PROC_UNIT.HSP
																		Tbl = sqlMSRCsvOut.tblMTI_LENDITM_H
							Case ENUM_PROC_UNIT.CH, ENUM_PROC_UNIT.SERIAL
																		Tbl = sqlMSRCsvOut.tblMTI_LENDITM_C
																		Return ENUM_PROC_UNIT.CH
						End Select
																		Return ProcUnit
				Case clsMSRCOMMON.Enum_Tbl_CD.MTI_LEND
						If Me.pFormId = CST_FORM_LEND Then
																		Return ENUM_PROC_UNIT.SERIAL
						Else
																		Return ENUM_PROC_UNIT.CH
						End If

			End Select
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' ＳＱＬ文生成＋ヘッダの生成
	''' </summary>
	''' <param name="ProcUnit">処理単位</param>
	''' <returns></returns>
	''' <remarks>
	''' 2010/12/24 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function setSqlSentence(ByVal ProcUnit As ENUM_PROC_UNIT) As List(Of DictionaryEntry)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name,
						Reflection.MethodBase.GetCurrentMethod.Name, CST_LOG_PRODUCT, CST_LOG_CLASS, "ＳＱＬ文生成 START")

		Const CST_IDX_MAIN As Integer = 0										'添字	メインSQL
		Const CST_SQL_ALL As Integer = 0										'添字	SQL全体
		Const CST_SQL_COL As Integer = 1										'添字	SQL取得項目
		Const CST_SQL_TBL As Integer = 2										'添字	SQL JOIN句
		Const CST_SQL_RCOL As Integer = 3										'添字	SQL取得項目
		Const CST_SQL_WHERE As Integer = 4										'添字	SQL条件
		Const CST_SQL_ORDER As Integer = 5										'添字	SQLソート
		Const CST_SQL_HED As Integer = 6										'添字	対応ヘッダ

		Const CST_HED_NORMAL As Integer = 0										'添字	ヘッダ書式　標準
		Const CST_HED_CODE As Integer = 1										'添字	ヘッダ書式　コード
		Const CST_MST_NM As String = "M{0}F{1}"									'マスタ別名
		Const CST_COL_PLUSNM As String = "NM"									'マスタ取得項目
		Const CST_DUMMY_COL As String = ",'' AS R{{0}}T{0}F{1}"					'メイン用ダミー項目

		Const CST_MST_PG As String = "MST_PG"									'フラグ、有無

		Dim TblCd As Integer													'テーブルコード
		Dim TblList As List(Of Integer) = Nothing								'テーブルコードリスト

		Dim ArySql(CST_TBL_MAX, CST_SQL_HED) As String							'SQL格納配列
		Dim idx As Integer														'添字
		Dim sql As String = Nothing												'ワーク用SQL
		Dim join As String = Nothing											'ワーク用SQL
		Dim MstNm As String = Nothing											'ワーク用SQL

		Dim HspSptList As List(Of Integer) = Nothing							'個別対応処理リスト

		Dim Header As String = Nothing											'ヘッダ
		Dim HeaderFormat() As String = Nothing									'ヘッダ書式

		Dim RetList As List(Of DictionaryEntry) = Nothing						'返却一覧
		Try
			RetList = New List(Of DictionaryEntry)																'返却値の初期化
			HspSptList = New List(Of Integer)																	'個別対応の初期化
			TblList = New List(Of Integer)																		'テーブルリストの初期化

			Select Case ProcUnit																				'メインのSQLを処理単位で決定
				Case ENUM_PROC_UNIT.PATIENT
											ArySql(CST_IDX_MAIN, CST_SQL_ALL) = sqlMSRCsvOut.selBASIC
											ArySql(CST_IDX_MAIN, CST_SQL_ORDER) = sqlMSRCsvOut.orderBASIC
											Header = sqlMSRCsvOut.HeaderBasic
				Case ENUM_PROC_UNIT.HSP
											ArySql(CST_IDX_MAIN, CST_SQL_ALL) = sqlMSRCsvOut.selHSP
											ArySql(CST_IDX_MAIN, CST_SQL_ORDER) = sqlMSRCsvOut.orderHSP
											Header = sqlMSRCsvOut.HeaderHSP
				Case ENUM_PROC_UNIT.CH
											ArySql(CST_IDX_MAIN, CST_SQL_ALL) = sqlMSRCsvOut.selCH
											ArySql(CST_IDX_MAIN, CST_SQL_ORDER) = sqlMSRCsvOut.orderCH
											Header = sqlMSRCsvOut.HeaderCH
				Case ENUM_PROC_UNIT.SERIAL
											ArySql(CST_IDX_MAIN, CST_SQL_ALL) = sqlMSRCsvOut.selSERIAL
											ArySql(CST_IDX_MAIN, CST_SQL_ORDER) = sqlMSRCsvOut.orderSERIAL
											Header = sqlMSRCsvOut.HeaderSERIAL
				Case Else : Return RetList
			End Select

			If Me.OptChk(ENUM_OPT_CHK.BOXED) = True Then
				Header = String.Format("""{0}""", Replace(Header, ",", ""","""))
				HeaderFormat = New String() {",""{0}{{0}}""", ",""{0}コード{{0}}"""}
			Else
				HeaderFormat = New String() {",{0}{{0}}", ",{0}コード{{0}}"}
			End If

			For Each row As DataRow In Me.FieldDt.Rows															'項目情報を元に処理する

				If row.Item(sqlMSRCsvOut.itmTABLE_CD) <> TblCd Then												'テーブルコード変更時処理
					HspSptList.Clear()
																												'初回テーブルコード処理
					TblCd = row.Item(sqlMSRCsvOut.itmTABLE_CD)													'	テーブルコードの退避
					TblList.Add(TblCd)																			'	テーブルコードの退避

																												'	テーブルコードを元にSQL情報を取得
					Me.getTblInfo(ProcUnit, TblCd, row.Item(sqlMSRCsvOut.itmTABLE_NM), sql, join, ArySql(TblCd, CST_SQL_COL))
					If Me.RepeatCnt(TblCd) = 0 Then																'	繰返回数ZeroであればﾒｲﾝSQLに項目追加
						idx = CST_IDX_MAIN
					Else
						idx = TblCd
						ArySql(idx, CST_SQL_WHERE) = String.Format(sqlMSRCsvOut.wherePatient, row.Item(sqlMSRCsvOut.itmTABLE_NM))
					End If
					If sql IsNot Nothing AndAlso ArySql(TblCd, CST_SQL_ALL) Is Nothing Then						'	空でなければセット
						ArySql(idx, CST_SQL_ALL) = sql
					End If
					ArySql(idx, CST_SQL_TBL) &= join															'	テーブルは結合

				End If

				If row.Item(sqlMSRCsvOut.itmHSP_SPT) > 0 Then													'*****【特殊対応】*****
					Select Case row.Item(sqlMSRCsvOut.itmTABLE_CD)
						Case clsMSRCOMMON.Enum_Tbl_CD.XTI_BASICINFO												'	患者基本
							Select Case row.Item(sqlMSRCsvOut.itmHSP_SPT)
								Case 1
									If HspSptList.IndexOf(row.Item(sqlMSRCsvOut.itmHSP_SPT)) = -1 Then			'		最新住所取得
										HspSptList.Add(row.Item(sqlMSRCsvOut.itmHSP_SPT))
										ArySql(idx, CST_SQL_TBL) &= sqlMSRCsvOut.joinNewChSp
									End If
									row.Item(sqlMSRCsvOut.itmTABLE_NM) = sqlMSRCsvOut.tblNewChSp				'		テーブル名を書換
							End Select

						Case clsMSRCOMMON.Enum_Tbl_CD.MTI_HSP													'	入退院
							Select Case row.Item(sqlMSRCsvOut.itmHSP_SPT)
								Case 1 To 5
									If HspSptList.IndexOf(row.Item(sqlMSRCsvOut.itmHSP_SPT)) = -1 Then			'		転科
										HspSptList.Add(row.Item(sqlMSRCsvOut.itmHSP_SPT))
										If ProcUnit = ENUM_PROC_UNIT.PATIENT Then
											sql = sqlMSRCsvOut.sqlSubDeptChangeB
										Else
											sql = sqlMSRCsvOut.sqlSubDeptChangeH
										End If
										ArySql(idx, CST_SQL_TBL) &= String.Format(sqlMSRCsvOut.joinDeptChange,
																				  row.Item(sqlMSRCsvOut.itmHSP_SPT),
																				  sql,
																				  row.Item(sqlMSRCsvOut.itmTABLE_NM))

									End If
									row.Item(sqlMSRCsvOut.itmTABLE_NM) = String.Format(sqlMSRCsvOut.tblDeptChange,
																				 row.Item(sqlMSRCsvOut.itmHSP_SPT))	'	テーブル名を書換
							End Select

						Case clsMSRCOMMON.Enum_Tbl_CD.MTI_CH													'	科歴
							Select Case row.Item(sqlMSRCsvOut.itmHSP_SPT)
								Case 1
									If HspSptList.IndexOf(row.Item(sqlMSRCsvOut.itmHSP_SPT)) = -1 Then			'		転科元
										HspSptList.Add(row.Item(sqlMSRCsvOut.itmHSP_SPT))
										ArySql(idx, CST_SQL_TBL) &= sqlMSRCsvOut.joinDeptChangeFrom

									End If
									row.Item(sqlMSRCsvOut.itmTABLE_NM) = sqlMSRCsvOut.tblDeptChangeFrom			'	テーブル名を書換
								Case 2
									If HspSptList.IndexOf(row.Item(sqlMSRCsvOut.itmHSP_SPT)) = -1 Then			'		転科元
										HspSptList.Add(row.Item(sqlMSRCsvOut.itmHSP_SPT))
										ArySql(idx, CST_SQL_TBL) &= sqlMSRCsvOut.joinDeptChangeTo

									End If
									row.Item(sqlMSRCsvOut.itmTABLE_NM) = sqlMSRCsvOut.tblDeptChangeTo			'	テーブル名を書換
								Case 3
									If HspSptList.IndexOf(row.Item(sqlMSRCsvOut.itmHSP_SPT)) = -1 Then			'		主病名
										HspSptList.Add(row.Item(sqlMSRCsvOut.itmHSP_SPT))
										ArySql(idx, CST_SQL_TBL) &= String.Format(sqlMSRCsvOut.joinMainDisease,
																				  row.Item(sqlMSRCsvOut.itmTABLE_NM))

									End If
									row.Item(sqlMSRCsvOut.itmTABLE_NM) = sqlMSRCsvOut.tblMainDisease			'	テーブル名を書換
							End Select
						Case clsMSRCOMMON.Enum_Tbl_CD.MTI_DEATH													'	死亡
								Select Case row.Item(sqlMSRCsvOut.itmHSP_SPT)
								Case 1
									If HspSptList.IndexOf(row.Item(sqlMSRCsvOut.itmHSP_SPT)) = -1 Then			'		原死因
										HspSptList.Add(row.Item(sqlMSRCsvOut.itmHSP_SPT))
										ArySql(idx, CST_SQL_TBL) &= String.Format(sqlMSRCsvOut.joinDeathDisease,
																				  row.Item(sqlMSRCsvOut.itmTABLE_NM))

									End If
									row.Item(sqlMSRCsvOut.itmTABLE_NM) = sqlMSRCsvOut.tblDeathDisease			'	テーブル名を書換
								Case 2
									If HspSptList.IndexOf(row.Item(sqlMSRCsvOut.itmHSP_SPT)) = -1 Then			'		直接死因
										HspSptList.Add(row.Item(sqlMSRCsvOut.itmHSP_SPT))
										ArySql(idx, CST_SQL_TBL) &= String.Format(sqlMSRCsvOut.joinDeathDiseaseDirect,
																				  row.Item(sqlMSRCsvOut.itmTABLE_NM))

									End If
									row.Item(sqlMSRCsvOut.itmTABLE_NM) = sqlMSRCsvOut.tblDeathDiseaseDirect		'	テーブル名を書換
							End Select
						Case clsMSRCOMMON.Enum_Tbl_CD.MTI_OPE
							Select Case row.Item(sqlMSRCsvOut.itmHSP_SPT)
								Case 1
									If HspSptList.IndexOf(row.Item(sqlMSRCsvOut.itmHSP_SPT)) = -1 Then			'		病名マスタ
										HspSptList.Add(row.Item(sqlMSRCsvOut.itmHSP_SPT))
										ArySql(idx, CST_SQL_TBL) &= String.Format(sqlMSRCsvOut.joinOpeDisease,
																				  row.Item(sqlMSRCsvOut.itmTABLE_NM))

									End If
									row.Item(sqlMSRCsvOut.itmTABLE_NM) = sqlMSRCsvOut.tblOpeDisease				'	テーブル名を書換
							End Select
						Case clsMSRCOMMON.Enum_Tbl_CD.MTI_CB_CHILD												'	分娩子
							Select Case row.Item(sqlMSRCsvOut.itmHSP_SPT)
								Case 1
									If HspSptList.IndexOf(row.Item(sqlMSRCsvOut.itmHSP_SPT)) = -1 Then			'		分娩流死産
										HspSptList.Add(row.Item(sqlMSRCsvOut.itmHSP_SPT))
										ArySql(idx, CST_SQL_TBL) &= String.Format(sqlMSRCsvOut.joinMtiCbSb,
																				  row.Item(sqlMSRCsvOut.itmTABLE_NM))

									End If
									row.Item(sqlMSRCsvOut.itmTABLE_NM) = sqlMSRCsvOut.tblMTI_CB_SB				'	テーブル名を書換
							End Select
					End Select
				End If

				If String.IsNullOrEmpty(row.Item(sqlMSRCsvOut.itmMASTER_NM).ToString) = True Then				'通常項目
					ArySql(TblCd, CST_SQL_HED) &= String.Format(HeaderFormat(CST_HED_NORMAL),
													row.Item(sqlMSRCsvOut.itmDSP_FIELD_NM).ToString)			'	ヘッダ
					If idx > 0 Then																				'	メインで取得しない場合は、項目だけ準備
						ArySql(TblCd, CST_SQL_RCOL) &= String.Format(CST_DUMMY_COL,
													row.Item(sqlMSRCsvOut.itmTABLE_CD).ToString,
													row.Item(sqlMSRCsvOut.itmFIELD_CD).ToString)
					End If
					ArySql(TblCd, CST_SQL_COL) &= Me.setColString(row, sqlMSRCsvOut.itmTABLE_NM, sqlMSRCsvOut.itmFIELD_NM)
				Else																							'マスタ取得項目
																												'	マスタをJOIN
					If row.Item(sqlMSRCsvOut.itmTABLE_NM).ToString <> row.Item(sqlMSRCsvOut.itmMASTER_NM).ToString AndAlso
					   row.Item(sqlMSRCsvOut.itmMASTER_NM).ToString <> CST_MST_PG Then
						MstNm = String.Format(CST_MST_NM, row.Item(sqlMSRCsvOut.itmTABLE_CD).ToString,
															row.Item(sqlMSRCsvOut.itmFIELD_CD).ToString)
						If String.IsNullOrEmpty(row.Item(sqlMSRCsvOut.itmCOMBINATION).ToString) = False Then
							sql = String.Format(row.Item(sqlMSRCsvOut.itmCOMBINATION).ToString,
												row.Item(sqlMSRCsvOut.itmTABLE_NM).ToString,
												MstNm,
												row.Item(sqlMSRCOMMON.itmITEM_CD).ToString)
						Else
							sql = String.Format(sqlMSRCsvOut.joinMstCombination,
												row.Item(sqlMSRCsvOut.itmTABLE_NM).ToString,
												MstNm,
												row.Item(sqlMSRCsvOut.itmFIELD_NM).ToString)
						End If
						ArySql(idx, CST_SQL_TBL) &= String.Format(sqlMSRCsvOut.joinMST,
																  row.Item(sqlMSRCsvOut.itmMASTER_NM).ToString,
																  MstNm,
																  sql
																)
					Else
						MstNm = Nothing
					End If

					If Me.OptChk(ENUM_OPT_CHK.CODE_OUT) = True AndAlso
						String.IsNullOrEmpty(row.Item(sqlMSRCsvOut.itmFIELD_NM).ToString) = False Then			'	コード出力
						ArySql(TblCd, CST_SQL_HED) &= String.Format(HeaderFormat(CST_HED_CODE),
														row.Item(sqlMSRCsvOut.itmDSP_FIELD_NM).ToString)		'		ヘッダ
						If idx > 0 Then																			'		メインで取得しない場合は、項目だけ準備
							ArySql(TblCd, CST_SQL_RCOL) &= String.Format(CST_DUMMY_COL,
																		row.Item(sqlMSRCsvOut.itmTABLE_CD).ToString,
																		row.Item(sqlMSRCsvOut.itmFIELD_CD).ToString)
						End If
						ArySql(TblCd, CST_SQL_COL) &= Me.setColString(row, sqlMSRCsvOut.itmTABLE_NM, sqlMSRCsvOut.itmFIELD_NM, , , True)
					End If
					ArySql(TblCd, CST_SQL_HED) &= String.Format(HeaderFormat(CST_HED_NORMAL),
													row.Item(sqlMSRCsvOut.itmDSP_FIELD_NM).ToString)			'		ヘッダ
					If idx > 0 Then
						ArySql(TblCd, CST_SQL_RCOL) &= String.Format(CST_DUMMY_COL & CST_COL_PLUSNM,
																	row.Item(sqlMSRCsvOut.itmTABLE_CD).ToString,
																	row.Item(sqlMSRCsvOut.itmFIELD_CD).ToString)
					End If
					If row.Item(sqlMSRCsvOut.itmMASTER_NM).ToString = CST_MST_PG Then
						ArySql(TblCd, CST_SQL_COL) &= Me.setColString(row, sqlMSRCsvOut.itmTABLE_NM, sqlMSRCsvOut.itmFIELD_NM, , CST_COL_PLUSNM)
					ElseIf Me.OptChk(ENUM_OPT_CHK.ABBREVIATE) = True Then											'		略称出力
						ArySql(TblCd, CST_SQL_COL) &= Me.setColString(row, sqlMSRCsvOut.itmMASTER_NM, sqlMSRCsvOut.itmMST_FIELD_RNM, MstNm, CST_COL_PLUSNM)
					Else																								'名称出力
						ArySql(TblCd, CST_SQL_COL) &= Me.setColString(row, sqlMSRCsvOut.itmMASTER_NM, sqlMSRCsvOut.itmMST_FIELD_NM, MstNm, CST_COL_PLUSNM)
					End If
				End If

			Next

			If Me.pFormId <> CST_FORM_OPE AndAlso
				ArySql(clsMSRCOMMON.Enum_Tbl_CD.MTI_OPE_DOCTOR, CST_SQL_COL) IsNot Nothing Then					'手術以外で手術医師があれば
				TblCd = clsMSRCOMMON.Enum_Tbl_CD.MTI_OPE_DOCTOR
				ArySql(TblCd, CST_SQL_RCOL) = ArySql(TblCd, CST_SQL_RCOL).Replace("R{0}", "R{{0}}S{0}")			'	繰返を１階層追加
				For j As Integer = 1 To Me.RepeatCnt(clsMSRCOMMON.Enum_Tbl_CD.MTI_OPE_DOCTOR)					'	手術医師に追加
					ArySql(clsMSRCOMMON.Enum_Tbl_CD.MTI_OPE, CST_SQL_RCOL) &= String.Format(ArySql(TblCd, CST_SQL_RCOL), j)
					ArySql(clsMSRCOMMON.Enum_Tbl_CD.MTI_OPE, CST_SQL_HED) &= String.Format(ArySql(TblCd, CST_SQL_HED), String.Format("{{0}}-({0})", j))
				Next

				ArySql(TblCd, CST_SQL_RCOL) = String.Empty														'	手術にマージしたのでクリア
				ArySql(TblCd, CST_SQL_HED) = String.Empty
				If TblList.IndexOf(clsMSRCOMMON.Enum_Tbl_CD.MTI_OPE) = -1 Then									'手術が検索対象になければ、手術医師を手術とする
					TblList(TblList.IndexOf(clsMSRCOMMON.Enum_Tbl_CD.MTI_OPE_DOCTOR)) = clsMSRCOMMON.Enum_Tbl_CD.MTI_OPE
				End If
			End If

			For Each i As Integer In TblList																	'メイン取得項目
				If ArySql(i, CST_SQL_RCOL) IsNot Nothing Then
					For j As Integer = 1 To Me.RepeatCnt(i)
						ArySql(CST_IDX_MAIN, CST_SQL_COL) &= String.Format(ArySql(i, CST_SQL_RCOL), j)			'	ダミー項目を繰返回数分追加
						Header &= String.Format(ArySql(i, CST_SQL_HED), String.Format("({0})", j))				'	ヘッダ項目も繰返回数分追加
					Next
				ElseIf ArySql(i, CST_SQL_COL) IsNot Nothing Then
					ArySql(CST_IDX_MAIN, CST_SQL_COL) &= ArySql(i, CST_SQL_COL)
					Header &= String.Format(ArySql(i, CST_SQL_HED), String.Empty)								'	ヘッダ項目を追加
				End If
			Next
			RetList.Add(New DictionaryEntry(CST_KEY_HEADER, Header))											'ヘッダ

			For i As Integer = 0 To ArySql.GetUpperBound(0)														'SQL文を生成
				If ArySql(i, CST_SQL_ALL) IsNot Nothing Then
					RetList.Add(New DictionaryEntry(i, String.Format(ArySql(i, CST_SQL_ALL),
																	 ArySql(i, CST_SQL_COL),
																	 ArySql(i, CST_SQL_TBL),
																	 ArySql(i, CST_SQL_WHERE),
																	 ArySql(i, CST_SQL_ORDER))))
				End If
			Next

			Return RetList
		Catch ex As Exception
			Throw
		Finally
			ArySql = Nothing
			sql = Nothing
			join = Nothing
			MstNm = Nothing
			If TblList IsNot Nothing Then : TblList.Clear() : TblList = Nothing : End If
			If HspSptList IsNot Nothing Then : HspSptList.Clear() : HspSptList = Nothing : End If
			Header = Nothing
			HeaderFormat = Nothing
			RetList = Nothing

		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' SQL文項目名生成
	''' </summary>
	''' <param name="row">生成元データ行</param>
	''' <param name="Tbl">テーブル項目名</param>
	''' <param name="TblNm">テーブル別名</param>
	''' <param name="Field">項目名</param>
	''' <param name="NamePlus">別名追加内容</param>
	''' <param name="NotConv">変換有無</param>
	''' <returns></returns>
	''' <remarks>
	''' 2010/12/24 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function setColString(ByVal row As DataRow,
								  ByVal Tbl As String,
								  ByVal Field As String,
						 Optional ByVal TblNm As String = Nothing,
						 Optional ByVal NamePlus As String = Nothing,
						 Optional ByVal NotConv As Boolean = False) As String
		clsSysMst.logEx(clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name,
						Reflection.MethodBase.GetCurrentMethod.Name, CST_LOG_PRODUCT, CST_LOG_CLASS, "SQL文項目名生成 START")
		Dim ret As String
		Try
			If row.Item(Field).ToString.IndexOf(".") >= 0 Then
				ret = row.Item(Field).ToString
			ElseIf TblNm IsNot Nothing Then
				ret = String.Format("{0}.{1}", TblNm, row.Item(Field).ToString)
			Else
				ret = String.Format("{0}.{1}", row.Item(Tbl).ToString, row.Item(Field).ToString)
			End If

			If NotConv = False AndAlso String.IsNullOrEmpty(row.Item(sqlMSRCsvOut.itmCONVERTING).ToString) = False Then
				Select Case row.Item(sqlMSRCsvOut.itmCONVERTING).ToString.ToUpper
					Case "FLG"																					'フラグ
										ret = String.Format(sqlMSRCsvOut.colConvFLG, ret)
					Case "CHK"																					'有無
										ret = String.Format(sqlMSRCsvOut.colConvCHK, ret)
					Case "DT"																					'日付変換
										ret = String.Format(sqlMSRCsvOut.colConvDT, ret)
					Case "ZIP_CD"																				'郵便番号
										ret = String.Format(sqlMSRCsvOut.colConvZIPCD, ret)
					Case "MASK_NAME"																			'マスク 名前
										If Me.pPrivacy = False Then ret = String.Format("'{0}'", clsConst.CST_MASK_NAME)
					Case "MASK_KNAME"																			'マスク カナ名
										If Me.pPrivacy = False Then ret = String.Format("'{0}'", clsConst.CST_MASK_KNAME)
					Case "MASK_PRIVACY"																			'マスク 個人情報
										If Me.pPrivacy = False Then ret = String.Format("'{0}'", clsConst.CST_MASK_PRIVACY)
					Case "MASK_DT"																				'マスク 個人情報
										If Me.pPrivacy = False Then
											ret = String.Format("'{0}'", clsConst.CST_MASK_PRIVACY)
										Else
											ret = String.Format(sqlMSRCsvOut.colConvDT, ret)
										End If
					Case Else
										ret = String.Format(row.Item(sqlMSRCsvOut.itmCONVERTING).ToString, ret)
				End Select
			End If
			Return String.Format(",{0} AS T{1}F{2}{3}", ret,
														row.Item(sqlMSRCsvOut.itmTABLE_CD).ToString,
														row.Item(sqlMSRCsvOut.itmFIELD_CD).ToString,
														NamePlus
									  )
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' DBパラメータの設定
	''' </summary>
	''' <param name="db">clsDB</param>
	''' <remarks>
	''' 2010/12/24 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setDbParam(ByVal db As clsDB)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name,
						Reflection.MethodBase.GetCurrentMethod.Name, CST_LOG_PRODUCT, CST_LOG_CLASS, "ＳＱＬパラメータ設定 START")
		Try
			With db
				.setParamDa(sqlMSRCOMMON.prmHOST_NM, clsDB.Enum_dbType.dbNVarChar)				'ホストの設定
				.setValDa(sqlMSRCOMMON.prmHOST_NM, clsConst.CST_HOST_NM)
																								'有無マスタの設定
				.setParamDa(sqlMSRCOMMON.prmCHK_CD_ON, clsDB.Enum_dbType.dbInt)
				.setParamDa(sqlMSRCOMMON.prmCHK_CD_OFF, clsDB.Enum_dbType.dbInt)
				.setValDa(sqlMSRCOMMON.prmCHK_CD_ON, clsConst.Enum_Chk.ChkOn, False)
				.setValDa(sqlMSRCOMMON.prmCHK_CD_OFF, clsConst.Enum_Chk.ChkOff, False)
				.setParamDa(sqlMSRCOMMON.prmCHK_NM_ON, clsDB.Enum_dbType.dbNVarChar)
				.setParamDa(sqlMSRCOMMON.prmCHK_NM_OFF, clsDB.Enum_dbType.dbNVarChar)
				Dim dt As DataTable = clsConst.getExist
				Try
					.setValDa(sqlMSRCOMMON.prmCHK_NM_ON, clsMSRCOMMON.getDtItem(dt, clsConst.Enum_Chk.ChkOn))
					.setValDa(sqlMSRCOMMON.prmCHK_NM_OFF, clsMSRCOMMON.getDtItem(dt, clsConst.Enum_Chk.ChkOff))
				Finally
					dt.Dispose()
					dt = Nothing
				End Try
																								'フラグの設定
				.setParamDa(sqlMSRCOMMON.prmFLG_CD_ON, clsDB.Enum_dbType.dbInt)
				.setValDa(sqlMSRCOMMON.prmFLG_CD_ON, clsConst.Enum_CheckBox_Flg.CheckOn, False)
				.setParamDa(sqlMSRCOMMON.prmFLG_NM_ON, clsDB.Enum_dbType.dbNVarChar)
				.setValDa(sqlMSRCOMMON.prmFLG_NM_ON, clsMSRCOMMON.getDtItem(clsConst.getCheckBox, clsConst.Enum_CheckBox_Flg.CheckOn))

				.setParamDa(sqlMSRCsvOut.prmFIXED_DEPT_CHANGE_HSP, XCM.clsDB.Enum_dbType.dbNVarChar)
				.setValDa(sqlMSRCsvOut.prmFIXED_DEPT_CHANGE_HSP, XCM.clsConst.Enum_HspChannel_Fix1.ChangeDept, False)		'固定コード:入院経路転科

				.setParamDa(sqlMSRCsvOut.prmFIXED_DEPT_CHANGE_OUT, XCM.clsDB.Enum_dbType.dbNVarChar)
				.setValDa(sqlMSRCsvOut.prmFIXED_DEPT_CHANGE_OUT, XCM.clsConst.Enum_DiscchargeCannel_Fix1.ChangeDept, False)	'固定コード:退院経路転科

				.setParamDa(sqlMSRCsvOut.prmFIXED_MAINDISEASE, clsDB.Enum_dbType.dbNVarChar)		'固定コード:主病名
				.setValDa(sqlMSRCsvOut.prmFIXED_MAINDISEASE, clsConst.Enum_Disease_Div_Fix1.MainDisease)

				.setParamDa(sqlMSRCOMMON.prmLENDITEM_CD, clsDB.Enum_dbType.dbNVarChar)			'管理物コード(選択値
				.setValDa(sqlMSRCOMMON.prmLENDITEM_CD, Me.pLendItem)

				.setParamDa(sqlMSRCsvOut.prmITEM_M, clsDB.Enum_dbType.dbNVarChar)					'管理物コード(全て
				.setParamDa(sqlMSRCsvOut.prmITEM_S, clsDB.Enum_dbType.dbNVarChar)
				.setParamDa(sqlMSRCsvOut.prmITEM_1, clsDB.Enum_dbType.dbNVarChar)
				.setParamDa(sqlMSRCsvOut.prmITEM_2, clsDB.Enum_dbType.dbNVarChar)
				.setParamDa(sqlMSRCsvOut.prmITEM_3, clsDB.Enum_dbType.dbNVarChar)
				.setValDa(sqlMSRCsvOut.prmITEM_M, clsConst.Enum_Lenditem.MedicalRecord, False)
				.setValDa(sqlMSRCsvOut.prmITEM_S, clsConst.Enum_Lenditem.Summary, False)
				.setValDa(sqlMSRCsvOut.prmITEM_1, clsConst.Enum_Lenditem.LendItem3, False)
				.setValDa(sqlMSRCsvOut.prmITEM_2, clsConst.Enum_Lenditem.LendItem4, False)
				.setValDa(sqlMSRCsvOut.prmITEM_3, clsConst.Enum_Lenditem.LendItem5, False)

				.setParamDa(sqlMSRCsvOut.prmUNIT_VALB, clsDB.Enum_dbType.dbNVarChar)				'管理物単位値
				.setParamDa(sqlMSRCsvOut.prmUNIT_VALH, clsDB.Enum_dbType.dbNVarChar)
				.setParamDa(sqlMSRCsvOut.prmUNIT_VALC, clsDB.Enum_dbType.dbNVarChar)
				.setValDa(sqlMSRCsvOut.prmUNIT_VALB, clsConst.Enum_LendUnit.Each_Patient, False)
				.setValDa(sqlMSRCsvOut.prmUNIT_VALH, clsConst.Enum_LendUnit.Each_Hosp, False)
				.setValDa(sqlMSRCsvOut.prmUNIT_VALC, clsConst.Enum_LendUnit.Each_Dept, False)

				.setParamDa(sqlMSRCsvOut.prmUNIT_M, clsDB.Enum_dbType.dbNVarChar)					'管理物単位(全て
				.setParamDa(sqlMSRCsvOut.prmUNIT_S, clsDB.Enum_dbType.dbNVarChar)
				.setParamDa(sqlMSRCsvOut.prmUNIT_1, clsDB.Enum_dbType.dbNVarChar)
				.setParamDa(sqlMSRCsvOut.prmUNIT_2, clsDB.Enum_dbType.dbNVarChar)
				.setParamDa(sqlMSRCsvOut.prmUNIT_3, clsDB.Enum_dbType.dbNVarChar)
				.setValDa(sqlMSRCsvOut.prmUNIT_M, String.Empty)									'一旦空値を設定しておく
				.setValDa(sqlMSRCsvOut.prmUNIT_S, String.Empty)
				.setValDa(sqlMSRCsvOut.prmUNIT_1, String.Empty)
				.setValDa(sqlMSRCsvOut.prmUNIT_2, String.Empty)
				.setValDa(sqlMSRCsvOut.prmUNIT_3, String.Empty)
				'マスタ値で上書き
				For Each row As DataRow In clsMSRCOMMON.getLendItemAll.Rows
					Select Case row.Item(sqlMSRCOMMON.itmLENDITEM_CD).ToString
						Case clsConst.Enum_Lenditem.MedicalRecord : .setValDa(sqlMSRCsvOut.prmUNIT_M, row.Item(sqlMSRCOMMON.itmLENDUNIT_CD).ToString, False)
						Case clsConst.Enum_Lenditem.Summary : .setValDa(sqlMSRCsvOut.prmUNIT_S, row.Item(sqlMSRCOMMON.itmLENDUNIT_CD).ToString, False)
						Case clsConst.Enum_Lenditem.LendItem3 : .setValDa(sqlMSRCsvOut.prmUNIT_1, row.Item(sqlMSRCOMMON.itmLENDUNIT_CD).ToString, False)
						Case clsConst.Enum_Lenditem.LendItem4 : .setValDa(sqlMSRCsvOut.prmUNIT_2, row.Item(sqlMSRCOMMON.itmLENDUNIT_CD).ToString, False)
						Case clsConst.Enum_Lenditem.LendItem5 : .setValDa(sqlMSRCsvOut.prmUNIT_3, row.Item(sqlMSRCOMMON.itmLENDUNIT_CD).ToString, False)
					End Select
				Next
			End With
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' データテーブルのマージ
	''' </summary>
	''' <param name="ProcUnit">処理単位</param>
	''' <param name="TblCd">テーブルコード</param>
	''' <param name="MainDt">マージ先</param>
	''' <param name="SubDt">マージ元></param>
	''' <remarks>
	''' 2010/12/24 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub MergeDt(ByVal ProcUnit As ENUM_PROC_UNIT, ByVal TblCd As Integer, ByRef MainDt As DataTable, ByRef SubDt As DataTable)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name,
						Reflection.MethodBase.GetCurrentMethod.Name, CST_LOG_PRODUCT, CST_LOG_CLASS, "データテーブルのマージ START")
		Dim StartIdx As Integer = 0						'検索開始位置
		Dim ColName As String							'項目名
		Dim strKey As String
'(A) STR V4-14020-000 003 20130422 ID)平井(ＣＳＶ出力の高速化)
		Dim dtTmp As DataTable = Nothing
'(A) END V4-14020-000 003 20130422
		Try
'(A) STR V4-14020-000 004 20130422 ID)平井(ＣＳＶ出力の高速化)
			dtTmp = MainDt.Copy
			MainDt.BeginLoadData()
'(A) END V4-14020-000 004 20130422
			For Each SubRow As DataRow In SubDt.Rows
				strKey = String.Format("{0} = '{1}'", sqlMSRCOMMON.itmPATIENT_NO, SubRow.Item(sqlMSRCOMMON.itmPATIENT_NO).ToString)
				If ProcUnit <> ENUM_PROC_UNIT.PATIENT Then
					strKey &= String.Format(" AND {0} = {1}", sqlMSRCOMMON.itmHSP_NO, SubRow.Item(sqlMSRCOMMON.itmHSP_NO).ToString)
					If ProcUnit <> ENUM_PROC_UNIT.HSP Then
						strKey &= String.Format(" AND {0} = {1}", sqlMSRCOMMON.itmCH_NO, SubRow.Item(sqlMSRCOMMON.itmCH_NO).ToString)
						If Me.pFormId = CST_FORM_OPE AndAlso TblCd = clsMSRCOMMON.Enum_Tbl_CD.MTI_OPE_DOCTOR Then
							strKey &= String.Format(" AND {0} = {1}", sqlMSRCOMMON.itmSERIAL_NO, SubRow.Item(sqlMSRCOMMON.itmSERIAL_NO).ToString)
						End If
					End If
				End If
'(M) STR V4-14020-000 004 20130422 ID)平井(ＣＳＶ出力の高速化)
				'For Each MainRow As DataRow In MainDt.Select(strKey)
				For Each MainRow As DataRow In dtTmp.Select(strKey)
'(M) END V4-14020-000 004 20130422
					For Each col As DataColumn In SubDt.Columns											'項目単位に上書き
						Select Case TblCd
							Case clsMSRCOMMON.Enum_Tbl_CD.MTI_OPE_DOCTOR
								If Me.pFormId = CST_FORM_OPE Then
									ColName = String.Format("R{0}{1}",
															SubRow.Item(sqlMSRCsvOut.itmRowNumS).ToString,
															col.ColumnName)
								Else
									ColName = String.Format("R{0}S{1}{2}",
															SubRow.Item(sqlMSRCsvOut.itmRowNum).ToString,
															SubRow.Item(sqlMSRCsvOut.itmRowNumS).ToString,
															col.ColumnName)
								End If
							Case Else
								ColName = String.Format("R{0}{1}",
														SubRow.Item(sqlMSRCsvOut.itmRowNum).ToString,
														col.ColumnName)
						End Select
						If MainDt.Columns.Contains(ColName) = True Then
'(M) STR V4-14020-000 004 20130422 ID)平井(ＣＳＶ出力の高速化)
							'MainRow.Item(ColName) = SubRow.Item(col.ColumnName).ToString
							MainDt.Rows(dtTmp.Rows.IndexOf(MainRow)).Item(ColName) = SubRow.Item(col.ColumnName).ToString
'(M) END V4-14020-000 004 20130422
						End If
					Next
				Next
			Next
'(A) STR V4-14020-000 003 20130422 ID)平井(ＣＳＶ出力の高速化)
			MainDt.EndLoadData()
'(A) END V4-14020-000 003 20130422
			MainDt.AcceptChanges()																				'変更を確定
		Catch ex As Exception
			Throw
'(A) STR V4-14020-000 005 20130423 ID)平井(ＣＳＶ出力の高速化)
		Finally
			If dtTmp IsNot Nothing Then dtTmp.Dispose()
			dtTmp = Nothing
'(A) END V4-14020-000 005 20130423
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' CSVの出力
	''' </summary>
	''' <param name="CsvFile">出力ファイル名</param>
	''' <param name="Header">ヘッダ</param>
	''' <param name="dt">出力データ</param>
	''' <remarks>
	''' 2010/12/24 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function OutCsv(ByVal CsvFile As String, ByRef Header As String, ByRef dt As DataTable) As Boolean
		clsSysMst.logEx(clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name,
						Reflection.MethodBase.GetCurrentMethod.Name, CST_LOG_PRODUCT, CST_LOG_CLASS, "ＣＳＶの出力 START")
		Dim enc As System.Text.Encoding = System.Text.Encoding.GetEncoding("Shift-JIS")
		Dim Separator As String
		Dim Format As String = Nothing
'(A) STR V4-14020-000 003 20130422 ID)平井(ＣＳＶ出力の高速化)
		Dim strBuffer As System.Text.StringBuilder
'(A) END V4-14020-000 003 20130422
		Try
'(A) STR V4-14020-000 003 20130422 ID)平井(ＣＳＶ出力の高速化)
			strBuffer = New System.Text.StringBuilder
'(A) END V4-14020-000 003 20130422
			If Me.OptChk(ENUM_OPT_CHK.BOXED) = True Then											'「"」で囲む
				Separator = ControlChars.Quote & "," & ControlChars.Quote
				Format = ControlChars.Quote & "{0}" & ControlChars.Quote & Environment.NewLine
			Else
				Separator = ","
				Format = "{0}" & Environment.NewLine
			End If

'(M) STR V4-14020-000 004 20130422 ID)平井(ＣＳＶ出力の高速化)
			'My.Computer.FileSystem.WriteAllText(CsvFile, Header & Environment.NewLine, False, enc)	'ヘッダを出力
			strBuffer.Append(Header & Environment.NewLine)
'(M) END V4-14020-000 004 20130422

			If Me.OptChk(ENUM_OPT_CHK.BOXED) = True Then											'「"」で囲む
				For Each row As DataRow In dt.Rows
					For i As Integer = 0 To dt.Columns.Count - 1
						If row.Item(i).ToString.IndexOf(ControlChars.Quote) > -1 Then
							row.Item(i) = row.Item(i).ToString.Replace(ControlChars.Quote, ControlChars.Quote + ControlChars.Quote)
						End If
					Next
'(M) STR V4-14020-000 004 20130422 ID)平井(ＣＳＶ出力の高速化)
					'My.Computer.FileSystem.WriteAllText(CsvFile, String.Format(Format, String.Join(Separator, row.ItemArray)), True, enc)
					strBuffer.Append(String.Format(Format, String.Join(Separator, row.ItemArray)))
'(M) END V4-14020-000 004 20130422
				Next
			Else
				For Each row As DataRow In dt.Rows
'(M) STR V4-14020-000 004 20130422 ID)平井(ＣＳＶ出力の高速化)
					'My.Computer.FileSystem.WriteAllText(CsvFile, String.Format(Format, String.Join(Separator, row.ItemArray)), True, enc)
					strBuffer.Append(String.Format(Format, String.Join(Separator, row.ItemArray)))
'(M) END V4-14020-000 004 20130422
				Next
			End If
'(A) STR V4-14020-000 003 20130422 ID)平井(ＣＳＶ出力の高速化)
			My.Computer.FileSystem.WriteAllText(CsvFile, strBuffer.ToString, False, enc)
'(A) END V4-14020-000 003 20130422
			Return True
		Catch ex As System.IO.IOException
			clsSysMst.showMsgEx("E0013", "ファイルの作成", ex.Message)
			Return False
		Catch ex As Exception
			Throw
		Finally
			enc = Nothing
			Separator = Nothing
			Format = Nothing
'(A) STR V4-14020-000 003 20130422 ID)平井(ＣＳＶ出力の高速化)
			strBuffer = Nothing
'(A) END V4-14020-000 003 20130422
		End Try
	End Function

#End Region

End Class
