﻿''' ---------------------------------------------
''' <summary>
''' 診療情報管理 検索 継承元 検索結果更新(SQLクラス）
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public NotInheritable Class sqlMSR000F040

#Region "項目定義"
    Public Const itmICD9CM_CD As String = "ICD9CM_CD"                   'ICD9CMコード
	Public Const itmL_GRP_CD As String = "L_GRP_CD"						'大分類コード
	Public Const itmM_GRP_CD As String = "M_GRP_CD"						'中分類コード
	Public Const itmDIGS3_GRP_CD As String = "DIGS3_GRP_CD"				'３桁分類コード
	Public Const itmNAME As String = "NAME"								'○○名
	Public Const itmSCORE_CD As String = "SCORE_CD"						'点数表コード
	Public Const itmINM10_NM As String = "ICD10_NM"						'ICD10名
	Public Const itmL_GRP_NM As String = "L_GRP_NM"						'大分類名
	Public Const itmM_GRP_NM As String = "M_GRP_NM"						'中分類名
	Public Const itmDIGS3_GRP_NM As String = "DIGS3_GRP_NM"				'３桁分類名
#End Region

#Region "パラメータ"
	Public Const prmICD9CM_CD As String = "@ICD9CM_CD"					'ICD9CMコード
	Public Const prmL_GRP_CD As String = "@L_GRP_CD"					'大分類コード
	Public Const prmM_GRP_CD As String = "@M_GRP_CD"					'中分類コード
	Public Const prmDIGS3_GRP_CD As String = "@DIGS3_GRP_CD"			'３桁分類コード
	Public Const prmDISEASE_MNG_DIV As String = "@DISEASE_MNG_DIV"		'管理記号
	Public Const prmDISEASE_MNG_NO As String = "@DISEASE_MNG_NO"		'管理番号
	Public Const prmFIX_CD As String = "@FIX_CD"						'固定コード
#End Region

#Region "手術名マスタ取得用"
	Public Const sqlSelMstOpe As String = _
	 " SELECT" _
	& "       ICD9CM1_CD AS ICD9CM_CD" _
	& "      ,OPE_KANJI AS NAME" _
	& "      ,L_GRP_CD" _
	& "      ,M_GRP_CD" _
	& "      ,DIGS3_GRP_CD" _
	& "      ,K_CD AS SCORE_CD" _
	& "  FROM MTM_OPE_NM" _
	& " WHERE MNG_DIV  = " & prmDISEASE_MNG_DIV _
	& "   AND MNG_NO   = " & prmDISEASE_MNG_NO
#End Region

#Region "分類コード取得用"

	'手術名中分類マスタ取得
	Public Const sqlSelMstOpeNM As String = _
	" SELECT " _
	& "       L_GRP_CD" _
	& "  FROM MTM_OPE_MGRP" _
	& " WHERE M_GRP_CD =" & prmICD9CM_CD

#End Region

#Region "マスタデータ項目取得用"
	'手術名大分類マスタ取得
	Public Const sqlSelGetMstOpe_L_GRP As String = _
	 " SELECT" _
	& "       L_GRP_NM" _
	& "  FROM MTM_OPE_LGRP" _
	& " WHERE L_GRP_CD   = " & prmL_GRP_CD

	'手術名中分類マスタ取得
	Public Const sqlSelGetMstOpe_M_GRP As String = _
	 " SELECT" _
	& "       M_GRP_NM" _
	& "  FROM MTM_OPE_MGRP" _
	& " WHERE M_GRP_CD   = " & prmM_GRP_CD

	'３桁分類マスタ取得
	Public Const sqlSelGetMstS_GRP As String = _
	 " SELECT" _
	& "       OPE_3DIGS_GRP_NM" _
	& "  FROM MTM_OPE_3DIG_GRP_NM" _
	& " WHERE OPE_3DIGS_CD   = " & prmDIGS3_GRP_CD
#End Region



End Class
