﻿''' ---------------------------------------------
''' <summary>
''' 診療情報管理 検索 検索条件コントロール (SQLクラス）
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public NotInheritable Class sqlMSR010C110

	Public Const prmSTANDARD_DATE As String = "@STANDARD_DATE"			'基準日
	Public Const itmH_OUT_HSP_DT As String = "MTI_HSP.OUT_HSP_DT"		'退院日
	Public Const itmC_DEPT_CD As String = "MTI_CH.DEPT_CD"				'TI_科歴情報.診療科コード
	Public Const itmW_WARD_CD As String = "MTI_WARD.WARD_CD"			'TI_病棟情報.病棟コード


	''' <summary>
	''' 追加
	''' </summary>
	Public Const sqlSEARCH_INS As String = "" _
	& "INSERT INTO MTT_SEARCH_RESULT(" _
	& " USER_CD" _
	& ",SEARCH_NO" _
	& ",PATIENT_NO" _
	& ",HSP_HISTORY_NO" _
	& ",CH_NO" _
	& ",LASTUPDUSER_CD" _
	& ")" _
	& "{0}" _
	& "{1}" _
	& "{2}" _
	& "{3}"

	''' <summary>
	''' 通常検索
	''' </summary>
	Public Const sqlSEARCH_SELECT As String = "" _
	& " SELECT" _
	& " " & sqlMSRCOMMON.prmUSER_CD & "   AS USER_CD" _
	& "," & sqlMSRCOMMON.prmSEARCH_NO & " AS SEARCH_NO" _
	& ",XTI_BASICINFO.PATIENT_NO" _
	& ",ISNULL(MTI_HSP.HSP_HISTORY_NO,0)  AS HSP_HISTORY_NO" _
	& ",ISNULL(MTI_CH.CH_NO,0)            AS CH_NO" _
	& "," & sqlMSRCOMMON.prmUSER_CD & "   AS LASTUPDUSER_CD" _
	& " FROM XTI_BASICINFO" _
	& "      LEFT JOIN MTI_HSP ON XTI_BASICINFO.PATIENT_NO     = MTI_HSP.PATIENT_NO" _
	& "      LEFT JOIN MTI_CH  ON MTI_HSP.PATIENT_NO           = MTI_CH.PATIENT_NO" _
	& "                       AND MTI_HSP.HSP_HISTORY_NO       = MTI_CH.HSP_HISTORY_NO"


	'上記SQLでの結合条件{1}
	Public Const sql_JOIN_P As String = "  ON XTI_BASICINFO.PATIENT_NO   = r.PATIENT_NO"

	Public Const sql_JOIN_H As String = "  ON MTI_HSP.PATIENT_NO         = r.PATIENT_NO" _
										& " AND MTI_HSP.HSP_HISTORY_NO     = r.HSP_HISTORY_NO"

	Public Const sql_JOIN_C As String = "  ON MTI_CH.PATIENT_NO          = r.PATIENT_NO" _
										& " AND MTI_CH.HSP_HISTORY_NO      = r.HSP_HISTORY_NO" _
										& " AND MTI_CH.CH_NO               = r.CH_NO"

#Region "１タブ"

	''' <summary>
	''' 基準日の24:00現在、病院で入院中
	''' </summary>
	''' <remarks></remarks>
	Public Const sqlSEARCH_1_1 As String = "" _
	& sqlSEARCH_SELECT _
	& "  AND (" _
	& "SELECT MAX(c.CH_NO)" _
	& "  FROM MTI_CH AS c" _
	& " WHERE c.PATIENT_NO     = MTI_HSP.PATIENT_NO" _
	& "   AND c.HSP_HISTORY_NO = MTI_HSP.HSP_HISTORY_NO" _
	& "   AND c.START_DT      <= " & prmSTANDARD_DATE _
	& "   AND ( c.END_DT IS NULL OR c.END_DT >= " & prmSTANDARD_DATE & ")" _
	& " ) = MTI_CH.CH_NO" _
 _
	& " WHERE   MTI_HSP.HSP_DT <= " & prmSTANDARD_DATE _
	& "   AND ( MTI_HSP.OUT_HSP_DT IS NULL OR MTI_HSP.OUT_HSP_DT > " & prmSTANDARD_DATE & ")" _
	& "   AND MTI_CH.PATIENT_NO IS NOT NULL"

	''' <summary>
	''' 病棟/診療科
	''' </summary>
	''' <remarks></remarks>
	Public Const sqlSEARCH_1 As String = "" _
	& " SELECT" _
	& " " & sqlMSRCOMMON.prmUSER_CD & "   AS USER_CD" _
	& "," & sqlMSRCOMMON.prmSEARCH_NO & " AS SEARCH_NO" _
	& ",r.PATIENT_NO" _
	& ",r.HSP_HISTORY_NO" _
	& ",r.CH_NO" _
	& "," & sqlMSRCOMMON.prmUSER_CD & "   AS LASTUPDUSER_CD" _
	& " FROM ({0}) AS r" _
	& " GROUP BY" _
	& " r.PATIENT_NO" _
	& ",r.HSP_HISTORY_NO" _
	& ",r.CH_NO"

	Public Const sqlUNION As String = " UNION ALL "

	''' <summary>
	'''  基準日の24:00現在、指定病棟で入院中
	''' </summary>
	''' <remarks></remarks>
	Public Const sqlSEARCH_1_2_1 As String = "" _
	& "SELECT" _
	& " MTI_CH.PATIENT_NO" _
	& ",MTI_CH.HSP_HISTORY_NO" _
	& ",MTI_CH.CH_NO" _
	& "  FROM MTI_HSP" _
	& "     INNER JOIN MTI_CH   ON MTI_HSP.PATIENT_NO     = MTI_CH.PATIENT_NO" _
	& "                        AND MTI_HSP.HSP_HISTORY_NO = MTI_CH.HSP_HISTORY_NO" _
 _
	& "  AND (" _
	& "SELECT MAX(c.CH_NO)" _
	& "  FROM MTI_CH AS c" _
	& " WHERE c.PATIENT_NO     = MTI_HSP.PATIENT_NO" _
	& "   AND c.HSP_HISTORY_NO = MTI_HSP.HSP_HISTORY_NO" _
	& "   AND c.START_DT      <= " & prmSTANDARD_DATE _
	& "   AND ( c.END_DT IS NULL OR c.END_DT >= " & prmSTANDARD_DATE & ")" _
	& " ) = MTI_CH.CH_NO" _
 _
	& "     INNER JOIN MTI_WARD ON MTI_CH.PATIENT_NO      = MTI_WARD.PATIENT_NO" _
	& "                        AND MTI_CH.HSP_HISTORY_NO  = MTI_WARD.HSP_HISTORY_NO" _
	& "                        AND MTI_CH.CH_NO           = MTI_WARD.CH_NO" _
 _
	& "  AND (" _
	& "SELECT MAX(w.WARD_SERIAL_NO)" _
	& "  FROM MTI_WARD AS w" _
	& " WHERE w.PATIENT_NO     = MTI_CH.PATIENT_NO" _
	& "   AND w.HSP_HISTORY_NO = MTI_CH.HSP_HISTORY_NO" _
	& "   AND w.CH_NO          = MTI_CH.CH_NO" _
	& "   AND ( w.WARD_START_DT IS NULL OR w.WARD_START_DT <= " & prmSTANDARD_DATE & ")" _
	& "   AND ( w.WARD_END_DT   IS NULL OR w.WARD_END_DT   >= " & prmSTANDARD_DATE & ")" _
	& " ) = MTI_WARD.WARD_SERIAL_NO" _
 _
	& " WHERE   MTI_HSP.HSP_DT  <= " & prmSTANDARD_DATE _
	& "   AND ( MTI_HSP.OUT_HSP_DT IS NULL OR MTI_HSP.OUT_HSP_DT > " & prmSTANDARD_DATE & ")" _
	& "   AND   MTI_CH.START_DT <= " & prmSTANDARD_DATE _
	& "{0}"

	''' <summary>
	'''  基準日に指定病棟から退院
	''' </summary>
	''' <remarks></remarks>
	Public Const sqlSEARCH_1_2_2 As String = "" _
	& "SELECT" _
	& " MTI_CH.PATIENT_NO" _
	& ",MTI_CH.HSP_HISTORY_NO" _
	& ",MTI_CH.CH_NO" _
	& "  FROM MTI_HSP" _
	& "     INNER JOIN MTI_CH   ON MTI_HSP.PATIENT_NO     = MTI_CH.PATIENT_NO" _
	& "                        AND MTI_HSP.HSP_HISTORY_NO = MTI_CH.HSP_HISTORY_NO" _
	& "     INNER JOIN MTI_WARD ON MTI_CH.PATIENT_NO      = MTI_WARD.PATIENT_NO" _
	& "                        AND MTI_CH.HSP_HISTORY_NO  = MTI_WARD.HSP_HISTORY_NO" _
	& "                        AND MTI_CH.CH_NO           = MTI_WARD.CH_NO" _
 _
	& "  AND (" _
	& "SELECT MAX(w.WARD_SERIAL_NO)" _
	& "  FROM MTI_WARD AS w" _
	& " WHERE w.PATIENT_NO     = MTI_CH.PATIENT_NO" _
	& "   AND w.HSP_HISTORY_NO = MTI_CH.HSP_HISTORY_NO" _
	& "   AND w.CH_NO          = MTI_CH.CH_NO" _
	& " ) = MTI_WARD.WARD_SERIAL_NO" _
 _
	& " WHERE MTI_CH.OUT_HSP_FLG   = " & sqlMSRCOMMON.prmFLG_ON _
	& "   AND MTI_WARD.WARD_END_DT = " & prmSTANDARD_DATE _
	& "{0}"

	''' <summary>
	''' 基準日に指定病棟から退棟（転棟）
	''' </summary>
	''' <remarks></remarks>
	Public Const sqlSEARCH_1_2_3 As String = "" _
	& "SELECT" _
	& " PATIENT_NO" _
	& ",HSP_HISTORY_NO" _
	& ",OUT_HSP_CH_NO AS CH_NO" _
	& "  FROM MTW_SEARCH_SPECIAL_WARD AS MTI_WARD" _
	& " WHERE HOST_NM          = " & sqlMSRCOMMON.prmHOST_NM _
	& "   AND WARD_END_DT      = " & prmSTANDARD_DATE _
	& "   AND OUT_HSP_WARD_FLG = " & sqlMSRCOMMON.prmFLG_OFF _
	& "{0}"

	''' <summary>
	''' 入院中の一回目のみ
	''' </summary>
	''' <remarks></remarks>
	Public Const sqlSEARCH_1_2_PLUS As String = "" _
	& "   AND EACH_WARD_SERIAL_NO = 1"

	''' <summary>
	'''  基準日に指定病棟に入院
	''' </summary>
	''' <remarks></remarks>
	Public Const sqlSEARCH_1_2_4 As String = "" _
	& "SELECT" _
	& " MTI_CH.PATIENT_NO" _
	& ",MTI_CH.HSP_HISTORY_NO" _
	& ",MTI_CH.CH_NO" _
	& "  FROM MTI_HSP" _
	& "     INNER JOIN MTI_CH   ON MTI_HSP.PATIENT_NO     = MTI_CH.PATIENT_NO" _
	& "                        AND MTI_HSP.HSP_HISTORY_NO = MTI_CH.HSP_HISTORY_NO" _
	& "     INNER JOIN MTI_WARD ON MTI_CH.PATIENT_NO      = MTI_WARD.PATIENT_NO" _
	& "                        AND MTI_CH.HSP_HISTORY_NO  = MTI_WARD.HSP_HISTORY_NO" _
	& "                        AND MTI_CH.CH_NO           = MTI_WARD.CH_NO" _
 _
	& "  AND (" _
	& "SELECT MIN(w.WARD_SERIAL_NO)" _
	& "  FROM MTI_WARD AS w" _
	& " WHERE w.PATIENT_NO     = MTI_CH.PATIENT_NO" _
	& "   AND w.HSP_HISTORY_NO = MTI_CH.HSP_HISTORY_NO" _
	& "   AND w.CH_NO          = MTI_CH.CH_NO" _
	& " ) = MTI_WARD.WARD_SERIAL_NO" _
 _
	& " WHERE MTI_CH.HSP_FLG         = " & sqlMSRCOMMON.prmFLG_ON _
	& "   AND MTI_WARD.WARD_START_DT = " & prmSTANDARD_DATE _
	& "{0}"

	''' <summary>
	''' 基準日に指定病棟から入棟（転棟）
	''' </summary>
	''' <remarks></remarks>
	Public Const sqlSEARCH_1_2_5 As String = "" _
	& "SELECT" _
	& " PATIENT_NO" _
	& ",HSP_HISTORY_NO" _
	& ",HSP_CH_NO AS CH_NO" _
	& "  FROM MTW_SEARCH_SPECIAL_WARD AS MTI_WARD" _
	& " WHERE HOST_NM          = " & sqlMSRCOMMON.prmHOST_NM _
	& "   AND WARD_START_DT    = " & prmSTANDARD_DATE _
	& "   AND WARD_SERIAL_NO   <> 1 " _
	& "{0}"

	''' <summary>
	'''  基準日の24:00現在、指定診療科で入院中
	''' </summary>
	''' <remarks></remarks>
	Public Const sqlSEARCH_1_3_1 As String = "" _
	& "SELECT" _
	& " MTI_CH.PATIENT_NO" _
	& ",MTI_CH.HSP_HISTORY_NO" _
	& ",MTI_CH.CH_NO" _
	& "  FROM MTI_HSP" _
	& "     INNER JOIN MTI_CH   ON MTI_HSP.PATIENT_NO     = MTI_CH.PATIENT_NO" _
	& "                        AND MTI_HSP.HSP_HISTORY_NO = MTI_CH.HSP_HISTORY_NO" _
 _
	& "  AND (" _
	& "SELECT MAX(c.CH_NO)" _
	& "  FROM MTI_CH AS c" _
	& " WHERE c.PATIENT_NO     = MTI_HSP.PATIENT_NO" _
	& "   AND c.HSP_HISTORY_NO = MTI_HSP.HSP_HISTORY_NO" _
	& "   AND c.START_DT      <= " & prmSTANDARD_DATE _
	& "   AND ( c.END_DT IS NULL OR c.END_DT >= " & prmSTANDARD_DATE & ")" _
	& " ) = MTI_CH.CH_NO" _
 _
	& " WHERE   MTI_HSP.HSP_DT  <= " & prmSTANDARD_DATE _
	& "   AND ( MTI_HSP.OUT_HSP_DT IS NULL OR MTI_HSP.OUT_HSP_DT > " & prmSTANDARD_DATE & ")" _
	& "{0}"

	''' <summary>
	'''  基準日に指定診療科から退院
	''' </summary>
	''' <remarks></remarks>
	Public Const sqlSEARCH_1_3_2 As String = "" _
	& "SELECT" _
	& " MTI_CH.PATIENT_NO" _
	& ",MTI_CH.HSP_HISTORY_NO" _
	& ",MTI_CH.CH_NO" _
	& "  FROM MTI_HSP" _
	& "     INNER JOIN MTI_CH   ON MTI_HSP.PATIENT_NO     = MTI_CH.PATIENT_NO" _
	& "                        AND MTI_HSP.HSP_HISTORY_NO = MTI_CH.HSP_HISTORY_NO" _
	& " WHERE MTI_CH.OUT_HSP_FLG   = " & sqlMSRCOMMON.prmFLG_ON _
	& "   AND MTI_CH.END_DT        = " & prmSTANDARD_DATE _
	& "{0}"

	Public Const prmOUT_FIXED_CD As String = "@OUT_FIXED_CD"	'退院経路.固定コード
	''' <summary>
	'''  基準日に指定診療科から転出(転科)
	''' </summary>
	''' <remarks></remarks>
	Public Const sqlSEARCH_1_3_3 As String = "" _
	& "SELECT" _
	& " MTI_CH.PATIENT_NO" _
	& ",MTI_CH.HSP_HISTORY_NO" _
	& ",MTI_CH.CH_NO" _
	& "  FROM MTI_HSP" _
	& "     INNER JOIN MTI_CH   ON MTI_HSP.PATIENT_NO     = MTI_CH.PATIENT_NO" _
	& "                        AND MTI_HSP.HSP_HISTORY_NO = MTI_CH.HSP_HISTORY_NO" _
	& "     INNER JOIN MTM_OUT_HSP_CNL" _
	& "                         ON MTI_CH.END_CNL_CD      = MTM_OUT_HSP_CNL.OUT_HSP_CNL_CD" _
	& " WHERE MTI_CH.END_DT        = " & prmSTANDARD_DATE _
	& "   AND MTM_OUT_HSP_CNL.FIXED_CD = " & prmOUT_FIXED_CD _
	& "{0}"

	''' <summary>
	'''  基準日に指定診療科に入院
	''' </summary>
	''' <remarks></remarks>
	Public Const sqlSEARCH_1_3_4 As String = "" _
	& "SELECT" _
	& " MTI_CH.PATIENT_NO" _
	& ",MTI_CH.HSP_HISTORY_NO" _
	& ",MTI_CH.CH_NO" _
	& "  FROM MTI_HSP" _
	& "     INNER JOIN MTI_CH   ON MTI_HSP.PATIENT_NO     = MTI_CH.PATIENT_NO" _
	& "                        AND MTI_HSP.HSP_HISTORY_NO = MTI_CH.HSP_HISTORY_NO" _
	& " WHERE MTI_CH.HSP_FLG       = " & sqlMSRCOMMON.prmFLG_ON _
	& "   AND MTI_CH.START_DT      = " & prmSTANDARD_DATE _
	& "{0}"

	Public Const prmIN_FIXED_CD As String = "@IN_FIXED_CD"	'入院経路.固定コード
	''' <summary>
	'''  基準日に指定診療科から転出(転科)
	''' </summary>
	''' <remarks></remarks>
	Public Const sqlSEARCH_1_3_5 As String = "" _
	& "SELECT" _
	& " MTI_CH.PATIENT_NO" _
	& ",MTI_CH.HSP_HISTORY_NO" _
	& ",MTI_CH.CH_NO" _
	& "  FROM MTI_HSP" _
	& "     INNER JOIN MTI_CH   ON MTI_HSP.PATIENT_NO     = MTI_CH.PATIENT_NO" _
	& "                        AND MTI_HSP.HSP_HISTORY_NO = MTI_CH.HSP_HISTORY_NO" _
	& "     INNER JOIN MTM_HSP_CNL" _
	& "                         ON MTI_CH.START_CNL_CD    = MTM_HSP_CNL.HSP_CNL_CD" _
	& " WHERE MTI_CH.START_DT      = " & prmSTANDARD_DATE _
	& "   AND MTM_HSP_CNL.FIXED_CD = " & prmIN_FIXED_CD _
	& "{0}"

#End Region

#Region "２タブ"

	Public Const prmDATE_FR As String = "@DATE_FR"						'開始日
	Public Const prmDATE_TO As String = "@DATE_TO"						'終了日
	Public Const prmDEPT_CD As String = "@DEPT_CD"						'診療科コード
	Public Const prmWARD_CD As String = "@WARD_CD"						'病棟コード
	''' <summary>
	''' 指定なし
	''' </summary>
	''' <remarks></remarks>
	Public Const sqlSEARCH_2_1 As String = "" _
	& " WHERE (" _
	& "    MTI_CH.START_DT BETWEEN " & prmDATE_FR & " AND " & prmDATE_TO _
	& " OR MTI_CH.END_DT   BETWEEN " & prmDATE_FR & " AND " & prmDATE_TO _
	& " OR ( MTI_CH.START_DT < " & prmDATE_FR & " AND MTI_CH.END_DT > " & prmDATE_TO & " )" _
	& " OR ( MTI_CH.START_DT < " & prmDATE_FR & " AND MTI_CH.END_DT Is NULL )" _
	& ")"

	''' <summary>
	''' 診療科
	''' </summary>
	''' <remarks></remarks>
	Public Const sqlSEARCH_2_3 As String = "" _
	& sqlSEARCH_2_1 _
	& " AND MTI_CH.DEPT_CD = " & prmDEPT_CD

	''' <summary>
	''' 病棟
	''' </summary>
	''' <remarks></remarks>
	Public Const sqlSEARCH_2_2 As String = "" _
	& " INNER JOIN (" _
	& "SELECT" _
	& " PATIENT_NO" _
	& ",HSP_HISTORY_NO" _
	& ",CH_NO" _
	& " FROM MTI_WARD" _
	& " WHERE WARD_CD = " & prmWARD_CD _
	& "   AND (" _
	& "       WARD_START_DT BETWEEN " & prmDATE_FR & " AND " & prmDATE_TO _
	& "    OR WARD_END_DT   BETWEEN " & prmDATE_FR & " AND " & prmDATE_TO _
	& "    OR ( WARD_START_DT < " & prmDATE_FR & " AND WARD_END_DT > " & prmDATE_TO & " )" _
	& "    OR ( WARD_START_DT < " & prmDATE_FR & " AND WARD_END_DT Is NULL )" _
	& "      )" _
	& " GROUP BY" _
	& " PATIENT_NO" _
	& ",HSP_HISTORY_NO" _
	& ",CH_NO" _
	& ") AS w1" _
	& "         ON MTI_CH.PATIENT_NO     = w1.PATIENT_NO" _
	& "        AND MTI_CH.HSP_HISTORY_NO = w1.HSP_HISTORY_NO" _
	& "        AND MTI_CH.CH_NO          = w1.CH_NO"

#End Region

#Region "３タブ"
	Public Const itmH_HSP_AGE As String = "MTI_HSP.HSP_AGE" & clsMSRSearch.CST_SEPARATOR _
										& "MTI_HSP.HSP_MONTH_AGE"											'TI_入退院情報.入院時年齢/月齢

	Public Const itmH_OUT_HSP_AGE As String = "MTI_HSP.OUT_HSP_AGE" & clsMSRSearch.CST_SEPARATOR _
											& "MTI_HSP.OUT_HSP_MONTH_AGE"									'TI_入退院情報.退院時年齢/月齢
	Public Const itmH_HSP_CNL_CD As String = "MTI_HSP.HSP_CNL_CD"											'TI_入退院情報.入院経路コード

	Public Const itmC_START_AGE As String = "MTI_CH.START_AGE" & clsMSRSearch.CST_SEPARATOR _
										  & "MTI_CH.START_MONTH_AGE"										'TI_科歴情報.開始時年齢/月齢
	Public Const itmC_END_AGE As String = "MTI_CH.END_AGE" & clsMSRSearch.CST_SEPARATOR _
										& "MTI_CH.END_MONTH_AGE"											'TI_科歴情報.終了時年齢/月齢
	Public Const itmC_START_CNL_CD As String = "MTI_CH.START_CNL_CD"										'TI_科歴情報.開始経路コード
	Public Const itmC_INSURANCE_CD As String = "MTI_CH.INSURANCE_CD1" & clsMSRSearch.CST_SEPARATOR _
											 & "MTI_CH.INSURANCE_CD2" & clsMSRSearch.CST_SEPARATOR _
											 & "MTI_CH.INSURANCE_CD3"										'TI_科歴情報.保険コード１/保険コード２/保険コード３


	Public Const itmD_DISEASE_DIV As String = "MTI_DISEASE.DISEASE_DIV"										'TI_病名情報.病名区分
	Public Const itmD_ICD10_CD As String = "MTI_DISEASE.ICD10_CD"											'TI_病名情報.ICD10_CD


	Public Const itmL_RECORD_MNGSTATUS_CD As String = "MTI_LENDITM.RECORD_MNGSTATUS_CD"						'TK_貸出物情報.カルテ管理状況コード
	Public Const itmL_SUMMARY_MNGSTATUS_CD As String = "MTI_LENDITM.SUMMARY_MNGSTATUS_CD"					'TK_貸出物情報.サマリ管理状況コード

	'---   TM_病棟マスタ   ---
	Public Const itmW_WARD_GRP_CD As String = "WARD_GRP_CD"													'TM_病棟マスタ.病棟グループコード
	Public Const selC_WARD_CD As String = "MTI_WARD.WARD_CD IN (SELECT WARD_CD FROM MTM_WARD WHERE {0})"	'TM_病棟マスタより病棟情報を検索

	'科歴情報(入退院単位)
	Public Const selSEARCH_MTI_CH_H As String = "" _
	& "  LEFT JOIN (" _
	& "SELECT" _
	& " PATIENT_NO,HSP_HISTORY_NO" _
	& "  FROM MTI_CH" _
	& " WHERE {0}" _
	& " GROUP BY" _
	& " PATIENT_NO,HSP_HISTORY_NO" _
	& ") AS CH" _
	& "	 ON MTI_HSP.PATIENT_NO     = CH.PATIENT_NO" _
	& "	AND MTI_HSP.HSP_HISTORY_NO = CH.HSP_HISTORY_NO"

	Public Const selWhere_MTI_CH As String = "" _
	& "	OR CH.PATIENT_NO IS NOT NULL"

	'病棟情報(入退院単位)
	Public Const selSEARCH_MTI_DISEASE_H As String = "" _
	& "  LEFT JOIN (" _
	& "SELECT" _
	& " PATIENT_NO,HSP_HISTORY_NO" _
	& "  FROM MTI_DISEASE" _
	& " WHERE {0}" _
	& " GROUP BY" _
	& " PATIENT_NO,HSP_HISTORY_NO" _
	& ") AS DISEASE" _
	& "	 ON MTI_HSP.PATIENT_NO     = DISEASE.PATIENT_NO" _
	& "	AND MTI_HSP.HSP_HISTORY_NO = DISEASE.HSP_HISTORY_NO"

	'病棟情報(科歴単位)
	Public Const selSEARCH_MTI_DISEASE_C As String = "" _
	& "  LEFT JOIN (" _
	& "SELECT" _
	& " PATIENT_NO,HSP_HISTORY_NO,CH_NO" _
	& "  FROM MTI_DISEASE" _
	& " WHERE {0}" _
	& " GROUP BY" _
	& " PATIENT_NO,HSP_HISTORY_NO,CH_NO" _
	& ") AS DISEASE" _
	& "	 ON MTI_CH.PATIENT_NO     = DISEASE.PATIENT_NO" _
	& "	AND MTI_CH.HSP_HISTORY_NO = DISEASE.HSP_HISTORY_NO" _
	& "	AND MTI_CH.CH_NO          = DISEASE.CH_NO"

	Public Const selWhere_MTI_DISEASE As String = "" _
	& "	OR DISEASE.PATIENT_NO IS NOT NULL"

	'病棟情報(入退院単位)
	Public Const selSEARCH_MTI_WARD_H As String = "" _
	& "  LEFT JOIN (" _
	& "SELECT" _
	& " PATIENT_NO,HSP_HISTORY_NO" _
	& "  FROM MTI_WARD" _
	& " WHERE {0}" _
	& " GROUP BY" _
	& " PATIENT_NO,HSP_HISTORY_NO" _
	& ") AS WARD" _
	& "	 ON MTI_HSP.PATIENT_NO     = WARD.PATIENT_NO" _
	& "	AND MTI_HSP.HSP_HISTORY_NO = WARD.HSP_HISTORY_NO"

	'病棟情報(科歴単位)
	Public Const selSEARCH_MTI_WARD_C As String = "" _
	& "  LEFT JOIN (" _
	& "SELECT" _
	& " PATIENT_NO,HSP_HISTORY_NO,CH_NO" _
	& "  FROM MTI_WARD" _
	& " WHERE {0}" _
	& " GROUP BY" _
	& " PATIENT_NO,HSP_HISTORY_NO,CH_NO" _
	& ") AS WARD" _
	& "	 ON MTI_CH.PATIENT_NO     = WARD.PATIENT_NO" _
	& "	AND MTI_CH.HSP_HISTORY_NO = WARD.HSP_HISTORY_NO" _
	& "	AND MTI_CH.CH_NO          = WARD.CH_NO"

	Public Const selWhere_MTI_WARD As String = "" _
	& "	OR WARD.PATIENT_NO IS NOT NULL"


	'貸出物情報(入退院単位)
	Public Const selSEARCH_MTI_LENDITM_H As String = "" _
	& "  LEFT JOIN (" _
	& "SELECT" _
	& " PATIENT_NO,HSP_HISTORY_NO,CH_NO" _
	& "  FROM MTI_LENDITM" _
	& " WHERE HSP_HISTORY_NO > 0" _
	& "   AND CH_NO = 0" _
	& "   AND ( {0} )" _
	& " GROUP BY" _
	& " PATIENT_NO,HSP_HISTORY_NO,CH_NO" _
	& ") AS LENDITM" _
	& "	 ON MTI_HSP.PATIENT_NO     = LENDITM.PATIENT_NO" _
	& "	AND MTI_HSP.HSP_HISTORY_NO = LENDITM.HSP_HISTORY_NO"

	'貸出物情報(科歴単位)
	Public Const selSEARCH_MTI_LENDITM_C As String = "" _
	& "  LEFT JOIN (" _
	& "SELECT" _
	& " PATIENT_NO,HSP_HISTORY_NO,CH_NO" _
	& "  FROM MTI_LENDITM" _
	& " WHERE CH_NO > 0" _
	& "   AND ( {0} )" _
	& " GROUP BY" _
	& " PATIENT_NO,HSP_HISTORY_NO,CH_NO" _
	& ") AS LENDITM" _
	& "	 ON MTI_CH.PATIENT_NO     = LENDITM.PATIENT_NO" _
	& "	AND MTI_CH.HSP_HISTORY_NO = LENDITM.HSP_HISTORY_NO" _
	& "	AND MTI_CH.CH_NO          = LENDITM.CH_NO"

	Public Const selWhere_MTI_LENDITM As String = "" _
	& "	OR LENDITM.PATIENT_NO IS NOT NULL"


#End Region

#Region "４タブ"
	Public Const prmPATIENTNO As String = "@PATIENTNO"

	''' <summary>
	''' 患者番号指定
	''' </summary>
	''' <remarks></remarks>
	Public Const sqlSEARCH_4 As String = " WHERE XTI_BASICINFO.PATIENT_NO IN ({0})"

#End Region

#Region "５タブ"
	Public Const itmH_WARD_CD As String = "MTI_HSP.WARD_CD"				'病棟コード
	Public Const itmC_WARD_CD As String = "MTI_CH.WARD_CD"				'病棟コード

	Public Const sqlSEARCH_5_1_H As String = " WHERE MTI_HSP.WARD_CD = " & prmWARD_CD
	Public Const sqlSEARCH_5_1_C As String = " WHERE MTI_CH.WARD_CD = " & prmWARD_CD

	 ''' <summary>
	 ''' 入院時病棟
	 ''' </summary>
	 ''' <remarks></remarks>
	Public Const sqlSEARCH_5_2_H As String = "" _
	& " INNER JOIN (" _
	& "SELECT" _
	& " w1.PATIENT_NO" _
	& ",w1.HSP_HISTORY_NO" _
	& " FROM MTI_WARD AS w1" _
	& " INNER JOIN (" _
 _
			& "SELECT" _
			& " w2.PATIENT_NO" _
			& ",w2.HSP_HISTORY_NO" _
			& ",w2.CH_NO" _
			& ",MIN(w2.WARD_SERIAL_NO) AS SERIAL_NO" _
			& "  FROM MTI_CH AS c2" _
			& " INNER JOIN MTI_WARD AS w2" _
			& "    ON c2.PATIENT_NO     = w2.PATIENT_NO" _
			& "   AND c2.HSP_HISTORY_NO = w2.HSP_HISTORY_NO" _
			& "   AND c2.CH_NO          = w2.CH_NO" _
			& " WHERE c2.HSP_FLG        = " & sqlMSRCOMMON.prmFLG_ON _
			& " GROUP BY" _
			& " w2.PATIENT_NO" _
			& ",w2.HSP_HISTORY_NO" _
			& ",w2.CH_NO" _
 _
	& " ) AS w3" _
	& "         ON w1.PATIENT_NO     = w3.PATIENT_NO" _
	& "        AND w1.HSP_HISTORY_NO = w3.HSP_HISTORY_NO" _
	& "        AND w1.CH_NO          = w3.CH_NO" _
	& "        AND w1.WARD_SERIAL_NO = w3.SERIAL_NO" _
	& " WHERE w1.WARD_CD             = " & prmWARD_CD _
	& " GROUP BY" _
	& " w1.PATIENT_NO" _
	& ",w1.HSP_HISTORY_NO" _
	& ") AS r" _
	& "         ON MTI_HSP.PATIENT_NO     = r.PATIENT_NO" _
	& "        AND MTI_HSP.HSP_HISTORY_NO = r.HSP_HISTORY_NO"

	 ''' <summary>
	 ''' 開始時病棟
	 ''' </summary>
	 ''' <remarks></remarks>
	Public Const sqlSEARCH_5_2_C As String = "" _
	& " INNER JOIN (" _
	& "SELECT" _
	& " w1.PATIENT_NO" _
	& ",w1.HSP_HISTORY_NO" _
	& ",w1.CH_NO" _
	& " FROM MTI_WARD AS w1" _
	& " INNER JOIN (" _
 _
			& "SELECT" _
			& " w2.PATIENT_NO" _
			& ",w2.HSP_HISTORY_NO" _
			& ",w2.CH_NO" _
			& ",MIN(w2.WARD_SERIAL_NO) AS SERIAL_NO" _
			& "  FROM MTI_WARD AS w2" _
			& " GROUP BY" _
			& " w2.PATIENT_NO" _
			& ",w2.HSP_HISTORY_NO" _
			& ",w2.CH_NO" _
 _
	& " ) AS w3" _
	& "         ON w1.PATIENT_NO     = w3.PATIENT_NO" _
	& "        AND w1.HSP_HISTORY_NO = w3.HSP_HISTORY_NO" _
	& "        AND w1.CH_NO          = w3.CH_NO" _
	& "        AND w1.WARD_SERIAL_NO = w3.SERIAL_NO" _
	& " WHERE w1.WARD_CD             = " & prmWARD_CD _
	& " GROUP BY" _
	& " w1.PATIENT_NO" _
	& ",w1.HSP_HISTORY_NO" _
	& ",w1.CH_NO" _
	& ") AS r" _
	& "         ON MTI_CH.PATIENT_NO     = r.PATIENT_NO" _
	& "        AND MTI_CH.HSP_HISTORY_NO = r.HSP_HISTORY_NO" _
	& "        AND MTI_CH.CH_NO          = r.CH_NO"

	 ''' <summary>
	 ''' 退院時病棟
	 ''' </summary>
	 ''' <remarks></remarks>
	Public Const sqlSEARCH_5_3_H As String = "" _
	& " INNER JOIN (" _
	& "SELECT" _
	& " w1.PATIENT_NO" _
	& ",w1.HSP_HISTORY_NO" _
	& " FROM MTI_WARD AS w1" _
	& " INNER JOIN (" _
 _
			& "SELECT" _
			& " w2.PATIENT_NO" _
			& ",w2.HSP_HISTORY_NO" _
			& ",w2.CH_NO" _
			& ",MAX(w2.WARD_SERIAL_NO) AS SERIAL_NO" _
			& "  FROM MTI_CH AS c2" _
			& " INNER JOIN MTI_WARD AS w2" _
			& "    ON c2.PATIENT_NO     = w2.PATIENT_NO" _
			& "   AND c2.HSP_HISTORY_NO = w2.HSP_HISTORY_NO" _
			& "   AND c2.CH_NO          = w2.CH_NO" _
			& " WHERE c2.OUT_HSP_FLG    = " & sqlMSRCOMMON.prmFLG_ON _
			& " GROUP BY" _
			& " w2.PATIENT_NO" _
			& ",w2.HSP_HISTORY_NO" _
			& ",w2.CH_NO" _
 _
	& " ) AS w3" _
	& "         ON w1.PATIENT_NO     = w3.PATIENT_NO" _
	& "        AND w1.HSP_HISTORY_NO = w3.HSP_HISTORY_NO" _
	& "        AND w1.CH_NO          = w3.CH_NO" _
	& "        AND w1.WARD_SERIAL_NO = w3.SERIAL_NO" _
	& " WHERE w1.WARD_CD             = " & prmWARD_CD _
	& " GROUP BY" _
	& " w1.PATIENT_NO" _
	& ",w1.HSP_HISTORY_NO" _
	& ") AS r" _
	& "         ON MTI_HSP.PATIENT_NO     = r.PATIENT_NO" _
	& "        AND MTI_HSP.HSP_HISTORY_NO = r.HSP_HISTORY_NO"

	 ''' <summary>
	 ''' 終了時病棟
	 ''' </summary>
	 ''' <remarks></remarks>
	Public Const sqlSEARCH_5_3_C As String = "" _
	& " INNER JOIN (" _
	& "SELECT" _
	& " w1.PATIENT_NO" _
	& ",w1.HSP_HISTORY_NO" _
	& ",w1.CH_NO" _
	& " FROM MTI_WARD AS w1" _
	& " INNER JOIN (" _
 _
			& "SELECT" _
			& " w2.PATIENT_NO" _
			& ",w2.HSP_HISTORY_NO" _
			& ",w2.CH_NO" _
			& ",MAX(w2.WARD_SERIAL_NO) AS SERIAL_NO" _
			& "  FROM MTI_WARD AS w2" _
			& " GROUP BY" _
			& " w2.PATIENT_NO" _
			& ",w2.HSP_HISTORY_NO" _
			& ",w2.CH_NO" _
 _
	& " ) AS w3" _
	& "         ON w1.PATIENT_NO     = w3.PATIENT_NO" _
	& "        AND w1.HSP_HISTORY_NO = w3.HSP_HISTORY_NO" _
	& "        AND w1.CH_NO          = w3.CH_NO" _
	& "        AND w1.WARD_SERIAL_NO = w3.SERIAL_NO" _
	& " WHERE w1.WARD_CD             = " & prmWARD_CD _
	& " GROUP BY" _
	& " w1.PATIENT_NO" _
	& ",w1.HSP_HISTORY_NO" _
	& ",w1.CH_NO" _
	& ") AS r" _
	& "         ON MTI_CH.PATIENT_NO     = r.PATIENT_NO" _
	& "        AND MTI_CH.HSP_HISTORY_NO = r.HSP_HISTORY_NO" _
	& "        AND MTI_CH.CH_NO          = r.CH_NO"

#End Region

#Region "６タブ"

	Public Const itmDATEDIFF As String = "DATEDIFF(day,{1},{0})"						'日付差分計算
	Public Const itmC_END_DT As String = "MTI_CH.END_DT"								'終了日
	Public Const itmL_RECORD_RECEIPT_DT As String = "MTI_LENDITM.RECORD_RECEIPT_DT"		'カルテ受領日
	Public Const itmL_SUMMARY_RECEIPT_DT As String = "MTI_LENDITM.SUMMARY_RECEIPT_DT"	'サマリ受領日
	Public Const itmL_SUMMARY_APPROVAL_DT As String = "MTI_LENDITM.SUMMARY_APPROVAL_DT"	'サマリ承認日

	Public Const selSEARCH_6 As String = " INNER JOIN MTI_LENDITM"

	Public Const sql6_Where_H As String = " WHERE MTI_HSP.OUT_HSP_DT IS NOT NULL"
	Public Const sql6_Where_C As String = " WHERE MTI_CH.END_DT IS NOT NULL"

	''' <summary>
	''' 患者単位
	''' </summary>
	''' <remarks></remarks>
	Public Const sql6_JOIN_P As String = "" _
	& "    ON XTI_BASICINFO.PATIENT_NO = MTI_LENDITM.PATIENT_NO" _
	& "   AND 0                        = MTI_LENDITM.HSP_HISTORY_NO" _
	& "   AND 0                        = MTI_LENDITM.CH_NO"

	''' <summary>
	''' 入退院単位
	''' </summary>
	''' <remarks></remarks>
	Public Const sql6_JOIN_H As String = "" _
	& "    ON MTI_HSP.PATIENT_NO       = MTI_LENDITM.PATIENT_NO" _
	& "   AND MTI_HSP.HSP_HISTORY_NO   = MTI_LENDITM.HSP_HISTORY_NO" _
	& "   AND 0                        = MTI_LENDITM.CH_NO"

	''' <summary>
	''' 科歴単位
	''' </summary>
	''' <remarks></remarks>
	Public Const sql6_JOIN_C As String = "" _
	& "    ON MTI_CH.PATIENT_NO        = MTI_LENDITM.PATIENT_NO" _
	& "   AND MTI_CH.HSP_HISTORY_NO    = MTI_LENDITM.HSP_HISTORY_NO" _
	& "   AND MTI_CH.CH_NO             = MTI_LENDITM.CH_NO"

#End Region

#Region "７タブ"

	Public Const prmSTANDARD_DATE_PLUS As String = "@STANDARD_DATE_PLUS"	'基準日からＸ年
	''' <summary>
	''' 最終退院からX年経過した患者
	''' </summary>
	''' <remarks></remarks>
	Public Const selSEARCH_7_1 As String = "" _
	& " INNER JOIN (" _
	& "SELECT" _
	& " h1.PATIENT_NO" _
	& "  FROM ( " _
 _
		& "SELECT" _
		& " PATIENT_NO" _
		& ",MAX(HSP_HISTORY_NO) AS MAX_HSP_NO" _
		& "  FROM MTI_HSP" _
		& " WHERE OUT_HSP_DT <= " & prmSTANDARD_DATE _
		& " GROUP BY" _
		& " PATIENT_NO" _
 _
	& ") AS h1" _
	& " INNER JOIN MTI_HSP AS h2" _
	& "         ON h1.PATIENT_NO     = h2.PATIENT_NO" _
	& "        AND h1.MAX_HSP_NO     = h2.HSP_HISTORY_NO" _
 _
	& " INNER JOIN (" _
 _
		& " SELECT" _
		& " h3.PATIENT_NO" _
		& " FROM (" _
				& "SELECT" _
				& " PATIENT_NO" _
				& ",MAX(HSP_HISTORY_NO) AS MAX_HSP_NO" _
				& "  FROM MTI_HSP" _
				& " GROUP BY" _
				& " PATIENT_NO" _
 _
			& ") AS h3" _
		& " INNER JOIN MTI_HSP AS h4" _
		& "         ON h3.PATIENT_NO     = h4.PATIENT_NO" _
		& "        AND h3.MAX_HSP_NO     = h4.HSP_HISTORY_NO" _
		& " WHERE h4.OUT_HSP_DT          Is Not Null" _
 _
		& " ) AS h5" _
	& "         ON h2.PATIENT_NO     = h5.PATIENT_NO" _
	& " WHERE h2.OUT_HSP_DT <= " & prmSTANDARD_DATE_PLUS _
	& " GROUP BY" _
	& " h1.PATIENT_NO" _
	& ") AS r "


	''' <summary>
	''' 最終退院日の範囲検索
	''' </summary>
	''' <remarks></remarks>
	Public Const selSEARCH_7_2 As String = "" _
	& " INNER JOIN (" _
	& "SELECT" _
	& " h1.PATIENT_NO" _
	& "  FROM MTI_HSP" _
	& " INNER JOIN (" _
 _
		& "SELECT" _
		& " PATIENT_NO" _
		& ",MAX(HSP_HISTORY_NO) AS MAX_HSP_NO" _
		& "  FROM MTI_HSP" _
		& " GROUP BY" _
		& " PATIENT_NO" _
 _
		& ") AS h1" _
	& "         ON MTI_HSP.PATIENT_NO     = h1.PATIENT_NO" _
	& "        AND MTI_HSP.HSP_HISTORY_NO = h1.MAX_HSP_NO" _
	& " WHERE MTI_HSP.OUT_HSP_DT Is Not Null" _
	& " {0}" _
	& " GROUP BY" _
	& " h1.PATIENT_NO" _
	& ") AS r "

#End Region

End Class
