﻿''' ---------------------------------------------
''' <summary>
''' 診療情報管理 検索 検索条件コントロール (SQLクラス）
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public NotInheritable Class sqlMSR010C120

	'パラメータ
	Public Const prmSEARCH_NO_1 As String = "@SEARCH_NO_1"
	Public Const prmSEARCH_NO_2 As String = "@SEARCH_NO_2"

	''' <summary>
	''' 通常検索
	''' </summary>
	Public Const sqlSEARCH_INS As String = "" _
	& "INSERT INTO MTT_SEARCH_RESULT(" _
	& " USER_CD" _
	& ",SEARCH_NO" _
	& ",PATIENT_NO" _
	& ",HSP_HISTORY_NO" _
	& ",CH_NO" _
	& ",LASTUPDUSER_CD" _
	& ",LASTUPD_DT" _
	& ")" _
	& " SELECT" _
	& " " & sqlMSRCOMMON.prmUSER_CD _
	& "," & sqlMSRCOMMON.prmSEARCH_NO _
	& ",XTI_BASICINFO.PATIENT_NO" _
	& ",ISNULL(MTI_HSP.HSP_HISTORY_NO,0)" _
	& ",ISNULL(MTI_CH.CH_NO,0)" _
	& "," & sqlMSRCOMMON.prmUSER_CD _
	& "," & sqlMSRCOMMON.prmLASTUPD_DT _
	& " FROM XTI_BASICINFO" _
	& "      LEFT JOIN MTI_HSP ON XTI_BASICINFO.PATIENT_NO     = MTI_HSP.PATIENT_NO" _
	& "      LEFT JOIN MTI_CH  ON MTI_HSP.PATIENT_NO           = MTI_CH.PATIENT_NO" _
	& "                       AND MTI_HSP.HSP_HISTORY_NO       = MTI_CH.HSP_HISTORY_NO" _
	& "{0} AS r " _
	& "{1}" _
	& "{2}"

	'上記SQLでの結合条件{1}
	Public Const sql_JOIN_P As String = "  ON XTI_BASICINFO.PATIENT_NO   = r.PATIENT_NO"

	Public Const sql_JOIN_H As String = "  ON MTI_HSP.PATIENT_NO         = r.PATIENT_NO" _
										& " AND MTI_HSP.HSP_HISTORY_NO     = r.HSP_HISTORY_NO"

	Public Const sql_JOIN_C As String = "  ON MTI_CH.PATIENT_NO          = r.PATIENT_NO" _
										& " AND MTI_CH.HSP_HISTORY_NO      = r.HSP_HISTORY_NO" _
										& " AND MTI_CH.CH_NO               = r.CH_NO"

	'下記SQLにて取得する項目{0}
	Public Const sql_GET_P As String = " r1.PATIENT_NO"
	Public Const sql_GET_H As String = sql_GET_P & ",r1.HSP_HISTORY_NO"
	Public Const sql_GET_C As String = sql_GET_H & ",r1.CH_NO"

#Region "１タブ"
	'上記SQLでの取得条件{2}
	Public Const sql1_WHERE_ON As String = " WHERE r.PATIENT_NO IS NOT NULL"
	Public Const sql1_WHERE_OFF As String = " WHERE r.PATIENT_NO IS NULL"

	'下記SQLでの結合条件{1}
	Public Const sql1_JOIN2_P As String = " AND r1.PATIENT_NO   = r2.PATIENT_NO"
	Public Const sql1_JOIN2_H As String = sql1_JOIN2_P & " AND r1.HSP_HISTORY_NO = r2.HSP_HISTORY_NO"
	Public Const sql1_JOIN2_C As String = sql1_JOIN2_H & " AND r1.CH_NO = r2.CH_NO"

	'１タブＡＮＤ検索
	Public Const selSEARCH_1_AND As String = "" _
	& " INNER JOIN (" _
	& "SELECT {0}" _
	& "  FROM MTT_SEARCH_RESULT AS r1" _
	& " INNER JOIN MTT_SEARCH_RESULT AS r2" _
	& "    ON r1.USER_CD      = r2.USER_CD" _
	& "   AND " & prmSEARCH_NO_2 & " = r2.SEARCH_NO" _
	& " {1}" _
	& " WHERE r1.USER_CD      = " & sqlMSRCOMMON.prmUSER_CD _
	& "   AND r1.SEARCH_NO    = " & prmSEARCH_NO_1 _
	& " GROUP BY {0}" _
	& ")"

	'１タブＯＲ検索
	Public Const selSEARCH_1_OR As String = "" _
	& " INNER JOIN (" _
	& "SELECT {0}" _
	& "  FROM MTT_SEARCH_RESULT AS r1" _
	& " WHERE r1.USER_CD      = " & sqlMSRCOMMON.prmUSER_CD _
	& "   AND r1.SEARCH_NO    = " & prmSEARCH_NO_1 _
	& " GROUP BY {0}" _
	& " UNION " _
	& "SELECT {0}" _
	& "  FROM MTT_SEARCH_RESULT AS r1" _
	& " WHERE r1.USER_CD      = " & sqlMSRCOMMON.prmUSER_CD _
	& "   AND r1.SEARCH_NO    = " & prmSEARCH_NO_2 _
	& " GROUP BY {0}" _
	& ")"

	'１タブＮＯＴ検索
	Public Const selSEARCH_1_NOT As String = "" _
	& " LEFT JOIN (" _
	& "SELECT {0}" _
	& "  FROM MTT_SEARCH_RESULT AS r1" _
	& " WHERE r1.USER_CD      = " & sqlMSRCOMMON.prmUSER_CD _
	& "   AND r1.SEARCH_NO    = " & prmSEARCH_NO_1 _
	& " GROUP BY {0}" _
	& ")"

	'１タブＤＩＦＦ検索
	Public Const selSEARCH_1_DIF As String = "" _
	& " INNER JOIN (" _
	& "SELECT {0}" _
	& "  FROM MTT_SEARCH_RESULT AS r1" _
	& "  LEFT JOIN MTT_SEARCH_RESULT AS r2" _
	& "    ON r1.USER_CD      = r2.USER_CD" _
	& "   AND " & prmSEARCH_NO_2 & " = r2.SEARCH_NO" _
	& " {1}" _
	& " WHERE r1.USER_CD      = " & sqlMSRCOMMON.prmUSER_CD _
	& "   AND r1.SEARCH_NO    = " & prmSEARCH_NO_1 _
	& "   AND r2.PATIENT_NO   Is NULL" _
	& " GROUP BY {0}" _
	& ")"


#End Region

#Region "２タブ"

	'上記SQLでの取得条件{2}
	Public Const sql2_WHERE_H As String = " WHERE MTI_HSP.PATIENT_NO IS NOT NULL"
	Public Const sql2_WHERE_C As String = " WHERE MTI_CH.PATIENT_NO IS NOT NULL"

	Public Const selSEARCH_2 As String = "" _
	& " INNER JOIN (" _
	& "SELECT {0}" _
	& "  FROM MTT_SEARCH_RESULT AS r1" _
	& " WHERE r1.USER_CD      = " & sqlMSRCOMMON.prmUSER_CD _
	& "   AND r1.SEARCH_NO    = " & prmSEARCH_NO_1 _
	& " GROUP BY {0}" _
	& ")"

#End Region

#Region "３タブ"

	Public Const selSEARCH_3_MAX As String = "" _
	& " INNER JOIN (" _
	& "SELECT r1.PATIENT_NO,MAX(r1.HSP_HISTORY_NO) AS HSP_HISTORY_NO" _
	& "  FROM MTT_SEARCH_RESULT AS r1" _
	& " WHERE r1.USER_CD      = " & sqlMSRCOMMON.prmUSER_CD _
	& "   AND r1.SEARCH_NO    = " & prmSEARCH_NO_1 _
	& " GROUP BY r1.PATIENT_NO" _
	& ")"

	Public Const selSEARCH_3_MIN As String = "" _
	& " INNER JOIN (" _
	& "SELECT r1.PATIENT_NO,MIN(r1.HSP_HISTORY_NO) AS HSP_HISTORY_NO" _
	& "  FROM MTT_SEARCH_RESULT AS r1" _
	& " WHERE r1.USER_CD      = " & sqlMSRCOMMON.prmUSER_CD _
	& "   AND r1.SEARCH_NO    = " & prmSEARCH_NO_1 _
	& " GROUP BY r1.PATIENT_NO" _
	& ")"
#End Region

#Region "４タブ"

	Public Const prmDATE_ADD As String = "@DATE_ADD"

	''' <summary>
	''' 一回前の入退院歴の退院日
	''' </summary>
	''' <remarks></remarks>
	Public Const selSEARCH_4_1 As String = "" _
	& " INNER JOIN (" _
	& "SELECT" _
	& " r1.PATIENT_NO" _
	& ",r1.HSP_HISTORY_NO" _
	& "  FROM ( " _
 _
		& "SELECT" _
		& " r2.PATIENT_NO" _
		& ",r2.HSP_HISTORY_NO" _
		& ",h2.OUT_HSP_DT" _
		& "  FROM (" _
 _
			& "SELECT" _
			& " r3.PATIENT_NO" _
			& ",r3.HSP_HISTORY_NO" _
			& ",MAX(h3.HSP_HISTORY_NO) AS MAX_HSP" _
			& "  FROM MTT_SEARCH_RESULT AS r3" _
			& " INNER JOIN MTI_HSP AS h3" _
			& "         ON r3.PATIENT_NO     = h3.PATIENT_NO" _
			& "        AND r3.HSP_HISTORY_NO > h3.HSP_HISTORY_NO" _
			& " WHERE r3.USER_CD      = " & sqlMSRCOMMON.prmUSER_CD _
			& "   AND r3.SEARCH_NO    = " & prmSEARCH_NO_1 _
			& " GROUP BY" _
			& " r3.PATIENT_NO" _
			& ",r3.HSP_HISTORY_NO" _
 _
		& ") AS r2" _
		& " INNER JOIN MTI_HSP AS h2" _
		& "         ON r2.PATIENT_NO     = h2.PATIENT_NO" _
		& "        AND r2.MAX_HSP        = h2.HSP_HISTORY_NO" _
 _
	& ") AS r1" _
	& " INNER JOIN MTI_HSP AS h1" _
	& "         ON r1.PATIENT_NO     = h1.PATIENT_NO" _
	& "        AND r1.HSP_HISTORY_NO = h1.HSP_HISTORY_NO" _
	& " WHERE h1.HSP_DT <= DATEADD(day, " & prmDATE_ADD & ", r1.OUT_HSP_DT)" _
	& ")"


	''' <summary>
	''' 入退院情報の中の前回退院日
	''' </summary>
	''' <remarks></remarks>
	Public Const selSEARCH_4_2 As String = "" _
	& " INNER JOIN (" _
	& "SELECT" _
	& " r1.PATIENT_NO" _
	& ",r1.HSP_HISTORY_NO" _
	& "  FROM MTT_SEARCH_RESULT AS r1" _
	& " INNER JOIN MTI_HSP AS h1" _
	& "         ON r1.PATIENT_NO     = h1.PATIENT_NO" _
	& "        AND r1.HSP_HISTORY_NO = h1.HSP_HISTORY_NO" _
	& " WHERE r1.USER_CD      = " & sqlMSRCOMMON.prmUSER_CD _
	& "   AND r1.SEARCH_NO    = " & prmSEARCH_NO_1 _
	& "   AND h1.HSP_DT      <= DATEADD(day, " & prmDATE_ADD & ", h1.LAST_OUT_HSP_DT)" _
	& " GROUP BY" _
	& " r1.PATIENT_NO" _
	& ",r1.HSP_HISTORY_NO" _
	& ")"

	''' <summary>
	''' 入退院情報の中の同一疾病前回退院日
	''' </summary>
	''' <remarks></remarks>
	Public Const selSEARCH_4_3 As String = "" _
	& " INNER JOIN (" _
	& "SELECT" _
	& " r1.PATIENT_NO" _
	& ",r1.HSP_HISTORY_NO" _
	& "  FROM MTT_SEARCH_RESULT AS r1" _
	& " INNER JOIN MTI_HSP AS h1" _
	& "         ON r1.PATIENT_NO     = h1.PATIENT_NO" _
	& "        AND r1.HSP_HISTORY_NO = h1.HSP_HISTORY_NO" _
	& " WHERE r1.USER_CD      = " & sqlMSRCOMMON.prmUSER_CD _
	& "   AND r1.SEARCH_NO    = " & prmSEARCH_NO_1 _
	& "   AND h1.HSP_DT      <= DATEADD(day, " & prmDATE_ADD & ", h1.SAME_DISEASE_LAST_HSP_DT)" _
	& " GROUP BY" _
	& " r1.PATIENT_NO" _
	& ",r1.HSP_HISTORY_NO" _
	& ")"

	''' <summary>
	''' 同一疾病の過去の入退院歴の退院日
	''' </summary>
	''' <remarks></remarks>
	Public Const selSEARCH_4_4 As String = "" _
	& " INNER JOIN (" _
	& "SELECT" _
	& " r1.PATIENT_NO" _
	& ",r1.HSP_HISTORY_NO" _
	& "  FROM ( {0} ) AS r1" _
	& " INNER JOIN MTI_HSP AS h1_1" _
	& "         ON r1.PATIENT_NO     = h1_1.PATIENT_NO" _
	& "        AND r1.HSP_HISTORY_NO = h1_1.HSP_HISTORY_NO" _
	& " INNER JOIN MTI_HSP AS h1_2" _
	& "         ON r1.PATIENT_NO     = h1_2.PATIENT_NO" _
	& "        AND r1.OLD_HSP_NO     = h1_2.HSP_HISTORY_NO" _
	& " WHERE h1_1.HSP_DT <= DATEADD(day, " & prmDATE_ADD & ", h1_2.OUT_HSP_DT)" _
	& " GROUP BY" _
	& " r1.PATIENT_NO" _
	& ",r1.HSP_HISTORY_NO" _
	& ")"


	Public Const prmMAIN_DISEASE As String = "@MAIN_DISEASE"		'主病名

	''' <summary>
	''' 前回主病名
	''' </summary>
	''' <remarks></remarks>
	Public Const selSEARCH_4_4_1 As String = "" _
	& "SELECT" _
	& " r2.PATIENT_NO" _
	& ",r2.HSP_HISTORY_NO" _
	& ",d2.HSP_HISTORY_NO AS OLD_HSP_NO" _
	& " FROM ( {0} ) AS r2" _
	& " INNER JOIN MTI_DISEASE AS d2" _
	& "         ON r2.PATIENT_NO     = d2.PATIENT_NO" _
	& "        AND r2.HSP_HISTORY_NO > d2.HSP_HISTORY_NO" _
	& "        AND r2.ICD10_CD       = d2.ICD10_CD" _
	& " INNER JOIN MTI_CH AS c2" _
	& "         ON d2.PATIENT_NO     = c2.PATIENT_NO" _
	& "        AND d2.HSP_HISTORY_NO = c2.HSP_HISTORY_NO" _
	& "        AND d2.CH_NO          = c2.CH_NO" _
	& " WHERE c2.MAIN_DPM_FLG = " & sqlMSRCOMMON.prmFLG_ON _
	& "   AND d2.DISEASE_DIV IN (SELECT DISEASE_DIV_CD FROM MTM_DISEASE_DIV WHERE FIXED_CD =" & prmMAIN_DISEASE & ")" _
	& " GROUP BY" _
	& " r2.PATIENT_NO" _
	& ",r2.HSP_HISTORY_NO" _
	& ",d2.HSP_HISTORY_NO"

	''' <summary>
	''' 今回主病名
	''' </summary>
	''' <remarks></remarks>
	Public Const selSEARCH_4_4_N1 As String = "" _
	& "SELECT" _
	& " r3.PATIENT_NO" _
	& ",r3.HSP_HISTORY_NO" _
	& ",d3.ICD10_CD" _
	& "  FROM MTT_SEARCH_RESULT AS r3" _
	& " INNER JOIN MTI_CH AS c3" _
	& "         ON r3.PATIENT_NO     = c3.PATIENT_NO" _
	& "        AND r3.HSP_HISTORY_NO = c3.HSP_HISTORY_NO" _
	& " INNER JOIN MTI_DISEASE AS d3" _
	& "         ON c3.PATIENT_NO     = d3.PATIENT_NO" _
	& "        AND c3.HSP_HISTORY_NO = d3.HSP_HISTORY_NO" _
	& "        AND c3.CH_NO          = d3.CH_NO" _
	& " WHERE r3.USER_CD      = " & sqlMSRCOMMON.prmUSER_CD _
	& "   AND r3.SEARCH_NO    = " & prmSEARCH_NO_1 _
	& "   AND c3.MAIN_DPM_FLG = " & sqlMSRCOMMON.prmFLG_ON _
	& "   AND d3.DISEASE_DIV IN (SELECT DISEASE_DIV_CD FROM MTM_DISEASE_DIV WHERE FIXED_CD =" & prmMAIN_DISEASE & ")" _
	& " GROUP BY" _
	& " r3.PATIENT_NO" _
	& ",r3.HSP_HISTORY_NO" _
	& ",d3.ICD10_CD"

	''' <summary>
	''' 前回入院契機
	''' </summary>
	''' <remarks></remarks>
	Public Const SelSEARCH_4_4_2 As String = "" _
	& "SELECT" _
	& " r2.PATIENT_NO" _
	& ",r2.HSP_HISTORY_NO" _
	& ",d2.HSP_HISTORY_NO AS OLD_HSP_NO" _
	& " FROM ( {0} ) AS r2" _
	& " INNER JOIN MTI_DISEASE AS d2" _
	& "         ON r2.PATIENT_NO     = d2.PATIENT_NO" _
	& "        AND r2.HSP_HISTORY_NO > d2.HSP_HISTORY_NO" _
	& "        AND r2.ICD10_CD       = d2.ICD10_CD" _
	& " WHERE d2.HSP_CHANCE_DISEASE_FLG = " & sqlMSRCOMMON.prmFLG_ON _
	& " GROUP BY" _
	& " r2.PATIENT_NO" _
	& ",r2.HSP_HISTORY_NO" _
	& ",d2.HSP_HISTORY_NO"

	''' <summary>
	''' 今回入院契機
	''' </summary>
	''' <remarks></remarks>
	Public Const selSEARCH_4_4_N2 As String = "" _
	& "SELECT" _
	& " r3.PATIENT_NO" _
	& ",r3.HSP_HISTORY_NO" _
	& ",d3.ICD10_CD" _
	& "  FROM MTT_SEARCH_RESULT AS r3" _
	& " INNER JOIN MTI_DISEASE AS d3" _
	& "         ON r3.PATIENT_NO     = d3.PATIENT_NO" _
	& "        AND r3.HSP_HISTORY_NO = d3.HSP_HISTORY_NO" _
	& " WHERE r3.USER_CD      = " & sqlMSRCOMMON.prmUSER_CD _
	& "   AND r3.SEARCH_NO    = " & prmSEARCH_NO_1 _
	& "   AND d3.HSP_CHANCE_DISEASE_FLG = " & sqlMSRCOMMON.prmFLG_ON _
	& " GROUP BY" _
	& " r3.PATIENT_NO" _
	& ",r3.HSP_HISTORY_NO" _
	& ",d3.ICD10_CD"

	''' <summary>
	''' 前回１位
	''' </summary>
	''' <remarks></remarks>
	Public Const SelSEARCH_4_4_3 As String = "" _
	& "SELECT" _
	& " r2.PATIENT_NO" _
	& ",r2.HSP_HISTORY_NO" _
	& ",d2.HSP_HISTORY_NO AS OLD_HSP_NO" _
	& " FROM ( {0} ) AS r2" _
	& " INNER JOIN MTI_DISEASE AS d2" _
	& "         ON r2.PATIENT_NO     = d2.PATIENT_NO" _
	& "        AND r2.HSP_HISTORY_NO > d2.HSP_HISTORY_NO" _
	& "        AND r2.ICD10_CD       = d2.ICD10_CD" _
	& " WHERE d2.DISEASE_MED_RES_FLG1 = " & sqlMSRCOMMON.prmFLG_ON _
	& " GROUP BY" _
	& " r2.PATIENT_NO" _
	& ",r2.HSP_HISTORY_NO" _
	& ",d2.HSP_HISTORY_NO"

	''' <summary>
	''' 今回１位
	''' </summary>
	''' <remarks></remarks>
	Public Const selSEARCH_4_4_N3 As String = "" _
	& "SELECT" _
	& " r3.PATIENT_NO" _
	& ",r3.HSP_HISTORY_NO" _
	& ",d3.ICD10_CD" _
	& "  FROM MTT_SEARCH_RESULT AS r3" _
	& " INNER JOIN MTI_DISEASE AS d3" _
	& "         ON r3.PATIENT_NO     = d3.PATIENT_NO" _
	& "        AND r3.HSP_HISTORY_NO = d3.HSP_HISTORY_NO" _
	& " WHERE r3.USER_CD      = " & sqlMSRCOMMON.prmUSER_CD _
	& "   AND r3.SEARCH_NO    = " & prmSEARCH_NO_1 _
	& "   AND d3.DISEASE_MED_RES_FLG1 = " & sqlMSRCOMMON.prmFLG_ON _
	& " GROUP BY" _
	& " r3.PATIENT_NO" _
	& ",r3.HSP_HISTORY_NO" _
	& ",d3.ICD10_CD"

#End Region

End Class
