﻿''' ---------------------------------------------
''' <summary>
''' 診療情報管理 検索 入退院情報一覧(SQLクラス）
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public NotInheritable Class sqlMSR040F010

#Region "パラメータ"

	Public Const prmSYSDATE As String = "@SYSDATE"					'システム日付
	Public Const prmNISUU_INIT As String = "@NISUU_INIT"			'在院日数の初期値
	Public Const prmNISUU_PLUS As String = "@NISUU_PLUS"			'在院日数の初期値

'(A) STR V4-11048-000 003 20110915 FJSK)荒川 XXX号 病歴大将V4PKG問題点No159 並び替えができるように列に「カナ」を追加する対応
	Public Const JOUKEN As String = "#JOUKEN#"						'条件置換用
'(A) END V4-11048-000 003 20110915
#End Region

	''' <summary>
	''' 件数取得
	''' </summary>
    Public Const sqlSel_Cnt As String = _
    "SELECT COUNT(*) AS CNT" _
    & " FROM (" _
    & "SELECT" _
    & " PATIENT_NO" _
    & ",HSP_HISTORY_NO" _
    & "  FROM MTT_SEARCH_RESULT" _
    & " WHERE USER_CD   = " & sqlMSRCOMMON.prmUSER_CD _
    & "   AND SEARCH_NO = " & sqlMSRCOMMON.prmSEARCH_NO _
    & " GROUP BY " _
    & " PATIENT_NO" _
    & ",HSP_HISTORY_NO" _
    & " ) AS s" _
    & " INNER JOIN MTI_HSP AS h" _
    & "    ON s.PATIENT_NO     = h.PATIENT_NO" _
    & "   AND s.HSP_HISTORY_NO = h.HSP_HISTORY_NO"
'(M) STR V4-11048-000 209 20110915 FJSK)荒川 XXX号 病歴大将V4PKG問題点No159 並び替えができるように列に「カナ」を追加する対応
'	Public Const sqlSel_List As String = _
'	  "SELECT " _
'	& sqlMSRCOMMON.prmSELECTED & " AS " & sqlMSRCOMMON.itmSELECTED _
'	& ",ROW_NUMBER() OVER(ORDER BY s.PATIENT_NO,s.HSP_HISTORY_NO) AS " & sqlMSRCOMMON.itmSORT_SEQ _
'	& ",s.PATIENT_NO" _
'	& ",s.HSP_HISTORY_NO" _
'	& ",b.PATIENT_NM" _
'	& ",XTM_GENDER.GENDER_NM" _
'	& ",CONVERT(VARCHAR,b.BIRTH_DT,111)       AS BIRTH_DT" _
'	& ",CONVERT(VARCHAR,b.FIRSTHSPVST_DT,111) AS FIRSTHSPVST_DT" _
'	& ",CONVERT(VARCHAR,b.LASTHSPVST_DT ,111) AS LASTHSPVST_DT" _
'	& ",CONVERT(VARCHAR,b.LASTLEFTHSP_DT,111) AS LASTLEFTHSP_DT" _
'	& ",(SELECT AREA_RNM " _
'	& "  FROM MTM_AREA " _
'	& " WHERE AREA_CD = " _
'	& "( " _
'	& " SELECT TOP 1 AREA_CD FROM MTI_CH" _
'	& "  WHERE PATIENT_NO = s.PATIENT_NO" _
'	& "  ORDER BY" _
'	& " HSP_HISTORY_NO DESC" _
'	& ",CH_NO DESC" _
'	& " )" _
'	& ") AS NEW_AREA_RNM" _
'	& ",MTM_DEATH_LCT.DEATH_LCT_RNM" _
'	& ",CONVERT(VARCHAR,d.DEATH_DT,111) AS DEATH_DT" _
'	& ",d.DEATH_AGE" _
'	& ",MTM_DEATH_DIV.DEATH_DIV_RNM" _
'	& ",MTM_AFTER_OPE_DEATH_DIV.AFTER_OPE_DEATH_DIV_RNM" _
'	& "," & sqlMSRCOMMON.sqlCHK_NM_S & "d.AUTOPSY_CHK" & sqlMSRCOMMON.sqlCHK_NM_E & "AUTOPSY_CHK_NM" _
'	& ",h.BYOREKI_NO" _
'	& ",MTM_DEPT.DEPT_RNM" _
'	& ",MTM_WARD.WARD_RNM" _
'	& ",H_STAFF.STAFF_NM AS H_STAFF_NM" _
'	& ",CONVERT(VARCHAR,h.HSP_DT,    111) AS HSP_DT" _
'	& ",h.HSP_AGE" _
'	& ",MTM_HSP_CNL.HSP_CNL_RNM" _
'	& ",MTM_PLAN_EMERGENCY.PLAN_EMERGENCY_NM" _
'	& "," & sqlMSRCOMMON.sqlFLG_NM_S & "h.TIME_OUT_FLG" & sqlMSRCOMMON.sqlFLG_NM_E & "TIME_OUT_FLG_NM" _
'	& "," & sqlMSRCOMMON.sqlCHK_NM_S & "h.TAKE_AMBULANCE_CHK" & sqlMSRCOMMON.sqlCHK_NM_E & "TAKE_AMBULANCE_CHK_NM" _
'	& ",MTM_HSP_AIM.HSP_AIM_RNM" _
'	& ",CONVERT(VARCHAR,h.OUT_HSP_DT,111) AS OUT_HSP_DT" _
'	& ",h.OUT_HSP_AGE" _
'	& ",MTM_OUT_HSP_CNL.OUT_HSP_CNL_RNM" _
'	& ",MTM_OUT_HSP_OUTCOME.OUT_HSP_OUTCOME_RNM" _
'	& ",CASE WHEN h.HSP_DAYS <> 0 OR NOT h.OUT_HSP_DT IS NULL THEN h.HSP_DAYS" _
'	& "      WHEN h.HSP_DT = " & prmSYSDATE & " THEN " & prmNISUU_INIT _
'	& "      ELSE DATEDIFF(day,h.HSP_DT," & prmSYSDATE & ") + " & prmNISUU_PLUS _
'	& " END AS HSP_DAYS" _
'	& ",MTM_HSP_FORM.HSP_FORM_RNM" _
'	& ",h.TOTAL_MED_COST" _
'	& ",h.DPC_NO" _
'	& ",h.REMARKS" _
'	& "," & sqlMSRCOMMON.sqlCHK_NM_S & "h.CHANGE_DEPT_CHK" & sqlMSRCOMMON.sqlCHK_NM_E & "CHANGE_DEPT_CHK_NM" _
'	& "," & sqlMSRCOMMON.sqlCHK_NM_S & "h.HOLD_DEPT_CHK" & sqlMSRCOMMON.sqlCHK_NM_E & "HOLD_DEPT_CHK_NM" _
'	& "," & sqlMSRCOMMON.sqlCHK_NM_S & "h.CLINICAL_TRIAL_CHK" & sqlMSRCOMMON.sqlCHK_NM_E & "CLINICAL_TRIAL_CHK_NM" _
'	& "," & sqlMSRCOMMON.sqlCHK_NM_S & "h.HSP_INFECTION_CHK" & sqlMSRCOMMON.sqlCHK_NM_E & "HSP_INFECTION_CHK_NM" _
'	& ",F1.CNT_RNM AS HSP_FREEITEM1_NM" _
'	& ",F2.CNT_RNM AS HSP_FREEITEM2_NM" _
'	& ",F3.CNT_RNM AS HSP_FREEITEM3_NM" _
'	& ",F4.CNT_RNM AS HSP_FREEITEM4_NM" _
'	& ",F5.CNT_RNM AS HSP_FREEITEM5_NM" _
'	& ",F6.CNT_RNM AS HSP_FREEITEM6_NM" _
'	& " FROM (" _
'	& "SELECT" _
'	& " PATIENT_NO" _
'	& ",HSP_HISTORY_NO" _
'	& "  FROM MTT_SEARCH_RESULT" _
'	& " WHERE USER_CD   = " & sqlMSRCOMMON.prmUSER_CD _
'	& "   AND SEARCH_NO = " & sqlMSRCOMMON.prmSEARCH_NO _
'	& " GROUP BY " _
'	& " PATIENT_NO" _
'	& ",HSP_HISTORY_NO" _
'	& " ) AS s" _
'	& " INNER JOIN MTI_HSP AS h             ON s.PATIENT_NO          = h.PATIENT_NO" _
'	& "                                    AND s.HSP_HISTORY_NO      = h.HSP_HISTORY_NO" _
'	& "  LEFT JOIN XTI_BASICINFO AS b       ON s.PATIENT_NO          = b.PATIENT_NO" _
'	& "  LEFT JOIN MTI_DEATH AS d           ON s.PATIENT_NO          = d.PATIENT_NO" _
'	& "  LEFT JOIN XTM_GENDER               ON b.GENDER_CD           = XTM_GENDER.GENDER_CD" _
'	& "  LEFT JOIN MTM_DEATH_LCT            ON d.DEATH_LCT_CD        = MTM_DEATH_LCT.DEATH_LCT_CD" _
'	& "  LEFT JOIN MTM_DEATH_DIV            ON d.DEATH_DIV           = MTM_DEATH_DIV.DEATH_DIV_CD" _
'	& "  LEFT JOIN MTM_AFTER_OPE_DEATH_DIV  ON d.AFTER_OPE_DEATH_DIV = MTM_AFTER_OPE_DEATH_DIV.AFTER_OPE_DEATH_DIV_CD" _
'	& "  LEFT JOIN MTM_DEPT                 ON h.DEPT_CD             = MTM_DEPT.DEPT_CD" _
'	& "  LEFT JOIN MTM_WARD                 ON h.WARD_CD             = MTM_WARD.WARD_CD" _
'	& "  LEFT JOIN XTM_STAFF AS H_STAFF     ON h.DOCTOR_CD           = H_STAFF.STAFF_CD" _
'	& "  LEFT JOIN MTM_HSP_CNL              ON h.HSP_CNL_CD          = MTM_HSP_CNL.HSP_CNL_CD" _
'	& "  LEFT JOIN MTM_PLAN_EMERGENCY       ON h.PLAN_EMERGENCY_CD   = MTM_PLAN_EMERGENCY.PLAN_EMERGENCY_CD" _
'	& "  LEFT JOIN MTM_HSP_AIM              ON h.HSP_AIM_CD          = MTM_HSP_AIM.HSP_AIM_CD" _
'	& "  LEFT JOIN MTM_OUT_HSP_CNL          ON h.OUT_HSP_CNL_CD      = MTM_OUT_HSP_CNL.OUT_HSP_CNL_CD" _
'	& "  LEFT JOIN MTM_OUT_HSP_OUTCOME      ON h.OUT_HSP_OUTCOME_CD  = MTM_OUT_HSP_OUTCOME.OUT_HSP_OUTCOME_CD" _
'	& "  LEFT JOIN MTM_HSP_FORM			    ON h.HSP_FORM_CD		 = MTM_HSP_FORM.HSP_FORM_CD" _
'	& "  LEFT JOIN MTM_HSP_ITM_CNT AS F1	ON '001' = F1.ITEM_CD AND H.HSP_FREEITEM1 = F1.CNT_CD" _
'	& "  LEFT JOIN MTM_HSP_ITM_CNT AS F2	ON '002' = F2.ITEM_CD AND H.HSP_FREEITEM2 = F2.CNT_CD" _
'	& "  LEFT JOIN MTM_HSP_ITM_CNT AS F3	ON '003' = F3.ITEM_CD AND H.HSP_FREEITEM3 = F3.CNT_CD" _
'	& "  LEFT JOIN MTM_HSP_ITM_CNT AS F4	ON '004' = F4.ITEM_CD AND H.HSP_FREEITEM4 = F4.CNT_CD" _
'	& "  LEFT JOIN MTM_HSP_ITM_CNT AS F5	ON '005' = F5.ITEM_CD AND H.HSP_FREEITEM5 = F5.CNT_CD" _
'	& "  LEFT JOIN MTM_HSP_ITM_CNT AS F6	ON '006' = F6.ITEM_CD AND H.HSP_FREEITEM6 = F6.CNT_CD" _
'	& " ORDER BY" _
'	& " s.PATIENT_NO" _
'	& ",s.HSP_HISTORY_NO"

'(M) STR V4-12051-000 210 2013/01/23 ID)荒川 病歴大将V4PKG 管理No.32 ソート条件名称からコードに修正
	'Public Const sqlSel_List As String = _
	'  "SELECT " _
	'& sqlMSRCOMMON.prmSELECTED & " AS " & sqlMSRCOMMON.itmSELECTED _
	'& ",ROW_NUMBER() OVER(ORDER BY s.PATIENT_NO,s.HSP_HISTORY_NO) AS " & sqlMSRCOMMON.itmSORT_SEQ _
	'& ",s.PATIENT_NO" _
	'& ",s.HSP_HISTORY_NO" _
	'& ",b.PATIENT_NM" _
	'& ",b.PATIENT_KNM" _
	'& ",XTM_GENDER.GENDER_NM" _
	'& ",CONVERT(VARCHAR,b.BIRTH_DT,111)       AS BIRTH_DT" _
	'& ",CONVERT(VARCHAR,b.FIRSTHSPVST_DT,111) AS FIRSTHSPVST_DT" _
	'& ",CONVERT(VARCHAR,b.LASTHSPVST_DT ,111) AS LASTHSPVST_DT" _
	'& ",CONVERT(VARCHAR,b.LASTLEFTHSP_DT,111) AS LASTLEFTHSP_DT" _
	'& ",(SELECT AREA_RNM " _
	'& "  FROM MTM_AREA " _
	'& " WHERE AREA_CD = " _
	'& "( " _
	'& " SELECT TOP 1 AREA_CD FROM MTI_CH" _
	'& "  WHERE PATIENT_NO = s.PATIENT_NO" _
	'& "  ORDER BY" _
	'& " HSP_HISTORY_NO DESC" _
	'& ",CH_NO DESC" _
	'& " )" _
	'& ") AS NEW_AREA_RNM" _
	'& ",MTM_DEATH_LCT.DEATH_LCT_RNM" _
	'& ",CONVERT(VARCHAR,d.DEATH_DT,111) AS DEATH_DT" _
	'& ",d.DEATH_AGE" _
	'& ",MTM_DEATH_DIV.DEATH_DIV_RNM" _
	'& ",MTM_AFTER_OPE_DEATH_DIV.AFTER_OPE_DEATH_DIV_RNM" _
	'& "," & sqlMSRCOMMON.sqlCHK_NM_S & "d.AUTOPSY_CHK" & sqlMSRCOMMON.sqlCHK_NM_E & "AUTOPSY_CHK_NM" _
	'& ",h.BYOREKI_NO" _
	'& ",MTM_DEPT.DEPT_RNM" _
	'& ",MTM_WARD.WARD_RNM" _
	'& ",H_STAFF.STAFF_NM AS H_STAFF_NM" _
	'& ",CONVERT(VARCHAR,h.HSP_DT,    111) AS HSP_DT" _
	'& ",h.HSP_AGE" _
	'& ",MTM_HSP_CNL.HSP_CNL_RNM" _
	'& ",MTM_PLAN_EMERGENCY.PLAN_EMERGENCY_NM" _
	'& "," & sqlMSRCOMMON.sqlFLG_NM_S & "h.TIME_OUT_FLG" & sqlMSRCOMMON.sqlFLG_NM_E & "TIME_OUT_FLG_NM" _
	'& "," & sqlMSRCOMMON.sqlCHK_NM_S & "h.TAKE_AMBULANCE_CHK" & sqlMSRCOMMON.sqlCHK_NM_E & "TAKE_AMBULANCE_CHK_NM" _
	'& ",MTM_HSP_AIM.HSP_AIM_RNM" _
	'& ",CONVERT(VARCHAR,h.OUT_HSP_DT,111) AS OUT_HSP_DT" _
	'& ",h.OUT_HSP_AGE" _
	'& ",MTM_OUT_HSP_CNL.OUT_HSP_CNL_RNM" _
	'& ",MTM_OUT_HSP_OUTCOME.OUT_HSP_OUTCOME_RNM" _
	'& ",CASE WHEN h.HSP_DAYS <> 0 OR NOT h.OUT_HSP_DT IS NULL THEN h.HSP_DAYS" _
	'& "      WHEN h.HSP_DT = " & prmSYSDATE & " THEN " & prmNISUU_INIT _
	'& "      ELSE DATEDIFF(day,h.HSP_DT," & prmSYSDATE & ") + " & prmNISUU_PLUS _
	'& " END AS HSP_DAYS" _
	'& ",MTM_HSP_FORM.HSP_FORM_RNM" _
	'& ",h.TOTAL_MED_COST" _
	'& ",h.DPC_NO" _
	'& ",h.REMARKS" _
	'& "," & sqlMSRCOMMON.sqlCHK_NM_S & "h.CHANGE_DEPT_CHK" & sqlMSRCOMMON.sqlCHK_NM_E & "CHANGE_DEPT_CHK_NM" _
	'& "," & sqlMSRCOMMON.sqlCHK_NM_S & "h.HOLD_DEPT_CHK" & sqlMSRCOMMON.sqlCHK_NM_E & "HOLD_DEPT_CHK_NM" _
	'& "," & sqlMSRCOMMON.sqlCHK_NM_S & "h.CLINICAL_TRIAL_CHK" & sqlMSRCOMMON.sqlCHK_NM_E & "CLINICAL_TRIAL_CHK_NM" _
	'& "," & sqlMSRCOMMON.sqlCHK_NM_S & "h.HSP_INFECTION_CHK" & sqlMSRCOMMON.sqlCHK_NM_E & "HSP_INFECTION_CHK_NM" _
	'& ",F1.CNT_RNM AS HSP_FREEITEM1_NM" _
	'& ",F2.CNT_RNM AS HSP_FREEITEM2_NM" _
	'& ",F3.CNT_RNM AS HSP_FREEITEM3_NM" _
	'& ",F4.CNT_RNM AS HSP_FREEITEM4_NM" _
	'& ",F5.CNT_RNM AS HSP_FREEITEM5_NM" _
	'& ",F6.CNT_RNM AS HSP_FREEITEM6_NM" _
	'& ",l.RECORD_MNGSTATUS_CD" _
	'& " FROM (" _
	'& "SELECT" _
	'& " PATIENT_NO" _
	'& ",HSP_HISTORY_NO" _
	'& "  FROM MTT_SEARCH_RESULT" _
	'& " WHERE USER_CD   = " & sqlMSRCOMMON.prmUSER_CD _
	'& "   AND SEARCH_NO = " & sqlMSRCOMMON.prmSEARCH_NO _
	'& " GROUP BY " _
	'& " PATIENT_NO" _
	'& ",HSP_HISTORY_NO" _
	'& " ) AS s" _
	'& " INNER JOIN MTI_HSP AS h             ON s.PATIENT_NO          = h.PATIENT_NO" _
	'& "                                    AND s.HSP_HISTORY_NO      = h.HSP_HISTORY_NO" _
	'& "  LEFT JOIN XTI_BASICINFO AS b       ON s.PATIENT_NO          = b.PATIENT_NO" _
	'& "  LEFT JOIN MTI_DEATH AS d           ON s.PATIENT_NO          = d.PATIENT_NO" _
	'& "  LEFT JOIN XTM_GENDER               ON b.GENDER_CD           = XTM_GENDER.GENDER_CD" _
	'& "  LEFT JOIN MTM_DEATH_LCT            ON d.DEATH_LCT_CD        = MTM_DEATH_LCT.DEATH_LCT_CD" _
	'& "  LEFT JOIN MTM_DEATH_DIV            ON d.DEATH_DIV           = MTM_DEATH_DIV.DEATH_DIV_CD" _
	'& "  LEFT JOIN MTM_AFTER_OPE_DEATH_DIV  ON d.AFTER_OPE_DEATH_DIV = MTM_AFTER_OPE_DEATH_DIV.AFTER_OPE_DEATH_DIV_CD" _
	'& "  LEFT JOIN MTM_DEPT                 ON h.DEPT_CD             = MTM_DEPT.DEPT_CD" _
	'& "  LEFT JOIN MTM_WARD                 ON h.WARD_CD             = MTM_WARD.WARD_CD" _
	'& "  LEFT JOIN XTM_STAFF AS H_STAFF     ON h.DOCTOR_CD           = H_STAFF.STAFF_CD" _
	'& "  LEFT JOIN MTM_HSP_CNL              ON h.HSP_CNL_CD          = MTM_HSP_CNL.HSP_CNL_CD" _
	'& "  LEFT JOIN MTM_PLAN_EMERGENCY       ON h.PLAN_EMERGENCY_CD   = MTM_PLAN_EMERGENCY.PLAN_EMERGENCY_CD" _
	'& "  LEFT JOIN MTM_HSP_AIM              ON h.HSP_AIM_CD          = MTM_HSP_AIM.HSP_AIM_CD" _
	'& "  LEFT JOIN MTM_OUT_HSP_CNL          ON h.OUT_HSP_CNL_CD      = MTM_OUT_HSP_CNL.OUT_HSP_CNL_CD" _
	'& "  LEFT JOIN MTM_OUT_HSP_OUTCOME      ON h.OUT_HSP_OUTCOME_CD  = MTM_OUT_HSP_OUTCOME.OUT_HSP_OUTCOME_CD" _
	'& "  LEFT JOIN MTM_HSP_FORM			    ON h.HSP_FORM_CD		 = MTM_HSP_FORM.HSP_FORM_CD" _
	'& "  LEFT JOIN MTM_HSP_ITM_CNT AS F1	ON '001' = F1.ITEM_CD AND H.HSP_FREEITEM1 = F1.CNT_CD" _
	'& "  LEFT JOIN MTM_HSP_ITM_CNT AS F2	ON '002' = F2.ITEM_CD AND H.HSP_FREEITEM2 = F2.CNT_CD" _
	'& "  LEFT JOIN MTM_HSP_ITM_CNT AS F3	ON '003' = F3.ITEM_CD AND H.HSP_FREEITEM3 = F3.CNT_CD" _
	'& "  LEFT JOIN MTM_HSP_ITM_CNT AS F4	ON '004' = F4.ITEM_CD AND H.HSP_FREEITEM4 = F4.CNT_CD" _
	'& "  LEFT JOIN MTM_HSP_ITM_CNT AS F5	ON '005' = F5.ITEM_CD AND H.HSP_FREEITEM5 = F5.CNT_CD" _
	'& "  LEFT JOIN MTM_HSP_ITM_CNT AS F6	ON '006' = F6.ITEM_CD AND H.HSP_FREEITEM6 = F6.CNT_CD" _
	'& JOUKEN _
	'& " ORDER BY" _
	'& " s.PATIENT_NO" _
    '& ",s.HSP_HISTORY_NO"
'(M) STR V4-15024-000 219 2014/05/20 ID)鈴木 病歴大将V5PKG 管理No.378 診療科コードのソート条件を名称からコードに修正
'	Public Const sqlSel_List As String = _
'	  "SELECT " _
'	& sqlMSRCOMMON.prmSELECTED & " AS " & sqlMSRCOMMON.itmSELECTED _
'	& ",ROW_NUMBER() OVER(ORDER BY s.PATIENT_NO,s.HSP_HISTORY_NO) AS " & sqlMSRCOMMON.itmSORT_SEQ _
'	& ",s.PATIENT_NO" _
'	& ",s.HSP_HISTORY_NO" _
'	& ",b.PATIENT_NM" _
'	& ",b.PATIENT_KNM" _
'	& ",XTM_GENDER.GENDER_NM" _
'	& ",CONVERT(VARCHAR,b.BIRTH_DT,111)       AS BIRTH_DT" _
'	& ",CONVERT(VARCHAR,b.FIRSTHSPVST_DT,111) AS FIRSTHSPVST_DT" _
'	& ",CONVERT(VARCHAR,b.LASTHSPVST_DT ,111) AS LASTHSPVST_DT" _
'	& ",CONVERT(VARCHAR,b.LASTLEFTHSP_DT,111) AS LASTLEFTHSP_DT" _
'	& ",(SELECT AREA_RNM " _
'	& "  FROM MTM_AREA " _
'	& " WHERE AREA_CD = " _
'	& "( " _
'	& " SELECT TOP 1 AREA_CD FROM MTI_CH" _
'	& "  WHERE PATIENT_NO = s.PATIENT_NO" _
'	& "  ORDER BY" _
'	& " HSP_HISTORY_NO DESC" _
'	& ",CH_NO DESC" _
'	& " )" _
'	& ") AS NEW_AREA_RNM" _
'	& ",MTM_DEATH_LCT.DEATH_LCT_RNM" _
'	& ",CONVERT(VARCHAR,d.DEATH_DT,111) AS DEATH_DT" _
'	& ",d.DEATH_AGE" _
'	& ",MTM_DEATH_DIV.DEATH_DIV_RNM" _
'	& ",MTM_AFTER_OPE_DEATH_DIV.AFTER_OPE_DEATH_DIV_RNM" _
'	& "," & sqlMSRCOMMON.sqlCHK_NM_S & "d.AUTOPSY_CHK" & sqlMSRCOMMON.sqlCHK_NM_E & "AUTOPSY_CHK_NM" _
'	& ",h.BYOREKI_NO" _
'	& ",MTM_DEPT.DEPT_RNM" _
'	& ",MTM_WARD.WARD_CD" _
'	& ",MTM_WARD.WARD_RNM" _
'	& ",MTM_WARD.DSPORDER AS WARD_DSPORDER" _
'	& ",H_STAFF.STAFF_CD AS C_STAFF_CD" _
'	& ",H_STAFF.STAFF_NM AS C_STAFF_NM" _
'	& ",H_STAFF.DSPORDER AS C_STAFF_DSPORDER" _
'	& ",CONVERT(VARCHAR,h.HSP_DT,    111) AS HSP_DT" _
'	& ",h.HSP_AGE" _
'	& ",MTM_HSP_CNL.HSP_CNL_RNM" _
'	& ",MTM_PLAN_EMERGENCY.PLAN_EMERGENCY_NM" _
'	& "," & sqlMSRCOMMON.sqlFLG_NM_S & "h.TIME_OUT_FLG" & sqlMSRCOMMON.sqlFLG_NM_E & "TIME_OUT_FLG_NM" _
'	& "," & sqlMSRCOMMON.sqlCHK_NM_S & "h.TAKE_AMBULANCE_CHK" & sqlMSRCOMMON.sqlCHK_NM_E & "TAKE_AMBULANCE_CHK_NM" _
'	& ",MTM_HSP_AIM.HSP_AIM_RNM" _
'	& ",CONVERT(VARCHAR,h.OUT_HSP_DT,111) AS OUT_HSP_DT" _
'	& ",h.OUT_HSP_AGE" _
'	& ",MTM_OUT_HSP_CNL.OUT_HSP_CNL_RNM" _
'	& ",MTM_OUT_HSP_OUTCOME.OUT_HSP_OUTCOME_RNM" _
'	& ",CASE WHEN h.HSP_DAYS <> 0 OR NOT h.OUT_HSP_DT IS NULL THEN h.HSP_DAYS" _
'	& "      WHEN h.HSP_DT = " & prmSYSDATE & " THEN " & prmNISUU_INIT _
'	& "      ELSE DATEDIFF(day,h.HSP_DT," & prmSYSDATE & ") + " & prmNISUU_PLUS _
'	& " END AS HSP_DAYS" _
'	& ",MTM_HSP_FORM.HSP_FORM_RNM" _
'	& ",h.TOTAL_MED_COST" _
'	& ",h.DPC_NO" _
'	& ",h.REMARKS" _
'	& "," & sqlMSRCOMMON.sqlCHK_NM_S & "h.CHANGE_DEPT_CHK" & sqlMSRCOMMON.sqlCHK_NM_E & "CHANGE_DEPT_CHK_NM" _
'	& "," & sqlMSRCOMMON.sqlCHK_NM_S & "h.HOLD_DEPT_CHK" & sqlMSRCOMMON.sqlCHK_NM_E & "HOLD_DEPT_CHK_NM" _
'	& "," & sqlMSRCOMMON.sqlCHK_NM_S & "h.CLINICAL_TRIAL_CHK" & sqlMSRCOMMON.sqlCHK_NM_E & "CLINICAL_TRIAL_CHK_NM" _
'	& "," & sqlMSRCOMMON.sqlCHK_NM_S & "h.HSP_INFECTION_CHK" & sqlMSRCOMMON.sqlCHK_NM_E & "HSP_INFECTION_CHK_NM" _
'	& ",F1.CNT_RNM AS HSP_FREEITEM1_NM" _
'	& ",F2.CNT_RNM AS HSP_FREEITEM2_NM" _
'	& ",F3.CNT_RNM AS HSP_FREEITEM3_NM" _
'	& ",F4.CNT_RNM AS HSP_FREEITEM4_NM" _
'	& ",F5.CNT_RNM AS HSP_FREEITEM5_NM" _
'	& ",F6.CNT_RNM AS HSP_FREEITEM6_NM" _
'	& ",l.RECORD_MNGSTATUS_CD" _
'	& " FROM (" _
'	& "SELECT" _
'	& " PATIENT_NO" _
'	& ",HSP_HISTORY_NO" _
'	& "  FROM MTT_SEARCH_RESULT" _
'	& " WHERE USER_CD   = " & sqlMSRCOMMON.prmUSER_CD _
'	& "   AND SEARCH_NO = " & sqlMSRCOMMON.prmSEARCH_NO _
'	& " GROUP BY " _
'	& " PATIENT_NO" _
'	& ",HSP_HISTORY_NO" _
'	& " ) AS s" _
'	& " INNER JOIN MTI_HSP AS h             ON s.PATIENT_NO          = h.PATIENT_NO" _
'	& "                                    AND s.HSP_HISTORY_NO      = h.HSP_HISTORY_NO" _
'	& "  LEFT JOIN XTI_BASICINFO AS b       ON s.PATIENT_NO          = b.PATIENT_NO" _
'	& "  LEFT JOIN MTI_DEATH AS d           ON s.PATIENT_NO          = d.PATIENT_NO" _
'	& "  LEFT JOIN XTM_GENDER               ON b.GENDER_CD           = XTM_GENDER.GENDER_CD" _
'	& "  LEFT JOIN MTM_DEATH_LCT            ON d.DEATH_LCT_CD        = MTM_DEATH_LCT.DEATH_LCT_CD" _
'	& "  LEFT JOIN MTM_DEATH_DIV            ON d.DEATH_DIV           = MTM_DEATH_DIV.DEATH_DIV_CD" _
'	& "  LEFT JOIN MTM_AFTER_OPE_DEATH_DIV  ON d.AFTER_OPE_DEATH_DIV = MTM_AFTER_OPE_DEATH_DIV.AFTER_OPE_DEATH_DIV_CD" _
'	& "  LEFT JOIN MTM_DEPT                 ON h.DEPT_CD             = MTM_DEPT.DEPT_CD" _
'	& "  LEFT JOIN MTM_WARD                 ON h.WARD_CD             = MTM_WARD.WARD_CD" _
'	& "  LEFT JOIN XTM_STAFF AS H_STAFF     ON h.DOCTOR_CD           = H_STAFF.STAFF_CD" _
'	& "  LEFT JOIN MTM_HSP_CNL              ON h.HSP_CNL_CD          = MTM_HSP_CNL.HSP_CNL_CD" _
'	& "  LEFT JOIN MTM_PLAN_EMERGENCY       ON h.PLAN_EMERGENCY_CD   = MTM_PLAN_EMERGENCY.PLAN_EMERGENCY_CD" _
'	& "  LEFT JOIN MTM_HSP_AIM              ON h.HSP_AIM_CD          = MTM_HSP_AIM.HSP_AIM_CD" _
'	& "  LEFT JOIN MTM_OUT_HSP_CNL          ON h.OUT_HSP_CNL_CD      = MTM_OUT_HSP_CNL.OUT_HSP_CNL_CD" _
'	& "  LEFT JOIN MTM_OUT_HSP_OUTCOME      ON h.OUT_HSP_OUTCOME_CD  = MTM_OUT_HSP_OUTCOME.OUT_HSP_OUTCOME_CD" _
'	& "  LEFT JOIN MTM_HSP_FORM			    ON h.HSP_FORM_CD		 = MTM_HSP_FORM.HSP_FORM_CD" _
'	& "  LEFT JOIN MTM_HSP_ITM_CNT AS F1	ON '001' = F1.ITEM_CD AND H.HSP_FREEITEM1 = F1.CNT_CD" _
'	& "  LEFT JOIN MTM_HSP_ITM_CNT AS F2	ON '002' = F2.ITEM_CD AND H.HSP_FREEITEM2 = F2.CNT_CD" _
'	& "  LEFT JOIN MTM_HSP_ITM_CNT AS F3	ON '003' = F3.ITEM_CD AND H.HSP_FREEITEM3 = F3.CNT_CD" _
'	& "  LEFT JOIN MTM_HSP_ITM_CNT AS F4	ON '004' = F4.ITEM_CD AND H.HSP_FREEITEM4 = F4.CNT_CD" _
'	& "  LEFT JOIN MTM_HSP_ITM_CNT AS F5	ON '005' = F5.ITEM_CD AND H.HSP_FREEITEM5 = F5.CNT_CD" _
'	& "  LEFT JOIN MTM_HSP_ITM_CNT AS F6	ON '006' = F6.ITEM_CD AND H.HSP_FREEITEM6 = F6.CNT_CD" _
'	& JOUKEN _
'	& " ORDER BY" _
'	& " s.PATIENT_NO" _
'	& ",s.HSP_HISTORY_NO"
'(A) STR V4-99999-000 231 20140623 ID）唐渡 病歴大将V4PKG問題点NO.27 紹介元や紹介先を入退院歴に追加する対応
 '   ''' <summary>
 '   ''' 一覧取得
 '   ''' </summary>
	'Public Const sqlSel_List As String = _
	'  "SELECT " _
	'& sqlMSRCOMMON.prmSELECTED & " AS " & sqlMSRCOMMON.itmSELECTED _
	'& ",ROW_NUMBER() OVER(ORDER BY s.PATIENT_NO,s.HSP_HISTORY_NO) AS " & sqlMSRCOMMON.itmSORT_SEQ _
	'& ",s.PATIENT_NO" _
	'& ",s.HSP_HISTORY_NO" _
	'& ",b.PATIENT_NM" _
	'& ",b.PATIENT_KNM" _
	'& ",XTM_GENDER.GENDER_NM" _
	'& ",CONVERT(VARCHAR,b.BIRTH_DT,111)       AS BIRTH_DT" _
	'& ",CONVERT(VARCHAR,b.FIRSTHSPVST_DT,111) AS FIRSTHSPVST_DT" _
	'& ",CONVERT(VARCHAR,b.LASTHSPVST_DT ,111) AS LASTHSPVST_DT" _
	'& ",CONVERT(VARCHAR,b.LASTLEFTHSP_DT,111) AS LASTLEFTHSP_DT" _
	'& ",(SELECT AREA_RNM " _
	'& "  FROM MTM_AREA " _
	'& " WHERE AREA_CD = " _
	'& "( " _
	'& " SELECT TOP 1 AREA_CD FROM MTI_CH" _
	'& "  WHERE PATIENT_NO = s.PATIENT_NO" _
	'& "  ORDER BY" _
	'& " HSP_HISTORY_NO DESC" _
	'& ",CH_NO DESC" _
	'& " )" _
	'& ") AS NEW_AREA_RNM" _
	'& ",MTM_DEATH_LCT.DEATH_LCT_RNM" _
	'& ",CONVERT(VARCHAR,d.DEATH_DT,111) AS DEATH_DT" _
	'& ",d.DEATH_AGE" _
	'& ",MTM_DEATH_DIV.DEATH_DIV_RNM" _
	'& ",MTM_AFTER_OPE_DEATH_DIV.AFTER_OPE_DEATH_DIV_RNM" _
	'& "," & sqlMSRCOMMON.sqlCHK_NM_S & "d.AUTOPSY_CHK" & sqlMSRCOMMON.sqlCHK_NM_E & "AUTOPSY_CHK_NM" _
	'& ",h.BYOREKI_NO" _
	'& ",MTM_DEPT.DEPT_RNM" _
	'& ",h.DEPT_CD AS DEPT_CD" _
	'& ",MTM_DEPT.DSPORDER AS DEPT_DSPORDER" _
	'& ",MTM_WARD.WARD_CD" _
	'& ",MTM_WARD.WARD_RNM" _
	'& ",MTM_WARD.DSPORDER AS WARD_DSPORDER" _
	'& ",H_STAFF.STAFF_CD AS C_STAFF_CD" _
	'& ",H_STAFF.STAFF_NM AS C_STAFF_NM" _
	'& ",H_STAFF.DSPORDER AS C_STAFF_DSPORDER" _
	'& ",CONVERT(VARCHAR,h.HSP_DT,    111) AS HSP_DT" _
	'& ",h.HSP_AGE" _
	'& ",MTM_HSP_CNL.HSP_CNL_RNM" _
	'& ",MTM_PLAN_EMERGENCY.PLAN_EMERGENCY_NM" _
	'& "," & sqlMSRCOMMON.sqlFLG_NM_S & "h.TIME_OUT_FLG" & sqlMSRCOMMON.sqlFLG_NM_E & "TIME_OUT_FLG_NM" _
	'& "," & sqlMSRCOMMON.sqlCHK_NM_S & "h.TAKE_AMBULANCE_CHK" & sqlMSRCOMMON.sqlCHK_NM_E & "TAKE_AMBULANCE_CHK_NM" _
	'& ",MTM_HSP_AIM.HSP_AIM_RNM" _
	'& ",CONVERT(VARCHAR,h.OUT_HSP_DT,111) AS OUT_HSP_DT" _
	'& ",h.OUT_HSP_AGE" _
	'& ",MTM_OUT_HSP_CNL.OUT_HSP_CNL_RNM" _
	'& ",MTM_OUT_HSP_OUTCOME.OUT_HSP_OUTCOME_RNM" _
	'& ",CASE WHEN h.HSP_DAYS <> 0 OR NOT h.OUT_HSP_DT IS NULL THEN h.HSP_DAYS" _
	'& "      WHEN h.HSP_DT = " & prmSYSDATE & " THEN " & prmNISUU_INIT _
	'& "      ELSE DATEDIFF(day,h.HSP_DT," & prmSYSDATE & ") + " & prmNISUU_PLUS _
	'& " END AS HSP_DAYS" _
	'& ",MTM_HSP_FORM.HSP_FORM_RNM" _
	'& ",h.TOTAL_MED_COST" _
	'& ",h.DPC_NO" _
	'& ",h.REMARKS" _
	'& "," & sqlMSRCOMMON.sqlCHK_NM_S & "h.CHANGE_DEPT_CHK" & sqlMSRCOMMON.sqlCHK_NM_E & "CHANGE_DEPT_CHK_NM" _
	'& "," & sqlMSRCOMMON.sqlCHK_NM_S & "h.HOLD_DEPT_CHK" & sqlMSRCOMMON.sqlCHK_NM_E & "HOLD_DEPT_CHK_NM" _
	'& "," & sqlMSRCOMMON.sqlCHK_NM_S & "h.CLINICAL_TRIAL_CHK" & sqlMSRCOMMON.sqlCHK_NM_E & "CLINICAL_TRIAL_CHK_NM" _
	'& "," & sqlMSRCOMMON.sqlCHK_NM_S & "h.HSP_INFECTION_CHK" & sqlMSRCOMMON.sqlCHK_NM_E & "HSP_INFECTION_CHK_NM" _
	'& ",F1.CNT_RNM AS HSP_FREEITEM1_NM" _
	'& ",F2.CNT_RNM AS HSP_FREEITEM2_NM" _
	'& ",F3.CNT_RNM AS HSP_FREEITEM3_NM" _
	'& ",F4.CNT_RNM AS HSP_FREEITEM4_NM" _
	'& ",F5.CNT_RNM AS HSP_FREEITEM5_NM" _
	'& ",F6.CNT_RNM AS HSP_FREEITEM6_NM" _
	'& " FROM (" _
	'& "SELECT" _
	'& " PATIENT_NO" _
	'& ",HSP_HISTORY_NO" _
	'& "  FROM MTT_SEARCH_RESULT" _
	'& " WHERE USER_CD   = " & sqlMSRCOMMON.prmUSER_CD _
	'& "   AND SEARCH_NO = " & sqlMSRCOMMON.prmSEARCH_NO _
	'& " GROUP BY " _
	'& " PATIENT_NO" _
	'& ",HSP_HISTORY_NO" _
	'& " ) AS s" _
	'& " INNER JOIN MTI_HSP AS h             ON s.PATIENT_NO          = h.PATIENT_NO" _
	'& "                                    AND s.HSP_HISTORY_NO      = h.HSP_HISTORY_NO" _
	'& "  LEFT JOIN XTI_BASICINFO AS b       ON s.PATIENT_NO          = b.PATIENT_NO" _
	'& "  LEFT JOIN MTI_DEATH AS d           ON s.PATIENT_NO          = d.PATIENT_NO" _
	'& "  LEFT JOIN XTM_GENDER               ON b.GENDER_CD           = XTM_GENDER.GENDER_CD" _
	'& "  LEFT JOIN MTM_DEATH_LCT            ON d.DEATH_LCT_CD        = MTM_DEATH_LCT.DEATH_LCT_CD" _
	'& "  LEFT JOIN MTM_DEATH_DIV            ON d.DEATH_DIV           = MTM_DEATH_DIV.DEATH_DIV_CD" _
	'& "  LEFT JOIN MTM_AFTER_OPE_DEATH_DIV  ON d.AFTER_OPE_DEATH_DIV = MTM_AFTER_OPE_DEATH_DIV.AFTER_OPE_DEATH_DIV_CD" _
	'& "  LEFT JOIN MTM_DEPT                 ON h.DEPT_CD             = MTM_DEPT.DEPT_CD" _
	'& "  LEFT JOIN MTM_WARD                 ON h.WARD_CD             = MTM_WARD.WARD_CD" _
	'& "  LEFT JOIN XTM_STAFF AS H_STAFF     ON h.DOCTOR_CD           = H_STAFF.STAFF_CD" _
	'& "  LEFT JOIN MTM_HSP_CNL              ON h.HSP_CNL_CD          = MTM_HSP_CNL.HSP_CNL_CD" _
	'& "  LEFT JOIN MTM_PLAN_EMERGENCY       ON h.PLAN_EMERGENCY_CD   = MTM_PLAN_EMERGENCY.PLAN_EMERGENCY_CD" _
	'& "  LEFT JOIN MTM_HSP_AIM              ON h.HSP_AIM_CD          = MTM_HSP_AIM.HSP_AIM_CD" _
	'& "  LEFT JOIN MTM_OUT_HSP_CNL          ON h.OUT_HSP_CNL_CD      = MTM_OUT_HSP_CNL.OUT_HSP_CNL_CD" _
	'& "  LEFT JOIN MTM_OUT_HSP_OUTCOME      ON h.OUT_HSP_OUTCOME_CD  = MTM_OUT_HSP_OUTCOME.OUT_HSP_OUTCOME_CD" _
	'& "  LEFT JOIN MTM_HSP_FORM			    ON h.HSP_FORM_CD		 = MTM_HSP_FORM.HSP_FORM_CD" _
	'& "  LEFT JOIN MTM_HSP_ITM_CNT AS F1	ON '001' = F1.ITEM_CD AND H.HSP_FREEITEM1 = F1.CNT_CD" _
	'& "  LEFT JOIN MTM_HSP_ITM_CNT AS F2	ON '002' = F2.ITEM_CD AND H.HSP_FREEITEM2 = F2.CNT_CD" _
	'& "  LEFT JOIN MTM_HSP_ITM_CNT AS F3	ON '003' = F3.ITEM_CD AND H.HSP_FREEITEM3 = F3.CNT_CD" _
	'& "  LEFT JOIN MTM_HSP_ITM_CNT AS F4	ON '004' = F4.ITEM_CD AND H.HSP_FREEITEM4 = F4.CNT_CD" _
	'& "  LEFT JOIN MTM_HSP_ITM_CNT AS F5	ON '005' = F5.ITEM_CD AND H.HSP_FREEITEM5 = F5.CNT_CD" _
	'& "  LEFT JOIN MTM_HSP_ITM_CNT AS F6	ON '006' = F6.ITEM_CD AND H.HSP_FREEITEM6 = F6.CNT_CD" _
	'& JOUKEN _
	'& " ORDER BY" _
	'& " s.PATIENT_NO" _
	'& ",s.HSP_HISTORY_NO"
	''' <summary>
	''' 一覧取得
	''' </summary>
	Public Const sqlSel_List As String = _
	  "SELECT " _
	& sqlMSRCOMMON.prmSELECTED & " AS " & sqlMSRCOMMON.itmSELECTED _
	& ",ROW_NUMBER() OVER(ORDER BY s.PATIENT_NO,s.HSP_HISTORY_NO) AS " & sqlMSRCOMMON.itmSORT_SEQ _
	& ",s.PATIENT_NO" _
	& ",s.HSP_HISTORY_NO" _
	& ",b.PATIENT_NM" _
	& ",b.PATIENT_KNM" _
	& ",XTM_GENDER.GENDER_NM" _
	& ",CONVERT(VARCHAR,b.BIRTH_DT,111)       AS BIRTH_DT" _
	& ",CONVERT(VARCHAR,b.FIRSTHSPVST_DT,111) AS FIRSTHSPVST_DT" _
	& ",CONVERT(VARCHAR,b.LASTHSPVST_DT ,111) AS LASTHSPVST_DT" _
	& ",CONVERT(VARCHAR,b.LASTLEFTHSP_DT,111) AS LASTLEFTHSP_DT" _
	& ",(SELECT AREA_RNM " _
	& "  FROM MTM_AREA " _
	& " WHERE AREA_CD = " _
	& "( " _
	& " SELECT TOP 1 AREA_CD FROM MTI_CH" _
	& "  WHERE PATIENT_NO = s.PATIENT_NO" _
	& "  ORDER BY" _
	& " HSP_HISTORY_NO DESC" _
	& ",CH_NO DESC" _
	& " )" _
	& ") AS NEW_AREA_RNM" _
	& ",MTM_DEATH_LCT.DEATH_LCT_RNM" _
	& ",CONVERT(VARCHAR,d.DEATH_DT,111) AS DEATH_DT" _
	& ",d.DEATH_AGE" _
	& ",MTM_DEATH_DIV.DEATH_DIV_RNM" _
	& ",MTM_AFTER_OPE_DEATH_DIV.AFTER_OPE_DEATH_DIV_RNM" _
	& "," & sqlMSRCOMMON.sqlCHK_NM_S & "d.AUTOPSY_CHK" & sqlMSRCOMMON.sqlCHK_NM_E & "AUTOPSY_CHK_NM" _
	& ",h.BYOREKI_NO" _
	& ",MTM_DEPT.DEPT_RNM" _
	& ",h.DEPT_CD AS DEPT_CD" _
	& ",MTM_DEPT.DSPORDER AS DEPT_DSPORDER" _
	& ",MTM_WARD.WARD_CD" _
	& ",MTM_WARD.WARD_RNM" _
	& ",MTM_WARD.DSPORDER AS WARD_DSPORDER" _
	& ",H_STAFF.STAFF_CD AS C_STAFF_CD" _
	& ",H_STAFF.STAFF_NM AS C_STAFF_NM" _
	& ",H_STAFF.DSPORDER AS C_STAFF_DSPORDER" _
	& ",CONVERT(VARCHAR,h.HSP_DT,    111) AS HSP_DT" _
	& ",h.HSP_AGE" _
	& ",MTM_HSP_CNL.HSP_CNL_RNM" _
	& ",MTM_PLAN_EMERGENCY.PLAN_EMERGENCY_NM" _
	& "," & sqlMSRCOMMON.sqlFLG_NM_S & "h.TIME_OUT_FLG" & sqlMSRCOMMON.sqlFLG_NM_E & "TIME_OUT_FLG_NM" _
	& "," & sqlMSRCOMMON.sqlCHK_NM_S & "h.TAKE_AMBULANCE_CHK" & sqlMSRCOMMON.sqlCHK_NM_E & "TAKE_AMBULANCE_CHK_NM" _
	& ",MTM_HSP_AIM.HSP_AIM_RNM" _
	& ",CONVERT(VARCHAR,h.OUT_HSP_DT,111) AS OUT_HSP_DT" _
	& ",h.OUT_HSP_AGE" _
	& ",MTM_OUT_HSP_CNL.OUT_HSP_CNL_RNM" _
	& ",MTM_OUT_HSP_OUTCOME.OUT_HSP_OUTCOME_RNM" _
	& ",CASE WHEN h.HSP_DAYS <> 0 OR NOT h.OUT_HSP_DT IS NULL THEN h.HSP_DAYS" _
	& "      WHEN h.HSP_DT = " & prmSYSDATE & " THEN " & prmNISUU_INIT _
	& "      ELSE DATEDIFF(day,h.HSP_DT," & prmSYSDATE & ") + " & prmNISUU_PLUS _
	& " END AS HSP_DAYS" _
	& ",MTM_HSP_FORM.HSP_FORM_RNM" _
	& ",h.TOTAL_MED_COST" _
	& ",h.DPC_NO" _
	& ",h.REMARKS" _
	& "," & sqlMSRCOMMON.sqlCHK_NM_S & "h.CHANGE_DEPT_CHK" & sqlMSRCOMMON.sqlCHK_NM_E & "CHANGE_DEPT_CHK_NM" _
	& "," & sqlMSRCOMMON.sqlCHK_NM_S & "h.HOLD_DEPT_CHK" & sqlMSRCOMMON.sqlCHK_NM_E & "HOLD_DEPT_CHK_NM" _
	& "," & sqlMSRCOMMON.sqlCHK_NM_S & "h.CLINICAL_TRIAL_CHK" & sqlMSRCOMMON.sqlCHK_NM_E & "CLINICAL_TRIAL_CHK_NM" _
	& "," & sqlMSRCOMMON.sqlCHK_NM_S & "h.HSP_INFECTION_CHK" & sqlMSRCOMMON.sqlCHK_NM_E & "HSP_INFECTION_CHK_NM" _
	& ",F1.CNT_RNM AS HSP_FREEITEM1_NM" _
	& ",F2.CNT_RNM AS HSP_FREEITEM2_NM" _
	& ",F3.CNT_RNM AS HSP_FREEITEM3_NM" _
	& ",F4.CNT_RNM AS HSP_FREEITEM4_NM" _
	& ",F5.CNT_RNM AS HSP_FREEITEM5_NM" _
	& ",F6.CNT_RNM AS HSP_FREEITEM6_NM" _
	& ",h.INTRODUCED_CD" _
	& ",h.INTRODUCED_NM" _
	& ",h.INTRODUCED_DOCTOR_NM" _
	& ",h.INTRODUCED_REMARKS" _
	& ",h.REFERENCE_CD" _
	& ",h.REFERENCE_NM" _
	& ",h.REFERENCE_DOCTOR_NM" _
	& ",h.REFERENCE_REMARKS" _
	& ",l.RECORD_MNGSTATUS_CD" _
	& " FROM (" _
	& "SELECT" _
	& " PATIENT_NO" _
	& ",HSP_HISTORY_NO" _
	& "  FROM MTT_SEARCH_RESULT" _
	& " WHERE USER_CD   = " & sqlMSRCOMMON.prmUSER_CD _
	& "   AND SEARCH_NO = " & sqlMSRCOMMON.prmSEARCH_NO _
	& " GROUP BY " _
	& " PATIENT_NO" _
	& ",HSP_HISTORY_NO" _
	& " ) AS s" _
	& " INNER JOIN MTI_HSP AS h             ON s.PATIENT_NO          = h.PATIENT_NO" _
	& "                                    AND s.HSP_HISTORY_NO      = h.HSP_HISTORY_NO" _
	& "  LEFT JOIN XTI_BASICINFO AS b       ON s.PATIENT_NO          = b.PATIENT_NO" _
	& "  LEFT JOIN MTI_DEATH AS d           ON s.PATIENT_NO          = d.PATIENT_NO" _
	& "  LEFT JOIN XTM_GENDER               ON b.GENDER_CD           = XTM_GENDER.GENDER_CD" _
	& "  LEFT JOIN MTM_DEATH_LCT            ON d.DEATH_LCT_CD        = MTM_DEATH_LCT.DEATH_LCT_CD" _
	& "  LEFT JOIN MTM_DEATH_DIV            ON d.DEATH_DIV           = MTM_DEATH_DIV.DEATH_DIV_CD" _
	& "  LEFT JOIN MTM_AFTER_OPE_DEATH_DIV  ON d.AFTER_OPE_DEATH_DIV = MTM_AFTER_OPE_DEATH_DIV.AFTER_OPE_DEATH_DIV_CD" _
	& "  LEFT JOIN MTM_DEPT                 ON h.DEPT_CD             = MTM_DEPT.DEPT_CD" _
	& "  LEFT JOIN MTM_WARD                 ON h.WARD_CD             = MTM_WARD.WARD_CD" _
	& "  LEFT JOIN XTM_STAFF AS H_STAFF     ON h.DOCTOR_CD           = H_STAFF.STAFF_CD" _
	& "  LEFT JOIN MTM_HSP_CNL              ON h.HSP_CNL_CD          = MTM_HSP_CNL.HSP_CNL_CD" _
	& "  LEFT JOIN MTM_PLAN_EMERGENCY       ON h.PLAN_EMERGENCY_CD   = MTM_PLAN_EMERGENCY.PLAN_EMERGENCY_CD" _
	& "  LEFT JOIN MTM_HSP_AIM              ON h.HSP_AIM_CD          = MTM_HSP_AIM.HSP_AIM_CD" _
	& "  LEFT JOIN MTM_OUT_HSP_CNL          ON h.OUT_HSP_CNL_CD      = MTM_OUT_HSP_CNL.OUT_HSP_CNL_CD" _
	& "  LEFT JOIN MTM_OUT_HSP_OUTCOME      ON h.OUT_HSP_OUTCOME_CD  = MTM_OUT_HSP_OUTCOME.OUT_HSP_OUTCOME_CD" _
	& "  LEFT JOIN MTM_HSP_FORM			    ON h.HSP_FORM_CD		 = MTM_HSP_FORM.HSP_FORM_CD" _
	& "  LEFT JOIN MTM_HSP_ITM_CNT AS F1	ON '001' = F1.ITEM_CD AND H.HSP_FREEITEM1 = F1.CNT_CD" _
	& "  LEFT JOIN MTM_HSP_ITM_CNT AS F2	ON '002' = F2.ITEM_CD AND H.HSP_FREEITEM2 = F2.CNT_CD" _
	& "  LEFT JOIN MTM_HSP_ITM_CNT AS F3	ON '003' = F3.ITEM_CD AND H.HSP_FREEITEM3 = F3.CNT_CD" _
	& "  LEFT JOIN MTM_HSP_ITM_CNT AS F4	ON '004' = F4.ITEM_CD AND H.HSP_FREEITEM4 = F4.CNT_CD" _
	& "  LEFT JOIN MTM_HSP_ITM_CNT AS F5	ON '005' = F5.ITEM_CD AND H.HSP_FREEITEM5 = F5.CNT_CD" _
	& "  LEFT JOIN MTM_HSP_ITM_CNT AS F6	ON '006' = F6.ITEM_CD AND H.HSP_FREEITEM6 = F6.CNT_CD" _
	& JOUKEN _
	& " ORDER BY" _
	& " s.PATIENT_NO" _
	& ",s.HSP_HISTORY_NO"
'(M) END V4-99999-000 231 20140623 ID）唐渡 病歴大将V4PKG問題点NO.27 紹介元や紹介先を入退院歴に追加する対応
'(M) END V4-15024-000 219 2014/05/20 ID)鈴木 病歴大将V5PKG 管理No.378 診療科コードのソート条件を名称からコードに修正
'(M) END V4-12051-000 210 2013/01/23
'(M) END V4-11048-000 209 20110915
'(A) STR V4-11048-000 008 20110915 FJSK)荒川 XXX号 病歴大将V4PKG問題点No159 並び替えができるように列に「カナ」を追加する対応
    ''' <summary>
    ''' 入院単位の貸出物情報
    ''' </summary>
	Public Const sqlTblMe_ih As String = "  LEFT JOIN MTI_LENDITM AS l  ON s.PATIENT_NO          = l.PATIENT_NO" _
																   & " AND s.HSP_HISTORY_NO      = l.HSP_HISTORY_NO" _
																   & " AND 0                     = l.CH_NO"
'(A) END V4-11048-000 008 20110915
'(A) STR V4-11048-000 011 20110915 FJSK)荒川 XXX号 病歴大将V4PKG問題点No159 並び替えができるように列に「カナ」を追加する対応
	''' <summary>
	''' 科歴単位の貸出物情報
	''' </summary>
	Public Const sqlTblMe_ic As String = "  LEFT JOIN MTI_CH      AS c  ON s.PATIENT_NO          = c.PATIENT_NO" _
																   & " AND s.HSP_HISTORY_NO      = c.HSP_HISTORY_NO" _
																   & " AND " & sqlMSRCOMMON.prmFLG_CD_ON & " = c.MAIN_DPM_FLG" _
									   & "  LEFT JOIN MTI_LENDITM AS l  ON s.PATIENT_NO          = l.PATIENT_NO" _
																   & " AND s.HSP_HISTORY_NO      = l.HSP_HISTORY_NO" _
																   & " AND c.CH_NO               = l.CH_NO"
'(A) END V4-11048-000 011 20110915
'(A) STR V4-11048-000 008 20110915 FJSK)荒川 XXX号 病歴大将V4PKG問題点No159 並び替えができるように列に「カナ」を追加する対応
	''' <summary>
	''' 患者単位の貸出物情報
	''' </summary>
	Public Const sqlTblMe_ib As String = "  LEFT JOIN MTI_LENDITM AS l  ON s.PATIENT_NO          = l.PATIENT_NO" _
																   & " AND 0                     = l.HSP_HISTORY_NO" _
																   & " AND 0                     = l.CH_NO"
'(A) END V4-11048-000 008 20110915
	''' <summary>
	''' ヘッダ項目マスタの取得
	''' </summary>
	Public Const sqlSel_Header As String = _
	  "SELECT" _
	& " ITEM_CD" _
	& ",ITEM_RNM" _
	& ",ITEM_NM" _
	& " FROM MTM_HSP_ITM" _
	& " WHERE ITEM_NM " & XCM.clsConst.CST_NONEMPTY_WHERE

End Class
