﻿''' ---------------------------------------------
''' <summary>
''' 診療情報管理 検索 入退院情報　検索結果更新(SQLクラス）
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public NotInheritable Class sqlMSR040F030

#Region "統計対象外"

	Public Const prmEXCLUDE_STATISTICS_FLG As String = "@EXCLUDE_STATISTICS_FLG"

	''' <summary>
	''' 統計対象外
	''' </summary>
	Public Const sqlUpd_StatisticsFlg As String = _
	  "UPDATE MTI_HSP" _
	& "   SET EXCLUDE_STATISTICS_FLG           =" & prmEXCLUDE_STATISTICS_FLG _
	& "      ,LASTUPD_DT                       =" & sqlMSRCOMMON.prmLASTUPD_DT _
	& "      ,LASTUPDUSER_CD                   =" & sqlMSRCOMMON.prmLASTUPDUSER_CD _
	& "  FROM MTW_SEARCH_WORK" _
	& " INNER JOIN MTI_HSP" _
	& "    ON MTW_SEARCH_WORK.PATIENT_NO       = MTI_HSP.PATIENT_NO" _
	& "   AND MTW_SEARCH_WORK.HSP_HISTORY_NO   = MTI_HSP.HSP_HISTORY_NO" _
	& " WHERE MTW_SEARCH_WORK.HOST_NM          = " & sqlMSRCOMMON.prmHOST_NM

#End Region

#Region "在院日数の再計算"

	Public Const prmNISUU_INIT As String = "@NISUU_INIT"			'在院日数の初期値
	Public Const prmNISUU_PLUS As String = "@NISUU_PLUS"			'在院日数の初期値

	''' <summary>
	''' 在院日数の再計算(科歴)
	''' </summary>
	Public Const sqlUpd_HspDays_C As String = _
	  "UPDATE MTI_CH" _
	& "   SET" _
	& " HSP_DAYS = " _
	& " CASE WHEN START_DT = END_DT THEN " & prmNISUU_INIT _
	& "      ELSE DATEDIFF(day,START_DT,END_DT)" _
	& "         + CASE " & prmNISUU_PLUS & " WHEN 2 THEN CASE WHEN OUT_HSP_FLG = " & sqlMSRCOMMON.prmFLG_ON & " THEN 1 ELSE 0 END" _
	& "                                      ELSE " & prmNISUU_PLUS & " END" _
	& " END" _
	& " ,LASTUPD_DT     =" & sqlMSRCOMMON.prmLASTUPD_DT _
	& " ,LASTUPDUSER_CD =" & sqlMSRCOMMON.prmLASTUPDUSER_CD _
	& "  FROM MTW_SEARCH_WORK" _
	& " INNER JOIN MTI_CH" _
	& "    ON MTW_SEARCH_WORK.PATIENT_NO       = MTI_CH.PATIENT_NO" _
	& "   AND MTW_SEARCH_WORK.HSP_HISTORY_NO   = MTI_CH.HSP_HISTORY_NO" _
	& " WHERE MTW_SEARCH_WORK.HOST_NM          = " & sqlMSRCOMMON.prmHOST_NM _
	& "   AND MTI_CH.END_DT                    IS NOT NULL"

	''' <summary>
	''' 在院日数の再計算(入退院)
	''' </summary>
	Public Const sqlUpd_HspDays_H As String = _
	  "UPDATE MTI_HSP" _
	& "   SET" _
	& " HSP_DAYS = " _
	& " CASE WHEN HSP_DT = OUT_HSP_DT THEN " & prmNISUU_INIT _
	& "      ELSE DATEDIFF(day,HSP_DT,OUT_HSP_DT)" _
	& "         + CASE " & prmNISUU_PLUS & " WHEN 2 THEN 1 ELSE " & prmNISUU_PLUS & " END" _
	& " END" _
	& " ,LASTUPD_DT     =" & sqlMSRCOMMON.prmLASTUPD_DT _
	& " ,LASTUPDUSER_CD =" & sqlMSRCOMMON.prmLASTUPDUSER_CD _
	& "  FROM MTW_SEARCH_WORK" _
	& " INNER JOIN MTI_HSP" _
	& "    ON MTW_SEARCH_WORK.PATIENT_NO       = MTI_HSP.PATIENT_NO" _
	& "   AND MTW_SEARCH_WORK.HSP_HISTORY_NO   = MTI_HSP.HSP_HISTORY_NO" _
	& " WHERE MTW_SEARCH_WORK.HOST_NM          = " & sqlMSRCOMMON.prmHOST_NM _
	& "   AND MTI_HSP.OUT_HSP_DT               IS NOT NULL"

	''' <summary>
	''' 在院日数の再計算(入退院)
	''' </summary>
	Public Const sqlUpd_HspDays_HfromC As String = _
	  "UPDATE MTI_HSP" _
	& " SET" _
	& " HSP_DAYS       = r.HSP_DAYS" _
	& ",LASTUPD_DT     =" & sqlMSRCOMMON.prmLASTUPD_DT _
	& ",LASTUPDUSER_CD =" & sqlMSRCOMMON.prmLASTUPDUSER_CD _
	& "  FROM (" _
 _
	& "SELECT " _
	& " MTI_CH.PATIENT_NO" _
	& ",MTI_CH.HSP_HISTORY_NO" _
	& ",SUM( CASE WHEN MTM_HSP_CNL.HSP_CNL_CD IS NOT NULL THEN 0 ELSE MTI_CH.HSP_DAYS END) AS HSP_DAYS" _
	& "  FROM MTW_SEARCH_WORK" _
	& " INNER JOIN MTI_CH" _
	& "    ON MTW_SEARCH_WORK.PATIENT_NO       = MTI_CH.PATIENT_NO" _
	& "   AND MTW_SEARCH_WORK.HSP_HISTORY_NO   = MTI_CH.HSP_HISTORY_NO" _
	& "  LEFT JOIN MTM_HSP_CNL" _
	& "    ON MTI_CH.START_CNL_CD              = MTM_HSP_CNL.HSP_CNL_CD" _
	& "   AND " & sqlMSRCOMMON.prmFIXED_CD & " = MTM_HSP_CNL.FIXED_CD2" _
	& " WHERE MTW_SEARCH_WORK.HOST_NM          = " & sqlMSRCOMMON.prmHOST_NM _
	& " GROUP BY" _
	& " MTI_CH.PATIENT_NO" _
	& ",MTI_CH.HSP_HISTORY_NO" _
 _
	& ") AS r" _
	& "       INNER JOIN MTI_HSP" _
	& "    ON r.PATIENT_NO       = MTI_HSP.PATIENT_NO" _
	& "   AND r.HSP_HISTORY_NO   = MTI_HSP.HSP_HISTORY_NO" _
	& " WHERE MTI_HSP.OUT_HSP_DT IS NOT NULL"

#End Region

#Region "再入院の再チェック"

	''' <summary>
	''' 再入院の再チェック(主科)
	''' </summary>
	Public Const sqlUpd_ReadmissionFlg_Main As String = _
	sqlUpd_ReadmissionFlg _
	& " AND MTI_CH.MAIN_DPM_FLG = " & sqlMSRCOMMON.prmFLG_ON

	''' <summary>
	''' 再入院の再チェック(入院)
	''' </summary>
	Public Const sqlUpd_ReadmissionFlg_Hsp As String = _
	sqlUpd_ReadmissionFlg _
	& " AND MTI_CH.HSP_FLG = " & sqlMSRCOMMON.prmFLG_ON


	Private Const sqlUpd_ReadmissionFlg As String = _
	  "UPDATE MTI_HSP" _
	& " SET" _
	& " READMISSION_FLG         = MTI_CH.READMISSION_FLG" _
	& ",LAST_SELF_OTHER_HSP_DIV = MTI_CH.LAST_SELF_OTHER_HSP_DIV" _
	& ",LAST_OUT_HSP_DT         = MTI_CH.LAST_OUT_HSP_DT" _
	& ",LASTUPD_DT              =" & sqlMSRCOMMON.prmLASTUPD_DT _
	& ",LASTUPDUSER_CD          =" & sqlMSRCOMMON.prmLASTUPDUSER_CD _
 _
	& "  FROM MTW_SEARCH_WORK" _
	& " INNER JOIN MTI_HSP" _
	& "    ON MTW_SEARCH_WORK.PATIENT_NO       = MTI_HSP.PATIENT_NO" _
	& "   AND MTW_SEARCH_WORK.HSP_HISTORY_NO   = MTI_HSP.HSP_HISTORY_NO" _
	& " INNER JOIN MTI_CH" _
	& "    ON MTW_SEARCH_WORK.PATIENT_NO       = MTI_CH.PATIENT_NO" _
	& "   AND MTW_SEARCH_WORK.HSP_HISTORY_NO   = MTI_CH.HSP_HISTORY_NO" _
	& " WHERE MTW_SEARCH_WORK.HOST_NM          = " & sqlMSRCOMMON.prmHOST_NM

#End Region

#Region "同一疾病自院再入院の再チェック"

	''' <summary>
	''' 同一疾病自院再入院の再チェック(主科)
	''' </summary>
	Public Const sqlUpd_DiseaseReadmissionFlg_Main As String = _
	sqlUpd_DiseaseReadmissionFlg _
	& " AND MTI_CH.MAIN_DPM_FLG = " & sqlMSRCOMMON.prmFLG_ON

	''' <summary>
	''' 同一疾病自院再入院の再チェック(入院)
	''' </summary>
	Public Const sqlUpd_DiseaseReadmissionFlg_Hsp As String = _
	sqlUpd_DiseaseReadmissionFlg _
	& " AND MTI_CH.HSP_FLG = " & sqlMSRCOMMON.prmFLG_ON


	Private Const sqlUpd_DiseaseReadmissionFlg As String = _
	  "UPDATE MTI_HSP" _
	& " SET" _
	& " DISEASE_READMISSION_FLG  = MTI_CH.DISEASE_READMISSION_FLG" _
	& ",SAME_DISEASE_LAST_HSP_DT = MTI_CH.SAME_DISEASE_LAST_HSP_DT" _
	& ",LASTUPD_DT               =" & sqlMSRCOMMON.prmLASTUPD_DT _
	& ",LASTUPDUSER_CD           =" & sqlMSRCOMMON.prmLASTUPDUSER_CD _
 _
	& "  FROM MTW_SEARCH_WORK" _
	& " INNER JOIN MTI_HSP" _
	& "    ON MTW_SEARCH_WORK.PATIENT_NO       = MTI_HSP.PATIENT_NO" _
	& "   AND MTW_SEARCH_WORK.HSP_HISTORY_NO   = MTI_HSP.HSP_HISTORY_NO" _
	& " INNER JOIN MTI_CH" _
	& "    ON MTW_SEARCH_WORK.PATIENT_NO       = MTI_CH.PATIENT_NO" _
	& "   AND MTW_SEARCH_WORK.HSP_HISTORY_NO   = MTI_CH.HSP_HISTORY_NO" _
	& " WHERE MTW_SEARCH_WORK.HOST_NM          = " & sqlMSRCOMMON.prmHOST_NM

#End Region

End Class
