﻿''' ---------------------------------------------
''' <summary>
''' 診療情報管理 検索 入退院情報　ＤＰＣ更新(SQLクラス）
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public NotInheritable Class sqlMSR040F050

	Public Const prmOUT_HSP_DT_FR As String = "@OUT_HSP_DT_FR"
	Public Const prmOUT_HSP_DT_To As String = "@OUT_HSP_DT_TO"

	''' <summary>
	''' 対象外データの存在チェック
	''' </summary>
	''' <remarks></remarks>
	Public Const sqqlSel_Chk As String = "" _
	& " SELECT TOP 1 MTI_HSP.PATIENT_NO" _
	& "  FROM MTW_SEARCH_WORK" _
	& " INNER JOIN MTI_HSP" _
	& "    ON MTW_SEARCH_WORK.PATIENT_NO      = MTI_HSP.PATIENT_NO" _
	& "   AND MTW_SEARCH_WORK.HSP_HISTORY_NO  = MTI_HSP.HSP_HISTORY_NO" _
	& " WHERE   MTI_HSP.OUT_HSP_DT < " & prmOUT_HSP_DT_FR _
	& "    OR ( MTI_HSP.OUT_HSP_DT > " & prmOUT_HSP_DT_To _
	& "      AND " & prmOUT_HSP_DT_To & " Is NULL" _
	& "       )"

	Public Const itmS_ITM_CD As String = "S_ITM_CD"					'小項目コード
	Public Const itmTABLE_FIELD_NM As String = "TABLE_FIELD_NM"		'テーブルフィールド名
	Public Const itmUPDATED_OBJECT As String = "UPDATED_OBJECT"		'更新対象

	''' <summary>
	''' 2006年度マスタ
	''' </summary>
	''' <remarks></remarks>
	Public Const sqlSel_DPC2006 As String = "" _
	& "SELECT" _
	& " TABLE_FIELD_NM" _
	& ",S_ITM_CD" _
	& ",UPDATED_OBJECT" _
	& "  FROM MTM_DPC2006_ASST" _
	& " WHERE TABLE_FIELD_NM " & XCM.clsConst.CST_NONEMPTY_WHERE _
	& "   AND UPDATED_OBJECT " & XCM.clsConst.CST_NONEMPTY_WHERE _
	& "   AND INPUT_FLG = " & sqlMSRCOMMON.prmFLG_ON

	''' <summary>
	''' 2008年度マスタ
	''' </summary>
	''' <remarks></remarks>
	Public Const sqlSel_DPC2008 As String = "" _
	& "SELECT" _
	& " TABLE_FIELD_NM" _
	& ",S_ITM_CD" _
	& ",UPDATED_OBJECT" _
	& "  FROM MTM_DPC2008_ASST" _
	& " WHERE TABLE_FIELD_NM " & XCM.clsConst.CST_NONEMPTY_WHERE _
	& "   AND UPDATED_OBJECT " & XCM.clsConst.CST_NONEMPTY_WHERE _
	& "   AND INPUT_FLG = " & sqlMSRCOMMON.prmFLG_ON

	''' <summary>
	''' 2010年度マスタ
	''' </summary>
	''' <remarks></remarks>
	Public Const sqlSel_DPC2010 As String = "" _
	& "SELECT" _
	& " TABLE_FIELD_NM" _
	& ",S_ITM_CD" _
	& ",UPDATED_OBJECT" _
	& "  FROM MTM_DPC2010_ASST" _
	& " WHERE TABLE_FIELD_NM " & XCM.clsConst.CST_NONEMPTY_WHERE _
	& "   AND UPDATED_OBJECT " & XCM.clsConst.CST_NONEMPTY_WHERE _
	& "   AND INPUT_FLG = " & sqlMSRCOMMON.prmFLG_ON

'(A) STR V4-12031-000 015 2012/06/07 ID)平井 DPC2012対応
	''' <summary>
	''' 2012年度マスタ
	''' </summary>
	''' <remarks></remarks>
	Public Const sqlSel_DPC2012 As String = "" _
	& "SELECT" _
	& " TABLE_FIELD_NM" _
	& ",S_ITM_CD" _
	& ",UPDATED_OBJECT" _
	& "  FROM MTM_DPC2012_ASST" _
	& " WHERE TABLE_FIELD_NM " & XCM.clsConst.CST_NONEMPTY_WHERE _
	& "   AND UPDATED_OBJECT " & XCM.clsConst.CST_NONEMPTY_WHERE _
	& "   AND INPUT_FLG = " & sqlMSRCOMMON.prmFLG_ON
'(A) END V4-12031-000 015 2012/06/07 ID)平井 DPC2012対応

'(A) STR V4-15019-000 015 2014/04/17 ID)曽我部 DPC2014対応
    ''' <summary>
    ''' 2014年度マスタ
    ''' </summary>
    ''' <remarks></remarks>
    Public Const sqlSel_DPC2014 As String = "" _
    & "SELECT" _
    & " TABLE_FIELD_NM" _
    & ",S_ITM_CD" _
    & ",UPDATED_OBJECT" _
    & "  FROM MTM_DPC2014_ASST" _
    & " WHERE TABLE_FIELD_NM " & XCM.clsConst.CST_NONEMPTY_WHERE _
    & "   AND UPDATED_OBJECT " & XCM.clsConst.CST_NONEMPTY_WHERE _
    & "   AND INPUT_FLG = " & sqlMSRCOMMON.prmFLG_ON
'(A) END V4-15019-000 015 2014/04/17 ID)曽我部 DPC2014対応

	''' <summary>
	''' 補足項目１追加(入院フラグ
	''' </summary>
	''' <remarks></remarks>
	Public Const sqlIns_MTI_ASST1_HSP As String = sqlIns_MTI_ASST1 & sqlWhere_HSP_FLG

	''' <summary>
	''' 補足項目１追加(退院フラグ
	''' </summary>
	''' <remarks></remarks>
	Public Const sqlIns_MTI_ASST1_OUT As String = sqlIns_MTI_ASST1 & sqlWhere_OUT_HSP_FLG

	''' <summary>
	''' 補足項目１追加(主科フラグ
	''' </summary>
	''' <remarks></remarks>
	Public Const sqlIns_MTI_ASST1_MAIN As String = sqlIns_MTI_ASST1 & sqlWhere_MAIN_DPM_FLG

	''' <summary>
	''' 補足項目１更新(入院フラグ
	''' </summary>
	''' <remarks></remarks>
	Public Const sqlUpd_MTI_ASST1_HSP As String = sqlUpd_MTI_ASST1 & sqlWhere_HSP_FLG

	''' <summary>
	''' 補足項目１更新(退院フラグ
	''' </summary>
	''' <remarks></remarks>
	Public Const sqlUpd_MTI_ASST1_OUT As String = sqlUpd_MTI_ASST1 & sqlWhere_OUT_HSP_FLG

	''' <summary>
	''' 補足項目１更新(主科フラグ
	''' </summary>
	''' <remarks></remarks>
	Public Const sqlUpd_MTI_ASST1_MAIN As String = sqlUpd_MTI_ASST1 & sqlWhere_MAIN_DPM_FLG


	''' <summary>
	''' 補足項目２追加(入院フラグ
	''' </summary>
	''' <remarks></remarks>
	Public Const sqlIns_MTI_ASST2_HSP As String = sqlIns_MTI_ASST2 & sqlWhere_HSP_FLG

	''' <summary>
	''' 補足項目２追加(退院フラグ
	''' </summary>
	''' <remarks></remarks>
	Public Const sqlIns_MTI_ASST2_OUT As String = sqlIns_MTI_ASST2 & sqlWhere_OUT_HSP_FLG

	''' <summary>
	''' 補足項目２追加(主科フラグ
	''' </summary>
	''' <remarks></remarks>
	Public Const sqlIns_MTI_ASST2_MAIN As String = sqlIns_MTI_ASST2 & sqlWhere_MAIN_DPM_FLG

	''' <summary>
	''' 補足項目２更新(入院フラグ
	''' </summary>
	''' <remarks></remarks>
	Public Const sqlUpd_MTI_ASST2_HSP As String = sqlUpd_MTI_ASST2 & sqlWhere_HSP_FLG

	''' <summary>
	''' 補足項目２更新(退院フラグ
	''' </summary>
	''' <remarks></remarks>
	Public Const sqlUpd_MTI_ASST2_OUT As String = sqlUpd_MTI_ASST2 & sqlWhere_OUT_HSP_FLG

	''' <summary>
	''' 補足項目２更新(主科フラグ
	''' </summary>
	''' <remarks></remarks>
	Public Const sqlUpd_MTI_ASST2_MAIN As String = sqlUpd_MTI_ASST2 & sqlWhere_MAIN_DPM_FLG


#Region "補足項目１／２　雛型"

	''' <summary>
	''' 入院フラグ条件
	''' </summary>
	''' <remarks></remarks>
	Public Const sqlWhere_HSP_FLG As String = "" _
	& " AND MTI_CH.HSP_FLG = " & sqlMSRCOMMON.prmFLG_ON

	''' <summary>
	''' 退院フラグ条件
	''' </summary>
	''' <remarks></remarks>
	Public Const sqlWhere_OUT_HSP_FLG As String = "" _
	& " AND MTI_CH.OUT_HSP_FLG = " & sqlMSRCOMMON.prmFLG_ON

	''' <summary>
	''' 主科フラグ条件
	''' </summary>
	''' <remarks></remarks>
	Public Const sqlWhere_MAIN_DPM_FLG As String = "" _
	& " AND MTI_CH.MAIN_DPM_FLG = " & sqlMSRCOMMON.prmFLG_ON

	''' <summary>
	''' 補足項目１追加(雛
	''' </summary>
	''' <remarks></remarks>
	Private Const sqlIns_MTI_ASST1 As String = "" _
	& "INSERT INTO MTI_ASST1 (" _
	& " PATIENT_NO" _
	& ",HSP_HISTORY_NO" _
	& ",CH_NO" _
	& ",ASST_ITM001,ASST_ITM002,ASST_ITM003,ASST_ITM004,ASST_ITM005,ASST_ITM006,ASST_ITM007,ASST_ITM008,ASST_ITM009,ASST_ITM010" _
	& ",ASST_ITM011,ASST_ITM012,ASST_ITM013,ASST_ITM014,ASST_ITM015,ASST_ITM016,ASST_ITM017,ASST_ITM018,ASST_ITM019,ASST_ITM020" _
	& ",ASST_ITM021,ASST_ITM022,ASST_ITM023,ASST_ITM024,ASST_ITM025,ASST_ITM026,ASST_ITM027,ASST_ITM028,ASST_ITM029,ASST_ITM030" _
	& ",ASST_ITM031,ASST_ITM032,ASST_ITM033,ASST_ITM034,ASST_ITM035,ASST_ITM036,ASST_ITM037,ASST_ITM038,ASST_ITM039,ASST_ITM040" _
	& ",ASST_ITM041,ASST_ITM042,ASST_ITM043,ASST_ITM044,ASST_ITM045,ASST_ITM046,ASST_ITM047,ASST_ITM048,ASST_ITM049,ASST_ITM050" _
	& ",ASST_ITM051,ASST_ITM052,ASST_ITM053,ASST_ITM054,ASST_ITM055,ASST_ITM056,ASST_ITM057,ASST_ITM058,ASST_ITM059,ASST_ITM060" _
	& ",ASST_ITM061,ASST_ITM062,ASST_ITM063,ASST_ITM064,ASST_ITM065,ASST_ITM066,ASST_ITM067,ASST_ITM068,ASST_ITM069,ASST_ITM070" _
	& ",ASST_ITM071,ASST_ITM072,ASST_ITM073,ASST_ITM074,ASST_ITM075,ASST_ITM076,ASST_ITM077,ASST_ITM078,ASST_ITM079,ASST_ITM080" _
	& ",ASST_ITM081,ASST_ITM082,ASST_ITM083,ASST_ITM084,ASST_ITM085,ASST_ITM086,ASST_ITM087,ASST_ITM088,ASST_ITM089,ASST_ITM090" _
	& ",ASST_ITM091,ASST_ITM092,ASST_ITM093,ASST_ITM094,ASST_ITM095,ASST_ITM096,ASST_ITM097,ASST_ITM098,ASST_ITM099,ASST_ITM100" _
	& ",ASST_ITM101,ASST_ITM102,ASST_ITM103,ASST_ITM104,ASST_ITM105,ASST_ITM106,ASST_ITM107,ASST_ITM108,ASST_ITM109,ASST_ITM110" _
	& ",ASST_ITM111,ASST_ITM112,ASST_ITM113,ASST_ITM114,ASST_ITM115,ASST_ITM116,ASST_ITM117,ASST_ITM118,ASST_ITM119,ASST_ITM120" _
	& ",ASST_ITM121,ASST_ITM122,ASST_ITM123,ASST_ITM124,ASST_ITM125,ASST_ITM126,ASST_ITM127,ASST_ITM128,ASST_ITM129,ASST_ITM130" _
	& ",ASST_ITM131,ASST_ITM132" _
	& ",LASTUPDUSER_CD" _
	& ",LASTUPD_DT" _
	& ")" _
	& "SELECT DISTINCT" _
	& " MTI_CH.PATIENT_NO" _
	& ",MTI_CH.HSP_HISTORY_NO" _
	& ",MTI_CH.CH_NO" _
	& ",0,0,0,0,0,0,0,0,0,0 " _
	& ",0,0,0,0,0,0,0,0,0,0 " _
	& ",0,0,0,0,0,0,0,0,0,0 " _
	& ",0,0,0,0,0,0,0,0,0,0 " _
	& ",0,0,0,0,0,0,0,0,0,0 " _
	& ",0,0,0,0,0,0,0,0,0,0 " _
	& ",0,0,0,0,0,0,0,0,0,0 " _
	& ",0,0,0,0,0,0,0,0,0,0 " _
	& ",0,0,0,0,0,0,0,0,0,0 " _
	& ",0,0,0,0,0,0,0,0,0,0 " _
	& ",0,0,0,0,0,0,0,0,0,0 " _
	& ",0,0,0,0,0,0,0,0,0,0 " _
	& ",0,0,0,0,0,0,0,0,0,0 " _
	& ",0,0" _
	& "," & sqlMSRCOMMON.prmLASTUPDUSER_CD _
	& "," & sqlMSRCOMMON.prmLASTUPD_DT _
	& "  FROM MTW_SEARCH_WORK" _
	& " INNER JOIN MTI_HSP" _
	& "    ON MTW_SEARCH_WORK.PATIENT_NO      = MTI_HSP.PATIENT_NO" _
	& "   AND MTW_SEARCH_WORK.HSP_HISTORY_NO  = MTI_HSP.HSP_HISTORY_NO" _
	& " INNER JOIN MTI_CH" _
	& "    ON MTW_SEARCH_WORK.PATIENT_NO      = MTI_CH.PATIENT_NO" _
	& "   AND MTW_SEARCH_WORK.HSP_HISTORY_NO  = MTI_CH.HSP_HISTORY_NO" _
	& " INNER JOIN MTI_DPC" _
	& "    ON MTI_HSP.PATIENT_NO              = MTI_DPC.PATIENT_NO" _
	& "   AND MTI_HSP.HSP_DT				  = MTI_DPC.HSP_DT" _
	& "   AND MTI_HSP.DEPT_CD                 = MTI_DPC.DEPT_CD" _
	& " WHERE MTW_SEARCH_WORK.HOST_NM         = " & sqlMSRCOMMON.prmHOST_NM _
	& "   AND NOT EXISTS ( SELECT * FROM MTI_ASST1" _
	& "                     WHERE MTI_ASST1.PATIENT_NO      = MTI_CH.PATIENT_NO" _
	& "                       AND MTI_ASST1.HSP_HISTORY_NO  = MTI_CH.HSP_HISTORY_NO" _
	& "                      AND MTI_ASST1.CH_NO           = MTI_CH.CH_NO" _
	& "                  )"

	''' <summary>
	''' 補足項目１更新(雛
	''' </summary>
	''' <remarks></remarks>
	Private Const sqlUpd_MTI_ASST1 As String = "" _
	& "UPDATE MTI_ASST1 SET" _
	& " {0} = CASE MTI_DPC.DPC_{1} WHEN " & sqlMSRCOMMON.prmCHK_CD_ON & " THEN " & sqlMSRCOMMON.prmFLG_ON & " ELSE " & sqlMSRCOMMON.prmFLG_OFF & " END" _
	& ",LASTUPDUSER_CD = " & sqlMSRCOMMON.prmLASTUPDUSER_CD _
	& ",LASTUPD_DT     = " & sqlMSRCOMMON.prmLASTUPD_DT _
	& "  FROM MTW_SEARCH_WORK" _
	& " INNER JOIN MTI_HSP" _
	& "    ON MTW_SEARCH_WORK.PATIENT_NO      = MTI_HSP.PATIENT_NO" _
	& "   AND MTW_SEARCH_WORK.HSP_HISTORY_NO  = MTI_HSP.HSP_HISTORY_NO" _
	& " INNER JOIN MTI_CH" _
	& "    ON MTW_SEARCH_WORK.PATIENT_NO      = MTI_CH.PATIENT_NO" _
	& "   AND MTW_SEARCH_WORK.HSP_HISTORY_NO  = MTI_CH.HSP_HISTORY_NO" _
	& " INNER JOIN MTI_DPC" _
	& "    ON MTI_HSP.PATIENT_NO              = MTI_DPC.PATIENT_NO" _
	& "   AND MTI_HSP.HSP_DT				  = MTI_DPC.HSP_DT" _
	& "   AND MTI_HSP.DEPT_CD                 = MTI_DPC.DEPT_CD" _
	& " INNER JOIN MTI_ASST1" _
	& "    ON MTI_CH.PATIENT_NO               = MTI_ASST1.PATIENT_NO" _
	& "   AND MTI_CH.HSP_HISTORY_NO		      = MTI_ASST1.HSP_HISTORY_NO" _
	& "   AND MTI_CH.CH_NO                    = MTI_ASST1.CH_NO" _
	& " WHERE MTW_SEARCH_WORK.HOST_NM         = " & sqlMSRCOMMON.prmHOST_NM

	''' <summary>
	''' 補足項目２追加(雛
	''' </summary>
	''' <remarks></remarks>
	Private Const sqlIns_MTI_ASST2 As String = "" _
	& "INSERT INTO MTI_ASST2 (" _
	& " PATIENT_NO" _
	& ",HSP_HISTORY_NO" _
	& ",CH_NO" _
	& ",LASTUPDUSER_CD" _
	& ",LASTUPD_DT" _
	& ")" _
	& "SELECT DISTINCT" _
	& " MTI_CH.PATIENT_NO" _
	& ",MTI_CH.HSP_HISTORY_NO" _
	& ",MTI_CH.CH_NO" _
	& "," & sqlMSRCOMMON.prmLASTUPDUSER_CD _
	& "," & sqlMSRCOMMON.prmLASTUPD_DT _
	& "  FROM MTW_SEARCH_WORK" _
	& " INNER JOIN MTI_HSP" _
	& "    ON MTW_SEARCH_WORK.PATIENT_NO      = MTI_HSP.PATIENT_NO" _
	& "   AND MTW_SEARCH_WORK.HSP_HISTORY_NO  = MTI_HSP.HSP_HISTORY_NO" _
	& " INNER JOIN MTI_CH" _
	& "    ON MTW_SEARCH_WORK.PATIENT_NO      = MTI_CH.PATIENT_NO" _
	& "   AND MTW_SEARCH_WORK.HSP_HISTORY_NO  = MTI_CH.HSP_HISTORY_NO" _
	& " INNER JOIN MTI_DPC" _
	& "    ON MTI_HSP.PATIENT_NO              = MTI_DPC.PATIENT_NO" _
	& "   AND MTI_HSP.HSP_DT				  = MTI_DPC.HSP_DT" _
	& "   AND MTI_HSP.DEPT_CD                 = MTI_DPC.DEPT_CD" _
	& " WHERE MTW_SEARCH_WORK.HOST_NM         = " & sqlMSRCOMMON.prmHOST_NM _
	& "   AND NOT EXISTS ( SELECT * FROM MTI_ASST2" _
	& "                     WHERE MTI_ASST2.PATIENT_NO      = MTI_CH.PATIENT_NO" _
	& "                       AND MTI_ASST2.HSP_HISTORY_NO  = MTI_CH.HSP_HISTORY_NO" _
	& "                       AND MTI_ASST2.CH_NO           = MTI_CH.CH_NO" _
	& "                  )"

'(A) STR V4-12031-000 006 2012/06/26 ID)平井 DPC2012対応
	''' <summary>
	''' 補足項目２テキスト最大文字数
	''' </summary>
	Public Const CST_ASST2_TEXT_MAXLENGTH As String = "30"
'(A) END V4-12031-000 006 2012/06/26 ID)平井 DPC2012対応

'(M) STR V4-12031-000 054 2012/06/26 ID)平井 DPC2012対応
	' ''' <summary>
	' ''' 補足項目２更新(雛
	' ''' </summary>
	' ''' <remarks></remarks>
	'Private Const sqlUpd_MTI_ASST2 As String = "" _
	'& "UPDATE MTI_ASST2 SET" _
	'& " {0} = MTI_DPC.DPC_{1}" _
	'& ",LASTUPDUSER_CD = " & sqlMSRCOMMON.prmLASTUPDUSER_CD _
	'& ",LASTUPD_DT     = " & sqlMSRCOMMON.prmLASTUPD_DT _
	'& "  FROM MTW_SEARCH_WORK" _
	'& " INNER JOIN MTI_HSP" _
	'& "    ON MTW_SEARCH_WORK.PATIENT_NO      = MTI_HSP.PATIENT_NO" _
	'& "   AND MTW_SEARCH_WORK.HSP_HISTORY_NO  = MTI_HSP.HSP_HISTORY_NO" _
	'& " INNER JOIN MTI_CH" _
	'& "    ON MTW_SEARCH_WORK.PATIENT_NO      = MTI_CH.PATIENT_NO" _
	'& "   AND MTW_SEARCH_WORK.HSP_HISTORY_NO  = MTI_CH.HSP_HISTORY_NO" _
	'& " INNER JOIN MTI_DPC" _
	'& "    ON MTI_HSP.PATIENT_NO              = MTI_DPC.PATIENT_NO" _
	'& "   AND MTI_HSP.HSP_DT				  = MTI_DPC.HSP_DT" _
	'& "   AND MTI_HSP.DEPT_CD                 = MTI_DPC.DEPT_CD" _
	'& " INNER JOIN MTI_ASST2" _
	'& "    ON MTI_CH.PATIENT_NO               = MTI_ASST2.PATIENT_NO" _
	'& "   AND MTI_CH.HSP_HISTORY_NO		      = MTI_ASST2.HSP_HISTORY_NO" _
	'& "   AND MTI_CH.CH_NO                    = MTI_ASST2.CH_NO" _
	'& " WHERE MTW_SEARCH_WORK.HOST_NM         = " & sqlMSRCOMMON.prmHOST_NM
	''' <summary>
	''' 補足項目２更新(雛
	''' </summary>
	''' <remarks></remarks>
	Private Const sqlUpd_MTI_ASST2 As String = "" _
	& "UPDATE MTI_ASST2 SET" _
	& " {0} = CASE WHEN {1} = 27 THEN LEFT(MTI_DPC.DPC_{1}, " & CST_ASST2_TEXT_MAXLENGTH & ")" _
	& "            WHEN {1} = 28 THEN LEFT(MTI_DPC.DPC_{1}, " & CST_ASST2_TEXT_MAXLENGTH & ")" _
	& "            ELSE MTI_DPC.DPC_{1} END" _
	& ",LASTUPDUSER_CD = " & sqlMSRCOMMON.prmLASTUPDUSER_CD _
	& ",LASTUPD_DT     = " & sqlMSRCOMMON.prmLASTUPD_DT _
	& "  FROM MTW_SEARCH_WORK" _
	& " INNER JOIN MTI_HSP" _
	& "    ON MTW_SEARCH_WORK.PATIENT_NO      = MTI_HSP.PATIENT_NO" _
	& "   AND MTW_SEARCH_WORK.HSP_HISTORY_NO  = MTI_HSP.HSP_HISTORY_NO" _
	& " INNER JOIN MTI_CH" _
	& "    ON MTW_SEARCH_WORK.PATIENT_NO      = MTI_CH.PATIENT_NO" _
	& "   AND MTW_SEARCH_WORK.HSP_HISTORY_NO  = MTI_CH.HSP_HISTORY_NO" _
	& " INNER JOIN MTI_DPC" _
	& "    ON MTI_HSP.PATIENT_NO              = MTI_DPC.PATIENT_NO" _
	& "   AND MTI_HSP.HSP_DT				  = MTI_DPC.HSP_DT" _
	& "   AND MTI_HSP.DEPT_CD                 = MTI_DPC.DEPT_CD" _
	& " INNER JOIN MTI_ASST2" _
	& "    ON MTI_CH.PATIENT_NO               = MTI_ASST2.PATIENT_NO" _
	& "   AND MTI_CH.HSP_HISTORY_NO		      = MTI_ASST2.HSP_HISTORY_NO" _
	& "   AND MTI_CH.CH_NO                    = MTI_ASST2.CH_NO" _
	& " WHERE MTW_SEARCH_WORK.HOST_NM         = " & sqlMSRCOMMON.prmHOST_NM
'(M) END V4-12031-000 054 2012/06/26 ID)平井 DPC2012対応

#End Region


	''' <summary>
	''' 補足項目１削除
	''' </summary>
	''' <remarks></remarks>
	Public Const sqlDel_MTI_ASST1 As String = "" _
	& "DELETE FROM MTI_ASST1" _
	& "  FROM MTW_SEARCH_WORK" _
	& " INNER JOIN MTI_ASST1" _
	& "    ON MTW_SEARCH_WORK.PATIENT_NO      = MTI_ASST1.PATIENT_NO" _
	& "   AND MTW_SEARCH_WORK.HSP_HISTORY_NO  = MTI_ASST1.HSP_HISTORY_NO" _
	& " WHERE MTW_SEARCH_WORK.HOST_NM         = " & sqlMSRCOMMON.prmHOST_NM _
	& "   AND MTI_ASST1.ASST_ITM001 = 0 AND MTI_ASST1.ASST_ITM002 = 0 AND MTI_ASST1.ASST_ITM003 = 0 AND MTI_ASST1.ASST_ITM004 = 0 AND MTI_ASST1.ASST_ITM005 = 0" _
	& "   AND MTI_ASST1.ASST_ITM006 = 0 AND MTI_ASST1.ASST_ITM007 = 0 AND MTI_ASST1.ASST_ITM009 = 0 AND MTI_ASST1.ASST_ITM009 = 0 AND MTI_ASST1.ASST_ITM010 = 0" _
	& "   AND MTI_ASST1.ASST_ITM011 = 0 AND MTI_ASST1.ASST_ITM012 = 0 AND MTI_ASST1.ASST_ITM014 = 0 AND MTI_ASST1.ASST_ITM014 = 0 AND MTI_ASST1.ASST_ITM015 = 0" _
	& "   AND MTI_ASST1.ASST_ITM016 = 0 AND MTI_ASST1.ASST_ITM017 = 0 AND MTI_ASST1.ASST_ITM019 = 0 AND MTI_ASST1.ASST_ITM019 = 0 AND MTI_ASST1.ASST_ITM020 = 0" _
	& "   AND MTI_ASST1.ASST_ITM021 = 0 AND MTI_ASST1.ASST_ITM022 = 0 AND MTI_ASST1.ASST_ITM024 = 0 AND MTI_ASST1.ASST_ITM024 = 0 AND MTI_ASST1.ASST_ITM025 = 0" _
	& "   AND MTI_ASST1.ASST_ITM026 = 0 AND MTI_ASST1.ASST_ITM027 = 0 AND MTI_ASST1.ASST_ITM029 = 0 AND MTI_ASST1.ASST_ITM029 = 0 AND MTI_ASST1.ASST_ITM030 = 0" _
	& "   AND MTI_ASST1.ASST_ITM031 = 0 AND MTI_ASST1.ASST_ITM032 = 0 AND MTI_ASST1.ASST_ITM034 = 0 AND MTI_ASST1.ASST_ITM034 = 0 AND MTI_ASST1.ASST_ITM035 = 0" _
	& "   AND MTI_ASST1.ASST_ITM036 = 0 AND MTI_ASST1.ASST_ITM037 = 0 AND MTI_ASST1.ASST_ITM039 = 0 AND MTI_ASST1.ASST_ITM039 = 0 AND MTI_ASST1.ASST_ITM040 = 0" _
	& "   AND MTI_ASST1.ASST_ITM041 = 0 AND MTI_ASST1.ASST_ITM042 = 0 AND MTI_ASST1.ASST_ITM044 = 0 AND MTI_ASST1.ASST_ITM044 = 0 AND MTI_ASST1.ASST_ITM045 = 0" _
	& "   AND MTI_ASST1.ASST_ITM046 = 0 AND MTI_ASST1.ASST_ITM047 = 0 AND MTI_ASST1.ASST_ITM049 = 0 AND MTI_ASST1.ASST_ITM049 = 0 AND MTI_ASST1.ASST_ITM050 = 0" _
	& "   AND MTI_ASST1.ASST_ITM051 = 0 AND MTI_ASST1.ASST_ITM052 = 0 AND MTI_ASST1.ASST_ITM054 = 0 AND MTI_ASST1.ASST_ITM054 = 0 AND MTI_ASST1.ASST_ITM055 = 0" _
	& "   AND MTI_ASST1.ASST_ITM056 = 0 AND MTI_ASST1.ASST_ITM057 = 0 AND MTI_ASST1.ASST_ITM059 = 0 AND MTI_ASST1.ASST_ITM059 = 0 AND MTI_ASST1.ASST_ITM060 = 0" _
	& "   AND MTI_ASST1.ASST_ITM061 = 0 AND MTI_ASST1.ASST_ITM062 = 0 AND MTI_ASST1.ASST_ITM064 = 0 AND MTI_ASST1.ASST_ITM064 = 0 AND MTI_ASST1.ASST_ITM065 = 0" _
	& "   AND MTI_ASST1.ASST_ITM066 = 0 AND MTI_ASST1.ASST_ITM067 = 0 AND MTI_ASST1.ASST_ITM069 = 0 AND MTI_ASST1.ASST_ITM069 = 0 AND MTI_ASST1.ASST_ITM070 = 0" _
	& "   AND MTI_ASST1.ASST_ITM071 = 0 AND MTI_ASST1.ASST_ITM072 = 0 AND MTI_ASST1.ASST_ITM074 = 0 AND MTI_ASST1.ASST_ITM074 = 0 AND MTI_ASST1.ASST_ITM075 = 0" _
	& "   AND MTI_ASST1.ASST_ITM076 = 0 AND MTI_ASST1.ASST_ITM077 = 0 AND MTI_ASST1.ASST_ITM079 = 0 AND MTI_ASST1.ASST_ITM079 = 0 AND MTI_ASST1.ASST_ITM080 = 0" _
	& "   AND MTI_ASST1.ASST_ITM081 = 0 AND MTI_ASST1.ASST_ITM082 = 0 AND MTI_ASST1.ASST_ITM084 = 0 AND MTI_ASST1.ASST_ITM084 = 0 AND MTI_ASST1.ASST_ITM085 = 0" _
	& "   AND MTI_ASST1.ASST_ITM086 = 0 AND MTI_ASST1.ASST_ITM087 = 0 AND MTI_ASST1.ASST_ITM089 = 0 AND MTI_ASST1.ASST_ITM089 = 0 AND MTI_ASST1.ASST_ITM090 = 0" _
	& "   AND MTI_ASST1.ASST_ITM091 = 0 AND MTI_ASST1.ASST_ITM092 = 0 AND MTI_ASST1.ASST_ITM094 = 0 AND MTI_ASST1.ASST_ITM094 = 0 AND MTI_ASST1.ASST_ITM095 = 0" _
	& "   AND MTI_ASST1.ASST_ITM096 = 0 AND MTI_ASST1.ASST_ITM097 = 0 AND MTI_ASST1.ASST_ITM099 = 0 AND MTI_ASST1.ASST_ITM099 = 0 AND MTI_ASST1.ASST_ITM100 = 0" _
	& "   AND MTI_ASST1.ASST_ITM101 = 0 AND MTI_ASST1.ASST_ITM102 = 0 AND MTI_ASST1.ASST_ITM104 = 0 AND MTI_ASST1.ASST_ITM104 = 0 AND MTI_ASST1.ASST_ITM105 = 0" _
	& "   AND MTI_ASST1.ASST_ITM106 = 0 AND MTI_ASST1.ASST_ITM107 = 0 AND MTI_ASST1.ASST_ITM109 = 0 AND MTI_ASST1.ASST_ITM109 = 0 AND MTI_ASST1.ASST_ITM110 = 0" _
	& "   AND MTI_ASST1.ASST_ITM111 = 0 AND MTI_ASST1.ASST_ITM112 = 0 AND MTI_ASST1.ASST_ITM114 = 0 AND MTI_ASST1.ASST_ITM114 = 0 AND MTI_ASST1.ASST_ITM115 = 0" _
	& "   AND MTI_ASST1.ASST_ITM116 = 0 AND MTI_ASST1.ASST_ITM117 = 0 AND MTI_ASST1.ASST_ITM119 = 0 AND MTI_ASST1.ASST_ITM119 = 0 AND MTI_ASST1.ASST_ITM120 = 0" _
	& "   AND MTI_ASST1.ASST_ITM121 = 0 AND MTI_ASST1.ASST_ITM122 = 0 AND MTI_ASST1.ASST_ITM124 = 0 AND MTI_ASST1.ASST_ITM124 = 0 AND MTI_ASST1.ASST_ITM125 = 0" _
	& "   AND MTI_ASST1.ASST_ITM126 = 0 AND MTI_ASST1.ASST_ITM127 = 0 AND MTI_ASST1.ASST_ITM129 = 0 AND MTI_ASST1.ASST_ITM129 = 0 AND MTI_ASST1.ASST_ITM130 = 0" _
	& "   AND MTI_ASST1.ASST_ITM131 = 0 AND MTI_ASST1.ASST_ITM132 = 0"

	''' <summary>
	''' 補足項目２削除
	''' </summary>
	''' <remarks></remarks>
	Public Const sqlDel_MTI_ASST2 As String = "" _
	& "DELETE FROM MTI_ASST2" _
	& "  FROM MTW_SEARCH_WORK" _
	& " INNER JOIN MTI_ASST2" _
	& "    ON MTW_SEARCH_WORK.PATIENT_NO      = MTI_ASST2.PATIENT_NO" _
	& "   AND MTW_SEARCH_WORK.HSP_HISTORY_NO  = MTI_ASST2.HSP_HISTORY_NO" _
	& " WHERE MTW_SEARCH_WORK.HOST_NM         = " & sqlMSRCOMMON.prmHOST_NM _
	& "   AND MTI_ASST2.TEXT1    Is Null AND MTI_ASST2.TEXT2    Is Null AND MTI_ASST2.TEXT3    Is Null AND MTI_ASST2.TEXT4    Is Null AND MTI_ASST2.TEXT5    Is Null" _
	& "   AND MTI_ASST2.TEXT6    Is Null AND MTI_ASST2.TEXT7    Is Null AND MTI_ASST2.TEXT8    Is Null AND MTI_ASST2.TEXT9    Is Null AND MTI_ASST2.TEXT10   Is Null" _
	& "   AND MTI_ASST2.TEXT11   Is Null AND MTI_ASST2.TEXT12   Is Null AND MTI_ASST2.TEXT13   Is Null AND MTI_ASST2.TEXT14   Is Null AND MTI_ASST2.TEXT15   Is Null" _
	& "   AND MTI_ASST2.TEXT16   Is Null AND MTI_ASST2.TEXT17   Is Null AND MTI_ASST2.TEXT18   Is Null AND MTI_ASST2.TEXT19   Is Null AND MTI_ASST2.TEXT20   Is Null" _
	& "   AND MTI_ASST2.TEXT21   Is Null AND MTI_ASST2.TEXT22   Is Null AND MTI_ASST2.TEXT23   Is Null AND MTI_ASST2.TEXT24   Is Null AND MTI_ASST2.TEXT25   Is Null" _
	& "   AND MTI_ASST2.TEXT26   Is Null AND MTI_ASST2.TEXT27   Is Null AND MTI_ASST2.TEXT28   Is Null AND MTI_ASST2.TEXT29   Is Null AND MTI_ASST2.TEXT30   Is Null" _
	& "   AND MTI_ASST2.NUMBER1  Is Null AND MTI_ASST2.NUMBER2  Is Null AND MTI_ASST2.NUMBER3  Is Null AND MTI_ASST2.NUMBER4  Is Null AND MTI_ASST2.NUMBER5  Is Null" _
	& "   AND MTI_ASST2.NUMBER6  Is Null AND MTI_ASST2.NUMBER7  Is Null AND MTI_ASST2.NUMBER8  Is Null AND MTI_ASST2.NUMBER9  Is Null AND MTI_ASST2.NUMBER10 Is Null" _
	& "   AND MTI_ASST2.NUMBER11 Is Null AND MTI_ASST2.NUMBER12 Is Null AND MTI_ASST2.NUMBER13 Is Null AND MTI_ASST2.NUMBER14 Is Null AND MTI_ASST2.NUMBER15 Is Null" _
	& "   AND MTI_ASST2.NUMBER16 Is Null AND MTI_ASST2.NUMBER17 Is Null AND MTI_ASST2.NUMBER18 Is Null AND MTI_ASST2.NUMBER19 Is Null AND MTI_ASST2.NUMBER20 Is Null" _
	& "   AND MTI_ASST2.NUMBER21 Is Null AND MTI_ASST2.NUMBER22 Is Null AND MTI_ASST2.NUMBER23 Is Null AND MTI_ASST2.NUMBER24 Is Null AND MTI_ASST2.NUMBER25 Is Null" _
	& "   AND MTI_ASST2.NUMBER26 Is Null AND MTI_ASST2.NUMBER27 Is Null AND MTI_ASST2.NUMBER28 Is Null AND MTI_ASST2.NUMBER29 Is Null AND MTI_ASST2.NUMBER30 Is Null" _
	& "   AND MTI_ASST2.DATE1    Is Null AND MTI_ASST2.DATE2    Is Null AND MTI_ASST2.DATE3    Is Null AND MTI_ASST2.DATE4    Is Null AND MTI_ASST2.DATE5    Is Null" _
	& "   AND MTI_ASST2.DATE6    Is Null AND MTI_ASST2.DATE7    Is Null AND MTI_ASST2.DATE8    Is Null AND MTI_ASST2.DATE9    Is Null AND MTI_ASST2.DATE10   Is Null" _
	& "   AND MTI_ASST2.DATE11   Is Null AND MTI_ASST2.DATE12   Is Null" _
	& "   AND MTI_ASST2.COMBO1   Is Null AND MTI_ASST2.COMBO2   Is Null AND MTI_ASST2.COMBO3   Is Null AND MTI_ASST2.COMBO4   Is Null AND MTI_ASST2.COMBO5   Is Null" _
	& "   AND MTI_ASST2.COMBO6   Is Null AND MTI_ASST2.COMBO7   Is Null AND MTI_ASST2.COMBO8   Is Null AND MTI_ASST2.COMBO9   Is Null AND MTI_ASST2.COMBO10  Is Null" _
	& "   AND MTI_ASST2.COMBO11  Is Null AND MTI_ASST2.COMBO12  Is Null AND MTI_ASST2.COMBO13  Is Null AND MTI_ASST2.COMBO14  Is Null AND MTI_ASST2.COMBO15  Is Null" _
	& "   AND MTI_ASST2.COMBO16  Is Null AND MTI_ASST2.COMBO17  Is Null AND MTI_ASST2.COMBO18  Is Null AND MTI_ASST2.COMBO19  Is Null AND MTI_ASST2.COMBO20  Is Null" _
	& "   AND MTI_ASST2.COMBO21  Is Null AND MTI_ASST2.COMBO22  Is Null AND MTI_ASST2.COMBO23  Is Null AND MTI_ASST2.COMBO24  Is Null AND MTI_ASST2.COMBO25  Is Null" _
	& "   AND MTI_ASST2.COMBO26  Is Null AND MTI_ASST2.COMBO27  Is Null AND MTI_ASST2.COMBO28  Is Null AND MTI_ASST2.COMBO29  Is Null AND MTI_ASST2.COMBO30  Is Null" _
	& "   AND MTI_ASST2.COMBO31  Is Null AND MTI_ASST2.COMBO32  Is Null AND MTI_ASST2.COMBO33  Is Null AND MTI_ASST2.COMBO34  Is Null AND MTI_ASST2.COMBO35  Is Null" _
	& "   AND MTI_ASST2.COMBO36  Is Null"

	''' <summary>
	''' 科歴更新
	''' </summary>
	''' <remarks></remarks>
	Public Const sqlUpd_MTI_CH As String = "" _
	& "UPDATE MTI_CH SET" _
	& " ASST_ITM1_COUNT = CASE WHEN MTI_ASST1.PATIENT_NO IS NULL THEN 0 ELSE 1 END" _
	& ",ASST_ITM2_COUNT = CASE WHEN MTI_ASST2.PATIENT_NO IS NULL THEN 0 ELSE 1 END" _
	& ",LASTUPDUSER_CD  = " & sqlMSRCOMMON.prmLASTUPDUSER_CD _
	& ",LASTUPD_DT      = " & sqlMSRCOMMON.prmLASTUPD_DT _
	& "  FROM MTW_SEARCH_WORK" _
	& " INNER JOIN MTI_CH" _
	& "    ON MTW_SEARCH_WORK.PATIENT_NO      = MTI_CH.PATIENT_NO" _
	& "   AND MTW_SEARCH_WORK.HSP_HISTORY_NO  = MTI_CH.HSP_HISTORY_NO" _
	& " LEFT JOIN MTI_ASST1" _
	& "    ON MTI_CH.PATIENT_NO               = MTI_ASST1.PATIENT_NO" _
	& "   AND MTI_CH.HSP_HISTORY_NO           = MTI_ASST1.HSP_HISTORY_NO" _
	& "   AND MTI_CH.CH_NO                    = MTI_ASST1.CH_NO" _
	& " LEFT JOIN MTI_ASST2" _
	& "    ON MTI_CH.PATIENT_NO               = MTI_ASST2.PATIENT_NO" _
	& "   AND MTI_CH.HSP_HISTORY_NO           = MTI_ASST2.HSP_HISTORY_NO" _
	& "   AND MTI_CH.CH_NO                    = MTI_ASST2.CH_NO" _
	& " WHERE MTW_SEARCH_WORK.HOST_NM         = " & sqlMSRCOMMON.prmHOST_NM _
	& "   AND (" _
	& "        MTI_CH.ASST_ITM1_COUNT Is Null" _
	& "     OR MTI_CH.ASST_ITM2_COUNT Is Null" _
	& "     OR MTI_CH.ASST_ITM1_COUNT <> CASE WHEN MTI_ASST1.PATIENT_NO IS NULL THEN 0 ELSE 1 END" _
	& "     OR MTI_CH.ASST_ITM2_COUNT <> CASE WHEN MTI_ASST2.PATIENT_NO IS NULL THEN 0 ELSE 1 END" _
	& "       )"

End Class
