﻿''' ---------------------------------------------
''' <summary>
''' 診療情報管理 検索 科歴情報一覧(SQLクラス）
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public NotInheritable Class sqlMSR050F010

#Region "パラメータ"
	Public Const prmSYSDATE As String = "@SYSDATE"					'システム日付
	Public Const prmNISUU_INIT As String = "@NISUU_INIT"			'在院日数の初期値
	Public Const prmNISUU_PLUS As String = "@NISUU_PLUS"			'在院日数の初期値
'(A) STR V4-11048-000 003 20110915 FJSK)荒川 XXX号 病歴大将V4PKG問題点No159 並び替えができるように列に「カナ」を追加する対応
	Public Const JOUKEN As String = "#JOUKEN#"						'条件置換用
'(A) END V4-11048-000 003 20110915

#End Region

	''' <summary>
	''' 件数取得
	''' </summary>
	Public Const sqlSel_Cnt As String = _
	"SELECT COUNT(*) AS CNT" _
	& "  FROM MTT_SEARCH_RESULT AS s" _
	& " INNER JOIN MTI_CH AS c" _
	& "    ON s.PATIENT_NO     = c.PATIENT_NO" _
	& "   AND s.HSP_HISTORY_NO = c.HSP_HISTORY_NO" _
	& "   AND s.CH_NO          = c.CH_NO" _
	& " WHERE s.USER_CD = " & sqlMSRCOMMON.prmUSER_CD _
	& "   AND s.SEARCH_NO = " & sqlMSRCOMMON.prmSEARCH_NO
'(M) STR V4-11048-000 224 20110915 FJSK)荒川 XXX号 病歴大将V4PKG問題点No159 並び替えができるように列に「カナ」を追加する対応
#Region "V4-11048修正前"
'	''' <summary>
'	''' 一覧取得
'	''' </summary>
'	Public Const sqlSel_List As String = _
'	  "SELECT " _
'	& sqlMSRCOMMON.prmSELECTED & " AS " & sqlMSRCOMMON.itmSELECTED _
'	& ",ROW_NUMBER() OVER(ORDER BY s.PATIENT_NO,s.HSP_HISTORY_NO,s.CH_NO) AS " & sqlMSRCOMMON.itmSORT_SEQ _
'	& ",s.PATIENT_NO" _
'	& ",s.HSP_HISTORY_NO" _
'	& ",s.CH_NO" _
'	& ",b.PATIENT_NM" _
'	& ",XTM_GENDER.GENDER_NM" _
'	& ",CONVERT(VARCHAR,b.BIRTH_DT,111) AS BIRTH_DT" _
'	& ",CONVERT(VARCHAR,b.FIRSTHSPVST_DT,111) AS FIRSTHSPVST_DT" _
'	& ",CONVERT(VARCHAR,b.LASTHSPVST_DT ,111) AS LASTHSPVST_DT" _
'	& ",CONVERT(VARCHAR,b.LASTLEFTHSP_DT,111) AS LASTLEFTHSP_DT" _
'	& ",(SELECT AREA_RNM " _
'	& "  FROM MTM_AREA " _
'	& " WHERE AREA_CD = " _
'	& "( " _
'	& " SELECT TOP 1 AREA_CD FROM MTI_CH" _
'	& "  WHERE PATIENT_NO = s.PATIENT_NO" _
'	& "  ORDER BY" _
'	& " HSP_HISTORY_NO DESC" _
'	& ",CH_NO DESC" _
'	& " )" _
'	& ") AS NEW_AREA_RNM" _
'	& ",MTM_DEATH_LCT.DEATH_LCT_RNM" _
'	& ",CONVERT(VARCHAR,d.DEATH_DT,111) AS DEATH_DT" _
'	& ",d.DEATH_AGE" _
'	& ",MTM_DEATH_DIV.DEATH_DIV_RNM" _
'	& ",MTM_AFTER_OPE_DEATH_DIV.AFTER_OPE_DEATH_DIV_RNM" _
'	& "," & sqlMSRCOMMON.sqlCHK_NM_S & "d.AUTOPSY_CHK" & sqlMSRCOMMON.sqlCHK_NM_E & "AUTOPSY_CHK_NM" _
'	& ",CONVERT(VARCHAR,h.HSP_DT    ,111) AS HSP_DT" _
'	& ",CONVERT(VARCHAR,h.OUT_HSP_DT,111) AS OUT_HSP_DT" _
'	& "," & sqlMSRCOMMON.sqlFLG_NM_S & "c.HSP_FLG" & sqlMSRCOMMON.sqlFLG_NM_E & "HSP_FLG_NM" _
'	& "," & sqlMSRCOMMON.sqlFLG_NM_S & "c.OUT_HSP_FLG" & sqlMSRCOMMON.sqlFLG_NM_E & "OUT_HSP_FLG_NM" _
'	& "," & sqlMSRCOMMON.sqlFLG_NM_S & "c.MAIN_DPM_FLG" & sqlMSRCOMMON.sqlFLG_NM_E & "MAIN_DPM_FLG_NM" _
'	& ",c.BYOREKI_NO" _
'	& ",MTM_DEPT.DEPT_RNM" _
'	& ",MTM_WARD.WARD_RNM" _
'	& ",C_STAFF.STAFF_NM AS C_STAFF_NM" _
'	& ",MTM_AREA.AREA_RNM" _
'	& ",CONVERT(VARCHAR,c.START_DT,111) AS START_DT" _
'	& ",c.START_AGE" _
'	& ",MTM_HSP_CNL.HSP_CNL_RNM" _
'	& ",MTM_PLAN_EMERGENCY.PLAN_EMERGENCY_NM" _
'	& "," & sqlMSRCOMMON.sqlFLG_NM_S & "c.TIME_OUT_FLG" & sqlMSRCOMMON.sqlFLG_NM_E & "TIME_OUT_FLG_NM" _
'	& "," & sqlMSRCOMMON.sqlCHK_NM_S & "c.TAKE_AMBULANCE_CHK" & sqlMSRCOMMON.sqlCHK_NM_E & "TAKE_AMBULANCE_CHK_NM" _
'	& ",MTM_HSP_AIM.HSP_AIM_RNM" _
'	& ",CONVERT(VARCHAR,c.END_DT,111) AS END_DT" _
'	& ",c.END_AGE" _
'	& ",MTM_OUT_HSP_CNL.OUT_HSP_CNL_RNM" _
'	& ",MTM_OUT_HSP_OUTCOME.OUT_HSP_OUTCOME_RNM" _
'	& ",CASE WHEN c.HSP_DAYS <> 0 OR NOT c.END_DT IS NULL THEN c.HSP_DAYS" _
'	& "      WHEN c.START_DT = " & prmSYSDATE & " THEN " & prmNISUU_INIT _
'	& "      ELSE DATEDIFF(day,c.START_DT," & prmSYSDATE & ") + " & prmNISUU_PLUS _
'	& " END AS HSP_DAYS" _
'	& ",MTM_HSP_FORM.HSP_FORM_RNM" _
'	& ",c.TOTAL_MED_COST" _
'	& "," & sqlMSRCOMMON.sqlCHK_NM_S & "c.BLOOD_TRAN_CHK" & sqlMSRCOMMON.sqlCHK_NM_E & "BLOOD_TRAN_CHK_NM" _
'	& "," & sqlMSRCOMMON.sqlCHK_NM_S & "c.OPE_CHK" & sqlMSRCOMMON.sqlCHK_NM_E & "OPE_CHK_NM" _
'	& "," & sqlMSRCOMMON.sqlCHK_NM_S & "c.CLINICAL_TRIAL_CHK" & sqlMSRCOMMON.sqlCHK_NM_E & "CLINICAL_TRIAL_CHK_NM" _
'	& "," & sqlMSRCOMMON.sqlCHK_NM_S & "c.HSP_INFECTION_CHK" & sqlMSRCOMMON.sqlCHK_NM_E & "HSP_INFECTION_CHK_NM" _
'	& "," & sqlMSRCOMMON.sqlCHK_NM_S & "c.OTHER_DEPT_CHK" & sqlMSRCOMMON.sqlCHK_NM_E & "OTHER_DEPT_CHK_NM" _
'	& ",CONVERT(VARCHAR,c.FIRST_DIAGNOSIS_DT,111) AS FIRST_DIAGNOSIS_DT" _
'	& "," & sqlMSRCOMMON.sqlCHK_NM_S & "c.INTRODUCTION_CHK" & sqlMSRCOMMON.sqlCHK_NM_E & "INTRODUCTION_CHK_NM" _
'	& ",c.INTRODUCED_NM" _
'	& ",c.REFERENCE_NM" _
'	& ",C_JOB.JOB_RNM AS C_JOB_RNM" _
'	& ",P_JOB.JOB_RNM AS P_JOB_RNM" _
'	& ",c.DPC_CD" _
'	& ",c.REMARKS" _
'	& ",c.COMMENT" _
'	& ",MTM_REG_STATUS.REG_STATUS_RNM" _
'	& ",CONVERT(VARCHAR,c.REG_FINISHED_DT,111) AS REG_FINISHED_DT" _
'	& "" _
'	& "  FROM MTT_SEARCH_RESULT AS s" _
'	& " INNER JOIN MTI_CH AS c             ON s.PATIENT_NO     = c.PATIENT_NO" _
'	& "                                   AND s.HSP_HISTORY_NO = c.HSP_HISTORY_NO" _
'	& "                                   AND s.CH_NO          = c.CH_NO" _
'	& "  LEFT JOIN XTI_BASICINFO AS b       ON s.PATIENT_NO          = b.PATIENT_NO" _
'	& "  LEFT JOIN MTI_HSP       AS h       ON s.PATIENT_NO          = h.PATIENT_NO" _
'	& "                                   AND s.HSP_HISTORY_NO      = h.HSP_HISTORY_NO" _
'	& "  LEFT JOIN MTI_DEATH AS d           ON s.PATIENT_NO          = d.PATIENT_NO" _
'	& "  LEFT JOIN XTM_GENDER               ON b.GENDER_CD           = XTM_GENDER.GENDER_CD" _
'	& "  LEFT JOIN MTM_DEATH_LCT            ON d.DEATH_LCT_CD        = MTM_DEATH_LCT.DEATH_LCT_CD" _
'	& "  LEFT JOIN MTM_DEATH_DIV            ON d.DEATH_DIV           = MTM_DEATH_DIV.DEATH_DIV_CD" _
'	& "  LEFT JOIN MTM_AFTER_OPE_DEATH_DIV ON d.AFTER_OPE_DEATH_DIV = MTM_AFTER_OPE_DEATH_DIV.AFTER_OPE_DEATH_DIV_CD" _
'	& "  LEFT JOIN MTM_DEPT                 ON c.DEPT_CD             = MTM_DEPT.DEPT_CD" _
'	& "  LEFT JOIN MTM_WARD                 ON c.WARD_CD             = MTM_WARD.WARD_CD" _
'	& "  LEFT JOIN XTM_STAFF AS C_STAFF     ON c.DOCTOR_CD           = C_STAFF.STAFF_CD" _
'	& "  LEFT JOIN MTM_AREA                 ON c.AREA_CD             = MTM_AREA.AREA_CD" _
'	& "  LEFT JOIN MTM_HSP_CNL              ON c.START_CNL_CD        = MTM_HSP_CNL.HSP_CNL_CD" _
'	& "  LEFT JOIN MTM_PLAN_EMERGENCY       ON c.PLAN_EMERGENCY_CD   = MTM_PLAN_EMERGENCY.PLAN_EMERGENCY_CD" _
'	& "  LEFT JOIN MTM_HSP_AIM              ON c.HSP_AIM_CD          = MTM_HSP_AIM.HSP_AIM_CD" _
'	& "  LEFT JOIN MTM_OUT_HSP_CNL          ON c.END_CNL_CD          = MTM_OUT_HSP_CNL.OUT_HSP_CNL_CD" _
'	& "  LEFT JOIN MTM_OUT_HSP_OUTCOME      ON c.END_OUTCOME_CD      = MTM_OUT_HSP_OUTCOME.OUT_HSP_OUTCOME_CD" _
'	& "  LEFT JOIN MTM_HSP_FORM			   ON c.HSP_FORM_CD		    = MTM_HSP_FORM.HSP_FORM_CD" _
'	& "  LEFT JOIN MTM_JOB AS C_JOB         ON c.CURRENT_JOB_CD      = C_JOB.JOB_CD" _
'	& "  LEFT JOIN MTM_JOB AS P_JOB         ON c.PAST_JOB_CD         = P_JOB.JOB_CD" _
'	& "  LEFT JOIN MTM_REG_STATUS     	   ON c.REG_STATUS_CD       = MTM_REG_STATUS.REG_STATUS_CD" _
'	& "" _
'	& " WHERE s.USER_CD   = " & sqlMSRCOMMON.prmUSER_CD _
'	& "   AND s.SEARCH_NO = " & sqlMSRCOMMON.prmSEARCH_NO _
'	& "" _
'	& " ORDER BY" _
'	& " s.PATIENT_NO" _
'	& ",s.HSP_HISTORY_NO" _
'	& ",s.CH_NO"
#End Region
'(M) STR V4-12010-000 232 20120101 FJSK)H.Y V4.10.11.5(Gridへ科コード、科表示順を追加)
#Region "V4-12010修正前"
	' ''' <summary>
	' ''' 一覧取得
	' ''' </summary>
	'Public Const sqlSel_List As String = _
	'  "SELECT " _
	'& sqlMSRCOMMON.prmSELECTED & " AS " & sqlMSRCOMMON.itmSELECTED _
	'& ",ROW_NUMBER() OVER(ORDER BY s.PATIENT_NO,s.HSP_HISTORY_NO,s.CH_NO) AS " & sqlMSRCOMMON.itmSORT_SEQ _
	'& ",s.PATIENT_NO" _
	'& ",s.HSP_HISTORY_NO" _
	'& ",s.CH_NO" _
	'& ",b.PATIENT_NM" _
	'& ",b.PATIENT_KNM" _
	'& ",XTM_GENDER.GENDER_NM" _
	'& ",CONVERT(VARCHAR,b.BIRTH_DT,111) AS BIRTH_DT" _
	'& ",CONVERT(VARCHAR,b.FIRSTHSPVST_DT,111) AS FIRSTHSPVST_DT" _
	'& ",CONVERT(VARCHAR,b.LASTHSPVST_DT ,111) AS LASTHSPVST_DT" _
	'& ",CONVERT(VARCHAR,b.LASTLEFTHSP_DT,111) AS LASTLEFTHSP_DT" _
	'& ",(SELECT AREA_RNM " _
	'& "  FROM MTM_AREA " _
	'& " WHERE AREA_CD = " _
	'& "( " _
	'& " SELECT TOP 1 AREA_CD FROM MTI_CH" _
	'& "  WHERE PATIENT_NO = s.PATIENT_NO" _
	'& "  ORDER BY" _
	'& " HSP_HISTORY_NO DESC" _
	'& ",CH_NO DESC" _
	'& " )" _
	'& ") AS NEW_AREA_RNM" _
	'& ",MTM_DEATH_LCT.DEATH_LCT_RNM" _
	'& ",CONVERT(VARCHAR,d.DEATH_DT,111) AS DEATH_DT" _
	'& ",d.DEATH_AGE" _
	'& ",MTM_DEATH_DIV.DEATH_DIV_RNM" _
	'& ",MTM_AFTER_OPE_DEATH_DIV.AFTER_OPE_DEATH_DIV_RNM" _
	'& "," & sqlMSRCOMMON.sqlCHK_NM_S & "d.AUTOPSY_CHK" & sqlMSRCOMMON.sqlCHK_NM_E & "AUTOPSY_CHK_NM" _
	'& ",CONVERT(VARCHAR,h.HSP_DT    ,111) AS HSP_DT" _
	'& ",CONVERT(VARCHAR,h.OUT_HSP_DT,111) AS OUT_HSP_DT" _
	'& "," & sqlMSRCOMMON.sqlFLG_NM_S & "c.HSP_FLG" & sqlMSRCOMMON.sqlFLG_NM_E & "HSP_FLG_NM" _
	'& "," & sqlMSRCOMMON.sqlFLG_NM_S & "c.OUT_HSP_FLG" & sqlMSRCOMMON.sqlFLG_NM_E & "OUT_HSP_FLG_NM" _
	'& "," & sqlMSRCOMMON.sqlFLG_NM_S & "c.MAIN_DPM_FLG" & sqlMSRCOMMON.sqlFLG_NM_E & "MAIN_DPM_FLG_NM" _
	'& ",c.BYOREKI_NO" _
	'& ",MTM_DEPT.DEPT_RNM" _
	'& ",MTM_WARD.WARD_RNM" _
	'& ",C_STAFF.STAFF_NM AS C_STAFF_NM" _
	'& ",MTM_AREA.AREA_RNM" _
	'& ",CONVERT(VARCHAR,c.START_DT,111) AS START_DT" _
	'& ",c.START_AGE" _
	'& ",MTM_HSP_CNL.HSP_CNL_RNM" _
	'& ",MTM_PLAN_EMERGENCY.PLAN_EMERGENCY_NM" _
	'& "," & sqlMSRCOMMON.sqlFLG_NM_S & "c.TIME_OUT_FLG" & sqlMSRCOMMON.sqlFLG_NM_E & "TIME_OUT_FLG_NM" _
	'& "," & sqlMSRCOMMON.sqlCHK_NM_S & "c.TAKE_AMBULANCE_CHK" & sqlMSRCOMMON.sqlCHK_NM_E & "TAKE_AMBULANCE_CHK_NM" _
	'& ",MTM_HSP_AIM.HSP_AIM_RNM" _
	'& ",CONVERT(VARCHAR,c.END_DT,111) AS END_DT" _
	'& ",c.END_AGE" _
	'& ",MTM_OUT_HSP_CNL.OUT_HSP_CNL_RNM" _
	'& ",MTM_OUT_HSP_OUTCOME.OUT_HSP_OUTCOME_RNM" _
	'& ",CASE WHEN c.HSP_DAYS <> 0 OR NOT c.END_DT IS NULL THEN c.HSP_DAYS" _
	'& "      WHEN c.START_DT = " & prmSYSDATE & " THEN " & prmNISUU_INIT _
	'& "      ELSE DATEDIFF(day,c.START_DT," & prmSYSDATE & ") + " & prmNISUU_PLUS _
	'& " END AS HSP_DAYS" _
	'& ",MTM_HSP_FORM.HSP_FORM_RNM" _
	'& ",c.TOTAL_MED_COST" _
	'& "," & sqlMSRCOMMON.sqlCHK_NM_S & "c.BLOOD_TRAN_CHK" & sqlMSRCOMMON.sqlCHK_NM_E & "BLOOD_TRAN_CHK_NM" _
	'& "," & sqlMSRCOMMON.sqlCHK_NM_S & "c.OPE_CHK" & sqlMSRCOMMON.sqlCHK_NM_E & "OPE_CHK_NM" _
	'& "," & sqlMSRCOMMON.sqlCHK_NM_S & "c.CLINICAL_TRIAL_CHK" & sqlMSRCOMMON.sqlCHK_NM_E & "CLINICAL_TRIAL_CHK_NM" _
	'& "," & sqlMSRCOMMON.sqlCHK_NM_S & "c.HSP_INFECTION_CHK" & sqlMSRCOMMON.sqlCHK_NM_E & "HSP_INFECTION_CHK_NM" _
	'& "," & sqlMSRCOMMON.sqlCHK_NM_S & "c.OTHER_DEPT_CHK" & sqlMSRCOMMON.sqlCHK_NM_E & "OTHER_DEPT_CHK_NM" _
	'& ",CONVERT(VARCHAR,c.FIRST_DIAGNOSIS_DT,111) AS FIRST_DIAGNOSIS_DT" _
	'& "," & sqlMSRCOMMON.sqlCHK_NM_S & "c.INTRODUCTION_CHK" & sqlMSRCOMMON.sqlCHK_NM_E & "INTRODUCTION_CHK_NM" _
	'& ",c.INTRODUCED_NM" _
	'& ",c.REFERENCE_NM" _
	'& ",C_JOB.JOB_RNM AS C_JOB_RNM" _
	'& ",P_JOB.JOB_RNM AS P_JOB_RNM" _
	'& ",c.DPC_CD" _
	'& ",c.REMARKS" _
	'& ",c.COMMENT" _
	'& ",MTM_REG_STATUS.REG_STATUS_RNM" _
	'& ",CONVERT(VARCHAR,c.REG_FINISHED_DT,111) AS REG_FINISHED_DT" _
	'& ",RECORD_MNGSTATUS_CD" _
	'& "" _
	'& "  FROM MTT_SEARCH_RESULT AS s" _
	'& " INNER JOIN MTI_CH AS c              ON s.PATIENT_NO     = c.PATIENT_NO" _
	'& "                                    AND s.HSP_HISTORY_NO = c.HSP_HISTORY_NO" _
	'& "                                    AND s.CH_NO          = c.CH_NO" _
	'& "  LEFT JOIN XTI_BASICINFO AS b       ON s.PATIENT_NO          = b.PATIENT_NO" _
	'& "  LEFT JOIN MTI_HSP       AS h       ON s.PATIENT_NO          = h.PATIENT_NO" _
	'& "                                    AND s.HSP_HISTORY_NO      = h.HSP_HISTORY_NO" _
	'& "  LEFT JOIN MTI_DEATH AS d           ON s.PATIENT_NO          = d.PATIENT_NO" _
	'& "  LEFT JOIN XTM_GENDER               ON b.GENDER_CD           = XTM_GENDER.GENDER_CD" _
	'& "  LEFT JOIN MTM_DEATH_LCT            ON d.DEATH_LCT_CD        = MTM_DEATH_LCT.DEATH_LCT_CD" _
	'& "  LEFT JOIN MTM_DEATH_DIV            ON d.DEATH_DIV           = MTM_DEATH_DIV.DEATH_DIV_CD" _
	'& "  LEFT JOIN MTM_AFTER_OPE_DEATH_DIV  ON d.AFTER_OPE_DEATH_DIV = MTM_AFTER_OPE_DEATH_DIV.AFTER_OPE_DEATH_DIV_CD" _
	'& "  LEFT JOIN MTM_DEPT                 ON c.DEPT_CD             = MTM_DEPT.DEPT_CD" _
	'& "  LEFT JOIN MTM_WARD                 ON c.WARD_CD             = MTM_WARD.WARD_CD" _
	'& "  LEFT JOIN XTM_STAFF AS C_STAFF     ON c.DOCTOR_CD           = C_STAFF.STAFF_CD" _
	'& "  LEFT JOIN MTM_AREA                 ON c.AREA_CD             = MTM_AREA.AREA_CD" _
	'& "  LEFT JOIN MTM_HSP_CNL              ON c.START_CNL_CD        = MTM_HSP_CNL.HSP_CNL_CD" _
	'& "  LEFT JOIN MTM_PLAN_EMERGENCY       ON c.PLAN_EMERGENCY_CD   = MTM_PLAN_EMERGENCY.PLAN_EMERGENCY_CD" _
	'& "  LEFT JOIN MTM_HSP_AIM              ON c.HSP_AIM_CD          = MTM_HSP_AIM.HSP_AIM_CD" _
	'& "  LEFT JOIN MTM_OUT_HSP_CNL          ON c.END_CNL_CD          = MTM_OUT_HSP_CNL.OUT_HSP_CNL_CD" _
	'& "  LEFT JOIN MTM_OUT_HSP_OUTCOME      ON c.END_OUTCOME_CD      = MTM_OUT_HSP_OUTCOME.OUT_HSP_OUTCOME_CD" _
	'& "  LEFT JOIN MTM_HSP_FORM             ON c.HSP_FORM_CD         = MTM_HSP_FORM.HSP_FORM_CD" _
	'& "  LEFT JOIN MTM_JOB AS C_JOB         ON c.CURRENT_JOB_CD      = C_JOB.JOB_CD" _
	'& "  LEFT JOIN MTM_JOB AS P_JOB         ON c.PAST_JOB_CD         = P_JOB.JOB_CD" _
	'& "  LEFT JOIN MTM_REG_STATUS           ON c.REG_STATUS_CD       = MTM_REG_STATUS.REG_STATUS_CD" _
	'& JOUKEN _
	'& "" _
	'& " WHERE s.USER_CD   = " & sqlMSRCOMMON.prmUSER_CD _
	'& "   AND s.SEARCH_NO = " & sqlMSRCOMMON.prmSEARCH_NO _
	'& "" _
	'& " ORDER BY" _
	'& " s.PATIENT_NO" _
	'& ",s.HSP_HISTORY_NO" _
	'& ",s.CH_NO"
#End Region

'(M) STR V4-12051-000 233 2013/01/23 ID)荒川 病歴大将V4PKG 管理No.32 ソート条件名称からコードに修正
	'Public Const sqlSel_List As String = _
	'  "SELECT " _
	'& sqlMSRCOMMON.prmSELECTED & " AS " & sqlMSRCOMMON.itmSELECTED _
	'& ",ROW_NUMBER() OVER(ORDER BY s.PATIENT_NO,s.HSP_HISTORY_NO,s.CH_NO) AS " & sqlMSRCOMMON.itmSORT_SEQ _
	'& ",s.PATIENT_NO" _
	'& ",s.HSP_HISTORY_NO" _
	'& ",s.CH_NO" _
	'& ",b.PATIENT_NM" _
	'& ",b.PATIENT_KNM" _
	'& ",XTM_GENDER.GENDER_NM" _
	'& ",CONVERT(VARCHAR,b.BIRTH_DT,111) AS BIRTH_DT" _
	'& ",CONVERT(VARCHAR,b.FIRSTHSPVST_DT,111) AS FIRSTHSPVST_DT" _
	'& ",CONVERT(VARCHAR,b.LASTHSPVST_DT ,111) AS LASTHSPVST_DT" _
	'& ",CONVERT(VARCHAR,b.LASTLEFTHSP_DT,111) AS LASTLEFTHSP_DT" _
	'& ",(SELECT AREA_RNM " _
	'& "  FROM MTM_AREA " _
	'& " WHERE AREA_CD = " _
	'& "( " _
	'& " SELECT TOP 1 AREA_CD FROM MTI_CH" _
	'& "  WHERE PATIENT_NO = s.PATIENT_NO" _
	'& "  ORDER BY" _
	'& " HSP_HISTORY_NO DESC" _
	'& ",CH_NO DESC" _
	'& " )" _
	'& ") AS NEW_AREA_RNM" _
	'& ",MTM_DEATH_LCT.DEATH_LCT_RNM" _
	'& ",CONVERT(VARCHAR,d.DEATH_DT,111) AS DEATH_DT" _
	'& ",d.DEATH_AGE" _
	'& ",MTM_DEATH_DIV.DEATH_DIV_RNM" _
	'& ",MTM_AFTER_OPE_DEATH_DIV.AFTER_OPE_DEATH_DIV_RNM" _
	'& "," & sqlMSRCOMMON.sqlCHK_NM_S & "d.AUTOPSY_CHK" & sqlMSRCOMMON.sqlCHK_NM_E & "AUTOPSY_CHK_NM" _
	'& ",CONVERT(VARCHAR,h.HSP_DT    ,111) AS HSP_DT" _
	'& ",CONVERT(VARCHAR,h.OUT_HSP_DT,111) AS OUT_HSP_DT" _
	'& "," & sqlMSRCOMMON.sqlFLG_NM_S & "c.HSP_FLG" & sqlMSRCOMMON.sqlFLG_NM_E & "HSP_FLG_NM" _
	'& "," & sqlMSRCOMMON.sqlFLG_NM_S & "c.OUT_HSP_FLG" & sqlMSRCOMMON.sqlFLG_NM_E & "OUT_HSP_FLG_NM" _
	'& "," & sqlMSRCOMMON.sqlFLG_NM_S & "c.MAIN_DPM_FLG" & sqlMSRCOMMON.sqlFLG_NM_E & "MAIN_DPM_FLG_NM" _
	'& ",c.BYOREKI_NO" _
	'& ",MTM_DEPT.DEPT_RNM" _
	'& ",c.DEPT_CD" _
	'& ",MTM_DEPT.DSPORDER as DEPT_DSPORDER" _
	'& ",MTM_WARD.WARD_RNM" _
	'& ",C_STAFF.STAFF_NM AS C_STAFF_NM" _
	'& ",MTM_AREA.AREA_RNM" _
	'& ",CONVERT(VARCHAR,c.START_DT,111) AS START_DT" _
	'& ",c.START_AGE" _
	'& ",MTM_HSP_CNL.HSP_CNL_RNM" _
	'& ",MTM_PLAN_EMERGENCY.PLAN_EMERGENCY_NM" _
	'& "," & sqlMSRCOMMON.sqlFLG_NM_S & "c.TIME_OUT_FLG" & sqlMSRCOMMON.sqlFLG_NM_E & "TIME_OUT_FLG_NM" _
	'& "," & sqlMSRCOMMON.sqlCHK_NM_S & "c.TAKE_AMBULANCE_CHK" & sqlMSRCOMMON.sqlCHK_NM_E & "TAKE_AMBULANCE_CHK_NM" _
	'& ",MTM_HSP_AIM.HSP_AIM_RNM" _
	'& ",CONVERT(VARCHAR,c.END_DT,111) AS END_DT" _
	'& ",c.END_AGE" _
	'& ",MTM_OUT_HSP_CNL.OUT_HSP_CNL_RNM" _
	'& ",MTM_OUT_HSP_OUTCOME.OUT_HSP_OUTCOME_RNM" _
	'& ",CASE WHEN c.HSP_DAYS <> 0 OR NOT c.END_DT IS NULL THEN c.HSP_DAYS" _
	'& "      WHEN c.START_DT = " & prmSYSDATE & " THEN " & prmNISUU_INIT _
	'& "      ELSE DATEDIFF(day,c.START_DT," & prmSYSDATE & ") + " & prmNISUU_PLUS _
	'& " END AS HSP_DAYS" _
	'& ",MTM_HSP_FORM.HSP_FORM_RNM" _
	'& ",c.TOTAL_MED_COST" _
	'& "," & sqlMSRCOMMON.sqlCHK_NM_S & "c.BLOOD_TRAN_CHK" & sqlMSRCOMMON.sqlCHK_NM_E & "BLOOD_TRAN_CHK_NM" _
	'& "," & sqlMSRCOMMON.sqlCHK_NM_S & "c.OPE_CHK" & sqlMSRCOMMON.sqlCHK_NM_E & "OPE_CHK_NM" _
	'& "," & sqlMSRCOMMON.sqlCHK_NM_S & "c.CLINICAL_TRIAL_CHK" & sqlMSRCOMMON.sqlCHK_NM_E & "CLINICAL_TRIAL_CHK_NM" _
	'& "," & sqlMSRCOMMON.sqlCHK_NM_S & "c.HSP_INFECTION_CHK" & sqlMSRCOMMON.sqlCHK_NM_E & "HSP_INFECTION_CHK_NM" _
	'& "," & sqlMSRCOMMON.sqlCHK_NM_S & "c.OTHER_DEPT_CHK" & sqlMSRCOMMON.sqlCHK_NM_E & "OTHER_DEPT_CHK_NM" _
	'& ",CONVERT(VARCHAR,c.FIRST_DIAGNOSIS_DT,111) AS FIRST_DIAGNOSIS_DT" _
	'& "," & sqlMSRCOMMON.sqlCHK_NM_S & "c.INTRODUCTION_CHK" & sqlMSRCOMMON.sqlCHK_NM_E & "INTRODUCTION_CHK_NM" _
	'& ",c.INTRODUCED_NM" _
	'& ",c.REFERENCE_NM" _
	'& ",C_JOB.JOB_RNM AS C_JOB_RNM" _
	'& ",P_JOB.JOB_RNM AS P_JOB_RNM" _
	'& ",c.DPC_CD" _
	'& ",c.REMARKS" _
	'& ",c.COMMENT" _
	'& ",MTM_REG_STATUS.REG_STATUS_RNM" _
	'& ",CONVERT(VARCHAR,c.REG_FINISHED_DT,111) AS REG_FINISHED_DT" _
	'& ",RECORD_MNGSTATUS_CD" _
	'& "" _
	'& "  FROM MTT_SEARCH_RESULT AS s" _
	'& " INNER JOIN MTI_CH AS c             ON s.PATIENT_NO     = c.PATIENT_NO" _
	'& "                                   AND s.HSP_HISTORY_NO = c.HSP_HISTORY_NO" _
	'& "                                   AND s.CH_NO          = c.CH_NO" _
	'& "  LEFT JOIN XTI_BASICINFO AS b       ON s.PATIENT_NO          = b.PATIENT_NO" _
	'& "  LEFT JOIN MTI_HSP       AS h       ON s.PATIENT_NO          = h.PATIENT_NO" _
	'& "                                   AND s.HSP_HISTORY_NO      = h.HSP_HISTORY_NO" _
	'& "  LEFT JOIN MTI_DEATH AS d           ON s.PATIENT_NO          = d.PATIENT_NO" _
	'& "  LEFT JOIN XTM_GENDER               ON b.GENDER_CD           = XTM_GENDER.GENDER_CD" _
	'& "  LEFT JOIN MTM_DEATH_LCT            ON d.DEATH_LCT_CD        = MTM_DEATH_LCT.DEATH_LCT_CD" _
	'& "  LEFT JOIN MTM_DEATH_DIV            ON d.DEATH_DIV           = MTM_DEATH_DIV.DEATH_DIV_CD" _
	'& "  LEFT JOIN MTM_AFTER_OPE_DEATH_DIV ON d.AFTER_OPE_DEATH_DIV = MTM_AFTER_OPE_DEATH_DIV.AFTER_OPE_DEATH_DIV_CD" _
	'& "  LEFT JOIN MTM_DEPT                 ON c.DEPT_CD             = MTM_DEPT.DEPT_CD" _
	'& "  LEFT JOIN MTM_WARD                 ON c.WARD_CD             = MTM_WARD.WARD_CD" _
	'& "  LEFT JOIN XTM_STAFF AS C_STAFF     ON c.DOCTOR_CD           = C_STAFF.STAFF_CD" _
	'& "  LEFT JOIN MTM_AREA                 ON c.AREA_CD             = MTM_AREA.AREA_CD" _
	'& "  LEFT JOIN MTM_HSP_CNL              ON c.START_CNL_CD        = MTM_HSP_CNL.HSP_CNL_CD" _
	'& "  LEFT JOIN MTM_PLAN_EMERGENCY       ON c.PLAN_EMERGENCY_CD   = MTM_PLAN_EMERGENCY.PLAN_EMERGENCY_CD" _
	'& "  LEFT JOIN MTM_HSP_AIM              ON c.HSP_AIM_CD          = MTM_HSP_AIM.HSP_AIM_CD" _
	'& "  LEFT JOIN MTM_OUT_HSP_CNL          ON c.END_CNL_CD          = MTM_OUT_HSP_CNL.OUT_HSP_CNL_CD" _
	'& "  LEFT JOIN MTM_OUT_HSP_OUTCOME      ON c.END_OUTCOME_CD      = MTM_OUT_HSP_OUTCOME.OUT_HSP_OUTCOME_CD" _
	'& "  LEFT JOIN MTM_HSP_FORM			   ON c.HSP_FORM_CD		    = MTM_HSP_FORM.HSP_FORM_CD" _
	'& "  LEFT JOIN MTM_JOB AS C_JOB         ON c.CURRENT_JOB_CD      = C_JOB.JOB_CD" _
	'& "  LEFT JOIN MTM_JOB AS P_JOB         ON c.PAST_JOB_CD         = P_JOB.JOB_CD" _
	'& "  LEFT JOIN MTM_REG_STATUS     	   ON c.REG_STATUS_CD       = MTM_REG_STATUS.REG_STATUS_CD" _
	'& JOUKEN _
	'& "" _
	'& " WHERE s.USER_CD   = " & sqlMSRCOMMON.prmUSER_CD _
	'& "   AND s.SEARCH_NO = " & sqlMSRCOMMON.prmSEARCH_NO _
	'& "" _
	'& " ORDER BY" _
	'& " s.PATIENT_NO" _
	'& ",s.HSP_HISTORY_NO" _
	'& ",s.CH_NO"
'(M) STR V4-15024-000 238 2014/05/20 ID)鈴木 病歴大将V5PKG 管理No.378 診療科コードのソート条件を名称からコードに修正
'	Public Const sqlSel_List As String = _
'	  "SELECT " _
'	& sqlMSRCOMMON.prmSELECTED & " AS " & sqlMSRCOMMON.itmSELECTED _
'	& ",ROW_NUMBER() OVER(ORDER BY s.PATIENT_NO,s.HSP_HISTORY_NO,s.CH_NO) AS " & sqlMSRCOMMON.itmSORT_SEQ _
'	& ",s.PATIENT_NO" _
'	& ",s.HSP_HISTORY_NO" _
'	& ",s.CH_NO" _
'	& ",b.PATIENT_NM" _
'	& ",b.PATIENT_KNM" _
'	& ",XTM_GENDER.GENDER_NM" _
'	& ",CONVERT(VARCHAR,b.BIRTH_DT,111) AS BIRTH_DT" _
'	& ",CONVERT(VARCHAR,b.FIRSTHSPVST_DT,111) AS FIRSTHSPVST_DT" _
'	& ",CONVERT(VARCHAR,b.LASTHSPVST_DT ,111) AS LASTHSPVST_DT" _
'	& ",CONVERT(VARCHAR,b.LASTLEFTHSP_DT,111) AS LASTLEFTHSP_DT" _
'	& ",(SELECT AREA_RNM " _
'	& "  FROM MTM_AREA " _
'	& " WHERE AREA_CD = " _
'	& "( " _
'	& " SELECT TOP 1 AREA_CD FROM MTI_CH" _
'	& "  WHERE PATIENT_NO = s.PATIENT_NO" _
'	& "  ORDER BY" _
'	& " HSP_HISTORY_NO DESC" _
'	& ",CH_NO DESC" _
'	& " )" _
'	& ") AS NEW_AREA_RNM" _
'	& ",MTM_DEATH_LCT.DEATH_LCT_RNM" _
'	& ",CONVERT(VARCHAR,d.DEATH_DT,111) AS DEATH_DT" _
'	& ",d.DEATH_AGE" _
'	& ",MTM_DEATH_DIV.DEATH_DIV_RNM" _
'	& ",MTM_AFTER_OPE_DEATH_DIV.AFTER_OPE_DEATH_DIV_RNM" _
'	& "," & sqlMSRCOMMON.sqlCHK_NM_S & "d.AUTOPSY_CHK" & sqlMSRCOMMON.sqlCHK_NM_E & "AUTOPSY_CHK_NM" _
'	& ",CONVERT(VARCHAR,h.HSP_DT    ,111) AS HSP_DT" _
'	& ",CONVERT(VARCHAR,h.OUT_HSP_DT,111) AS OUT_HSP_DT" _
'	& "," & sqlMSRCOMMON.sqlFLG_NM_S & "c.HSP_FLG" & sqlMSRCOMMON.sqlFLG_NM_E & "HSP_FLG_NM" _
'	& "," & sqlMSRCOMMON.sqlFLG_NM_S & "c.OUT_HSP_FLG" & sqlMSRCOMMON.sqlFLG_NM_E & "OUT_HSP_FLG_NM" _
'	& "," & sqlMSRCOMMON.sqlFLG_NM_S & "c.MAIN_DPM_FLG" & sqlMSRCOMMON.sqlFLG_NM_E & "MAIN_DPM_FLG_NM" _
'	& ",c.BYOREKI_NO" _
'	& ",MTM_DEPT.DEPT_RNM" _
'	& ",c.DEPT_CD" _
'	& ",MTM_DEPT.DSPORDER as DEPT_DSPORDER" _
'	& ",MTM_WARD.WARD_CD" _
'	& ",MTM_WARD.WARD_RNM" _
'	& ",MTM_WARD.DSPORDER AS WARD_DSPORDER" _
'	& ",C_STAFF.STAFF_CD AS C_STAFF_CD" _
'	& ",C_STAFF.STAFF_NM AS C_STAFF_NM" _
'	& ",C_STAFF.DSPORDER AS C_STAFF_DSPORDER" _
'	& ",MTM_AREA.AREA_RNM" _
'	& ",CONVERT(VARCHAR,c.START_DT,111) AS START_DT" _
'	& ",c.START_AGE" _
'	& ",MTM_HSP_CNL.HSP_CNL_RNM" _
'	& ",MTM_PLAN_EMERGENCY.PLAN_EMERGENCY_NM" _
'	& "," & sqlMSRCOMMON.sqlFLG_NM_S & "c.TIME_OUT_FLG" & sqlMSRCOMMON.sqlFLG_NM_E & "TIME_OUT_FLG_NM" _
'	& "," & sqlMSRCOMMON.sqlCHK_NM_S & "c.TAKE_AMBULANCE_CHK" & sqlMSRCOMMON.sqlCHK_NM_E & "TAKE_AMBULANCE_CHK_NM" _
'	& ",MTM_HSP_AIM.HSP_AIM_RNM" _
'	& ",CONVERT(VARCHAR,c.END_DT,111) AS END_DT" _
'	& ",c.END_AGE" _
'	& ",MTM_OUT_HSP_CNL.OUT_HSP_CNL_RNM" _
'	& ",MTM_OUT_HSP_OUTCOME.OUT_HSP_OUTCOME_RNM" _
'	& ",CASE WHEN c.HSP_DAYS <> 0 OR NOT c.END_DT IS NULL THEN c.HSP_DAYS" _
'	& "      WHEN c.START_DT = " & prmSYSDATE & " THEN " & prmNISUU_INIT _
'	& "      ELSE DATEDIFF(day,c.START_DT," & prmSYSDATE & ") + " & prmNISUU_PLUS _
'	& " END AS HSP_DAYS" _
'	& ",MTM_HSP_FORM.HSP_FORM_RNM" _
'	& ",c.TOTAL_MED_COST" _
'	& "," & sqlMSRCOMMON.sqlCHK_NM_S & "c.BLOOD_TRAN_CHK" & sqlMSRCOMMON.sqlCHK_NM_E & "BLOOD_TRAN_CHK_NM" _
'	& "," & sqlMSRCOMMON.sqlCHK_NM_S & "c.OPE_CHK" & sqlMSRCOMMON.sqlCHK_NM_E & "OPE_CHK_NM" _
'	& "," & sqlMSRCOMMON.sqlCHK_NM_S & "c.CLINICAL_TRIAL_CHK" & sqlMSRCOMMON.sqlCHK_NM_E & "CLINICAL_TRIAL_CHK_NM" _
'	& "," & sqlMSRCOMMON.sqlCHK_NM_S & "c.HSP_INFECTION_CHK" & sqlMSRCOMMON.sqlCHK_NM_E & "HSP_INFECTION_CHK_NM" _
'	& "," & sqlMSRCOMMON.sqlCHK_NM_S & "c.OTHER_DEPT_CHK" & sqlMSRCOMMON.sqlCHK_NM_E & "OTHER_DEPT_CHK_NM" _
'	& ",CONVERT(VARCHAR,c.FIRST_DIAGNOSIS_DT,111) AS FIRST_DIAGNOSIS_DT" _
'	& "," & sqlMSRCOMMON.sqlCHK_NM_S & "c.INTRODUCTION_CHK" & sqlMSRCOMMON.sqlCHK_NM_E & "INTRODUCTION_CHK_NM" _
'	& ",c.INTRODUCED_NM" _
'	& ",c.REFERENCE_NM" _
'	& ",C_JOB.JOB_RNM AS C_JOB_RNM" _
'	& ",P_JOB.JOB_RNM AS P_JOB_RNM" _
'	& ",c.DPC_CD" _
'	& ",c.REMARKS" _
'	& ",c.COMMENT" _
'	& ",MTM_REG_STATUS.REG_STATUS_RNM" _
'	& ",CONVERT(VARCHAR,c.REG_FINISHED_DT,111) AS REG_FINISHED_DT" _
'	& ",RECORD_MNGSTATUS_CD" _
'	& "" _
'	& "  FROM MTT_SEARCH_RESULT AS s" _
'	& " INNER JOIN MTI_CH AS c              ON s.PATIENT_NO     = c.PATIENT_NO" _
'	& "                                    AND s.HSP_HISTORY_NO = c.HSP_HISTORY_NO" _
'	& "                                    AND s.CH_NO          = c.CH_NO" _
'	& "  LEFT JOIN XTI_BASICINFO AS b       ON s.PATIENT_NO          = b.PATIENT_NO" _
'	& "  LEFT JOIN MTI_HSP       AS h       ON s.PATIENT_NO          = h.PATIENT_NO" _
'	& "                                    AND s.HSP_HISTORY_NO      = h.HSP_HISTORY_NO" _
'	& "  LEFT JOIN MTI_DEATH AS d           ON s.PATIENT_NO          = d.PATIENT_NO" _
'	& "  LEFT JOIN XTM_GENDER               ON b.GENDER_CD           = XTM_GENDER.GENDER_CD" _
'	& "  LEFT JOIN MTM_DEATH_LCT            ON d.DEATH_LCT_CD        = MTM_DEATH_LCT.DEATH_LCT_CD" _
'	& "  LEFT JOIN MTM_DEATH_DIV            ON d.DEATH_DIV           = MTM_DEATH_DIV.DEATH_DIV_CD" _
'	& "  LEFT JOIN MTM_AFTER_OPE_DEATH_DIV  ON d.AFTER_OPE_DEATH_DIV = MTM_AFTER_OPE_DEATH_DIV.AFTER_OPE_DEATH_DIV_CD" _
'	& "  LEFT JOIN MTM_DEPT                 ON c.DEPT_CD             = MTM_DEPT.DEPT_CD" _
'	& "  LEFT JOIN MTM_WARD                 ON c.WARD_CD             = MTM_WARD.WARD_CD" _
'	& "  LEFT JOIN XTM_STAFF AS C_STAFF     ON c.DOCTOR_CD           = C_STAFF.STAFF_CD" _
'	& "  LEFT JOIN MTM_AREA                 ON c.AREA_CD             = MTM_AREA.AREA_CD" _
'	& "  LEFT JOIN MTM_HSP_CNL              ON c.START_CNL_CD        = MTM_HSP_CNL.HSP_CNL_CD" _
'	& "  LEFT JOIN MTM_PLAN_EMERGENCY       ON c.PLAN_EMERGENCY_CD   = MTM_PLAN_EMERGENCY.PLAN_EMERGENCY_CD" _
'	& "  LEFT JOIN MTM_HSP_AIM              ON c.HSP_AIM_CD          = MTM_HSP_AIM.HSP_AIM_CD" _
'	& "  LEFT JOIN MTM_OUT_HSP_CNL          ON c.END_CNL_CD          = MTM_OUT_HSP_CNL.OUT_HSP_CNL_CD" _
'	& "  LEFT JOIN MTM_OUT_HSP_OUTCOME      ON c.END_OUTCOME_CD      = MTM_OUT_HSP_OUTCOME.OUT_HSP_OUTCOME_CD" _
'	& "  LEFT JOIN MTM_HSP_FORM             ON c.HSP_FORM_CD         = MTM_HSP_FORM.HSP_FORM_CD" _
'	& "  LEFT JOIN MTM_JOB AS C_JOB         ON c.CURRENT_JOB_CD      = C_JOB.JOB_CD" _
'	& "  LEFT JOIN MTM_JOB AS P_JOB         ON c.PAST_JOB_CD         = P_JOB.JOB_CD" _
'	& "  LEFT JOIN MTM_REG_STATUS           ON c.REG_STATUS_CD       = MTM_REG_STATUS.REG_STATUS_CD" _
'	& JOUKEN _
'	& "" _
'	& " WHERE s.USER_CD   = " & sqlMSRCOMMON.prmUSER_CD _
'	& "   AND s.SEARCH_NO = " & sqlMSRCOMMON.prmSEARCH_NO _
'	& "" _
'	& " ORDER BY" _
'	& " s.PATIENT_NO" _
'	& ",s.HSP_HISTORY_NO" _
'	& ",s.CH_NO"
	''' <summary>
	''' 一覧取得
	''' </summary>
	Public Const sqlSel_List As String = _
	  "SELECT " _
	& sqlMSRCOMMON.prmSELECTED & " AS " & sqlMSRCOMMON.itmSELECTED _
	& ",ROW_NUMBER() OVER(ORDER BY s.PATIENT_NO,s.HSP_HISTORY_NO,s.CH_NO) AS " & sqlMSRCOMMON.itmSORT_SEQ _
	& ",s.PATIENT_NO" _
	& ",s.HSP_HISTORY_NO" _
	& ",s.CH_NO" _
	& ",b.PATIENT_NM" _
	& ",b.PATIENT_KNM" _
	& ",XTM_GENDER.GENDER_NM" _
	& ",CONVERT(VARCHAR,b.BIRTH_DT,111) AS BIRTH_DT" _
	& ",CONVERT(VARCHAR,b.FIRSTHSPVST_DT,111) AS FIRSTHSPVST_DT" _
	& ",CONVERT(VARCHAR,b.LASTHSPVST_DT ,111) AS LASTHSPVST_DT" _
	& ",CONVERT(VARCHAR,b.LASTLEFTHSP_DT,111) AS LASTLEFTHSP_DT" _
	& ",(SELECT AREA_RNM " _
	& "  FROM MTM_AREA " _
	& " WHERE AREA_CD = " _
	& "( " _
	& " SELECT TOP 1 AREA_CD FROM MTI_CH" _
	& "  WHERE PATIENT_NO = s.PATIENT_NO" _
	& "  ORDER BY" _
	& " HSP_HISTORY_NO DESC" _
	& ",CH_NO DESC" _
	& " )" _
	& ") AS NEW_AREA_RNM" _
	& ",MTM_DEATH_LCT.DEATH_LCT_RNM" _
	& ",CONVERT(VARCHAR,d.DEATH_DT,111) AS DEATH_DT" _
	& ",d.DEATH_AGE" _
	& ",MTM_DEATH_DIV.DEATH_DIV_RNM" _
	& ",MTM_AFTER_OPE_DEATH_DIV.AFTER_OPE_DEATH_DIV_RNM" _
	& "," & sqlMSRCOMMON.sqlCHK_NM_S & "d.AUTOPSY_CHK" & sqlMSRCOMMON.sqlCHK_NM_E & "AUTOPSY_CHK_NM" _
	& ",CONVERT(VARCHAR,h.HSP_DT    ,111) AS HSP_DT" _
	& ",CONVERT(VARCHAR,h.OUT_HSP_DT,111) AS OUT_HSP_DT" _
	& "," & sqlMSRCOMMON.sqlFLG_NM_S & "c.HSP_FLG" & sqlMSRCOMMON.sqlFLG_NM_E & "HSP_FLG_NM" _
	& "," & sqlMSRCOMMON.sqlFLG_NM_S & "c.OUT_HSP_FLG" & sqlMSRCOMMON.sqlFLG_NM_E & "OUT_HSP_FLG_NM" _
	& "," & sqlMSRCOMMON.sqlFLG_NM_S & "c.MAIN_DPM_FLG" & sqlMSRCOMMON.sqlFLG_NM_E & "MAIN_DPM_FLG_NM" _
	& ",c.BYOREKI_NO" _
	& ",MTM_DEPT.DEPT_RNM" _
	& ",MTM_DEPT.DSPORDER AS DEPT_DSPORDER" _
	& ",c.DEPT_CD" _
	& ",MTM_DEPT.DSPORDER as DEPT_DSPORDER" _
	& ",MTM_WARD.WARD_CD" _
	& ",MTM_WARD.WARD_RNM" _
	& ",MTM_WARD.DSPORDER AS WARD_DSPORDER" _
	& ",C_STAFF.STAFF_CD AS C_STAFF_CD" _
	& ",C_STAFF.STAFF_NM AS C_STAFF_NM" _
	& ",C_STAFF.DSPORDER AS C_STAFF_DSPORDER" _
	& ",MTM_AREA.AREA_RNM" _
	& ",CONVERT(VARCHAR,c.START_DT,111) AS START_DT" _
	& ",c.START_AGE" _
	& ",MTM_HSP_CNL.HSP_CNL_RNM" _
	& ",MTM_PLAN_EMERGENCY.PLAN_EMERGENCY_NM" _
	& "," & sqlMSRCOMMON.sqlFLG_NM_S & "c.TIME_OUT_FLG" & sqlMSRCOMMON.sqlFLG_NM_E & "TIME_OUT_FLG_NM" _
	& "," & sqlMSRCOMMON.sqlCHK_NM_S & "c.TAKE_AMBULANCE_CHK" & sqlMSRCOMMON.sqlCHK_NM_E & "TAKE_AMBULANCE_CHK_NM" _
	& ",MTM_HSP_AIM.HSP_AIM_RNM" _
	& ",CONVERT(VARCHAR,c.END_DT,111) AS END_DT" _
	& ",c.END_AGE" _
	& ",MTM_OUT_HSP_CNL.OUT_HSP_CNL_RNM" _
	& ",MTM_OUT_HSP_OUTCOME.OUT_HSP_OUTCOME_RNM" _
	& ",CASE WHEN c.HSP_DAYS <> 0 OR NOT c.END_DT IS NULL THEN c.HSP_DAYS" _
	& "      WHEN c.START_DT = " & prmSYSDATE & " THEN " & prmNISUU_INIT _
	& "      ELSE DATEDIFF(day,c.START_DT," & prmSYSDATE & ") + " & prmNISUU_PLUS _
	& " END AS HSP_DAYS" _
	& ",MTM_HSP_FORM.HSP_FORM_RNM" _
	& ",c.TOTAL_MED_COST" _
	& "," & sqlMSRCOMMON.sqlCHK_NM_S & "c.BLOOD_TRAN_CHK" & sqlMSRCOMMON.sqlCHK_NM_E & "BLOOD_TRAN_CHK_NM" _
	& "," & sqlMSRCOMMON.sqlCHK_NM_S & "c.OPE_CHK" & sqlMSRCOMMON.sqlCHK_NM_E & "OPE_CHK_NM" _
	& "," & sqlMSRCOMMON.sqlCHK_NM_S & "c.CLINICAL_TRIAL_CHK" & sqlMSRCOMMON.sqlCHK_NM_E & "CLINICAL_TRIAL_CHK_NM" _
	& "," & sqlMSRCOMMON.sqlCHK_NM_S & "c.HSP_INFECTION_CHK" & sqlMSRCOMMON.sqlCHK_NM_E & "HSP_INFECTION_CHK_NM" _
	& "," & sqlMSRCOMMON.sqlCHK_NM_S & "c.OTHER_DEPT_CHK" & sqlMSRCOMMON.sqlCHK_NM_E & "OTHER_DEPT_CHK_NM" _
	& ",CONVERT(VARCHAR,c.FIRST_DIAGNOSIS_DT,111) AS FIRST_DIAGNOSIS_DT" _
	& "," & sqlMSRCOMMON.sqlCHK_NM_S & "c.INTRODUCTION_CHK" & sqlMSRCOMMON.sqlCHK_NM_E & "INTRODUCTION_CHK_NM" _
	& ",c.INTRODUCED_NM" _
	& ",c.REFERENCE_NM" _
	& ",C_JOB.JOB_RNM AS C_JOB_RNM" _
	& ",P_JOB.JOB_RNM AS P_JOB_RNM" _
	& ",c.DPC_CD" _
	& ",c.REMARKS" _
	& ",c.COMMENT" _
	& ",MTM_REG_STATUS.REG_STATUS_RNM" _
	& ",CONVERT(VARCHAR,c.REG_FINISHED_DT,111) AS REG_FINISHED_DT" _
	& ",RECORD_MNGSTATUS_CD" _
	& "" _
	& "  FROM MTT_SEARCH_RESULT AS s" _
	& " INNER JOIN MTI_CH AS c              ON s.PATIENT_NO     = c.PATIENT_NO" _
	& "                                    AND s.HSP_HISTORY_NO = c.HSP_HISTORY_NO" _
	& "                                    AND s.CH_NO          = c.CH_NO" _
	& "  LEFT JOIN XTI_BASICINFO AS b       ON s.PATIENT_NO          = b.PATIENT_NO" _
	& "  LEFT JOIN MTI_HSP       AS h       ON s.PATIENT_NO          = h.PATIENT_NO" _
	& "                                    AND s.HSP_HISTORY_NO      = h.HSP_HISTORY_NO" _
	& "  LEFT JOIN MTI_DEATH AS d           ON s.PATIENT_NO          = d.PATIENT_NO" _
	& "  LEFT JOIN XTM_GENDER               ON b.GENDER_CD           = XTM_GENDER.GENDER_CD" _
	& "  LEFT JOIN MTM_DEATH_LCT            ON d.DEATH_LCT_CD        = MTM_DEATH_LCT.DEATH_LCT_CD" _
	& "  LEFT JOIN MTM_DEATH_DIV            ON d.DEATH_DIV           = MTM_DEATH_DIV.DEATH_DIV_CD" _
	& "  LEFT JOIN MTM_AFTER_OPE_DEATH_DIV  ON d.AFTER_OPE_DEATH_DIV = MTM_AFTER_OPE_DEATH_DIV.AFTER_OPE_DEATH_DIV_CD" _
	& "  LEFT JOIN MTM_DEPT                 ON c.DEPT_CD             = MTM_DEPT.DEPT_CD" _
	& "  LEFT JOIN MTM_WARD                 ON c.WARD_CD             = MTM_WARD.WARD_CD" _
	& "  LEFT JOIN XTM_STAFF AS C_STAFF     ON c.DOCTOR_CD           = C_STAFF.STAFF_CD" _
	& "  LEFT JOIN MTM_AREA                 ON c.AREA_CD             = MTM_AREA.AREA_CD" _
	& "  LEFT JOIN MTM_HSP_CNL              ON c.START_CNL_CD        = MTM_HSP_CNL.HSP_CNL_CD" _
	& "  LEFT JOIN MTM_PLAN_EMERGENCY       ON c.PLAN_EMERGENCY_CD   = MTM_PLAN_EMERGENCY.PLAN_EMERGENCY_CD" _
	& "  LEFT JOIN MTM_HSP_AIM              ON c.HSP_AIM_CD          = MTM_HSP_AIM.HSP_AIM_CD" _
	& "  LEFT JOIN MTM_OUT_HSP_CNL          ON c.END_CNL_CD          = MTM_OUT_HSP_CNL.OUT_HSP_CNL_CD" _
	& "  LEFT JOIN MTM_OUT_HSP_OUTCOME      ON c.END_OUTCOME_CD      = MTM_OUT_HSP_OUTCOME.OUT_HSP_OUTCOME_CD" _
	& "  LEFT JOIN MTM_HSP_FORM             ON c.HSP_FORM_CD         = MTM_HSP_FORM.HSP_FORM_CD" _
	& "  LEFT JOIN MTM_JOB AS C_JOB         ON c.CURRENT_JOB_CD      = C_JOB.JOB_CD" _
	& "  LEFT JOIN MTM_JOB AS P_JOB         ON c.PAST_JOB_CD         = P_JOB.JOB_CD" _
	& "  LEFT JOIN MTM_REG_STATUS           ON c.REG_STATUS_CD       = MTM_REG_STATUS.REG_STATUS_CD" _
	& JOUKEN _
	& "" _
	& " WHERE s.USER_CD   = " & sqlMSRCOMMON.prmUSER_CD _
	& "   AND s.SEARCH_NO = " & sqlMSRCOMMON.prmSEARCH_NO _
	& "" _
	& " ORDER BY" _
	& " s.PATIENT_NO" _
	& ",s.HSP_HISTORY_NO" _
	& ",s.CH_NO"
'(M) END V4-15024-000 238 2014/05/20 ID)鈴木 病歴大将V5PKG 管理No.378 診療科コードのソート条件を名称からコードに修正
'(M) END V4-12051-000 233 2013/01/23
'(M) END V4-12010-000 232 20120101 FJSK)H.Y V4.10.11.5(Gridへ科コード、科表示順を追加)
'(M) END V4-11048-000 224 20110915
'(A) STR V4-11048-000 008 20110915 FJSK)荒川 XXX号 病歴大将V4PKG問題点No159 並び替えができるように列に「カナ」を追加する対応
	''' <summary>
	''' 入院単位の貸出物情報
	''' </summary>
	Public Const sqlTblMe_ih As String = "  LEFT JOIN MTI_LENDITM AS l  ON s.PATIENT_NO          = l.PATIENT_NO" _
																   & " AND s.HSP_HISTORY_NO      = l.HSP_HISTORY_NO" _
																   & " AND 0                     = l.CH_NO"
'(A) END V4-11048-000 008 20110915
'(A) STR V4-11048-000 008 20110915 FJSK)荒川 XXX号 病歴大将V4PKG問題点No159 並び替えができるように列に「カナ」を追加する対応
	''' <summary>
	''' 科歴単位の貸出物情報
	''' </summary>
	Public Const sqlTblMe_ic As String = "  LEFT JOIN MTI_LENDITM AS l  ON s.PATIENT_NO          = l.PATIENT_NO" _
																   & " AND s.HSP_HISTORY_NO      = l.HSP_HISTORY_NO" _
																   & " AND s.CH_NO               = l.CH_NO"
'(A) END V4-11048-000 008 20110915
'(A) STR V4-11048-000 008 20110915 FJSK)荒川 XXX号 病歴大将V4PKG問題点No159 並び替えができるように列に「カナ」を追加する対応
	''' <summary>
	''' 患者単位の貸出物情報
	''' </summary>
	Public Const sqlTblMe_ib As String = "  LEFT JOIN MTI_LENDITM AS l  ON s.PATIENT_NO          = l.PATIENT_NO" _
																   & " AND 0                     = l.HSP_HISTORY_NO" _
																   & " AND 0                     = l.CH_NO"
'(A) END V4-11048-000 008 20110915
End Class
