﻿''' ---------------------------------------------
''' <summary>
''' 診療情報管理 検索 科歴情報　検索結果更新(SQLクラス）
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public NotInheritable Class sqlMSR050F030

#Region "パラメータ"
	Public Const prmREG_STATUS_CD As String = "@REG_STATUS_CD"			 '登録状況コード
	Public Const prmREG_FINISHED_DT As String = "@REG_FINISHED_DT"		 '登録完了日
	Public Const prmDT_FLG As String = "@DT_FLG"						 '登録完了日更新内容フラグ
	Public Const prmEXC_ST_FLG As String = "@EXCLUDE_STATISTICS_FLG"	 '統計対象外フラグ
	Public Const prmBYOREKI_START As String = "@BYOREKI_START"			 '病歴番号取得開始位置
	Public Const prmBYOREKI_LENGTH As String = "@BYOREKI_LENGTH"		 '病歴番号取得文字数
	Public Const prmDOCTOR_DIV As String = "@DOCTOR_DIV"				 '医師区分コード
	Public Const prmDOCTOR_CD As String = "@DOCTOR_CD"					 '医師コード
	Public Const prmINTRODUCED_CD As String = "@INTRODUCED_CD "			 '紹介元コード
	Public Const prmINTRODUCED_NM As String = "@INTRODUCED_NM "			 '紹介元名
	Public Const prmREFERENCE_CD As String = "@REFERENCE_CD "			 '紹介先コード
	Public Const prmREFERENCE_NM As String = "@REFERENCE_NM "			 '紹介先名
	Public Const prmREADMISSION_FLG As String = "@READMISSION_FLG"		 '再入院フラグ
	Public Const prmSELF_OTHERHSP As String = "@LAST_SELF_OTHER_HSP_DIV" '前回自他院区分
#End Region

#Region "データ更新関連(登録状況)"

	''' <summary>
	''' 登録状況更新用
	''' </summary>
	Public Const sqlUpdRegStatus As String = _
	  " UPDATE c" _
	& "   SET c.REG_STATUS_CD                  =" & prmREG_STATUS_CD _
	& "      ,c.LASTUPD_DT                     =" & sqlMSRCOMMON.prmLASTUPD_DT _
	& "      ,c.LASTUPDUSER_CD                 =" & sqlMSRCOMMON.prmLASTUPDUSER_CD _
	& "  FROM MTW_SEARCH_WORK" _
	& "       INNER JOIN MTI_CH AS c" _
	& "    ON MTW_SEARCH_WORK.PATIENT_NO       = c.PATIENT_NO" _
	& "   AND MTW_SEARCH_WORK.HSP_HISTORY_NO   = c.HSP_HISTORY_NO" _
	& "   AND MTW_SEARCH_WORK.CH_NO            = c.CH_NO" _
	& " WHERE MTW_SEARCH_WORK.HOST_NM          = " & sqlMSRCOMMON.prmHOST_NM

	''' <summary>
	''' 登録完了日更新用(指定日のとき)
	''' </summary>
	Public Const sqlUpdRegFinSELDT As String = _
	  " UPDATE c" _
	& "  SET  c.REG_FINISHED_DT                =" & prmREG_FINISHED_DT _
	& "      ,c.LASTUPD_DT                     =" & sqlMSRCOMMON.prmLASTUPD_DT _
	& "      ,c.LASTUPDUSER_CD                 =" & sqlMSRCOMMON.prmLASTUPDUSER_CD _
	& "  FROM MTW_SEARCH_WORK" _
	& "       INNER JOIN MTI_CH AS c" _
	& "    ON MTW_SEARCH_WORK.PATIENT_NO       = c.PATIENT_NO" _
	& "   AND MTW_SEARCH_WORK.HSP_HISTORY_NO   = c.HSP_HISTORY_NO" _
	& "   AND MTW_SEARCH_WORK.CH_NO            = c.CH_NO" _
	& " WHERE MTW_SEARCH_WORK.HOST_NM          =" & sqlMSRCOMMON.prmHOST_NM

	''' <summary>
	''' 登録完了日更新用(終了日のとき)
	''' </summary>
	Public Const sqlUpdRegFinENDDT As String = _
	  " UPDATE c" _
	& "  SET c.REG_FINISHED_DT                 = c.END_DT" _
	& "      ,c.LASTUPD_DT                     =" & sqlMSRCOMMON.prmLASTUPD_DT _
	& "      ,c.LASTUPDUSER_CD                 =" & sqlMSRCOMMON.prmLASTUPDUSER_CD _
	& "  FROM MTW_SEARCH_WORK" _
	& "       INNER JOIN MTI_CH AS c" _
	& "    ON MTW_SEARCH_WORK.PATIENT_NO       = c.PATIENT_NO" _
	& "   AND MTW_SEARCH_WORK.HSP_HISTORY_NO   = c.HSP_HISTORY_NO" _
	& "   AND MTW_SEARCH_WORK.CH_NO            = c.CH_NO" _
	& " WHERE MTW_SEARCH_WORK.HOST_NM          =" & sqlMSRCOMMON.prmHOST_NM

	''' <summary>
	''' 登録完了日更新用(退院日のとき)
	''' </summary>
	Public Const sqlUpdRegFinOUTDT As String = _
	  " UPDATE c" _
	& "  SET  c.REG_FINISHED_DT                = h.OUT_HSP_DT" _
	& "      ,c.LASTUPD_DT                     =" & sqlMSRCOMMON.prmLASTUPD_DT _
	& "      ,c.LASTUPDUSER_CD                 =" & sqlMSRCOMMON.prmLASTUPDUSER_CD _
	& "  FROM MTW_SEARCH_WORK" _
	& "       INNER JOIN MTI_CH AS c" _
	& "    ON MTW_SEARCH_WORK.PATIENT_NO       = c.PATIENT_NO" _
	& "   AND MTW_SEARCH_WORK.HSP_HISTORY_NO   = c.HSP_HISTORY_NO" _
	& "   AND MTW_SEARCH_WORK.CH_NO            = c.CH_NO" _
	& " INNER JOIN MTI_HSP AS h" _
	& "    ON c.PATIENT_NO                     = h.PATIENT_NO" _
	& "   AND c.HSP_HISTORY_NO                 = h.HSP_HISTORY_NO" _
	& " WHERE MTW_SEARCH_WORK.HOST_NM          =" & sqlMSRCOMMON.prmHOST_NM

#End Region

#Region "データ更新関連(統計対象外)"

	''' <summary>
	''' 統計対象外フラグ更新用
	''' </summary>
	Public Const SqlUpdExcludeStatistics As String = _
	  " UPDATE c" _
	& "  SET c.EXCLUDE_STATISTICS_FLG          =" & prmEXC_ST_FLG _
	& "      ,c.LASTUPD_DT                     =" & sqlMSRCOMMON.prmLASTUPD_DT _
	& "      ,c.LASTUPDUSER_CD                 =" & sqlMSRCOMMON.prmLASTUPDUSER_CD _
	& "  FROM MTW_SEARCH_WORK" _
	& "       INNER JOIN MTI_CH AS c" _
	& "    ON MTW_SEARCH_WORK.PATIENT_NO       = c.PATIENT_NO" _
	& "   AND MTW_SEARCH_WORK.HSP_HISTORY_NO   = c.HSP_HISTORY_NO" _
	& "   AND MTW_SEARCH_WORK.CH_NO            = c.CH_NO" _
	& " WHERE MTW_SEARCH_WORK.HOST_NM          =" & sqlMSRCOMMON.prmHOST_NM

#End Region

#Region "データ更新関連(病歴番号再設定)"

	''' <summary>
	''' 病歴番号再設定(科歴)更新用
	''' </summary>
	Public Const SqlUpdByorekiNoCh As String = _
	  " UPDATE c" _
	& "   SET c.BYOREKI_NO                     =" & "SUBSTRING(c.PATIENT_NO," & prmBYOREKI_START & "," & prmBYOREKI_LENGTH & ") " _
	& "      ,c.LASTUPD_DT                     =" & sqlMSRCOMMON.prmLASTUPD_DT _
	& "      ,c.LASTUPDUSER_CD                 =" & sqlMSRCOMMON.prmLASTUPDUSER_CD _
	& "  FROM MTW_SEARCH_WORK" _
	& "       INNER JOIN MTI_CH AS c" _
	& "    ON MTW_SEARCH_WORK.PATIENT_NO       = c.PATIENT_NO" _
	& "   AND MTW_SEARCH_WORK.HSP_HISTORY_NO   = c.HSP_HISTORY_NO" _
	& "   AND MTW_SEARCH_WORK.CH_NO            = c.CH_NO" _
	& " WHERE MTW_SEARCH_WORK.HOST_NM          =" & sqlMSRCOMMON.prmHOST_NM

	''' <summary>
	''' 病歴番号再設定(入退院)更新用
	''' </summary>
	Public Const SqlUpdByorekiNoHsp As String = _
	  " UPDATE h" _
	& "   SET h.BYOREKI_NO                     = c.BYOREKI_NO" _
	& "      ,h.LASTUPD_DT                     =" & sqlMSRCOMMON.prmLASTUPD_DT _
	& "      ,h.LASTUPDUSER_CD                 =" & sqlMSRCOMMON.prmLASTUPDUSER_CD _
	& "  FROM MTW_SEARCH_WORK" _
	& "       INNER JOIN MTI_CH AS c" _
	& "    ON MTW_SEARCH_WORK.PATIENT_NO       = c.PATIENT_NO" _
	& "   AND MTW_SEARCH_WORK.HSP_HISTORY_NO   = c.HSP_HISTORY_NO" _
	& "   AND MTW_SEARCH_WORK.CH_NO            = c.CH_NO" _
	& " INNER JOIN MTI_HSP AS h" _
	& "    ON c.PATIENT_NO                     = h.PATIENT_NO" _
	& "   AND c.HSP_HISTORY_NO                 = h.HSP_HISTORY_NO" _
	& " WHERE MTW_SEARCH_WORK.HOST_NM          =" & sqlMSRCOMMON.prmHOST_NM _
	& "   AND c.MAIN_DPM_FLG                   =" & sqlMSRCOMMON.prmFLG_ON

#End Region

#Region "データ更新関連(医師追加)"

	''' <summary>
	''' 医師追加用
	''' </summary>
	Public Const sqlInsDoctor As String = _
	 "INSERT INTO MTI_DOCTOR" _
	& "(PATIENT_NO" _
	& ",HSP_HISTORY_NO" _
	& ",CH_NO" _
	& ",DOCTOR_SERIAL_NO" _
	& ",MAIN_DOCTOR_FLG" _
	& ",DOCTOR_DIV" _
	& ",DOCTOR_CD" _
	& ",ATTEND_START_DT" _
	& ",ATTEND_END_DT" _
	& ",LASTUPD_DT" _
	& ",LASTUPDUSER_CD" _
	& " ) " _
	& " SELECT " _
	& "  MTW_SEARCH_WORK.PATIENT_NO" _
	& ", MTW_SEARCH_WORK.HSP_HISTORY_NO" _
	& ", MTW_SEARCH_WORK.CH_NO" _
	& "," & sqlInsDoctorCnt _
	& "," & sqlInsDoctorFlg _
	& "," & prmDOCTOR_DIV _
	& "," & prmDOCTOR_CD _
	& ", c.START_DT" _
	& ", c.END_DT" _
	& "," & sqlMSRCOMMON.prmLASTUPD_DT _
	& "," & sqlMSRCOMMON.prmLASTUPDUSER_CD _
	& "  FROM MTW_SEARCH_WORK" _
	& "       INNER JOIN MTI_CH AS c" _
	& "    ON MTW_SEARCH_WORK.PATIENT_NO       = c.PATIENT_NO" _
	& "   AND MTW_SEARCH_WORK.HSP_HISTORY_NO   = c.HSP_HISTORY_NO" _
	& "   AND MTW_SEARCH_WORK.CH_NO            = c.CH_NO" _
	& " WHERE MTW_SEARCH_WORK.HOST_NM          =" & sqlMSRCOMMON.prmHOST_NM

	''' <summary>
	''' 医師連番最大値取得
	''' </summary>
	Private Const sqlInsDoctorCnt As String = _
	  " ISNULL((SELECT MAX(DOCTOR_SERIAL_NO) AS MAX_NO" _
	 & "  FROM MTI_DOCTOR" _
	 & " WHERE PATIENT_NO = MTW_SEARCH_WORK.PATIENT_NO" _
	 & "   AND HSP_HISTORY_NO = MTW_SEARCH_WORK.HSP_HISTORY_NO" _
	 & "   AND CH_NO = MTW_SEARCH_WORK.CH_NO" _
	 & "  ),0) + 1 "

	''' <summary>
	''' 主治医フラグ最小値取得
	''' </summary>
	Private Const sqlInsDoctorFlg As String = _
	  " ISNULL((SELECT MIN(MAIN_DOCTOR_FLG) AS MIN_NO" _
	 & "  FROM MTI_DOCTOR" _
	 & " WHERE PATIENT_NO = MTW_SEARCH_WORK.PATIENT_NO" _
	 & "   AND HSP_HISTORY_NO = MTW_SEARCH_WORK.HSP_HISTORY_NO" _
	 & "   AND CH_NO = MTW_SEARCH_WORK.CH_NO" _
	 & "  ),0) "

	''' <summary>
	''' 医師追加(科歴)更新用
	''' </summary>
	Public Const SqlUpdDoctorCh As String = _
	  " UPDATE c" _
	& "   SET c.DOCTOR_CD                      = d.DOCTOR_CD" _
	& "      ,c.LASTUPD_DT                     =" & sqlMSRCOMMON.prmLASTUPD_DT _
	& "      ,c.LASTUPDUSER_CD                 =" & sqlMSRCOMMON.prmLASTUPDUSER_CD _
	& "  FROM MTW_SEARCH_WORK" _
	& "       INNER JOIN MTI_CH AS c" _
	& "    ON MTW_SEARCH_WORK.PATIENT_NO       = c.PATIENT_NO" _
	& "   AND MTW_SEARCH_WORK.HSP_HISTORY_NO   = c.HSP_HISTORY_NO" _
	& "   AND MTW_SEARCH_WORK.CH_NO            = c.CH_NO" _
	& "       LEFT JOIN MTI_DOCTOR AS d" _
	& "    ON c.PATIENT_NO                     = d.PATIENT_NO" _
	& "   AND c.HSP_HISTORY_NO                 = d.HSP_HISTORY_NO" _
	& "   AND c.CH_NO                          = d.CH_NO" _
	& " WHERE MTW_SEARCH_WORK.HOST_NM          =" & sqlMSRCOMMON.prmHOST_NM _
	& "   AND d.MAIN_DOCTOR_FLG				   =" & sqlMSRCOMMON.prmFLG_ON

	''' <summary>
	''' 医師追加(入退院)更新用
	''' </summary>
	Public Const SqlUpdDoctorHsp As String = _
	  " UPDATE h" _
	& "   SET h.DOCTOR_CD                       = c.DOCTOR_CD" _
	& "      ,h.LASTUPD_DT                      =" & sqlMSRCOMMON.prmLASTUPD_DT _
	& "      ,h.LASTUPDUSER_CD					=" & sqlMSRCOMMON.prmLASTUPDUSER_CD _
	& "  FROM MTW_SEARCH_WORK" _
	& "       INNER JOIN MTI_HSP AS h" _
	& "    ON MTW_SEARCH_WORK.PATIENT_NO       = h.PATIENT_NO" _
	& "   AND MTW_SEARCH_WORK.HSP_HISTORY_NO   = h.HSP_HISTORY_NO" _
	& "       LEFT JOIN MTI_CH AS c" _
	& "    ON h.PATIENT_NO                     = c.PATIENT_NO" _
	& "   AND h.HSP_HISTORY_NO                 = c.HSP_HISTORY_NO" _
	& " WHERE MTW_SEARCH_WORK.HOST_NM          =" & sqlMSRCOMMON.prmHOST_NM _
	& "   AND c.MAIN_DPM_FLG                   =" & sqlMSRCOMMON.prmFLG_ON _
	& "   AND h.OUT_HSP_DT                      IS NOT NULL"

	'& "   AND MTW_SEARCH_WORK.CH_NO            = h.CH_NO" _
	'& "   AND h.CH_NO                          = c.CH_NO" _
#End Region

#Region "データ更新関連(紹介元医療機関)"

	''' <summary>
	''' 紹介元医療機関更新用
	''' </summary>
	Public Const SqlUpdHspInt As String = _
	  " UPDATE c" _
	& "   SET c.INTRODUCED_CD                  =" & prmINTRODUCED_CD _
	& "      ,c.INTRODUCED_NM                  =" & prmINTRODUCED_NM _
	& "      ,c.LASTUPD_DT                     =" & sqlMSRCOMMON.prmLASTUPD_DT _
	& "      ,c.LASTUPDUSER_CD                 =" & sqlMSRCOMMON.prmLASTUPDUSER_CD _
	& "  FROM MTW_SEARCH_WORK" _
	& "       INNER JOIN MTI_CH AS c" _
	& "    ON MTW_SEARCH_WORK.PATIENT_NO       = c.PATIENT_NO" _
	& "   AND MTW_SEARCH_WORK.HSP_HISTORY_NO   = c.HSP_HISTORY_NO" _
	& "   AND MTW_SEARCH_WORK.CH_NO            = c.CH_NO" _
	& " WHERE MTW_SEARCH_WORK.HOST_NM          =" & sqlMSRCOMMON.prmHOST_NM
#End Region

#Region "データ更新関連(紹介先医療機関)"

	''' <summary>
	''' 紹介先医療機関更新用
	''' </summary>
	Public Const SqlUpdHspRef As String = _
	  " UPDATE c" _
	& "   SET c.REFERENCE_CD                   =" & prmREFERENCE_CD _
	& "      ,c.REFERENCE_NM                   =" & prmREFERENCE_NM _
	& "      ,c.LASTUPD_DT                     =" & sqlMSRCOMMON.prmLASTUPD_DT _
	& "      ,c.LASTUPDUSER_CD                 =" & sqlMSRCOMMON.prmLASTUPDUSER_CD _
	& "  FROM MTW_SEARCH_WORK" _
	& "       INNER JOIN MTI_CH AS c" _
	& "    ON MTW_SEARCH_WORK.PATIENT_NO       = c.PATIENT_NO" _
	& "   AND MTW_SEARCH_WORK.HSP_HISTORY_NO   = c.HSP_HISTORY_NO" _
	& "   AND MTW_SEARCH_WORK.CH_NO            = c.CH_NO" _
	& " WHERE MTW_SEARCH_WORK.HOST_NM          =" & sqlMSRCOMMON.prmHOST_NM

#End Region

#Region "データ更新関連(再入院・同一疾病自院再入院)"

	'科歴更新

	''' <summary>
	'''「再入院」チェック時
	''' </summary>
	Public Const SqlUpdNyuCH_S As String = _
	  " UPDATE c " _
	& "    SET c.LASTUPD_DT                     =" & sqlMSRCOMMON.prmLASTUPD_DT _
	& "       ,c.LASTUPDUSER_CD                 =" & sqlMSRCOMMON.prmLASTUPDUSER_CD _
	& "       ,c.READMISSION_FLG                =" & prmREADMISSION_FLG _
	& "       ,c.LAST_SELF_OTHER_HSP_DIV        =" & prmSELF_OTHERHSP _
	& "   FROM MTW_SEARCH_WORK" _
	& "        INNER JOIN MTI_CH AS c" _
	& "     ON MTW_SEARCH_WORK.PATIENT_NO       = c.PATIENT_NO" _
	& "    AND MTW_SEARCH_WORK.HSP_HISTORY_NO   = c.HSP_HISTORY_NO" _
	& "    AND MTW_SEARCH_WORK.CH_NO            = c.CH_NO" _
	& "  WHERE MTW_SEARCH_WORK.HOST_NM          =" & sqlMSRCOMMON.prmHOST_NM

	''' <summary>
	'''「同一疾病自院再入院」チェック時
	''' </summary>
	Public Const SqlUpdNyuCH_D As String = _
	  " UPDATE c " _
	& "    SET c.LASTUPD_DT                     =" & sqlMSRCOMMON.prmLASTUPD_DT _
	& "       ,c.LASTUPDUSER_CD                 =" & sqlMSRCOMMON.prmLASTUPDUSER_CD _
	& "       ,c.DISEASE_READMISSION_FLG        =" & prmREADMISSION_FLG _
	& "   FROM MTW_SEARCH_WORK" _
	& "        INNER JOIN MTI_CH AS c" _
	& "     ON MTW_SEARCH_WORK.PATIENT_NO       = c.PATIENT_NO" _
	& "    AND MTW_SEARCH_WORK.HSP_HISTORY_NO   = c.HSP_HISTORY_NO" _
	& "    AND MTW_SEARCH_WORK.CH_NO            = c.CH_NO" _
	& "  WHERE MTW_SEARCH_WORK.HOST_NM          =" & sqlMSRCOMMON.prmHOST_NM

	'前回退院日更新

	''' <summary>
	''' 「再入院」チェック時
	''' </summary>
	Public Const SqlUpdNyuHSP_DT_S As String = _
	  " UPDATE c " _
	& "    SET c.LASTUPD_DT                     =" & sqlMSRCOMMON.prmLASTUPD_DT _
	& "       ,c.LASTUPDUSER_CD                 =" & sqlMSRCOMMON.prmLASTUPDUSER_CD _
	& ",c.LAST_OUT_HSP_DT                = (CASE WHEN " & sqlMSRCOMMON.prmFLG_ON & " = '0'   THEN NULL " _
	& "WHEN c.LAST_OUT_HSP_DT IS NULL THEN h.HSP_DT ELSE c.LAST_OUT_HSP_DT END)" _
	& "   FROM MTW_SEARCH_WORK" _
	& "        INNER JOIN MTI_CH AS c" _
	& "     ON MTW_SEARCH_WORK.PATIENT_NO       = c.PATIENT_NO" _
	& "    AND MTW_SEARCH_WORK.HSP_HISTORY_NO   = c.HSP_HISTORY_NO" _
	& "    AND MTW_SEARCH_WORK.CH_NO            = c.CH_NO" _
	& "   LEFT JOIN MTI_HSP AS h" _
	& "     ON c.PATIENT_NO                     = h.PATIENT_NO" _
	& "  WHERE MTW_SEARCH_WORK.HOST_NM          =" & sqlMSRCOMMON.prmHOST_NM

	''' <summary>
	''' 「同一疾病自院再入院」チェック時
	''' </summary>
	Public Const SqlUpdNyuHSP_DT_D As String = _
	  " UPDATE c " _
	& "    SET c.LASTUPD_DT                     =" & sqlMSRCOMMON.prmLASTUPD_DT _
	& "       ,c.LASTUPDUSER_CD                 =" & sqlMSRCOMMON.prmLASTUPDUSER_CD _
	& "       ,c.SAME_DISEASE_LAST_HSP_DT       = (CASE WHEN " & sqlMSRCOMMON.prmFLG_ON & " = '0' THEN NULL " _
	& "                                                 WHEN c.SAME_DISEASE_LAST_HSP_DT IS NULL THEN h.HSP_DT" _
	& "                                                                                         ELSE c.SAME_DISEASE_LAST_HSP_DT END)" _
	& "   FROM MTW_SEARCH_WORK" _
	& "        INNER JOIN MTI_CH AS c" _
	& "     ON MTW_SEARCH_WORK.PATIENT_NO       = c.PATIENT_NO" _
	& "    AND MTW_SEARCH_WORK.HSP_HISTORY_NO   = c.HSP_HISTORY_NO" _
	& "    AND MTW_SEARCH_WORK.CH_NO            = c.CH_NO" _
	& "   LEFT JOIN MTI_HSP AS h" _
	& "     ON c.PATIENT_NO                     = h.PATIENT_NO" _
	& "  WHERE MTW_SEARCH_WORK.HOST_NM          =" & sqlMSRCOMMON.prmHOST_NM

	'入退院歴更新

	''' <summary>
	''' 「再入院」チェック時
	''' </summary>
	Public Const SqlUpdHSP_HIST_NO_S_DPM As String = _
	  " UPDATE h " _
	& "    SET h.LASTUPD_DT                     =" & sqlMSRCOMMON.prmLASTUPD_DT _
	& "       ,h.LASTUPDUSER_CD                 =" & sqlMSRCOMMON.prmLASTUPDUSER_CD _
	& "       ,h.READMISSION_FLG                = c.READMISSION_FLG" _
	& "       ,h.LAST_SELF_OTHER_HSP_DIV        = c.LAST_SELF_OTHER_HSP_DIV" _
	& "       ,h.LAST_OUT_HSP_DT                = c.LAST_OUT_HSP_DT" _
	& "   FROM MTW_SEARCH_WORK" _
	& "        INNER JOIN MTI_HSP AS h" _
	& "     ON MTW_SEARCH_WORK.PATIENT_NO       = h.PATIENT_NO" _
	& "    AND MTW_SEARCH_WORK.HSP_HISTORY_NO   = h.HSP_HISTORY_NO" _
	& "        LEFT JOIN MTI_CH AS c" _
	& "     ON h.PATIENT_NO                     = c.PATIENT_NO" _
	& "    AND h.HSP_HISTORY_NO                 = c.HSP_HISTORY_NO" _
	& "  WHERE MTW_SEARCH_WORK.HOST_NM          =" & sqlMSRCOMMON.prmHOST_NM _
	& "   AND c.MAIN_DPM_FLG                    =" & sqlMSRCOMMON.prmFLG_ON

	'& "    AND h.CH_NO                          = c.CH_NO" _

	Public Const SqlUpdHSP_HIST_NO_S_HSP As String = _
	  " UPDATE h " _
	& "    SET h.LASTUPD_DT                     =" & sqlMSRCOMMON.prmLASTUPD_DT _
	& "       ,h.LASTUPDUSER_CD                 =" & sqlMSRCOMMON.prmLASTUPDUSER_CD _
	& "       ,h.READMISSION_FLG                = c.READMISSION_FLG" _
	& "       ,h.LAST_SELF_OTHER_HSP_DIV        = c.LAST_SELF_OTHER_HSP_DIV" _
	& "       ,h.LAST_OUT_HSP_DT                = c.LAST_OUT_HSP_DT" _
	& "   FROM MTW_SEARCH_WORK" _
	& "        INNER JOIN MTI_HSP AS h" _
	& "     ON MTW_SEARCH_WORK.PATIENT_NO       = h.PATIENT_NO" _
	& "    AND MTW_SEARCH_WORK.HSP_HISTORY_NO   = h.HSP_HISTORY_NO" _
	& "        LEFT JOIN MTI_CH AS c" _
	& "     ON h.PATIENT_NO                     = c.PATIENT_NO" _
	& "    AND h.HSP_HISTORY_NO                 = c.HSP_HISTORY_NO" _
	& "  WHERE MTW_SEARCH_WORK.HOST_NM          =" & sqlMSRCOMMON.prmHOST_NM _
	& "   AND c.HSP_FLG                         =" & sqlMSRCOMMON.prmFLG_ON

	''' <summary>
	''' 「同一疾病自院再入院」チェック時
	''' </summary>
	Public Const SqlUpdHSP_HIST_NO_D_DPM As String = _
	  " UPDATE h " _
	& "    SET h.LASTUPD_DT                     =" & sqlMSRCOMMON.prmLASTUPD_DT _
	& "       ,h.LASTUPDUSER_CD                 =" & sqlMSRCOMMON.prmLASTUPDUSER_CD _
	& "       ,h.DISEASE_READMISSION_FLG        = c.DISEASE_READMISSION_FLG" _
	& "       ,h.SAME_DISEASE_LAST_HSP_DT       = c.SAME_DISEASE_LAST_HSP_DT" _
	& "   FROM MTW_SEARCH_WORK" _
	& "        INNER JOIN MTI_HSP AS h" _
	& "     ON MTW_SEARCH_WORK.PATIENT_NO       = h.PATIENT_NO" _
	& "    AND MTW_SEARCH_WORK.HSP_HISTORY_NO   = h.HSP_HISTORY_NO" _
	& "        LEFT JOIN MTI_CH AS c" _
	& "     ON h.PATIENT_NO                     = c.PATIENT_NO" _
	& "    AND h.HSP_HISTORY_NO                 = c.HSP_HISTORY_NO" _
	& "  WHERE MTW_SEARCH_WORK.HOST_NM          =" & sqlMSRCOMMON.prmHOST_NM _
	& "   AND c.MAIN_DPM_FLG                    =" & sqlMSRCOMMON.prmFLG_ON

	Public Const SqlUpdHSP_HIST_NO_D_HSP As String = _
	  " UPDATE h " _
	& "    SET h.LASTUPD_DT                     =" & sqlMSRCOMMON.prmLASTUPD_DT _
	& "       ,h.LASTUPDUSER_CD                 =" & sqlMSRCOMMON.prmLASTUPDUSER_CD _
	& "       ,h.DISEASE_READMISSION_FLG        = c.DISEASE_READMISSION_FLG" _
	& "       ,h.SAME_DISEASE_LAST_HSP_DT       = c.SAME_DISEASE_LAST_HSP_DT" _
	& "   FROM MTW_SEARCH_WORK" _
	& "        INNER JOIN MTI_HSP AS h" _
	& "     ON MTW_SEARCH_WORK.PATIENT_NO       = h.PATIENT_NO" _
	& "    AND MTW_SEARCH_WORK.HSP_HISTORY_NO   = h.HSP_HISTORY_NO" _
	& "        LEFT JOIN MTI_CH AS c" _
	& "     ON h.PATIENT_NO                     = c.PATIENT_NO" _
	& "    AND h.HSP_HISTORY_NO                 = c.HSP_HISTORY_NO" _
	& "  WHERE MTW_SEARCH_WORK.HOST_NM          =" & sqlMSRCOMMON.prmHOST_NM _
	& "   AND c.HSP_FLG                         =" & sqlMSRCOMMON.prmFLG_ON

#End Region


End Class
