﻿''' ---------------------------------------------
''' <summary>
''' 診療情報管理 検索 病名情報一覧(SQLクラス）
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public NotInheritable Class sqlMSR060F010

	''' <summary>
	''' テーブル名
	''' </summary>
	Public Const MTI_DISEASE As String = "MTI_DISEASE"
	Public Const MTI_DISEASE_RN As String = "i"

#Region "件数取得"
	''' <summary>
	''' 件数取得
	''' </summary>
	Public Const sqlSel_Cnt As String = _
	"SELECT COUNT(*) AS CNT" _
	& " FROM MTT_SEARCH_RESULT AS s" _
	& " INNER JOIN MTI_DISEASE AS i" _
	& "    ON s.PATIENT_NO     = i.PATIENT_NO" _
	& "   AND s.HSP_HISTORY_NO = i.HSP_HISTORY_NO" _
	& "   AND s.CH_NO          = i.CH_NO" _
	& "  LEFT JOIN MTM_DISEASE_DIV" _
	& "    ON i.DISEASE_DIV    = MTM_DISEASE_DIV.DISEASE_DIV_CD" _
	& " WHERE s.USER_CD   = " & sqlMSRCOMMON.prmUSER_CD _
	& "   AND s.SEARCH_NO = " & sqlMSRCOMMON.prmSEARCH_NO _
	& " {0}"
#End Region

#Region "一覧取得"

	''' <summary>
	''' 一覧取得
	''' </summary>
	Public Const sqlSel_List As String = _
	  "SELECT " _
	& sqlColBHC _
	& sqlColMe _
	& " FROM MTT_SEARCH_RESULT AS s" _
	& sqlTblMe _
	& sqlTblBHC _
	& " WHERE s.USER_CD   = " & sqlMSRCOMMON.prmUSER_CD _
	& "   AND s.SEARCH_NO = " & sqlMSRCOMMON.prmSEARCH_NO _
	& " {0}" _
	& sqlOrder

#Region "基本＋入退院＋科歴"
'(M) STR V4-11048-000 091 20110915 FJSK)荒川 XXX号 病歴大将V4PKG問題点No159 並び替えができるように列に「カナ」を追加する対応
'    ''' <summary>
'    ''' 基本＋入退院＋科歴
'    ''' </summary>
'	Private Const sqlColBHC As String = "" _
'	& sqlMSRCOMMON.prmSELECTED & " AS " & sqlMSRCOMMON.itmSELECTED _
'	& ",s.PATIENT_NO" _
'	& ",s.HSP_HISTORY_NO" _
'	& ",s.CH_NO" _
'	& ",b.PATIENT_NM" _
'	& ",XTM_GENDER.GENDER_NM" _
'	& ",CONVERT(VARCHAR,b.BIRTH_DT,111) AS BIRTH_DT" _
'	& ",CONVERT(VARCHAR,b.FIRSTHSPVST_DT,111) AS FIRSTHSPVST_DT" _
'	& ",CONVERT(VARCHAR,b.LASTHSPVST_DT ,111) AS LASTHSPVST_DT" _
'	& ",CONVERT(VARCHAR,b.LASTLEFTHSP_DT,111) AS LASTLEFTHSP_DT" _
'	& ",(SELECT AREA_RNM " _
'	& "  FROM MTM_AREA " _
'	& " WHERE AREA_CD = " _
'	& "( " _
'	& " SELECT TOP 1 AREA_CD FROM MTI_CH" _
'	& "  WHERE PATIENT_NO = s.PATIENT_NO" _
'	& "  ORDER BY" _
'	& " HSP_HISTORY_NO DESC" _
'	& ",CH_NO DESC" _
'	& " )" _
'	& ") AS NEW_AREA_RNM" _
'	& ",MTM_DEATH_LCT.DEATH_LCT_RNM" _
'	& ",CONVERT(VARCHAR,d.DEATH_DT,111) AS DEATH_DT" _
'	& ",d.DEATH_AGE" _
'	& ",MTM_DEATH_DIV.DEATH_DIV_RNM" _
'	& ",MTM_AFTER_OPE_DEATH_DIV.AFTER_OPE_DEATH_DIV_RNM" _
'	& "," & sqlMSRCOMMON.sqlCHK_NM_S & "d.AUTOPSY_CHK" & sqlMSRCOMMON.sqlCHK_NM_E & "AUTOPSY_CHK_NM" _
'	& ",CONVERT(VARCHAR,h.HSP_DT    ,111) AS HSP_DT" _
'	& ",CONVERT(VARCHAR,h.OUT_HSP_DT,111) AS OUT_HSP_DT" _
'	& ",c.BYOREKI_NO" _
'	& ",MTM_DEPT.DEPT_RNM" _
'	& ",MTM_WARD.WARD_RNM" _
'	& ",C_STAFF.STAFF_NM  AS C_STAFF_NM" _
'	& ",CONVERT(VARCHAR,c.START_DT,111) AS START_DT" _
'	& ",MTM_HSP_CNL.HSP_CNL_RNM" _
'	& ",CONVERT(VARCHAR,c.END_DT  ,111) AS END_DT" _
'	& ",c.END_AGE" _
'	& ",MTM_OUT_HSP_CNL.OUT_HSP_CNL_RNM" _
'	& ",MTM_OUT_HSP_OUTCOME.OUT_HSP_OUTCOME_RNM" _
'	& ",c.HSP_DAYS"

'(M) STR V4-12051-000 093 2013/01/23 ID)荒川 病歴大将V4PKG 管理No.32 ソート条件名称からコードに修正
	'Private Const sqlColBHC As String = "" _
	'& sqlMSRCOMMON.prmSELECTED & " AS " & sqlMSRCOMMON.itmSELECTED _
	'& ",s.PATIENT_NO" _
	'& ",s.HSP_HISTORY_NO" _
	'& ",s.CH_NO" _
	'& ",b.PATIENT_NM" _
	'& ",b.PATIENT_KNM" _
	'& ",XTM_GENDER.GENDER_NM" _
	'& ",CONVERT(VARCHAR,b.BIRTH_DT,111) AS BIRTH_DT" _
	'& ",CONVERT(VARCHAR,b.FIRSTHSPVST_DT,111) AS FIRSTHSPVST_DT" _
	'& ",CONVERT(VARCHAR,b.LASTHSPVST_DT ,111) AS LASTHSPVST_DT" _
	'& ",CONVERT(VARCHAR,b.LASTLEFTHSP_DT,111) AS LASTLEFTHSP_DT" _
	'& ",(SELECT AREA_RNM " _
	'& "  FROM MTM_AREA " _
	'& " WHERE AREA_CD = " _
	'& "( " _
	'& " SELECT TOP 1 AREA_CD FROM MTI_CH" _
	'& "  WHERE PATIENT_NO = s.PATIENT_NO" _
	'& "  ORDER BY" _
	'& " HSP_HISTORY_NO DESC" _
	'& ",CH_NO DESC" _
	'& " )" _
	'& ") AS NEW_AREA_RNM" _
	'& ",MTM_DEATH_LCT.DEATH_LCT_RNM" _
	'& ",CONVERT(VARCHAR,d.DEATH_DT,111) AS DEATH_DT" _
	'& ",d.DEATH_AGE" _
	'& ",MTM_DEATH_DIV.DEATH_DIV_RNM" _
	'& ",MTM_AFTER_OPE_DEATH_DIV.AFTER_OPE_DEATH_DIV_RNM" _
	'& "," & sqlMSRCOMMON.sqlCHK_NM_S & "d.AUTOPSY_CHK" & sqlMSRCOMMON.sqlCHK_NM_E & "AUTOPSY_CHK_NM" _
	'& ",CONVERT(VARCHAR,h.HSP_DT    ,111) AS HSP_DT" _
	'& ",CONVERT(VARCHAR,h.OUT_HSP_DT,111) AS OUT_HSP_DT" _
	'& ",c.BYOREKI_NO" _
	'& ",MTM_DEPT.DEPT_RNM" _
	'& ",MTM_WARD.WARD_RNM" _
	'& ",C_STAFF.STAFF_NM  AS C_STAFF_NM" _
	'& ",CONVERT(VARCHAR,c.START_DT,111) AS START_DT" _
	'& ",MTM_HSP_CNL.HSP_CNL_RNM" _
	'& ",CONVERT(VARCHAR,c.END_DT  ,111) AS END_DT" _
	'& ",c.END_AGE" _
	'& ",MTM_OUT_HSP_CNL.OUT_HSP_CNL_RNM" _
	'& ",MTM_OUT_HSP_OUTCOME.OUT_HSP_OUTCOME_RNM" _
    '& ",c.HSP_DAYS"
'(M) STR V4-15024-000 099 2014/05/20 ID)鈴木 病歴大将V5PKG 管理No.378 診療科コードのソート条件を名称からコードに修正
'	Private Const sqlColBHC As String = "" _
'	& sqlMSRCOMMON.prmSELECTED & " AS " & sqlMSRCOMMON.itmSELECTED _
'	& ",s.PATIENT_NO" _
'	& ",s.HSP_HISTORY_NO" _
'	& ",s.CH_NO" _
'	& ",b.PATIENT_NM" _
'	& ",b.PATIENT_KNM" _
'	& ",XTM_GENDER.GENDER_NM" _
'	& ",CONVERT(VARCHAR,b.BIRTH_DT,111) AS BIRTH_DT" _
'	& ",CONVERT(VARCHAR,b.FIRSTHSPVST_DT,111) AS FIRSTHSPVST_DT" _
'	& ",CONVERT(VARCHAR,b.LASTHSPVST_DT ,111) AS LASTHSPVST_DT" _
'	& ",CONVERT(VARCHAR,b.LASTLEFTHSP_DT,111) AS LASTLEFTHSP_DT" _
'	& ",(SELECT AREA_RNM " _
'	& "  FROM MTM_AREA " _
'	& " WHERE AREA_CD = " _
'	& "( " _
'	& " SELECT TOP 1 AREA_CD FROM MTI_CH" _
'	& "  WHERE PATIENT_NO = s.PATIENT_NO" _
'	& "  ORDER BY" _
'	& " HSP_HISTORY_NO DESC" _
'	& ",CH_NO DESC" _
'	& " )" _
'	& ") AS NEW_AREA_RNM" _
'	& ",MTM_DEATH_LCT.DEATH_LCT_RNM" _
'	& ",CONVERT(VARCHAR,d.DEATH_DT,111) AS DEATH_DT" _
'	& ",d.DEATH_AGE" _
'	& ",MTM_DEATH_DIV.DEATH_DIV_RNM" _
'	& ",MTM_AFTER_OPE_DEATH_DIV.AFTER_OPE_DEATH_DIV_RNM" _
'	& "," & sqlMSRCOMMON.sqlCHK_NM_S & "d.AUTOPSY_CHK" & sqlMSRCOMMON.sqlCHK_NM_E & "AUTOPSY_CHK_NM" _
'	& ",CONVERT(VARCHAR,h.HSP_DT    ,111) AS HSP_DT" _
'	& ",CONVERT(VARCHAR,h.OUT_HSP_DT,111) AS OUT_HSP_DT" _
'	& ",c.BYOREKI_NO" _
'	& ",MTM_DEPT.DEPT_RNM" _
'	& ",MTM_WARD.WARD_CD" _
'	& ",MTM_WARD.WARD_RNM" _
'	& ",MTM_WARD.DSPORDER AS WARD_DSPORDER" _
'	& ",C_STAFF.STAFF_CD  AS C_STAFF_CD" _
'	& ",C_STAFF.STAFF_NM  AS C_STAFF_NM" _
'	& ",C_STAFF.DSPORDER  AS C_STAFF_DSPORDER" _
'	& ",CONVERT(VARCHAR,c.START_DT,111) AS START_DT" _
'	& ",MTM_HSP_CNL.HSP_CNL_RNM" _
'	& ",CONVERT(VARCHAR,c.END_DT  ,111) AS END_DT" _
'	& ",c.END_AGE" _
'	& ",MTM_OUT_HSP_CNL.OUT_HSP_CNL_RNM" _
'	& ",MTM_OUT_HSP_OUTCOME.OUT_HSP_OUTCOME_RNM" _
'	& ",c.HSP_DAYS"
    ''' <summary>
    ''' 基本＋入退院＋科歴
    ''' </summary>
	Private Const sqlColBHC As String = "" _
	& sqlMSRCOMMON.prmSELECTED & " AS " & sqlMSRCOMMON.itmSELECTED _
	& ",s.PATIENT_NO" _
	& ",s.HSP_HISTORY_NO" _
	& ",s.CH_NO" _
	& ",b.PATIENT_NM" _
	& ",b.PATIENT_KNM" _
	& ",XTM_GENDER.GENDER_NM" _
	& ",CONVERT(VARCHAR,b.BIRTH_DT,111) AS BIRTH_DT" _
	& ",CONVERT(VARCHAR,b.FIRSTHSPVST_DT,111) AS FIRSTHSPVST_DT" _
	& ",CONVERT(VARCHAR,b.LASTHSPVST_DT ,111) AS LASTHSPVST_DT" _
	& ",CONVERT(VARCHAR,b.LASTLEFTHSP_DT,111) AS LASTLEFTHSP_DT" _
	& ",(SELECT AREA_RNM " _
	& "  FROM MTM_AREA " _
	& " WHERE AREA_CD = " _
	& "( " _
	& " SELECT TOP 1 AREA_CD FROM MTI_CH" _
	& "  WHERE PATIENT_NO = s.PATIENT_NO" _
	& "  ORDER BY" _
	& " HSP_HISTORY_NO DESC" _
	& ",CH_NO DESC" _
	& " )" _
	& ") AS NEW_AREA_RNM" _
	& ",MTM_DEATH_LCT.DEATH_LCT_RNM" _
	& ",CONVERT(VARCHAR,d.DEATH_DT,111) AS DEATH_DT" _
	& ",d.DEATH_AGE" _
	& ",MTM_DEATH_DIV.DEATH_DIV_RNM" _
	& ",MTM_AFTER_OPE_DEATH_DIV.AFTER_OPE_DEATH_DIV_RNM" _
	& "," & sqlMSRCOMMON.sqlCHK_NM_S & "d.AUTOPSY_CHK" & sqlMSRCOMMON.sqlCHK_NM_E & "AUTOPSY_CHK_NM" _
	& ",CONVERT(VARCHAR,h.HSP_DT    ,111) AS HSP_DT" _
	& ",CONVERT(VARCHAR,h.OUT_HSP_DT,111) AS OUT_HSP_DT" _
	& ",c.BYOREKI_NO" _
	& ",MTM_DEPT.DEPT_RNM" _
	& ",MTM_DEPT.DSPORDER AS DEPT_DSPORDER" _
	& ",c.DEPT_CD" _
	& ",MTM_WARD.WARD_CD" _
	& ",MTM_WARD.WARD_RNM" _
	& ",MTM_WARD.DSPORDER AS WARD_DSPORDER" _
	& ",C_STAFF.STAFF_CD  AS C_STAFF_CD" _
	& ",C_STAFF.STAFF_NM  AS C_STAFF_NM" _
	& ",C_STAFF.DSPORDER  AS C_STAFF_DSPORDER" _
	& ",CONVERT(VARCHAR,c.START_DT,111) AS START_DT" _
	& ",MTM_HSP_CNL.HSP_CNL_RNM" _
	& ",CONVERT(VARCHAR,c.END_DT  ,111) AS END_DT" _
	& ",c.END_AGE" _
	& ",MTM_OUT_HSP_CNL.OUT_HSP_CNL_RNM" _
	& ",MTM_OUT_HSP_OUTCOME.OUT_HSP_OUTCOME_RNM" _
	& ",c.HSP_DAYS"
'(M) END V4-15024-000 099 2014/05/20 ID)鈴木 病歴大将V5PKG 管理No.378 診療科コードのソート条件を名称からコードに修正
'(M) END V4-12051-000 093 2013/01/23
'(M) END V4-11048-000 091 20110915
    ''' <summary>
    ''' 基本＋入退院＋科歴　テーブル
    ''' </summary>
   Private Const sqlTblBHC As String = "" _
	& " LEFT JOIN MTI_CH AS c              ON s.PATIENT_NO     = c.PATIENT_NO" _
	& "                                   AND s.HSP_HISTORY_NO = c.HSP_HISTORY_NO" _
	& "                                   AND s.CH_NO          = c.CH_NO" _
	& " LEFT JOIN MTI_HSP AS H             ON s.PATIENT_NO     = h.PATIENT_NO" _
	& "                                   AND s.HSP_HISTORY_NO = h.HSP_HISTORY_NO" _
	& " LEFT JOIN XTI_BASICINFO AS B       ON s.PATIENT_NO     = b.PATIENT_NO" _
	& " LEFT JOIN MTI_DEATH AS d           ON s.PATIENT_NO          = d.PATIENT_NO" _
	& " LEFT JOIN XTM_GENDER               ON b.GENDER_CD           = XTM_GENDER.GENDER_CD" _
	& " LEFT JOIN MTM_DEATH_LCT            ON d.DEATH_LCT_CD        = MTM_DEATH_LCT.DEATH_LCT_CD" _
	& " LEFT JOIN MTM_DEATH_DIV            ON d.DEATH_DIV           = MTM_DEATH_DIV.DEATH_DIV_CD" _
	& " LEFT JOIN MTM_AFTER_OPE_DEATH_DIV  ON d.AFTER_OPE_DEATH_DIV = MTM_AFTER_OPE_DEATH_DIV.AFTER_OPE_DEATH_DIV_CD" _
	& " LEFT JOIN MTM_DEPT                 ON c.DEPT_CD             = MTM_DEPT.DEPT_CD" _
	& " LEFT JOIN MTM_WARD                 ON c.WARD_CD             = MTM_WARD.WARD_CD" _
	& " LEFT JOIN XTM_STAFF AS C_STAFF     ON c.DOCTOR_CD           = C_STAFF.STAFF_CD" _
	& " LEFT JOIN MTM_HSP_CNL              ON c.START_CNL_CD        = MTM_HSP_CNL.HSP_CNL_CD" _
	& " LEFT JOIN MTM_OUT_HSP_CNL          ON c.END_CNL_CD          = MTM_OUT_HSP_CNL.OUT_HSP_CNL_CD" _
	& " LEFT JOIN MTM_OUT_HSP_OUTCOME      ON c.END_OUTCOME_CD      = MTM_OUT_HSP_OUTCOME.OUT_HSP_OUTCOME_CD"

#End Region

	''' <summary>
	''' 項目
	''' </summary>
	Private Const sqlColMe As String = "" _
	& ",ROW_NUMBER() OVER(ORDER BY s.PATIENT_NO,s.HSP_HISTORY_NO,s.CH_NO,i.DISEASE_SERIAL_NO) AS " & sqlMSRCOMMON.itmSORT_SEQ _
	& ",i.DISEASE_SERIAL_NO AS " & sqlMSRCOMMON.itmSERIAL_NO _
	& "," & sqlMSRCOMMON.sqlFLG_NM_S & "i.HSP_CHANCE_DISEASE_FLG" & sqlMSRCOMMON.sqlFLG_NM_E & "HSP_CHANCE_DISEASE_FLG_NM" _
	& "," & sqlMSRCOMMON.sqlFLG_NM_S & "i.DISEASE_MED_RES_FLG1" & sqlMSRCOMMON.sqlFLG_NM_E & "DISEASE_MED_RES_FLG1_NM" _
	& "," & sqlMSRCOMMON.sqlFLG_NM_S & "i.DISEASE_MED_RES_FLG2" & sqlMSRCOMMON.sqlFLG_NM_E & "DISEASE_MED_RES_FLG2_NM" _
	& "," & sqlMSRCOMMON.sqlFLG_NM_S & "i.HSP_DISEASE_FLG" & sqlMSRCOMMON.sqlFLG_NM_E & "HSP_DISEASE_FLG_NM" _
	& "," & sqlMSRCOMMON.sqlFLG_NM_S & "i.AFTER_HSP_DISEASE_FLG" & sqlMSRCOMMON.sqlFLG_NM_E & "AFTER_HSP_DISEASE_FLG_NM" _
	& "," & sqlMSRCOMMON.sqlFLG_NM_S & "i.DEATH_DISEASE_FLG" & sqlMSRCOMMON.sqlFLG_NM_E & "DEATH_DISEASE_FLG_NM" _
	& "," & sqlMSRCOMMON.sqlFLG_NM_S & "i.DIRECT_DEATH_DISEASE_FLG" & sqlMSRCOMMON.sqlFLG_NM_E & "DIRECT_DEATH_DISEASE_FLG_NM" _
	& ",MTM_DISEASE_DIV.DISEASE_DIV_RNM" _
	& ",i.ICD10_CD" _
	& ",i.DISEASE" _
	& ",CONVERT(VARCHAR,i.DIAGNOSIS_DT,111) AS DIAGNOSIS_DT" _
	& ",CONVERT(VARCHAR,i.ONSET_DT    ,111) AS ONSET_DT" _
	& ",CONVERT(VARCHAR,i.END_DT      ,111) AS I_END_DT" _
	& ",MTM_DISEASE_OUTCOME.DISEASE_OUTCOME_RNM" _
	& ",i.ICD9_CD" _
	& ",i.REMARKS1" _
	& ",i.REMARKS2" _
	& ",i.CAUSE_GRP_CD" _
	& ",i.CAUSE_GRP_NM" _
	& ",i.ICDO_FORM_CD" _
	& ",i.ICDO_FORM_NM" _
	& ",MTM_CNR_REG_STATUS.REG_STATUS_RNM" _
	& ",CONVERT(VARCHAR,i.CNR_REG_EXTRACT_DT,111) AS CNR_REG_EXTRACT_DT"

	''' <summary>
	''' テーブル
	''' </summary>
	Private Const sqlTblMe = "" _
	& " INNER JOIN MTI_DISEASE AS i        ON s.PATIENT_NO         = i.PATIENT_NO" _
	& "                                   AND s.HSP_HISTORY_NO     = i.HSP_HISTORY_NO" _
	& "                                   AND s.CH_NO              = i.CH_NO" _
	& " LEFT JOIN MTM_DISEASE_DIV          ON i.DISEASE_DIV        = MTM_DISEASE_DIV.DISEASE_DIV_CD" _
	& " LEFT JOIN MTM_DISEASE_OUTCOME      ON i.DISEASE_OUTCOME_CD = MTM_DISEASE_OUTCOME.DISEASE_OUTCOME_CD" _
	& " LEFT JOIN MTM_CNR_REG_STATUS  	   ON i.CNR_REG_STATUS_CD  = MTM_CNR_REG_STATUS.REG_STATUS_CD"


	''' <summary>
	''' Order句
	''' </summary>
	Private Const sqlOrder As String = _
	  " ORDER BY" _
	& " i.PATIENT_NO" _
	& ",i.HSP_HISTORY_NO" _
	& ",i.CH_NO" _
	& ",i.DISEASE_SERIAL_NO"

#End Region

#Region "主病名の絞り込み用"
	Public Const prmFIXED_CD As String = "@FIXED_CD"					'固定コード
	Public Const sqlSel_Main As String = _
	  " AND MTM_DISEASE_DIV.FIXED_CD = " & prmFIXED_CD
#End Region

End Class
