﻿''' ---------------------------------------------
''' <summary>
''' 診療情報管理 検索 管理物情報一覧(SQLクラス）
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public NotInheritable Class sqlMSR170F010

	''' <summary>
	''' パラメータ
	''' </summary>
	Public Const prmLENDITEM_CD As String = "@LENDITEM_CD"

	''' <summary>
	''' テーブル名
	''' </summary>
	Public Const MTI_LEND As String = "MTI_LEND"
	Public Const MTI_LEND_RN As String = "i"

	''' <summary>
	''' MSSからの呼出時、追加結合条件
	''' </summary>
	Public Const sqlResult_AddCnd As String = " AND s.SERIAL_NO = i.LENDSERIAL_NO"		'連番まで結合　→　下記SQLの{1}に編集される
	Public Const sqlResult_AddCol As String = ",SERIAL_NO"								'連番まで結合　→　下記SQLの{2}に編集される
	Public Const sqlSub_AddCol As String = ",r.SERIAL_NO"								'連番まで結合　→　下記SQLの{3}に編集される

	''' <summary>
	''' 付加条件：最新
	''' </summary>
	Public Const sqlNewData As String = "" _
	& " AND i.LENDSERIAL_NO = (" _
 _
	& "SELECT MAX(LENDSERIAL_NO)" _
	& "  FROM MTI_LEND" _
	& " WHERE PATIENT_NO     = i.PATIENT_NO" _
	& "   AND HSP_HISTORY_NO = i.HSP_HISTORY_NO" _
	& "   AND CH_NO          = i.CH_NO" _
	& "   AND LENDITEM_CD    = i.LENDITEM_CD" _
 _
	& ")"

#Region "件数取得"

	''' <summary>
	''' 件数取得(科歴単位）
	''' </summary>
	Public Const sqlSel_Cnt_C As String = _
	"SELECT COUNT(*) AS CNT" _
	& " FROM MTT_SEARCH_RESULT AS s" _
	& " INNER JOIN MTI_LEND AS i" _
	& "    ON s.PATIENT_NO           = i.PATIENT_NO" _
	& "   AND s.HSP_HISTORY_NO       = i.HSP_HISTORY_NO" _
	& "   AND s.CH_NO                = i.CH_NO" _
	& "   AND " & prmLENDITEM_CD & " = i.LENDITEM_CD" _
	& " {1}" _
	& " WHERE s.USER_CD     = " & sqlMSRCOMMON.prmUSER_CD _
	& "   AND s.SEARCH_NO   = " & sqlMSRCOMMON.prmSEARCH_NO _
	& "   AND s.HSP_HISTORY_NO	> 0" _
	& "   AND s.CH_NO	> 0" _
	& " {0}"

	''' <summary>
	''' 件数取得(入退院歴単位）
	''' </summary>
	Public Const sqlSel_Cnt_H As String = _
	"SELECT COUNT(*) AS CNT" _
	& " FROM (" _
 _
	& "SELECT" _
	& " PATIENT_NO" _
	& ",HSP_HISTORY_NO" _
	& "{2}" _
	& "  FROM MTT_SEARCH_RESULT" _
	& " WHERE USER_CD   = " & sqlMSRCOMMON.prmUSER_CD _
	& "   AND SEARCH_NO = " & sqlMSRCOMMON.prmSEARCH_NO _
	& "   AND HSP_HISTORY_NO	> 0" _
	& " GROUP BY" _
	& " PATIENT_NO" _
	& ",HSP_HISTORY_NO" _
	& "{2}" _
 _
	& " ) AS s" _
	& " INNER JOIN MTI_LEND AS i" _
	& "    ON s.PATIENT_NO           = i.PATIENT_NO" _
	& "   AND s.HSP_HISTORY_NO       = i.HSP_HISTORY_NO" _
	& "   AND 0                      = i.CH_NO" _
	& "   AND " & prmLENDITEM_CD & " = i.LENDITEM_CD" _
	& "{1}" _
	& "	 WHERE i.PATIENT_NO Is Not NULL" _
	& " {0}"

	''' <summary>
	''' 件数取得(患者単位)
	''' </summary>
	Public Const sqlSel_Cnt_B As String = _
	"SELECT COUNT(*) AS CNT" _
	& " FROM (" _
 _
	& "SELECT" _
	& " PATIENT_NO" _
	& "{2}" _
	& "  FROM MTT_SEARCH_RESULT" _
	& " WHERE USER_CD   = " & sqlMSRCOMMON.prmUSER_CD _
	& "   AND SEARCH_NO = " & sqlMSRCOMMON.prmSEARCH_NO _
	& " GROUP BY" _
	& " PATIENT_NO" _
	& "{2}" _
 _
	& " ) AS s" _
	& "  INNER JOIN MTI_LEND AS i" _
	& "     ON s.PATIENT_NO     = i.PATIENT_NO" _
	& "    AND 0                = i.HSP_HISTORY_NO" _
	& "    AND 0                = i.CH_NO" _
	& "   AND " & prmLENDITEM_CD & " = i.LENDITEM_CD" _
	& "{1}" _
	& "	 WHERE i.PATIENT_NO Is Not NULL" _
	& " {0}"

#End Region

#Region "一覧取得"

	''' <summary>
	''' 一覧取得(科歴単位)
	''' </summary>
	Public Const sqlSel_List_C As String = _
	  "SELECT " _
	& sqlColBHC _
	& sqlColMe _
	& " FROM (" & sqlTblMe_C & ") s" _
	& sqlTblMe _
	& sqlTblBHC _
	& "	 WHERE i.PATIENT_NO Is Not NULL" _
	& " {0}" _
	& sqlOrder

	''' <summary>
	''' 一覧取得(入退院単位)
	''' </summary>
	Public Const sqlSel_List_H As String = _
	  "SELECT " _
	& sqlColBH _
	& sqlColMe _
	& " FROM (" & sqlTblMe_H & ") s" _
	& sqlTblMe _
	& sqlTblBH _
	& "	 WHERE i.PATIENT_NO Is Not NULL" _
	& " {0}" _
	& sqlOrder

	''' <summary>
	''' 一覧取得(患者単位)
	''' </summary>
	Public Const sqlSel_List_B As String = _
	  "SELECT " _
	& sqlColB _
	& sqlColMe _
	& " FROM (" & sqlTblMe_B & ") s" _
	& sqlTblMe _
	& sqlTblB _
	& "	 WHERE i.PATIENT_NO Is Not NULL" _
	& " {0}" _
	& sqlOrder

#Region "基本＋入退院＋科歴"

'(M) STR V4-12051-000 042 2013/02/20 ID)荒川 病歴大将V4PKG 管理No.32 ソート条件名称からコードに修正
'	''' <summary>
'	''' 基本＋入退院＋科歴
'	''' </summary>
'	Private Const sqlColBHC As String = "" _
'	& sqlColModelB _
'	& ",CONVERT(VARCHAR,h.HSP_DT    ,111) AS HSP_DT" _
'	& ",CONVERT(VARCHAR,h.OUT_HSP_DT,111) AS OUT_HSP_DT" _
'	& ",c.BYOREKI_NO" _
'	& ",MTM_DEPT.DEPT_RNM" _
'	& ",MTM_WARD.WARD_RNM" _
'	& ",C_STAFF.STAFF_NM  AS C_STAFF_NM" _
'	& ",CONVERT(VARCHAR,c.START_DT,111) AS START_DT" _
'	& ",MTM_HSP_CNL.HSP_CNL_RNM" _
'	& ",CONVERT(VARCHAR,c.END_DT  ,111) AS END_DT" _
'	& ",c.END_AGE" _
'	& ",MTM_OUT_HSP_CNL.OUT_HSP_CNL_RNM" _
'	& ",MTM_OUT_HSP_OUTCOME.OUT_HSP_OUTCOME_RNM" _
'	& ",c.HSP_DAYS"
'(M) STR V4-15024-000 048 2014/05/20 ID)鈴木 病歴大将V5PKG 管理No.378 診療科コードのソート条件を名称からコードに修正
'	 ''' <summary>
'	 ''' 基本＋入退院＋科歴
'	 ''' </summary>
'	Private Const sqlColBHC As String = "" _
'	& sqlColModelB _
'	& ",CONVERT(VARCHAR,h.HSP_DT    ,111) AS HSP_DT" _
'	& ",CONVERT(VARCHAR,h.OUT_HSP_DT,111) AS OUT_HSP_DT" _
'	& ",c.BYOREKI_NO" _
'	& ",MTM_DEPT.DEPT_RNM" _
'	& ",MTM_WARD.WARD_CD" _
'	& ",MTM_WARD.WARD_RNM" _
'	& ",MTM_WARD.DSPORDER AS WARD_DSPORDER" _
'	& ",C_STAFF.STAFF_CD  AS C_STAFF_CD" _
'	& ",C_STAFF.STAFF_NM  AS C_STAFF_NM" _
'	& ",C_STAFF.DSPORDER  AS C_STAFF_DSPORDER" _
'	& ",CONVERT(VARCHAR,c.START_DT,111) AS START_DT" _
'	& ",MTM_HSP_CNL.HSP_CNL_RNM" _
'	& ",CONVERT(VARCHAR,c.END_DT  ,111) AS END_DT" _
'	& ",c.END_AGE" _
'	& ",MTM_OUT_HSP_CNL.OUT_HSP_CNL_RNM" _
'	& ",MTM_OUT_HSP_OUTCOME.OUT_HSP_OUTCOME_RNM" _
'	& ",c.HSP_DAYS"
    ''' <summary>
    ''' 基本＋入退院＋科歴
    ''' </summary>
	Private Const sqlColBHC As String = "" _
	& sqlColModelB _
	& ",CONVERT(VARCHAR,h.HSP_DT    ,111) AS HSP_DT" _
	& ",CONVERT(VARCHAR,h.OUT_HSP_DT,111) AS OUT_HSP_DT" _
	& ",c.BYOREKI_NO" _
	& ",MTM_DEPT.DEPT_RNM" _
	& ",MTM_DEPT.DSPORDER AS DEPT_DSPORDER" _
	& ",c.DEPT_CD" _
	& ",MTM_WARD.WARD_CD" _
	& ",MTM_WARD.WARD_RNM" _
	& ",MTM_WARD.DSPORDER AS WARD_DSPORDER" _
	& ",C_STAFF.STAFF_CD  AS C_STAFF_CD" _
	& ",C_STAFF.STAFF_NM  AS C_STAFF_NM" _
	& ",C_STAFF.DSPORDER  AS C_STAFF_DSPORDER" _
	& ",CONVERT(VARCHAR,c.START_DT,111) AS START_DT" _
	& ",MTM_HSP_CNL.HSP_CNL_RNM" _
	& ",CONVERT(VARCHAR,c.END_DT  ,111) AS END_DT" _
	& ",c.END_AGE" _
	& ",MTM_OUT_HSP_CNL.OUT_HSP_CNL_RNM" _
	& ",MTM_OUT_HSP_OUTCOME.OUT_HSP_OUTCOME_RNM" _
	& ",c.HSP_DAYS"
'(M) END V4-15024-000 048 2014/05/20 ID)鈴木 病歴大将V5PKG 管理No.378 診療科コードのソート条件を名称からコードに修正
'(M) END V4-12051-000 042 2013/02/20

	''' <summary>
	''' 基本＋入退院＋科歴　テーブル
	''' </summary>
   Private Const sqlTblBHC As String = "" _
	& " LEFT JOIN MTI_CH AS c              ON s.PATIENT_NO          = c.PATIENT_NO" _
	& "                                   AND s.HSP_HISTORY_NO      = c.HSP_HISTORY_NO" _
	& "                                   AND s.CH_NO               = c.CH_NO" _
	& " LEFT JOIN MTI_HSP AS H             ON s.PATIENT_NO          = h.PATIENT_NO" _
	& "                                   AND s.HSP_HISTORY_NO      = h.HSP_HISTORY_NO" _
	& " LEFT JOIN MTM_DEPT                 ON c.DEPT_CD             = MTM_DEPT.DEPT_CD" _
	& " LEFT JOIN MTM_WARD                 ON c.WARD_CD             = MTM_WARD.WARD_CD" _
	& " LEFT JOIN XTM_STAFF AS C_STAFF     ON c.DOCTOR_CD           = C_STAFF.STAFF_CD" _
	& " LEFT JOIN MTM_HSP_CNL              ON c.START_CNL_CD        = MTM_HSP_CNL.HSP_CNL_CD" _
	& " LEFT JOIN MTM_OUT_HSP_CNL          ON c.END_CNL_CD          = MTM_OUT_HSP_CNL.OUT_HSP_CNL_CD" _
	& " LEFT JOIN MTM_OUT_HSP_OUTCOME      ON c.END_OUTCOME_CD      = MTM_OUT_HSP_OUTCOME.OUT_HSP_OUTCOME_CD" _
	& sqlTblB

#End Region

#Region "基本＋入退院"
'(M) STR V4-15024-000 024 2014/05/20 ID)鈴木 病歴大将V5PKG 管理No.378 診療科コードのソート条件を名称からコードに修正
'     ''' <summary>
'     ''' 基本＋入退院
'     ''' </summary>
'    Private Const sqlColBH As String = "" _
'    & sqlColModelB _
'    & ",CONVERT(VARCHAR,h.HSP_DT    ,111) AS HSP_DT" _
'    & ",CONVERT(VARCHAR,h.OUT_HSP_DT,111) AS OUT_HSP_DT" _
'    & ",h.BYOREKI_NO" _
'    & ",MTM_DEPT.DEPT_RNM" _
'    & sqlColModelC
    ''' <summary>
    ''' 基本＋入退院
    ''' </summary>
    Private Const sqlColBH As String = "" _
    & sqlColModelB _
    & ",CONVERT(VARCHAR,h.HSP_DT    ,111) AS HSP_DT" _
    & ",CONVERT(VARCHAR,h.OUT_HSP_DT,111) AS OUT_HSP_DT" _
    & ",h.BYOREKI_NO" _
    & ",MTM_DEPT.DEPT_RNM" _
    & ",MTM_DEPT.DSPORDER AS DEPT_DSPORDER" _
    & ",h.DEPT_CD" _
    & sqlColModelC
'(M) END V4-15024-000 024 2014/05/20 ID)鈴木 病歴大将V5PKG 管理No.378 診療科コードのソート条件を名称からコードに修正
'(M) STR V4-12051-000 026 2013/02/20 ID)荒川 病歴大将V4PKG 管理No.32 ソート条件名称からコードに修正
    'Private Const sqlColModelC As String = "" _
    '& ",NULL AS WARD_RNM" _
    '& ",NULL AS C_STAFF_NM" _
    '& ",NULL AS START_DT" _
    '& ",NULL AS HSP_CNL_RNM" _
    '& ",NULL AS END_DT" _
    '& ",NULL AS END_AGE" _
    '& ",NULL AS OUT_HSP_CNL_RNM" _
    '& ",NULL AS OUT_HSP_OUTCOME_RNM" _
    '& ",NULL AS HSP_DAYS"
	Private Const sqlColModelC As String = "" _
	& ",NULL AS WARD_CD" _
	& ",NULL AS WARD_RNM" _
	& ",NULL AS WARD_DSPORDER" _
	& ",NULL AS C_STAFF_CD" _
	& ",NULL AS C_STAFF_NM" _
	& ",NULL AS C_STAFF_DSPORDER" _
	& ",NULL AS START_DT" _
	& ",NULL AS HSP_CNL_RNM" _
	& ",NULL AS END_DT" _
	& ",NULL AS END_AGE" _
	& ",NULL AS OUT_HSP_CNL_RNM" _
	& ",NULL AS OUT_HSP_OUTCOME_RNM" _
	& ",NULL AS HSP_DAYS"
'(M) END V4-12051-000 026 2013/02/20

	''' <summary>
	''' 基本＋入退院　テーブル
	''' </summary>
   Private Const sqlTblBH As String = "" _
	& " LEFT JOIN MTI_HSP AS H             ON s.PATIENT_NO          = h.PATIENT_NO" _
	& "                                   AND s.HSP_HISTORY_NO      = h.HSP_HISTORY_NO" _
	& " LEFT JOIN MTM_DEPT                 ON h.DEPT_CD             = MTM_DEPT.DEPT_CD" _
	& sqlTblB

#End Region

#Region "基本"
'(M) STR V4-15024-000 024 2014/05/20 ID)鈴木 病歴大将V5PKG 管理No.378 診療科コードのソート条件を名称からコードに修正
'     ''' <summary>
'     ''' 基本
'     ''' </summary>
'    Private Const sqlColB As String = "" _
'    & sqlColModelB _
'    & ",NULL AS HSP_DT" _
'    & ",NULL AS OUT_HSP_DT" _
'    & ",NULL AS BYOREKI_NO" _
'    & ",NULL AS DEPT_RNM" _
'    & sqlColModelC
    ''' <summary>
    ''' 基本
    ''' </summary>
    Private Const sqlColB As String = "" _
    & sqlColModelB _
    & ",NULL AS HSP_DT" _
    & ",NULL AS OUT_HSP_DT" _
    & ",NULL AS BYOREKI_NO" _
    & ",NULL AS DEPT_RNM" _
    & ",NULL AS DEPT_DSPORDER" _
    & ",NULL AS DEPT_CD" _
    & sqlColModelC
'(M) END V4-15024-000 024 2014/05/20 ID)鈴木 病歴大将V5PKG 管理No.378 診療科コードのソート条件を名称からコードに修正
'(M) STR V4-11048-000 047 20110915 FJSK)荒川 XXX号 病歴大将V4PKG問題点No159 並び替えができるように列に「カナ」を追加する対応
'	Private Const sqlColModelB As String = "" _
'	& sqlMSRCOMMON.prmSELECTED & " AS " & sqlMSRCOMMON.itmSELECTED _
'	& ",s.PATIENT_NO" _
'	& ",s.HSP_HISTORY_NO" _
'	& ",s.CH_NO" _
'	& ",b.PATIENT_NM" _
'	& ",XTM_GENDER.GENDER_NM" _
'	& ",CONVERT(VARCHAR,b.BIRTH_DT,111) AS BIRTH_DT" _
'	& ",CONVERT(VARCHAR,b.FIRSTHSPVST_DT,111) AS FIRSTHSPVST_DT" _
'	& ",CONVERT(VARCHAR,b.LASTHSPVST_DT ,111) AS LASTHSPVST_DT" _
'	& ",CONVERT(VARCHAR,b.LASTLEFTHSP_DT,111) AS LASTLEFTHSP_DT" _
'	& ",(SELECT AREA_RNM " _
'	& "  FROM MTM_AREA " _
'	& " WHERE AREA_CD = " _
'	& "( " _
'	& " SELECT TOP 1 AREA_CD FROM MTI_CH" _
'	& "  WHERE PATIENT_NO = s.PATIENT_NO" _
'	& "  ORDER BY" _
'	& " HSP_HISTORY_NO DESC" _
'	& ",CH_NO DESC" _
'	& " )" _
'	& ") AS NEW_AREA_RNM"
	Private Const sqlColModelB As String = "" _
	& sqlMSRCOMMON.prmSELECTED & " AS " & sqlMSRCOMMON.itmSELECTED _
	& ",s.PATIENT_NO" _
	& ",s.HSP_HISTORY_NO" _
	& ",s.CH_NO" _
	& ",b.PATIENT_NM" _
	& ",b.PATIENT_KNM" _
	& ",XTM_GENDER.GENDER_NM" _
	& ",CONVERT(VARCHAR,b.BIRTH_DT,111) AS BIRTH_DT" _
	& ",CONVERT(VARCHAR,b.FIRSTHSPVST_DT,111) AS FIRSTHSPVST_DT" _
	& ",CONVERT(VARCHAR,b.LASTHSPVST_DT ,111) AS LASTHSPVST_DT" _
	& ",CONVERT(VARCHAR,b.LASTLEFTHSP_DT,111) AS LASTLEFTHSP_DT" _
	& ",(SELECT AREA_RNM " _
	& "  FROM MTM_AREA " _
	& " WHERE AREA_CD = " _
	& "( " _
	& " SELECT TOP 1 AREA_CD FROM MTI_CH" _
	& "  WHERE PATIENT_NO = s.PATIENT_NO" _
	& "  ORDER BY" _
	& " HSP_HISTORY_NO DESC" _
	& ",CH_NO DESC" _
	& " )" _
	& ") AS NEW_AREA_RNM"
'(M) END V4-11048-000 047 20110915
	''' <summary>
	''' 基本＋入退院　テーブル
	''' </summary>
   Private Const sqlTblB As String = "" _
	& " LEFT JOIN XTI_BASICINFO AS B       ON s.PATIENT_NO          = b.PATIENT_NO" _
	& " LEFT JOIN XTM_GENDER               ON b.GENDER_CD           = XTM_GENDER.GENDER_CD"

#End Region

	''' <summary>
	''' 項目
	''' </summary>
	Private Const sqlColMe As String = "" _
	& ",ROW_NUMBER() OVER(ORDER BY i.PATIENT_NO,i.HSP_HISTORY_NO,i.CH_NO,i.LENDSERIAL_NO) AS " & sqlMSRCOMMON.itmSORT_SEQ _
	& ",i.LENDSERIAL_NO AS " & sqlMSRCOMMON.itmSERIAL_NO _
	& ",s.RECORD_COUNT" _
	& ",CONVERT(VARCHAR,s.RECORD_RECEIPT_DT,111) AS RECORD_RECEIPT_DT" _
	& ",s1.STAFF_NM AS RECORD_RECIPIENT_NM" _
	& ",k1.KEEPLCT_RNM AS RECORD_KEEPLCT_NM" _
	& ",m1.MNGSTATUS1_RNM AS RECORD_MNGSTATUS_NM" _
	& ",k1.KEEPLCT_RNM AS KEEPLCT_RNM_NM" _
	& ",a1.ARG_STATUS_RNM" _
	& ",s.SUMMARY_COUNT" _
	& ",CONVERT(VARCHAR,s.SUMMARY_RECEIPT_DT,111) AS SUMMARY_RECEIPT_DT" _
	& ",m2.MNGSTATUS1_RNM AS SUMMARY_MNGSTATUS_NM" _
	& ",k2.KEEPLCT_RNM AS SUMMARY_KEEPLCT_NM" _
	& ",s2.STAFF_NM AS SUMMARY_MAKER_NM" _
	& ",CONVERT(VARCHAR,s.SUMMARY_APPROVAL_DT,111) AS SUMMARY_APPROVAL_DT" _
	& ",s.OTHER1_COUNT" _
	& ",CONVERT(VARCHAR,s.OTHER1_RECEIPT_DT,111) AS OTHER1_RECEIPT_DT" _
	& ",m3.MNGSTATUS1_RNM AS OTHER1_MNGSTATUS_NM" _
	& ",k3.KEEPLCT_RNM AS OTHER1_KEEPLCT_NM" _
	& ",s.OTHER2_COUNT" _
	& ",CONVERT(VARCHAR,s.OTHER2_RECEIPT_DT,111) AS OTHER2_RECEIPT_DT" _
	& ",m4.MNGSTATUS1_RNM AS OTHER2_MNGSTATUS_NM" _
	& ",k4.KEEPLCT_RNM AS OTHER2_KEEPLCT_NM" _
	& ",s.OTHER3_COUNT" _
	& ",CONVERT(VARCHAR,s.OTHER3_RECEIPT_DT,111) AS OTHER3_RECEIPT_DT" _
	& ",m5.MNGSTATUS1_RNM AS OTHER3_MNGSTATUS_NM" _
	& ",k5.KEEPLCT_RNM AS OTHER3_KEEPLCT_NM" _
	& ",MTM_LENDITEM.LENDITEM_RNM" _
	& ",i.SLIP_CD" _
	& ",MTM_LENDAIM.LENDAIM_RNM" _
	& ",MTM_LENDITEM_LCT.LCT_RNM" _
	& ",CONVERT(VARCHAR,i.ISSUE_DT,111) AS ISSUE_DT" _
	& ",CONVERT(VARCHAR,i.EXPECTBACK_DT,111) AS EXPECTBACK_DT" _
	& ",CONVERT(VARCHAR,i.URGEDBACK_DT,111) AS URGEDBACK_DT" _
	& ",CONVERT(VARCHAR,i.BACK_DT,111) AS BACK_DT" _
	& ",xb.STAFFDIV_RNM AS BORROWER_DIV_NM" _
	& ",i.BORROWER_NM" _
	& ",xt.STAFFDIV_RNM AS TAKER_DIV_NM" _
	& ",i.TAKER_NM" _
	& ",sl.STAFF_NM AS LENDCLERK_NM" _
	& ",sb.STAFF_NM AS BACKCLERK_NM" _
	& ",i.REMARKS"

	''' <summary>
	''' テーブル
	''' </summary>
	Private Const sqlTblMe = "" _
	& " INNER JOIN MTI_LEND	AS i		    	 ON s.PATIENT_NO		   = i.PATIENT_NO" _
	& "											AND s.HSP_HISTORY_NO	   = i.HSP_HISTORY_NO" _
	& "											AND s.CH_NO			       = i.CH_NO" _
	& "                                         AND " & prmLENDITEM_CD & " = i.LENDITEM_CD" _
	& "{1}" _
	& " LEFT JOIN MTM_LENDITEM_MNGSTATUS  AS m1	 ON " & prmITEM_M & " = m1.LENDITEM_CD AND s.RECORD_MNGSTATUS_CD   = m1.MNGSTATUS_CD" _
	& " LEFT JOIN MTM_LENDITEM_KEEPLCT	  AS k1	 ON " & prmITEM_M & " = k1.LENDITEM_CD AND s.RECORD_KEEPLCT_CD	   = k1.KEEPLCT_CD" _
	& " LEFT JOIN MTM_LENDITEM_ARG_STATUS AS a1	 ON " & prmITEM_M & " = a1.LENDITEM_CD AND s.RECORD_ARG_STATUS_CD  = a1.ARG_STATUS_CD" _
	& " LEFT JOIN MTM_LENDITEM_MNGSTATUS  AS m2	 ON " & prmITEM_S & " = m2.LENDITEM_CD AND s.SUMMARY_MNGSTATUS_CD  = m2.MNGSTATUS_CD" _
	& " LEFT JOIN MTM_LENDITEM_KEEPLCT	  AS k2	 ON " & prmITEM_S & " = k2.LENDITEM_CD AND s.SUMMARY_KEEPLCT_CD    = k2.KEEPLCT_CD" _
	& " LEFT JOIN MTM_LENDITEM_MNGSTATUS  AS m3	 ON " & prmITEM_1 & " = m3.LENDITEM_CD AND s.OTHER1_MNGSTATUS_CD   = m3.MNGSTATUS_CD" _
	& " LEFT JOIN MTM_LENDITEM_KEEPLCT	  AS k3	 ON " & prmITEM_1 & " = k3.LENDITEM_CD AND s.OTHER1_KEEPLCT_CD	   = k3.KEEPLCT_CD" _
	& " LEFT JOIN MTM_LENDITEM_MNGSTATUS  AS m4	 ON " & prmITEM_2 & " = m4.LENDITEM_CD AND s.OTHER2_MNGSTATUS_CD   = m4.MNGSTATUS_CD" _
	& " LEFT JOIN MTM_LENDITEM_KEEPLCT	  AS k4	 ON " & prmITEM_2 & " = k4.LENDITEM_CD AND s.OTHER2_KEEPLCT_CD	   = k4.KEEPLCT_CD" _
	& " LEFT JOIN MTM_LENDITEM_MNGSTATUS  AS m5	 ON " & prmITEM_3 & " = m5.LENDITEM_CD AND s.OTHER3_MNGSTATUS_CD   = m5.MNGSTATUS_CD" _
	& " LEFT JOIN MTM_LENDITEM_KEEPLCT	  AS k5	 ON " & prmITEM_3 & " = k5.LENDITEM_CD AND s.OTHER3_KEEPLCT_CD	   = k5.KEEPLCT_CD" _
	& " LEFT JOIN XTM_STAFF				  AS s1	 ON s.RECORD_RECIPIENT_CD  = s1.STAFF_CD" _
	& " LEFT JOIN XTM_STAFF				  AS s2	 ON s.SUMMARY_MAKER_CD     = s2.STAFF_CD" _
	& " LEFT JOIN MTM_LENDITEM					 ON i.LENDITEM_CD    = MTM_LENDITEM.LENDITEM_CD" _
	& " LEFT JOIN MTM_LENDAIM					 ON i.LENDAIM_CD     = MTM_LENDAIM.LENDAIM_CD" _
	& " LEFT JOIN MTM_LENDITEM_LCT				 ON i.LCT_CD		 = MTM_LENDITEM_LCT.LCT_CD" _
	& " LEFT JOIN XTM_STAFFDIV			  AS xb	 ON i.BORROWER_DIV   = xb.STAFFDIV_CD" _
	& " LEFT JOIN XTM_STAFFDIV			  AS xt	 ON i.TAKER_DIV	     = xt.STAFFDIV_CD" _
	& " LEFT JOIN XTM_STAFF				  AS sl	 ON i.LENDCLERK_CD   = sl.STAFF_CD" _
	& " LEFT JOIN XTM_STAFF				  AS sb	 ON i.BACKCLERK_CD   = sb.STAFF_CD"

#Region "貸出物"

	Public Const prmITEM_M As String = "@LENDITEM_M"			'管理物コード（カルテ）
	Public Const prmITEM_S As String = "@LENDITEM_S"			'管理物コード（サマリ）
	Public Const prmITEM_1 As String = "@LENDITEM_1"			'管理物コード（他１）
	Public Const prmITEM_2 As String = "@LENDITEM_2"			'管理物コード（他２）
	Public Const prmITEM_3 As String = "@LENDITEM_3"			'管理物コード（他３）

	Public Const prmUNIT_VALC As String = "@LENDUNIT_VALC"		'管理物単位値（科歴）
	Public Const prmUNIT_VALH As String = "@LENDUNIT_VALH"		'管理物単位値（入退院）
	Public Const prmUNIT_VALB As String = "@LENDUNIT_VALB"		'管理物単位値（患者）

	Public Const prmUNIT_M As String = "@LENDUNIT_M"			'管理物単位（カルテ）
	Public Const prmUNIT_S As String = "@LENDUNIT_S"			'管理物単位（サマリ）
	Public Const prmUNIT_1 As String = "@LENDUNIT_1"			'管理物単位（他１）
	Public Const prmUNIT_2 As String = "@LENDUNIT_2"			'管理物単位（他２）
	Public Const prmUNIT_3 As String = "@LENDUNIT_3"			'管理物単位（他３）

	Private Const sqlCASE_UNIT_S As String = ",CASE "
	Private Const sqlCASE_UNIT_C As String = " WHEN " & prmUNIT_VALC & " THEN ic."
	Private Const sqlCASE_UNIT_H As String = " WHEN " & prmUNIT_VALH & " THEN ih."
	Private Const sqlCASE_UNIT_B As String = " WHEN " & prmUNIT_VALB & " THEN ib."
	Private Const sqlCASE_UNIT_E As String = " ELSE NULL END AS "

	''' <summary>
	''' 貸出物取得(科歴単位)
	''' </summary>
	Private Const sqlTblMe_C = "" _
	& "SELECT" _
	& " r.PATIENT_NO" _
	& ",r.HSP_HISTORY_NO" _
	& ",r.CH_NO" _
	& "{3}" _
	& sqlCASE_UNIT_S & prmUNIT_M & sqlCASE_UNIT_C & "RECORD_COUNT         " & sqlCASE_UNIT_H & "RECORD_COUNT         " & sqlCASE_UNIT_B & "RECORD_COUNT         " & sqlCASE_UNIT_E & "RECORD_COUNT" _
	& sqlCASE_UNIT_S & prmUNIT_M & sqlCASE_UNIT_C & "RECORD_RECEIPT_DT    " & sqlCASE_UNIT_H & "RECORD_RECEIPT_DT    " & sqlCASE_UNIT_B & "RECORD_RECEIPT_DT    " & sqlCASE_UNIT_E & "RECORD_RECEIPT_DT" _
	& sqlCASE_UNIT_S & prmUNIT_M & sqlCASE_UNIT_C & "RECORD_RECIPIENT_CD  " & sqlCASE_UNIT_H & "RECORD_RECIPIENT_CD  " & sqlCASE_UNIT_B & "RECORD_RECIPIENT_CD  " & sqlCASE_UNIT_E & "RECORD_RECIPIENT_CD" _
	& sqlCASE_UNIT_S & prmUNIT_M & sqlCASE_UNIT_C & "RECORD_KEEPLCT_CD    " & sqlCASE_UNIT_H & "RECORD_KEEPLCT_CD    " & sqlCASE_UNIT_B & "RECORD_KEEPLCT_CD    " & sqlCASE_UNIT_E & "RECORD_KEEPLCT_CD" _
	& sqlCASE_UNIT_S & prmUNIT_M & sqlCASE_UNIT_C & "RECORD_ARG_STATUS_CD " & sqlCASE_UNIT_H & "RECORD_ARG_STATUS_CD " & sqlCASE_UNIT_B & "RECORD_ARG_STATUS_CD " & sqlCASE_UNIT_E & "RECORD_ARG_STATUS_CD" _
	& sqlCASE_UNIT_S & prmUNIT_M & sqlCASE_UNIT_C & "RECORD_MNGSTATUS_CD  " & sqlCASE_UNIT_H & "RECORD_MNGSTATUS_CD  " & sqlCASE_UNIT_B & "RECORD_MNGSTATUS_CD  " & sqlCASE_UNIT_E & "RECORD_MNGSTATUS_CD" _
	& sqlCASE_UNIT_S & prmUNIT_S & sqlCASE_UNIT_C & "SUMMARY_COUNT        " & sqlCASE_UNIT_H & "SUMMARY_COUNT        " & sqlCASE_UNIT_B & "SUMMARY_COUNT        " & sqlCASE_UNIT_E & "SUMMARY_COUNT" _
	& sqlCASE_UNIT_S & prmUNIT_S & sqlCASE_UNIT_C & "SUMMARY_RECEIPT_DT   " & sqlCASE_UNIT_H & "SUMMARY_RECEIPT_DT   " & sqlCASE_UNIT_B & "SUMMARY_RECEIPT_DT   " & sqlCASE_UNIT_E & "SUMMARY_RECEIPT_DT" _
	& sqlCASE_UNIT_S & prmUNIT_S & sqlCASE_UNIT_C & "SUMMARY_KEEPLCT_CD   " & sqlCASE_UNIT_H & "SUMMARY_KEEPLCT_CD   " & sqlCASE_UNIT_B & "SUMMARY_KEEPLCT_CD   " & sqlCASE_UNIT_E & "SUMMARY_KEEPLCT_CD" _
	& sqlCASE_UNIT_S & prmUNIT_S & sqlCASE_UNIT_C & "SUMMARY_MAKER_CD     " & sqlCASE_UNIT_H & "SUMMARY_MAKER_CD     " & sqlCASE_UNIT_B & "SUMMARY_MAKER_CD     " & sqlCASE_UNIT_E & "SUMMARY_MAKER_CD" _
	& sqlCASE_UNIT_S & prmUNIT_S & sqlCASE_UNIT_C & "SUMMARY_MNGSTATUS_CD " & sqlCASE_UNIT_H & "SUMMARY_MNGSTATUS_CD " & sqlCASE_UNIT_B & "SUMMARY_MNGSTATUS_CD " & sqlCASE_UNIT_E & "SUMMARY_MNGSTATUS_CD" _
	& sqlCASE_UNIT_S & prmUNIT_S & sqlCASE_UNIT_C & "SUMMARY_APPROVAL_DT  " & sqlCASE_UNIT_H & "SUMMARY_APPROVAL_DT  " & sqlCASE_UNIT_B & "SUMMARY_APPROVAL_DT  " & sqlCASE_UNIT_E & "SUMMARY_APPROVAL_DT" _
	& sqlCASE_UNIT_S & prmUNIT_1 & sqlCASE_UNIT_C & "OTHER1_COUNT         " & sqlCASE_UNIT_H & "OTHER1_COUNT         " & sqlCASE_UNIT_B & "OTHER1_COUNT         " & sqlCASE_UNIT_E & "OTHER1_COUNT" _
	& sqlCASE_UNIT_S & prmUNIT_1 & sqlCASE_UNIT_C & "OTHER1_RECEIPT_DT    " & sqlCASE_UNIT_H & "OTHER1_RECEIPT_DT    " & sqlCASE_UNIT_B & "OTHER1_RECEIPT_DT    " & sqlCASE_UNIT_E & "OTHER1_RECEIPT_DT" _
	& sqlCASE_UNIT_S & prmUNIT_1 & sqlCASE_UNIT_C & "OTHER1_KEEPLCT_CD    " & sqlCASE_UNIT_H & "OTHER1_KEEPLCT_CD    " & sqlCASE_UNIT_B & "OTHER1_KEEPLCT_CD    " & sqlCASE_UNIT_E & "OTHER1_KEEPLCT_CD" _
	& sqlCASE_UNIT_S & prmUNIT_1 & sqlCASE_UNIT_C & "OTHER1_MNGSTATUS_CD  " & sqlCASE_UNIT_H & "OTHER1_MNGSTATUS_CD  " & sqlCASE_UNIT_B & "OTHER1_MNGSTATUS_CD  " & sqlCASE_UNIT_E & "OTHER1_MNGSTATUS_CD" _
	& sqlCASE_UNIT_S & prmUNIT_2 & sqlCASE_UNIT_C & "OTHER2_COUNT         " & sqlCASE_UNIT_H & "OTHER2_COUNT         " & sqlCASE_UNIT_B & "OTHER2_COUNT         " & sqlCASE_UNIT_E & "OTHER2_COUNT" _
	& sqlCASE_UNIT_S & prmUNIT_2 & sqlCASE_UNIT_C & "OTHER2_RECEIPT_DT    " & sqlCASE_UNIT_H & "OTHER2_RECEIPT_DT    " & sqlCASE_UNIT_B & "OTHER2_RECEIPT_DT    " & sqlCASE_UNIT_E & "OTHER2_RECEIPT_DT" _
	& sqlCASE_UNIT_S & prmUNIT_2 & sqlCASE_UNIT_C & "OTHER2_KEEPLCT_CD    " & sqlCASE_UNIT_H & "OTHER2_KEEPLCT_CD    " & sqlCASE_UNIT_B & "OTHER2_KEEPLCT_CD    " & sqlCASE_UNIT_E & "OTHER2_KEEPLCT_CD" _
	& sqlCASE_UNIT_S & prmUNIT_2 & sqlCASE_UNIT_C & "OTHER2_MNGSTATUS_CD  " & sqlCASE_UNIT_H & "OTHER2_MNGSTATUS_CD  " & sqlCASE_UNIT_B & "OTHER2_MNGSTATUS_CD  " & sqlCASE_UNIT_E & "OTHER2_MNGSTATUS_CD" _
	& sqlCASE_UNIT_S & prmUNIT_3 & sqlCASE_UNIT_C & "OTHER3_COUNT         " & sqlCASE_UNIT_H & "OTHER3_COUNT         " & sqlCASE_UNIT_B & "OTHER3_COUNT         " & sqlCASE_UNIT_E & "OTHER3_COUNT" _
	& sqlCASE_UNIT_S & prmUNIT_3 & sqlCASE_UNIT_C & "OTHER3_RECEIPT_DT    " & sqlCASE_UNIT_H & "OTHER3_RECEIPT_DT    " & sqlCASE_UNIT_B & "OTHER3_RECEIPT_DT    " & sqlCASE_UNIT_E & "OTHER3_RECEIPT_DT" _
	& sqlCASE_UNIT_S & prmUNIT_3 & sqlCASE_UNIT_C & "OTHER3_KEEPLCT_CD    " & sqlCASE_UNIT_H & "OTHER3_KEEPLCT_CD    " & sqlCASE_UNIT_B & "OTHER3_KEEPLCT_CD    " & sqlCASE_UNIT_E & "OTHER3_KEEPLCT_CD" _
	& sqlCASE_UNIT_S & prmUNIT_3 & sqlCASE_UNIT_C & "OTHER3_MNGSTATUS_CD  " & sqlCASE_UNIT_H & "OTHER3_MNGSTATUS_CD  " & sqlCASE_UNIT_B & "OTHER3_MNGSTATUS_CD  " & sqlCASE_UNIT_E & "OTHER3_MNGSTATUS_CD" _
	& "  FROM MTT_SEARCH_RESULT AS r" _
	& "  LEFT JOIN MTI_LENDITM  AS ic	 ON r.PATIENT_NO		    = ic.PATIENT_NO" _
	& "									AND r.HSP_HISTORY_NO	    = ic.HSP_HISTORY_NO" _
	& "									AND r.CH_NO				    = ic.CH_NO" _
	& "  LEFT JOIN MTI_LENDITM	AS ih	 ON r.PATIENT_NO		    = ih.PATIENT_NO" _
	& "									AND r.HSP_HISTORY_NO	    = ih.HSP_HISTORY_NO" _
	& "									AND 0					    = ih.CH_NO" _
	& "  LEFT JOIN MTI_LENDITM	AS ib	 ON r.PATIENT_NO		    = ib.PATIENT_NO" _
	& "									AND 0					    = ib.HSP_HISTORY_NO" _
	& "									AND 0					    = ib.CH_NO" _
	& " WHERE r.USER_CD   = " & sqlMSRCOMMON.prmUSER_CD _
	& "   AND r.SEARCH_NO = " & sqlMSRCOMMON.prmSEARCH_NO _
	& "   AND r.HSP_HISTORY_NO	> 0" _
	& "   AND r.CH_NO			> 0"

	''' <summary>
	''' 貸出物取得(入退院歴単位)
	''' </summary>
	Private Const sqlTblMe_H = "" _
	& "SELECT" _
	& " r.PATIENT_NO" _
	& ",r.HSP_HISTORY_NO" _
	& ",0 AS CH_NO" _
	& "{3}" _
	& sqlCASE_UNIT_S & prmUNIT_M & sqlCASE_UNIT_H & "RECORD_COUNT         " & sqlCASE_UNIT_B & "RECORD_COUNT         " & sqlCASE_UNIT_E & "RECORD_COUNT" _
	& sqlCASE_UNIT_S & prmUNIT_M & sqlCASE_UNIT_H & "RECORD_RECEIPT_DT    " & sqlCASE_UNIT_B & "RECORD_RECEIPT_DT    " & sqlCASE_UNIT_E & "RECORD_RECEIPT_DT" _
	& sqlCASE_UNIT_S & prmUNIT_M & sqlCASE_UNIT_H & "RECORD_RECIPIENT_CD  " & sqlCASE_UNIT_B & "RECORD_RECIPIENT_CD  " & sqlCASE_UNIT_E & "RECORD_RECIPIENT_CD" _
	& sqlCASE_UNIT_S & prmUNIT_M & sqlCASE_UNIT_H & "RECORD_KEEPLCT_CD    " & sqlCASE_UNIT_B & "RECORD_KEEPLCT_CD    " & sqlCASE_UNIT_E & "RECORD_KEEPLCT_CD" _
	& sqlCASE_UNIT_S & prmUNIT_M & sqlCASE_UNIT_H & "RECORD_ARG_STATUS_CD " & sqlCASE_UNIT_B & "RECORD_ARG_STATUS_CD " & sqlCASE_UNIT_E & "RECORD_ARG_STATUS_CD" _
	& sqlCASE_UNIT_S & prmUNIT_M & sqlCASE_UNIT_H & "RECORD_MNGSTATUS_CD  " & sqlCASE_UNIT_B & "RECORD_MNGSTATUS_CD  " & sqlCASE_UNIT_E & "RECORD_MNGSTATUS_CD" _
	& sqlCASE_UNIT_S & prmUNIT_S & sqlCASE_UNIT_C & "SUMMARY_COUNT        " & sqlCASE_UNIT_H & "SUMMARY_COUNT        " & sqlCASE_UNIT_B & "SUMMARY_COUNT        " & sqlCASE_UNIT_E & "SUMMARY_COUNT" _
	& sqlCASE_UNIT_S & prmUNIT_S & sqlCASE_UNIT_C & "SUMMARY_RECEIPT_DT   " & sqlCASE_UNIT_H & "SUMMARY_RECEIPT_DT   " & sqlCASE_UNIT_B & "SUMMARY_RECEIPT_DT   " & sqlCASE_UNIT_E & "SUMMARY_RECEIPT_DT" _
	& sqlCASE_UNIT_S & prmUNIT_S & sqlCASE_UNIT_C & "SUMMARY_KEEPLCT_CD   " & sqlCASE_UNIT_H & "SUMMARY_KEEPLCT_CD   " & sqlCASE_UNIT_B & "SUMMARY_KEEPLCT_CD   " & sqlCASE_UNIT_E & "SUMMARY_KEEPLCT_CD" _
	& sqlCASE_UNIT_S & prmUNIT_S & sqlCASE_UNIT_C & "SUMMARY_MAKER_CD     " & sqlCASE_UNIT_H & "SUMMARY_MAKER_CD     " & sqlCASE_UNIT_B & "SUMMARY_MAKER_CD     " & sqlCASE_UNIT_E & "SUMMARY_MAKER_CD" _
	& sqlCASE_UNIT_S & prmUNIT_S & sqlCASE_UNIT_C & "SUMMARY_MNGSTATUS_CD " & sqlCASE_UNIT_H & "SUMMARY_MNGSTATUS_CD " & sqlCASE_UNIT_B & "SUMMARY_MNGSTATUS_CD " & sqlCASE_UNIT_E & "SUMMARY_MNGSTATUS_CD" _
	& sqlCASE_UNIT_S & prmUNIT_S & sqlCASE_UNIT_C & "SUMMARY_APPROVAL_DT  " & sqlCASE_UNIT_H & "SUMMARY_APPROVAL_DT  " & sqlCASE_UNIT_B & "SUMMARY_APPROVAL_DT  " & sqlCASE_UNIT_E & "SUMMARY_APPROVAL_DT" _
	& sqlCASE_UNIT_S & prmUNIT_1 & sqlCASE_UNIT_H & "OTHER1_COUNT         " & sqlCASE_UNIT_B & "OTHER1_COUNT         " & sqlCASE_UNIT_E & "OTHER1_COUNT" _
	& sqlCASE_UNIT_S & prmUNIT_1 & sqlCASE_UNIT_H & "OTHER1_RECEIPT_DT    " & sqlCASE_UNIT_B & "OTHER1_RECEIPT_DT    " & sqlCASE_UNIT_E & "OTHER1_RECEIPT_DT" _
	& sqlCASE_UNIT_S & prmUNIT_1 & sqlCASE_UNIT_H & "OTHER1_KEEPLCT_CD    " & sqlCASE_UNIT_B & "OTHER1_KEEPLCT_CD    " & sqlCASE_UNIT_E & "OTHER1_KEEPLCT_CD" _
	& sqlCASE_UNIT_S & prmUNIT_1 & sqlCASE_UNIT_H & "OTHER1_MNGSTATUS_CD  " & sqlCASE_UNIT_B & "OTHER1_MNGSTATUS_CD  " & sqlCASE_UNIT_E & "OTHER1_MNGSTATUS_CD" _
	& sqlCASE_UNIT_S & prmUNIT_2 & sqlCASE_UNIT_H & "OTHER2_COUNT         " & sqlCASE_UNIT_B & "OTHER2_COUNT         " & sqlCASE_UNIT_E & "OTHER2_COUNT" _
	& sqlCASE_UNIT_S & prmUNIT_2 & sqlCASE_UNIT_H & "OTHER2_RECEIPT_DT    " & sqlCASE_UNIT_B & "OTHER2_RECEIPT_DT    " & sqlCASE_UNIT_E & "OTHER2_RECEIPT_DT" _
	& sqlCASE_UNIT_S & prmUNIT_2 & sqlCASE_UNIT_H & "OTHER2_KEEPLCT_CD    " & sqlCASE_UNIT_B & "OTHER2_KEEPLCT_CD    " & sqlCASE_UNIT_E & "OTHER2_KEEPLCT_CD" _
	& sqlCASE_UNIT_S & prmUNIT_2 & sqlCASE_UNIT_H & "OTHER2_MNGSTATUS_CD  " & sqlCASE_UNIT_B & "OTHER2_MNGSTATUS_CD  " & sqlCASE_UNIT_E & "OTHER2_MNGSTATUS_CD" _
	& sqlCASE_UNIT_S & prmUNIT_3 & sqlCASE_UNIT_H & "OTHER3_COUNT         " & sqlCASE_UNIT_B & "OTHER3_COUNT         " & sqlCASE_UNIT_E & "OTHER3_COUNT" _
	& sqlCASE_UNIT_S & prmUNIT_3 & sqlCASE_UNIT_H & "OTHER3_RECEIPT_DT    " & sqlCASE_UNIT_B & "OTHER3_RECEIPT_DT    " & sqlCASE_UNIT_E & "OTHER3_RECEIPT_DT" _
	& sqlCASE_UNIT_S & prmUNIT_3 & sqlCASE_UNIT_H & "OTHER3_KEEPLCT_CD    " & sqlCASE_UNIT_B & "OTHER3_KEEPLCT_CD    " & sqlCASE_UNIT_E & "OTHER3_KEEPLCT_CD" _
	& sqlCASE_UNIT_S & prmUNIT_3 & sqlCASE_UNIT_H & "OTHER3_MNGSTATUS_CD  " & sqlCASE_UNIT_B & "OTHER3_MNGSTATUS_CD  " & sqlCASE_UNIT_E & "OTHER3_MNGSTATUS_CD" _
	& " FROM (" _
 _
	& "SELECT" _
	& " PATIENT_NO" _
	& ",HSP_HISTORY_NO" _
	& "{2}" _
	& "  FROM MTT_SEARCH_RESULT" _
	& " WHERE USER_CD   = " & sqlMSRCOMMON.prmUSER_CD _
	& "   AND SEARCH_NO = " & sqlMSRCOMMON.prmSEARCH_NO _
	& "   AND HSP_HISTORY_NO	> 0" _
	& " GROUP BY" _
	& " PATIENT_NO" _
	& ",HSP_HISTORY_NO" _
	& "{2}" _
 _
	 & " ) AS r" _
	& "  LEFT JOIN MTI_LENDITM  AS ih	 ON r.PATIENT_NO		    = ih.PATIENT_NO" _
	& "									AND r.HSP_HISTORY_NO	    = ih.HSP_HISTORY_NO" _
	& "									AND 0					    = ih.CH_NO" _
	& "  LEFT JOIN MTI_LENDITM	AS ib	 ON r.PATIENT_NO		    = ib.PATIENT_NO" _
	& "									AND 0					    = ib.HSP_HISTORY_NO" _
	& "									AND 0					    = ib.CH_NO" _
	& "  LEFT JOIN MTI_CH                ON r.PATIENT_NO		    = MTI_CH.PATIENT_NO" _
	& "									AND r.HSP_HISTORY_NO	    = MTI_CH.HSP_HISTORY_NO" _
	& "									AND " & sqlMSRCOMMON.prmFLG_CD_ON & " = MTI_CH.MAIN_DPM_FLG" _
	& "  LEFT JOIN MTI_LENDITM  AS ic    ON MTI_CH.PATIENT_NO		= ic.PATIENT_NO" _
	& "									AND MTI_CH.HSP_HISTORY_NO	= ic.HSP_HISTORY_NO" _
	& "									AND MTI_CH.CH_NO            = ic.CH_NO"

	''' <summary>
	''' 貸出物取得(患者単位)
	''' </summary>
	Private Const sqlTblMe_B = "" _
	& "SELECT" _
	& " r.PATIENT_NO" _
	& ",0 AS HSP_HISTORY_NO" _
	& ",0 AS CH_NO" _
	& "{3}" _
	& sqlCASE_UNIT_S & prmUNIT_M & sqlCASE_UNIT_B & "RECORD_COUNT         " & sqlCASE_UNIT_E & "RECORD_COUNT" _
	& sqlCASE_UNIT_S & prmUNIT_M & sqlCASE_UNIT_B & "RECORD_RECEIPT_DT    " & sqlCASE_UNIT_E & "RECORD_RECEIPT_DT" _
	& sqlCASE_UNIT_S & prmUNIT_M & sqlCASE_UNIT_B & "RECORD_RECIPIENT_CD  " & sqlCASE_UNIT_E & "RECORD_RECIPIENT_CD" _
	& sqlCASE_UNIT_S & prmUNIT_M & sqlCASE_UNIT_B & "RECORD_KEEPLCT_CD    " & sqlCASE_UNIT_E & "RECORD_KEEPLCT_CD" _
	& sqlCASE_UNIT_S & prmUNIT_M & sqlCASE_UNIT_B & "RECORD_ARG_STATUS_CD " & sqlCASE_UNIT_E & "RECORD_ARG_STATUS_CD" _
	& sqlCASE_UNIT_S & prmUNIT_M & sqlCASE_UNIT_B & "RECORD_MNGSTATUS_CD  " & sqlCASE_UNIT_E & "RECORD_MNGSTATUS_CD" _
	& sqlCASE_UNIT_S & prmUNIT_S & sqlCASE_UNIT_B & "SUMMARY_COUNT        " & sqlCASE_UNIT_E & "SUMMARY_COUNT" _
	& sqlCASE_UNIT_S & prmUNIT_S & sqlCASE_UNIT_B & "SUMMARY_RECEIPT_DT   " & sqlCASE_UNIT_E & "SUMMARY_RECEIPT_DT" _
	& sqlCASE_UNIT_S & prmUNIT_S & sqlCASE_UNIT_B & "SUMMARY_KEEPLCT_CD   " & sqlCASE_UNIT_E & "SUMMARY_KEEPLCT_CD" _
	& sqlCASE_UNIT_S & prmUNIT_S & sqlCASE_UNIT_B & "SUMMARY_MAKER_CD     " & sqlCASE_UNIT_E & "SUMMARY_MAKER_CD" _
	& sqlCASE_UNIT_S & prmUNIT_S & sqlCASE_UNIT_B & "SUMMARY_MNGSTATUS_CD " & sqlCASE_UNIT_E & "SUMMARY_MNGSTATUS_CD" _
	& sqlCASE_UNIT_S & prmUNIT_S & sqlCASE_UNIT_B & "SUMMARY_APPROVAL_DT  " & sqlCASE_UNIT_E & "SUMMARY_APPROVAL_DT" _
	& sqlCASE_UNIT_S & prmUNIT_1 & sqlCASE_UNIT_B & "OTHER1_COUNT         " & sqlCASE_UNIT_E & "OTHER1_COUNT" _
	& sqlCASE_UNIT_S & prmUNIT_1 & sqlCASE_UNIT_B & "OTHER1_RECEIPT_DT    " & sqlCASE_UNIT_E & "OTHER1_RECEIPT_DT" _
	& sqlCASE_UNIT_S & prmUNIT_1 & sqlCASE_UNIT_B & "OTHER1_KEEPLCT_CD    " & sqlCASE_UNIT_E & "OTHER1_KEEPLCT_CD" _
	& sqlCASE_UNIT_S & prmUNIT_1 & sqlCASE_UNIT_B & "OTHER1_MNGSTATUS_CD  " & sqlCASE_UNIT_E & "OTHER1_MNGSTATUS_CD" _
	& sqlCASE_UNIT_S & prmUNIT_2 & sqlCASE_UNIT_B & "OTHER2_COUNT         " & sqlCASE_UNIT_E & "OTHER2_COUNT" _
	& sqlCASE_UNIT_S & prmUNIT_2 & sqlCASE_UNIT_B & "OTHER2_RECEIPT_DT    " & sqlCASE_UNIT_E & "OTHER2_RECEIPT_DT" _
	& sqlCASE_UNIT_S & prmUNIT_2 & sqlCASE_UNIT_B & "OTHER2_KEEPLCT_CD    " & sqlCASE_UNIT_E & "OTHER2_KEEPLCT_CD" _
	& sqlCASE_UNIT_S & prmUNIT_2 & sqlCASE_UNIT_B & "OTHER2_MNGSTATUS_CD  " & sqlCASE_UNIT_E & "OTHER2_MNGSTATUS_CD" _
	& sqlCASE_UNIT_S & prmUNIT_3 & sqlCASE_UNIT_B & "OTHER3_COUNT         " & sqlCASE_UNIT_E & "OTHER3_COUNT" _
	& sqlCASE_UNIT_S & prmUNIT_3 & sqlCASE_UNIT_B & "OTHER3_RECEIPT_DT    " & sqlCASE_UNIT_E & "OTHER3_RECEIPT_DT" _
	& sqlCASE_UNIT_S & prmUNIT_3 & sqlCASE_UNIT_B & "OTHER3_KEEPLCT_CD    " & sqlCASE_UNIT_E & "OTHER3_KEEPLCT_CD" _
	& sqlCASE_UNIT_S & prmUNIT_3 & sqlCASE_UNIT_B & "OTHER3_MNGSTATUS_CD  " & sqlCASE_UNIT_E & "OTHER3_MNGSTATUS_CD" _
	& " FROM (" _
 _
	& "SELECT" _
	& " PATIENT_NO" _
	& "{2}" _
	& "  FROM MTT_SEARCH_RESULT" _
	& " WHERE USER_CD   = " & sqlMSRCOMMON.prmUSER_CD _
	& "   AND SEARCH_NO = " & sqlMSRCOMMON.prmSEARCH_NO _
	& " GROUP BY" _
	& " PATIENT_NO" _
	& "{2}" _
 _
	& " ) AS r" _
	& " LEFT JOIN MTI_LENDITM	AS ib	 ON r.PATIENT_NO		    = ib.PATIENT_NO" _
	& "									AND 0					    = ib.HSP_HISTORY_NO" _
	& "									AND 0					    = ib.CH_NO"
#End Region

	''' <summary>
	''' Order句
	''' </summary>
	Private Const sqlOrder As String = _
	  " ORDER BY" _
	& " i.PATIENT_NO" _
	& ",i.HSP_HISTORY_NO" _
	& ",i.CH_NO" _
	& ",i.LENDSERIAL_NO"

#End Region

End Class