﻿Imports System.Windows.Forms
'''---------------------------------------------
''' <summary>
''' configクラス
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
'''---------------------------------------------
Public Class datConfig

#Region "変数"

	Private _DS As String			'ＳＱＬサーバ名
	Private _IC As String			'データベース名
	Private _UI As String			'ログインユーザ名
	Private _DBGLOG As String		'デバッグログモード
	Private _LTimeOut As Integer		'ログインタイムアウト（秒）
	Private _RTimeOut As Integer		'ロールバックタイムアウト（秒）
	Private _STimeOut As Integer		'ＳＱＬタイムアウト（秒）

	Private _LogDir As String		'ログ出力フォルダ
	Private _LogDate As Integer		'ログ保存日数
	Private _TemplateDir As String		'テンプレートフォルダ
	Private _TempDir As String		'一時フォルダ

	Private _SvDir As String		'サーバーパス
	Private _BtgDir As String		'がん登録パス

#End Region

#Region "プロパティ"

	Public Property DS() As String
		Get
			Return _DS
		End Get
		Set(ByVal Value As String)
			_DS = Value
		End Set
	End Property

	Public Property IC() As String
		Get
			Return _IC
		End Get
		Set(ByVal Value As String)
			_IC = Value
		End Set
	End Property

	Public Property UI() As String
		Get
			Return _UI
		End Get
		Set(ByVal Value As String)
			_UI = Value
		End Set
	End Property

	Public Property DBGLOG() As String
		Get
			Return _DBGLOG
		End Get
		Set(ByVal Value As String)
			_DBGLOG = Value
		End Set
	End Property

	Public Property LTimeOut() As Integer
		Get
			Return _LTimeOut
		End Get
		Set(ByVal Value As Integer)
			_LTimeOut = Value
		End Set
	End Property

	Public Property RTimeOut() As Integer
		Get
			Return _RTimeOut
		End Get
		Set(ByVal Value As Integer)
			_RTimeOut = Value
		End Set
	End Property

	Public Property STimeOut() As Integer
		Get
			Return _STimeOut
		End Get
		Set(ByVal Value As Integer)
			_STimeOut = Value
		End Set
	End Property

	Public Property LogDir() As String
		Get
			Return _LogDir
		End Get
		Set(ByVal Value As String)
			_LogDir = Value
		End Set
	End Property

	Public Property LogDate() As Integer
		Get
			Return _LogDate
		End Get
		Set(ByVal Value As Integer)
			_LogDate = Value
		End Set
	End Property

	Public Property TemplateDir() As String
		Get
			Return _TemplateDir
		End Get
		Set(ByVal Value As String)
			_TemplateDir = Value
		End Set
	End Property

	Public Property TempDir() As String
		Get
			Return _TempDir
		End Get
		Set(ByVal Value As String)
			_TempDir = Value
		End Set
	End Property

	Public Property SvDir() As String
		Get
			Return _SvDir
		End Get
		Set(ByVal Value As String)
			_SvDir = Value
		End Set
	End Property

	Public Property BtgDir() As String
		Get
			Return _BtgDir
		End Get
		Set(ByVal Value As String)
			_BtgDir = Value
		End Set
	End Property

#End Region

#Region "メソッド"

	Public Sub Clear()
		_DS = Nothing
		_IC = Nothing
		_UI = Nothing
		_DBGLOG = "NRM"
		_LTimeOut = 15
		_RTimeOut = 60
		_STimeOut = 300

		_LogDir = Nothing
		_LogDate = 3
		_TemplateDir = Nothing
		_TempDir = Nothing
		_SvDir = Nothing
		_BtgDir = Nothing
	End Sub
'(A) STR V4-11029-000 031 20110816 FJSK)荒川 XXX号 病歴大将V4PKG問題点No60 バックアップにがん登録もバックアップするように対応する
	''' ---------------------------------------------
	''' <summary>
	''' コピー
	''' </summary>
	''' <returns>コピーインスタンス</returns>
	''' <remarks>
	''' 2011/08/12 新規作成 FJSK)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function Copy() As datConfig
		Dim ret As New datConfig
		With ret
			.DS = Me.DS
			.IC = Me.IC
			.UI = Me.UI
			.DBGLOG = Me.DBGLOG
			.LTimeOut = Me.LTimeOut
			.RTimeOut = Me.RTimeOut
			.STimeOut = Me.STimeOut

			.LogDir = Me.LogDir
			.LogDate = Me.LogDate
			.TemplateDir = Me.TemplateDir
			.TempDir = Me.TempDir
			.SvDir = Me.SvDir
			.BtgDir = Me.BtgDir
		End With
		Return ret
	End Function
'(A) END V4-11029-000 031 20110816

#End Region

End Class

Public Class clsConfig

#Region "コンスタント"

	Public Const CST_CONF_NM As String = "BT4.config"	'configファイル名

#End Region

#Region "メソッド"

	''' ----------------------------------------------
	''' <summary>
	''' configファイル書き込み
	''' </summary>
	''' <remarks>
	''' 2009/04/06 新規作成　FJSK)柳原<BR/>
	''' </remarks>
	''' ----------------------------------------------
	Public Sub putConfig(ByVal cliConfig As datConfig)
		Try
			'XmlSerializerオブジェクトを作成
			'書き込むオブジェクトの型を指定する
			Dim serializer As New System.Xml.Serialization.XmlSerializer(GetType(datConfig))
			'ファイルを開く
			Dim strConfigFile As String = getConfigPath()
			Dim fs As New System.IO.FileStream(strConfigFile, System.IO.FileMode.Create)
			Try
				'シリアル化し、XMLファイルに保存する
				serializer.Serialize(fs, cliConfig)
			Catch ex As Exception
				Throw
			Finally
				'閉じる
				fs.Close()
				fs = Nothing
				serializer = Nothing
			End Try
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ----------------------------------------------
	''' <summary>
	''' BT4Configのパスを取得する
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2010/11/26 新規作成 FJSK)荒川<BR/>
	''' </remarks>
	''' ----------------------------------------------
	Public Shared Function getConfigPath() As String
		Try
			Return My.Computer.FileSystem.CombinePath(Application.StartupPath, CST_CONF_NM)
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ----------------------------------------------
	''' <summary>
	''' configファイル読み込み
	''' </summary>
	''' <remarks>
	''' 2009/04/06 新規作成　FJSK)柳原<BR/>
	''' </remarks>
	''' ----------------------------------------------
	Public Function getConfig() As datConfig
		Dim cliConfig As datConfig = Nothing
		Try
			Dim strConfigFile As String = getConfigPath()

			'configファイル存在チェック
			If System.IO.File.Exists(strConfigFile) = True Then
				'＜XMLファイルから読み込む＞
				'XmlSerializerオブジェクトの作成
				Dim serializer As New System.Xml.Serialization.XmlSerializer(GetType(datConfig))
				'ファイルを開く
				Dim fs As New System.IO.FileStream(strConfigFile, _
								System.IO.FileMode.Open, _
								System.IO.FileAccess.Read, _
								System.IO.FileShare.ReadWrite)
				Try
					'XMLファイルから読み込み、逆シリアル化する
					cliConfig = CType(serializer.Deserialize(fs), datConfig)
				Catch ex As Exception
					Throw
				Finally
					'閉じる
					fs.Close()
					fs = Nothing
					serializer = Nothing
				End Try
			Else
				cliConfig = New datConfig
				cliConfig.Clear()
			End If
		Catch ex As Exception
			Throw
		End Try
		Return cliConfig
	End Function

#End Region

End Class
