﻿Imports System.Data.OleDb
Imports System.IO
Imports System.Windows.Forms
Imports System.Reflection
Imports System.Configuration
Imports System.Text

Public Class clsMDB

	Implements IDisposable

#Region "コンスタント"

	Private Const NOTCONNECT As String = "接続が確立していません"		'接続確立メッセージ
	Public Const MDBPASSWORD As String = "BT4kuma"					'MDBパスワード
    'Private Const CST_MDB_FOLDER As String = "mdb"                      'MDBフォルダ
    'Private Shared MdbFilePathStr As String() = {"BT4MDB.mdb"}			'MDBファイル固定文字列

#End Region

#Region "変数"

	Private url As String = Nothing				'MDB接続文字列
	Private STimeOut As String = Nothing		'SQLタイムアウト時間
	Private oleConn As OleDbConnection			'SQLコネクション
	Private oleCmd As OleDbCommand				'SQLコマンド
	Private oleAdp As OleDbDataAdapter			'SQLアダプター
	Private dts As DataSet						'データセット

	''' ---------------------------------------------
	''' <summary>
	''' トランザクション
	''' </summary>
	''' <remarks>
	''' 2010/03/26 新規作成 CS)荒川
	''' </remarks>
	''' ---------------------------------------------
	Public Enum Enum_TranMode As Integer
		''' ---------------------------------------------
		''' <summary>
		''' トランザクション開始
		''' </summary>
		''' <remarks>
		''' 2010/03/26 新規作成 CS)荒川
		''' </remarks>
		''' ---------------------------------------------
		Begin = 0
		''' ---------------------------------------------
		''' <summary>
		''' コミット
		''' </summary>
		''' <remarks>
		''' 2010/03/26 新規作成 CS)荒川
		''' </remarks>
		''' ---------------------------------------------
		Commit = 1
		''' ---------------------------------------------
		''' <summary>
		''' ロールバック
		''' </summary>
		''' <remarks>
		''' 2010/03/26 新規作成 CS)荒川
		''' </remarks>
		''' ---------------------------------------------
		RollBack = 2
	End Enum

	''' ---------------------------------------------
	''' <summary>
	''' DB type指定
	''' </summary>
	''' <remarks>
	''' 2010/03/26 新規作成 CS)荒川
	''' </remarks>
	''' ---------------------------------------------
	Public Enum dbType As Integer
		''' ---------------------------------------------
		''' <summary>
		''' Integer
		''' </summary>
		''' <remarks>
		''' 2010/03/26 新規作成 CS)荒川
		''' </remarks>
		''' ---------------------------------------------
		dbInteger = 0
		''' ---------------------------------------------
		''' <summary>
		''' String
		''' </summary>
		''' <remarks>
		''' 2010/03/26 新規作成 CS)荒川
		''' </remarks>
		''' ---------------------------------------------
		dbVarChar = 1
		''' ---------------------------------------------
		''' <summary>
		''' Date
		''' </summary>
		''' <remarks>
		''' 2010/03/26 新規作成 CS)荒川
		''' </remarks>
		''' ---------------------------------------------
		dbDate = 2
		''' ---------------------------------------------
		''' <summary>
		''' Date
		''' </summary>
		''' <remarks>
		''' 2010/03/26 新規作成 CS)荒川
		''' </remarks>
		''' ---------------------------------------------
		dbDateTime = 3
		''' ---------------------------------------------
		''' <summary>
		''' Double , Single
		''' </summary>
		''' <remarks>
		''' 2010/03/26 新規作成 CS)荒川
		''' </remarks>
		''' ---------------------------------------------
		dbNumeric = 4
	End Enum

    '''' ---------------------------------------------
    '''' <summary>
    '''' MDBファイルインデックス
    '''' </summary>
    '''' <remarks>
    '''' 2010/03/26 新規作成 CS)荒川
    '''' </remarks>
    '''' ---------------------------------------------
    'Public Enum Enum_MdbFile
    '	''' ---------------------------------------------
    '	''' <summary>
    '	''' WKMDBインデックス
    '	''' </summary>
    '	''' <remarks>
    '	''' 2010/03/26 新規作成 CS)荒川
    '	''' </remarks>
    '	''' ---------------------------------------------
    '	fWorkMdb = 0
    'End Enum

#End Region

#Region "コンストラクタ"

    '''' ---------------------------------------------
    '''' <summary>
    '''' EXCELひな形ファイルパス設定
    '''' </summary>
    '''' <param name="pCfg">clsSysMst.ctlConfigData</param>	
    '''' <param name="pMdb">Mdbインデックス</param>
    '''' <remarks>
    '''' 2010/03/26 新規作成 CS)荒川
    '''' </remarks>
    '''' ---------------------------------------------
    'Sub New(ByVal pCfg As datConfig, ByVal pMdb As clsMDB.Enum_MdbFile)
    '	Dim mdbpath As String = Me.setMdbPath(clsMDB.MdbFilePathStr(pMdb))			'接続文字列を作成
    '	''Vista対応
    '	'url = "Provider=Microsoft.ACE.OLEDB.12.0;" & "Data Source=" & mdbpath & ";Jet OLEDB:Database Password =" & MDBPASSWORD & ";"
    '	'XP対応
    '	url = "Provider=Microsoft.Jet.OLEDB.4.0;" & "Data Source=" & mdbpath & ";Jet OLEDB:Database Password =" & MDBPASSWORD & ";"
    '	'解放
    '	mdbpath = Nothing
    '	'SQLタイムアウトを設定
    '	STimeOut = pCfg.STimeOut.ToString
    'End Sub

	''' ---------------------------------------------
	''' <summary>
	''' EXCELひな形ファイルパス設定
	''' </summary>
	''' <param name="pCfg">clsSysMst.ctlConfigData</param>	
    ''' <param name="pMdbFullPath">Mdbフルパス</param>
	''' <remarks>
	''' 2010/03/26 新規作成 CS)荒川
	''' </remarks>
	''' ---------------------------------------------
    Sub New(ByVal pCfg As datConfig, ByVal pMdbFullPath As String)
        Dim mdbpath As String = pMdbFullPath          '接続文字列を作成
        ''Vista対応
        'url = "Provider=Microsoft.ACE.OLEDB.12.0;" & "Data Source=" & mdbpath & ";Jet OLEDB:Database Password =" & MDBPASSWORD & ";"
        'XP対応
		url = "Provider=Microsoft.Jet.OLEDB.4.0;" & "Data Source=" & mdbpath & ";Jet OLEDB:Database Password =" & MDBPASSWORD & ";User ID=Admin;"
        '解放
        mdbpath = Nothing
        'SQLタイムアウトを設定
        STimeOut = pCfg.STimeOut.ToString
    End Sub

#End Region

#Region "ローカルメソッド"

	'''---------------------------------------------
	''' <summary>
	''' con(SqlConnection)の初期化
	''' </summary>
	''' <remarks>
	''' 2010/02/07 新規作成 CS)荒川
	''' </remarks>
	'''---------------------------------------------
	Private Sub initOleCon()
		If oleConn IsNot Nothing Then							'oleConnを使っていたら
			Try
				oleConn.Dispose()								'リソース開放
			Catch ex As Exception								'例外は処理しない
			Finally
				oleConn = Nothing								'変数初期化
			End Try
		End If
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' OleCmd(OleDbCommand)の初期化
	''' </summary>
	''' <remarks>
	''' 2010/02/07 新規作成 CS)荒川
	''' </remarks>
	'''---------------------------------------------
	Private Sub initOleCmd()
		If oleCmd IsNot Nothing Then							'oleCmdを使っていたら
			Try
				oleCmd.Dispose()								'リソース開放
			Catch ex As Exception								'例外は処理しない
			Finally
				oleCmd = Nothing								'変数初期化
			End Try
		End If
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' データベースの型情報を返す
	''' </summary>
	''' <remarks>
	''' 2010/02/07 新規作成 CS)荒川
	''' </remarks>
	'''---------------------------------------------
	Private Function getOleDBtype(ByVal dbNo As Integer) As OleDbType
		Dim _OledbType() As OleDbType = {OleDbType.Integer, OleDbType.VarChar, OleDbType.DBDate, OleDbType.DBTimeStamp, OleDbType.Decimal}	'DBtype
		Return _OledbType(dbNo)
	End Function

	'''---------------------------------------------
	''' <summary>
	''' ＳＱＬコマンドタイムアウト時間ＧＥＴ
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2008/04/23 新規作成　FJSK)柳原<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Function getSTimeOut() As Integer
		Dim iRet As Integer = -1
		Try
			iRet = Integer.Parse(STimeOut)
		Catch ex As Exception
			iRet = -1
		End Try
		Return iRet
	End Function

	'''-------------------------------------------------------------
	''' <summary>
	''' SQL実行で例外があった時のSQL文およびパラメータをログに出力する
	''' </summary>
	''' <remarks>
	''' 2010/01/25 新規作成　FJSK)柳原<BR/>
	''' </remarks>
	'''-------------------------------------------------------------
	Private Sub putLog(Optional ByVal str As String = Nothing)
		Dim sBuilder As New StringBuilder()
		Dim gID As String = Me.GetType.Assembly.GetName.Name
		Dim fID As String = Me.GetType.Name
		Dim sWork1 As String
		Dim sWork2 As String
		Try
			'実行したSQL文
			If str Is Nothing Then
				sWork1 = oleCmd.CommandText()
			Else
				sWork1 = str
			End If

			While sWork1.Length > 0
				sWork2 = clsMisc.fMidB(sWork1, 0, 1024)
				clsSysMst.logEx(clsSysMst.logLevel.ERR, gID, fID, "-", "-", "-", sWork2)
				sWork1 = sWork1.Substring(sWork2.Length)
			End While

			'修正列とパラメータ値
			For i As Integer = 0 To oleCmd.Parameters.Count - 1
				sBuilder.Append(oleCmd.Parameters(i).ParameterName + "=")
				sBuilder.Append(oleCmd.Parameters(i).Value.ToString() + ",")
			Next i
			If sBuilder.Length > 0 Then
				sBuilder.Remove(sBuilder.Length - 1, 1)	'最後のカンマを削除する
				sWork1 = sBuilder.ToString
				While sWork1.Length > 0
					sWork2 = clsMisc.fMidB(sWork1, 0, 1024)
					clsSysMst.logEx(clsSysMst.logLevel.ERR, gID, fID, "-", "-", "-", sWork2)
					sWork1 = sWork1.Substring(sWork2.Length)
				End While
			End If
		Catch ex As Exception
		Finally
			sBuilder = Nothing
			gID = Nothing
			fID = Nothing
			sWork1 = Nothing
			sWork2 = Nothing
		End Try
	End Sub

#End Region

#Region "グローバルメソッド（パラメータ関係）"

	''' ---------------------------------------------
	''' <summary>
	''' 同期処理のSELECT,UPDATE,INSERT,DELETEを設定する
	''' </summary>
	''' <param name="strSQL">設定するSQL文</param>
	''' <param name="retryFlg">既存の接続を、True=切る、False=切らない</param>
	''' <remarks>
	''' 2010/02/07 新規作成 CS)荒川
	''' </remarks>
	''' ---------------------------------------------
	Public Sub setSQLOle(ByVal strSQL As String, Optional ByVal retryFlg As Boolean = False)
		If retryFlg = True Then									'接続を事前に切る場合
			initOleCmd()										'oleCmd初期化
			initOleCon()										'conn初期化
		End If

		Try
			If oleConn Is Nothing Then							'接続がない場合
				oleConn = New OleDbConnection(url)				'接続する
				oleConn.Open()
				oleCmd = oleConn.CreateCommand()
				oleCmd.CommandText = strSQL
			Else												'接続がある場合
				If oleCmd IsNot Nothing Then					'sqlCommandがある場合、再利用
					oleCmd.CommandText = strSQL
					oleCmd.Parameters.Clear()
				Else											'sqlCommandがない場合、作成
					oleCmd = oleConn.CreateCommand()
					oleCmd.CommandText = strSQL
				End If
			End If
		Catch ex As Exception									'上位へ伝播
			Throw
		Finally
		End Try
	End Sub

	'''-------------------------------------------------------------
	''' <summary>
	''' SQL文のパラメータ文字列設定(OleDbCommand用)
	''' </summary>
	''' <param name="strPara">パラメータ文字列</param>
	''' <param name="dbTypeNo">パラメータの型</param>
	''' <remarks></remarks>
	'''-------------------------------------------------------------
	Public Sub setParamOle(ByVal strPara As String, ByVal dbTypeNo As Integer)
		If oleConn Is Nothing OrElse oleCmd Is Nothing Then
			Throw New Exception(NOTCONNECT)						'接続が確立していない
			Return
		End If

		Try
			oleCmd.Parameters.Add(strPara, getOleDBtype(dbTypeNo))
		Catch ex As Exception									'上位へ伝播
			Throw
		Finally
		End Try
	End Sub

	'''-------------------------------------------------------------
	''' <summary>
	''' SQL文のパラメータ値設定(OleDbCommand用)
	''' </summary>
	''' <param name="strPrm">パラメータ文字列</param>
	''' <param name="strVal">文字列値</param>
	''' <remarks>文字列型の設定</remarks>
	'''-------------------------------------------------------------
    Public Sub setValOle(ByVal strPrm As String, ByVal strVal As String)
        If oleConn Is Nothing OrElse oleCmd Is Nothing Then
            Throw New Exception(NOTCONNECT)                     '接続が確立していない
            Return
        End If

        Try
            If strVal Is Nothing OrElse strVal.Equals("") Then
                oleCmd.Parameters(strPrm).Value = DBNull.Value
            Else
                oleCmd.Parameters(strPrm).Value = strVal
            End If
        Catch ex As Exception                                   '上位へ伝播
            Throw
        Finally
        End Try
    End Sub

    '''-------------------------------------------------------------
    ''' <summary>
    ''' SQL文のパラメータ値設定(OleDbCommand用)
    ''' </summary>
    ''' <param name="strPrm">パラメータ文字列</param>
    ''' <param name="strVal">文字列値</param>
    ''' <param name="nullFlg">True:DBNullをセット,False:strValをセット</param>
    ''' <remarks>文字列型の設定</remarks>
    '''-------------------------------------------------------------
    Public Sub setValOle(ByVal strPrm As String, ByVal strVal As String, ByVal nullFlg As Boolean)
        If oleConn Is Nothing OrElse oleCmd Is Nothing Then
            Throw New Exception(NOTCONNECT)                     '接続が確立していない
            Return
        End If

        Try
            If nullFlg = True Then
                oleCmd.Parameters(strPrm).Value = DBNull.Value
            Else
                oleCmd.Parameters(strPrm).Value = strVal
            End If
        Catch ex As Exception                                   '上位へ伝播
            Throw
        Finally
        End Try
    End Sub

	'''-------------------------------------------------------------
	''' <summary>
	''' SQL文のパラメータ値設定(OleDbCommand用)
	''' </summary>
	''' <param name="strPrm">パラメータ文字列</param>
	''' <param name="intVal">数値</param>
	''' <remarks>int型の設定</remarks>
	'''-------------------------------------------------------------
    Public Sub setValOle(ByVal strPrm As String, ByVal intVal As Integer)
        If oleConn Is Nothing OrElse oleCmd Is Nothing Then
            Throw New Exception(NOTCONNECT)                     '接続が確立していない
            Return
        End If

        Try
            If intVal = Nothing Then
                oleCmd.Parameters(strPrm).Value = DBNull.Value
            Else
                oleCmd.Parameters(strPrm).Value = intVal
            End If
        Catch ex As Exception                                   '上位へ伝播
            Throw
        Finally
        End Try
    End Sub

    '''-------------------------------------------------------------
    ''' <summary>
    ''' SQL文のパラメータ値設定(OleDbCommand用)
    ''' </summary>
    ''' <param name="strPrm">パラメータ文字列</param>
    ''' <param name="intVal">数値</param>
    ''' <param name="nullFlg">True:DBNullをセット,False:intValをセット</param>
    ''' <remarks>int型の設定</remarks>
    '''-------------------------------------------------------------
    Public Sub setValOle(ByVal strPrm As String, ByVal intVal As Integer, ByVal nullFlg As Boolean)
        If oleConn Is Nothing OrElse oleCmd Is Nothing Then
            Throw New Exception(NOTCONNECT)                     '接続が確立していない
            Return
        End If

        Try
            If nullFlg = True Then
                oleCmd.Parameters(strPrm).Value = DBNull.Value
            Else
                oleCmd.Parameters(strPrm).Value = intVal
            End If
        Catch ex As Exception                                   '上位へ伝播
            Throw
        Finally
        End Try
    End Sub

    '''-------------------------------------------------------------
    ''' <summary>
    ''' SQL文のパラメータ値設定(OleDbCommand用)
    ''' </summary>
    ''' <param name="strPrm">パラメータ文字列</param>
    ''' <param name="numericVal">数値</param>
    ''' <remarks>Decimal型の設定</remarks>
    '''-------------------------------------------------------------
    Public Sub setValOle(ByVal strPrm As String, ByVal numericVal As Decimal)
        If oleConn Is Nothing OrElse oleCmd Is Nothing Then
            Throw New Exception(NOTCONNECT)                     '接続が確立していない
            Return
        End If

        Try
            If numericVal = Nothing Then
                oleCmd.Parameters(strPrm).Value = DBNull.Value
            Else
                oleCmd.Parameters(strPrm).Value = numericVal
            End If
        Catch ex As Exception                                   '上位へ伝播
            Throw
        Finally
        End Try
    End Sub

    '''-------------------------------------------------------------
    ''' <summary>
    ''' SQL文のパラメータ値設定(OleDbCommand用)
    ''' </summary>
    ''' <param name="strPrm">パラメータ文字列</param>
    ''' <param name="numericVal">数値</param>
    ''' <param name="nullFlg">True:DBNullをセット,False:numericValをセット</param>
    ''' <remarks>Decimal型の設定</remarks>
    '''-------------------------------------------------------------
    Public Sub setValOle(ByVal strPrm As String, ByVal numericVal As Decimal, ByVal nullFlg As Boolean)
        If oleConn Is Nothing OrElse oleCmd Is Nothing Then
            Throw New Exception(NOTCONNECT)                     '接続が確立していない
            Return
        End If

        Try
            If nullFlg = True Then
                oleCmd.Parameters(strPrm).Value = DBNull.Value
            Else
                oleCmd.Parameters(strPrm).Value = numericVal
            End If
        Catch ex As Exception                                   '上位へ伝播
            Throw
        Finally
        End Try
    End Sub

	'''-------------------------------------------------------------
	''' <summary>
	''' SQL文のパラメータ値設定(OleDbCommand用)
	''' </summary>
	''' <param name="strPrm">パラメータ文字列</param>
	''' <param name="dtVal">日付値</param>
	''' <remarks>DataTime型の設定</remarks>
	'''-------------------------------------------------------------
    Public Sub setValOle(ByVal strPrm As String, ByVal dtVal As DateTime)
        If oleConn Is Nothing OrElse oleCmd Is Nothing Then
            Throw New Exception(NOTCONNECT)                     '接続が確立していない
            Return
        End If

        Try
            If dtVal = Nothing Then
                oleCmd.Parameters(strPrm).Value = DBNull.Value
            Else
                oleCmd.Parameters(strPrm).Value = dtVal
            End If
        Catch ex As Exception                                   '上位へ伝播
            Throw
        Finally
        End Try
    End Sub

    '''-------------------------------------------------------------
    ''' <summary>
    ''' SQL文のパラメータ値設定(OleDbCommand用)
    ''' </summary>
    ''' <param name="strPrm">パラメータ文字列</param>
    ''' <param name="dtVal">日付値</param>
    ''' <param name="nullFlg">True:BDNullをセット,False:dtValをセット</param>
    ''' <remarks>DataTime型の設定</remarks>
    '''-------------------------------------------------------------
    Public Sub setValOle(ByVal strPrm As String, ByVal dtVal As DateTime, ByVal nullFlg As Boolean)
        If oleConn Is Nothing OrElse oleCmd Is Nothing Then
            Throw New Exception(NOTCONNECT)                     '接続が確立していない
            Return
        End If

        Try
            If nullFlg = True Then
                oleCmd.Parameters(strPrm).Value = DBNull.Value
            Else
                oleCmd.Parameters(strPrm).Value = dtVal
            End If
        Catch ex As Exception                                   '上位へ伝播
            Throw
        Finally
        End Try
    End Sub

#End Region

#Region "グローバルメソッド"

	''' ---------------------------------------------
	''' <summary>
	''' トランザクション状態を返す
	''' </summary>
	''' <returns>True:トランザクション中 False:トランザクションが切れている</returns>
	''' <remarks>
	''' 2010/02/07 新規作成 CS)荒川
	''' </remarks>
	''' ---------------------------------------------
	Public Function statTranOle() As Boolean
		Try
			Return IIf(oleCmd.Transaction Is Nothing, False, True)
		Catch ex As Exception
			Throw
		End Try
	End Function
	'''-------------------------------------------------------------
	''' <summary>
	''' トランザクションの開始、コミット、ロールバックを行う
	''' </summary>
	''' <param name="mode">
	''' Enum_TranMode.Begin:0:トランザクション開始
	''' Enum_TranMode.Commit:1:コミット
	''' Enum_TranMode.RollBack:2:ロールバック
	''' </param>
	''' <remarks></remarks>
	'''-------------------------------------------------------------
	Public Sub ctlTranOle(ByVal mode As Integer, Optional ByVal retryFlg As Boolean = False)
		Try
			If retryFlg = True Then									'接続を事前に切る場合
				initOleCmd()										'sqlCmd初期化
				initOleCon()											'con初期化
			End If

			If oleConn Is Nothing Then								'接続がない場合
				oleConn = New OleDbConnection(url)					'接続する
				oleConn.Open()
				oleCmd = oleConn.CreateCommand()
			Else												'接続がある場合
				If oleCmd Is Nothing Then						'sqlCommandがない場合、作成
					oleCmd = oleConn.CreateCommand()
				End If
			End If

			Select Case mode
				Case Enum_TranMode.Begin
					oleCmd.Transaction = oleConn.BeginTransaction()	'トランザクション開始
				Case Enum_TranMode.Commit
					oleCmd.Transaction.Commit()					'コミット
				Case Enum_TranMode.RollBack
					oleCmd.Transaction.Rollback()				'ロールバック
				Case Else
			End Select
		Catch ex As Exception									'上位へ伝播
			Throw
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' 同期処理のINSERT,UPDATE,DELETE実行
	''' </summary>
	''' <returns>-1=エラー、n=処理結果のレコード数</returns>
	''' <remarks></remarks>
	'''---------------------------------------------
	Public Overloads Function execNonQuery() As Integer
		If oleConn Is Nothing OrElse oleCmd Is Nothing Then
			Throw New Exception(NOTCONNECT)						'接続が確立していない
			Return -1
		End If

		Dim iNum As Integer = 0

		Try
			'トランザクション開始中でない場合は強制的に開始する
			If Not Me.statTranOle Then oleCmd.Transaction.Begin()

			Dim iTimeOut As Integer = getSTimeOut()
			If iTimeOut > -1 Then
				oleCmd.CommandTimeout = iTimeOut
			End If
			'SQL実行（実行件数を返す）
			iNum = oleCmd.ExecuteNonQuery()
			'トランザクション中であれば正常終了でコミット
			If Me.statTranOle() Then oleCmd.Transaction.Commit() 'コミット
		Catch ex As Exception									'上位へ伝播
			iNum = -1
			'トランザクション中であれば異常終了でロールバック
			If Me.statTranOle() Then oleCmd.Transaction.Rollback() '例外はロールバック
			putLog()
			Throw
		End Try

		Return iNum
	End Function

	'''-------------------------------------------------------------
	''' <summary>
	''' 同期処理のINSERT,UPDATE,DELETE実行
	''' </summary>
	''' <param name="autoTran">
	''' True:TRANSACTION制御をメソッドに任せる<BR/>
	''' False:TRANSACTION制御を行わない(制御は呼出元で行う)<BR/>
	''' </param>
	''' <returns>-1=エラー、n=処理結果のレコード数</returns>
	''' <remarks></remarks>
	'''-------------------------------------------------------------
	Public Overloads Function execNonQueryOle(ByVal autoTran As Boolean) As Integer

		If oleConn Is Nothing OrElse oleCmd Is Nothing Then
			Throw New Exception(NOTCONNECT)						'接続が確立していない
			Return -1
		End If

		Dim iNum As Integer = 0

		Try
			'トランザクション開始中でない場合は強制的に開始する
			If autoTran = True AndAlso Not Me.statTranOle() Then oleCmd.Transaction = oleConn.BeginTransaction()

			Dim iTimeOut As Integer = getSTimeOut()
			If iTimeOut > -1 Then
				oleCmd.CommandTimeout = iTimeOut
			End If
			'SQL実行（実行件数を返す）
			iNum = oleCmd.ExecuteNonQuery()
			'トランザクション中であれば正常終了でコミット
			If autoTran = True AndAlso Me.statTranOle() Then oleCmd.Transaction.Commit() 'コミット
		Catch ex As Exception									'上位へ伝播
			iNum = -1
			'トランザクション中であれば異常終了でロールバック
			If autoTran = True AndAlso Me.statTranOle() Then oleCmd.Transaction.Rollback() '例外はロールバック
			putLog()
			Throw
		End Try

		Return iNum

	End Function

	'''-------------------------------------------------------------
	''' <summary>
	''' SELECT文を実行し、結果をパラメータで渡されたDataTableへ格納する
	''' </summary>
	''' <param name="tbl">結果格納用DataTable</param>
	''' <remarks>
	''' 2007/10/11 新規作成　FJSK)柳原<BR/>
	''' </remarks>
	'''-------------------------------------------------------------
	Public Sub execQueryOle(ByVal tbl As DataTable)
		Try
			If oleConn Is Nothing OrElse oleCmd Is Nothing Then
				Throw New Exception(NOTCONNECT)						'接続が確立していない
				Exit Sub
			End If

			'タイムアウト設定
			Dim iTimeOut As Integer = getSTimeOut()
			If iTimeOut > -1 Then
				oleCmd.CommandTimeout = iTimeOut
			End If

			'Sql実行
			oleAdp = New OleDbDataAdapter(oleCmd)
			oleAdp.Fill(tbl)
		Catch ex As Exception
			Throw
		End Try
	End Sub

	'''-------------------------------------------------------------
	''' <summary>
	''' 同期処理のSELECT実行
	''' </summary>
	''' <param name="t">SELECT結果を取得するクラス</param>
	''' <param name="ar">SELECT結果の配列</param>
	''' <returns>検索結果のレコード数</returns>
	''' <remarks></remarks>
	'''-------------------------------------------------------------
	Public Function execQueryOle(ByVal t As Type, ByRef ar As ArrayList) As Integer
		If Me.oleConn Is Nothing OrElse Me.oleCmd Is Nothing Then
			Throw New Exception(NOTCONNECT)						'接続が確立していない
			Return -1
		End If

		Dim fieldName As New ArrayList							'クラスに存在するフィールド名（＝DB列名）
		Dim str As String
		Dim strSQL As String

		Dim fields As FieldInfo() = t.GetFields(BindingFlags.Public Or BindingFlags.Instance Or BindingFlags.DeclaredOnly)
		Dim f As FieldInfo
		For Each f In fields									'フィールド名の取得
			fieldName.Add(f.Name)
		Next

		Dim iNum As Integer = 0
		strSQL = Me.oleCmd.CommandText								'SQL文

		Try
			Dim iTimeOut As Integer = Me.getSTimeOut()
			If iTimeOut > -1 Then
				Me.oleCmd.CommandTimeout = iTimeOut
			End If

			'If Me.oleConn.State = ConnectionState.Closed Then
			'	Me.oleConn.Open()
			'End If

			Using dr As OleDb.OleDbDataReader = Me.oleCmd.ExecuteReader()
				Do While (dr.Read())
					Dim newObj As Object = Activator.CreateInstance(t)				'インスタンス化
					For Each str In fieldName
						If dr.Item(str) IsNot DBNull.Value Then						'NULLでなければ値代入
							newObj.GetType().InvokeMember(str, BindingFlags.Public Or BindingFlags.Instance Or BindingFlags.SetField, Nothing, newObj, New Object() {dr.Item(str)})
						End If
					Next
					ar.Add(newObj)								'リストに追加
					iNum += 1
				Loop
				dr.Close()
			End Using
		Catch ex As Exception							'上位へ伝播
			Me.putLog()
			Throw
		Finally
			If iNum < 0 Then							'エラーがあった時、返値をクリア
				ar.Clear()
			End If
		End Try

		fieldName.Clear()
		Return iNum
	End Function

#End Region

#Region "Dipose（解放）"

	'-----------------------------------------
	' Implements IDisposableを追加したら生成されるコード
	'-----------------------------------------
	Private disposedValue As Boolean = False		' 重複する呼び出しを検出するには

	' IDisposable
	Protected Overridable Sub Dispose(ByVal disposing As Boolean)
		If Not Me.disposedValue Then
			If disposing Then
				' TODO: 明示的に呼び出されたときにマネージ リソースを解放します
				Me.initOleCmd()			'sqlCommand初期化
				Me.initOleCon()				'con初期化
			End If

			' TODO: ユーザー独自の状態を解放します (アンマネージ オブジェクト)。
			' TODO: 大きなフィールドを null に設定します。
		End If
		Me.disposedValue = True
	End Sub

#End Region

#Region " IDisposable Support "
	' このコードは、破棄可能なパターンを正しく実装できるように Visual Basic によって追加されました。
	Public Sub Dispose() Implements IDisposable.Dispose
		' このコードを変更しないでください。クリーンアップ コードを上の Dispose(ByVal disposing As Boolean) に記述します。
		Dispose(True)
		GC.SuppressFinalize(Me)
	End Sub
#End Region

End Class
