﻿Imports XCM
Imports System.Windows.Forms
Imports System.ComponentModel
Imports System.Drawing

''' ---------------------------------------------
''' <summary>
''' 明細一覧カラムクラス（新規作成：V4-14028）
''' </summary>
''' <remarks>
''' Copyright 2013 FUJITSU SYSTEMS WEST LIMITED All rights reserved.<BR/>
''' FUJITSU SYSTEMS WEST LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class clsColumn
	Implements IDisposable

#Region "解放処理"

	'解放処理時使用＊＊
	Protected disposed As Boolean = False

	''' ---------------------------------------------	
	''' <summary>
	''' Dispose（解放処理）※外からはよばない
	''' </summary>
	''' <param name="disposing"></param>
	''' <remarks>
	''' 2013/05/20 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overloads Sub Dispose(ByVal disposing As Boolean)
		If Not Me.disposed Then
		End If
		Me.disposed = True
	End Sub

	''' ---------------------------------------------	
	''' <summary>
	''' Finalize（解放処理）
	''' </summary>
	''' <remarks>
	''' 2013/05/20 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overloads Sub Dispose() Implements IDisposable.Dispose
		Dispose(True)
		GC.SuppressFinalize(Me)
	End Sub

	''' ---------------------------------------------	
	''' <summary>
	''' Finalize（解放処理）※外からはよばない
	''' </summary>
	''' <remarks>
	''' 2013/05/20 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overrides Sub Finalize()
		Dispose(False)
		MyBase.Finalize()
	End Sub
#End Region

#Region "変数"

	' ソートORDER
	Public Enum ENUM_SORT_ORDER As Integer
		None = 0
		Asc = 1
		Desc = 2
	End Enum

#End Region

#Region "プロパティ"

	Private _ColumnName As String = String.Empty
	''' ---------------------------------------------
	''' <summary>
	''' テーブル列名
	''' </summary>
	''' <value></value>
	''' <returns></returns>
	''' <remarks>
	''' 2013/05/20 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	<Browsable(True)> _
	<Category("データ")> _
	<Description("テーブルの列名を取得、設定します。")> _
	<DefaultValue(vbNullString)> _
	Public Property ColumnName As String
		Get
			Return _ColumnName
		End Get
		Set(value As String)
			_ColumnName = value
		End Set
	End Property

	Private _DbType As clsDB.Enum_dbType = clsDB.Enum_dbType.dbNVarChar
	''' ---------------------------------------------
	''' <summary>
	''' ＤＢタイプ
	''' </summary>
	''' <value></value>
	''' <returns></returns>
	''' <remarks>
	''' 2013/05/20 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	<Browsable(True)> _
	<Category("データ")> _
	<Description("ＤＢタイプを取得、設定します。")> _
	<DefaultValue(XCM.clsDB.Enum_dbType.dbNVarChar)> _
	Public Property DbType As clsDB.Enum_dbType
		Get
			Return _DbType
		End Get
		Set(value As clsDB.Enum_dbType)
			_DbType = value
		End Set
	End Property

	Private _PrimaryKey As Boolean = False
	''' ---------------------------------------------
	''' <summary>
	''' プライマリキーフラグ
	''' </summary>
	''' <value></value>
	''' <returns></returns>
	''' <remarks>
	''' 2013/05/20 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	<Browsable(True)> _
	<Category("データ")> _
	<Description("プライマリキーフラグを取得、設定します。")> _
	<DefaultValue(False)> _
	Public Property PrimaryKey As Boolean
		Get
			Return _PrimaryKey
		End Get
		Set(value As Boolean)
			_PrimaryKey = value
		End Set
	End Property

	Private _SearchItem As Boolean = False
	''' ---------------------------------------------
	''' <summary>
	''' 検索キーフラグ
	''' </summary>
	''' <value></value>
	''' <returns></returns>
	''' <remarks>
	''' 2013/05/20 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	<Browsable(True)> _
	<Category("データ")> _
	<Description("検索キーフラグを取得、設定します。")> _
	<DefaultValue(False)> _
	Public Property SearchItem As Boolean
		Get
			Return _SearchItem
		End Get
		Set(value As Boolean)
			_SearchItem = value
		End Set
	End Property

	Private _SearchLike As Boolean = False
	''' ---------------------------------------------
	''' <summary>
	''' Like検索フラグ
	''' </summary>
	''' <value></value>
	''' <returns></returns>
	''' <remarks>
	''' 2013/05/20 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	<Browsable(True)> _
	<Category("データ")> _
	<Description("Like検索フラグを取得、設定します。")> _
	<DefaultValue(False)> _
	Public Property SearchLike As Boolean
		Get
			Return _SearchLike
		End Get
		Set(value As Boolean)
			_SearchLike = value
		End Set
	End Property

	Private _Required As Boolean
	''' ---------------------------------------------
	''' <summary>
	''' 必須項目フラグ
	''' </summary>
	''' <value></value>
	''' <returns></returns>
	''' <remarks>
	''' 2013/05/20 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	<Browsable(True)> _
	<Category("データ")> _
	<Description("必須フラグを取得、設定します。")> _
	<DefaultValue(False)> _
	Public Property Required As Boolean
		Get
			Return _Required
		End Get
		Set(value As Boolean)
			_Required = value
		End Set
	End Property

	Private _UpdateItem As Boolean = True
	''' ---------------------------------------------
	''' <summary>
	''' 更新項目
	''' </summary>
	''' <value></value>
	''' <returns></returns>
	''' <remarks>
	''' 2013/05/20 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	<Browsable(True)> _
	<Category("データ")> _
	<Description("更新項目かどうかを取得、設定します。")> _
	<DefaultValue(True)> _
	Public Property UpdateItem As Boolean
		Get
			Return _UpdateItem
		End Get
		Set(value As Boolean)
			_UpdateItem = value
		End Set
	End Property

	Private _SortItemNo As Integer = 0
	''' ---------------------------------------------
	''' <summary>
	''' 一覧のソート順番号を取得、設定します。（０はソート対象外）
	''' </summary>
	''' <value></value>
	''' <returns></returns>
	''' <remarks>
	''' 2013/08/05 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	<Browsable(True)>
	<Category("データ")>
	<Description("一覧のソート順番号を取得、設定します。（０はソート対象外）")>
	<DefaultValue(0)>
	Public Property SortItemNo() As Integer
		Get
			Return _SortItemNo
		End Get
		Set(value As Integer)
			_SortItemNo = value
		End Set
	End Property

	Private _SortOrder As ENUM_SORT_ORDER = ENUM_SORT_ORDER.None
	''' ---------------------------------------------
	''' <summary>
	''' 一覧のソート順（昇順、降順）を取得、設定します。
	''' </summary>
	''' <value></value>
	''' <returns></returns>
	''' <remarks>
	''' 2013/08/05 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	<Browsable(True)>
	<Category("データ")>
	<Description("一覧のソート順（昇順、降順）を取得、設定します。")>
	<DefaultValue(ENUM_SORT_ORDER.None)>
	Public Property SortOrder() As ENUM_SORT_ORDER
		Get
			Return _SortOrder
		End Get
		Set(value As ENUM_SORT_ORDER)
			_SortOrder = value
		End Set
	End Property
	Private _Caption As String = String.Empty
	''' ---------------------------------------------
	''' <summary>
	''' タイトル
	''' </summary>
	''' <value></value>
	''' <returns></returns>
	''' <remarks>
	''' 2013/05/20 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	<Browsable(True)> _
	<Category("表示")> _
	<Description("グリッドのタイトルを取得、設定します。")> _
	<DefaultValue(vbNullString)> _
	Public Property Caption As String
		Get
			Return _Caption
		End Get
		Set(value As String)
			_Caption = value
		End Set
	End Property

	Private _TextAlign As ContentAlignment = ContentAlignment.MiddleLeft
	''' ---------------------------------------------
	''' <summary>
	''' テキスト位置
	''' </summary>
	''' <value></value>
	''' <returns></returns>
	''' <remarks>
	''' 2013/05/20 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	<Browsable(True)> _
	<Category("表示")> _
	<Description("グリッドの表示位置を取得、設定します。")> _
	<DefaultValue(ContentAlignment.MiddleLeft)> _
	Public Property TextAlign As ContentAlignment
		Get
			Return _TextAlign
		End Get
		Set(value As ContentAlignment)
			_TextAlign = value
		End Set
	End Property

	Private _Visible As Boolean = True
	''' ---------------------------------------------
	''' <summary>
	''' テキスト表示／非表示
	''' </summary>
	''' <value></value>
	''' <returns></returns>
	''' <remarks>
	''' 2013/05/20 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	<Browsable(True)> _
	<Category("表示")> _
	<Description("グリッドの表示／非表示を取得、設定します。")> _
	<DefaultValue(True)> _
	Public Property Visible As Boolean
		Get
			Return _Visible
		End Get
		Set(value As Boolean)
			_Visible = value
		End Set
	End Property

	Private _ByteLength As Integer = 0
	''' ---------------------------------------------
	''' <summary>
	''' テキスト最大長（バイト）
	''' </summary>
	''' <value></value>
	''' <returns></returns>
	''' <remarks>
	''' 2013/05/20 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	<Browsable(True)> _
	<Category("表示")> _
	<Description("グリッドのテキスト最大長を取得、設定します。")> _
	<DefaultValue(0)> _
	Public Property ByteLength As Integer
		Get
			Return _ByteLength
		End Get
		Set(value As Integer)
			_ByteLength = value
		End Set
	End Property

	Private _HeaderByteLength As Integer = 0
	''' ---------------------------------------------
	''' <summary>
	''' ヘッダテキスト最大長（バイト）
	''' </summary>
	''' <value></value>
	''' <returns></returns>
	''' <remarks>
	''' 2013/05/20 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	<Browsable(True)> _
	<Category("表示")> _
	<Description("グリッドのヘッダテキスト最大長を取得、設定します。")> _
	<DefaultValue(0)> _
	Public Property HeaderByteLength As Integer
		Get
			Return _HeaderByteLength
		End Get
		Set(value As Integer)
			_HeaderByteLength = value
		End Set
	End Property

	Private _ToolTipText As String = String.Empty
	''' ---------------------------------------------
	''' <summary>
	''' ツールチップ文字列
	''' </summary>
	''' <value></value>
	''' <returns></returns>
	''' <remarks>
	''' 2013/05/20 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	<Browsable(True)> _
	<Category("表示")> _
	<Description("ツールチップ文字列を取得、設定します。")> _
	<DefaultValue(vbNullString)> _
	Public Property ToolTipText As String
		Get
			Return _ToolTipText
		End Get
		Set(value As String)
			_ToolTipText = value
		End Set
	End Property

	Private _Control As Control = Nothing
	''' ---------------------------------------------
	''' <summary>
	''' コントロールオブジェクト
	''' </summary>
	''' <value></value>
	''' <returns></returns>
	''' <remarks>
	''' 2013/05/20 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	<Browsable(True)> _
	<Category("リンク")> _
	<Description("画面上の関連付けられたコントロールを取得、設定します。")> _
	<DefaultValue(vbNullString)> _
	Public Property Control As Control
		Get
			Return _Control
		End Get
		Set(value As Control)
			_Control = value
		End Set
	End Property

#End Region

End Class