﻿Imports XCM
Imports System.Reflection

''' ---------------------------------------------
''' <summary>
''' 診療情報管理 システム連携 システム連携_貸出
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class clsXSI_BT4KSDS1
	Inherits clsXSI_BT4

#Region "コンスタント"

	''' ---------------------------------------------
	''' <summary>
	''' 連携CSVレイアウト項目数
	''' </summary>
	''' ---------------------------------------------
	Private Enum ENUM_CSV_CNT As Integer
		V3 = 21
		V4 = 25
	End Enum
#End Region

#Region "コンストラクタ"

	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <param name="cliXSI010F010">親フォーム</param>
	''' <param name="csvFileName">連携CSVファイル</param>
	''' <remarks>
	''' 2010/10/29 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Sub New(ByVal cliXSI010F010 As XSI010F010, ByVal csvFileName As String)
		MyBase.New(cliXSI010F010, csvFileName)
	End Sub

#End Region

#Region "メソッド"

'(M) STR V4-14019-000 021 20130418 ID)平井(取込処理をサブスレッド化する。)
	' ''' ---------------------------------------------
	' ''' <summary>
	' ''' 【貸出】連携処理
	' ''' </summary>
	' ''' <remarks>
	' ''' 2010/10/12 新規作成 ACS)牟禮<BR/>
	' ''' </remarks>
	' ''' ---------------------------------------------
	'Public Sub runProc()
	''' ---------------------------------------------
	''' <summary>
	''' 【貸出】連携処理
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2010/10/12 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function runProc() As clsThread
'(M) END V4-14019-000 021 20130418
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "貸出連携", "【貸出】連携処理 Start")
		Dim allCnt As Long						'全件数
		Dim okCnt As Long						'正常件数
		Dim errCnt As Long						'エラー件数
		Dim row As Integer
		Dim rowData() As String
'(A) STR V4-14019-000 004 20130418 ID)平井(取込処理をサブスレッド化する。)
		Dim CntSet As XSI010F010.CntSet_Delegate
		Dim cliTh As clsThread
'(A) END V4-14019-000 004 20130418

		'件数初期化
		allCnt = 0
		okCnt = 0
		errCnt = 0
		row = 0

		Try
			'総件数設定
			allCnt = CInt(Me.cliXSI010F010.lbl141XSI010F010.Text)
'(A) STR V4-14019-000 005 20130418 ID)平井(取込処理をサブスレッド化する。)
			CST_MOD_CNT = getModCount(allCnt)
			CntSet = New XSI010F010.CntSet_Delegate(AddressOf Me.cliXSI010F010.CntSet)
			cliTh = New clsThread
'(A) END V4-14019-000 005 20130418

			Using db As New clsDB(clsSysMst.ctlConfigData)
				Using cliOneCsvData As New clsXSI_MTT_IMP_LOG_LEND(), cliMTI_LEND As New clsXSI_MTI_LEND()	'取込CSV内の１レコード(ログ登録),貸出データクラス
					Using cliCSV As New XSP.clsCSV(Me.csvFileName), tfpReader As FileIO.TextFieldParser = cliCSV.getCSV()
						'連携ファイル内を1件ずつ処理
						While Not (tfpReader.EndOfData)
							row += 1
							cliOneCsvData.clear()	'連携CSVデータ格納クラスクリア
							cliMTI_LEND.clear()		'貸出データクラスクリア

							Try
								rowData = tfpReader.ReadFields()
								'１行データを格納(V3,V4の違いを吸収)
								Select Case rowData.Length
									Case ENUM_CSV_CNT.V3
										Me.setV3Cls(rowData, cliOneCsvData)
									Case ENUM_CSV_CNT.V4
										Me.setV4Cls(rowData, cliOneCsvData)
									Case Else
										'エラー情報セット
										cliOneCsvData.ERR_FLG = "1"
										cliOneCsvData.ERR_CD = "E0026"
										'ＣＳＶの個数が違います。
										cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD)
								End Select
							Catch ex As FileIO.MalformedLineException
								'エラー情報セット
								cliOneCsvData.ERR_FLG = "1"
								cliOneCsvData.ERR_CD = "E0035"
								'データの形式が不正です。
								cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"データの形式"})
							End Try

							cliOneCsvData.SERIAL_NO = row.ToString() '連番設定

							If cliOneCsvData.ERR_FLG = "1" Then
								'連携ファイルエラー
							ElseIf Me.chkCSV(cliOneCsvData) = False Then
								'連携ファイル内チェックエラー
							ElseIf Me.setData(db, cliOneCsvData, cliMTI_LEND) = False Then
								'整合性チェック+更新用領域に格納エラー
							ElseIf Me.exeSQL(cliMTI_LEND) <> Enum_ExeReturnFlg.eExecute Then
								'登録/更新エラー
								cliOneCsvData.ERR_FLG = "1"
							End If

							'件数カウント
							If cliOneCsvData.ERR_FLG = "0" Then
								okCnt += 1
							Else
								errCnt += 1
								cliOneCsvData.MODULE_CD = GetType(XSI010F010).Name
							End If

							'ログ出力
							Me.setSqlParam_MTT_IMP_LOG(db, cliOneCsvData)

							'件数更新
							'CST_MOD_CNT毎または最終データの場合更新
							If row Mod CST_MOD_CNT = 0 OrElse row = allCnt Then
'(M) STR V4-13008-000 004 2013/02/08 ID)荒川 病歴大将V4PKG 管理No.204 正常に処理されているのに件数のカウンターが途中でとまる
								'Me.cliXSI010F010.CntSet(XSI010F010.Enum_RENKEI_SYORI.eLEND, True, allCnt, okCnt, errCnt)
'(M) STR V4-14019-000 004 20130418 ID)平井(取込処理をサブスレッド化する。)
'								Me.cliXSI010F010.CntSet(XSI010F010.Enum_RENKEI_SYORI.eLEND, True, allCnt, okCnt, errCnt, 0)
								Me.cliXSI010F010.BeginInvoke(CntSet, New Object() {XSI010F010.Enum_RENKEI_SYORI.eLEND, False, allCnt, okCnt, errCnt, row})
'(M) END V4-14019-000 004 20130418
'(M) END V4-13008-000 004 2013/02/08
							End If
						End While
'(A) STR V4-14005-000 003 20130410 ID)平井(システムログに件数出力)
						clsSysMst.logEx(clsSysMst.logLevel.NRM, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "ｼｽﾃﾑ管理", "ｼｽﾃﾑ連携", String.Format("貸出，読込件数({0}) 正常件数({1}) ｴﾗｰ件数({2})", allCnt, okCnt, errCnt))
'(A) END V4-14005-000 003 20130410
'(A) STR V4-14019-000 006 20130418 ID)平井(取込処理をサブスレッド化する。)
						' 処理件数設定
						cliTh.NormalCount = okCnt
						cliTh.ErrorCount = errCnt
						cliTh.ProcessCount = row
'(A) END V4-14019-000 006 20130418
					End Using
				End Using
			End Using
'(A) STR V4-14019-000 003 20130418 ID)平井(取込処理をサブスレッド化する。)
			Return cliTh
'(A) END V4-14019-000 003 20130418
		Catch ex As Exception
			Throw
		Finally
			rowData = Nothing
'(A) STR V4-14019-000 003 20130418 ID)平井(取込処理をサブスレッド化する。)
			CntSet = Nothing
'(A) END V4-14019-000 003 20130418
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 【貸出】DB内データと整合性チェック + 更新用領域にセット
	''' </summary>
	''' <param name="pDb">DBクラス</param>
	''' <param name="cliOneCsvData">連携ファイル1行データ</param>
	''' <param name="cliMTI_LEND">貸出データクラス</param>
	''' <returns></returns>
	''' <remarks>
	''' 2010/10/15 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function setData(ByVal pDb As clsDB, ByVal cliOneCsvData As clsXSI_MTT_IMP_LOG_LEND, ByVal cliMTI_LEND As clsXSI_MTI_LEND) As Boolean
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "貸出連携", "【貸出】DB内データと整合性チェック + 更新用領域にセット Start")
		Try
			'連携１行データの情報から科歴情報を取得する
			Dim startDate As String = String.Empty	 '開始日
			Dim endDate As String = String.Empty	 '終了日
			'データ種別により取得条件が異なる
			Select Case cliOneCsvData.DATA_TYPE
				Case "A", "B"
					startDate = cliOneCsvData.HSP_DT
				Case "D", "E"
					endDate = cliOneCsvData.HSP_DT
				Case "C"
			End Select
			Using dtNew As DataTable = Me.getSqlParam_MTI_CH(pDb, cliOneCsvData.PATIENT_NO, cliOneCsvData.DEPT_CD, startDate, endDate)
				If dtNew.Rows.Count = 0 Then
					'該当データが存在しない
					cliOneCsvData.ERR_FLG = "1"
					cliOneCsvData.ERR_CD = "E0015"
					'対象の科歴情報が存在しません。
					cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"対象の科歴情報", Nothing})
					Return False
				End If
				'入退院歴番号、科歴番号
				Select Case cliOneCsvData.DATA_TYPE
					Case "A", "D" '入退院毎
						cliMTI_LEND.HSP_HISTORY_NO = dtNew.Rows(0).Item(sqlXSI010F010.itmHSP_HISTORY_NO).ToString()
						cliMTI_LEND.CH_NO = "0"
					Case "B", "E" '科歴毎
						cliMTI_LEND.HSP_HISTORY_NO = dtNew.Rows(0).Item(sqlXSI010F010.itmHSP_HISTORY_NO).ToString()
						cliMTI_LEND.CH_NO = dtNew.Rows(0).Item(sqlXSI010F010.itmCH_NO).ToString()
					Case "C" '患者毎
						cliMTI_LEND.HSP_HISTORY_NO = "0"
						cliMTI_LEND.CH_NO = "0"
				End Select
			End Using
			'返却日が入力されていない貸出情報があるかチェック
			pDb.setSQLDa(sqlXSI010F010.sqlSel_MTI_LEND)
			pDb.setParamDa(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)	  '患者番号
			pDb.setParamDa(sqlXSI010F010.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)		'入退院歴番号
			pDb.setParamDa(sqlXSI010F010.prmCH_NO, clsDB.Enum_dbType.dbInt)				'科歴番号
			pDb.setParamDa(sqlXSI010F010.prmLENDITEM_CD, clsDB.Enum_dbType.dbNVarChar)	  '貸出物コード

			pDb.setValDa(sqlXSI010F010.prmPATIENT_NO, cliOneCsvData.PATIENT_NO)			'患者番号
			pDb.setValDa(sqlXSI010F010.prmHSP_HISTORY_NO, cliMTI_LEND.HSP_HISTORY_NO)	'入退院歴番号
			pDb.setValDa(sqlXSI010F010.prmCH_NO, cliMTI_LEND.CH_NO)						'科歴番号
			pDb.setValDa(sqlXSI010F010.prmLENDITEM_CD, cliOneCsvData.LENDITEM_CD)		'貸出物コード
			Using dt As New DataTable()
				pDb.execQueryDa(dt)
				If dt.Rows.Count > 0 Then
					'未返却の貸出情報が存在する
					cliOneCsvData.ERR_FLG = "1"
					cliOneCsvData.ERR_CD = "E0033"
					'返却されていない貸出物情報が存在します。
					cliOneCsvData.MESSAGE = Me.cliClsMsg.getMessage(cliOneCsvData.ERR_CD, New String() {"返却されていない貸出物情報", Nothing})
					Return False
				End If
			End Using

			'最大の貸出連番+1を取得
			pDb.setSQLDa(sqlXSI010F010.sqlSel_MTI_LEND_MAXNO)
			pDb.setParamDa(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
			pDb.setParamDa(sqlXSI010F010.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
			pDb.setParamDa(sqlXSI010F010.prmCH_NO, clsDB.Enum_dbType.dbInt)
			pDb.setValDa(sqlXSI010F010.prmPATIENT_NO, cliOneCsvData.PATIENT_NO)
			pDb.setValDa(sqlXSI010F010.prmHSP_HISTORY_NO, cliMTI_LEND.HSP_HISTORY_NO)
			pDb.setValDa(sqlXSI010F010.prmCH_NO, cliMTI_LEND.CH_NO)
			Using dt As New DataTable()
				pDb.execQueryDa(dt)
				If dt.Rows.Count > 0 Then
					cliMTI_LEND.LENDSERIAL_NO = dt.Rows(0).Item(0).ToString()
				Else
					cliMTI_LEND.LENDSERIAL_NO = "1"
				End If
			End Using

			cliMTI_LEND.PATIENT_NO = cliOneCsvData.PATIENT_NO			'患者番号
			'cliMTI_LEND.HSP_HISTORY_NO = ""                             '入退院歴番号
			'cliMTI_LEND.CH_NO = ""                                      '科歴番号
			cliMTI_LEND.LENDITEM_CD = cliOneCsvData.LENDITEM_CD			'貸出物コード
			cliMTI_LEND.SLIP_CD = String.Empty							'伝票コード
			cliMTI_LEND.LENDAIM_CD = cliOneCsvData.LENDAIM_CD			'貸出目的コード
			cliMTI_LEND.LCT_CD = cliOneCsvData.LCT_CD					'所在場所コード
			cliMTI_LEND.ISSUE_DT = cliOneCsvData.ISSUE_DT				'貸出日
			cliMTI_LEND.EXPECTBACK_DT = cliOneCsvData.EXPECTBACK_DT		'返却予定日
			cliMTI_LEND.URGEDBACK_DT = cliOneCsvData.URGEDBACK_DT		'返却督促日
			cliMTI_LEND.BACK_DT = cliOneCsvData.BACK_DT					'返却日
			cliMTI_LEND.BORROWER_DIV = cliOneCsvData.BORROWER_DIV		'借用者部門コード
			cliMTI_LEND.BORROWER_CD = cliOneCsvData.BORROWER_CD			'借用者コード
			cliMTI_LEND.BORROWER_NM = cliOneCsvData.BORROWER_NM			'借用者名
			cliMTI_LEND.TAKER_DIV = cliOneCsvData.TAKER_DIV				'帯出者部門コード
			cliMTI_LEND.TAKER_CD = cliOneCsvData.TAKER_CD				'帯出者コード
			cliMTI_LEND.TAKER_NM = cliOneCsvData.TAKER_NM				'帯出者名
			cliMTI_LEND.LENDCLERK_CD = cliOneCsvData.LENDCLERK_CD		'貸出取扱者コード
			cliMTI_LEND.BACKCLERK_CD = cliOneCsvData.BACKCLERK_CD		'返却取扱者コード
			'cliMTI_LEND.PLAN_FLG_V3 = ""                                '予定フラグ
			cliMTI_LEND.REMARKS = cliOneCsvData.REMARKS					'備考
			cliMTI_LEND.IN_OUT_HSP_DIV = String.Empty					'院内院外区分コード

			Return True
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 【貸出】CSVチェック処理
	''' </summary>
	''' <param name="cliOneCsvData">連携ファイル1行データ</param>
	''' <returns>False:エラー</returns>
	''' <remarks>
	''' 2010/10/15 新規作成　ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function chkCSV(ByVal cliOneCsvData As clsXSI_MTT_IMP_LOG_LEND) As Boolean
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "貸出連携", "【貸出】CSVチェック処理 Start")
		Dim disit As List(Of Integer) = Nothing
		Dim oneCsv As List(Of String) = Nothing
		Dim dataTypePattern() As Char				'データ種別パターン
		Try
			oneCsv = New List(Of String)
			'データ種別パターン
			dataTypePattern = New Char() {"A"c, "B"c, "C"c, "D"c, "E"c}

			'取り込んだデータをワーカーに設定
			oneCsv.Add(cliOneCsvData.DATA_TYPE)		  'データ種別
			oneCsv.Add(cliOneCsvData.PATIENT_NO)	  '患者番号
			oneCsv.Add(cliOneCsvData.DEPT_CD)		  '診療科コード
			oneCsv.Add(cliOneCsvData.HSP_DT)		  '入院日（開始日）退院日（終了日）
			oneCsv.Add(cliOneCsvData.LENDITEM_CD)	  '貸出物コード
			oneCsv.Add(cliOneCsvData.LENDAIM_CD)	  '貸出目的コード
			oneCsv.Add(cliOneCsvData.LCT_CD)		  '貸出場所コード
			oneCsv.Add(cliOneCsvData.ISSUE_DT)		  '貸出日
			oneCsv.Add(cliOneCsvData.EXPECTBACK_DT)	  '返却予定日
			oneCsv.Add(cliOneCsvData.URGEDBACK_DT)	  '返却督促日
			oneCsv.Add(cliOneCsvData.BACK_DT)		  '返却日
			oneCsv.Add(cliOneCsvData.BORROWER_DIV)	  '借用者部門コード
			oneCsv.Add(cliOneCsvData.BORROWER_CD)	  '借用者コード
			oneCsv.Add(cliOneCsvData.BORROWER_NM)	  '借用者名
			oneCsv.Add(cliOneCsvData.TAKER_DIV)		  '帯出者部門コード
			oneCsv.Add(cliOneCsvData.TAKER_CD)		  '帯出者コード
			oneCsv.Add(cliOneCsvData.TAKER_NM)		  '帯出者名
			oneCsv.Add(cliOneCsvData.LENDCLERK_CD)	  '貸出取扱者コード
			oneCsv.Add(cliOneCsvData.BACKCLERK_CD)	  '返却取扱者コード
			oneCsv.Add(cliOneCsvData.REMARKS)		  '備考

			'桁数チェック
			disit = Me.setInputDisit()
			If Me.chkCsvDisit(oneCsv, disit, cliOneCsvData.ERR_FLG, cliOneCsvData.ERR_CD, cliOneCsvData.MESSAGE) = False Then
				Return False
			End If

			'CSV内チェック
			Dim bRequired As Boolean = False
			For idx As Integer = 0 To oneCsv.Count - 1
				bRequired = False
				'必須チェックが必要な項目か判断
				Select Case idx
					Case 0, 1, 4, 7, 11 : bRequired = True
					Case 2, 3 : If cliOneCsvData.DATA_TYPE.Equals("C") = False Then bRequired = True
					Case Else : bRequired = False
				End Select

				'必須チェック
				If bRequired = True AndAlso Me.chkCsvRequiredItem(oneCsv(idx), cliOneCsvData.ERR_FLG, cliOneCsvData.ERR_CD, cliOneCsvData.MESSAGE) = False Then
					Return False
				Else
					Select Case idx
						Case 0 'データ種別
							If Me.chkCsvDATA_TYPE(oneCsv(idx), dataTypePattern, cliOneCsvData.ERR_FLG, cliOneCsvData.ERR_CD, cliOneCsvData.MESSAGE) = False Then
								Return False
							End If

						Case 1 '患者番号
							If Me.chkCsvPATIENT_NO(oneCsv(idx), cliOneCsvData.ERR_FLG, cliOneCsvData.ERR_CD, cliOneCsvData.MESSAGE) = False Then
								Return False
							End If

						Case 3, 7, 8, 9, 10	'日付チェック
							If idx = 3 AndAlso cliOneCsvData.DATA_TYPE.Equals("C") = True Then
								'データ種別Cでは入院日（開始日）退院日（終了日）は無視する
							ElseIf Me.chkCsvDate(oneCsv(idx), cliOneCsvData.ERR_FLG, cliOneCsvData.ERR_CD, cliOneCsvData.MESSAGE) = False Then
								Return False
							End If

					End Select
				End If
			Next

			Return True
		Catch ex As Exception
			Throw
		Finally
			'解放
			If disit IsNot Nothing Then disit.Clear()
			disit = Nothing
			If oneCsv IsNot Nothing Then oneCsv.Clear()
			oneCsv = Nothing
			dataTypePattern = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 【貸出】桁数定義
	''' </summary>
	''' <returns>桁数リスト</returns>
	''' <remarks>
	''' 2010/10/04 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function setInputDisit() As List(Of Integer)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "貸出連携", "【貸出】桁数定義 Start")
		Dim disit As List(Of Integer) = Nothing
		Try
			disit = New List(Of Integer)

			disit.Add(1)   'データ種別
			disit.Add(10)  '患者番号
			disit.Add(2)   '診療科コード
			disit.Add(10)  '入院日（開始日）退院日（終了日）
			disit.Add(1)   '貸出物コード
			disit.Add(2)   '貸出目的コード
			disit.Add(3)   '貸出場所コード
			disit.Add(10)  '貸出日
			disit.Add(10)  '返却予定日
			disit.Add(10)  '返却督促日
			disit.Add(10)  '返却日
			disit.Add(3)   '借用者部門コード
			disit.Add(8)   '借用者コード
			disit.Add(30)  '借用者名
			disit.Add(3)   '帯出者部門コード
			disit.Add(8)   '帯出者コード
			disit.Add(30)  '帯出者名
			disit.Add(8)   '貸出取扱者コード
			disit.Add(8)   '返却取扱者コード
			disit.Add(100) '備考
			disit.Add(1)   '　―――
			disit.Add(1)   '　―――
			disit.Add(1)   '　―――
			disit.Add(1)   '　―――
			disit.Add(1)   '　―――

			Return disit
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 【貸出】V3レイアウト変換
	''' </summary>
	''' <param name="oneCsv">連携ファイル1行データ</param>
	''' <param name="cliCsvData">貸出データクラス</param>
	''' <remarks>
	''' 2010/10/04 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setV3Cls(ByVal oneCsv() As String, ByVal cliCsvData As clsXSI_MTT_IMP_LOG_LEND)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "貸出連携", "【貸出】V3レイアウト変換 Start")
		Try
			'初期化
			cliCsvData.clear()

			cliCsvData.DATA_TYPE = oneCsv(0)		   'データ種別
			cliCsvData.PATIENT_NO = oneCsv(1)		   '患者番号
			cliCsvData.DEPT_CD = oneCsv(2)			   '診療科コード
			cliCsvData.HSP_DT = oneCsv(3)			   '入院(開始)日 退院(終了)日
			cliCsvData.LENDITEM_CD = oneCsv(4)		   '貸出物コード
			cliCsvData.LENDAIM_CD = oneCsv(5)		   '貸出目的コード
			cliCsvData.LCT_CD = oneCsv(6)			   '貸出場所コード
			cliCsvData.ISSUE_DT = oneCsv(7)			   '貸出日
			cliCsvData.EXPECTBACK_DT = oneCsv(8)	   '返却予定日
			cliCsvData.URGEDBACK_DT = oneCsv(9)		   '返却督促日
			cliCsvData.BACK_DT = oneCsv(10)			   '返却日
			cliCsvData.BORROWER_DIV = oneCsv(11)	   '借用者部門コード
			cliCsvData.BORROWER_CD = oneCsv(12)		   '借用者コード
			cliCsvData.BORROWER_NM = oneCsv(13)		   '借用者名
			cliCsvData.TAKER_DIV = oneCsv(14)		   '帯出者部門コード
			cliCsvData.TAKER_CD = oneCsv(15)		   '帯出者コード
			cliCsvData.TAKER_NM = oneCsv(16)		   '帯出者名
			cliCsvData.LENDCLERK_CD = oneCsv(17)	   '貸出取扱者コード
			cliCsvData.BACKCLERK_CD = oneCsv(18)	   '返却取扱者コード
			cliCsvData.REMARKS = oneCsv(19)			   '備考
			'cliCsvData.SPARE01 = oneCsv(20)            '　―――
			'cliCsvData.SPARE02 = ""                     '　―――(V3なし)
			'cliCsvData.SPARE03 = ""                     '　―――(V3なし)
			'cliCsvData.SPARE04 = ""                     '　―――(V3なし)
			'cliCsvData.SPARE05 = ""                     '　―――(V3なし)

		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 【貸出】V4レイアウト変換
	''' </summary>
	''' <param name="oneCsv">連携ファイル1行データ</param>
	''' <param name="cliCsvData">貸出データクラス</param>
	''' <remarks>
	''' 2010/10/04 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setV4Cls(ByVal oneCsv() As String, ByVal cliCsvData As clsXSI_MTT_IMP_LOG_LEND)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "貸出連携", "【貸出】V4レイアウト変換 Start")
		Try
'(A) STR V4-99999-000 007 20140617 ID）唐渡 病歴大将V4PKG問題点NO.413 NULL文字対応
			Dim i As Integer
			For i = 0 To UBound(oneCsv)
				oneCsv(i) = oneCsv(i).Replace(Nothing, " "c)
				oneCsv(i) = RTrim(oneCsv(i))
			Next
'(A) END V4-99999-000 007 20140617 ID）唐渡 病歴大将V4PKG問題点NO.413 NULL文字対応
			'初期化
			cliCsvData.clear()

			cliCsvData.DATA_TYPE = oneCsv(0)		   'データ種別
			cliCsvData.PATIENT_NO = oneCsv(1)		   '患者番号
			cliCsvData.DEPT_CD = oneCsv(2)			   '診療科コード
			cliCsvData.HSP_DT = oneCsv(3)			   '入院(開始)日 退院(終了)日
			cliCsvData.LENDITEM_CD = oneCsv(4)		   '貸出物コード
			cliCsvData.LENDAIM_CD = oneCsv(5)		   '貸出目的コード
			cliCsvData.LCT_CD = oneCsv(6)			   '貸出場所コード
			cliCsvData.ISSUE_DT = oneCsv(7)			   '貸出日
			cliCsvData.EXPECTBACK_DT = oneCsv(8)	   '返却予定日
			cliCsvData.URGEDBACK_DT = oneCsv(9)		   '返却督促日
			cliCsvData.BACK_DT = oneCsv(10)			   '返却日
			cliCsvData.BORROWER_DIV = oneCsv(11)	   '借用者部門コード
			cliCsvData.BORROWER_CD = oneCsv(12)		   '借用者コード
			cliCsvData.BORROWER_NM = oneCsv(13)		   '借用者名
			cliCsvData.TAKER_DIV = oneCsv(14)		   '帯出者部門コード
			cliCsvData.TAKER_CD = oneCsv(15)		   '帯出者コード
			cliCsvData.TAKER_NM = oneCsv(16)		   '帯出者名
			cliCsvData.LENDCLERK_CD = oneCsv(17)	   '貸出取扱者コード
			cliCsvData.BACKCLERK_CD = oneCsv(18)	   '返却取扱者コード
			cliCsvData.REMARKS = oneCsv(19)			   '備考
			'cliCsvData.SPARE01 = oneCsv(20)            '　―――
			'cliCsvData.SPARE02 = oneCsv(21)            '　―――
			'cliCsvData.SPARE03 = oneCsv(22)            '　―――
			'cliCsvData.SPARE04 = oneCsv(23)            '　―――
			'cliCsvData.SPARE05 = oneCsv(24)            '　―――

		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 【貸出】登録
	''' </summary>
	''' <returns>DB登録結果</returns>
	''' <param name="cliMTI_LEND">貸出データクラス</param>
	''' <remarks>
	''' 2010/10/13 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function exeSQL(ByVal cliMTI_LEND As clsXSI_MTI_LEND) As Enum_ExeReturnFlg
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "貸出連携", "【貸出】登録 Start")
		Try
			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
				Try
					'トランザクション開始
					db.ctlTran(clsDB.Enum_TranMode.Begin)

					'SQL文、パラメータセット
					Me.setSqlParam_MTI_LEND(db, False, cliMTI_LEND)

					'コミット
					db.ctlTran(clsDB.Enum_TranMode.Commit)

					Return Enum_ExeReturnFlg.eExecute
				Catch ex As SqlClient.SqlException
					If db.statTran() Then db.ctlTran(clsDB.Enum_TranMode.RollBack)
					Call Me.cliXSI010F010.ErrorProc(ex)
					If ex.Number = clsSysMst.sqlErrCode.KeyDuplicate Then
						Return Enum_ExeReturnFlg.eSqlError
					Else
						Return Enum_ExeReturnFlg.eError
					End If
				Catch ex As Exception
					If db.statTran() Then db.ctlTran(clsDB.Enum_TranMode.RollBack)
					Throw
				Finally
				End Try
			End Using
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 【貸出】登録SQLパラメータ設定
	''' </summary>
	''' <param name="pDb">DBクラス</param>
	''' <param name="tran">トランザクション制御</param>
	''' <param name="cliMTI_LEND">貸出データクラス</param>
	''' <remarks>
	''' 2010/10/15 新規作成　ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function setSqlParam_MTI_LEND(ByVal pDb As clsDB, ByVal tran As Boolean, ByVal cliMTI_LEND As clsXSI_MTI_LEND) As Boolean
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "貸出連携", "【貸出】SQLパラメータ設定 Start")
		Try
			'SQL文設定
			pDb.setSQL(sqlXSI010F010.sqlIns_MTI_LEND)

			'パラメータ設定
			pDb.setParam(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)		  '患者番号
			pDb.setParam(sqlXSI010F010.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)		'入退院歴番号
			pDb.setParam(sqlXSI010F010.prmCH_NO, clsDB.Enum_dbType.dbInt)				'科歴番号
			pDb.setParam(sqlXSI010F010.prmLENDITEM_CD, clsDB.Enum_dbType.dbNVarChar)	  '貸出物コード
			pDb.setParam(sqlXSI010F010.prmLENDSERIAL_NO, clsDB.Enum_dbType.dbInt)		'貸出連番
			pDb.setParam(sqlXSI010F010.prmSLIP_CD, clsDB.Enum_dbType.dbNVarChar)		  '伝票コード
			pDb.setParam(sqlXSI010F010.prmLENDAIM_CD, clsDB.Enum_dbType.dbNVarChar)		  '貸出目的コード
			pDb.setParam(sqlXSI010F010.prmLCT_CD, clsDB.Enum_dbType.dbNVarChar)			  '所在場所コード
			pDb.setParam(sqlXSI010F010.prmISSUE_DT, clsDB.Enum_dbType.dbDateTime)		'貸出日
			pDb.setParam(sqlXSI010F010.prmEXPECTBACK_DT, clsDB.Enum_dbType.dbDateTime)	'返却予定日
			pDb.setParam(sqlXSI010F010.prmURGEDBACK_DT, clsDB.Enum_dbType.dbDateTime)	'返却督促日
			pDb.setParam(sqlXSI010F010.prmBACK_DT, clsDB.Enum_dbType.dbDateTime)			'返却日
			pDb.setParam(sqlXSI010F010.prmBORROWER_DIV, clsDB.Enum_dbType.dbNVarChar)	  '借用者部門コード
			pDb.setParam(sqlXSI010F010.prmBORROWER_CD, clsDB.Enum_dbType.dbNVarChar)	  '借用者コード
			pDb.setParam(sqlXSI010F010.prmBORROWER_NM, clsDB.Enum_dbType.dbNVarChar)	  '借用者名
			pDb.setParam(sqlXSI010F010.prmTAKER_DIV, clsDB.Enum_dbType.dbNVarChar)		  '帯出者部門コード
			pDb.setParam(sqlXSI010F010.prmTAKER_CD, clsDB.Enum_dbType.dbNVarChar)		  '帯出者コード
			pDb.setParam(sqlXSI010F010.prmTAKER_NM, clsDB.Enum_dbType.dbNVarChar)		  '帯出者名
			pDb.setParam(sqlXSI010F010.prmLENDCLERK_CD, clsDB.Enum_dbType.dbNVarChar)	  '貸出取扱者コード
			pDb.setParam(sqlXSI010F010.prmBACKCLERK_CD, clsDB.Enum_dbType.dbNVarChar)	  '返却取扱者コード
			pDb.setParam(sqlXSI010F010.prmREMARKS, clsDB.Enum_dbType.dbNVarChar)		  '備考
			pDb.setParam(sqlXSI010F010.prmIN_OUT_HSP_DIV, clsDB.Enum_dbType.dbNVarChar)	  '院内院外区分コード
			pDb.setParam(sqlXSI010F010.prmLASTUPDUSER_CD, clsDB.Enum_dbType.dbNVarChar)	  '更新者コード
			pDb.setParam(sqlXSI010F010.prmLASTUPD_DT, clsDB.Enum_dbType.dbDateTime)		'更新日

			'値設定
			pDb.setVal(sqlXSI010F010.prmPATIENT_NO, cliMTI_LEND.PATIENT_NO)				'患者番号
			pDb.setVal(sqlXSI010F010.prmHSP_HISTORY_NO, cliMTI_LEND.HSP_HISTORY_NO)		'入退院歴番号
			pDb.setVal(sqlXSI010F010.prmCH_NO, cliMTI_LEND.CH_NO)						'科歴番号
			pDb.setVal(sqlXSI010F010.prmLENDITEM_CD, cliMTI_LEND.LENDITEM_CD)			'貸出物コード
			pDb.setVal(sqlXSI010F010.prmLENDSERIAL_NO, cliMTI_LEND.LENDSERIAL_NO)		'貸出連番
			pDb.setVal(sqlXSI010F010.prmSLIP_CD, cliMTI_LEND.SLIP_CD)					'伝票コード
			pDb.setVal(sqlXSI010F010.prmLENDAIM_CD, cliMTI_LEND.LENDAIM_CD)				'貸出目的コード
			pDb.setVal(sqlXSI010F010.prmLCT_CD, cliMTI_LEND.LCT_CD)						'所在場所コード
			pDb.setVal(sqlXSI010F010.prmISSUE_DT, cliMTI_LEND.ISSUE_DT)					'貸出日
			pDb.setVal(sqlXSI010F010.prmEXPECTBACK_DT, cliMTI_LEND.EXPECTBACK_DT)		'返却予定日
			pDb.setVal(sqlXSI010F010.prmURGEDBACK_DT, cliMTI_LEND.URGEDBACK_DT)			'返却督促日
			pDb.setVal(sqlXSI010F010.prmBACK_DT, cliMTI_LEND.BACK_DT)					'返却日
			pDb.setVal(sqlXSI010F010.prmBORROWER_DIV, cliMTI_LEND.BORROWER_DIV)			'借用者部門コード
			pDb.setVal(sqlXSI010F010.prmBORROWER_CD, cliMTI_LEND.BORROWER_CD)			'借用者コード
			pDb.setVal(sqlXSI010F010.prmBORROWER_NM, cliMTI_LEND.BORROWER_NM)			'借用者名
			pDb.setVal(sqlXSI010F010.prmTAKER_DIV, cliMTI_LEND.TAKER_DIV)				'帯出者部門コード
			pDb.setVal(sqlXSI010F010.prmTAKER_CD, cliMTI_LEND.TAKER_CD)					'帯出者コード
			pDb.setVal(sqlXSI010F010.prmTAKER_NM, cliMTI_LEND.TAKER_NM)					'帯出者名
			pDb.setVal(sqlXSI010F010.prmLENDCLERK_CD, cliMTI_LEND.LENDCLERK_CD)			'貸出取扱者コード
			pDb.setVal(sqlXSI010F010.prmBACKCLERK_CD, cliMTI_LEND.BACKCLERK_CD)			'返却取扱者コード
			pDb.setVal(sqlXSI010F010.prmREMARKS, cliMTI_LEND.REMARKS)					'備考
			pDb.setVal(sqlXSI010F010.prmIN_OUT_HSP_DIV, cliMTI_LEND.IN_OUT_HSP_DIV)		'院内院外区分コード
			pDb.setVal(sqlXSI010F010.prmLASTUPDUSER_CD, Me.cliXSI010F010._userID)		'更新者コード
			pDb.setVal(sqlXSI010F010.prmLASTUPD_DT, DateTime.Now)						'更新日

			'SQL実行
			pDb.execNonQuery(tran)
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 【貸出】ログ登録
	''' </summary>
	''' <param name="pDb">DBクラス</param>
	''' <param name="cliOneCsvData">連携ファイル1行データ</param>
	''' <remarks>
	''' 2010/10/12 新規作成 ACS)牟禮<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setSqlParam_MTT_IMP_LOG(ByVal pDb As clsDB, ByVal cliOneCsvData As clsXSI_MTT_IMP_LOG_LEND)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSI", Me.GetType().Name, MethodBase.GetCurrentMethod().Name, "システム連携", "貸出連携", "【貸出】ログ登録 Start")
		Try
			'SQL文設定
			pDb.setSQL(sqlXSI010F010.sqlIns_MTT_IMP_LOG_LEND)

			'パラメータ設定
			pDb.setParam(sqlXSI010F010.prmREG_DT, clsDB.Enum_dbType.dbDateTime)			'登録日
			pDb.setParam(sqlXSI010F010.prmSERIAL_NO, clsDB.Enum_dbType.dbInt)			'連番
			pDb.setParam(sqlXSI010F010.prmERR_FLG, clsDB.Enum_dbType.dbInt)				'エラーフラグ
			pDb.setParam(sqlXSI010F010.prmDATA_TYPE, clsDB.Enum_dbType.dbNVarChar)		  'データ種別
			pDb.setParam(sqlXSI010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)		  '患者番号
			pDb.setParam(sqlXSI010F010.prmDEPT_CD, clsDB.Enum_dbType.dbNVarChar)		  '診療科コード
			pDb.setParam(sqlXSI010F010.prmHSP_DT, clsDB.Enum_dbType.dbNVarChar)			  '入院日
			pDb.setParam(sqlXSI010F010.prmLENDITEM_CD, clsDB.Enum_dbType.dbNVarChar)	  '貸出物コード
			pDb.setParam(sqlXSI010F010.prmLENDAIM_CD, clsDB.Enum_dbType.dbNVarChar)		  '貸出目的コード
			pDb.setParam(sqlXSI010F010.prmLCT_CD, clsDB.Enum_dbType.dbNVarChar)			  '貸出場所コード
			pDb.setParam(sqlXSI010F010.prmISSUE_DT, clsDB.Enum_dbType.dbNVarChar)		  '貸出日
			pDb.setParam(sqlXSI010F010.prmEXPECTBACK_DT, clsDB.Enum_dbType.dbNVarChar)	  '返却予定日
			pDb.setParam(sqlXSI010F010.prmURGEDBACK_DT, clsDB.Enum_dbType.dbNVarChar)	  '返却督促日
			pDb.setParam(sqlXSI010F010.prmBACK_DT, clsDB.Enum_dbType.dbNVarChar)		  '返却日
			pDb.setParam(sqlXSI010F010.prmBORROWER_DIV, clsDB.Enum_dbType.dbNVarChar)	  '借用者部門コード
			pDb.setParam(sqlXSI010F010.prmBORROWER_CD, clsDB.Enum_dbType.dbNVarChar)	  '借用者コード
			pDb.setParam(sqlXSI010F010.prmBORROWER_NM, clsDB.Enum_dbType.dbNVarChar)	  '借用者名
			pDb.setParam(sqlXSI010F010.prmTAKER_DIV, clsDB.Enum_dbType.dbNVarChar)		  '帯出者部門コード
			pDb.setParam(sqlXSI010F010.prmTAKER_CD, clsDB.Enum_dbType.dbNVarChar)		  '帯出者コード
			pDb.setParam(sqlXSI010F010.prmTAKER_NM, clsDB.Enum_dbType.dbNVarChar)		  '帯出者名
			pDb.setParam(sqlXSI010F010.prmLENDCLERK_CD, clsDB.Enum_dbType.dbNVarChar)	  '貸出取扱者コード
			pDb.setParam(sqlXSI010F010.prmBACKCLERK_CD, clsDB.Enum_dbType.dbNVarChar)	  '返却取扱者コード
			pDb.setParam(sqlXSI010F010.prmREMARKS, clsDB.Enum_dbType.dbNVarChar)		  '備考
			pDb.setParam(sqlXSI010F010.prmSPARE01, clsDB.Enum_dbType.dbNVarChar)		  '予備１
			pDb.setParam(sqlXSI010F010.prmSPARE02, clsDB.Enum_dbType.dbNVarChar)		  '予備２
			pDb.setParam(sqlXSI010F010.prmSPARE03, clsDB.Enum_dbType.dbNVarChar)		  '予備３
			pDb.setParam(sqlXSI010F010.prmSPARE04, clsDB.Enum_dbType.dbNVarChar)		  '予備４
			pDb.setParam(sqlXSI010F010.prmSPARE05, clsDB.Enum_dbType.dbNVarChar)		  '予備５
			pDb.setParam(sqlXSI010F010.prmMODULE_CD, clsDB.Enum_dbType.dbNVarChar)		  'モジュールコード
			pDb.setParam(sqlXSI010F010.prmERR_CD, clsDB.Enum_dbType.dbNVarChar)			  'エラーコード
			pDb.setParam(sqlXSI010F010.prmMESSAGE, clsDB.Enum_dbType.dbNVarChar)		  'メッセージ
			pDb.setParam(sqlXSI010F010.prmLASTUPDUSER_CD, clsDB.Enum_dbType.dbNVarChar)	  '更新者コード
			pDb.setParam(sqlXSI010F010.prmLASTUPD_DT, clsDB.Enum_dbType.dbDateTime)		'更新日

			'値設定
			pDb.setVal(sqlXSI010F010.prmREG_DT, DateTime.Now)							'登録日
			pDb.setVal(sqlXSI010F010.prmSERIAL_NO, cliOneCsvData.SERIAL_NO)				'連番
			pDb.setVal(sqlXSI010F010.prmERR_FLG, cliOneCsvData.ERR_FLG)					'エラーフラグ
			pDb.setVal(sqlXSI010F010.prmDATA_TYPE, cliOneCsvData.DATA_TYPE)				'データ種別
			pDb.setVal(sqlXSI010F010.prmPATIENT_NO, cliOneCsvData.PATIENT_NO)			'患者番号
			pDb.setVal(sqlXSI010F010.prmDEPT_CD, cliOneCsvData.DEPT_CD)					'診療科コード
			pDb.setVal(sqlXSI010F010.prmHSP_DT, cliOneCsvData.HSP_DT)					'入院日
			pDb.setVal(sqlXSI010F010.prmLENDITEM_CD, cliOneCsvData.LENDITEM_CD)			'貸出物コード
			pDb.setVal(sqlXSI010F010.prmLENDAIM_CD, cliOneCsvData.LENDAIM_CD)			'貸出目的コード
			pDb.setVal(sqlXSI010F010.prmLCT_CD, cliOneCsvData.LCT_CD)					'貸出場所コード
			pDb.setVal(sqlXSI010F010.prmISSUE_DT, cliOneCsvData.ISSUE_DT)				'貸出日
			pDb.setVal(sqlXSI010F010.prmEXPECTBACK_DT, cliOneCsvData.EXPECTBACK_DT)		'返却予定日
			pDb.setVal(sqlXSI010F010.prmURGEDBACK_DT, cliOneCsvData.URGEDBACK_DT)		'返却督促日
			pDb.setVal(sqlXSI010F010.prmBACK_DT, cliOneCsvData.BACK_DT)					'返却日
			pDb.setVal(sqlXSI010F010.prmBORROWER_DIV, cliOneCsvData.BORROWER_DIV)		'借用者部門コード
			pDb.setVal(sqlXSI010F010.prmBORROWER_CD, cliOneCsvData.BORROWER_CD)			'借用者コード
			pDb.setVal(sqlXSI010F010.prmBORROWER_NM, cliOneCsvData.BORROWER_NM)			'借用者名
			pDb.setVal(sqlXSI010F010.prmTAKER_DIV, cliOneCsvData.TAKER_DIV)				'帯出者部門コード
			pDb.setVal(sqlXSI010F010.prmTAKER_CD, cliOneCsvData.TAKER_CD)				'帯出者コード
			pDb.setVal(sqlXSI010F010.prmTAKER_NM, cliOneCsvData.TAKER_NM)				'帯出者名
			pDb.setVal(sqlXSI010F010.prmLENDCLERK_CD, cliOneCsvData.LENDCLERK_CD)		'貸出取扱者コード
			pDb.setVal(sqlXSI010F010.prmBACKCLERK_CD, cliOneCsvData.BACKCLERK_CD)		'返却取扱者コード
			pDb.setVal(sqlXSI010F010.prmREMARKS, cliOneCsvData.REMARKS)					'備考
			pDb.setVal(sqlXSI010F010.prmSPARE01, cliOneCsvData.SPARE01)					'予備１
			pDb.setVal(sqlXSI010F010.prmSPARE02, cliOneCsvData.SPARE02)					'予備２
			pDb.setVal(sqlXSI010F010.prmSPARE03, cliOneCsvData.SPARE03)					'予備３
			pDb.setVal(sqlXSI010F010.prmSPARE04, cliOneCsvData.SPARE04)					'予備４
			pDb.setVal(sqlXSI010F010.prmSPARE05, cliOneCsvData.SPARE05)					'予備５
			pDb.setVal(sqlXSI010F010.prmMODULE_CD, cliOneCsvData.MODULE_CD)				'モジュールコード
			pDb.setVal(sqlXSI010F010.prmERR_CD, cliOneCsvData.ERR_CD)					'エラーコード
			pDb.setVal(sqlXSI010F010.prmMESSAGE, cliOneCsvData.MESSAGE)					'メッセージ
			pDb.setVal(sqlXSI010F010.prmLASTUPDUSER_CD, Me.cliXSI010F010._userID)		'更新者コード
			pDb.setVal(sqlXSI010F010.prmLASTUPD_DT, DateTime.Now)						'更新日

			'SQL実行
			pDb.execNonQuery()
		Catch ex As Exception
			Throw
		End Try
	End Sub

#End Region

End Class
