﻿Imports XCM

''' ---------------------------------------------
''' <summary>
''' 共通_貸出履歴画面
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class XSP080F060

#Region "コンスタント"
	' 返却日カラム名
	Private Const C_COL_BACK_DT As String = "c07008XSP080F060"
	Private Const C_TITLE As String = "貸出情報"
#End Region

#Region "変数"
	' 引数保存
	Private penumUpdateMode As XSP080F010.Enum_UpdateMode
	Private pstrPatient_No As String
	Private piHsp_History_No As Integer
	Private piCh_No As Integer
	''' <summary>
	''' モード（１：初期、２：行選択、３：修正時）
	''' </summary>
	Private Enum Enum_ControlMode As Integer
		''' <summary>初期</summary>
		InitMode = 1
		''' <summary>行選択</summary>
		RowSelectMode = 2
		''' <summary>修正時</summary>
		UpdateMode = 3
	End Enum
	' 貸出中フラグ
	Private pbLending As Boolean = False
	' データテーブル
	Private pdtLendItem_MngStatus As DataTable
	Private pdtLendItem As DataTable
	Private pdtLendAll As DataTable
	Private pdtLend As DataTable
	' クラス
	Private cliLendItem_MngStatus As clsMTM_LENDITEM_MNGSTATUS
	Private cliComboCom As clsComboCom
	Private cliGridStyle As clsGridStyle
	Private cliMtm_LendItem_MngStatus As clsMTM_LENDITEM_MNGSTATUS
	Private cliMti_LendItm As clsMTI_LENDITM
	Private cliCom As clsCom
	Private cliXTM_User As clsXTM_USER
	' 戻り値
	Private pRetData As List(Of datLENDITM) = Nothing
#End Region

#Region "コンストラクタ"

	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <param name="enumUpdateMode">登録・参照モード</param>
	''' <param name="strPatient_No">患者番号</param>
	''' <param name="iHsp_History_No">入退院歴番号</param>
	''' <param name="iCh_No">科歴番号</param>
	''' <remarks>
	''' 2010/12/16 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Sub New(ByVal enumUpdateMode As XSP080F010.Enum_UpdateMode,
		  ByVal strPatient_No As String,
		  ByVal iHsp_History_No As Integer,
		  ByVal iCh_No As Integer)

		' この呼び出しはデザイナーで必要です。
		InitializeComponent()

		penumUpdateMode = enumUpdateMode
		pstrPatient_No = strPatient_No
		piHsp_History_No = iHsp_History_No
		piCh_No = iCh_No
	End Sub
#End Region

#Region "イベント"

	''' ---------------------------------------------
	''' <summary>
	''' フォームが開く時のイベント
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/16 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub XSP080F060_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
		log(clsSysMst.logLevel.NRM, "XSP080F060_Load", "フォームが開く時のイベント")
		Try
			' インスタンス生成
			cliLendItem_MngStatus = New clsMTM_LENDITEM_MNGSTATUS
			cliComboCom = New clsComboCom
			cliGridStyle = New clsGridStyle
			cliMtm_LendItem_MngStatus = New clsMTM_LENDITEM_MNGSTATUS
			cliMti_LendItm = New clsMTI_LENDITM
			cliCom = New clsCom
			cliXTM_User = New clsXTM_USER
			' 初期値設定
			setControlStyle(Enum_ControlMode.InitMode)
			' 管理状況
			pdtLendItem_MngStatus = cliLendItem_MngStatus.getAll()
			' 患者情報設定
			Me.DataSource = CType(Me.Owner, XSP080F010).DataSource
			' コンボ候補設定
			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
				' 貸出物マスタ
				pdtLendItem = cliComboCom.getCombo(db, clsComboCom.Enum_ComboType.Enum_M_LendItem)
				If pdtLendItem Is Nothing OrElse pdtLendItem.Rows.Count <= 0 Then
					showMsg("E0015", "貸出物マスタ", Nothing)
					' 貸出物マスタなし
					CType(Me.Owner, frmBase).setCancelFlg(True)
					EndProc()
					Exit Sub
				End If
				Me.cmb006XSP080F060.DataSource = pdtLendItem
				If pdtLendItem IsNot Nothing AndAlso pdtLendItem.Rows.Count > 0 Then
					Me.cmb006XSP080F060.SelectedIndex = 0
				End If
				Me.cmb006XSP080F060.setDropDownWidth()
			End Using
			' 貸出情報全件取得
			pdtLendAll = getLend()
			' 貸出物選択処理
			pdtLend = getLendFromLendItem_CD(pdtLendAll)
			' 貸出中レコード削除
			pdtLend = delLending(pdtLend)
			Me.dgv008XSP080F060.ReadOnly = True
			Me.dgv008XSP080F060.AutoGenerateColumns = False
			cliGridStyle.setGridHeight(Me.dgv008XSP080F060)
			Me.dgv008XSP080F060.DataSource = pdtLend
			' 戻り値初期化
			pRetData = New List(Of datLENDITM)
		Catch ex As Exception
			ErrorProc(ex)
			CType(Me.Owner, frmBase).setCancelFlg(True)
			EndProc()
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' フォームが開いた時のイベント
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/16 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub XSP080F060_Shown(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Shown
		log(clsSysMst.logLevel.NRM, "XSP080F060_Shown", "フォームが開いた時のイベント")
		Try
			Me.cmb006XSP080F060.Focus()
		Catch ex As Exception
			ErrorProc(ex)
			EndProc()
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' フォームが閉じる時のイベント
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/16 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub XSP080F060_FormClosing(ByVal sender As Object, ByVal e As System.Windows.Forms.FormClosingEventArgs) Handles Me.FormClosing
		log(clsSysMst.logLevel.NRM, "XSP080F060_FormClosing", "フォームが閉じる時のイベント")
		Try
			' 呼出し元に制御を戻す。
			CType(Me.Owner, frmBase).Select()
			If pRetData IsNot Nothing AndAlso pRetData.Count > 0 Then
				CType(Me.Owner, frmBase).backForm(False, Enum_FormReturn.OK, New DictionaryEntry(Me.Name, pRetData))
			Else
				CType(Me.Owner, frmBase).backForm(False, Enum_FormReturn.CANSEL, New DictionaryEntry(Me.Name, pRetData))
			End If
			Me.dgv008XSP080F060.DataSource = Nothing
			' DataTable解放
			If pdtLendItem_MngStatus IsNot Nothing Then pdtLendItem_MngStatus.Dispose()
			If pdtLendItem IsNot Nothing Then pdtLendItem.Dispose()
			If pdtLendAll IsNot Nothing Then pdtLendAll.Dispose()
			If pdtLend IsNot Nothing Then pdtLend.Dispose()
		Catch ex As Exception
			ErrorProc(ex)
		Finally
			' DataTable解放
			pdtLendItem_MngStatus = Nothing
			pdtLendItem = Nothing
			pdtLendAll = Nothing
			pdtLend = Nothing
			' クラス解放
			cliLendItem_MngStatus = Nothing
			cliComboCom = Nothing
			cliGridStyle = Nothing
			cliMtm_LendItem_MngStatus = Nothing
			cliMti_LendItm = Nothing
			cliCom = Nothing
			cliXTM_User = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 返却取消ボタンクリックイベント
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/16 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn001XSP080F060_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn001XSP080F060.Click
		log(clsSysMst.logLevel.NRM, "btn001XSP080F060_Click", "返却取消ボタンクリックイベント")
		Try
			Me.Cursor = Cursors.WaitCursor
			' 返却取消処理
			cancelBack()
		Catch ex As Exception
			ErrorProc(ex)
		Finally
			Me.Cursor = Cursors.Default
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 修正ボタンクリックイベント
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/16 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn002XSP080F060_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn002XSP080F060.Click
		log(clsSysMst.logLevel.NRM, "btn002XSP080F060_Click", "修正ボタンクリックイベント")
		Try
			Me.Cursor = Cursors.WaitCursor
			' 返却日修正開始処理
			exeUpdating()
		Catch ex As Exception
			ErrorProc(ex)
		Finally
			Me.Cursor = Cursors.Default
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 削除ボタンクリックイベント
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/16 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn003XSP080F060_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn003XSP080F060.Click
		log(clsSysMst.logLevel.NRM, "btn003XSP080F060_Click", "削除ボタンクリックイベント")
		Try
			Me.Cursor = Cursors.WaitCursor
			' 履歴削除処理
			delLend()
		Catch ex As Exception
			ErrorProc(ex)
		Finally
			Me.Cursor = Cursors.Default
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 保存ボタンクリックイベント
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/16 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn004XSP080F060_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn004XSP080F060.Click
		log(clsSysMst.logLevel.NRM, "btn004XSP080F060_Click", "保存ボタンクリックイベント")
		Try
			Me.Cursor = Cursors.WaitCursor
			' 返却日保存処理
			updBack_Dt()
		Catch ex As Exception
			ErrorProc(ex)
		Finally
			Me.Cursor = Cursors.Default
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 取消ボタンクリック処理
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/16 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn004XSP000F020_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn004XSP000F020.Click
		log(clsSysMst.logLevel.NRM, "btn004XSP000F020_Click", "取消ボタンクリック処理")
		Try
			Me.Cursor = Cursors.WaitCursor
			' コントロールスタイル設定
			setControlStyle(Enum_ControlMode.InitMode)
		Catch ex As Exception
			ErrorProc(ex)
		Finally
			Me.Cursor = Cursors.Default
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 閉じるボタンクリックイベント
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/16 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn005XSP000F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn005XSP000F020.Click
		log(clsSysMst.logLevel.NRM, "btn005XSP000F010_Click", "閉じるボタンクリックイベント")
		Try
			' 閉じる
			EndProc()
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 貸出物コード選択時イベント
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/16 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub cmb006XSP080F060_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cmb006XSP080F060.SelectedIndexChanged,
	  cmb006XSP080F060.TextChanged
		If Me.cmb006XSP080F060.CanFocus = True Then
			log(clsSysMst.logLevel.NRM, "cmb006XSP080F060_SelectedIndexChanged", "貸出物コード選択時イベント")
		Else
			log(clsSysMst.logLevel.DBG, "cmb006XSP080F060_SelectedIndexChanged", "貸出物コード選択時イベント")
		End If
		Try
			' 貸出物選択処理
			pdtLend = getLendFromLendItem_CD(pdtLendAll)
			' 貸出中レコード削除
			pdtLend = delLending(pdtLend)
			Me.dgv008XSP080F060.DataSource = pdtLend
			' コントロールスタイル設定
			setControlStyle(Enum_ControlMode.RowSelectMode)
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 明細選択行変更イベント
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/16 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub dgv008XSP080F060_SelectionChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles dgv008XSP080F060.SelectionChanged
		If Me.dgv008XSP080F060.CanFocus = True Then
			log(clsSysMst.logLevel.NRM, "dgv008XSP080F060_SelectionChanged", "明細選択行変更イベント")
		Else
			log(clsSysMst.logLevel.DBG, "dgv008XSP080F060_SelectionChanged", "明細選択行変更イベント")
		End If
		Try
			' コントロールスタイル設定
			setControlStyle(Enum_ControlMode.RowSelectMode)
		Catch ex As Exception
			ErrorProc(ex)
		End Try

	End Sub

#End Region

#Region "メソッド"

	''' ---------------------------------------------
	''' <summary>
	''' コントロールスタイル設定処理
	''' </summary>
	''' <param name="eMode"></param>
	''' <remarks>
	''' 2010/12/16 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setControlStyle(ByVal eMode As Enum_ControlMode)
		log(clsSysMst.logLevel.DBG, "setControlStyle", "コントロールスタイル設定処理")
		Try
			Select Case eMode
				Case Enum_ControlMode.InitMode
					' 初期設定
					Me.btn002XSP080F060.Enabled = True
					If Me.dgv008XSP080F060.DataSource Is Nothing OrElse
					  Me.dgv008XSP080F060.CurrentRow Is Nothing OrElse
					  Me.dgv008XSP080F060.CurrentRow.Index = 0 Then
						' 最新
						If pbLending Then
							' 貸出中有り
							Me.btn001XSP080F060.Enabled = False
'(D) STR V4-11042-000 003 20110905 FJSK)荒川 XXX号 病歴大将V4PKG問題点No153 先頭のレコードを指定しているときに削除ボタンが有効にならない対応
'							Me.btn003XSP080F060.Enabled = True
'(D) END V4-11042-000 003 20110905
						Else
							' 貸出中なし
							Me.btn001XSP080F060.Enabled = True
'(D) STR V4-11042-000 003 20110905 FJSK)荒川 XXX号 病歴大将V4PKG問題点No153 先頭のレコードを指定しているときに削除ボタンが有効にならない対応
'							Me.btn003XSP080F060.Enabled = False
'(D) END V4-11042-000 003 20110905
						End If
					Else
						Me.btn001XSP080F060.Enabled = False
'(D) STR V4-11042-000 003 20110905 FJSK)荒川 XXX号 病歴大将V4PKG問題点No153 先頭のレコードを指定しているときに削除ボタンが有効にならない対応
'						Me.btn003XSP080F060.Enabled = True
'(D) END V4-11042-000 003 20110905
					End If
'(A) STR V4-11042-000 003 20110905 FJSK)荒川 XXX号 病歴大将V4PKG問題点No153 先頭のレコードを指定しているときに削除ボタンが有効にならない対応
					Me.btn003XSP080F060.Enabled = True
'(A) END V4-11042-000 003 20110905
					Me.btn004XSP080F060.Enabled = False
					Me.btn004XSP000F020.Enabled = False
					Me.dte010XSP080F060.Enabled = False
					Me.dte010XSP080F060.DateValue = Nothing
					Me.lbl012XSP080F060.Text = Nothing
					Me.lbl013XSP080F060.Text = Nothing

					Me.cmb006XSP080F060.Enabled = True
					Me.dgv008XSP080F060.Enabled = True
				Case Enum_ControlMode.RowSelectMode
					If Me.dgv008XSP080F060.DataSource Is Nothing OrElse
					 Me.dgv008XSP080F060.CurrentRow Is Nothing OrElse
					 Me.dgv008XSP080F060.CurrentRow.Index <= -1 Then
						' 行選択なし
						Me.btn001XSP080F060.Enabled = False
						Me.btn002XSP080F060.Enabled = False
						Me.btn003XSP080F060.Enabled = False
						Me.btn004XSP080F060.Enabled = False
						Me.btn004XSP000F020.Enabled = False
						Me.dte010XSP080F060.Enabled = False
						Me.dte010XSP080F060.DateValue = Nothing
						Me.lbl012XSP080F060.Text = Nothing
						Me.lbl013XSP080F060.Text = Nothing
					Else
						' 行選択時設定
						If Me.dgv008XSP080F060.CurrentRow.Index = 0 Then
							' 最新
							If pbLending Then
								' 貸出中有り
								Me.btn001XSP080F060.Enabled = False
'(D) STR V4-11042-000 003 20110905 FJSK)荒川 XXX号 病歴大将V4PKG問題点No153 先頭のレコードを指定しているときに削除ボタンが有効にならない対応
'								Me.btn003XSP080F060.Enabled = True
'(D) END V4-11042-000 003 20110905
							Else
								' 貸出中なし
								Me.btn001XSP080F060.Enabled = True
'(D) STR V4-11042-000 003 20110905 FJSK)荒川 XXX号 病歴大将V4PKG問題点No153 先頭のレコードを指定しているときに削除ボタンが有効にならない対応
'								Me.btn003XSP080F060.Enabled = False
'(D) END V4-11042-000 003 20110905
							End If
'(A) STR V4-11042-000 003 20110905 FJSK)荒川 XXX号 病歴大将V4PKG問題点No153 先頭のレコードを指定しているときに削除ボタンが有効にならない対応
							Me.btn003XSP080F060.Enabled = True
'(A) END V4-11042-000 003 20110905
							Me.btn002XSP080F060.Enabled = True
							Me.btn004XSP080F060.Enabled = False
							Me.btn004XSP000F020.Enabled = False
							Me.dte010XSP080F060.Enabled = False
							Me.dte010XSP080F060.DateValue = Nothing
							Me.lbl012XSP080F060.Text = Nothing
							Me.lbl013XSP080F060.Text = Nothing
						Else
							' 最新でない
							Me.btn001XSP080F060.Enabled = False
							Me.btn002XSP080F060.Enabled = True
							Me.btn003XSP080F060.Enabled = True
							Me.btn004XSP080F060.Enabled = False
							Me.btn004XSP000F020.Enabled = False
							Me.dte010XSP080F060.Enabled = False
							Me.dte010XSP080F060.DateValue = Nothing
							Me.lbl012XSP080F060.Text = Nothing
							Me.lbl013XSP080F060.Text = Nothing
						End If
					End If
					Me.cmb006XSP080F060.Enabled = True
					Me.dgv008XSP080F060.Enabled = True
				Case Enum_ControlMode.UpdateMode
					' 修正時設定
					Me.btn001XSP080F060.Enabled = False
					Me.btn002XSP080F060.Enabled = False
					Me.btn003XSP080F060.Enabled = False
					Me.btn004XSP080F060.Enabled = True
					Me.btn004XSP000F020.Enabled = True
					Me.dte010XSP080F060.Enabled = True

					Me.cmb006XSP080F060.Enabled = False
					Me.dgv008XSP080F060.Enabled = False
			End Select
			' 参照モード　かつ　貸出関連更新可能以外のユーザ　の場合表示モード
			If penumUpdateMode = XSP080F010.Enum_UpdateMode.ReadOnlyMode AndAlso _
			 cliXTM_User.getAuthority(clsXTM_USER.Enum_Authority.DETI_SansyouKousinKa) = CType(clsConst.Enum_Chk.ChkOff, String) Then
				Me.Text = "【参照】" & C_TITLE
				Me.btn001XSP080F060.Visible = False
				Me.btn002XSP080F060.Visible = False
				Me.btn003XSP080F060.Visible = False
				Me.btn004XSP080F060.Visible = False
				Me.btn004XSP000F020.Visible = False
			End If

		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 貸出情報取得処理
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2010/12/16 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function getLend() As DataTable
		log(clsSysMst.logLevel.DBG, "getLend", "貸出情報取得処理")
		Try
			Dim dt As New DataTable

			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
				With db
					' ■SQL文作成
					' 取得SQL
					.setSQLDa(sqlXSP080F060.sqlSelLend)
					' 患者番号
					.setParamDa(sqlXSP080F060.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
					.setValDa(sqlXSP080F060.prmPATIENT_NO, pstrPatient_No)
					' 入退院歴番号
					.setParamDa(sqlXSP080F060.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbNVarChar)
					.setValDa(sqlXSP080F060.prmHSP_HISTORY_NO, piHsp_History_No)
					' 科歴番号
					.setParamDa(sqlXSP080F060.prmCH_NO, clsDB.Enum_dbType.dbNVarChar)
					.setValDa(sqlXSP080F060.prmCH_NO, piCh_No)
					' データ取得
					.execQueryDa(dt)
				End With
			End Using

			Return dt

		Catch ex As Exception
			Throw
		End Try

	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 貸出中レコード削除処理
	''' </summary>
	''' <param name="dt"></param>
	''' <returns></returns>
	''' <remarks>
	''' 2010/12/16 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function delLending(ByVal dt As DataTable) As DataTable
		log(clsSysMst.logLevel.DBG, "delLending", "貸出中レコード削除処理")
		Try
			If dt Is Nothing Then Return Nothing
			pbLending = False
			For Each row As DataRow In dt.Rows
				If String.IsNullOrEmpty(row(sqlXSP080F060.itmBACK_DT).ToString) Then
					' 貸出中レコード削除
					row.Delete()
					pbLending = True
				End If
			Next
			dt.AcceptChanges()

			Return dt

		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 貸出物コードより抽出処理
	''' </summary>
	''' <param name="dt"></param>
	''' <returns></returns>
	''' <remarks>
	''' 2010/12/16 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getLendFromLendItem_CD(ByVal dt As DataTable) As DataTable
		log(clsSysMst.logLevel.DBG, "getLendFromLendItem_CD", "貸出物コードより抽出処理")
		Try
			If String.IsNullOrEmpty(Me.cmb006XSP080F060.Text) Then Return Nothing
			If dt Is Nothing Then Return Nothing
			' 貸出物コードで抽出
			Dim row() As DataRow = dt.Select(sqlXSP080F060.itmLENDITEM_CD & " = '" & cliCom.getDtItmValue(Me.cmb006XSP080F060.Text) & "'")
			Return cliCom.getTableFromRows(dt, row)
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 返却取消処理
	''' </summary>
	''' <remarks>
	''' 2010/12/16 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub cancelBack()
		log(clsSysMst.logLevel.DBG, "cancelBack", "返却取消処理")
		Try
			' 貸出時デフォルト管理状況コード取得
			Dim drMS As DataRow = cliMtm_LendItem_MngStatus.getDefaultDataRowFromFix1(getRowData(Me.dgv008XSP080F060.CurrentRow, sqlXSP080F060.itmLENDITEM_CD).ToString, clsConst.Enum_LendStat_Fix1.Lending, pdtLendItem_MngStatus)
			' 存在しない場合
			If drMS Is Nothing Then
				showMsg("E0003", "貸出物管理状況マスタに貸出時のデータ存在しない", "返却取消", Nothing)
				Return
			End If
			'返却取消確認
'(M) STR V4-11042-000 004 20110905 FJSK)荒川 XXX号 病歴大将V4PKG問題点No153 先頭のレコードを指定しているときに削除ボタンが有効にならない対応
'			If Me.confMsg("Q0005", "返却取消", Nothing) <> MsgBoxResult.Ok Then
'(M) STR V4-12053-000 004 2012/12/14 ID)荒川 病歴大将V4PKG 管理No.49 確認メッセージ「OK/キャンセル」→「はい/いいえ」に修正
			'If Me.confMsg("Q0005", MessageBoxDefaultButton.Button2, "返却取消", Nothing) <> MsgBoxResult.Ok Then
			If Me.confMsg("Q0005", MessageBoxDefaultButton.Button2, "返却取消", Nothing) <> MsgBoxResult.Yes Then
'(M) END V4-12053-000 004 2012/12/14
'(M) END V4-11042-000 004 20110905
				Exit Sub
			End If
			'更新処理
			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
				Dim datL As New datLEND
				Dim datLI As New datLENDITM
				Dim datLendItmMngStatus As datMTI_LENDITM_MNGSTATUS
				Dim datLMS As New datLENDITM_MNGSTATUS
				Try
					Dim iRet As Integer
					Dim iHsp_History_No As Integer = CInt(getRowData(Me.dgv008XSP080F060.CurrentRow, sqlXSP080F060.itmHSP_HISTORY_NO).ToString)
					Dim iCh_No As Integer = CInt(getRowData(Me.dgv008XSP080F060.CurrentRow, sqlXSP080F060.itmCH_NO).ToString)
					Dim iLendSerial_No As Integer = CInt(getRowData(Me.dgv008XSP080F060.CurrentRow, sqlXSP080F060.itmLENDSERIAL_NO).ToString)
					db.ctlTran(clsDB.Enum_TranMode.Begin)
					With db
						' 貸出物情報取得（Record Lock）
						datLendItmMngStatus = cliMti_LendItm.getLendItmMngStatus(db, pstrPatient_No, iHsp_History_No, iCh_No)
						If datLendItmMngStatus Is Nothing Then
							If db.statTran Then db.ctlTran(clsDB.Enum_TranMode.RollBack)
							showMsg("E0015", "貸出物情報", Nothing)
							Return
						End If
						' 貸出物情報更新
						datLMS.PATIENT_NO = pstrPatient_No
						datLMS.HSP_HISTORY_NO = iHsp_History_No
						datLMS.CH_NO = iCh_No
						datLMS.LENDITEM_CD = Me.cmb006XSP080F060.Text
						datLMS.MNGSTATUS_CD = drMS(sqlMTM_LENDITEM_MNGSTATUS.itmMNGSTATUS_CD).ToString
						datLMS.LASTUPDUSER_CD = Me._userID
						iRet = cliMti_LendItm.updLendItmMngStatus(db, datLMS)
						If iRet = 0 Then
							If db.statTran Then db.ctlTran(clsDB.Enum_TranMode.RollBack)
							Return
						End If
						' 貸出情報更新
						.setSQL(sqlXSP080F060.sqlUpdCancelBack)
						' 患者番号
						.setParam(sqlXSP080F060.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
						.setVal(sqlXSP080F060.prmPATIENT_NO, pstrPatient_No)
						' 入退院歴番号
						.setParam(sqlXSP080F060.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
						.setVal(sqlXSP080F060.prmHSP_HISTORY_NO, iHsp_History_No.ToString)
						' 科歴番号
						.setParam(sqlXSP080F060.prmCH_NO, clsDB.Enum_dbType.dbInt)
						.setVal(sqlXSP080F060.prmCH_NO, iCh_No.ToString)
						' 貸出物コード
						.setParam(sqlXSP080F060.prmLENDITEM_CD, clsDB.Enum_dbType.dbNVarChar)
						.setVal(sqlXSP080F060.prmLENDITEM_CD, Me.cmb006XSP080F060.Text)
						' 貸出連番
						.setParam(sqlXSP080F060.prmLENDSERIAL_NO, clsDB.Enum_dbType.dbInt)
						.setVal(sqlXSP080F060.prmLENDSERIAL_NO, iLendSerial_No.ToString)
						' 返却日
						.setParam(sqlXSP080F060.prmBACK_DT, clsDB.Enum_dbType.dbDateTime)
						.setVal(sqlXSP080F060.prmBACK_DT, String.Empty)
						' 返却取扱者
						.setParam(sqlXSP080F060.itmBACKCLERK_CD, clsDB.Enum_dbType.dbNVarChar)
						.setVal(sqlXSP080F060.itmBACKCLERK_CD, String.Empty)
						' 更新者コード
						.setParam(sqlXSP080F060.prmLASTUPDUSER_CD, clsDB.Enum_dbType.dbNVarChar)
						.setVal(sqlXSP080F060.prmLASTUPDUSER_CD, Me._userID)
						' 更新日
						.setParam(sqlXSP080F060.prmLASTUPD_DT, clsDB.Enum_dbType.dbDateTime)
						.setVal(sqlXSP080F060.prmLASTUPD_DT, Now)
						' 削除
						iRet = .execNonQuery(False)
					End With
					If iRet = 0 Then
						If db.statTran Then db.ctlTran(clsDB.Enum_TranMode.RollBack)
						showMsg("E0012", "削除", Nothing)
					Else
						db.ctlTran(clsDB.Enum_TranMode.Commit)
					End If
					' 貸出情報設定
					datL.LENDSERIAL_NO = iLendSerial_No
					datL.BACK_DT = Nothing
					datL.EXPECTBACK_DT = Nothing
					datL.LENDAIM_CD = Nothing
					datL.LENDAIM_RNM = Nothing
					datL.ISSUE_DT = Nothing
					datL.LCT_CD = Nothing
					datL.BORROWER_DIV = Nothing
					datL.BORROWER_CD = Nothing
					' 貸出物情報設定
					If iRet = 0 Then
						datLI.enumMode = XSP080F010.Enum_Mode.DELLENDHISTORY
					Else
						datLI.enumMode = XSP080F010.Enum_Mode.CANCELBACK
					End If
					datLI.PATIENT_NO = pstrPatient_No
					datLI.HSP_HISTORY_NO = iHsp_History_No
					datLI.CH_NO = iCh_No
					datLI.LENDITEM_CD = Me.cmb006XSP080F060.Text
					datLI.MNGSTATUS_CD = drMS(sqlMTM_LENDITEM_MNGSTATUS.itmMNGSTATUS_CD).ToString
					datLI.MNGSTATUS_RNM = drMS(sqlMTM_LENDITEM_MNGSTATUS.itmMNGSTATUS1_RNM).ToString
					datLI.ARG_STATUS_CD = Nothing
					datLI.ARG_STATUS_RNM = Nothing
					datLI.KEEPLCT_CD = Nothing
					datLI.KEEPLCT_RNM = Nothing
					datLI.RECEIPT_DT = Nothing
					datLI.clsLEND = datL
					' 戻り値に追加
					pRetData.Add(datLI)
					' データテーブル更新
					updDataTable(datLI)
				Catch ex As SqlClient.SqlException
					If db.statTran Then db.ctlTran(clsDB.Enum_TranMode.RollBack)
					Throw
				Catch ex As Exception
					If db.statTran Then db.ctlTran(clsDB.Enum_TranMode.RollBack)
					Throw
				Finally
					datL = Nothing
					datLI = Nothing
					datLendItmMngStatus = Nothing
					datLMS = Nothing
				End Try
			End Using
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 返却日修正開始処理
	''' </summary>
	''' <remarks>
	''' 2010/12/16 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub exeUpdating()
		log(clsSysMst.logLevel.DBG, "exeUpdating", "返却日修正開始処理")
		Try
			If Me.dgv008XSP080F060.CurrentRow Is Nothing OrElse
			 Me.dgv008XSP080F060.CurrentRow.Index <= -1 Then
				Exit Sub
			End If
			' コントロールスタイル設定
			setControlStyle(Enum_ControlMode.UpdateMode)
			' 返却日編集
			Me.dte010XSP080F060.DateValue = Me.dgv008XSP080F060.CurrentRow.Cells(C_COL_BACK_DT).Value.ToString
			Me.lbl012XSP080F060.Text = getRowData(Me.dgv008XSP080F060.CurrentRow, sqlXSP080F060.itmBACKCLERK_CD).ToString
			Me.lbl013XSP080F060.Text = getRowData(Me.dgv008XSP080F060.CurrentRow, sqlXSP080F060.itmBACKCLERK_NM).ToString
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 履歴削除処理
	''' </summary>
	''' <remarks>
	''' 2010/12/16 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub delLend()
		log(clsSysMst.logLevel.DBG, "delLend", "履歴削除処理")
		Try
'(M) STR V4-11042-000 004 20110905 FJSK)荒川 XXX号 病歴大将V4PKG問題点No153 先頭のレコードを指定しているときに削除ボタンが有効にならない対応
'			If confMsg("Q0005", "削除", Nothing) <> MsgBoxResult.Ok Then
'(M) STR V4-12053-000 004 2012/12/14 ID)荒川 病歴大将V4PKG 管理No.49 確認メッセージ「OK/キャンセル」→「はい/いいえ」に修正
			'If confMsg("Q0005", MessageBoxDefaultButton.Button2, "削除", Nothing) <> MsgBoxResult.Ok Then
			If confMsg("Q0005", MessageBoxDefaultButton.Button2, "削除", Nothing) <> MsgBoxResult.Yes Then
'(M) END V4-12053-000 004 2012/12/14
'(M) END V4-11042-000 004 20110905
				Return
			End If
			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
				Dim datL As New datLEND
				Dim datLI As New datLENDITM
				Try
					Dim iRet As Integer
					Dim iHsp_History_No As Integer = CInt(getRowData(Me.dgv008XSP080F060.CurrentRow, sqlXSP080F060.itmHSP_HISTORY_NO).ToString)
					Dim iCh_No As Integer = CInt(getRowData(Me.dgv008XSP080F060.CurrentRow, sqlXSP080F060.itmCH_NO).ToString)
					Dim iLendSerial_No As Integer = CInt(getRowData(Me.dgv008XSP080F060.CurrentRow, sqlXSP080F060.itmLENDSERIAL_NO).ToString)
					db.ctlTran(clsDB.Enum_TranMode.Begin)
					With db
						' 貸出情報削除
						.setSQL(sqlXSP080F060.sqlDelLend)
						' 患者番号
						.setParam(sqlXSP080F060.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
						.setVal(sqlXSP080F060.prmPATIENT_NO, pstrPatient_No)
						' 入退院歴番号
						.setParam(sqlXSP080F060.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
						.setVal(sqlXSP080F060.prmHSP_HISTORY_NO, iHsp_History_No.ToString)
						' 科歴番号
						.setParam(sqlXSP080F060.prmCH_NO, clsDB.Enum_dbType.dbInt)
						.setVal(sqlXSP080F060.prmCH_NO, iCh_No.ToString)
						' 貸出物コード
						.setParam(sqlXSP080F060.prmLENDITEM_CD, clsDB.Enum_dbType.dbNVarChar)
						.setVal(sqlXSP080F060.prmLENDITEM_CD, Me.cmb006XSP080F060.Text)
						' 貸出連番
						.setParam(sqlXSP080F060.prmLENDSERIAL_NO, clsDB.Enum_dbType.dbInt)
						.setVal(sqlXSP080F060.prmLENDSERIAL_NO, iLendSerial_No.ToString)
						' 削除
						iRet = .execNonQuery(False)
						If iRet = 0 Then
							showMsg("E0012", "削除", Nothing)
						End If
					End With
					db.ctlTran(clsDB.Enum_TranMode.Commit)
					' 貸出情報設定
					datL.LENDSERIAL_NO = iLendSerial_No
					datL.BACK_DT = Nothing
					datL.EXPECTBACK_DT = Nothing
					datL.LENDAIM_CD = Nothing
					datL.LENDAIM_RNM = Nothing
					datL.ISSUE_DT = Nothing
					datL.LCT_CD = Nothing
					datL.BORROWER_DIV = Nothing
					datL.BORROWER_CD = Nothing
					' 貸出物情報設定
					datLI.enumMode = XSP080F010.Enum_Mode.DELLENDHISTORY
					datLI.PATIENT_NO = pstrPatient_No
					datLI.HSP_HISTORY_NO = iHsp_History_No
					datLI.CH_NO = iCh_No
					datLI.LENDITEM_CD = Me.cmb006XSP080F060.Text
					datLI.MNGSTATUS_CD = Nothing
					datLI.MNGSTATUS_RNM = Nothing
					datLI.ARG_STATUS_CD = Nothing
					datLI.ARG_STATUS_RNM = Nothing
					datLI.KEEPLCT_CD = Nothing
					datLI.KEEPLCT_RNM = Nothing
					datLI.RECEIPT_DT = Nothing
					datLI.clsLEND = datL
					' 戻り値に追加
					pRetData.Add(datLI)
					' データテーブル更新
					updDataTable(datLI)
				Catch ex As SqlClient.SqlException
					If db.statTran Then db.ctlTran(clsDB.Enum_TranMode.RollBack)
					Throw
				Catch ex As Exception
					If db.statTran Then db.ctlTran(clsDB.Enum_TranMode.RollBack)
					Throw
				Finally
					datL = Nothing
					datLI = Nothing
				End Try
			End Using
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 返却日保存処理
	''' </summary>
	''' <remarks>
	''' 2010/12/16 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub updBack_Dt()
		log(clsSysMst.logLevel.DBG, "updBack_Dt", "返却日保存処理")
		Try
			' チェック処理
			If Not Me.ValidateChildren() Then
				Return
			End If
			' 返却日
			If String.IsNullOrEmpty(Me.dte010XSP080F060.Text) Then
				showMsg("E0001")
				Return
			End If
			If Me.dte010XSP080F060.Text < getRowData(Me.dgv008XSP080F060.CurrentRow, sqlXSP080F060.itmISSUE_DT).ToString Then
				showMsg("E0031", "貸出日", "返却日より過去", Nothing)
				Return
			End If
			'更新確認
'(M) STR V4-12053-000 004 2012/12/14 ID)荒川 病歴大将V4PKG 管理No.49 確認メッセージ「OK/キャンセル」→「はい/いいえ」に修正
			'If Me.confMsg("Q0005", "更新", Nothing) <> MsgBoxResult.Ok Then
			If Me.confMsg("Q0005", "更新", Nothing) <> MsgBoxResult.Yes Then
'(M) END V4-12053-000 004 2012/12/14
				Return
			End If
			'更新処理
			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
				Dim datL As New datLEND
				Dim datLI As New datLENDITM
				Try
					Dim iRet As Integer
					Dim iHsp_History_No As Integer = CInt(getRowData(Me.dgv008XSP080F060.CurrentRow, sqlXSP080F060.itmHSP_HISTORY_NO).ToString)
					Dim iCh_No As Integer = CInt(getRowData(Me.dgv008XSP080F060.CurrentRow, sqlXSP080F060.itmCH_NO).ToString)
					Dim iLendSerial_No As Integer = CInt(getRowData(Me.dgv008XSP080F060.CurrentRow, sqlXSP080F060.itmLENDSERIAL_NO).ToString)
					db.ctlTran(clsDB.Enum_TranMode.Begin)
					With db
						' 貸出情報更新
						.setSQL(sqlXSP080F060.sqlUpdLendBack_Dt)
						' 患者番号
						.setParam(sqlXSP080F060.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
						.setVal(sqlXSP080F060.prmPATIENT_NO, pstrPatient_No)
						' 入退院歴番号
						.setParam(sqlXSP080F060.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
						.setVal(sqlXSP080F060.prmHSP_HISTORY_NO, iHsp_History_No.ToString)
						' 科歴番号
						.setParam(sqlXSP080F060.prmCH_NO, clsDB.Enum_dbType.dbInt)
						.setVal(sqlXSP080F060.prmCH_NO, iCh_No.ToString)
						' 貸出物コード
						.setParam(sqlXSP080F060.prmLENDITEM_CD, clsDB.Enum_dbType.dbNVarChar)
						.setVal(sqlXSP080F060.prmLENDITEM_CD, Me.cmb006XSP080F060.Text)
						' 貸出連番
						.setParam(sqlXSP080F060.prmLENDSERIAL_NO, clsDB.Enum_dbType.dbInt)
						.setVal(sqlXSP080F060.prmLENDSERIAL_NO, iLendSerial_No.ToString)
						' 返却日
						.setParam(sqlXSP080F060.prmBACK_DT, clsDB.Enum_dbType.dbDateTime)
						.setVal(sqlXSP080F060.prmBACK_DT, Me.dte010XSP080F060.Text)
						' 更新者コード
						.setParam(sqlXSP080F060.prmLASTUPDUSER_CD, clsDB.Enum_dbType.dbNVarChar)
						.setVal(sqlXSP080F060.prmLASTUPDUSER_CD, Me._userID)
						' 更新日
						.setParam(sqlXSP080F060.prmLASTUPD_DT, clsDB.Enum_dbType.dbDateTime)
						.setVal(sqlXSP080F060.prmLASTUPD_DT, Now)
						' 削除
						iRet = .execNonQuery(False)
					End With
					db.ctlTran(clsDB.Enum_TranMode.Commit)
					' 貸出情報設定
					datL.LENDSERIAL_NO = iLendSerial_No
					datL.BACK_DT = Me.dte010XSP080F060.Text
					datL.EXPECTBACK_DT = Nothing
					datL.LENDAIM_CD = Nothing
					datL.LENDAIM_RNM = Nothing
					datL.ISSUE_DT = Nothing
					datL.LCT_CD = Nothing
					datL.BORROWER_DIV = Nothing
					datL.BORROWER_CD = Nothing
					' 貸出物情報設定
					If iRet = 0 Then
						showMsg("E0012", "削除", Nothing)
						datLI.enumMode = XSP080F010.Enum_Mode.DELLENDHISTORY
					Else
						datLI.enumMode = XSP080F010.Enum_Mode.BACKDTUPDATE
					End If
					datLI.PATIENT_NO = pstrPatient_No
					datLI.HSP_HISTORY_NO = iHsp_History_No
					datLI.CH_NO = iCh_No
					datLI.LENDITEM_CD = Me.cmb006XSP080F060.Text
					datLI.MNGSTATUS_CD = Nothing
					datLI.MNGSTATUS_RNM = Nothing
					datLI.ARG_STATUS_CD = Nothing
					datLI.ARG_STATUS_RNM = Nothing
					datLI.KEEPLCT_CD = Nothing
					datLI.KEEPLCT_RNM = Nothing
					datLI.RECEIPT_DT = Nothing
					datLI.clsLEND = datL
					' 戻り値に追加
					pRetData.Add(datLI)
					' データテーブル更新
					updDataTable(datLI)
				Catch ex As SqlClient.SqlException
					If db.statTran Then db.ctlTran(clsDB.Enum_TranMode.RollBack)
					Throw
				Catch ex As Exception
					If db.statTran Then db.ctlTran(clsDB.Enum_TranMode.RollBack)
					Throw
				Finally
					datL = Nothing
					datLI = Nothing
				End Try
			End Using
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' データグリッドビューロウより値取得処理
	''' </summary>
	''' <param name="row"></param>
	''' <param name="strItemName"></param>
	''' <returns></returns>
	''' <remarks>
	''' 2010/12/16 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getRowData(ByVal row As DataGridViewRow, ByVal strItemName As String) As Object
		log(clsSysMst.logLevel.DBG, "getRowData", "データグリッドビューロウより値取得処理")
		Try
			If row IsNot Nothing Then
				Return CType(row.DataBoundItem, DataRowView).Row(strItemName)
			Else
				Return Nothing
			End If
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' データテーブル更新処理
	''' </summary>
	''' <param name="datLI"></param>
	''' <remarks>
	''' 2010/12/16 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub updDataTable(ByVal datLI As datLENDITM)
		log(clsSysMst.logLevel.DBG, "updDataTable", "データテーブル更新処理")
		Try
			Dim iIdx As Integer = -1
			If Me.dgv008XSP080F060.CurrentRow IsNot Nothing Then
				iIdx = Me.dgv008XSP080F060.CurrentRow.Index
			End If
			' PrimaryKeyで検索
			Dim row() As DataRow = pdtLendAll.Select(sqlXSP080F060.itmPATIENT_NO & " = '" & cliCom.getDtItmValue(datLI.PATIENT_NO) & "'" &
			  " AND " & sqlXSP080F060.itmHSP_HISTORY_NO & " = " & cliCom.getDtItmValue(datLI.HSP_HISTORY_NO.ToString) &
			  " AND " & sqlXSP080F060.itmCH_NO & " = " & cliCom.getDtItmValue(datLI.CH_NO.ToString) &
			  " AND " & sqlXSP080F060.itmLENDITEM_CD & " = '" & cliCom.getDtItmValue(datLI.LENDITEM_CD) & "'" &
			  " AND " & sqlXSP080F060.itmLENDSERIAL_NO & " = " & cliCom.getDtItmValue(datLI.clsLEND.LENDSERIAL_NO.ToString))
			If row.Length > 0 Then
				Select Case datLI.enumMode
					Case XSP080F010.Enum_Mode.DELLENDHISTORY
						' 履歴削除時
						row(0).Delete()
					Case XSP080F010.Enum_Mode.BACKDTUPDATE
						' 返却日更新時
						row(0)(sqlXSP080F060.itmBACK_DT) = datLI.clsLEND.BACK_DT
					Case XSP080F010.Enum_Mode.CANCELBACK
						' 返却取消時
						row(0)(sqlXSP080F060.itmBACK_DT) = DBNull.Value
					Case Else
				End Select
				pdtLendAll.AcceptChanges()
				' 貸出物選択処理
				pdtLend = getLendFromLendItem_CD(pdtLendAll)
				' 貸出中レコード削除
				pdtLend = delLending(pdtLend)
				Me.dgv008XSP080F060.DataSource = pdtLend
				' インデックス保持
				If iIdx > -1 Then
					If (Me.dgv008XSP080F060.Rows.Count - 1) < iIdx Then
						iIdx -= 1
					End If
					If iIdx >= 0 Then
						Me.dgv008XSP080F060.CurrentCell = Me.dgv008XSP080F060(Me.dgv008XSP080F060.CurrentCell.ColumnIndex, iIdx)
					End If
				End If
				' コントロールスタイル設定
				setControlStyle(Enum_ControlMode.RowSelectMode)
			End If
		Catch ex As Exception
			Throw
		End Try
	End Sub
#End Region

#Region "オーバーライドメソッド"

	''' ---------------------------------------------
	''' <summary>
	''' F3キー処理
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2010/12/16 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function F3KeyProc() As Boolean
		log(clsSysMst.logLevel.NRM, "F3KeyProc", "F3キー処理")
		Try
'(M) STR V4-11042-000 000 20110905 FJSK)荒川 XXX号 病歴大将V4PKG問題点No153 先頭のレコードを指定しているときに削除ボタンが有効にならない対応
'			If Not Me.btn001XSP080F060.Visible Then Return True
			If Not Me.btn001XSP080F060.Visible OrElse Not Me.btn001XSP080F060.Enabled Then Return False
'(M) END V4-11042-000 000 20110905
			' 返却取消処理
			cancelBack()
		Catch ex As Exception
			Throw
		End Try
		Return False
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' F4キー処理
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2010/12/16 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function F4KeyProc() As Boolean
		log(clsSysMst.logLevel.NRM, "F4KeyProc", "F4キー処理")
		Try
'(M) STR V4-11042-000 000 20110905 FJSK)荒川 XXX号 病歴大将V4PKG問題点No153 先頭のレコードを指定しているときに削除ボタンが有効にならない対応
'			If Not Me.btn002XSP080F060.Visible Then Return True
			If Not Me.btn002XSP080F060.Visible OrElse Not Me.btn002XSP080F060.Enabled Then Return False
'(M) END V4-11042-000 000 20110905
			' 返却日修正開始処理
			exeUpdating()
		Catch ex As Exception
			Throw
		End Try
		Return False
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' F5キー処理
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2010/12/16 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function F5KeyProc() As Boolean
		log(clsSysMst.logLevel.NRM, "F5KeyProc", "F5キー処理")
		Try
'(M) STR V4-11042-000 000 20110905 FJSK)荒川 XXX号 病歴大将V4PKG問題点No153 先頭のレコードを指定しているときに削除ボタンが有効にならない対応
'			If Not Me.btn003XSP080F060.Visible Then Return True
			If Not Me.btn003XSP080F060.Visible OrElse Not Me.btn003XSP080F060.Enabled Then Return False
'(M) END V4-11042-000 000 20110905
			' 履歴削除処理
			delLend()
		Catch ex As Exception
			Throw
		End Try
		Return False
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' F7キー処理
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2010/12/16 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function F7KeyProc() As Boolean
		log(clsSysMst.logLevel.NRM, "F7KeyProc", "F7キー処理")
		Try
'(M) STR V4-11042-000 004 20110905 FJSK)荒川 XXX号 病歴大将V4PKG問題点No153 先頭のレコードを指定しているときに削除ボタンが有効にならない対応
'			If Not Me.btn004XSP080F060.Visible Then Return True
			If Not Me.btn004XSP080F060.Visible OrElse Not Me.btn004XSP080F060.Enabled Then Return False
'(M) END V4-11042-000 004 20110905
			' 返却日保存処理
			updBack_Dt()
		Catch ex As Exception
			Throw
		End Try
		Return False
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' F8キー処理
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2010/12/16 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function F8KeyProc() As Boolean
		log(clsSysMst.logLevel.NRM, "F8KeyProc", "F8キー処理")
		Try
'(M) STR V4-11042-000 004 20110905 FJSK)荒川 XXX号 病歴大将V4PKG問題点No153 先頭のレコードを指定しているときに削除ボタンが有効にならない対応
'			If Not Me.btn004XSP000F020.Visible Then Return True
			If Not Me.btn004XSP000F020.Visible OrElse Not Me.btn004XSP000F020.Enabled Then Return False
'(M) END V4-11042-000 004 20110905
			' コントロールスタイル設定
			setControlStyle(Enum_ControlMode.InitMode)
		Catch ex As Exception
			Throw
		End Try
		Return False
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' F12キー処理
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2010/12/16 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function F12KeyProc() As Boolean
		log(clsSysMst.logLevel.NRM, "F12KeyProc", "F12キー処理")
		Try
			EndProc()
		Catch ex As Exception
			Throw
		End Try
		Return False
	End Function

#End Region

End Class
