﻿Imports XCM
Imports System.Runtime.ConstrainedExecution

''' ---------------------------------------------
''' <summary>
''' 貸出中一覧　Report出力クラス
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class XSP080R070

#Region "解放処理"
	'確実な解放処理を実行するために指定
	Inherits CriticalFinalizerObject
	'解放処理を実装する為に指定
	Implements IDisposable

	''' ---------------------------------------------
	''' <summary>
	''' Dispose（解放処理）※外からはよばない
	''' </summary>
	''' <param name="disposing"></param>
	''' <remarks>
	''' 2010/12/15 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overloads Sub Dispose(ByVal disposing As Boolean)
		If disposing Then
			pFrm = Nothing							'フォーム
		End If
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' Finalize（解放処理）
	''' </summary>
	''' <remarks>
	''' 2010/12/15 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overloads Sub Dispose() Implements IDisposable.Dispose
		Dispose(True)
		MyBase.Finalize()
		GC.SuppressFinalize(Me)
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' Finalize（解放処理）※外からはよばない
	''' </summary>
	''' <remarks>
	''' 2010/12/15 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overrides Sub Finalize()
		Dispose(False)
		MyBase.Finalize()
	End Sub
#End Region

#Region "変数"

	'IN項目
	Private pFrm As frmBase = Nothing									'フォーム
	'*********************************************
	'データグリッドItemリストとパラメータリストの項目数・指定順序は必ず一緒にする
	'また、Workテーブルの項目順とパラメータセット順も同一にする必要があります
	'※INSERT分も同様
	'*********************************************
	'データシート出力情報定義  
	'MDBパラメータセットで使用
	Private strItem() As String = _
	 {
	  sqlXSP080R070.itmHOST_NM, _
	  sqlXSP080R070.itmPATIENT_NO, _
	  sqlXSP080R070.itmHSP_HISTORY_NO, _
	  sqlXSP080R070.itmCH_NO, _
	  sqlXSP080R070.itmLENDITEM_CD, _
	  sqlXSP080R070.itmLENDSERIAL_NO, _
	  sqlXSP080R070.itmBYOREKI_NO, _
	  sqlXSP080R070.itmDEPT_CD, _
	  sqlXSP080R070.itmWARD_CD, _
	  sqlXSP080R070.itmDOCTOR_CD, _
	  sqlXSP080R070.itmSTART_DT, _
	  sqlXSP080R070.itmEND_DT, _
	  sqlXSP080R070.itmSLIP_CD, _
	  sqlXSP080R070.itmLENDAIM_CD, _
	  sqlXSP080R070.itmLCT_CD, _
	  sqlXSP080R070.itmISSUE_DT, _
	  sqlXSP080R070.itmEXPECTBACK_DT, _
	  sqlXSP080R070.itmURGEDBACK_DT, _
	  sqlXSP080R070.itmBACK_DT, _
	  sqlXSP080R070.itmBORROWER_DIV, _
	  sqlXSP080R070.itmBORROWER_CD, _
	  sqlXSP080R070.itmBORROWER_NM, _
	  sqlXSP080R070.itmTAKER_DIV, _
	  sqlXSP080R070.itmTAKER_CD, _
	  sqlXSP080R070.itmTAKER_NM, _
	  sqlXSP080R070.itmLENDCLERK_CD, _
	  sqlXSP080R070.itmBACKCLERK_CD, _
	  sqlXSP080R070.itmLASTUPDUSER_CD, _
	  sqlXSP080R070.itmLASTUPD_DT
	 }


	Private strParm() As String = _
	 {
	  sqlXSP080R070.prmHOST_NM, _
	  sqlXSP080R070.prmPATIENT_NO, _
	  sqlXSP080R070.prmHSP_HISTORY_NO, _
	  sqlXSP080R070.prmCH_NO, _
	  sqlXSP080R070.prmLENDITEM_CD, _
	  sqlXSP080R070.prmLENDSERIAL_NO, _
	  sqlXSP080R070.prmBYOREKI_NO, _
	  sqlXSP080R070.prmDEPT_CD, _
	  sqlXSP080R070.prmWARD_CD, _
	  sqlXSP080R070.prmDOCTOR_CD, _
	  sqlXSP080R070.prmSTART_DT, _
	  sqlXSP080R070.prmEND_DT, _
	  sqlXSP080R070.prmSLIP_CD, _
	  sqlXSP080R070.prmLENDAIM_CD, _
	  sqlXSP080R070.prmLCT_CD, _
	  sqlXSP080R070.prmISSUE_DT, _
	  sqlXSP080R070.prmEXPECTBACK_DT, _
	  sqlXSP080R070.prmURGEDBACK_DT, _
	  sqlXSP080R070.prmBACK_DT, _
	  sqlXSP080R070.prmBORROWER_DIV, _
	  sqlXSP080R070.prmBORROWER_CD, _
	  sqlXSP080R070.prmBORROWER_NM, _
	  sqlXSP080R070.prmTAKER_DIV, _
	  sqlXSP080R070.prmTAKER_CD, _
	  sqlXSP080R070.prmTAKER_NM, _
	  sqlXSP080R070.prmLENDCLERK_CD, _
	  sqlXSP080R070.prmBACKCLERK_CD, _
	  sqlXSP080R070.prmLASTUPDUSER_CD, _
	  sqlXSP080R070.prmLASTUPD_DT
	 }

#End Region

#Region "コンスタント"
	'帳票の右下に病院名マスタの部署名を表示
	Private Const CST_DSP_DPM_NM As String = "1"
#End Region

#Region "コンストラクタ"

	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <param name="pForm">frmBase</param>
	''' <remarks>
	''' 2010/12/15 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Sub New(ByVal pForm As Form)
		'IN項目引き継ぎ
		pFrm = pForm					'画面ID
	End Sub

#End Region

#Region "メソッド"

	''' ---------------------------------------------
	''' <summary>
	''' 印刷・プレビュー処理（貸出中一覧）
	''' </summary>
	''' <param name="da">DataGridView</param>
	''' <param name="pValuePrint">TRUE:印刷 FALSE:プレビュー</param>	
	''' <remarks>
	''' 2010/12/15 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function Prn_Lending_List(ByVal da As DataGridView, ByVal strBorrowerName As String, ByVal pValuePrint As Boolean) As Boolean
		pFrm.log(clsSysMst.logLevel.DBG, "Prn_Lending_List", "印刷・プレビュー処理（貸出中一覧） START")

		Dim FilePath As String = Nothing								'MDBファイルパス（フルパス）
		Dim cliAccess As clsXTM_PRINTSETTING_ACCESS = Nothing			'ACCESS設定情報アクセスクラス
		Dim datAccess As datXTM_PRINTSETTING_ACCESS_OneRec = Nothing	'ACCESS設定情報データクラス
		Dim datHeader As datHeader = Nothing							'ヘッダーデータクラス
		Dim cliCom As clsCom = Nothing									'共通クラス

		'DataTableの値取得用
		Dim daRow As DataRow = Nothing

		Try
			'アクセスクラスのインスタンス化
			cliAccess = New clsXTM_PRINTSETTING_ACCESS
			cliCom = New clsCom

			'ヘッダー情報作成
			datHeader = Me.getHeaderData(clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00001), CType(pFrm, XSP080F070).pstrEnd_Dt_Title, strBorrowerName)

			'印刷設定情報取得
			datAccess = cliAccess.getAccessSettingOneRec(Me.pFrm.Name, Me.GetType.Name)
			If datAccess Is Nothing Then
				Return False
			End If

			'MDBファイルパス設定
			FilePath = cliCom.setReportPath(datAccess.FILE_NM)

			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData), _
			   cliReportFunc As clsReportFunc = New clsReportFunc(Me.pFrm, FilePath, datAccess.REPORT_NM, pValuePrint)

				'ヘッダーワークテーブルの削除
				Call cliReportFunc.exeHeaderDel(db, datAccess.LEDGERSHEET_CD, True)

				'ヘッダーワークテーブルの追加
				Call cliReportFunc.exeHeaderIns(db, datHeader, True)

				'ワークテーブル削除
				cliReportFunc.exeWorkDel(db, sqlXSP080R070.sqlDel_MTW_Lending_List, sqlXSP080R070.prmHOST_NM)

				With db

					For Each dvRow As DataGridViewRow In da.Rows
						daRow = CType(dvRow.DataBoundItem, DataRowView).Row
						'１行ずつデータを追加する
						.setSQL(sqlXSP080R070.sqlIns_Lending_List)					  'INSERT文
						.setParam(sqlXSP080R070.prmHOST_NM, clsDB.Enum_dbType.dbNVarChar)
						.setVal(sqlXSP080R070.prmHOST_NM, clsConst.CST_HOST_NM)
						Me.setParm(db, daRow)									'パラメータセット
						.execNonQuery()											'INSERT文実行
					Next

				End With
				'AcPrint内でレポートの存在チェックを行う
				'そのため、独自ロジックは組まない。
				If Not cliReportFunc.AcPrint(datAccess.NUMBERPRINTED) Then
					Return False
				End If
			End Using
		Catch ex As Exception
			Throw
		Finally
			FilePath = Nothing
			cliAccess = Nothing
			datAccess = Nothing
			datHeader = Nothing
			cliCom = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' ヘッダーデータ取得
	''' </summary>
	''' <param name="BYOREKI_NO_TITLE">病歴番号タイトル</param>
	''' <param name="END_DT_TITLE">終了日タイトル</param>
	''' <param name="BORROWER_NAME">借用者名タイトル</param>
	''' <returns>ヘッダーデータ</returns>
	''' <remarks>
	''' 2010/12/15 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getHeaderData(ByVal BYOREKI_NO_TITLE As String, ByVal END_DT_TITLE As String, ByVal BORROWER_NAME As String) As datHeader
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSP", Me.GetType.Name, "getHeaderData", "貸出中一覧", "貸出中一覧（Report）", "ヘッダーデータ取得 START")
		Dim retHeader As datHeader
		Try
			retHeader = New datHeader
			With retHeader
				'帳票ID
				.PRT_ID = Me.GetType.Name
				' 部署名
				.DPM_NM = GetDpmNm(pFrm)
				'病歴番号タイトル
				.STR1 = BYOREKI_NO_TITLE
				'終了日タイトル
				.STR2 = END_DT_TITLE
				'借用者名
				.STR3 = BORROWER_NAME
			End With

			Return retHeader
		Catch ex As Exception
			Throw
		Finally
			retHeader = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' MDB登録パラメータセット
	''' </summary>
	''' <param name="db">クラスDB</param>
	''' <remarks>
	''' 2010/12/15 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setParm(ByVal db As clsDB, ByVal pRow As System.Data.DataRow)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, "XSP", Me.GetType.Name, "setParm", "貸出中一覧", "貸出中一覧（Report）", "MDB登録パラメータセット START")

		Dim dDate As DateTime = Now
		Try
			'データを出力
			For Idx As Integer = 0 To strParm.Length - 1
				With db
					Select Case strParm(Idx)
						Case sqlXSP080R070.prmHOST_NM
							' スキップ
						Case sqlXSP080R070.prmHSP_HISTORY_NO, sqlXSP080R070.prmCH_NO, sqlXSP080R070.prmLENDSERIAL_NO
							'数字型
							.setParam(strParm(Idx), clsDB.Enum_dbType.dbInt)
							.setVal(strParm(Idx), CInt(pRow.Item(strItem(Idx)).ToString), False)

						Case sqlXSP080R070.prmSTART_DT, sqlXSP080R070.prmEND_DT, sqlXSP080R070.prmISSUE_DT, sqlXSP080R070.prmEXPECTBACK_DT,
						 sqlXSP080R070.prmURGEDBACK_DT, sqlXSP080R070.prmBACK_DT, sqlXSP080R070.prmLASTUPD_DT
							'更新日にローカルシステム日付を設定
							.setParam(strParm(Idx), clsDB.Enum_dbType.dbDateTime)

							If strParm(Idx) = sqlXSP080R070.prmLASTUPD_DT Then
								dDate = Now
								.setVal(strParm(Idx), dDate)
							Else
								.setVal(strParm(Idx), pRow.Item(strItem(Idx)).ToString)
							End If

						Case Else
							'文字列型
							.setParam(strParm(Idx), clsDB.Enum_dbType.dbNVarChar)

							Select Case strParm(Idx)
								Case sqlXSP080R070.prmLASTUPDUSER_CD
									'更新者コード
									.setVal(strParm(Idx), clsSysMst.getLoginId)

								Case Else
									'その他文字列
									.setVal(strParm(Idx), pRow.Item(strItem(Idx)).ToString)
							End Select
					End Select
				End With
			Next
		Catch ex As Exception
			Throw
		Finally
			dDate = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 部署名取得
	''' </summary>
	''' <param name="pFrm">督促画面</param>
	''' <returns>部署名</returns>
	''' <remarks>
	''' 2010/12/10 新規作成　CS)松本<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function GetDpmNm(ByVal pFrm As XSP080F070) As String
		pFrm.log(clsSysMst.logLevel.DBG, "GetDpmNm", "部署名取得 Start")
		Dim retDpmNm As String = Nothing
		Dim cliHspName As clsXTM_HSPNAME
		Try
			'動作環境設定情報取得
			Dim sDspDpmNm As String = clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00054)
			If sDspDpmNm = CST_DSP_DPM_NM Then
				cliHspName = New clsXTM_HSPNAME
				retDpmNm = cliHspName.getHspName_OneRec_DataClass.DPM_NM
			End If
		Catch ex As Exception
			Throw
		Finally
			cliHspName = Nothing
		End Try
		Return retDpmNm
	End Function

#End Region

End Class
