﻿Imports System.Windows.Forms
Imports XCM

'''---------------------------------------------
''' <summary>
''' クリニカルパス検索画面処理
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
'''---------------------------------------------
Public Class XSP200F010

#Region "コンスタント"

	Private Const CONTROL_C01013XSP200F010 As String = "c01013XSP200F010"
	Private Const CONTROL_C02013XSP200F010 As String = "c02013XSP200F010"
	Private Const CONTROL_C03013XSP200F010 As String = "c03013XSP200F010"
	Private Const CONTROL_C04013XSP200F010 As String = "c04013XSP200F010"
	Private Const CNST_MESSAGE_ADD As String = "追加しました。"
	Private Const CONST_DISPCOUNTFORMAT As String = "#,##0"

	''' <summary>処理モード</summary>
	Private Enum Enum_Mode
		''' <summary>検索モード</summary>
		eSel = 0
		''' <summary>追加モード</summary>
		eAdd = 1
	End Enum

#End Region

#Region "変数"

	'ワイルドカード文字
	Private Const WILDCARDCHAR As String = "%"

	'前回値取得・保存コントロール名
	Private LastValueCtl() As String = {"chk002XSP200F010", "chk004XSP200F010", "chk006XSP200F010", "chk009XSP200F010"}

	'起動モード
	Private _Mode As Enum_Mode
	'起動パラメータ
	Private _Para As String
	'パスコード
	Private _PathCode As String
	'戻り値レコード
	Private _PathOneRec As DictionaryEntry
	'戻り値 ArrayList
	Private _PathArray As ArrayList
	'画面戻り値
	Private fret As Enum_FormReturn
	'画面初期表示完了フラグ
	Private Shown_Flg As Boolean = False
	'OwnerFormを取得
	Private OwnerForm As frmBase
	'グリッドスタイルクラス
	Private cliGridStyle As clsGridStyle

#End Region

#Region "コンストラクタ"

	'''---------------------------------------------
	''' <summary>
	''' コンストラクタ（検索モード）
	''' </summary>
	''' <remarks>
	''' 2010/10/25 新規作成　NCS)久米<BR/>
	''' </remarks>
	'''---------------------------------------------
	Public Sub New(ByVal pPara As String, ByVal pPathCode As String)

		' この呼び出しはデザイナーで必要です。
		InitializeComponent()

		' InitializeComponent() 呼び出しの後で初期化を追加します。
		_Mode = Enum_Mode.eSel
		_Para = pPara
		_PathCode = pPathCode
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' コンストラクタ（追加モード）
	''' </summary>
	''' <remarks>
	''' 2010/10/25 新規作成　NCS)久米<BR/>
	''' </remarks>
	'''---------------------------------------------
	Public Sub New(ByVal pPara As String)

		' この呼び出しはデザイナーで必要です。
		InitializeComponent()

		' InitializeComponent() 呼び出しの後で初期化を追加します。
		_Mode = Enum_Mode.eAdd
		_Para = pPara
		_PathCode = Nothing
	End Sub

#End Region

#Region "イベント"

	'''---------------------------------------------
	''' <summary>
	''' クリニカルパス検索＿Ｌｏａｄ処理
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/25 新規作成　NCS)久米<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub XSP200F010_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
		log(clsSysMst.logLevel.NRM, "XSP200F010_Load", "クリニカルパス検索＿Ｌｏａｄ処理 Start")
		Dim cliCombo As clsComboCom
		Dim dtDETP As DataTable
		Dim dtPathGrp As DataTable
		Try
			'OwnerFormを取得
			OwnerForm = Me.Owner
			' クラスの初期化
			cliGridStyle = New clsGridStyle
			cliCombo = New clsComboCom
			' コンボデータ取得
			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
				dtDETP = cliCombo.getCombo(db, clsComboCom.Enum_ComboType.Enum_M_Dept_Dsp)
				dtPathGrp = cliCombo.getCombo(db, clsComboCom.Enum_ComboType.Enum_M_PathGrp)
			End Using
			' モードごとの処理
			If _Mode = Enum_Mode.eSel Then
				' 検索モードの場合
				Me.btn001XSP200F010.Visible = False
				Me.lbl014XSP200F010.Visible = False
			Else
				' 追加モードの場合
				Me.btn001XSP200F010.Location = Me.btn004XSP000F010.Location
				Me.btn004XSP000F010.Visible = False
				_PathArray = New ArrayList
			End If
			'グリッド１行の高さを設定
			cliGridStyle.setGridHeight(Me.dgv013XSP200F010)
			dgv013XSP200F010.AutoGenerateColumns = False		' 自動行追加禁止
			' クリニカルパス分類
			Me.cmb007XSP200F010.DataSource = dtPathGrp
			Me.cmb007XSP200F010.setDropDownWidth()
			' 診療科
			Me.cmb010XSP200F010.DataSource = dtDETP
			Me.cmb010XSP200F010.setDropDownWidth()
		Catch ex As Exception
			ErrorProc(ex)
			OwnerForm.setCancelFlg(True)
			MyBase.EndProc()
		Finally
			cliCombo = Nothing
			dtDETP = Nothing
			dtPathGrp = Nothing
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' クリニカルパス検索＿初期表示
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/25 新規作成　NCS)久米<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub XSP200F010_Shown(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Shown
		log(clsSysMst.logLevel.NRM, "XSP200F010_Shown", "クリニカルパス検索＿初期値表示 Start")
		Try
			' 前回値取得
			Me.LoadLastValue(LastValueCtl)
			' 引数がある場合はセットする
			If Not String.IsNullOrEmpty(_PathCode) Then
				chk002XSP200F010.Checked = True
				txt003XSP200F010.Text = _PathCode
			End If
			setControlFocus()
			' メッセージ欄をクリア
			Me.lbl014XSP200F010.Text = ""
			Shown_Flg = True
		Catch ex As Exception
			ErrorProc(ex)
			If Not Shown_Flg Then OwnerForm.setCancelFlg(True)
			MyBase.EndProc()
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' グリッドダブルクリック処理
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/25 新規作成　NCS)久米<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub dgv013XSP200F010_DoubleClick(ByVal sender As Object, ByVal e As System.EventArgs) Handles dgv013XSP200F010.DoubleClick
		log(clsSysMst.logLevel.NRM, "dgv013XSP200F010_DoubleClick", "グリッドダブルクリック処理 Start")
		Try
			If _Mode = Enum_Mode.eSel Then
				UpdProc()	'確定処理
			Else
				AddProc()
			End If
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' 追加ボタンクリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/25 新規作成　NCS)久米<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub btn001XSP200F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn001XSP200F010.Click
		log(clsSysMst.logLevel.NRM, "btn001XSP200F010_Click", "追加ボタンクリック Start")
		Try
			AddProc()
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' 検索ボタンクリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/25 新規作成　NCS)久米<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub btn012XSP200F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn012XSP200F010.Click
		log(clsSysMst.logLevel.NRM, "btn012XSP200F010_Click", "検索ボタンクリック Start")
		Try
			SearchProc()
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' 確定ボタンクリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/25 新規作成　NCS)久米<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub btn004XSP000F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn004XSP000F010.Click
		log(clsSysMst.logLevel.NRM, "btn004XSP000F010_Click", "クリニカルパス検索＿終了処理 Start")
		Try
			UpdProc()
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' 閉じるボタンクリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/25 新規作成　NCS)久米<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub btn005XSP000F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn005XSP000F010.Click
		log(clsSysMst.logLevel.NRM, "btn005XSP000F010_Click", "閉じるボタンクリック Start")
		Try
			EndProc()
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' クリニカルパス検索＿終了処理
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/25 新規作成　NCS)久米<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub XSP200F010_FormClosing(ByVal sender As Object, ByVal e As System.Windows.Forms.FormClosingEventArgs) Handles Me.FormClosing
		log(clsSysMst.logLevel.NRM, "XSP200F010_FormClosing", "クリニカルパス検索＿終了処理 Start")
		Try
			'前回値保存
			If Shown_Flg Then Me.SaveLastValue(LastValueCtl)

			setCloseFlg()							'Close許可
			If fret = Enum_FormReturn.NONE Then
				OwnerForm.backForm(False)
			Else
				OwnerForm.backForm(False, fret, _PathOneRec)
			End If
		Catch ex As Exception
			e.Cancel = True
			ErrorProc(ex)
		Finally
			If Not e.Cancel Then
				cliGridStyle = Nothing
				OwnerForm = Nothing
			End If
		End Try
	End Sub

#End Region

#Region "メソッド"

	'''---------------------------------------------
	''' <summary>
	''' チェック状態によりフォーカス変更処理
	''' </summary>
	''' <remarks>
	''' 2010/10/25 新規作成　NCS)久米<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub setControlFocus()
		log(clsSysMst.logLevel.DBG, "setControlFocus", "チェック状態によりフォーカス変更処理 Start")
		Try
			Select Case True
				Case chk002XSP200F010.Checked
					txt003XSP200F010.Focus()
				Case chk004XSP200F010.Checked
					txt005XSP200F010.Focus()
				Case chk006XSP200F010.Checked
					cmb007XSP200F010.Focus()
				Case chk009XSP200F010.Checked
					cmb010XSP200F010.Focus()
				Case Else
					btn012XSP200F010.Focus()
			End Select
		Catch ex As Exception
			Throw
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' クリニカルパス検索処理
	''' </summary>
	''' <remarks>
	''' 2010/10/25 新規作成　NCS)久米<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub SearchProc()
		log(clsSysMst.logLevel.DBG, "SearchProc", "クリニカルパス検索処理 Start")
		Try
			'カーソル砂時計
			System.Windows.Forms.Cursor.Current = Cursors.WaitCursor
			'件数クリア
			Me.lbl015XSP200F010.Text = Nothing

			'検索結果をDataGridに設定
			dgv013XSP200F010.DataSource = getPathData()
			'件数セット
			Me.lbl015XSP200F010.Text = CType(Me.dgv013XSP200F010.DataSource, DataTable).Rows.Count.ToString(CONST_DISPCOUNTFORMAT)
			' メッセージ欄をクリア
			Me.lbl014XSP200F010.Text = String.Empty

			If CType(Me.dgv013XSP200F010.DataSource, DataTable).Rows.Count = 0 Then
				showMsg("I0001")		'該当するデータはありませんでした
				setControlFocus()
			Else
				dgv013XSP200F010.Focus()
			End If
		Catch ex As Exception
			Throw
		Finally
			System.Windows.Forms.Cursor.Current = Cursors.Default	'カーソルデフォルト
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' クリニカルパスデータ取得
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2010/10/25 新規作成　NCS)久米<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Function getPathData() As DataTable
		log(clsSysMst.logLevel.DBG, "getPathData", "クリニカルパスデータ取得 Start")
		Dim dtData As DataTable
		Try
			dtData = New DataTable
			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
				db.setSQLDa(sqlXSP200F010.sqlPathList)
				' パラメータセット
				setSqlPara(db)
				db.execQueryDa(dtData)
			End Using
		Catch ex As Exception
			Throw
		End Try
		Return dtData
	End Function

	'''---------------------------------------------
	''' <summary>
	''' SQLパラメータをセットする
	''' </summary>
	''' <param name="db"></param>
	''' <remarks>
	''' 2010/10/25 新規作成　NCS)久米<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub setSqlPara(ByVal db As clsDB)
		log(clsSysMst.logLevel.DBG, "setSqlPara", "SQLパラメータをセットする Start")
		Dim NmFowardChar As String = Nothing
		Dim NmBackwardChar As String = Nothing
		Dim CdFowardChar As String = Nothing
		Dim CdBackwardChar As String = Nothing

		Try

			db.setParamDa(sqlXSP200F010.prmPATH_CD_CHK, clsDB.Enum_dbType.dbNVarChar)
			db.setParamDa(sqlXSP200F010.prmPATH_NM_CHK, clsDB.Enum_dbType.dbNVarChar)
			db.setParamDa(sqlXSP200F010.prmPATH_GRP_CD_CHK, clsDB.Enum_dbType.dbNVarChar)
			db.setParamDa(sqlXSP200F010.prmDEPT_CD_CHK, clsDB.Enum_dbType.dbNVarChar)
			db.setParamDa(sqlXSP200F010.prmPATH_CD, clsDB.Enum_dbType.dbNVarChar)
			db.setParamDa(sqlXSP200F010.prmPATH_NM, clsDB.Enum_dbType.dbNVarChar)
			db.setParamDa(sqlXSP200F010.prmPATH_GRP_CD, clsDB.Enum_dbType.dbNVarChar)
			db.setParamDa(sqlXSP200F010.prmDEPT_CD, clsDB.Enum_dbType.dbNVarChar)

			' Like検索のワイルドカード
			Select Case True
				Case Me.chk002XSP200F010.Checked
					CdBackwardChar = WILDCARDCHAR
				Case Me.chk004XSP200F010.Checked
					NmFowardChar = WILDCARDCHAR
					NmBackwardChar = WILDCARDCHAR
				Case Me.chk006XSP200F010.Checked
				Case Me.chk009XSP200F010.Checked
				Case Else
			End Select

			db.setValDa(sqlXSP200F010.prmPATH_CD_CHK, IIf(Me.chk002XSP200F010.Checked = True, "1", ""), Not Me.chk002XSP200F010.Checked)
			db.setValDa(sqlXSP200F010.prmPATH_NM_CHK, IIf(Me.chk004XSP200F010.Checked = True, "1", ""), Not Me.chk004XSP200F010.Checked)
			db.setValDa(sqlXSP200F010.prmPATH_GRP_CD_CHK, IIf(Me.chk006XSP200F010.Checked = True, "1", ""), Not Me.chk006XSP200F010.Checked)
			db.setValDa(sqlXSP200F010.prmDEPT_CD_CHK, IIf(Me.chk009XSP200F010.Checked = True, "1", ""), Not Me.chk009XSP200F010.Checked)
			db.setValDa(sqlXSP200F010.prmPATH_CD, CdFowardChar & Me.txt003XSP200F010.Text & CdBackwardChar, String.IsNullOrEmpty(Me.txt003XSP200F010.Text))
			db.setValDa(sqlXSP200F010.prmPATH_NM, NmFowardChar & Me.txt005XSP200F010.Text & NmBackwardChar, String.IsNullOrEmpty(Me.txt005XSP200F010.Text))
			db.setValDa(sqlXSP200F010.prmPATH_GRP_CD, Me.cmb007XSP200F010.Text, String.IsNullOrEmpty(Me.cmb007XSP200F010.Text))
			db.setValDa(sqlXSP200F010.prmDEPT_CD, Me.cmb010XSP200F010.Text, String.IsNullOrEmpty(Me.cmb010XSP200F010.Text))

		Catch ex As Exception
			Throw
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' 追加処理
	''' </summary>
	''' <remarks>
	''' 2010/10/25 新規作成　NCS)久米<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub AddProc()
		log(clsSysMst.logLevel.DBG, "AddProc", "追加処理 Start")
		Try
			If Me.dgv013XSP200F010.CurrentCell Is Nothing OrElse Me.dgv013XSP200F010.CurrentCell.ColumnIndex < 0 OrElse Me.dgv013XSP200F010.CurrentCell.RowIndex < 0 Then
				' メッセージ欄をクリア
				Me.lbl014XSP200F010.Text = String.Empty
				showMsg("E0005")
				Exit Sub
			Else
				Dim wMtmPath As datMtmPath = New datMtmPath
				wMtmPath.PATH_CD = Me.dgv013XSP200F010.CurrentRow.Cells(CONTROL_C01013XSP200F010).Value.ToString		' コード
				wMtmPath.PATH_NM = Me.dgv013XSP200F010.CurrentRow.Cells(CONTROL_C02013XSP200F010).Value.ToString		' 名称
				wMtmPath.PATH_GRP_CD = Me.dgv013XSP200F010.CurrentRow.Cells(CONTROL_C03013XSP200F010).Value.ToString	' 分類
				wMtmPath.DEPT_CD = Me.dgv013XSP200F010.CurrentRow.Cells(CONTROL_C04013XSP200F010).Value.ToString		' 診療科
				' 戻り値に追加
				_PathArray.Add(wMtmPath)
				' メッセージ欄を出力
				Me.lbl014XSP200F010.Text = CNST_MESSAGE_ADD
			End If
		Catch ex As Exception
			Throw
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' 確定処理
	''' </summary>
	''' <remarks>
	''' 2010/10/25 新規作成　NCS)久米<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub UpdProc()
		log(clsSysMst.logLevel.DBG, "UpdProc", "確定処理 Start")
		Try
			If _Mode = Enum_Mode.eAdd Then
				' 追加モード
				If _PathArray.Count = 0 Then
					fret = Enum_FormReturn.NONE
				Else
					fret = Enum_FormReturn.OK
					getReturnReason()
				End If
			Else
				' 検索モード
				If Me.dgv013XSP200F010.CurrentCell Is Nothing OrElse Me.dgv013XSP200F010.CurrentCell.ColumnIndex < 0 OrElse Me.dgv013XSP200F010.CurrentCell.RowIndex < 0 Then
					showMsg("E0005")
					Exit Sub
				Else
					fret = Enum_FormReturn.OK
					getReturnReason()
				End If
			End If

			Me.Close()
		Catch ex As Exception
			Throw
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' 戻り値用クリニカルパス情報取得
	''' </summary>
	''' <remarks>
	''' 2010/10/25 新規作成　NCS)久米<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub getReturnReason()
		log(clsSysMst.logLevel.DBG, "getReturnReason", "戻り値用クリニカルパス情報取得 Start")
		Try
			If _Mode = Enum_Mode.eAdd Then
				' 追加モード
				_PathOneRec.Key = _Para
				_PathOneRec.Value = _PathArray
			Else
				' 検索モード
				If Me.dgv013XSP200F010.CurrentCell Is Nothing OrElse Me.dgv013XSP200F010.CurrentCell.ColumnIndex < 0 OrElse Me.dgv013XSP200F010.CurrentCell.RowIndex < 0 Then Exit Sub
				_PathOneRec.Key = _Para
				_PathOneRec.Value = Me.dgv013XSP200F010.CurrentRow.Cells(CONTROL_C01013XSP200F010).Value
			End If
		Catch ex As Exception
			Throw
		End Try
	End Sub

#End Region

#Region "オーバーライドメソッド"

	'''---------------------------------------------
	''' <summary>
	''' 終了処理
	''' </summary>
	''' <remarks>
	''' 2010/10/25 新規作成　NCS)久米<BR/>
	''' </remarks>
	'''---------------------------------------------
	Public Overrides Sub EndProc()
		log(clsSysMst.logLevel.DBG, "EndProc", "終了処理 Start")
		Try
			If _Mode = Enum_Mode.eSel OrElse _PathArray.Count = 0 Then
				fret = Enum_FormReturn.NONE
			Else
				fret = Enum_FormReturn.OK
				_PathOneRec.Key = _Para
				_PathOneRec.Value = _PathArray
			End If
			MyBase.EndProc()
		Catch ex As Exception
			Throw
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' Ｆ３キー押下による確定
	''' </summary>
	''' <remarks>
	''' 2010/10/25 新規作成　NCS)久米<BR/>
	''' </remarks>
	'''---------------------------------------------
	Public Overrides Function F3KeyProc() As Boolean
		' ボタンが非表示なら処理しない
		If Not Me.btn001XSP200F010.Visible Then
			Return False
		End If
		log(clsSysMst.logLevel.NRM, "F3KeyProc", "Ｆ３キー押下 Start")
		Try
			MyBase.F3KeyProc()
			AddProc()	'追加処理
		Catch ex As Exception
			Throw
		End Try
		Return True
	End Function

	'''---------------------------------------------
	''' <summary>
	''' Ｆ７キー押下による確定
	''' </summary>
	''' <remarks>
	''' 2010/10/25 新規作成　NCS)久米<BR/>
	''' </remarks>
	'''---------------------------------------------
	Public Overrides Function F7KeyProc() As Boolean
		' ボタンが非表示なら処理しない
		If Not Me.btn004XSP000F010.Visible Then
			Return False
		End If
		log(clsSysMst.logLevel.NRM, "F7KeyProc", "Ｆ７キー押下 Start")
		Try
			MyBase.F7KeyProc()
			UpdProc()	'確定処理
		Catch ex As Exception
			Throw
		End Try
		Return True
	End Function

	'''---------------------------------------------
	''' <summary>
	''' Ｆ１２キー押下による終了
	''' </summary>
	''' <remarks>
	''' 2010/10/25 新規作成　NCS)久米<BR/>
	''' </remarks>
	'''---------------------------------------------
	Public Overrides Function F12KeyProc() As Boolean
		log(clsSysMst.logLevel.NRM, "F12KeyProc", "Ｆ１２キー押下 Start")
		Try
			MyBase.F12KeyProc()
			Me.AutoValidate = Windows.Forms.AutoValidate.Disable
			EndProc()	'終了処理
		Catch ex As Exception
			Throw
		End Try
		Return True
	End Function

	'''---------------------------------------------
	''' <summary>
	''' Ｆ１１キー押下による検索
	''' </summary>
	''' <remarks>
	''' 2010/10/25 新規作成　NCS)久米<BR/>
	''' </remarks>
	'''---------------------------------------------
	Public Overrides Function F11KeyProc() As Boolean
		log(clsSysMst.logLevel.NRM, "F11KeyProc", "Ｆ１１キー押下 Start")
		Try
			MyBase.F11KeyProc()
			SearchProc()	'検索処理
		Catch ex As Exception
			Throw
		End Try
		Return True
	End Function

	'''---------------------------------------------
	''' <summary>
	''' コマンドキー処理
	''' </summary>
	''' <param name="msg"></param>
	''' <param name="KeyData"></param>
	''' <returns></returns>
	''' <remarks>
	''' 2010/10/25 新規作成　NCS)久米<BR/>
	''' </remarks>
	'''---------------------------------------------
	Protected Overrides Function ProcessCmdKey(ByRef msg As Message, ByVal KeyData As Keys) As Boolean
		log(clsSysMst.logLevel.DBG, "ProcessCmdKey", "コマンドキー処理 Start")
		Try
			Const WM_KEYDOWN As Integer = &H100
			Const WM_SYSKEYDOWN As Integer = &H104

			If msg.Msg = WM_KEYDOWN OrElse msg.Msg = WM_SYSKEYDOWN Then	'KEYDOWN時
				Select Case True
					Case dgv013XSP200F010.Focused						'結果グリッド
						Select Case True
							Case KeyData.Equals(Keys.Return)
								If _Mode = Enum_Mode.eSel Then
									UpdProc()							'確定処理
								Else
									AddProc()
								End If
								Return True
							Case Else
						End Select

					Case Else
				End Select
			End If

		Catch ex As Exception
			ErrorProc(ex)
		End Try
		Return MyBase.ProcessCmdKey(msg, KeyData)
	End Function

#End Region

End Class
