﻿Imports System.Windows.Forms
Imports XCM

'''---------------------------------------------
''' <summary>
''' バリアンス理由検索画面処理
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
'''---------------------------------------------
Public Class XSP220F010

#Region "コンスタント"

	' コントロール名称
	Private Const CONTROL_C01003XSP220F010 As String = "c01003XSP220F010"
	Private Const CONTROL_C01004XSP220F010 As String = "c01004XSP220F010"
	Private Const CONTROL_C01011XSP220F010 As String = "c01011XSP220F010"

	' データ抽出条件
	Private Const SQLSELECT_MGRP As String = XSP.sqlMTM_VARIANCE_REASON_MGRP.itmM_GRP_CD & " Like '"
	Private Const SQLSELECT_REASONCD As String = XSP.sqlMTM_VARIANCE_REASON.itmREASON_CD & " Like '"
	Private Const SQLSELECT_REASONNM As String = XSP.sqlMTM_VARIANCE_REASON.itmREASON_NM & " Like '"
	Private Const SQLSELECT_END_SINGLE As String = "'"
	Private Const SQLSELECT_ANDSTRING As String = " AND "
	Private Const SQLSELECT_SPLITSTRING As String = ","

	Private Const CONST_DISPCOUNTFORMAT As String = "#,##0"

	''' <summary>理由取得分類モード</summary>
	Private Enum Enum_Select_Grp_Mode
		''' <summary>大分類</summary>
		eLGrp = 0
		''' <summary>中分類</summary>
		eMGrp = 1
	End Enum

#End Region

#Region "変数"

	'ワイルドカード文字
	Private Const WILDCARDCHAR As String = "%"

	'前回値取得・保存コントロール名
	Private LastValueCtl() As String = {"chk006XSP220F010", "chk008XSP220F010", "tab001XSP220F010"}
	'起動パラメータ
	Private _Para As String
	'引数　理由コード
	Private _VarianceCode As String
	'戻り値レコード
	Private _ReasonOneRec As DictionaryEntry
	'画面戻り値
	Private fret As Enum_FormReturn
	'OwnerFormを取得
	Private OwnerForm As frmBase
	' 共通メソッドクラス
	Private cliCom As clsCom
	'グリッドスタイルクラス
	Private cliGridStyle As clsGridStyle

	' バリアンス理由検索クラス
	Private cliMTM_VARIANCE_REASON As clsMTM_VARIANCE_REASON
	Private cliMTM_VARIANCE_REASON_LGRP As clsMTM_VARIANCE_REASON_LGRP
	Private cliMTM_VARIANCE_REASON_MGRP As clsMTM_VARIANCE_REASON_MGRP

	' バリアンス中分類データテーブル
	Private dtReasonMgrp As DataTable
	' バリアンス理由データテーブル
	Private dtReason As DataTable

	' 大分類未選択フラグ
	Private fLGrpFlg As Boolean = True
	' 中分類未選択フラグ
	Private fMGrpFlg As Boolean = True
	' 初期値表示完了フラグ
	Private Shown_Flg As Boolean = False

#End Region

#Region "コンストラクタ"

	'''---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <remarks>
	''' 2010/10/25 新規作成　NCS)久米<BR/>
	''' </remarks>
	'''---------------------------------------------
	Public Sub New(ByVal aPara As String)

		' この呼び出しはデザイナーで必要です。
		InitializeComponent()

		' InitializeComponent() 呼び出しの後で初期化を追加します。
		_Para = aPara
		_VarianceCode = String.Empty
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <remarks>
	''' 2010/10/25 新規作成　NCS)久米<BR/>
	''' </remarks>
	'''---------------------------------------------
	Public Sub New(ByVal aPara As String, ByVal aVarianceCode As String)

		' この呼び出しはデザイナーで必要です。
		InitializeComponent()

		' InitializeComponent() 呼び出しの後で初期化を追加します。
		_Para = aPara
		_VarianceCode = aVarianceCode
	End Sub

#End Region

#Region "イベント"

	'''---------------------------------------------
	''' <summary>
	''' バリアンス理由検索＿Ｌｏａｄ処理
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/25 新規作成　NCS)久米<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub XSP220F010_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
		log(clsSysMst.logLevel.NRM, "XSP220F010_Load", "バリアンス理由検索＿Ｌｏａｄ処理 Start")
		Try
			'OwnerFormを取得
			OwnerForm = Me.Owner

			' クラスの初期化
			cliCom = New clsCom
			cliGridStyle = New clsGridStyle
			cliMTM_VARIANCE_REASON = New clsMTM_VARIANCE_REASON
			cliMTM_VARIANCE_REASON_LGRP = New clsMTM_VARIANCE_REASON_LGRP
			cliMTM_VARIANCE_REASON_MGRP = New clsMTM_VARIANCE_REASON_MGRP

			'グリッド１行の高さを設定
			cliGridStyle.setGridHeight(Me.dgv003XSP220F010)
			cliGridStyle.setGridHeight(Me.dgv004XSP220F010)
			cliGridStyle.setGridHeight(Me.dgv011XSP220F010)

			'大分類一覧Grid設定
			Me.dgv003XSP220F010.AutoGenerateColumns = False
			Me.dgv003XSP220F010.DataSource = cliMTM_VARIANCE_REASON_LGRP.getReason_LGrpList

			'中分類一覧Grid設定
			dtReasonMgrp = cliMTM_VARIANCE_REASON_MGRP.getReason_MGrpList
			Me.dgv004XSP220F010.AutoGenerateColumns = False

			'理由一覧Grid設定
			dtReason = cliMTM_VARIANCE_REASON.getReason_List
			Me.dgv011XSP220F010.AutoGenerateColumns = False
		Catch ex As Exception
			ErrorProc(ex)
			OwnerForm.setCancelFlg(True)
			MyBase.EndProc()
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' バリアンス理由検索＿初期表示
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/25 新規作成　NCS)久米<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub XSP220F010_Shown(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Shown
		log(clsSysMst.logLevel.NRM, "XSP220F010_Shown", "バリアンス理由検索＿初期値表示 Start")
		Try
			If String.IsNullOrEmpty(_VarianceCode) Then
				' 前回値読込み
				Me.LoadLastValue(LastValueCtl)
			Else
				Me.tab001XSP220F010.SelectedIndex = 1
				chk006XSP220F010.Checked = True
				txt007XSP220F010.Text = _VarianceCode
			End If

			' フォーカス制御処理
			setTabFocus()

			'' 大分類のカーソル処理
			'dgv003XSP220F010.FirstDisplayedCell = Nothing
			'dgv003XSP220F010.CurrentCell = Nothing
			Shown_Flg = True
		Catch ex As Exception
			ErrorProc(ex)
			MyBase.EndProc()
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' タブ選択切り替え
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/25 新規作成　NCS)久米<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub tab001XSP220F010_SelectedIndexChanged(ByVal sender As Object, ByVal e As System.EventArgs) Handles tab001XSP220F010.SelectedIndexChanged
		log(clsSysMst.logLevel.NRM, "tab001XSP220F010_SelectedIndexChanged", "タブ選択切り替え Start")
		Try
			' フォーカス制御処理
			setTabFocus()
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' "大分類マウスクリック処理
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/25 新規作成　NCS)久米<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub dgv003XSP220F010_MouseClick(ByVal sender As Object, ByVal e As System.Windows.Forms.MouseEventArgs) Handles dgv003XSP220F010.MouseClick
		log(clsSysMst.logLevel.NRM, "dgv003XSP220F010_MouseClick", "大分類マウスクリック処理 Start")
		Dim lHitTestInfo As System.Windows.Forms.DataGridView.HitTestInfo = Nothing
		Try
			lHitTestInfo = dgv003XSP220F010.HitTest(e.X, e.Y)
			If fLGrpFlg AndAlso lHitTestInfo.RowIndex >= 0 Then
				fLGrpFlg = False
				dgv003XSP220F010.Rows(lHitTestInfo.RowIndex).Cells(1).Selected = True
				' 対象データ抽出
				SeldgvLGrp()
			End If
		Catch ex As Exception
			ErrorProc(ex)
		Finally
			lHitTestInfo = Nothing
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' 大分類フォーカス取得
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/25 新規作成　NCS)久米<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub dgv003XSP220F010_GotFocus(ByVal sender As Object, ByVal e As System.EventArgs) Handles dgv003XSP220F010.GotFocus
		log(clsSysMst.logLevel.NRM, "dgv003XSP220F010_GotFocus", "大分類フォーカス取得 Start")
		Try
			If fLGrpFlg Then
				dgv003XSP220F010.FirstDisplayedCell = Nothing
				dgv003XSP220F010.CurrentCell = Nothing
			End If
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' 大分類セルチェンジ
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/25 新規作成　NCS)久米<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub dgv003XSP220F010_SelectionChanged(ByVal sender As Object, ByVal e As System.EventArgs) Handles dgv003XSP220F010.SelectionChanged
		log(clsSysMst.logLevel.DBG, "dgv003XSP220F010_SelectionChanged", "大分類セルチェンジ Start")	'大量ログ出力になる為DBGに変更
		Try
			If dgv003XSP220F010.Focused = False Then Exit Sub
			If dgv003XSP220F010.CurrentCell Is Nothing Then Exit Sub
			If fLGrpFlg Then
				dgv003XSP220F010.FirstDisplayedCell = Nothing
				dgv003XSP220F010.CurrentCell = Nothing
				Exit Sub
			End If
			SeldgvLGrp()
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' "中分類マウスクリック処理
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/25 新規作成　NCS)久米<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub dgv004XSP220F010_MouseClick(ByVal sender As Object, ByVal e As System.Windows.Forms.MouseEventArgs) Handles dgv004XSP220F010.MouseClick
		log(clsSysMst.logLevel.NRM, "dgv004XSP220F010_MouseClick", "中分類マウスクリック処理 Start")
		Dim lHitTestInfo As System.Windows.Forms.DataGridView.HitTestInfo = Nothing
		Try
			lHitTestInfo = dgv004XSP220F010.HitTest(e.X, e.Y)
			If fMGrpFlg AndAlso lHitTestInfo.RowIndex >= 0 Then
				fMGrpFlg = False
				dgv004XSP220F010.Rows(lHitTestInfo.RowIndex).Cells(1).Selected = True
				' 対象データ抽出
				SeldgvMGrp()
			End If
		Catch ex As Exception
			ErrorProc(ex)
		Finally
			lHitTestInfo = Nothing
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' 中分類フォーカス取得
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/25 新規作成　NCS)久米<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub dgv004XSP220F010_GotFocus(ByVal sender As Object, ByVal e As System.EventArgs) Handles dgv004XSP220F010.GotFocus
		log(clsSysMst.logLevel.NRM, "dgv004XSP220F010_GotFocus", "中分類フォーカス取得 Start")
		Try
			If fMGrpFlg Then
				dgv004XSP220F010.FirstDisplayedCell = Nothing
				dgv004XSP220F010.CurrentCell = Nothing
			End If
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' 中分類セルチェンジ
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/25 新規作成　NCS)久米<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub dgv004XSP220F010_SelectionChanged(ByVal sender As Object, ByVal e As System.EventArgs) Handles dgv004XSP220F010.SelectionChanged
		log(clsSysMst.logLevel.DBG, "dgv004XSP220F010_SelectionChanged", "中分類セルチェンジ Start")	'大量ログ出力になる為DBGに変更
		Try
			If dgv004XSP220F010.Focused = False Then Exit Sub
			If dgv004XSP220F010.CurrentCell Is Nothing Then Exit Sub
			If fMGrpFlg Then
				dgv004XSP220F010.FirstDisplayedCell = Nothing
				dgv004XSP220F010.CurrentCell = Nothing
				Exit Sub
			End If
			SeldgvMGrp()
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' 検索結果グリッドダブルクリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/25 新規作成　NCS)久米<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub dgv011XSP220F010_MouseDoubleClick(ByVal sender As Object, ByVal e As System.Windows.Forms.MouseEventArgs) Handles dgv011XSP220F010.MouseDoubleClick
		log(clsSysMst.logLevel.NRM, "dgv011XSP220F010_MouseDoubleClick", "検索結果グリッドダブルクリック Start")
		Try
			UpdProc()	'確定処理
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' 検索ボタンクリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/25 新規作成　NCS)久米<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub btn010XSP220F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn010XSP220F010.Click
		log(clsSysMst.logLevel.NRM, "btn010XSP220F010_Click", "検索ボタンクリック Start")
		Try
			SearchProc()
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' 確定ボタンクリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/25 新規作成　NCS)久米<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub btn004XSP000F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn004XSP000F010.Click
		log(clsSysMst.logLevel.NRM, "btn004XSP000F010_Click", "確定ボタンクリック Start")
		Try
			UpdProc()
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' 閉じるボタンクリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/25 新規作成　NCS)久米<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub btn005XSP000F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn005XSP000F010.Click
		log(clsSysMst.logLevel.NRM, "btn005XSP000F010_Click", "閉じるボタンクリック Start")
		Try
			EndProc()
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' バリアンス理由検索＿終了処理
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/25 新規作成　NCS)久米<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub XSP220F010_FormClosing(ByVal sender As Object, ByVal e As System.Windows.Forms.FormClosingEventArgs) Handles Me.FormClosing
		log(clsSysMst.logLevel.NRM, "XSP220F010_FormClosing", "バリアンス理由検索＿終了処理 Start")
		Dim FirstException As Exception = Nothing
		Try
			If Shown_Flg Then
				Try
					'前回値保存
					Me.SaveLastValue(LastValueCtl)
				Catch ex As Exception
					' エラー処理は１回のみ
					FirstException = ex
				End Try

				' エラー時は画面にとどまる
				If FirstException IsNot Nothing Then
					e.Cancel = True
					Exit Sub
				End If

				Try
					If fret = Enum_FormReturn.NONE Then
						OwnerForm.backForm(False)
					Else
						OwnerForm.backForm(False, fret, _ReasonOneRec)
					End If
					setCloseFlg()	'Close許可
				Catch ex As Exception
					' エラー時は画面にとどまる
					e.Cancel = True
					Throw
				End Try
			Else
				setCloseFlg()	'Close許可
				OwnerForm.setCancelFlg(True)
				OwnerForm.backForm(False)
			End If
		Catch ex As Exception
			' エラー処理は１回のみ
			FirstException = ex
		Finally
			If FirstException IsNot Nothing Then
				' エラー処理
				ErrorProc(FirstException)
			End If
			FirstException = Nothing
			If Not e.Cancel Then
				cliCom = Nothing
				cliGridStyle = Nothing
				cliMTM_VARIANCE_REASON = Nothing
				cliMTM_VARIANCE_REASON_LGRP = Nothing
				cliMTM_VARIANCE_REASON_MGRP = Nothing
				dtReason = Nothing
				dtReasonMgrp = Nothing
				OwnerForm = Nothing
			End If
		End Try
	End Sub

#End Region

#Region "メソッド"

	'''---------------------------------------------
	''' <summary>
	''' 確定処理
	''' </summary>
	''' <remarks>
	''' 2010/10/25 新規作成　NCS)久米<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub UpdProc()
		log(clsSysMst.logLevel.DBG, "UpdProc", "確定処理 Start")
		Try
			If Me.dgv011XSP220F010.CurrentCell Is Nothing OrElse Me.dgv011XSP220F010.CurrentCell.ColumnIndex < 0 OrElse Me.dgv011XSP220F010.CurrentCell.RowIndex < 0 Then
				showMsg("E0020", "理由を選択", Nothing)
				Exit Sub
				'fret = Enum_FormReturn.NONE
			Else
				fret = Enum_FormReturn.OK
				getReturnReason()
			End If
			Me.Close()
		Catch ex As Exception
			Throw
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' バリアンス検索処理
	''' </summary>
	''' <remarks>
	''' 2010/10/25 新規作成　NCS)久米<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub SearchProc()
		log(clsSysMst.logLevel.DBG, "SearchProc", "バリアンス検索処理 Start")
		Dim lWhereString As String = String.Empty
		Dim lSortString As String = String.Empty
		Dim lKeyCode As String = String.Empty
		Dim lKeyString As String = String.Empty
		Try
			System.Windows.Forms.Cursor.Current = Cursors.WaitCursor	'カーソル砂時計
			Me.lbl012XSP220F010.Text = Nothing							'件数クリア
			lSortString = sqlMTM_VARIANCE_REASON.itmDSPORDER & SQLSELECT_SPLITSTRING & sqlMTM_VARIANCE_REASON.itmREASON_CD
			lKeyCode = txt007XSP220F010.Text
			If String.IsNullOrEmpty(lKeyCode) Then lKeyCode = vbNullChar
			lKeyString = txt009XSP220F010.Text
			If String.IsNullOrEmpty(lKeyString) Then lKeyString = vbNullChar
			'抽出条件
			Select Case True
				Case Me.chk006XSP220F010.Checked AndAlso Me.chk008XSP220F010.Checked
					lWhereString = SQLSELECT_REASONCD & cliCom.getDtItmValue(lKeyCode) & WILDCARDCHAR & SQLSELECT_END_SINGLE & SQLSELECT_ANDSTRING & _
					SQLSELECT_REASONNM & WILDCARDCHAR & cliCom.getDtItmValue(lKeyString) & WILDCARDCHAR & SQLSELECT_END_SINGLE

				Case Me.chk006XSP220F010.Checked
					lWhereString = SQLSELECT_REASONCD & cliCom.getDtItmValue(lKeyCode) & WILDCARDCHAR & SQLSELECT_END_SINGLE

				Case Me.chk008XSP220F010.Checked
					lWhereString = SQLSELECT_REASONNM & WILDCARDCHAR & cliCom.getDtItmValue(lKeyString) & WILDCARDCHAR & SQLSELECT_END_SINGLE

				Case Else
			End Select

			' レコード抽出
			dgv011XSP220F010.DataSource = cliCom.getTableFromRows(dtReason, dtReason.Select(lWhereString, lSortString))
			'件数セット
			Me.lbl012XSP220F010.Text = CType(Me.dgv011XSP220F010.DataSource, DataTable).Rows.Count.ToString(CONST_DISPCOUNTFORMAT)

			If CType(Me.dgv011XSP220F010.DataSource, DataTable).Rows.Count = 0 Then
				showMsg("I0001")		'該当するデータはありませんでした
				setTabFocus()
			Else
				dgv011XSP220F010.Focus()
			End If
		Catch ex As Exception
			Throw
		Finally
			System.Windows.Forms.Cursor.Current = Cursors.Default	'カーソルデフォルト
			lWhereString = Nothing
			lKeyCode = Nothing
			lKeyString = Nothing
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' 戻り値用バリアンス理由情報取得
	''' </summary>
	''' <remarks>
	''' 2010/10/25 新規作成　NCS)久米<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub getReturnReason()
		log(clsSysMst.logLevel.DBG, "getReturnReason", "戻り値用バリアンス理由情報取得 Start")
		Try
			If Me.dgv011XSP220F010.CurrentCell Is Nothing OrElse Me.dgv011XSP220F010.CurrentCell.ColumnIndex < 0 OrElse Me.dgv011XSP220F010.CurrentCell.RowIndex < 0 Then Exit Sub
			_ReasonOneRec.Key = _Para
			_ReasonOneRec.Value = Me.dgv011XSP220F010.CurrentRow.Cells(CONTROL_C01011XSP220F010).Value
		Catch ex As Exception
			Throw
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' タブ位置によりフォーカスを変更
	''' </summary>
	''' <remarks>
	''' 2010/10/25 新規作成　NCS)久米<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub setTabFocus()
		log(clsSysMst.logLevel.DBG, "setTabFocus", "タブ位置によりフォーカスを変更 Start")
		Dim lCurrentCellFlg As Boolean = True
		Try
			' フォーカスを移動させる
			Select Case Me.tab001XSP220F010.SelectedIndex
				Case 0	' 分類検索
					dgv003XSP220F010.Focus()
				Case 1	' 検索
					Select Case True
						Case Me.chk006XSP220F010.Checked
							txt007XSP220F010.Focus()
						Case Me.chk008XSP220F010.Checked
							txt009XSP220F010.Focus()
						Case Else
							btn010XSP220F010.Focus()
					End Select
				Case Else
			End Select
		Catch ex As Exception
			Throw
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' 大分類選択時処理
	''' </summary>
	''' <remarks>
	''' 2010/10/25 新規作成　NCS)久米<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub SeldgvLGrp()
		log(clsSysMst.logLevel.DBG, "SeldgvLGrp", "大分類選択時処理 Start")
		Try
			fLGrpFlg = False	' 大分類未選択フラグ
			fMGrpFlg = True		' 中分類未選択フラグ

			Me.dgv004XSP220F010.DataSource = cliCom.getTableFromRows(dtReasonMgrp, dtReasonMgrp.Select(SQLSELECT_MGRP & _
			cliCom.getDtItmValue(dgv003XSP220F010.CurrentRow.Cells(CONTROL_C01003XSP220F010).Value) & WILDCARDCHAR & _
			  SQLSELECT_END_SINGLE, sqlMTM_VARIANCE_REASON_MGRP.itmDSPORDER & SQLSELECT_SPLITSTRING & sqlMTM_VARIANCE_REASON_MGRP.itmM_GRP_CD))
			SeldgvReason(Enum_Select_Grp_Mode.eLGrp)
			dgv004XSP220F010.ClearSelection()
		Catch ex As Exception
			Throw
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' 中分類選択時処理
	''' </summary>
	''' <remarks>
	''' 2010/10/25 新規作成　NCS)久米<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub SeldgvMGrp()
		log(clsSysMst.logLevel.DBG, "SeldgvMGrp", "中分類選択時処理 Start")
		Try
			fMGrpFlg = False
			SeldgvReason(Enum_Select_Grp_Mode.eMGrp)
		Catch ex As Exception
			Throw
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' 理由抽出処理
	''' </summary>
	''' <remarks>
	''' 2010/10/25 新規作成　NCS)久米<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub SeldgvReason(ByVal aSelect As Enum_Select_Grp_Mode)
		log(clsSysMst.logLevel.DBG, "SeldgvReason", "理由抽出処理 Start")
		Dim lDtRows As DataRow() = Nothing
		Dim lWhereString As String = String.Empty
		Dim lSortString As String = String.Empty
		Dim lSerchKeyString As String = String.Empty
		Try
			Me.lbl012XSP220F010.Text = Nothing					'件数クリア
			If aSelect = Enum_Select_Grp_Mode.eMGrp Then
				lSerchKeyString = cliCom.getDtItmValue(dgv004XSP220F010.CurrentRow.Cells(CONTROL_C01004XSP220F010).Value)
			Else
				lSerchKeyString = cliCom.getDtItmValue(dgv003XSP220F010.CurrentRow.Cells(CONTROL_C01003XSP220F010).Value)
			End If
			lWhereString = SQLSELECT_REASONCD & lSerchKeyString & WILDCARDCHAR & SQLSELECT_END_SINGLE
			lSortString = sqlMTM_VARIANCE_REASON.itmDSPORDER & SQLSELECT_SPLITSTRING & sqlMTM_VARIANCE_REASON.itmREASON_CD
			lDtRows = dtReason.Select(lWhereString, lSortString)
			dgv011XSP220F010.DataSource = cliCom.getTableFromRows(dtReason, lDtRows)
			Me.lbl012XSP220F010.Text = CType(Me.dgv011XSP220F010.DataSource, DataTable).Rows.Count.ToString(CONST_DISPCOUNTFORMAT)	'件数セット

			If CType(Me.dgv011XSP220F010.DataSource, DataTable).Rows.Count = 0 Then
				showMsg("I0001")	'該当するデータはありませんでした
			Else
				dgv011XSP220F010.Focus()
			End If
		Catch ex As Exception
			Throw
		Finally
			lDtRows = Nothing
			lWhereString = Nothing
			lSortString = Nothing
			lSerchKeyString = Nothing
		End Try
	End Sub

#End Region

#Region "オーバーライドメソッド"

	'''---------------------------------------------
	''' <summary>
	''' 終了処理
	''' </summary>
	''' <remarks>
	''' 2010/10/25 新規作成　NCS)久米<BR/>
	''' </remarks>
	'''---------------------------------------------
	Public Overrides Sub EndProc()
		log(clsSysMst.logLevel.DBG, "EndProc", "終了処理 Start")
		Try
			fret = Enum_FormReturn.NONE
			MyBase.EndProc()
		Catch ex As Exception
			Throw
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' Ｆ７キー押下による確定
	''' </summary>
	''' <remarks>
	''' 2010/10/25 新規作成　NCS)久米<BR/>
	''' </remarks>
	'''---------------------------------------------
	Public Overrides Function F7KeyProc() As Boolean
		log(clsSysMst.logLevel.NRM, "F7KeyProc", "Ｆ７キー押下 Start")
		Try
			MyBase.F7KeyProc()
			UpdProc()	'確定処理
		Catch ex As Exception
			Throw
		End Try
		Return True
	End Function

	'''---------------------------------------------
	''' <summary>
	''' Ｆ１２キー押下による終了
	''' </summary>
	''' <remarks>
	''' 2010/10/25 新規作成　NCS)久米<BR/>
	''' </remarks>
	'''---------------------------------------------
	Public Overrides Function F12KeyProc() As Boolean
		log(clsSysMst.logLevel.NRM, "F12KeyProc", "Ｆ１２キー押下 Start")
		Try
			MyBase.F12KeyProc()
			Me.AutoValidate = Windows.Forms.AutoValidate.Disable
			EndProc()	'終了処理
		Catch ex As Exception
			Throw
		End Try
		Return True
	End Function

	'''---------------------------------------------
	''' <summary>
	''' Ｆ１１キー押下による検索
	''' </summary>
	''' <remarks>
	''' 2010/10/25 新規作成　NCS)久米<BR/>
	''' </remarks>
	'''---------------------------------------------
	Public Overrides Function F11KeyProc() As Boolean
		log(clsSysMst.logLevel.NRM, "F11KeyProc", "Ｆ１１キー押下 Start")
		Try
			MyBase.F11KeyProc()
			SearchProc()	'検索処理
		Catch ex As Exception
			Throw
		End Try
		Return True
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' Ｆ１０キー押下処理
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2010/10/25 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function F10KeyProc() As Boolean
		log(clsSysMst.logLevel.NRM, "F10KeyProc", "Ｆ１０キー押下処理")
		Dim lCurrentCellFlg As Boolean = True
		Try
			If dgv003XSP220F010.CurrentCell Is Nothing Then lCurrentCellFlg = False

			If Me.tab001XSP220F010.SelectedIndex >= Me.tab001XSP220F010.TabPages.Count - 1 Then
				Me.tab001XSP220F010.SelectedIndex = 0
			Else
				Me.tab001XSP220F010.SelectedIndex = Me.tab001XSP220F010.SelectedIndex + 1
			End If

		Catch ex As Exception
			Throw
		End Try
		Return True
	End Function

	'''---------------------------------------------
	''' <summary>
	''' コマンドキー処理
	''' </summary>
	''' <param name="msg"></param>
	''' <param name="KeyData"></param>
	''' <returns></returns>
	''' <remarks>
	''' 2010/10/25 新規作成　NCS)久米<BR/>
	''' </remarks>
	'''---------------------------------------------
	Protected Overrides Function ProcessCmdKey(ByRef msg As Message, ByVal KeyData As Keys) As Boolean
		log(clsSysMst.logLevel.DBG, "ProcessCmdKey", "コマンドキー処理 Start")
		Try
			Const WM_KEYDOWN As Integer = &H100
			Const WM_SYSKEYDOWN As Integer = &H104

			If msg.Msg = WM_KEYDOWN OrElse msg.Msg = WM_SYSKEYDOWN Then	'KEYDOWN時
				Select Case True
					Case dgv011XSP220F010.Focused	' 結果グリッド
						Select Case True
							Case KeyData.Equals(Keys.Return)
								If dgv011XSP220F010.CurrentRow Is Nothing Then
									tab001XSP220F010.Focus()
								Else
									UpdProc()
								End If
								Return True
							Case Else
						End Select

					Case dgv003XSP220F010.Focused	' 大分類グリッド
						Select Case True
							Case KeyData.Equals(Keys.Down)
								If Not dgv003XSP220F010.CurrentCell Is Nothing Then Return False
								If dgv003XSP220F010.RowCount = 0 Then Return False
								dgv003XSP220F010.CurrentCell = dgv003XSP220F010(0, 0)
								SeldgvLGrp()
								Return True
							Case Else
						End Select

					Case dgv004XSP220F010.Focused	' 中分類グリッド
						Select Case True
							Case KeyData.Equals(Keys.Down)
								If Not dgv004XSP220F010.CurrentCell Is Nothing Then Return False
								If dgv004XSP220F010.RowCount = 0 Then Return False
								dgv004XSP220F010.CurrentCell = dgv004XSP220F010(0, 0)
								SeldgvMGrp()
								Return True
							Case Else
						End Select

					Case Else
				End Select
			End If

		Catch ex As Exception
			ErrorProc(ex)
		End Try
		Return MyBase.ProcessCmdKey(msg, KeyData)
	End Function

#End Region

End Class