﻿Imports XCM

''' ---------------------------------------------
''' <summary>
''' 管理物グループ検索クラス（新規作成：V4-14047）
''' </summary>
''' <remarks>
''' Copyright 2013 FUJITSU SYSTEMS WEST LIMITED All rights reserved.<BR/>
''' FUJITSU SYSTEMS WEST LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class XSP240F010

#Region "コンスタント"

	Private Const C_NONE_GRP_NM As String = "グループなし"
	Private Const C_NONE_GRP_RNM As String = "ｸﾞﾙｰﾌﾟなし"

	''' ---------------------------------------------
	''' <summary>
	''' 検索種別
	''' </summary>
	''' ---------------------------------------------
	Public Enum Enum_XSP240_SearchType
		''' ---------------------------------------------
		''' <summary>
		''' 管理物検索
		''' </summary>
		''' ---------------------------------------------
		eNormal = 0
		''' ---------------------------------------------
		''' <summary>
		''' 区分１検索
		''' </summary>
		''' ---------------------------------------------
		eDiv1 = 1
		''' ---------------------------------------------
		''' <summary>
		''' 区分２検索
		''' </summary>
		''' ---------------------------------------------
		eDiv2 = 2
		''' ---------------------------------------------
		''' <summary>
        ''' 貸出コンボ
		''' </summary>
		''' ---------------------------------------------
		eLendCmb = 3
		''' ---------------------------------------------
		''' <summary>
		''' バーコード（区分１、区分２ともにテキストでない場合）
		''' </summary>
		''' ---------------------------------------------
		eBarcode = 4
		''' ---------------------------------------------
		''' <summary>
		''' データテーブルと一致するもののみ表示
		''' </summary>
		''' ---------------------------------------------
		eDataTableSelect = 5
'(A) STR V4-14047-000 008 2013/11/26 ID)鐘井 貸出管理レベルアップ２次開発　大規模病院への対応　グループ検索
        ''' ---------------------------------------------
        ''' <summary>
        ''' 区分２検索
        ''' </summary>
        ''' ---------------------------------------------
        eDiv1AndDiv2 = 6
'(A) END V4-14047-000 008 2013/11/26 ID)鐘井 貸出管理レベルアップ２次開発　大規模病院への対応　グループ検索

	End Enum

#End Region

#Region "変数"

	Private dtMng As DataTable									'管理物マスタ
	Private dtGrp As DataTable									'管理物グループマスタ
	Private fret As Enum_FormReturn = Enum_FormReturn.CANSEL	'画面戻りフラグ
	Private _searchType As Enum_XSP240_SearchType = Enum_XSP240_SearchType.eNormal
	Private _dtSelect As DataTable
'(A) STR V4-15007-000 003 2014/03/03 ID)鐘井 貸出管理レベルアップ４次開発　共通管理物の対応
    Private _CmnMngItemSetFlg As Boolean = True                 'true:共通管理物含む false:共通管理物含まない　
'(A) END V4-15007-000 003 2014/03/03 ID)鐘井 貸出管理レベルアップ４次開発　共通管理物の対応

#End Region

#Region "コンストラクタ"

	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <remarks>
	''' 2013/07/23 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Sub New()
		' この呼び出しは、Windows フォーム デザイナで必要です。
		InitializeComponent()
		' InitializeComponent() 呼び出しの後で初期化を追加します。
'(A) STR V4-15007-000 003 2014/03/03 ID)鐘井 貸出管理レベルアップ４次開発　共通管理物の対応
		_CmnMngItemSetFlg = True
'(A) END V4-15007-000 003 2014/03/03 ID)鐘井 貸出管理レベルアップ４次開発　共通管理物の対応
	End Sub

'(A) STR V4-15007-000 016 2014/03/03 ID)鐘井 貸出管理レベルアップ４次開発　共通管理物の対応
	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <remarks>
	''' 2014/03/17 新規作成　ID)鐘井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Sub New(ByVal pCmnMngItemSetflg As Boolean)
		' この呼び出しは、Windows フォーム デザイナで必要です。
		InitializeComponent()
		' InitializeComponent() 呼び出しの後で初期化を追加します。
		_CmnMngItemSetFlg = pCmnMngItemSetflg
	End Sub
'(A) END V4-15007-000 016 2014/03/03 ID)鐘井 貸出管理レベルアップ４次開発　共通管理物の対応

	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <remarks>
	''' 2013/07/23 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Sub New(ByVal _serchtype As Enum_XSP240_SearchType, ByVal pCmnMngItemSetflg As Boolean)
'(M) STR V4-15007-000 003 2014/03/03 ID)鐘井 貸出管理レベルアップ４次開発　共通管理物の対応
'    Public Sub New(ByVal _serchtype As Enum_XSP240_SearchType)
'(M) END V4-15007-000 003 2014/03/03 ID)鐘井 貸出管理レベルアップ４次開発　共通管理物の対応
		' この呼び出しは、Windows フォーム デザイナで必要です。
		InitializeComponent()
		' InitializeComponent() 呼び出しの後で初期化を追加します。
		_searchType = _serchtype
'(A) STR V4-15007-000 003 2014/03/03 ID)鐘井 貸出管理レベルアップ４次開発　共通管理物の対応
		_CmnMngItemSetFlg = pCmnMngItemSetflg
'(A) END V4-15007-000 003 2014/03/03 ID)鐘井 貸出管理レベルアップ４次開発　共通管理物の対応
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ（データテーブルと一致するもののみ表示）
	''' </summary>
	''' <remarks>
	''' 2013/07/23 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Sub New(ByVal _serchtype As Enum_XSP240_SearchType, ByVal dtSelect As DataTable, ByVal pCmnMngItemSetflg As Boolean)
'(M) STR V4-15007-000 003 2014/03/03 ID)鐘井 貸出管理レベルアップ４次開発　共通管理物の対応
'    Public Sub New(ByVal _serchtype As Enum_XSP240_SearchType, ByVal dtSelect As DataTable)
'(M) END V4-15007-000 003 2014/03/03 ID)鐘井 貸出管理レベルアップ４次開発　共通管理物の対応
		' この呼び出しは、Windows フォーム デザイナで必要です。
		InitializeComponent()
		' InitializeComponent() 呼び出しの後で初期化を追加します。
		_searchType = _serchtype
		_dtSelect = dtSelect
'(A) STR V4-15007-000 003 2014/03/03 ID)鐘井 貸出管理レベルアップ４次開発　共通管理物の対応
		_CmnMngItemSetFlg = pCmnMngItemSetflg
'(A) END V4-15007-000 003 2014/03/03 ID)鐘井 貸出管理レベルアップ４次開発　共通管理物の対応
	End Sub

#End Region

#Region "イベント"

	''' ---------------------------------------------
	''' <summary>
	''' フォームを開く時
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2013/07/23 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub XSP240F010_Load(sender As Object, e As System.EventArgs) Handles Me.Load
		log(clsSysMst.logLevel.NRM, "XSP240F010_Load", "フォームを開く時 Start")
		Dim cliGridStyle As clsGridStyle
'(A) STR V4-15003-000 003 2014/02/12 ID)鐘井 貸出管理　管理物グループ検索、区分グループ検索におけるカーソル位置設定の対応
        Dim cliCom As clsCom
'(A) END V4-15003-000 003 2014/02/12 ID)鐘井 貸出管理　管理物グループ検索、区分グループ検索におけるカーソル位置設定の対応
        Try
            ' グリッド設定
            cliGridStyle = New clsGridStyle
            cliGridStyle.setGridHeight(Me.dgv001XSP240F010)
            Me.dgv001XSP240F010.ReadOnly = True
            Me.dgv001XSP240F010.AutoGenerateColumns = False
            cliGridStyle.setGridHeight(Me.dgv002XSP240F010)
            Me.dgv002XSP240F010.ReadOnly = True
            Me.dgv002XSP240F010.AutoGenerateColumns = False

            Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
                '管理物グループマスタ全件取得
                dtGrp = New DataTable
                Using cliLTM_MNGITEM_GRP As New clsLTM_MNGITEM_GRP
                    dtGrp = cliLTM_MNGITEM_GRP.getMngItemListAll(db)
                End Using
                '管理物マスタ全件取得
                dtMng = New DataTable
                Using cliLTM_MNGITEM As New clsLTM_MNGITEM
'(M) STR V4-15007-000 004 2014/03/03 ID)鐘井 貸出管理レベルアップ４次開発　共通管理物の対応
'                    dtMng = cliLTM_MNGITEM.getMngItemList(db)
					dtMng = cliLTM_MNGITEM.getMngItemList(db, _CmnMngItemSetFlg)
'(M) END V4-15007-000 004 2014/03/03 ID)鐘井 貸出管理レベルアップ４次開発　共通管理物の対応
                    For i As Integer = dtMng.Rows.Count - 1 To 0 Step -1
                        With dtMng.Rows(i)
                            Select Case _searchType
                                Case Enum_XSP240_SearchType.eDiv1
                                    ' 区分１マスタ画面で使用
                                    If String.IsNullOrEmpty(.Item(sqlLTM_MNGITEM.itmDIV1TITLE).ToString) = True OrElse _
                                       CType(clsConst.Enum_DivType_Flg.Cmb_Type, String).Equals( _
                                            .Item(sqlLTM_MNGITEM.itmDIV1TEXT_FLG).ToString _
                                        ) = False Then
                                        .Delete()
                                    End If
                                Case Enum_XSP240_SearchType.eDiv2
                                    ' 区分２マスタ画面で使用
                                    If String.IsNullOrEmpty(.Item(sqlLTM_MNGITEM.itmDIV2TITLE).ToString) = True OrElse _
                                       CType(clsConst.Enum_DivType_Flg.Cmb_Type, String).Equals( _
                                            .Item(sqlLTM_MNGITEM.itmDIV2TEXT_FLG).ToString _
                                        ) = False Then
                                        .Delete()
                                    End If
                                Case Enum_XSP240_SearchType.eLendCmb
                                    ' 貸出コンボマスタ画面で使用
                                    If String.IsNullOrEmpty(.Item(sqlLTM_MNGITEM.itmMNGITEMCMB1TITLE).ToString) = True AndAlso _
                                       String.IsNullOrEmpty(.Item(sqlLTM_MNGITEM.itmMNGITEMCMB2TITLE).ToString) = True Then
                                        .Delete()
                                    End If
                                Case Enum_XSP240_SearchType.eBarcode
                                    ' バーコード（貸出管理）で使用
                                    If CType(clsConst.Enum_DivType_Flg.Txt_Type, String).Equals( _
                                            .Item(sqlLTM_MNGITEM.itmDIV1TEXT_FLG).ToString) = True Then
                                        .Delete() : Continue For
                                    End If
                                    If CType(clsConst.Enum_DivType_Flg.Txt_Type, String).Equals( _
                                            .Item(sqlLTM_MNGITEM.itmDIV2TEXT_FLG).ToString) = True Then
                                        .Delete() : Continue For
                                    End If
                                Case Enum_XSP240_SearchType.eDataTableSelect
                                    ' データテーブル（引数）より存在するもののみ表示
                                    If _dtSelect IsNot Nothing Then
                                        If _dtSelect.Select(sqlLTM_MNGITEM.itmMNGITEM_CD & " = '" & .Item(sqlLTM_MNGITEM.itmMNGITEM_CD).ToString & "'").Length = 0 Then
                                            .Delete() : Continue For
                                        End If
                                    Else
                                        .Delete() : Continue For
                                    End If
'(A) STR V4-14047-000 021 2013/11/26 ID)鐘井 貸出管理レベルアップ２次開発　大規模病院への対応　グループ検索
                                Case Enum_XSP240_SearchType.eDiv1AndDiv2
                                    Dim Div1Flg As Boolean = False
                                    Dim Div2Flg As Boolean = False
                                    ' 区分マスタ画面で使用
                                    If String.IsNullOrEmpty(.Item(sqlLTM_MNGITEM.itmDIV1TITLE).ToString) = True OrElse _
                                       CType(clsConst.Enum_DivType_Flg.Cmb_Type, String).Equals( _
                                            .Item(sqlLTM_MNGITEM.itmDIV1TEXT_FLG).ToString _
                                        ) = False Then
                                        Div1Flg = True
                                    End If
                                    If String.IsNullOrEmpty(.Item(sqlLTM_MNGITEM.itmDIV2TITLE).ToString) = True OrElse _
                                       CType(clsConst.Enum_DivType_Flg.Cmb_Type, String).Equals( _
                                            .Item(sqlLTM_MNGITEM.itmDIV2TEXT_FLG).ToString _
                                        ) = False Then
                                        Div2Flg = True
                                    End If
                                    If Div1Flg = True AndAlso Div2Flg = True Then
                                        .Delete() : Continue For
                                    End If
'(A) END V4-14047-000 021 2013/11/26 ID)鐘井 貸出管理レベルアップ２次開発　大規模病院への対応　グループ検索
                                Case Else
                                    Continue For
                            End Select
                        End With
                    Next
                    dtMng.AcceptChanges()
                End Using
                ' 管理物グループマスタに存在しないか、管理物グループコードが未入力の場合、空白を設定
                Dim bEmpty As Boolean = False
                For Each dr As DataRow In dtMng.Rows
                    If String.IsNullOrEmpty(dr(sqlLTM_MNGITEM.itmMNGITEM_GRP_CD).ToString) Then
                        dr(sqlLTM_MNGITEM.itmMNGITEM_GRP_CD) = String.Empty
                        bEmpty = True
                    ElseIf dtGrp.Select(sqlLTM_MNGITEM.itmMNGITEM_GRP_CD & " = '" & dr(sqlLTM_MNGITEM.itmMNGITEM_GRP_CD).ToString & "'").Length <= 0 Then
                        dr(sqlLTM_MNGITEM.itmMNGITEM_GRP_CD) = String.Empty
                        bEmpty = True
                    End If
                Next
                ' 管理物グループマスタに存在しないか、管理物グループコードが未入力の場合、「グループなし」を設定
                If bEmpty Then
                    Dim dr As DataRow = dtGrp.NewRow
                    dr(sqlLTM_MNGITEM_GRP.itmMNGITEM_GRP_CD) = String.Empty
                    dr(sqlLTM_MNGITEM_GRP.itmMNGITEM_GRP_NM) = C_NONE_GRP_NM
                    dr(sqlLTM_MNGITEM_GRP.itmMNGITEM_GRP_RNM) = C_NONE_GRP_RNM
                    dtGrp.Rows.Add(dr)
                    dtGrp.DefaultView.Sort = sqlLTM_MNGITEM_GRP.itmDSPORDER & "," & sqlLTM_MNGITEM_GRP.itmMNGITEM_GRP_CD
                    dtGrp = dtGrp.DefaultView.ToTable
                End If
            End Using

            Me.dgv001XSP240F010.DataSource = dtGrp
            Me.dgv002XSP240F010.DataSource = dtMng.Clone
            Me.dgv001XSP240F010.ClearSelection()
'(A) STR V4-15003-000 013 2014/02/12 ID)鐘井 貸出管理　管理物グループ検索、区分グループ検索におけるカーソル位置設定の対応
            cliCom = New clsCom
            Select Case True
                Case Me.dgv001XSP240F010.RowCount = 1
                    'グループが存在しない場合
                    cliCom.setFirstRowAndCellSelect(Me.dgv001XSP240F010)
                    cliCom.setFirstRowAndCellSelect(Me.dgv002XSP240F010)
                Case Me.dgv001XSP240F010.RowCount >= 2
                    'グループが複数存在する場合
                    cliCom.setFirstRowAndCellSelect(Me.dgv001XSP240F010)
                Case Else
            End Select
'(A) END V4-15003-000 013 2014/02/12 ID)鐘井 貸出管理　管理物グループ検索、区分グループ検索におけるカーソル位置設定の対応
        Catch ex As Exception
            Me.ErrorProc(ex)
            CType(Me.Owner, frmBase).setCancelFlg(True)      'Load時に強制的に画面を閉じる場合に必要
            EndProc()
        Finally
            cliGridStyle = Nothing
'(A) STR V4-15003-000 003 2014/02/12 ID)鐘井 貸出管理　管理物グループ検索、区分グループ検索におけるカーソル位置設定の対応
            cliCom = Nothing
'(A) END V4-15003-000 003 2014/02/12 ID)鐘井 貸出管理　管理物グループ検索、区分グループ検索におけるカーソル位置設定の対応
        End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' フォームが閉じる時
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2013/07/23 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub XSP240F010_FormClosing(sender As Object, e As System.Windows.Forms.FormClosingEventArgs) Handles Me.FormClosing
		Try
			setCloseFlg()	'Close許可
			If fret = Enum_FormReturn.CANSEL Then
				CType(Me.Owner, frmBase).backForm(False)
			Else
				CType(Me.Owner, frmBase).backForm(False, fret, New DictionaryEntry(Me.Name, Me.dgv002XSP240F010.CurrentRow.Cells(Me.c02002XSP240F010.Name).Value.ToString))	 ' Debug
			End If

			Me.dgv001XSP240F010.DataSource = Nothing
			Me.dgv002XSP240F010.DataSource = Nothing

			If dtGrp IsNot Nothing Then dtGrp.Dispose()
			If dtMng IsNot Nothing Then dtMng.Dispose()
		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			dtGrp = Nothing
			dtMng = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 閉じるボタンクリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2013/07/23 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn005XSP000F010_Click(sender As System.Object, e As System.EventArgs) Handles btn005XSP000F010.Click
		log(clsSysMst.logLevel.NRM, "btn005XSP000F010_Click", "閉じるボタンクリック Start")
		Try
			' マウスカーソルを砂時計に変更
			Me.Cursor = Cursors.WaitCursor
			fret = Enum_FormReturn.CANSEL
			' 終了処理
			EndProc()
		Catch ex As Exception
			ErrorProc(ex)
		Finally
			' マウスカーソルを標準に戻す
			Me.Cursor = Cursors.Default
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 確定ボタンクリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2013/07/23 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn004XSP000F010_Click(sender As System.Object, e As System.EventArgs) Handles btn004XSP000F010.Click
		log(clsSysMst.logLevel.NRM, "btn004XSP000F010_Click", "確定ボタンクリック Start")
		Try
			' マウスカーソルを砂時計に変更
			Me.Cursor = Cursors.WaitCursor
			' 確定処理
			UpdProc()
		Catch ex As Exception
			ErrorProc(ex)
		Finally
			' マウスカーソルを標準に戻す
			Me.Cursor = Cursors.Default
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 管理物グループ選択時
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2013/07/23 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub dgv001XSP240F010_SelectionChanged(sender As Object, e As System.EventArgs) Handles dgv001XSP240F010.SelectionChanged
		log(clsSysMst.logLevel.NRM, "dgv001XSP240F010_SelectionChanged", "管理物グループ選択時 Start")
		Dim cliCom As clsCom
		Try
			Dim dr() As DataRow
			cliCom = New clsCom
			If dgv001XSP240F010.CurrentRow Is Nothing OrElse dgv001XSP240F010.CurrentRow.Index < 0 Then Exit Sub

			If dgv001XSP240F010.SelectedRows Is Nothing OrElse dgv001XSP240F010.SelectedRows.Count <= 0 Then
				Me.dgv002XSP240F010.DataSource = dtMng.Clone
			Else
				dr = dtMng.Select(sqlLTM_MNGITEM_GRP.itmMNGITEM_GRP_CD & " = '" & cliCom.getDtItmValue(dgv001XSP240F010.CurrentRow.Cells(Me.c01001XSP240F010.Name).Value.ToString) & "'")
				Me.dgv002XSP240F010.DataSource = cliCom.getTableFromRows(dtMng, dr)
			End If
			Me.dgv002XSP240F010.ClearSelection()
		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			cliCom = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 管理物一覧ダブルクリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2013/07/30 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub dgv002XSP240F010_CellDoubleClick(sender As Object, e As System.Windows.Forms.DataGridViewCellEventArgs) Handles dgv002XSP240F010.CellDoubleClick
		log(clsSysMst.logLevel.NRM, "dgv002XSP240F010_CellDoubleClick", "管理物一覧ダブルクリック Start")
		Try
			If e.RowIndex < 0 Then Exit Sub
			UpdProc()
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

#End Region

#Region "メソッド"

	'''---------------------------------------------
	''' <summary>
	''' 確定処理
	''' </summary>
	''' <remarks>
	''' 2013/07/23 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub UpdProc()
		log(clsSysMst.logLevel.DBG, "UpdProc", "確定処理 Start")
		Try
			If Me.dgv002XSP240F010.SelectedRows Is Nothing OrElse Me.dgv002XSP240F010.SelectedRows.Count <= 0 Then
				fret = Enum_FormReturn.NONE
				showMsg("E0020", "管理物を選択", Nothing)
			Else
				If String.IsNullOrEmpty(Me.dgv002XSP240F010.CurrentRow.Cells(Me.c02002XSP240F010.Name).Value.ToString) Then
					fret = Enum_FormReturn.NONE
					showMsg("E0020", "管理物を選択", Nothing)
					Exit Try
				End If
				fret = Enum_FormReturn.OK
				Me.Close()
			End If
		Catch ex As Exception
			Throw
		End Try
	End Sub

#End Region

#Region "オーバーライドメソッド"

	''' ---------------------------------------------
	''' <summary>
	''' Ｆ７キー押下による確定
	''' </summary>
	''' <remarks>
	''' 2013/07/23 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function F7KeyProc() As Boolean
		log(clsSysMst.logLevel.NRM, "F7KeyProc", "Ｆ７キー押下 Start")
		Try
			MyBase.F7KeyProc()
			UpdProc()	'確定処理
		Catch ex As Exception
			Throw
		End Try
		Return True
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' Ｆ１２キー押下による終了
	''' </summary>
	''' <remarks>
	''' 2013/07/23 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function F12KeyProc() As Boolean
		log(clsSysMst.logLevel.NRM, "F12KeyProc", "Ｆ１２キー押下 Start")
		Try
			MyBase.F12KeyProc()
			Me.AutoValidate = Windows.Forms.AutoValidate.Disable
			EndProc()	'終了処理
		Catch ex As Exception
			Throw
		End Try
		Return True
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' ＥＮＴＥＲキーによる医療機関確定
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2013/07/23 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function EnterProc() As Boolean
		log(clsSysMst.logLevel.NRM, "EnterProc", "ＥＮＴＥＲキー押下 Start")
		Try
'(M) STR V4-15003-000 005 2014/02/12 ID)鐘井 貸出管理　管理物グループ検索、区分グループ検索におけるカーソル位置設定の対応
'            If Me.ActiveControl.Name = Me.dgv002XSP240F010.Name Then
            Select Case True
                Case Me.ActiveControl.Name = Me.dgv002XSP240F010.Name
'(M) END V4-15003-000 005 2014/02/12 ID)鐘井 貸出管理　管理物グループ検索、区分グループ検索におけるカーソル位置設定の対応
                    If Me.dgv002XSP240F010.CurrentCell Is Nothing OrElse Me.dgv002XSP240F010.CurrentCell.ColumnIndex < 0 OrElse Me.dgv002XSP240F010.CurrentCell.RowIndex < 0 Then
                        Return MyBase.EnterProc()
                    Else
                        UpdProc()   '確定処理
                        Return True
                    End If
'(M) STR V4-15003-000 015 2014/02/12 ID)鐘井 貸出管理　管理物グループ検索、区分グループ検索におけるカーソル位置設定の対応
'            Else
'                Return MyBase.EnterProc()
'            End If
                Case Me.ActiveControl.Name = Me.dgv001XSP240F010.Name
                    If Me.dgv002XSP240F010.RowCount >= 1 Then
                        Me.dgv002XSP240F010.Rows(0).Selected = True
                        Return MyBase.EnterProc()
                    Else
                        Return True
                    End If
                Case Else
                    Return MyBase.EnterProc()
            End Select
'(M) END V4-15003-000 015 2014/02/12 ID)鐘井 貸出管理　管理物グループ検索、区分グループ検索におけるカーソル位置設定の対応
        Catch ex As Exception
            Throw
        End Try
	End Function

#End Region

End Class