﻿Imports XCM
Imports System.Reflection
''' ---------------------------------------------
''' <summary>
''' 共通処理_代表医師登録クラス
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public NotInheritable Class clsMAIN_DOCTOR

#Region "解放処理"
    Implements IDisposable

    '解放処理時使用＊＊
    Protected disposed As Boolean = False

    ''' ---------------------------------------------
    ''' <summary>
    ''' Dispose（解放処理）※外からはよばない
    ''' </summary>
    ''' <param name="disposing"></param>
    ''' <remarks>
    ''' 2009/11/12 新規作成 CS)荒川<BR/>
    ''' </remarks>
    ''' ---------------------------------------------
    Protected Overloads Sub Dispose(ByVal disposing As Boolean)
        If Not Me.disposed Then
            'ここで変数のクリアを行う
        End If
        Me.disposed = True
    End Sub

    ''' ---------------------------------------------
    ''' <summary>
    ''' Finalize（解放処理）
    ''' </summary>
    ''' <remarks>
    ''' 2009/11/12 新規作成 CS)荒川<BR/>
    ''' </remarks>
    ''' ---------------------------------------------
    Public Overloads Sub Dispose() Implements IDisposable.Dispose
        Dispose(True)
        GC.SuppressFinalize(Me)
    End Sub

    ''' ---------------------------------------------
    ''' <summary>
    ''' Finalize（解放処理）※外からはよばない
    ''' </summary>
    ''' <remarks>
    ''' 2009/11/12 新規作成 CS)荒川<BR/>
    ''' </remarks>
    ''' ---------------------------------------------
    Protected Overrides Sub Finalize()
        Dispose(False)
        MyBase.Finalize()
    End Sub
#End Region

    ''' ---------------------------------------------
    ''' <summary>
    ''' 主治医データ取得処理
    ''' </summary>
    ''' <param name="strPatient_No">患者番号</param>
    ''' <param name="iHsp_History_No">入退院歴番号</param>
    ''' <param name="iCh_No">科歴番号</param>
    ''' <returns></returns>
    ''' <remarks>
    ''' 2010/10/25 新規作成　CS)平井<BR/>
    ''' </remarks>
    ''' ---------------------------------------------
    Public Function getMain_Doctor(ByVal strPatient_No As String,
                                   ByVal iHsp_History_No As Integer,
                                   ByVal iCh_No As Integer) As String
        Dim iRet As Integer
        Dim arData As ArrayList = New ArrayList
        Try
            Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
                With db
                    If iCh_No = sqlMAIN_DOCTOR.C_FIX_0 Then
                        ' ■入退院情報
                        .setSQL(sqlMAIN_DOCTOR.sqlSelHsp)
                        ' 患者番号
						.setParam(sqlMAIN_DOCTOR.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
						.setVal(sqlMAIN_DOCTOR.prmPATIENT_NO, strPatient_No)
						' 入退院歴番号
						.setParam(sqlMAIN_DOCTOR.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
						.setVal(sqlMAIN_DOCTOR.prmHSP_HISTORY_NO, iHsp_History_No.ToString)
					Else
						' ■科歴情報
						.setSQL(sqlMAIN_DOCTOR.sqlSelCh)
						' 患者番号
						.setParam(sqlMAIN_DOCTOR.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
						.setVal(sqlMAIN_DOCTOR.prmPATIENT_NO, strPatient_No)
						' 入退院歴番号
						.setParam(sqlMAIN_DOCTOR.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
						.setVal(sqlMAIN_DOCTOR.prmHSP_HISTORY_NO, iHsp_History_No.ToString)
						' 科歴番号
						.setParam(sqlMAIN_DOCTOR.prmCH_NO, clsDB.Enum_dbType.dbInt)
						.setVal(sqlMAIN_DOCTOR.prmCH_NO, iCh_No.ToString)
					End If
					iRet = .execQuery(GetType(datDOCTOR), arData)
					If iRet = 0 OrElse
						String.IsNullOrEmpty(CType(arData(0), datDOCTOR).DOCTOR_CD) Then
						Return Nothing
					Else
						Return CType(arData(0), datDOCTOR).DOCTOR_CD
					End If

				End With
			End Using

		Catch ex As SqlClient.SqlException
			Throw
		Catch ex As Exception
			Throw
		Finally
			arData = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 主科フラグ取得処理
	''' </summary>
	''' <param name="db">clsDB</param>
	''' <param name="strPatient_No">患者番号</param>
	''' <param name="iHsp_History_No">入退院歴番号</param>
	''' <param name="iCh_No">科歴番号</param>
	''' <returns></returns>
	''' <remarks>
	''' 2010/10/25 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function getMain_Dpm_Flg(ByVal db As clsDB,
												ByVal strPatient_No As String,
												ByVal iHsp_History_No As Integer,
												ByVal iCh_No As Integer) As String
		Dim iRet As Integer
		Dim arData As ArrayList = New ArrayList
		Try
			With db
				' ■科歴情報
				.setSQL(sqlMAIN_DOCTOR.sqlSelCh_MAIN_DPM_FLG)
				' 患者番号
				.setParam(sqlMAIN_DOCTOR.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
				.setVal(sqlMAIN_DOCTOR.prmPATIENT_NO, strPatient_No)
				' 入退院歴番号
				.setParam(sqlMAIN_DOCTOR.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
				.setVal(sqlMAIN_DOCTOR.prmHSP_HISTORY_NO, iHsp_History_No.ToString)
				' 科歴番号
				.setParam(sqlMAIN_DOCTOR.prmCH_NO, clsDB.Enum_dbType.dbInt)
				.setVal(sqlMAIN_DOCTOR.prmCH_NO, iCh_No.ToString)

				iRet = .execQuery(GetType(datDOCTOR_MAIN_DPM_FLG), arData)

				If iRet = 0 OrElse
					String.IsNullOrEmpty(CType(arData(0), datDOCTOR_MAIN_DPM_FLG).MAIN_DPM_FLG) Then
					Return Nothing
				Else
					Return CType(arData(0), datDOCTOR_MAIN_DPM_FLG).MAIN_DPM_FLG
				End If

			End With

		Catch ex As SqlClient.SqlException
			Throw
		Catch ex As Exception
			Throw
		Finally
			arData = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 代表医師更新処理
	''' </summary>
	''' <param name="db">clsDB</param>
	''' <param name="strPatient_No">患者番号</param>
	''' <param name="iHsp_History_No">入退院歴番号</param>
	''' <param name="iCh_No">科歴番号</param>
	''' <param name="strDoctor_Cd">医師コード</param>
	''' <param name="strUserId">更新者コード</param>
	''' <returns></returns>
	''' <remarks>
	''' 2010/10/25 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function updMain_Doctor(ByVal db As clsDB,
								   ByVal strPatient_No As String,
								   ByVal iHsp_History_No As Integer,
								   ByVal iCh_No As Integer,
								   ByVal strDoctor_Cd As String,
								   ByVal strUserId As String) As Integer
		Try
			'医師区分コード取得
			Dim strDoctor_Div_Cd As String = getDoctor_Div_Cd()
			If String.IsNullOrEmpty(strDoctor_Div_Cd) Then
				Return 1
			End If
			' 更新処理
			With db
				Try
					' 医師情報削除
					If Not delDoctor(db,
									 strPatient_No,
									 iHsp_History_No,
									 iCh_No) Then
						Return 9
					End If
					' 医師情報登録
					If Not insDoctor(db,
									 strPatient_No,
									 iHsp_History_No,
									 iCh_No,
									 strDoctor_Cd,
									 strDoctor_Div_Cd,
									 strUserId) Then
						Return 9
					End If
					'主科フラグ取得
					Dim strMain_Dpm_Flg As String = getMain_Dpm_Flg(db,
																	strPatient_No,
																	iHsp_History_No,
																	iCh_No)
					If String.IsNullOrEmpty(strMain_Dpm_Flg) Then
						Return 2
					End If
					' 科歴情報医師コード更新
					If Not updCh_Doctor_Cd(db,
										   strPatient_No,
										   iHsp_History_No,
										   iCh_No,
										   strDoctor_Cd,
										   strUserId) Then
						Return 2
					End If
					' 主科フラグの場合
					If strMain_Dpm_Flg = sqlMAIN_DOCTOR.C_FIX_MAIN_DPM_FLG Then
						' 入退院情報医師コード更新
						If Not updHsp_Doctor_Cd(db,
												strPatient_No,
												iHsp_History_No,
												iCh_No,
												strDoctor_Cd,
												strUserId) Then
							Return 3
						End If
					End If
					Return 0
				Catch ex As SqlClient.SqlException
					Throw
				Catch ex As Exception
					Throw
				End Try
			End With
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 最小医師区分コード取得処理
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2010/10/25 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getDoctor_Div_Cd() As String
		Dim iRet As Integer
		Dim arData As ArrayList = New ArrayList
		Try
			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
				With db
					' ■最小医師区分コード取得
					.setSQL(sqlMAIN_DOCTOR.sqlSelMin_Doctor_Div_Cd)
					iRet = .execQuery(GetType(datDOCTOR_DIV), arData)
					If iRet = 0 OrElse
						String.IsNullOrEmpty(CType(arData(0), datDOCTOR_DIV).DOCTOR_DIV_CD) Then
						Return Nothing
					Else
						Return CType(arData(0), datDOCTOR_DIV).DOCTOR_DIV_CD
					End If
				End With
			End Using
		Catch ex As SqlClient.SqlException
			Throw
		Catch ex As Exception
			Throw
		Finally
			arData = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 医師情報削除処理
	''' </summary>
	''' <param name="db"></param>
	''' <param name="strPatient_No"></param>
	''' <param name="iHsp_History_No"></param>
	''' <param name="iCh_No"></param>
	''' <returns></returns>
	''' <remarks>
	''' 2010/10/25 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function delDoctor(ByVal db As clsDB,
							   ByVal strPatient_No As String,
							   ByVal iHsp_History_No As Integer,
							   ByVal iCh_No As Integer) As Boolean
		Dim iRet As Integer
		Try
			With db
				' ■最小医師区分コード取得
				.setSQL(sqlMAIN_DOCTOR.sqlDelDoctor)
				' 患者番号
				.setParam(sqlMAIN_DOCTOR.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
				.setVal(sqlMAIN_DOCTOR.prmPATIENT_NO, strPatient_No)
				' 入退院歴番号
				.setParam(sqlMAIN_DOCTOR.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
				.setVal(sqlMAIN_DOCTOR.prmHSP_HISTORY_NO, iHsp_History_No.ToString)
				' 科歴番号
				.setParam(sqlMAIN_DOCTOR.prmCH_NO, clsDB.Enum_dbType.dbInt)
				.setVal(sqlMAIN_DOCTOR.prmCH_NO, iCh_No.ToString)
				iRet = .execNonQuery(False)

				Return True

			End With
		Catch ex As SqlClient.SqlException
			Throw
		Catch ex As Exception
			Throw
		End Try

		Return False

	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 医師情報登録処理
	''' </summary>
	''' <param name="db"></param>
	''' <param name="strPatient_No"></param>
	''' <param name="iHsp_History_No"></param>
	''' <param name="iCh_No"></param>
	''' <param name="strDoctor_Cd"></param>
	''' <param name="strDoctor_Div_Cd"></param>
	''' <param name="strUserId"></param>
	''' <returns></returns>
	''' <remarks>
	''' 2010/10/25 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function insDoctor(ByVal db As clsDB,
							   ByVal strPatient_No As String,
							   ByVal iHsp_History_No As Integer,
							   ByVal iCh_No As Integer,
							   ByVal strDoctor_Cd As String,
							   ByVal strDoctor_Div_Cd As String,
							   ByVal strUserId As String) As Boolean
		Dim iRet As Integer
		Try
			With db
				' ■最小医師区分コード取得
				.setSQL(sqlMAIN_DOCTOR.sqlInsDoctor)
				' 患者番号
				.setParam(sqlMAIN_DOCTOR.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
				.setVal(sqlMAIN_DOCTOR.prmPATIENT_NO, strPatient_No)
				' 入退院歴番号
				.setParam(sqlMAIN_DOCTOR.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
				.setVal(sqlMAIN_DOCTOR.prmHSP_HISTORY_NO, iHsp_History_No.ToString)
				' 科歴番号
				.setParam(sqlMAIN_DOCTOR.prmCH_NO, clsDB.Enum_dbType.dbInt)
				.setVal(sqlMAIN_DOCTOR.prmCH_NO, iCh_No.ToString)

				' 医師連番
				.setParam(sqlMAIN_DOCTOR.prmDOCTOR_SERIAL_NO, clsDB.Enum_dbType.dbInt)
				.setVal(sqlMAIN_DOCTOR.prmDOCTOR_SERIAL_NO, sqlMAIN_DOCTOR.C_FIX_MIN_NO.ToString)
				' 主治医フラグ
				.setParam(sqlMAIN_DOCTOR.prmMAIN_DOCTOR_FLG, clsDB.Enum_dbType.dbInt)
				.setVal(sqlMAIN_DOCTOR.prmMAIN_DOCTOR_FLG, sqlMAIN_DOCTOR.C_FIX_MAIN_DOCTOR_CD)
				' 医師区分コード
				.setParam(sqlMAIN_DOCTOR.prmDOCTOR_DIV, clsDB.Enum_dbType.dbNVarChar)
				.setVal(sqlMAIN_DOCTOR.prmDOCTOR_DIV, strDoctor_Div_Cd)
				' 医師コード
				.setParam(sqlMAIN_DOCTOR.prmDOCTOR_CD, clsDB.Enum_dbType.dbNVarChar)
				.setVal(sqlMAIN_DOCTOR.prmDOCTOR_CD, strDoctor_Cd)
				' 更新者コード
				.setParam(sqlMAIN_DOCTOR.prmLASTUPDUSER_CD, clsDB.Enum_dbType.dbNVarChar)
				.setVal(sqlMAIN_DOCTOR.prmLASTUPDUSER_CD, strUserId)
				' 最終更新日
				.setParam(sqlMAIN_DOCTOR.prmLASTUPD_DT, clsDB.Enum_dbType.dbDateTime)
				.setVal(sqlMAIN_DOCTOR.prmLASTUPD_DT, Now)

				iRet = .execNonQuery(False)

				Return True

			End With
		Catch ex As SqlClient.SqlException
			Throw
		Catch ex As Exception
			Throw
		End Try

		Return False

	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 科歴情報医師コード更新処理
	''' </summary>
	''' <param name="db"></param>
	''' <param name="strPatient_No"></param>
	''' <param name="iHsp_History_No"></param>
	''' <param name="iCh_No"></param>
	''' <param name="strDoctor_Cd"></param>
	''' <param name="strUserId"></param>
	''' <returns></returns>
	''' <remarks>
	''' 2010/10/25 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function updCh_Doctor_Cd(ByVal db As clsDB,
									 ByVal strPatient_No As String,
									 ByVal iHsp_History_No As Integer,
									 ByVal iCh_No As Integer,
									 ByVal strDoctor_Cd As String,
									 ByVal strUserId As String) As Boolean
		Dim iRet As Integer
		Try
			With db
				' ■科歴情報医師コード更新処理
				.setSQL(sqlMAIN_DOCTOR.sqlUpd_Ch_Doctor_Cd)
				' 患者番号
				.setParam(sqlMAIN_DOCTOR.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
				.setVal(sqlMAIN_DOCTOR.prmPATIENT_NO, strPatient_No)
				' 入退院歴番号
				.setParam(sqlMAIN_DOCTOR.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
				.setVal(sqlMAIN_DOCTOR.prmHSP_HISTORY_NO, iHsp_History_No.ToString)
				' 科歴番号
				.setParam(sqlMAIN_DOCTOR.prmCH_NO, clsDB.Enum_dbType.dbInt)
				.setVal(sqlMAIN_DOCTOR.prmCH_NO, iCh_No.ToString)
				' 医師コード
				.setParam(sqlMAIN_DOCTOR.prmDOCTOR_CD, clsDB.Enum_dbType.dbNVarChar)
				.setVal(sqlMAIN_DOCTOR.prmDOCTOR_CD, strDoctor_Cd)
				' 更新者コード
				.setParam(sqlMAIN_DOCTOR.prmLASTUPDUSER_CD, clsDB.Enum_dbType.dbNVarChar)
				.setVal(sqlMAIN_DOCTOR.prmLASTUPDUSER_CD, strUserId)
				' 最終更新日
				.setParam(sqlMAIN_DOCTOR.prmLASTUPD_DT, clsDB.Enum_dbType.dbDateTime)
				.setVal(sqlMAIN_DOCTOR.prmLASTUPD_DT, Now)

				iRet = .execNonQuery(False)

				If iRet > 0 Then
					Return True
				Else
					Return False
				End If

			End With
		Catch ex As SqlClient.SqlException
			Throw
		Catch ex As Exception
			Throw
		End Try

		Return False

	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 入退院情報医師コード更新処理
	''' </summary>
	''' <param name="db"></param>
	''' <param name="strPatient_No"></param>
	''' <param name="iHsp_History_No"></param>
	''' <param name="iCh_No"></param>
	''' <param name="strDoctor_Cd"></param>
	''' <param name="strUserId"></param>
	''' <returns></returns>
	''' <remarks>
	''' 2010/10/25 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function updHsp_Doctor_Cd(ByVal db As clsDB,
									  ByVal strPatient_No As String,
									  ByVal iHsp_History_No As Integer,
									  ByVal iCh_No As Integer,
									  ByVal strDoctor_Cd As String,
									  ByVal strUserId As String) As Boolean
		Dim iRet As Integer
		Try
			With db
				' ■入退院情報医師コード更新処理
				.setSQL(sqlMAIN_DOCTOR.sqlUpd_Hsp_Doctor_Cd)
				' 患者番号
				.setParam(sqlMAIN_DOCTOR.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
				.setVal(sqlMAIN_DOCTOR.prmPATIENT_NO, strPatient_No)
				' 入退院歴番号
				.setParam(sqlMAIN_DOCTOR.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
				.setVal(sqlMAIN_DOCTOR.prmHSP_HISTORY_NO, iHsp_History_No.ToString)
				' 医師コード
				.setParam(sqlMAIN_DOCTOR.prmDOCTOR_CD, clsDB.Enum_dbType.dbNVarChar)
				.setVal(sqlMAIN_DOCTOR.prmDOCTOR_CD, strDoctor_Cd)
				' 更新者コード
				.setParam(sqlMAIN_DOCTOR.prmLASTUPDUSER_CD, clsDB.Enum_dbType.dbNVarChar)
				.setVal(sqlMAIN_DOCTOR.prmLASTUPDUSER_CD, strUserId)
				' 最終更新日
				.setParam(sqlMAIN_DOCTOR.prmLASTUPD_DT, clsDB.Enum_dbType.dbDateTime)
				.setVal(sqlMAIN_DOCTOR.prmLASTUPD_DT, Now)

				iRet = .execNonQuery(False)

				If iRet > 0 Then
					Return True
				Else
					Return False
				End If

			End With
		Catch ex As SqlClient.SqlException
			Throw
		Catch ex As Exception
			Throw
		End Try

		Return False

	End Function

End Class
