﻿''' ---------------------------------------------
''' <summary>
''' 共通処理_分娩子流死産情報＿データクラス
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public NotInheritable Class datMTI_CB_SB_OneRec
	Public PATIENT_NO As String = Nothing				'患者番号
	Public HSP_HISTORY_NO As Integer = Nothing			'入退院歴番号
	Public CH_NO As Integer = Nothing					'科歴番号
	Public CB_SERIAL_NO As Integer = Nothing			'分娩子連番
	Public SB_NO As String = Nothing					'流死産番号
	Public SB_DT As Date = Nothing						'流死産日
	Public SB_TIME As String = Nothing					'流死産時刻
	Public WEEK_COUNT As Integer = Nothing				'週数
	Public SB_LCT As String = Nothing					'流死産場所コード
	Public AUTOPSY_CHK As String = Nothing				'剖検有無コード
	Public AUTOPSY_NO As String = Nothing				'剖検番号
	Public INDUCED_ABORTION_CHK As String = Nothing		'人工中絶有無コード
	Public MOTHER_CMPC_CHK As String = Nothing			'母体合併症有無コード
	Public REMARKS As String = Nothing					'コメント
	Public LASTUPDUSER_CD As String = Nothing			'更新者コード
	Public LASTUPD_DT As Date = Nothing					'最終更新日

	''' ----------------------------------------
	''' <summary>
	''' オブジェクトコピー
	''' </summary>
	''' <returns>datMTI_CB_SB_OneRec(分娩子流死産情報１レコード）</returns>
	''' <remarks>
	''' 2010/12/07 新規作成 CS)溝渕<BR/>
	''' </remarks>
	''' ----------------------------------------
	Public Function Copy() As datMTI_CB_SB_OneRec
		Dim ret As datMTI_CB_SB_OneRec = New datMTI_CB_SB_OneRec
		With ret
			.PATIENT_NO = Me.PATIENT_NO
			.HSP_HISTORY_NO = Me.HSP_HISTORY_NO
			.CH_NO = Me.CH_NO
			.CB_SERIAL_NO = Me.CB_SERIAL_NO
			.SB_NO = Me.SB_NO
			.SB_DT = Me.SB_DT
			.SB_TIME = Me.SB_TIME
			.WEEK_COUNT = Me.WEEK_COUNT
			.SB_LCT = Me.SB_LCT
			.AUTOPSY_CHK = Me.AUTOPSY_CHK
			.AUTOPSY_NO = Me.AUTOPSY_NO
			.INDUCED_ABORTION_CHK = Me.INDUCED_ABORTION_CHK
			.MOTHER_CMPC_CHK = Me.MOTHER_CMPC_CHK
			.REMARKS = Me.REMARKS
			.LASTUPDUSER_CD = Me.LASTUPDUSER_CD
			.LASTUPD_DT = Me.LASTUPD_DT
		End With
		Return ret
	End Function
End Class

''' ---------------------------------------------
''' <summary>
''' 分娩子流死産情報取得SQLクラス（共通クラス）
''' </summary>
''' ---------------------------------------------
Public Class sqlMTI_CB_SB
	Public Const prmPATIENT_NO As String = "@PATIENT_NO"						'患者番号
	Public Const prmHSP_HISTORY_NO As String = "@HSP_HISTORY_NO"				'入退院歴番号
	Public Const prmCH_NO As String = "@CH_NO"									'科歴番号
	Public Const prmCB_SERIAL_NO As String = "@CB_SERIAL_NO"					'分娩子連番
	Public Const prmSB_NO As String = "@SB_NO"									'流死産番号
	Public Const prmSB_DT As String = "@SB_DT"									'流死産日
	Public Const prmSB_TIME As String = "@SB_TIME"								'流死産時刻
	Public Const prmWEEK_COUNT As String = "@WEEK_COUNT"						'週数
	Public Const prmSB_LCT As String = "@SB_LCT"								'流死産場所コード
	Public Const prmAUTOPSY_CHK As String = "@AUTOPSY_CHK"						'剖検有無コード
	Public Const prmAUTOPSY_NO As String = "@AUTOPSY_NO"						'剖検番号
	Public Const prmINDUCED_ABORTION_CHK As String = "@INDUCED_ABORTION_CHK"	'人工中絶有無コード
	Public Const prmMOTHER_CMPC_CHK As String = "@MOTHER_CMPC_CHK"				'母体合併症有無コード
	Public Const prmREMARKS As String = "@REMARKS"								'コメント
	Public Const prmLASTUPDUSER_CD As String = "@LASTUPDUSER_CD"				'更新者コード
	Public Const prmLASTUPD_DT As String = "@LASTUPD_DT"						'最終更新日

	Public Const itmPATIENT_NO As String = "PATIENT_NO"							'患者番号
	Public Const itmHSP_HISTORY_NO As String = "HSP_HISTORY_NO"					'入退院歴番号
	Public Const itmCH_NO As String = "CH_NO"									'科歴番号
	Public Const itmCB_SERIAL_NO As String = "CB_SERIAL_NO"						'分娩子連番
	Public Const itmSB_NO As String = "SB_NO"									'流死産番号
	Public Const itmSB_DT As String = "SB_DT"									'流死産日
	Public Const itmSB_TIME As String = "SB_TIME"								'流死産時刻
	Public Const itmWEEK_COUNT As String = "WEEK_COUNT"							'週数
	Public Const itmSB_LCT As String = "SB_LCT"									'流死産場所コード
	Public Const itmAUTOPSY_CHK As String = "AUTOPSY_CHK"						'剖検有無コード
	Public Const itmAUTOPSY_NO As String = "AUTOPSY_NO"							'剖検番号
	Public Const itmINDUCED_ABORTION_CHK As String = "INDUCED_ABORTION_CHK"		'人工中絶有無コード
	Public Const itmMOTHER_CMPC_CHK As String = "MOTHER_CMPC_CHK"				'母体合併症有無コード
	Public Const itmREMARKS As String = "REMARKS"								'コメント
	Public Const itmLASTUPDUSER_CD As String = "LASTUPDUSER_CD"					'更新者コード
	Public Const itmLASTUPD_DT As String = "LASTUPD_DT"							'最終更新日

	' 分娩子流死産情報取得用SQLのSELECT句
	Private Const sqlSelect_Cb_Sb As String = _
	 "SELECT" _
	  & " PATIENT_NO, HSP_HISTORY_NO, CH_NO, CB_SERIAL_NO," _
	  & " SB_NO, SB_DT, SB_TIME, WEEK_COUNT, SB_LCT, AUTOPSY_CHK, AUTOPSY_NO," _
	  & " INDUCED_ABORTION_CHK, MOTHER_CMPC_CHK, REMARKS," _
	  & " LASTUPDUSER_CD, LASTUPD_DT" _
	  & " FROM MTI_CB_SB"

	' １科歴分の分娩子流死産情報を取得
	Public Const sqlSelCbSb_Ch As String = sqlSelect_Cb_Sb _
	  & " WHERE PATIENT_NO = " & prmPATIENT_NO _
	  & " AND HSP_HISTORY_NO = " & prmHSP_HISTORY_NO _
	  & " AND CH_NO = " & prmCH_NO _
	  & " ORDER BY CB_SERIAL_NO"

	' 分娩子流死産情報１データを取得
	Public Const sqlSelCbSb_OneRec As String = sqlSelect_Cb_Sb _
	  & " WHERE PATIENT_NO = " & prmPATIENT_NO _
	  & " AND HSP_HISTORY_NO = " & prmHSP_HISTORY_NO _
	  & " AND CH_NO = " & prmCH_NO _
	  & " AND CB_SERIAL_NO = " & prmCB_SERIAL_NO

	' １患者分の分娩子流死産情報を削除
	Public Const sqlDelCbSb_Patient As String = _
	 "DELETE FROM MTI_CB_SB" _
	  & " WHERE PATIENT_NO = " & prmPATIENT_NO

	' １入退院分の分娩子流死産情報を削除
	Public Const sqlDelCbSb_Hsp As String = _
	 "DELETE FROM MTI_CB_SB" _
	  & " WHERE PATIENT_NO = " & prmPATIENT_NO _
	  & " AND HSP_HISTORY_NO = " & prmHSP_HISTORY_NO

	' １科歴分の分娩子流死産情報を削除
	Public Const sqlDelCbSb_Ch As String = _
	 "DELETE FROM MTI_CB_SB" _
	  & " WHERE PATIENT_NO = " & prmPATIENT_NO _
	  & " AND HSP_HISTORY_NO = " & prmHSP_HISTORY_NO _
	  & " AND CH_NO = " & prmCH_NO

	' 分娩子流死産情報１データを削除
	Public Const sqlDelCbSb_OneRec As String = _
	 "DELETE FROM MTI_CB_SB" _
	  & " WHERE PATIENT_NO = " & prmPATIENT_NO _
	  & " AND HSP_HISTORY_NO = " & prmHSP_HISTORY_NO _
	  & " AND CH_NO = " & prmCH_NO _
	  & " AND CB_SERIAL_NO = " & prmCB_SERIAL_NO

	' 分娩子流死産情報１データを追加
	Public Const sqlInsCbSb_OneRec As String = _
	 "INSERT INTO MTI_CB_SB (" _
	  & " PATIENT_NO, HSP_HISTORY_NO, CH_NO, CB_SERIAL_NO," _
	  & " SB_NO, SB_DT, SB_TIME, WEEK_COUNT, SB_LCT, AUTOPSY_CHK, AUTOPSY_NO," _
	  & " INDUCED_ABORTION_CHK, MOTHER_CMPC_CHK, REMARKS," _
	  & " LASTUPDUSER_CD, LASTUPD_DT" _
	  & ") VALUES (" _
	  & prmPATIENT_NO & "," _
	  & prmHSP_HISTORY_NO & "," _
	  & prmCH_NO & "," _
	  & prmCB_SERIAL_NO & "," _
	  & prmSB_NO & "," _
	  & prmSB_DT & "," _
	  & prmSB_TIME & "," _
	  & prmWEEK_COUNT & "," _
	  & prmSB_LCT & "," _
	  & prmAUTOPSY_CHK & "," _
	  & prmAUTOPSY_NO & "," _
	  & prmINDUCED_ABORTION_CHK & "," _
	  & prmMOTHER_CMPC_CHK & "," _
	  & prmREMARKS & "," _
	  & prmLASTUPDUSER_CD & "," _
	  & prmLASTUPD_DT & ")"

End Class
