﻿Imports System.Reflection
Imports XCM
Imports XSP

''' ---------------------------------------------
''' <summary>
''' 入力チェック用　メソッド
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public NotInheritable Class clsMEN010F060
	Implements IDisposable

#Region "コンスタント"

	Public Const KEY_SERIALNO As String = "SERIAL_NO"				' 連番
	Public Const KEY_PATIENTNO As String = "PATIENT_NO"				' 患者番号
	Public Const KEY_HSP_HISTORYNO As String = "HSP_HISTORY_NO"		' 入退院歴番号
	Public Const KEY_CHNO As String = "CH_NO"						' 科歴番号
	Public Const KEY_INF_SERIALNO As String = "INF_SERIAL_NO"		' 情報連番（チェックのタブ位置）？
	Public Const KEY_ERRCD As String = "ERR_CD"						' エラーコード
	Public Const KEY_ERR_MESSAGE1 As String = "ERR_MESSAGE1"		' エラー１
	Public Const KEY_ERR_ROWNO As String = "ERR_ROW_NO"				' エラー行
	Public Const KEY_HOST_NM As String = "HOST_NM"					' ホスト名
	Public Const KEY_INF_NAME As String = "INF_SERIAL_NAME"			' 情報名
	Public Const CNT_TABLE_MTI_MED_COST As String = "MTI_MED_COST"
	Public Const CNT_TABLE_MTI_EMERGENCY As String = "MTI_EMERGENCY"
	Public Const CNT_TABLE_MTI_TEST As String = "MTI_TEST"
	Public Const CNT_TABLE_MTI_CARE As String = "MTI_CARE"
	Public Const CNT_TABLE_MTI_OPE As String = "MTI_OPE"
	Public Const CNT_TABLE_MTI_OTHER_DEPT As String = "MTI_OTHER_DEPT"
	Public Const CNT_TABLE_MTI_DISEASE As String = "MTI_DISEASE"
	Public Const CNT_TABLE_MTI_CB As String = "MTI_CB"
	Public Const CNT_TABLE_MTI_ASST1 As String = "MTI_ASST1"
	Public Const CNT_TABLE_MTI_ASST2 As String = "MTI_ASST2"
	Public Const CNT_TABLE_MTI_PATH As String = "MTI_PATH"
	Public Const CONST_INFO_NM_01 As String = "基本情報"
	Public Const CONST_INFO_NM_02 As String = "死亡情報（院外）"
	Public Const CONST_INFO_NM_03 As String = "死亡情報（院内）"
	Public Const CONST_INFO_NM_04 As String = "入退院情報"
	Public Const CONST_INFO_NM_05 As String = "科歴情報"
	Public Const CONST_INFO_NM_06 As String = "病名情報"
	Public Const CONST_INFO_NM_07 As String = "手術情報"
	Public Const CONST_INFO_NM_08 As String = "治療処置情報"
	Public Const CONST_INFO_NM_09 As String = "検査情報"
	Public Const CONST_INFO_NM_10 As String = "救命救急情報"
	Public Const CONST_INFO_NM_11 As String = "分娩情報"
	Public Const CONST_INFO_NM_12 As String = "分娩児情報"
	Public Const CONST_INFO_NM_13 As String = "貸出物情報"
	Public Const CONST_INFO_NM_14 As String = "医療費情報"
	Public Const CONST_INFO_NM_15 As String = "パス情報"

	''' ---------------------------------------------
	''' <summary>
	''' 入院契機、医療投入資源１位、２位が１入院歴内で複数チェックのＳＱＬ種別
	''' </summary>
	''' <remarks>
	''' 2010/11/01 新規作成 NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Enum Enum_Disease_Chk_Select_Mode As Integer
		''' ---------------------------------------------
		''' <summary>入院契機</summary>
		''' ---------------------------------------------
		Hsp_Chance_Disease_Flg = 0
		''' ---------------------------------------------
		''' <summary>医療投入資源１</summary>
		''' ---------------------------------------------
		Disease_Med_Res_Flg1 = 1
		''' ---------------------------------------------
		''' <summary>医療投入資源１</summary>
		''' ---------------------------------------------
		Disease_Med_Res_Flg2 = 2
	End Enum

	''' ---------------------------------------------
	''' <summary>
	''' エラー画面制御用のコントロール識別
	''' </summary>
	''' <remarks>
	''' 2011/03/16 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Enum Enum_Control_ID As Integer
		''' ---------------------------------------------
		''' <summary>
		''' 基本情報チェッククラス
		''' </summary>
		''' ---------------------------------------------
		PATIENT_NO = 1						'患者番号
		PATIENT_NM = 2						'氏名
		PATIENT_KNM = 3						'氏名カナ
		PREVIOUS1_NM = 4					'旧姓１
		PREVIOUS1_KNM = 5					'旧姓１カナ
		PREVIOUS2_NM = 6					'旧姓２
		PREVIOUS2_KNM = 7					'旧姓２カナ
		GENDER_CD = 8						'性別コード
		BIRTH_DT = 9						'生年月日
		FIRSTHSPVST_DT = 10					'初回来院日
		LASTHSPVST_DT = 11					'最終来院日
		LASTDEPT_CD = 12					'最終受診科コード
		LASTLEFTHSP_DT = 13					'最終退院日
		GENDER_NM = 14						'性別名称
		OUT_HSP_DT = 15						'退院日
		''' ---------------------------------------------
		''' <summary>
		''' 死亡情報チェッククラス
		''' </summary>
		''' ---------------------------------------------
		DEATH_DT = 16						'死亡日
		DEATH_DIV = 17						'死亡区分コード
		AFTER_OPE_DEATH_DIV = 18			'術後死亡区分コード
		DEATH_TIME = 19						'死亡時刻
		DEATH_AGE = 20						'死亡時年齢
		DEATH_MONTH_AGE = 21				'死亡時月齢
		DEATH_DAY_AGE = 22					'死亡時日齢
		FIXED_CD = 23						'死亡場所マスタ固定コード
		DEATH_DIV_NM = 24					'死亡区分名
		AFTER_OPE_DEATH_DIV_NM = 25			'術後死亡区分名
		''' ---------------------------------------------
		''' <summary>
		''' 入退院情報チェッククラス
		''' </summary>
		''' ---------------------------------------------
		HSP_HISTORY_NO = 26					'入退院歴番号
		BYOREKI_NO = 27						'病歴番号
		DEPT_CD = 28						'診療科コード
		WARD_CD = 29						'病棟コード
		DOCTOR_CD = 30						'医師コード
		HSP_CNL_CD = 31						'入院経路コード
		READMISSION_FLG = 32				'再入院フラグ
		HSP_AIM_CD = 33						'入院目的コード
		HSP_FORM_CD = 34					'入院形態コード
		HSP_DT = 35							'入院日
		HSP_TIME = 36						'入院時刻
		HSP_AGE = 37						'入院時年齢
		HSP_MONTH_AGE = 38					'入院時月齢
		HSP_DAY_AGE = 39					'入院時日齢
		OUT_HSP_TIME = 40					'退院時刻
		OUT_HSP_AGE = 41					'退院時年齢
		OUT_HSP_MONTH_AGE = 42				'退院時月齢
		OUT_HSP_DAY_AGE = 43				'退院時日齢
		OUT_HSP_CNL_CD = 44					'退院経路コード
		OUT_HSP_OUTCOME_CD = 45				'退院転帰コード
		HSP_DAYS = 46						'在院日数
		CHANGE_DEPT_CHK = 47				'転科有無コード
		HOLD_DEPT_CHK = 48					'兼科有無コード
		DATA_CAPTURE_DT = 49				'データ取込日
		NEW_REG_DT = 50						'新規登録日
		TAKE_AMBULANCE_CHK = 51				'救急車搬送有無コード
		PLAN_EMERGENCY_CD = 52				'予定緊急コード
		CLINICAL_TRIAL_CHK = 53				'治験実施有無コード
		LAST_SELF_OTHER_HSP_DIV = 54		'前回自他院区分
		LAST_OUT_HSP_DT = 55				'前回退院日
		DPC_NO = 56							'ＤＰＣ番号
		TOTAL_MED_COST = 57					'医療費合計
		MED_COST_COUNT = 58					'医療費数
		EXCLUDE_STATISTICS_FLG = 59			'統計対象外フラグ
		SAME_DISEASE_LAST_HSP_DT = 60		'同一疾病前回退院日
		REMARKS = 61						'備考
		HSP_INFECTION_CHK = 62				'院内感染症有無コード
		HSP_FREEITEM1 = 63					'一般病棟以外からの移動有無コード
		HSP_FREEITEM2 = 64					'一般病棟以外への移動有無コード
		HSP_FREEITEM3 = 65					'入退院有無コード3
		HSP_FREEITEM4 = 66					'入退院有無コード4
		HSP_FREEITEM5 = 67					'入退院有無コード5
		HSP_FREEITEM6 = 68					'入退院有無コード6
		DISEASE_READMISSION_FLG = 69		'疾病再入院フラグ
		STATURE = 70						'身長
		WEIGHT = 71							'体重
		TIME_OUT_FLG = 72					'時間外フラグ
		OUTCOME_FIXED_CD = 73				'退院転帰 固定コード
		CNL_FIXED_CD = 74					'入院経路 固定コード
		HSP_FLG = 75						'入院フラグ
		OUT_HSP_FLG = 76					'退院フラグ
		MAIN_DPM_FLG = 77					'主科フラグ
		CH_READMISSION_FLG = 78				'再入院フラグ
		CH_LAST_OUT_HSP_DT = 79				'前回退院日
		START_DT = 80						'開始日
		START_AGE = 81						'開始時年齢
		START_MONTH_AGE = 82				'開始時月齢
		START_DAY_AGE = 83					'開始時日齢
		START_CNL_CD = 84					'開始経路コード
		CH_NO = 85							'科歴番号
		END_DT = 86							'終了日
		END_AGE = 87						'終了時年齢
		END_MONTH_AGE = 88					'終了時月齢
		END_DAY_AGE = 89					'終了時日齢
		END_CNL_CD = 90						'終了経路コード
		END_OUTCOME_CD = 91					'終了転帰コード
		CH_DEPT_CD = 92						'診療科コード
		CH_WARD_CD = 93						'病棟コード
		CH_DOCTOR_CD = 94					'医師コード
		CH_BYOREKI_NO = 95					'病歴番号
		CH_HSP_AIM_CD = 96					'入院目的コード
		CH_HSP_FORM_CD = 97					'入院形態コード
		START_TIME = 98						'開始時刻
		END_TIME = 99						'終了時刻
		CH_TAKE_AMBULANCE_CHK = 100			'科歴救急車搬送有無コード
		CH_PLAN_EMERGENCY_CD = 101			'科歴予定緊急コード
		CH_CLINICAL_TRIAL_CHK = 102			'治験実施有無コード
		CH_HSP_INFECTION_CHK = 103			'院内感染症有無コード
		CH_DISEASE_READMISSION_FLG = 104	'疾病再入院フラグ
		CH_SAME_DISEASE_LAST_HSP_DT = 105	'同一疾病前回退院日
		CH_LAST_SELF_OTHER_HSP_DIV = 106	'前回自他院区分
		''' ---------------------------------------------
		''' <summary>
		''' 科歴情報チェッククラス
		''' </summary>
		''' ---------------------------------------------
		ZIP_CD = 107						'郵便番号
		AREA_CD = 108						'診療圏コード
		ADDRESS_NM = 109					'住所
		TELNUMBER = 110						'電話番号
		INTRODUCED_CD = 111					'紹介元コード
		INTRODUCED_NM = 112					'紹介元名
		INTRODUCED_DOCTOR_NM = 113			'紹介元医師名
		INTRODUCED_REMARKS = 114			'紹介元備考
		REFERENCE_CD = 115					'紹介先コード
		REFERENCE_NM = 116					'紹介先名
		REFERENCE_DOCTOR_NM = 117			'紹介先医師名
		REFERENCE_REMARKS = 118				'紹介先備考
		INSURANCE_CD1 = 119					'保険コード１
		INSURANCE_CD2 = 120					'保険コード２
		INSURANCE_CD3 = 121					'保険コード３
		CURRENT_JOB_CD = 122				'職業コード
		FIRST_DIAGNOSIS_DT = 123			'初診日
		OTHER_DEPT_CHK = 124				'対診有無コード
		BLOOD_TRAN_CHK = 125				'輸血有無コード
		OPE_CHK = 126						'手術有無コード
		DPC_CD = 127						'ＤＰＣコード
		INFECTION1 = 128					'感染症１
		INFECTION2 = 129					'感染症２
		INFECTION3 = 130					'感染症３
		INFECTION4 = 131					'感染症４
		INFECTION5 = 132					'感染症５
		INFECTION6 = 133					'感染症６
		OTHER_INFECTION = 134				'感染症その他
		ALLERGY1 = 135						'アレルギー１
		ALLERGY2 = 136						'アレルギー２
		ALLERGY3 = 137						'アレルギー３
		ALLERGY4 = 138						'アレルギー４
		ALLERGY5 = 139						'アレルギー５
		ALLERGY6 = 140						'アレルギー６
		OTHER_ALLERGY = 141					'アレルギーその他
		COMMENT = 142						'コメント
		REG_STATUS_CD = 143					'登録状況コード
		REG_FINISHED_DT = 144				'登録完了日
		REG_PERSON_CD = 145					'登録者コード
		DISEASE_COUNT = 146					'病名数
		OPE_COUNT = 147						'手術数
		CARE_COUNT = 148					'治療処置数
		TEST_COUNT = 149					'検査数
		ASST_ITM1_COUNT = 150				'補足項目１数
		ASST_ITM2_COUNT = 151				'補足項目２数
		CB_COUNT = 152						'分娩数
		EMERGENCY_COUNT = 153				'救命救急数
		OTHER_DEPT_COUNT = 154				'対診科数
		HOUSEHOLDER_NM = 155				'世帯主名
		RELATION_CD = 156					'続柄コード
		CNR_REG_COUNT = 157					'がん登録数
		CNR_REG_EXPECTED_COUNT = 158		'がん登録予定数
		PATH_COUNT = 159					'パス数
		PAST_JOB_CD = 160					'既職コード
		LIVE_TOGETHER_STATE_CD = 161		'同居状況コード
		INTRODUCTION_CHK = 162				'紹介状有無コード
		DEPT_NM = 163						'診療科名
		OUT_HSP_CNL_NM = 164				'退院経路
		OUT_HSP_OUTCOME_NM = 165			'退院転帰
		HSP_CNL_NM = 166					'入院経路
		WARD_NM = 167						'病棟名
		AREA_NM = 168						'診療圏名
		REG_STATUS_NM = 169					'登録状況
		FROM_MED_AGENCY_NM = 170			'医療機関グループ名(転移元）
		TO_MED_AGENCY_NM = 171				'医療機関グループ名(転移先）
		JOB_NM = 172						'職業
		DOCTOR_STAFF = 173					'職員名(医者）
		HSP_CNL_FIXED_CD = 174				'入院経路マスタ_固定コード
		OUT_HSP_CNL_FIXED_CD = 175			'退院経路マスタ_固定コード
		OUT_HSP_OUTCOME_FIXED_CD = 176		'退院転帰マスタ_固定コード
		DEATH_PATIENT_NO = 177				'死亡情報_患者番号
		DEATH_LCT_FIXED_CD = 178			'死亡場所マスタ_固定コード
		ENTRY_STAFF = 179					'職員名(登録者）
		HSP_CNL_FIXED_CD3 = 180				'入院経路マスタ_固定コード３
		OUT_HSP_CNL_FIXED_CD3 = 181			'退院経路マスタ_固定コード３
		''' ---------------------------------------------
		''' <summary>
		''' 医師情報チェッククラス
		''' </summary>
		''' ---------------------------------------------
		DOCTOR_SERIAL_NO = 182				'医師連番
		MAIN_DOCTOR_FLG = 183				'主治医フラグ
		DOCTOR_DIV = 184					'医師区分コード
		ATTEND_START_DT = 185				'担当開始日
		ATTEND_END_DT = 186					'担当終了日
		DOCTOR_DIV_NM = 187					'医師区分
		STAFF_NM = 188						'職員名
		''' ---------------------------------------------
		''' <summary>
		''' 病棟情報チェッククラス
		''' </summary>
		''' ---------------------------------------------
		WARD_SERIAL_NO = 189				'病棟連番
		MAIN_WARD_FLG = 190					'主病棟フラグ
		WARD_START_DT = 191					'病棟開始日
		WARD_END_DT = 192					'病棟終了日
		WARD_DAYS = 193						'病棟日数
		SEVERE_DIV = 194					'重症区分コード
		''' ---------------------------------------------
		''' <summary>
		''' 病名情報チェッククラス
		''' </summary>
		''' ---------------------------------------------
		HSP_PATIENT_NO = 195				'入退院情報_患者番号
		DISEASE_SERIAL_NO = 196				'病名連番
		HSP_CHANCE_DISEASE_FLG = 197		'入院契機病名フラグ
		DISEASE_MED_RES_FLG1 = 198			'医療資源投入病名フラグ１
		DISEASE_MED_RES_FLG2 = 199			'医療資源投入病名フラグ２
		DEATH_DISEASE_FLG = 200				'死因病名フラグ
		DISEASE_DIV = 201					'病名区分コード
		DISEASE = 202						'病名
		DIAGNOSIS_DT = 203					'診断日
		ONSET_DT = 204						'発症日
		ICD10_CD = 205						'ＩＣＤ１０コード
		DISEASE_OUTCOME_CD = 206			'病名転帰コード
		PLURAL_GRP_CD = 207					'複数分類コード
		REMARKS1 = 208						'備考１
		REMARKS2 = 209						'備考２
		HSP_DISEASE_CD = 210				'院内病名コード
		ICD9_CD = 211						'ＩＣＤ９コード
		CAUSE_GRP_CD = 212					'外因分類コード
		DEATH_CAUSE_FLG = 213				'死因外因フラグ
		SPECIMEN_NO = 214					'標本番号
		ICDO_FORM_CD = 215					'ＩＣＤＯ１
		ICDO_FORM_6DIGS_CD = 216			'ＩＣＤＯ１２
		L_GRP_CD = 217						'大分類コード
		M_GRP_CD = 218						'中分類コード
		S_GRP_CD = 219						'小分類コード
		GRP300_CD = 220						'３００分類コード
		A_GRP_CD = 221						'ａ分類コード
		B_GRP_CD = 222						'ｂ分類コード
		C_GRP_CD = 223						'ｃ分類コード
		DEATH_GRP_CD = 224					'死因分類コード
		CAUSE_L_GRP_CD = 225				'外因大分類コード
		CAUSE_DEATH_GRP_CD = 226			'外因死因分類コード
		CAUSE_4GRP_PTN = 227				'外因４桁細分類パターン
		CAUSE_4DIGS_CD = 228				'外因４桁目コード
		ICD9_L_GRP_CD = 229					'ＩＣＤ９大分類コード
		ICD9_M_GRP_CD = 230					'ＩＣＤ９中分類コード
		ICD9_ASST_GRP1_CD = 231				'ＩＣＤ９補助分類コード１
		ICD9_ASST_GRP2_CD = 232				'ＩＣＤ９補助分類コード２
		ICD9_ASST_GRP3_CD = 233				'ＩＣＤ９補助分類コード３
		DISEASE_MNG_DIV = 234				'管理記号
		DISEASE_MNG_NO = 235				'管理番号
		HSP_DISEASE_FLG = 236				'入院時併存症名フラグ
		AFTER_HSP_DISEASE_FLG = 237			'入院後発症疾患名フラグ
		CNR_REG_STATUS_CD = 238				'がん登録状況コード
		CNR_REG_EXTRACT_DT = 239			'がん登録抽出日
		ICDO_MNG_DIV = 240					'ＩＣＤＯ１管理記号
		ICDO_MNG_NO = 241					'ＩＣＤＯ１管理番号
		ICDO_FORM_NM = 242					'ＩＣＤＯ１形態名
		DIRECT_DEATH_DISEASE_FLG = 243		'直接死因病名フラグ
		DIRECT_DEATH_CAUSE_FLG_V3 = 244		'直接死因外因フラグ
		CAUSE_GRP_NM = 245					'外因分類名
		CAUSE_4GRP_NM = 246					'外因４桁細分類名
		LASTUPDUSER_CD = 247				'更新者コード
		LASTUPD_DT = 248					'最終更新日
		CH_END_DT = 249						'科歴終了日
		DISEASE_DIV_NM = 250				'病名区分名
		DISEASE_OUTCOME_NM = 251			'病名転帰
		DISEASE_DEV_FIXED_CD = 252			'病名区分マスタ_固定コード
		''' ---------------------------------------------
		''' <summary>
		''' 手術情報チェッククラス
		''' </summary>
		''' ---------------------------------------------
		OPE_SERIAL_NO = 253					'手術連番
		OPE_DIV = 254						'手術区分コード
		OPE_NM = 255						'手術名
		OPE_DT = 256						'実施日
		OPE_TIME = 257						'実施時刻
		OPE_REQUIRED_TIME = 258				'手術所要時間
		OPE_AGE = 259						'手術時年齢
		OPE_MONTH_AGE = 260					'手術時月齢
		OPE_DAY_AGE = 261					'手術時日齢
		ANESTHESIA_DIV1 = 262				'麻酔区分コード１
		ANESTHESIA_TIME = 263				'全身麻酔時間
		ANESTHESIA_DIV2 = 264				'麻酔区分コード２
		ASST_DIV1 = 265						'補助区分コード１
		ASST_DIV2 = 266						'補助区分コード２
		SPT_DISEASE_SERIAL_NO = 267			'対応病名連番
		ICD9CM_CD = 268						'ＩＣＤ９ＣＭコード
		DIGS3_GRP_CD = 269					'３桁分類コード
		MNG_DIV = 270						'管理記号
		MNG_NO = 271						'管理番号
		OPE_COUNT_CD = 272					'手術回数コード
		OPE_PART_CD = 273					'手術側数コード
		SPT_DISEASE_NM = 274				'病名
		SPT_DISEASE_ICD10_CD = 275			'ＩＣＤ１０コード
		SPT_DISEASE_OUTCOME_CD = 276		'病名転帰コード
		SPT_DISEASE_MNG_DIV1 = 277			'管理記号
		SPT_DISEASE_MNG_NO = 278			'管理番号
		SCORE_CD = 279						'点数表コード
		AFTER_OPE_DAYS = 280				'術後日数
		AFTER_OPE_CMPC_CHK = 281			'術後合併症有無コード
		HSP_OPE_CD = 282					'院内手術コード
		PRE_OPE_DAYS = 283					'術前日数
		ASA_PS_GRP_CD = 284					'ＡＳＡ＿ＰＳコード
		BLEEDING_VOLUME = 285				'出血量
		BLOOD_TRAN_VOLUME = 286				'輸血量
		OPE_DIV_NM = 287					'手術区分名
		ANESTHESIA_NM = 288					'麻酔名
		ANESTHESIA_NM2 = 289				'麻酔名２
		''' ---------------------------------------------
		''' <summary>
		''' 手術医師情報チェッククラス
		''' </summary>
		''' ---------------------------------------------
		OPE_DOCTOR_SERIAL_NO = 290			'手術医師連番
		OPE_DOCTOR_DIV = 291				'手術医師区分コード
		''' ---------------------------------------------
		''' <summary>
		''' 治療処置情報チェッククラス
		''' </summary>
		''' ---------------------------------------------
		CARE_SERIAL_NO = 292				'治療処置連番
		CARE_DIV = 293						'治療処置区分コード
		CARE_NM = 294						'治療処置名
		CARE_DT = 295						'実施日
		ASST_DIV = 296						'補助区分コード
		CARE_DIV_NM = 297					'治療処置区分名
		''' ---------------------------------------------
		''' <summary>
		''' 検査情報チェッククラス
		''' </summary>
		''' ---------------------------------------------
		TEST_SERIAL_NO = 298				'検査連番
		TEST_DIV = 299						'検査区分コード
		TEST_NM = 300						'検査名
		TEST_DT = 301						'実施日
		TEST_DIV_NM = 302					'検査区分名
		''' ---------------------------------------------
		''' <summary>
		''' 救命救急情報チェッククラス
		''' </summary>
		''' ---------------------------------------------
		EMERGENCY_SERIAL_NO = 303			'救命救急連番
		IN_METHOD_CD = 304					'入法コード
		OUT_METHOD_CD = 305					'出法コード
		ENTERING_DT = 306					'入室日
		LEAVING_DT = 307					'退室日
		ENTERING_AGE = 308					'入室時年齢
		ENTERING_MONTH_AGE = 309			'入室時月齢
		ENTERING_DAY_AGE = 310				'入室時日齢
		LEAVING_AGE = 311					'退室時年齢
		LEAVING_MONTH_AGE = 312				'退室時月齢
		LEAVING_DAY_AGE = 313				'退室時日齢
		IN_ROOM_DAYS = 314					'在室日数
		SEVERE_CD = 315						'重症コード
		ENTERING_TIME = 316					'入室時刻
		LEAVING_TIME = 317					'退室時刻
		MED_REQUIRED_TIME = 318				'救命所要時間
		IN_METHOD_NM = 319					'入法名
		OUT_METHOD_NM = 320					'出法名
		SEVERE_DIV_NM = 321					'重症区分名
		''' ---------------------------------------------
		''' <summary>
		''' 分娩情報チェッククラス
		''' </summary>
		''' ---------------------------------------------
		CB_DT = 322							'分娩日
		CB_AGE = 323						'分娩時年齢
		CB_MONTH_AGE = 324					'分娩時月齢
		GESTATIONAL_WEEK_COUNT = 325		'在胎週数
		GESTATIONAL_DAY_COUNT = 326			'在胎日数
		CHD_COUNT = 327						'児数
		CB_DIV1 = 328						'分娩区分コード１
		CB_DIV2 = 329						'分娩区分コード２
		PREMATURE_BIRTH = 330				'早産
		MISCARRIAGE = 331					'流産
		CB_DIV3 = 332						'分娩区分コード３
		CB_DIV4 = 333						'分娩区分コード４
		CAESAREAN_OPE_CD = 334				'帝王切開有無コード
		CB_CHK1 = 335						'分娩チェック項目１
		CB_CHK2 = 336						'分娩チェック項目２
		CB_CHK3 = 337						'分娩チェック項目３
		''' ---------------------------------------------
		''' <summary>
		''' 分娩子情報チェッククラス
		''' </summary>
		''' ---------------------------------------------
		CB_SERIAL_NO = 338					'分娩子連番
		NEWBORN_STATURE = 339				'新生児身長
		NEWBORN_WEIGHT = 340				'新生児体重
		APGARSCORE_1MIN = 341				'アプガー指数１分
		APGARSCORE_5MIN = 342				'アプガー指数５分
		IMMATURE = 343						'未熟
		DEFORMITY = 344						'奇形
		STILLBIRTH = 345					'流死産
		CB_PTN1 = 346						'分娩様式コード１
		CB_PTN2 = 347						'分娩様式コード２
		CB_PTN3 = 348						'分娩様式コード３
		CB_PTN4 = 349						'分娩様式コード４
		NEWBORN_NO = 350					'新生児番号
		CHD_CB_DT = 351						'子分娩日
		CHD_CB_TIME = 352					'子分娩時刻
		CHD_BLOODTYPE_CD = 353				'子血液型コード
		CHD_RH_CD = 354						'子Ｒｈコード
		CHD_PATIENT_NO = 355				'子患者番号
		CHD_REMARKS = 356					'子備考
		CHD_CB_CHK1 = 357					'子分娩チェック項目１
		CHD_CB_CHK2 = 358					'子分娩チェック項目２
		CHD_CB_CHK3 = 359					'子分娩チェック項目３
		CHD_CB_CHK4 = 360					'子分娩チェック項目４
		CHD_CB_CHK5 = 361					'子分娩チェック項目５
		''' ---------------------------------------------
		''' <summary>
		''' 貸出物情報チェッククラス
		''' </summary>
		''' ---------------------------------------------
		RECORD_COUNT = 362					'カルテ数
		RECORD_RECEIPT_DT = 363				'カルテ受領日
		RECORD_RECIPIENT_CD = 364			'カルテ受領者コード
		RECORD_KEEPLCT_CD = 365				'カルテ保管場所コード
		RECORD_ARG_STATUS_CD = 366			'カルテ整理状況コード
		RECORD_MNGSTATUS_CD = 367			'カルテ管理状況コード
		SUMMARY_COUNT = 368					'サマリ数
		SUMMARY_RECEIPT_DT = 369			'サマリ受領日
		SUMMARY_KEEPLCT_CD = 370			'サマリ保管場所コード
		SUMMARY_MAKER_CD = 371				'サマリ作成者コード
		SUMMARY_MNGSTATUS_CD = 372			'サマリ管理状況コード
		OTHER1_COUNT = 373					'他１数
		OTHER1_RECEIPT_DT = 374				'他１受領日
		OTHER1_KEEPLCT_CD = 375				'他１保管場所コード
		OTHER1_MNGSTATUS_CD = 376			'他１管理状況コード
		OTHER2_COUNT = 377					'他２数
		OTHER2_RECEIPT_DT = 378				'他２受領日
		OTHER2_KEEPLCT_CD = 379				'他２保管場所コード
		OTHER2_MNGSTATUS_CD = 380			'他２管理状況コード
		OTHER3_COUNT = 381					'他３数
		OTHER3_RECEIPT_DT = 382				'他３受領日
		OTHER3_KEEPLCT_CD = 383				'他３保管場所コード
		OTHER3_MNGSTATUS_CD = 384			'他３管理状況コード
		SUMMARY_APPROVAL_DT = 385			'サマリ承認日
		KARUTE_FIXED_CD1 = 386				'カルテ固定コード１
		KARUTE_MNGSTATUS_NM = 387			'カルテ管理状況
		SUMMARY_FIXED_CD1 = 388				'サマリ固定コード１
		SUMMARY_MNGSTATUS_NM = 389			'サマリ管理状況
		OTHER1_FIXED_CD1 = 390				'他１固定コード１
		OTHER1_MNGSTATUS_NM = 391			'他１管理状況
		OTHER2_FIXED_CD1 = 392				'他２固定コード１
		OTHER2_MNGSTATUS_NM = 393			'他２管理状況
		OTHER3_FIXED_CD1 = 394				'他３固定コード１
		OTHER3_MNGSTATUS_NM = 395			'他３管理状況
		''' ---------------------------------------------
		''' <summary>
		''' 医療費明細情報チェッククラス
		''' </summary>
		''' ---------------------------------------------
		MED_COST01 = 396					'医療費０１
		MED_COST02 = 397					'医療費０２
		MED_COST03 = 398					'医療費０３
		MED_COST04 = 399					'医療費０４
		MED_COST05 = 400					'医療費０５
		MED_COST06 = 401					'医療費０６
		MED_COST07 = 402					'医療費０７
		MED_COST08 = 403					'医療費０８
		MED_COST09 = 404					'医療費０９
		MED_COST10 = 405					'医療費１０
		MED_COST11 = 406					'医療費１１
		MED_COST12 = 407					'医療費１２
		MED_COST13 = 408					'医療費１３
		MED_COST14 = 409					'医療費１４
		MED_COST15 = 410					'医療費１５
		MED_COST16 = 411					'医療費１６
		MED_COST17 = 412					'医療費１７
		MED_COST18 = 413					'医療費１８
		MED_COST19 = 414					'医療費１９
		MED_COST20 = 415					'医療費２０
		MED_COST21 = 416					'医療費２１
		MED_COST22 = 417					'医療費２２
		MED_COST23 = 418					'医療費２３
		MED_COST24 = 419					'医療費２４
		MED_COST25 = 420					'医療費２５
		MED_COST26 = 421					'医療費２６
		MED_COST27 = 422					'医療費２７
		MED_COST28 = 423					'医療費２８
		MED_COST29 = 424					'医療費２９
		MED_COST30 = 425					'医療費３０
		MED_COST31 = 426					'医療費３１
		MED_COST32 = 427					'医療費３２
		MED_COST33 = 428					'医療費３３
		MED_COST34 = 429					'医療費３４
		MED_COST35 = 430					'医療費３５
		MED_COST36 = 431					'医療費３６
		MED_COST37 = 432					'医療費３７
		MED_COST38 = 433					'医療費３８
		MED_COST39 = 434					'医療費３９
		MED_COST40 = 435					'医療費４０
		MED_COST41 = 436					'医療費４１
		MED_COST42 = 437					'医療費４２
		MED_COST43 = 438					'医療費４３
		MED_COST44 = 439					'医療費４４
		MED_COST45 = 440					'医療費４５
		''' ---------------------------------------------
		''' <summary>
		''' バリアンスパス情報チェッククラス
		''' </summary>
		''' ---------------------------------------------
		PATH_SERIAL_NO = 441				'パス連番
		PATH_CD = 442						'パスコード
		PATH_START_DT = 443					'適用開始日
		PATH_END_DT = 444					'適用終了日
		VARIANCE_DAY = 445					'バリアンス日
		CHK_CD = 446						'バリアンス有無コード
		TYPE_CD = 447						'バリアンス種類
		REASON1_CD = 448					'理由１コード
		REASON2_CD = 449					'理由２コード
		REASON3_CD = 450					'理由３コード
		REASON4_CD = 451					'理由４コード
		PATH_NM = 452						'パス名
		VARIANCE_TYPE_NM = 453				'バリアンスチェック種類
		VARIANCE_CHK_NM = 454				'バリアンスチェック有無
		REASON1_NM = 455					'理由１
		REASON2_NM = 456					'理由２
		REASON3_NM = 457					'理由３
		REASON4_NM = 458					'理由４
		CH_START_DT = 459					'科歴開始日
	End Enum

#End Region

#Region "変数"

	Private _dtErrMsg As DataTable										'エラー格納用DataTable
	Private ctlMsg As clsMsg											'メッセージクラス
	Private _slErrControls As SortedList(Of Enum_Control_ID, String)	'エラー画面用コントロール名

#End Region

#Region "解放処理"

	'解放処理時使用＊＊
	Protected disposed As Boolean = False

	''' ---------------------------------------------
	''' <summary>
	''' Dispose（解放処理）※外からはよばない
	''' </summary>
	''' <param name="disposing"></param>
	''' <remarks>
	''' 2010/11/01 新規作成 NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overloads Sub Dispose(ByVal disposing As Boolean)
		If Not Me.disposed Then
		End If
		Me.disposed = True
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' Finalize（解放処理）
	''' </summary>
	''' <remarks>
	''' 2010/11/01 新規作成 NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overloads Sub Dispose() Implements IDisposable.Dispose
		Dispose(True)
		GC.SuppressFinalize(Me)
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' Finalize（解放処理）※外からはよばない
	''' </summary>
	''' <remarks>
	''' 2010/11/01 新規作成 NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overrides Sub Finalize()
		_dtErrMsg = Nothing
		ctlMsg = Nothing
		_slErrControls = Nothing

		Dispose(False)
		MyBase.Finalize()
	End Sub

#End Region

#Region "コンストラクタ"

	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <remarks>
	''' 2010/11/01 新規作成 NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Sub New()
		_dtErrMsg = New DataTable
		ctlMsg = New clsMsg
		_slErrControls = New SortedList(Of Enum_Control_ID, String)
		' エラーテーブル項目追加
		_dtErrMsg.Columns.Add(KEY_HOST_NM)
		_dtErrMsg.Columns.Add(KEY_PATIENTNO)
		_dtErrMsg.Columns.Add(KEY_SERIALNO)
		_dtErrMsg.Columns.Add(KEY_HSP_HISTORYNO)
		_dtErrMsg.Columns.Add(KEY_CHNO)
		_dtErrMsg.Columns.Add(KEY_INF_NAME)
		_dtErrMsg.Columns.Add(KEY_INF_SERIALNO)
		_dtErrMsg.Columns.Add(KEY_ERRCD)
		_dtErrMsg.Columns.Add(KEY_ERR_MESSAGE1)
		_dtErrMsg.Columns.Add(KEY_ERR_ROWNO)

	End Sub

#End Region

#Region "プロパティ"

	''' ---------------------------------------------
	''' <summary>
	''' コントロール名
	''' </summary>
	''' <param name="key">コントロール識別</param>
	''' <value>コントロール名</value>
	''' <returns></returns>
	''' <remarks>
	''' 2011/03/16 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Property ControlName(ByVal key As Enum_Control_ID) As String
		Get
			If _slErrControls.ContainsKey(key) Then
				Return _slErrControls(key)
			Else
				Return Nothing
			End If
		End Get
		Set(ByVal value As String)
			Select Case True
				Case String.IsNullOrEmpty(value)
					If _slErrControls.ContainsKey(key) Then
						_slErrControls.Remove(key)
					End If
				Case _slErrControls.ContainsKey(key)
					_slErrControls(key) = value
				Case Else
					_slErrControls.Add(key, value)
			End Select
		End Set
	End Property

#End Region

#Region "データ取得"

	''' ---------------------------------------------
	''' <summary>
	''' 基本情報チェックレコード取得
	''' </summary>
	''' <param name="rPatientNo">患者番号</param>
	''' <returns>基本情報レコード配列</returns>
	''' <remarks>
	''' 2010/11/01 新規作成 NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function getBasicInfo(ByVal rPatientNo As String) As ArrayList
		Dim retData As ArrayList
		Dim arData As ArrayList
		Dim iRet As Long
		Try
			arData = New ArrayList()
			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
				db.setSQL(MEN.sqlMEN010F060.sqlBASICINFO_CHK_REC)		'SELECT文設定
				' パラメータセット
				db.setParam(MEN.sqlMEN010F060.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
				db.setVal(MEN.sqlMEN010F060.prmPATIENT_NO, rPatientNo)
				'値取得
				iRet = db.execQuery(GetType(MEN.datBasicInfo), arData)
				If iRet > 0 Then										'レコードあり
					retData = arData
				Else
					retData = Nothing
				End If
			End Using
		Catch ex As Exception
			Throw
		Finally
			'メモリ解放
			arData = Nothing
			iRet = Nothing
		End Try
		'返り値設定
		Return retData
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 死亡情報チェックレコード取得
	''' </summary>
	''' <param name="rPatientNo">患者番号</param>
	''' <param name="rHspFixedCd">退院経路固定コード</param>
	''' <param name="rLctFixedCd">死亡場所固定コード</param>
	''' <param name="rHospital">院内 Or 院外 区別</param>
	''' <returns>死亡情報レコード配列</returns>
	''' <remarks>
	''' 2010/11/01 新規作成 NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function getDeathInfo(ByVal rPatientNo As String, ByVal rHspFixedCd As String, ByVal rLctFixedCd As String, ByVal rHospital As Boolean) As ArrayList
		Dim retData As ArrayList
		Dim arData As ArrayList
		Dim iRet As Long
		Try
			arData = New ArrayList()
			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
				If rHospital Then
					' 院内
					db.setSQL(MEN.sqlMEN010F060.sqlDEATH_INSIDE_CHK_REC)	'SELECT文設定
				Else
					' 院外
					db.setSQL(MEN.sqlMEN010F060.sqlDEATH_OUTSIDE_CHK_REC)	'SELECT文設定
				End If
				' パラメータセット
				db.setParam(MEN.sqlMEN010F060.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
				db.setParam(MEN.sqlMEN010F060.prmOUT_HSP_OUTCOME_FIXED_CD, clsDB.Enum_dbType.dbNVarChar)
				db.setParam(MEN.sqlMEN010F060.prmDEATH_LCT_FIXED_CD, clsDB.Enum_dbType.dbNVarChar)
				db.setVal(MEN.sqlMEN010F060.prmPATIENT_NO, rPatientNo)
				db.setVal(MEN.sqlMEN010F060.prmOUT_HSP_OUTCOME_FIXED_CD, rHspFixedCd)
				db.setVal(MEN.sqlMEN010F060.prmDEATH_LCT_FIXED_CD, rLctFixedCd)
				'値取得
				iRet = db.execQuery(GetType(MEN.datDeathInfo), arData)
				If iRet > 0 Then										'レコードあり
					retData = arData
				Else
					retData = Nothing
				End If
			End Using
		Catch ex As Exception
			Throw
		Finally
			'メモリ解放
			arData = Nothing
			iRet = Nothing
		End Try
		'返り値設定
		Return retData
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 入退院情報チェックレコード取得
	''' </summary>
	''' <param name="rPatientNo">患者番号</param>
	''' <returns>入退院情報レコード配列</returns>
	''' <remarks>
	''' 2010/11/01 新規作成 NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function getHspInfo(ByVal rPatientNo As String) As ArrayList
		Dim retData As ArrayList
		Dim arData As ArrayList
		Dim iRet As Long
		Try
			arData = New ArrayList()
			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
				db.setSQL(MEN.sqlMEN010F060.sqlHSP_CHK_REC)		'SELECT文設定
				' パラメータセット
				db.setParam(MEN.sqlMEN010F060.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
				db.setVal(MEN.sqlMEN010F060.prmPATIENT_NO, rPatientNo)
				'値取得
				iRet = db.execQuery(GetType(MEN.datHspInfo), arData)
				If iRet > 0 Then										'レコードあり
					retData = arData
				Else
					retData = Nothing
				End If
			End Using
		Catch ex As Exception
			Throw
		Finally
			'メモリ解放
			arData = Nothing
			iRet = Nothing
		End Try
		'返り値設定
		Return retData
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 科歴情報チェックレコード取得
	''' </summary>
	''' <param name="rPatientNo">患者番号</param>
	''' <returns>科歴情報レコード配列</returns>
	''' <remarks>
	''' 2010/11/01 新規作成 NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function getChInfo(ByVal rPatientNo As String) As ArrayList
		Dim retData As ArrayList
		Dim arData As ArrayList
		Dim iRet As Long
		Try
			arData = New ArrayList()
			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
				db.setSQL(MEN.sqlMEN010F060.sqlCH_CHK_REC)		'SELECT文設定
				' パラメータセット
				db.setParam(MEN.sqlMEN010F060.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
				db.setVal(MEN.sqlMEN010F060.prmPATIENT_NO, rPatientNo)
				'値取得
				iRet = db.execQuery(GetType(MEN.datChInfo), arData)
				If iRet > 0 Then										'レコードあり
					retData = arData
				Else
					retData = Nothing
				End If
			End Using
		Catch ex As Exception
			Throw
		Finally
			'メモリ解放
			arData = Nothing
			iRet = Nothing
		End Try
		'返り値設定
		Return retData
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 科歴医師情報チェックレコード取得
	''' </summary>
	''' <param name="rPatientNo">患者番号</param>
	''' <param name="rHspHistoryNo">入退院歴番号</param>
	''' <param name="rChNo">科歴番号</param>
	''' <returns>医師情報レコード配列</returns>
	''' <remarks>
	''' 2011/01/04 新規作成 NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function getChDoctorInfo(ByVal rPatientNo As String, ByVal rHspHistoryNo As String, ByVal rChNo As String) As ArrayList
		Dim retData As ArrayList
		Dim arData As ArrayList
		Dim iRet As Long
		Try
			arData = New ArrayList()
			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
				db.setSQL(MEN.sqlMEN010F060.sql_CH_DOCTOR_CHK_REC)		'SELECT文設定
				' パラメータセット
				db.setParam(MEN.sqlMEN010F060.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
				db.setParam(MEN.sqlMEN010F060.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
				db.setParam(MEN.sqlMEN010F060.prmCH_NO, clsDB.Enum_dbType.dbInt)
				db.setVal(MEN.sqlMEN010F060.prmPATIENT_NO, rPatientNo)
				db.setVal(MEN.sqlMEN010F060.prmHSP_HISTORY_NO, rHspHistoryNo)
				db.setVal(MEN.sqlMEN010F060.prmCH_NO, rChNo)
				'値取得
				iRet = db.execQuery(GetType(MEN.datChDoctorInfo), arData)
				If iRet > 0 Then									'レコードあり
					retData = arData
				Else
					retData = Nothing
				End If
			End Using
		Catch ex As Exception
			Throw
		Finally
			'メモリ解放
			arData = Nothing
			iRet = Nothing
		End Try
		'返り値設定
		Return retData
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 科歴病棟情報チェックレコード取得
	''' </summary>
	''' <param name="rPatientNo">患者番号</param>
	''' <param name="rHspHistoryNo">入退院歴番号</param>
	''' <param name="rChNo">科歴番号</param>
	''' <returns>病棟情報レコード配列</returns>
	''' <remarks>
	''' 2011/01/04 新規作成 NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function getChWardInfo(ByVal rPatientNo As String, ByVal rHspHistoryNo As String, ByVal rChNo As String) As ArrayList
		Dim retData As ArrayList
		Dim arData As ArrayList
		Dim iRet As Long
		Try
			arData = New ArrayList()
			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
				db.setSQL(MEN.sqlMEN010F060.sql_CH_WARD_CHK_REC)	'SELECT文設定
				' パラメータセット
				db.setParam(MEN.sqlMEN010F060.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
				db.setParam(MEN.sqlMEN010F060.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
				db.setParam(MEN.sqlMEN010F060.prmCH_NO, clsDB.Enum_dbType.dbInt)
				db.setVal(MEN.sqlMEN010F060.prmPATIENT_NO, rPatientNo)
				db.setVal(MEN.sqlMEN010F060.prmHSP_HISTORY_NO, rHspHistoryNo)
				db.setVal(MEN.sqlMEN010F060.prmCH_NO, rChNo)
				'値取得
				iRet = db.execQuery(GetType(MEN.datChWardInfo), arData)
				If iRet > 0 Then									'レコードあり
					retData = arData
				Else
					retData = Nothing
				End If
			End Using
		Catch ex As Exception
			Throw
		Finally
			'メモリ解放
			arData = Nothing
			iRet = Nothing
		End Try
		'返り値設定
		Return retData
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 病名情報チェックレコード取得
	''' </summary>
	''' <param name="rPatientNo">患者番号</param>
	''' <returns>病名情報レコード配列</returns>
	''' <remarks>
	''' 2010/11/01 新規作成 NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function getDiseaseNameInfo(ByVal rPatientNo As String) As ArrayList
		Dim retData As ArrayList
		Dim arData As ArrayList
		Dim iRet As Long
		Try
			arData = New ArrayList()
			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
				db.setSQL(MEN.sqlMEN010F060.sqlDISEASENAME_CHK_REC)		'SELECT文設定
				' パラメータセット
				db.setParam(MEN.sqlMEN010F060.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
				db.setVal(MEN.sqlMEN010F060.prmPATIENT_NO, rPatientNo)
				'値取得
				iRet = db.execQuery(GetType(MEN.datDiseaseNameInfo), arData)
				If iRet > 0 Then										'レコードあり
					retData = arData
				Else
					retData = Nothing
				End If
			End Using
		Catch ex As Exception
			Throw
		Finally
			'メモリ解放
			arData = Nothing
			iRet = Nothing
		End Try
		'返り値設定
		Return retData
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 手術情報チェックレコード取得
	''' </summary>
	''' <param name="rPatientNo">患者番号</param>
	''' <returns>手術情報レコード配列</returns>
	''' <remarks>
	''' 2010/11/01 新規作成 NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function getOpeInfo(ByVal rPatientNo As String) As ArrayList
		Dim retData As ArrayList
		Dim arData As ArrayList
		Dim iRet As Long
		Try
			arData = New ArrayList()
			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
				db.setSQL(MEN.sqlMEN010F060.sqlOPE_CHK_REC)		'SELECT文設定
				' パラメータセット
				db.setParam(MEN.sqlMEN010F060.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
				db.setVal(MEN.sqlMEN010F060.prmPATIENT_NO, rPatientNo)
				'値取得
				iRet = db.execQuery(GetType(MEN.datOpeInfo), arData)
				If iRet > 0 Then										'レコードあり
					retData = arData
				Else
					retData = Nothing
				End If
			End Using
		Catch ex As Exception
			Throw
		Finally
			'メモリ解放
			arData = Nothing
			iRet = Nothing
		End Try
		'返り値設定
		Return retData
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 手術医師情報チェックレコード取得
	''' </summary>
	''' <param name="rPatientNo">患者番号</param>
	''' <param name="rHspHistoryNo">入退院歴番号</param>
	''' <param name="rChNo">科歴番号</param>
	''' <param name="rOpeSerialNo">手術連番</param>
	''' <returns>手術医師情報レコード配列</returns>
	''' <remarks>
	''' 2010/11/01 新規作成 NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function getOpeDoctorInfo(ByVal rPatientNo As String _
	   , ByVal rHspHistoryNo As String, ByVal rChNo As String, ByVal rOpeSerialNo As String) As ArrayList
		Dim retData As ArrayList
		Dim arData As ArrayList
		Dim iRet As Long
		Try
			arData = New ArrayList()
			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
				db.setSQL(MEN.sqlMEN010F060.sqlOPE_DOCTOR_CHK_REC)		'SELECT文設定
				' パラメータセット
				db.setParam(MEN.sqlMEN010F060.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
				db.setParam(MEN.sqlMEN010F060.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
				db.setParam(MEN.sqlMEN010F060.prmCH_NO, clsDB.Enum_dbType.dbInt)
				db.setParam(MEN.sqlMEN010F060.prmOPE_SERIAL_NO, clsDB.Enum_dbType.dbInt)
				db.setVal(MEN.sqlMEN010F060.prmPATIENT_NO, rPatientNo)
				db.setVal(MEN.sqlMEN010F060.prmHSP_HISTORY_NO, rHspHistoryNo)
				db.setVal(MEN.sqlMEN010F060.prmCH_NO, rChNo)
				db.setVal(MEN.sqlMEN010F060.prmOPE_SERIAL_NO, CInt(rOpeSerialNo))
				'値取得
				iRet = db.execQuery(GetType(MEN.datOpeDoctorInfo), arData)
				If iRet > 0 Then										'レコードあり
					retData = arData
				Else
					retData = Nothing
				End If
			End Using
		Catch ex As Exception
			Throw
		Finally
			'メモリ解放
			arData = Nothing
			iRet = Nothing
		End Try
		'返り値設定
		Return retData
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 治療処置情報チェックレコード取得
	''' </summary>
	''' <param name="rPatientNo">患者番号</param>
	''' <returns>治療処置情報レコード配列</returns>
	''' <remarks>
	''' 2010/11/01 新規作成 NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function getCareInfo(ByVal rPatientNo As String) As ArrayList
		Dim retData As ArrayList
		Dim arData As ArrayList
		Dim iRet As Long
		Try
			arData = New ArrayList()
			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
				db.setSQL(MEN.sqlMEN010F060.sqlCARE_CHK_REC)		'SELECT文設定
				' パラメータセット
				db.setParam(MEN.sqlMEN010F060.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
				db.setVal(MEN.sqlMEN010F060.prmPATIENT_NO, rPatientNo)
				'値取得
				iRet = db.execQuery(GetType(MEN.datCareInfo), arData)
				If iRet > 0 Then										'レコードあり
					retData = arData
				Else
					retData = Nothing
				End If
			End Using
		Catch ex As Exception
			Throw
		Finally
			'メモリ解放
			arData = Nothing
			iRet = Nothing
		End Try
		'返り値設定
		Return retData
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 救命救急情報チェックレコード取得
	''' </summary>
	''' <param name="rPatientNo">患者番号</param>
	''' <returns>救命救急情報レコード配列</returns>
	''' <remarks>
	''' 2010/11/01 新規作成 NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function getEmergencyInfo(ByVal rPatientNo As String) As ArrayList
		Dim retData As ArrayList
		Dim arData As ArrayList
		Dim iRet As Long
		Try
			arData = New ArrayList()
			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
				db.setSQL(MEN.sqlMEN010F060.sqlEMERGENCY_CHK_REC)	'SELECT文設定
				' パラメータセット
				db.setParam(MEN.sqlMEN010F060.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
				db.setVal(MEN.sqlMEN010F060.prmPATIENT_NO, rPatientNo)
				'値取得
				iRet = db.execQuery(GetType(MEN.datEmergencyInfo), arData)
				If iRet > 0 Then									'レコードあり
					retData = arData
				Else
					retData = Nothing
				End If
			End Using
		Catch ex As Exception
			Throw
		Finally
			'メモリ解放
			arData = Nothing
			iRet = Nothing
		End Try
		'返り値設定
		Return retData
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 分娩情報チェックレコード取得
	''' </summary>
	''' <param name="rPatientNo">患者番号</param>
	''' <returns>分娩情報レコード配列</returns>
	''' <remarks>
	''' 2010/11/01 新規作成 NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function getCbInfo(ByVal rPatientNo As String) As ArrayList
		Dim retData As ArrayList
		Dim arData As ArrayList
		Dim iRet As Long
		Try
			arData = New ArrayList()
			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
				db.setSQL(MEN.sqlMEN010F060.sqlCB_CHK_REC)		'SELECT文設定
				' パラメータセット
				db.setParam(MEN.sqlMEN010F060.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
				db.setVal(MEN.sqlMEN010F060.prmPATIENT_NO, rPatientNo)
				'値取得
				iRet = db.execQuery(GetType(MEN.datCbInfo), arData)
				If iRet > 0 Then										'レコードあり
					retData = arData
				Else
					retData = Nothing
				End If
			End Using
		Catch ex As Exception
			Throw
		Finally
			'メモリ解放
			arData = Nothing
			iRet = Nothing
		End Try
		'返り値設定
		Return retData
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 分娩児情報チェックレコード取得
	''' </summary>
	''' <param name="rPatientNo">患者番号</param>
	''' <returns>分娩児情報レコード配列</returns>
	''' <remarks>
	''' 2010/11/01 新規作成 NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function getCbChildInfo(ByVal rPatientNo As String) As ArrayList
		Dim retData As ArrayList
		Dim arData As ArrayList
		Dim iRet As Long
		Try
			arData = New ArrayList()
			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
				db.setSQL(MEN.sqlMEN010F060.sqlCB_CHILD_CHK_REC)	'SELECT文設定
				' パラメータセット
				db.setParam(MEN.sqlMEN010F060.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
				db.setVal(MEN.sqlMEN010F060.prmPATIENT_NO, rPatientNo)
				'値取得
				iRet = db.execQuery(GetType(MEN.datCbChildInfo), arData)
				If iRet > 0 Then										'レコードあり
					retData = arData
				Else
					retData = Nothing
				End If
			End Using
		Catch ex As Exception
			Throw
		Finally
			'メモリ解放
			arData = Nothing
			iRet = Nothing
		End Try
		'返り値設定
		Return retData
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 検査情報チェックレコード取得
	''' </summary>
	''' <param name="rPatientNo">患者番号</param>
	''' <returns>検査情報レコード配列</returns>
	''' <remarks>
	''' 2010/11/01 新規作成 NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function getTestInfo(ByVal rPatientNo As String) As ArrayList
		Dim retData As ArrayList
		Dim arData As ArrayList
		Dim iRet As Long
		Try
			arData = New ArrayList()
			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
				db.setSQL(MEN.sqlMEN010F060.sqlTEST_CHK_REC)	'SELECT文設定
				' パラメータセット
				db.setParam(MEN.sqlMEN010F060.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
				db.setVal(MEN.sqlMEN010F060.prmPATIENT_NO, rPatientNo)
				'値取得
				iRet = db.execQuery(GetType(MEN.datTestInfo), arData)
				If iRet > 0 Then										'レコードあり
					retData = arData
				Else
					retData = Nothing
				End If
			End Using
		Catch ex As Exception
			Throw
		Finally
			'メモリ解放
			arData = Nothing
			iRet = Nothing
		End Try
		'返り値設定
		Return retData
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 貸出物情報チェックレコード取得
	''' </summary>
	''' <param name="rPatientNo">患者番号</param>
	''' <returns>貸出物情報レコード配列</returns>
	''' <remarks>
	''' 2010/11/01 新規作成 NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function getLenditmInfo(ByVal rPatientNo As String) As ArrayList
		Dim retData As ArrayList
		Dim arData As ArrayList
		Dim iRet As Long
		Try
			arData = New ArrayList()
			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
				db.setSQL(MEN.sqlMEN010F060.sqlLENDITM_CHK_REC)		'SELECT文設定
				' パラメータセット
				db.setParam(MEN.sqlMEN010F060.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
				db.setVal(MEN.sqlMEN010F060.prmPATIENT_NO, rPatientNo)
				'値取得
				iRet = db.execQuery(GetType(MEN.datLenditmInfo), arData)
				If iRet > 0 Then										'レコードあり
					retData = arData
				Else
					retData = Nothing
				End If
			End Using
		Catch ex As Exception
			Throw
		Finally
			'メモリ解放
			arData = Nothing
			iRet = Nothing
		End Try
		'返り値設定
		Return retData
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 医療費情報チェックレコード取得
	''' </summary>
	''' <param name="rPatientNo">患者番号</param>
	''' <returns>医療費情報レコード配列</returns>
	''' <remarks>
	''' 2010/11/01 新規作成 NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function getMedCostInfo(ByVal rPatientNo As String) As ArrayList
		Dim retData As ArrayList
		Dim arData As ArrayList
		Dim iRet As Long
		Try
			arData = New ArrayList()
			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
				db.setSQL(MEN.sqlMEN010F060.sqlMED_COST_CHK_REC)	'SELECT文設定
				' パラメータセット
				db.setParam(MEN.sqlMEN010F060.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
				db.setParam(MEN.sqlMEN010F060.prmCH_NO, clsDB.Enum_dbType.dbInt)
				db.setVal(MEN.sqlMEN010F060.prmPATIENT_NO, rPatientNo)
				db.setVal(MEN.sqlMEN010F060.prmCH_NO, 0, False)
				'値取得
				iRet = db.execQuery(GetType(MEN.datMedCostInfo), arData)
				If iRet > 0 Then										'レコードあり
					retData = arData
				Else
					retData = Nothing
				End If
			End Using
		Catch ex As Exception
			Throw
		Finally
			'メモリ解放
			arData = Nothing
			iRet = Nothing
		End Try
		'返り値設定
		Return retData
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 医療費情報（科歴）チェックレコード取得
	''' </summary>
	''' <param name="rPatientNo">患者番号</param>
	''' <returns>医療費情報レコード配列</returns>
	''' <remarks>
	''' 2010/11/01 新規作成 NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function getMedCostChInfo(ByVal rPatientNo As String) As ArrayList
		Dim retData As ArrayList
		Dim arData As ArrayList
		Dim iRet As Long
		Try
			arData = New ArrayList()
			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
				db.setSQL(MEN.sqlMEN010F060.sqlMED_COST_CHK_CH_REC)		'SELECT文設定
				' パラメータセット
				db.setParam(MEN.sqlMEN010F060.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
				db.setParam(MEN.sqlMEN010F060.prmCH_NO, clsDB.Enum_dbType.dbInt)
				db.setVal(MEN.sqlMEN010F060.prmPATIENT_NO, rPatientNo)
				db.setVal(MEN.sqlMEN010F060.prmCH_NO, 0, False)
				'値取得
				iRet = db.execQuery(GetType(MEN.datMedCostInfo), arData)
				If iRet > 0 Then										'レコードあり
					retData = arData
				Else
					retData = Nothing
				End If
			End Using
		Catch ex As Exception
			Throw
		Finally
			'メモリ解放
			arData = Nothing
			iRet = Nothing
		End Try
		'返り値設定
		Return retData
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' クリニカルパスチェックレコード取得
	''' </summary>
	''' <param name="rPatientNo">患者番号</param>
	''' <returns>クリニカルパスレコード配列</returns>
	''' <remarks>
	''' 2010/11/01 新規作成 NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function getMtiPathInfo(ByVal rPatientNo As String) As ArrayList
		Dim retData As ArrayList
		Dim arData As ArrayList
		Dim iRet As Long
		Try
			arData = New ArrayList()
			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
				db.setSQL(MEN.sqlMEN010F060.sqlMTIPATH_CHK_REC)		'SELECT文設定
				' パラメータセット
				db.setParam(MEN.sqlMEN010F060.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
				db.setVal(MEN.sqlMEN010F060.prmPATIENT_NO, rPatientNo)
				'値取得
				iRet = db.execQuery(GetType(MEN.datMtiPathInfo), arData)
				If iRet > 0 Then										'レコードあり
					retData = arData
				Else
					retData = Nothing
				End If
			End Using
		Catch ex As Exception
			Throw
		Finally
			'メモリ解放
			arData = Nothing
			iRet = Nothing
		End Try
		'返り値設定
		Return retData
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 病名レコードの対象フィールド件数チェック
	''' </summary>
	''' <param name="rMode">ＳＱＬ取得種別</param>
	''' <param name="rPatientNo">患者番号</param>
	''' <param name="rHspHistoryNo">入院歴番号</param>
	''' <param name="rChNo">科歴番号</param>
	''' <param name="rDisSerialNo">病名連番</param>
	''' <returns>成否</returns>
	''' <remarks></remarks>
	''' ---------------------------------------------
	Private Function getDiseaseChkData(ByVal rMode As Enum_Disease_Chk_Select_Mode, ByVal rPatientNo As String _
	  , ByVal rHspHistoryNo As String, ByVal rChNo As String, ByVal rDisSerialNo As String) As Boolean
		Dim lDtTable As DataTable
		Try
			lDtTable = New DataTable
			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
				Select Case rMode
					Case Enum_Disease_Chk_Select_Mode.Hsp_Chance_Disease_Flg
						db.setSQLDa(sqlMEN010F060.sqlHSP_CHANCE_DISEASE_FLG_CHK)
					Case Enum_Disease_Chk_Select_Mode.Disease_Med_Res_Flg1
						db.setSQLDa(sqlMEN010F060.sqlDISEASE_MED_RES_FLG1_CHK)
					Case Enum_Disease_Chk_Select_Mode.Disease_Med_Res_Flg2
						db.setSQLDa(sqlMEN010F060.sqlDISEASE_MED_RES_FLG2_CHK)
					Case Else
						Return False
				End Select
				db.setParamDa(MEN.sqlMEN010F060.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
				db.setParamDa(MEN.sqlMEN010F060.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
				db.setParamDa(MEN.sqlMEN010F060.prmCH_NO, clsDB.Enum_dbType.dbInt)
				db.setParamDa(MEN.sqlMEN010F060.prmDISEASE_SERIAL_NO, clsDB.Enum_dbType.dbInt)
				db.setParamDa(MEN.sqlMEN010F060.prmCheckFlg, clsDB.Enum_dbType.dbInt)
				db.setValDa(MEN.sqlMEN010F060.prmPATIENT_NO, rPatientNo)
				db.setValDa(MEN.sqlMEN010F060.prmHSP_HISTORY_NO, rHspHistoryNo)
				db.setValDa(MEN.sqlMEN010F060.prmCH_NO, rChNo)
				db.setValDa(MEN.sqlMEN010F060.prmDISEASE_SERIAL_NO, CInt(rDisSerialNo))
				db.setValDa(MEN.sqlMEN010F060.prmCheckFlg, clsConst.Enum_CheckBox_Flg.CheckOn)

				db.execQueryDa(lDtTable)
				If lDtTable.Rows.Count <> 0 Then
					If lDtTable.Rows(0).Item(sqlMEN010F060.itmCNT) > 0 Then Return True
				End If
			End Using
		Catch ex As Exception
			Throw
		Finally
			lDtTable = Nothing
		End Try
	End Function

#End Region

#Region "エラー出力"

	''' ---------------------------------------------
	''' <summary>
	''' エラー出力
	''' </summary>
	''' <param name="aSerialNo">登録キー番号（エラー数）</param>
	''' <param name="aHspHistoryNo">入退院歴番号</param>
	''' <param name="aChNo">科歴番号</param>
	''' <param name="aRenban">情報連番</param>
	''' <param name="aMsgNo">エラーコード</param>
	''' <param name="aMsg1">メッセージ１</param>
	''' <param name="aMsg2">メッセージ２</param>
	''' <param name="aRowCnt">エラー行数</param>
	''' <param name="aCnt">エラー数</param>
	''' <param name="fbase">BaseForm</param>
	''' <param name="aMsgParam1">メッセージパラメータ１</param>
	''' <param name="aMsgParam2">メッセージパラメータ２</param>
	''' <remarks>
	''' 2010/11/01 新規作成 NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub AddErrMsgTable(ByRef aSerialNo As Integer, ByVal aHspHistoryNo As Nullable(Of Integer), ByVal aChNo As Nullable(Of Integer), ByVal aRenban As Long, _
	 ByVal aMsgNo As String, ByVal aMsg1 As String, ByVal aMsg2 As String, ByVal aRowCnt As Integer, _
	 ByRef aCnt As Integer, ByRef fbase As MEN000F010, Optional ByVal aMsgParam1 As String = "", Optional ByVal aMsgParam2 As String = "")

		Dim lDataRow As DataRow = Nothing
		Try
			aSerialNo = aSerialNo + 1
			aCnt = aCnt + 1

			' ベースのErrListに追加
			Dim wParam As String() = {aMsgParam1, aMsgParam2, ""}
			fbase.addErrList(aMsgNo, "", aMsg1, wParam)

			'エラーリスト用詰込み
			lDataRow = _dtErrMsg.NewRow()
			lDataRow.BeginEdit()
			lDataRow(KEY_HOST_NM) = My.Computer.Name
			lDataRow(KEY_SERIALNO) = aSerialNo
			lDataRow(KEY_PATIENTNO) = fbase.PatientNo
			lDataRow(KEY_HSP_HISTORYNO) = aHspHistoryNo
			lDataRow(KEY_CHNO) = aChNo
			lDataRow(KEY_INF_SERIALNO) = aRenban
			lDataRow(KEY_ERRCD) = aMsgNo
			lDataRow(KEY_ERR_MESSAGE1) = Replace(ctlMsg.getMessage(aMsgNo, wParam), vbCrLf, String.Empty) & "（" & aMsg1 & "）"
			lDataRow(KEY_ERR_ROWNO) = aRowCnt
			Select Case aRenban
				Case 1
					lDataRow(KEY_INF_NAME) = CONST_INFO_NM_01
				Case 2
					lDataRow(KEY_INF_NAME) = CONST_INFO_NM_02
				Case 3
					lDataRow(KEY_INF_NAME) = CONST_INFO_NM_03
				Case 4
					lDataRow(KEY_INF_NAME) = CONST_INFO_NM_04
				Case 5
					lDataRow(KEY_INF_NAME) = CONST_INFO_NM_05
				Case 6
					lDataRow(KEY_INF_NAME) = CONST_INFO_NM_06
				Case 7
					lDataRow(KEY_INF_NAME) = CONST_INFO_NM_07
				Case 8
					lDataRow(KEY_INF_NAME) = CONST_INFO_NM_08
				Case 9
					lDataRow(KEY_INF_NAME) = CONST_INFO_NM_09
				Case 10
					lDataRow(KEY_INF_NAME) = CONST_INFO_NM_10
				Case 11
					lDataRow(KEY_INF_NAME) = CONST_INFO_NM_11
				Case 12
					lDataRow(KEY_INF_NAME) = CONST_INFO_NM_12
				Case 13
					lDataRow(KEY_INF_NAME) = CONST_INFO_NM_13
				Case 14
					lDataRow(KEY_INF_NAME) = CONST_INFO_NM_14
				Case 15
					lDataRow(KEY_INF_NAME) = CONST_INFO_NM_15
				Case Else
					lDataRow(KEY_INF_NAME) = DBNull.Value
			End Select
			lDataRow.EndEdit()
			_dtErrMsg.Rows.Add(lDataRow)
		Catch ex As Exception
			Throw
		Finally
			lDataRow = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' エラー出力
	''' </summary>
	''' <param name="aSerialNo">登録キー番号（エラー数）</param>
	''' <param name="aHspHistoryNo">入退院歴番号</param>
	''' <param name="aChNo">科歴番号</param>
	''' <param name="aRenban">情報連番</param>
	''' <param name="aRowCnt">エラー行数</param>
	''' <param name="aCnt">エラー数</param>
	''' <param name="fbase">継承元画面</param>
	''' <param name="aTabIndex">タブインデックス</param>
	''' <param name="aControlId">コントロール識別</param>
	''' <param name="aKName">日本語名</param>
	''' <param name="aMsgNo">エラーコード</param>
	''' <param name="aPrm">追加パラメータ</param>
	''' <remarks>
	''' 2010/11/01 新規作成 NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub AddErrMsgTable2(ByRef aSerialNo As Integer, ByVal aHspHistoryNo As Nullable(Of Integer), ByVal aChNo As Nullable(Of Integer), ByVal aRenban As Nullable(Of Integer), _
	  ByVal aRowCnt As Integer, ByRef aCnt As Integer, ByRef fbase As MEN000F010, ByVal aTabIndex As Integer, ByVal aControlId As Enum_Control_ID, ByVal aKName As String, _
	  ByVal aMsgNo As String, ByVal ParamArray aPrm() As String)

		Dim lDataRow As DataRow = Nothing
		Try
			aSerialNo = aSerialNo + 1
			aCnt = aCnt + 1

			' ベースのErrListに追加
			fbase.addErrList(aMsgNo, Me.ControlName(aControlId), aKName, aPrm)

			'エラーリスト用詰込み
			lDataRow = _dtErrMsg.NewRow()
			lDataRow.BeginEdit()
			lDataRow(KEY_HOST_NM) = My.Computer.Name
			lDataRow(KEY_SERIALNO) = aSerialNo
			lDataRow(KEY_PATIENTNO) = fbase.PatientNo
			lDataRow(KEY_HSP_HISTORYNO) = aHspHistoryNo
			lDataRow(KEY_CHNO) = aChNo
			lDataRow(KEY_INF_SERIALNO) = aRenban
			lDataRow(KEY_ERRCD) = aMsgNo
			lDataRow(KEY_ERR_MESSAGE1) = Replace(ctlMsg.getMessage(aMsgNo, aPrm), vbCrLf, String.Empty) & "（" & aKName & "）"
			lDataRow(KEY_ERR_ROWNO) = aRowCnt
			Select Case aTabIndex
				Case 1
					lDataRow(KEY_INF_NAME) = CONST_INFO_NM_01
				Case 2
					lDataRow(KEY_INF_NAME) = CONST_INFO_NM_02
				Case 3
					lDataRow(KEY_INF_NAME) = CONST_INFO_NM_03
				Case 4
					lDataRow(KEY_INF_NAME) = CONST_INFO_NM_04
				Case 5
					lDataRow(KEY_INF_NAME) = CONST_INFO_NM_05
				Case 6
					lDataRow(KEY_INF_NAME) = CONST_INFO_NM_06
				Case 7
					lDataRow(KEY_INF_NAME) = CONST_INFO_NM_07
				Case 8
					lDataRow(KEY_INF_NAME) = CONST_INFO_NM_08
				Case 9
					lDataRow(KEY_INF_NAME) = CONST_INFO_NM_09
				Case 10
					lDataRow(KEY_INF_NAME) = CONST_INFO_NM_10
				Case 11
					lDataRow(KEY_INF_NAME) = CONST_INFO_NM_11
				Case 12
					lDataRow(KEY_INF_NAME) = CONST_INFO_NM_12
				Case 13
					lDataRow(KEY_INF_NAME) = CONST_INFO_NM_13
				Case 14
					lDataRow(KEY_INF_NAME) = CONST_INFO_NM_14
				Case 15
					lDataRow(KEY_INF_NAME) = CONST_INFO_NM_15
				Case Else
					lDataRow(KEY_INF_NAME) = DBNull.Value
			End Select
			lDataRow.EndEdit()
			_dtErrMsg.Rows.Add(lDataRow)
		Catch ex As Exception
			Throw
		Finally
			lDataRow = Nothing
		End Try
	End Sub

#End Region

#Region "チェック処理"

	''' ---------------------------------------------
	''' <summary>
	''' 基本情報チェック処理
	''' </summary>
	''' <param name="aryTable">配列型レコードセット</param>
	''' <param name="fbase">BaseForm</param>
	''' <param name="rErrAllCnt">ＡＬＬエラー件数</param>
	''' <param name="rChkBOX">チェックボックス配列</param>
	''' <returns>エラー件数配列</returns>
	''' <remarks>
	''' 2010/11/01 新規作成 NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function chkBasicInfo(ByVal aryTable As ArrayList, ByRef fbase As MEN000F010, _
	  Optional ByRef rErrAllCnt As Integer = 0, Optional ByVal rChkBOX() As Windows.Forms.CheckBox = Nothing) As ArrayList
		Const CONST_TABINDEX As Long = 1
		Dim lRetErrCnt As ArrayList
		Dim lRowCnt As Integer = 0
		Dim lCnt As Integer = 0
		Try
			lRetErrCnt = New ArrayList
			For lCnt = 0 To 2
				lRetErrCnt.Add(0)
			Next
			For Each wRecOne As MEN.datBasicInfo In aryTable
				lRowCnt = lRowCnt + 1
				' 必須チェック
				If rChkBOX Is Nothing OrElse rChkBOX(0).Checked = True Then
					lCnt = lRetErrCnt(0)
					' 氏名
					If String.IsNullOrEmpty(wRecOne.PATIENT_NM) Then
						AddErrMsgTable(rErrAllCnt, Nothing, Nothing, CONST_TABINDEX, "E0001", "氏名", "", lRowCnt, lCnt, fbase)
					End If
					'氏名カナ
					If String.IsNullOrEmpty(wRecOne.PATIENT_KNM) Then
						AddErrMsgTable(rErrAllCnt, Nothing, Nothing, CONST_TABINDEX, "E0001", "氏名カナ", "", lRowCnt, lCnt, fbase)
					End If
					'性別
					If String.IsNullOrEmpty(wRecOne.GENDER_CD) Then
						AddErrMsgTable(rErrAllCnt, Nothing, Nothing, CONST_TABINDEX, "E0001", "性別", "", lRowCnt, lCnt, fbase)
					End If
					'生年月日
					If IsDateEx(wRecOne.BIRTH_DT) = False Then
						AddErrMsgTable(rErrAllCnt, Nothing, Nothing, CONST_TABINDEX, "E0001", "生年月日", "", lRowCnt, lCnt, fbase)
					End If
					lRetErrCnt(0) = lCnt
				Else
					lRetErrCnt(0) = Nothing
				End If
				'コードチェック
				If rChkBOX Is Nothing OrElse rChkBOX(1).Checked = True Then
					lCnt = lRetErrCnt(1)
					'性別名称
					If String.IsNullOrEmpty(wRecOne.GENDER_CD) = False AndAlso String.IsNullOrEmpty(wRecOne.GENDER_NM) Then
						AddErrMsgTable(rErrAllCnt, Nothing, Nothing, CONST_TABINDEX, "E0015", "性別コード", "", lRowCnt, lCnt, fbase, "マスタに性別コード")
					End If
					lRetErrCnt(1) = lCnt
				Else
					lRetErrCnt(1) = Nothing
				End If
				'入退院情報より自動取得している項目のチェック
				If rChkBOX Is Nothing OrElse rChkBOX(2).Checked = True Then
					lCnt = lRetErrCnt(2)
					Select Case True
						Case IsDateEx(wRecOne.OUT_HSP_DT) = False AndAlso IsDateEx(wRecOne.LASTLEFTHSP_DT) = False
							'最終退院日、退院日共に未設定の場合は対象外
						Case IsDateEx(wRecOne.OUT_HSP_DT) Xor IsDateEx(wRecOne.LASTLEFTHSP_DT)
							'最終退院日と退院日の片方が未設定の場合はエラー
							AddErrMsgTable(rErrAllCnt, Nothing, Nothing, CONST_TABINDEX, "E0032", "最終退院日", "", lRowCnt, lCnt, fbase, "最終退院日と退院日が")
						Case wRecOne.OUT_HSP_DT.Value <> wRecOne.LASTLEFTHSP_DT.Value
							'最終退院日≠退院日の場合はエラー
							AddErrMsgTable(rErrAllCnt, Nothing, Nothing, CONST_TABINDEX, "E0032", "最終退院日", "", lRowCnt, lCnt, fbase, "最終退院日と退院日が")
						Case Else
					End Select
					lRetErrCnt(2) = lCnt
				Else
					lRetErrCnt(2) = Nothing
				End If
			Next
		Catch ex As Exception
			Throw
		Finally
			lRowCnt = Nothing
			lCnt = Nothing
		End Try
		Return lRetErrCnt
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 死亡情報（院外）チェック処理
	''' </summary>
	''' <param name="aryTable">配列型レコードセット</param>
	''' <param name="fbase">MEN000F010</param>
	''' <param name="rErrAllCnt">ＡＬＬエラー件数</param>
	''' <param name="rChkBOX">チェックボックス配列</param>
	''' <returns>エラー件数配列</returns>
	''' <remarks>
	''' 2010/11/01 新規作成 NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function chkDeathOutsideInfo(ByVal aryTable As ArrayList, ByRef fbase As MEN000F010, _
	 Optional ByRef rErrAllCnt As Integer = 0, Optional ByVal rChkBOX() As Windows.Forms.CheckBox = Nothing) As ArrayList
		Const CONST_TABINDEX As Long = 2
		Dim lRetErrCnt As ArrayList
		Dim lRowCnt As Integer = 0
		Dim lCnt As Integer = 0
		Try
			lRetErrCnt = New ArrayList
			For lCnt = 0 To 2
				lRetErrCnt.Add(0)
			Next
			For Each wRecOne As MEN.datDeathInfo In aryTable
				lRowCnt = lRowCnt + 1
				' 必須チェック
				If rChkBOX Is Nothing OrElse rChkBOX(0).Checked = True Then
					lCnt = lRetErrCnt(0)
					If IsDateEx(wRecOne.DEATH_DT) = False Then
						AddErrMsgTable(rErrAllCnt, Nothing, Nothing, CONST_TABINDEX, "E0001", "死亡日", "", lRowCnt, lCnt, fbase)
					End If
					lRetErrCnt(0) = lCnt
				Else
					lRetErrCnt(0) = Nothing
				End If
				'死亡日と生年月日の整合性チェック
				If rChkBOX Is Nothing OrElse rChkBOX(1).Checked = True Then
					lCnt = lRetErrCnt(1)
					If IsDateEx(wRecOne.BIRTH_DT) AndAlso IsDateEx(wRecOne.DEATH_DT) Then
						If wRecOne.BIRTH_DT.Value > wRecOne.DEATH_DT.Value Then
							AddErrMsgTable(rErrAllCnt, Nothing, Nothing, CONST_TABINDEX, "E0031", "死亡日", "", lRowCnt, lCnt, fbase, "死亡日", "生年月日より過去の日付")
						End If
					End If
					lRetErrCnt(1) = lCnt
				Else
					lRetErrCnt(1) = Nothing
				End If
				'死亡日と入退院歴の退院日との整合性チェック
				If rChkBOX Is Nothing OrElse rChkBOX(2).Checked = True Then
					lCnt = lRetErrCnt(2)
					If IsDateEx(wRecOne.OUT_HSP_DT) AndAlso IsDateEx(wRecOne.DEATH_DT) Then
						If wRecOne.OUT_HSP_DT.Value < wRecOne.DEATH_DT.Value Then
							AddErrMsgTable(rErrAllCnt, Nothing, Nothing, CONST_TABINDEX, "E0031", "死亡日", "", lRowCnt, lCnt, fbase, "死亡日", "退院日より未来の日付")
						End If
					End If
					' 配列に格納
					lRetErrCnt(2) = lCnt
				Else
					lRetErrCnt(2) = Nothing
				End If
			Next
		Catch ex As Exception
			Throw
		Finally
			lRowCnt = Nothing
			lCnt = Nothing
		End Try
		Return lRetErrCnt
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 死亡情報（院内）チェック処理
	''' </summary>
	''' <param name="aryTable">配列型レコードセット</param>
	''' <param name="fbase">MEN000F010</param>
	''' <param name="rErrAllCnt">エラー数</param>
	''' <param name="rChkBOX">チェックボックス配列</param>
	''' <returns>成否</returns>
	''' <remarks>
	''' 2010/11/01 新規作成 NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function chkDeathInsideInfo(ByVal aryTable As ArrayList, ByRef fbase As MEN000F010, _
	 Optional ByRef rErrAllCnt As Integer = 0, Optional ByVal rChkBOX() As Windows.Forms.CheckBox = Nothing) As ArrayList
		Const CONST_TABINDEX As Long = 3
		Dim lRetErrCnt As ArrayList
		Dim lRowCnt As Integer = 0
		Dim lCnt As Integer = 0
		Dim cliMENCommon As clsMENCOMMON
		Dim cliCom As XSP.clsCom
		Dim lNenAge As Integer
		Dim lTukiAge As Integer
		Dim lHiAge As Integer
		Try
			lRetErrCnt = New ArrayList
			cliMENCommon = New clsMENCOMMON
			cliCom = New XSP.clsCom
			For lCnt = 0 To 3
				lRetErrCnt.Add(0)
			Next
			For Each wRecOne As MEN.datDeathInfo In aryTable
				lRowCnt = lRowCnt + 1
				' 必須チェック
				If rChkBOX Is Nothing OrElse rChkBOX(0).Checked = True Then
					lCnt = lRetErrCnt(0)
					If IsDateEx(wRecOne.DEATH_DT) = False Then
						AddErrMsgTable(rErrAllCnt, Nothing, Nothing, CONST_TABINDEX, "E0001", "死亡日", "", lRowCnt, lCnt, fbase)
					End If
					lRetErrCnt(0) = lCnt
				Else
					lRetErrCnt(0) = Nothing
				End If
				'マスタに存在しないコードが使われているもの（チェック処理画面のみ）
				If rChkBOX IsNot Nothing AndAlso rChkBOX(1).Checked = True Then
					lCnt = lRetErrCnt(1)
					If String.IsNullOrEmpty(wRecOne.DEATH_DIV) = False AndAlso String.IsNullOrEmpty(wRecOne.DEATH_DIV_NM) Then
						AddErrMsgTable(rErrAllCnt, Nothing, Nothing, CONST_TABINDEX, "E0015", "死亡区分コード", "", lRowCnt, lCnt, fbase, "マスタに死亡区分コード")
					End If
					If String.IsNullOrEmpty(wRecOne.AFTER_OPE_DEATH_DIV) = False AndAlso String.IsNullOrEmpty(wRecOne.AFTER_OPE_DEATH_DIV_NM) Then
						AddErrMsgTable(rErrAllCnt, Nothing, Nothing, CONST_TABINDEX, "E0015", "術後死亡区分コード", "", lRowCnt, lCnt, fbase, "マスタに術後死亡区分コード")
					End If
					lRetErrCnt(1) = lCnt
				Else
					lRetErrCnt(1) = Nothing
				End If
				'日付チェック
				If rChkBOX Is Nothing OrElse rChkBOX(2).Checked = True Then
					lCnt = lRetErrCnt(2)
					If IsDateEx(wRecOne.OUT_HSP_DT) AndAlso IsDateEx(wRecOne.DEATH_DT) Then
						If wRecOne.OUT_HSP_DT.Value < wRecOne.DEATH_DT.Value Then
							AddErrMsgTable(rErrAllCnt, Nothing, Nothing, CONST_TABINDEX, "E0031", "死亡日", "", lRowCnt, lCnt, fbase, "死亡日", "退院日より未来の日付")
						End If
					End If
					lRetErrCnt(2) = lCnt
				Else
					lRetErrCnt(2) = Nothing
				End If
				'死亡時年齢の値のチェック
				If rChkBOX Is Nothing OrElse rChkBOX(3).Checked = True Then
					lCnt = lRetErrCnt(3)
					If IsDateEx(wRecOne.BIRTH_DT) AndAlso IsDateEx(wRecOne.DEATH_DT) Then
						cliCom.setCalcNenGetuNiti(wRecOne.BIRTH_DT.Value, wRecOne.DEATH_DT.Value, lNenAge, lTukiAge, lHiAge)
'(M) STR V4-11022-000 004 20110816 FJSK)荒川 XXX号 病歴大将V4PKG問題点No100 死亡時年齢の値チェック（入力チェック処理）で死亡時の月例が0のデータでエラーとなる対応
'						If (wRecOne.DEATH_AGE.HasValue = False) <> (lNenAge = 0) OrElse wRecOne.DEATH_AGE <> lNenAge Then
						If wRecOne.DEATH_AGE <> lNenAge Then
'(M) END V4-11022-000 004 20110816
							AddErrMsgTable(rErrAllCnt, Nothing, Nothing, CONST_TABINDEX, "E0032", "死亡時年齢", "", lRowCnt, lCnt, fbase, "死亡時年齢が")
						End If
'(M) STR V4-11022-000 004 20110816 FJSK)荒川 XXX号 病歴大将V4PKG問題点No100 死亡時年齢の値チェック（入力チェック処理）で死亡時の月例が0のデータでエラーとなる対応
'						If (wRecOne.DEATH_MONTH_AGE.HasValue = False) <> (lTukiAge = 0) OrElse wRecOne.DEATH_MONTH_AGE <> lTukiAge Then
						If wRecOne.DEATH_MONTH_AGE <> lTukiAge Then
'(M) END V4-11022-000 004 20110816
							AddErrMsgTable(rErrAllCnt, Nothing, Nothing, CONST_TABINDEX, "E0032", "死亡時月齢", "", lRowCnt, lCnt, fbase, "死亡時月齢が")
						End If
'(M) STR V4-11022-000 004 20110816 FJSK)荒川 XXX号 病歴大将V4PKG問題点No100 死亡時年齢の値チェック（入力チェック処理）で死亡時の月例が0のデータでエラーとなる対応
'						If (wRecOne.DEATH_DAY_AGE.HasValue = False) <> (lHiAge = 0) OrElse wRecOne.DEATH_DAY_AGE <> lHiAge Then
						If wRecOne.DEATH_DAY_AGE <> lHiAge Then
'(M) END V4-11022-000 004 20110816
							AddErrMsgTable(rErrAllCnt, Nothing, Nothing, CONST_TABINDEX, "E0032", "死亡時日齢", "", lRowCnt, lCnt, fbase, "死亡時日齢が")
						End If
					End If
					lRetErrCnt(3) = lCnt
				Else
					lRetErrCnt(3) = Nothing
				End If
			Next
		Catch ex As Exception
			Throw
		Finally
			lRowCnt = Nothing
			lCnt = Nothing
			cliMENCommon = Nothing
			cliCom = Nothing
			lNenAge = Nothing
			lTukiAge = Nothing
			lHiAge = Nothing
		End Try
		Return lRetErrCnt
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 入退院情報チェック処理
	''' </summary>
	''' <param name="aryTable">配列型レコードセット</param>
	''' <param name="fbase">BaseForm</param>
	''' <param name="rChkBOX">チェックボックス配列</param>
	''' <returns>成否</returns>
	''' <remarks>
	''' 2010/11/01 新規作成 NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function chkHspInfo(ByVal aryTable As ArrayList, ByRef fbase As MEN000F010, _
	 Optional ByRef rErrAllCnt As Integer = 0, Optional ByVal rChkBOX() As Windows.Forms.CheckBox = Nothing) As ArrayList
		Const CONST_TABINDEX As Long = 4
		Dim lRetErrCnt As ArrayList
		Dim lRowCnt As Integer = 0
		Dim lCnt As Integer = 0
		Dim lSV_Hsp_HistoryNo As Integer = 0
		Dim lHspHistoryFlgChk(2) As Long
		Dim lResetCnt As Integer = 0
		Dim lPreviousOutHspDt As Date = Nothing
		Dim lOutCome_FixedCnt As Integer = 0
		Dim lHspHistoryNo As Integer
		Dim lDtSumHspDay As DataTable = Nothing
		Dim lWkDayCnt As Integer = 0
		Dim cliMENCommon As clsMENCOMMON
		Try
			lRetErrCnt = New ArrayList
			cliMENCommon = New clsMENCOMMON
			For lCnt = 0 To 4
				lRetErrCnt.Add(0)
			Next
			For Each wRecOne As MEN.datHspInfo In aryTable
				lRowCnt = lRowCnt + 1
				' 入院、主科、退院フラグが１入院歴内で複数チェックされている
				If lSV_Hsp_HistoryNo <> wRecOne.HSP_HISTORY_NO Then
					If lSV_Hsp_HistoryNo <> 0 Then
						'入院歴同士の入院日、退院日の整合性チェック
						If rChkBOX Is Nothing OrElse rChkBOX(2).Checked = True Then
							If IsDateEx(wRecOne.HSP_DT) Then
								If Date.Compare(lPreviousOutHspDt, wRecOne.HSP_DT.Value) > 0 Then
									AddErrMsgTable(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, CONST_TABINDEX, "E0031", "入院日", "", lRowCnt, lRetErrCnt(2), fbase, "入院日", "前回退院日より過去の日付")
								End If
							End If
						End If
						If rChkBOX Is Nothing OrElse rChkBOX(0).Checked = True Then
							For lResetCnt = 0 To UBound(lHspHistoryFlgChk)
								Select Case lHspHistoryFlgChk(lResetCnt)
									Case Is > 1
										Select Case lResetCnt
											Case 0 : AddErrMsgTable(rErrAllCnt, lSV_Hsp_HistoryNo, Nothing, CONST_TABINDEX, "E0033", "入院フラグ", "", lRowCnt, lRetErrCnt(0), fbase, "入院フラグが１入院歴内に複数")
											Case 1 : AddErrMsgTable(rErrAllCnt, lSV_Hsp_HistoryNo, Nothing, CONST_TABINDEX, "E0033", "主科フラグ", "", lRowCnt, lRetErrCnt(0), fbase, "主科フラグが１入院歴内に複数")
											Case 2 : AddErrMsgTable(rErrAllCnt, lSV_Hsp_HistoryNo, Nothing, CONST_TABINDEX, "E0033", "退院フラグ", "", lRowCnt, lRetErrCnt(0), fbase, "退院フラグが１入院歴内に複数")
											Case Else
										End Select
									Case Else
								End Select
							Next
							For lResetCnt = 0 To UBound(lHspHistoryFlgChk)
								lHspHistoryFlgChk(lResetCnt) = 0
							Next
						End If
					End If
					'退院転帰が死亡のものが複数存在する
					If rChkBOX Is Nothing OrElse rChkBOX(3).Checked = True Then
						If wRecOne.OUTCOME_FIXED_CD = CStr(clsConst.Enum_DiscchargeOutcome_Fix1.Decease) Then
							lOutCome_FixedCnt = lOutCome_FixedCnt + 1
							lHspHistoryNo = wRecOne.HSP_HISTORY_NO
						End If
					End If
					' 退院日をワークへ
					If IsDateEx(wRecOne.OUT_HSP_DT) Then
						lPreviousOutHspDt = wRecOne.OUT_HSP_DT.Value
					Else
						lPreviousOutHspDt = Nothing
					End If
					'在院日数
					If rChkBOX Is Nothing OrElse rChkBOX(4).Checked = True Then
						If clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00008) = CStr(clsConst.Enum_HspStayDaysCalc.StayDaysSum) Then
							If IsDateEx(wRecOne.HSP_DT) AndAlso IsDateEx(wRecOne.OUT_HSP_DT) Then
								lDtSumHspDay = New DataTable
								Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
									db.setSQLDa(sqlMEN010F060.sqlSumHspDays)		'SELECT文設定
									db.setParamDa(MEN.sqlMEN010F060.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
									db.setParamDa(MEN.sqlMEN010F060.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
									db.setValDa(MEN.sqlMEN010F060.prmPATIENT_NO, wRecOne.PATIENT_NO)
									db.setValDa(MEN.sqlMEN010F060.prmHSP_HISTORY_NO, CInt(wRecOne.HSP_HISTORY_NO))
									db.execQueryDa(lDtSumHspDay)	'値取得
								End Using
								lWkDayCnt = lDtSumHspDay.Rows(0).Item(sqlMEN010F060.itmCNT)
								lDtSumHspDay.Clear()
							Else
								lWkDayCnt = 0
							End If
						Else
							lWkDayCnt = 0
							If IsDateEx(wRecOne.HSP_DT) AndAlso IsDateEx(wRecOne.OUT_HSP_DT) Then
								lWkDayCnt = CInt(cliMENCommon.calcDateTime(clsMENCOMMON.Enum_Mode.eDate, wRecOne.HSP_DT, wRecOne.OUT_HSP_DT, wRecOne.HSP_TIME, wRecOne.OUT_HSP_TIME, clsConst.Enum_CheckBox_Flg.CheckOn))
							End If
						End If
						If wRecOne.HSP_DAYS <> lWkDayCnt Then
							AddErrMsgTable(rErrAllCnt, lSV_Hsp_HistoryNo, Nothing, CONST_TABINDEX, "E0032", "在院日数", "", lRowCnt, lRetErrCnt(4), fbase, "在院日数が")
						End If
					End If
					' 入退院歴番号をワークへ
					lSV_Hsp_HistoryNo = wRecOne.HSP_HISTORY_NO
				End If
				If rChkBOX Is Nothing OrElse rChkBOX(0).Checked = True Then
					'入院フラグ
					If wRecOne.HSP_FLG = clsConst.Enum_CheckBox_Flg.CheckOn Then
						lHspHistoryFlgChk(0) = lHspHistoryFlgChk(0) + 1
					End If
					'退院フラグ
					If wRecOne.OUT_HSP_FLG = clsConst.Enum_CheckBox_Flg.CheckOn Then
						lHspHistoryFlgChk(1) = lHspHistoryFlgChk(1) + 1
					End If
					'主科フラグ
					If wRecOne.MAIN_DPM_FLG = clsConst.Enum_CheckBox_Flg.CheckOn Then
						lHspHistoryFlgChk(2) = lHspHistoryFlgChk(2) + 1
					End If
				End If
				If rChkBOX Is Nothing OrElse rChkBOX(1).Checked = True Then
					'入院フラグ
					If wRecOne.HSP_FLG = clsConst.Enum_CheckBox_Flg.CheckOn Then
						If wRecOne.HSP_CNL_CD <> wRecOne.START_CNL_CD Then
							AddErrMsgTable(rErrAllCnt, wRecOne.HSP_HISTORY_NO, Nothing, CONST_TABINDEX, "E0032", "入院経路・科歴開始経路", "", lRowCnt, lRetErrCnt(1), fbase, "入院経路と科歴開始経路が")
						End If
						If wRecOne.HSP_AIM_CD <> wRecOne.CH_HSP_AIM_CD Then
							AddErrMsgTable(rErrAllCnt, wRecOne.HSP_HISTORY_NO, Nothing, CONST_TABINDEX, "E0032", "入院目的コード・科歴入院目的コード", "", lRowCnt, lRetErrCnt(1), fbase, "入院目的コードと科歴入院目的コードが")
						End If
						If wRecOne.HSP_FORM_CD <> wRecOne.CH_HSP_FORM_CD Then
							AddErrMsgTable(rErrAllCnt, wRecOne.HSP_HISTORY_NO, Nothing, CONST_TABINDEX, "E0032", "入院形態コード・科歴入院形態コード", "", lRowCnt, lRetErrCnt(1), fbase, "入院形態コードと科歴入院形態コードが")
						End If
						If wRecOne.HSP_DT <> wRecOne.START_DT Then
							AddErrMsgTable(rErrAllCnt, wRecOne.HSP_HISTORY_NO, Nothing, CONST_TABINDEX, "E0032", "入院日・開始日", "", lRowCnt, lRetErrCnt(1), fbase, "入院日と開始日が")
						End If
						If wRecOne.HSP_TIME <> wRecOne.START_TIME Then
							AddErrMsgTable(rErrAllCnt, wRecOne.HSP_HISTORY_NO, Nothing, CONST_TABINDEX, "E0032", "入院時刻・開始時刻", "", lRowCnt, lRetErrCnt(1), fbase, "入院時刻と開始時刻が")
						End If
						If wRecOne.HSP_AGE <> wRecOne.START_AGE Then
							AddErrMsgTable(rErrAllCnt, wRecOne.HSP_HISTORY_NO, Nothing, CONST_TABINDEX, "E0032", "入院時年齢・入院時年齢", "", lRowCnt, lRetErrCnt(1), fbase, "入院時年齢と入院時年齢が")
						End If
						If wRecOne.HSP_MONTH_AGE <> wRecOne.START_MONTH_AGE Then
							AddErrMsgTable(rErrAllCnt, wRecOne.HSP_HISTORY_NO, Nothing, CONST_TABINDEX, "E0032", "入院時月齢・開始時月齢", "", lRowCnt, lRetErrCnt(1), fbase, "入院時月齢と開始時月齢が")
						End If
						If wRecOne.HSP_DAY_AGE <> wRecOne.START_DAY_AGE Then
							AddErrMsgTable(rErrAllCnt, wRecOne.HSP_HISTORY_NO, Nothing, CONST_TABINDEX, "E0032", "入院時日齢・開始時日齢", "", lRowCnt, lRetErrCnt(1), fbase, "入院時日齢と開始時日齢が")
						End If
						'入院の再入院フラグを参考に
						If clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00009) = CStr(clsConst.Enum_HspReadMissionStdCh.Hsp) Then
							If wRecOne.READMISSION_FLG <> wRecOne.CH_READMISSION_FLG Then
								AddErrMsgTable(rErrAllCnt, wRecOne.HSP_HISTORY_NO, Nothing, CONST_TABINDEX, "E0032", "再入院フラグ・科歴再入院フラグ", "", lRowCnt, lRetErrCnt(1), fbase, "再入院フラグと科歴再入院フラグが")
							End If
							If wRecOne.READMISSION_FLG <> 0 Then
								If wRecOne.LAST_OUT_HSP_DT <> wRecOne.CH_LAST_OUT_HSP_DT Then
									AddErrMsgTable(rErrAllCnt, wRecOne.HSP_HISTORY_NO, Nothing, CONST_TABINDEX, "E0032", "前回退院日・科歴前回退院日", "", lRowCnt, lRetErrCnt(1), fbase, "前回退院日と科歴前回退院日が")
								End If
								If wRecOne.LAST_SELF_OTHER_HSP_DIV <> wRecOne.CH_LAST_SELF_OTHER_HSP_DIV Then
									AddErrMsgTable(rErrAllCnt, wRecOne.HSP_HISTORY_NO, Nothing, CONST_TABINDEX, "E0032", "前回自他院区分・科歴前回自他院区分", "", lRowCnt, lRetErrCnt(1), fbase, "前回自他院区分と科歴前回自他院区分が")
								End If
							End If
							If wRecOne.DISEASE_READMISSION_FLG <> wRecOne.CH_DISEASE_READMISSION_FLG Then
								AddErrMsgTable(rErrAllCnt, wRecOne.HSP_HISTORY_NO, Nothing, CONST_TABINDEX, "E0032", "疾病再入院フラグ・科歴疾病再入院フラグ", "", lRowCnt, lRetErrCnt(1), fbase, "疾病再入院フラグと科歴疾病再入院フラグが")
							End If
							If wRecOne.DISEASE_READMISSION_FLG <> 0 Then
								If wRecOne.SAME_DISEASE_LAST_HSP_DT <> wRecOne.CH_SAME_DISEASE_LAST_HSP_DT Then
									AddErrMsgTable(rErrAllCnt, wRecOne.HSP_HISTORY_NO, Nothing, CONST_TABINDEX, "E0032", "同一疾病前回退院日・科歴同一疾病前回退院日", "", lRowCnt, lRetErrCnt(1), fbase, "同一疾病前回退院日と科歴同一疾病前回退院日が")
								End If
							End If
						End If
						If wRecOne.TAKE_AMBULANCE_CHK <> wRecOne.CH_TAKE_AMBULANCE_CHK Then
							AddErrMsgTable(rErrAllCnt, wRecOne.HSP_HISTORY_NO, Nothing, CONST_TABINDEX, "E0032", "救急車搬送有無・科歴救急車搬送有無", "", lRowCnt, lRetErrCnt(1), fbase, "救急車搬送有無コードと科歴救急車搬送有無コードが")
						End If
						If wRecOne.PLAN_EMERGENCY_CD <> wRecOne.CH_PLAN_EMERGENCY_CD Then
							AddErrMsgTable(rErrAllCnt, wRecOne.HSP_HISTORY_NO, Nothing, CONST_TABINDEX, "E0032", "予定緊急・科歴予定緊急", "", lRowCnt, lRetErrCnt(1), fbase, "予定緊急コードと科歴予定緊急コードが")
						End If
					End If
					'退院情報取得
					If wRecOne.OUT_HSP_FLG = clsConst.Enum_CheckBox_Flg.CheckOn Then
						If wRecOne.OUT_HSP_DT <> wRecOne.END_DT Then
							AddErrMsgTable(rErrAllCnt, wRecOne.HSP_HISTORY_NO, Nothing, CONST_TABINDEX, "E0032", "退院日・終了日", "", lRowCnt, lRetErrCnt(1), fbase, "退院日と終了日が")
						End If
						If wRecOne.OUT_HSP_TIME <> wRecOne.END_TIME Then
							AddErrMsgTable(rErrAllCnt, wRecOne.HSP_HISTORY_NO, Nothing, CONST_TABINDEX, "E0032", "退院時刻・終了時刻", "", lRowCnt, lRetErrCnt(1), fbase, "退院時刻と終了時刻が")
						End If
						If wRecOne.OUT_HSP_AGE <> wRecOne.END_AGE Then
							AddErrMsgTable(rErrAllCnt, wRecOne.HSP_HISTORY_NO, Nothing, CONST_TABINDEX, "E0032", "退院時年齢・終了時年齢", "", lRowCnt, lRetErrCnt(1), fbase, "退院時年齢と終了時年齢が")
						End If
						If wRecOne.OUT_HSP_MONTH_AGE <> wRecOne.END_MONTH_AGE Then
							AddErrMsgTable(rErrAllCnt, wRecOne.HSP_HISTORY_NO, Nothing, CONST_TABINDEX, "E0032", "退院時月齢・終了時月齢", "", lRowCnt, lRetErrCnt(1), fbase, "退院時月齢と終了時月齢が")
						End If
						If wRecOne.OUT_HSP_DAY_AGE <> wRecOne.END_DAY_AGE Then
							AddErrMsgTable(rErrAllCnt, wRecOne.HSP_HISTORY_NO, Nothing, CONST_TABINDEX, "E0032", "退院時日齢・終了時日齢", "", lRowCnt, lRetErrCnt(1), fbase, "退院時日齢と終了時日齢が")
						End If
						If wRecOne.OUT_HSP_CNL_CD <> wRecOne.END_CNL_CD Then
							AddErrMsgTable(rErrAllCnt, wRecOne.HSP_HISTORY_NO, Nothing, CONST_TABINDEX, "E0032", "退院経路・終了経路", "", lRowCnt, lRetErrCnt(1), fbase, "退院経路コードと終了経路コードが")
						End If
						If wRecOne.OUT_HSP_OUTCOME_CD <> wRecOne.END_OUTCOME_CD Then
							AddErrMsgTable(rErrAllCnt, wRecOne.HSP_HISTORY_NO, Nothing, CONST_TABINDEX, "E0032", "退院転帰・終了転帰", "", lRowCnt, lRetErrCnt(1), fbase, "退院転帰コードと終了転帰コードが")
						End If
					End If
					'主科情報取得
					If wRecOne.MAIN_DPM_FLG = clsConst.Enum_CheckBox_Flg.CheckOn Then
						If wRecOne.DEPT_CD <> wRecOne.CH_DEPT_CD Then
							AddErrMsgTable(rErrAllCnt, wRecOne.HSP_HISTORY_NO, Nothing, CONST_TABINDEX, "E0032", "診療科・科歴診療科", "", lRowCnt, lRetErrCnt(1), fbase, "診療科コードと科歴診療科コードが")
						End If
						If wRecOne.WARD_CD <> wRecOne.CH_WARD_CD Then
							AddErrMsgTable(rErrAllCnt, wRecOne.HSP_HISTORY_NO, Nothing, CONST_TABINDEX, "E0032", "病棟・科歴病棟", "", lRowCnt, lRetErrCnt(1), fbase, "病棟コードと科歴病棟コードが")
						End If
						If wRecOne.DOCTOR_CD <> wRecOne.CH_DOCTOR_CD Then
							AddErrMsgTable(rErrAllCnt, wRecOne.HSP_HISTORY_NO, Nothing, CONST_TABINDEX, "E0032", "医師・科歴医師", "", lRowCnt, lRetErrCnt(1), fbase, "医師コードと科歴医師コードが")
						End If
						If wRecOne.BYOREKI_NO <> wRecOne.CH_BYOREKI_NO Then
							AddErrMsgTable(rErrAllCnt, wRecOne.HSP_HISTORY_NO, Nothing, CONST_TABINDEX, "E0032", "病歴番号・科歴病歴番号", "", lRowCnt, lRetErrCnt(1), fbase, "病歴番号コードと科歴病歴番号コードが")
						End If
						'主科の再入院フラグを参考に
						If clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00009) = CStr(clsConst.Enum_HspReadMissionStdCh.MainCh) Then
							If wRecOne.READMISSION_FLG <> wRecOne.CH_READMISSION_FLG Then
								AddErrMsgTable(rErrAllCnt, wRecOne.HSP_HISTORY_NO, Nothing, CONST_TABINDEX, "E0032", "再入院フラグ・科歴再入院フラグ", "", lRowCnt, lRetErrCnt(1), fbase, "再入院フラグと科歴再入院フラグが")
							End If
							If wRecOne.READMISSION_FLG <> 0 Then
								If wRecOne.LAST_OUT_HSP_DT <> wRecOne.CH_LAST_OUT_HSP_DT Then
									AddErrMsgTable(rErrAllCnt, wRecOne.HSP_HISTORY_NO, Nothing, CONST_TABINDEX, "E0032", "前回退院日・科歴前回退院日", "", lRowCnt, lRetErrCnt(1), fbase, "前回退院日と科歴前回退院日が")
								End If
								If wRecOne.LAST_SELF_OTHER_HSP_DIV <> wRecOne.CH_LAST_SELF_OTHER_HSP_DIV Then
									AddErrMsgTable(rErrAllCnt, wRecOne.HSP_HISTORY_NO, Nothing, CONST_TABINDEX, "E0032", "前回自他院区分・科歴前回自他院区分", "", lRowCnt, lRetErrCnt(1), fbase, "前回自他院区分と科歴前回自他院区分が")
								End If
							End If
							If wRecOne.DISEASE_READMISSION_FLG <> wRecOne.CH_DISEASE_READMISSION_FLG Then
								AddErrMsgTable(rErrAllCnt, wRecOne.HSP_HISTORY_NO, Nothing, CONST_TABINDEX, "E0032", "疾病再入院・科歴疾病再入院", "", lRowCnt, lRetErrCnt(1), fbase, "疾病再入院フラグと科歴疾病再入院フラグが")
							End If
							If wRecOne.DISEASE_READMISSION_FLG <> 0 Then
								If wRecOne.SAME_DISEASE_LAST_HSP_DT <> wRecOne.CH_SAME_DISEASE_LAST_HSP_DT Then
									AddErrMsgTable(rErrAllCnt, wRecOne.HSP_HISTORY_NO, Nothing, CONST_TABINDEX, "E0032", "同一疾病前回退院日・同一疾病前回退院日", "", lRowCnt, lRetErrCnt(1), fbase, "同一疾病前回退院日と同一疾病前回退院日が")
								End If
							End If
						End If
					End If
					If wRecOne.OUTCOME_FIXED_CD = CStr(clsConst.Enum_HspChannel_Fix1.ChangeDept) Then
						If wRecOne.CHANGE_DEPT_CHK <> CStr(clsConst.Enum_CheckBox_Flg.CheckOn) Then
							AddErrMsgTable(rErrAllCnt, wRecOne.HSP_HISTORY_NO, Nothing, CONST_TABINDEX, "E0032", "転科有無", "", lRowCnt, lRetErrCnt(1), fbase, "転科有無フラグが")
						End If
					End If
					If wRecOne.OUTCOME_FIXED_CD = CStr(clsConst.Enum_HspChannel_Fix1.HoldDept) Then
						If wRecOne.HOLD_DEPT_CHK <> CStr(clsConst.Enum_CheckBox_Flg.CheckOn) Then
							AddErrMsgTable(rErrAllCnt, wRecOne.HSP_HISTORY_NO, Nothing, CONST_TABINDEX, "E0032", "兼科有無", "", lRowCnt, lRetErrCnt(1), fbase, "兼科有無フラグが")
						End If
					End If
				End If
			Next
			'退院転帰が死亡のものが複数存在する
			If rChkBOX Is Nothing OrElse rChkBOX(3).Checked = True Then
				If lOutCome_FixedCnt > 1 Then
					AddErrMsgTable(rErrAllCnt, lSV_Hsp_HistoryNo, Nothing, CONST_TABINDEX, "E0033", "退院転帰", "", lRowCnt, lRetErrCnt(3), fbase, "退院転帰が１入院歴内に複数")
				End If
			End If
			'入院、主科、退院フラグが１入院歴内に１つづつである
			If rChkBOX Is Nothing OrElse rChkBOX(0).Checked = True Then
				For lResetCnt = 0 To UBound(lHspHistoryFlgChk)
					Select Case lHspHistoryFlgChk(lResetCnt)
						Case Is > 1
							Select Case lResetCnt
								Case 0 : AddErrMsgTable(rErrAllCnt, lSV_Hsp_HistoryNo, Nothing, CONST_TABINDEX, "E0033", "入院フラグ", "", lRowCnt, lRetErrCnt(0), fbase, "入院フラグが１入院歴内に複数")
								Case 1 : AddErrMsgTable(rErrAllCnt, lSV_Hsp_HistoryNo, Nothing, CONST_TABINDEX, "E0033", "主科フラグ", "", lRowCnt, lRetErrCnt(0), fbase, "主科フラグが１入院歴内に複数")
								Case 2 : AddErrMsgTable(rErrAllCnt, lSV_Hsp_HistoryNo, Nothing, CONST_TABINDEX, "E0033", "退院フラグ", "", lRowCnt, lRetErrCnt(0), fbase, "退院フラグが１入院歴内に複数")
								Case Else
							End Select
						Case Else
					End Select
				Next
			End If
		Catch ex As Exception
			Throw
		Finally
			lRowCnt = Nothing
			lCnt = Nothing
			lSV_Hsp_HistoryNo = Nothing
			lHspHistoryFlgChk = Nothing
			lResetCnt = Nothing
			lPreviousOutHspDt = Nothing
			lOutCome_FixedCnt = Nothing
			lHspHistoryNo = Nothing
			lDtSumHspDay = Nothing
			lWkDayCnt = Nothing
			cliMENCommon = Nothing
		End Try
		Return lRetErrCnt
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 科歴情報チェック処理
	''' </summary>
	''' <param name="aryTable">配列型レコードセット</param>
	''' <param name="fbase">BaseForm</param>
	''' <param name="rChkBOX">チェックボックス配列</param>
	''' <returns>成否</returns>
	''' <remarks>
	''' 2010/11/01 新規作成 NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function chkChInfo(ByVal aryTable As ArrayList, ByRef fbase As MEN000F010, _
	 Optional ByRef rErrAllCnt As Integer = 0, Optional ByVal rChkBOX() As Windows.Forms.CheckBox = Nothing, _
	 Optional ByVal aryDoctor As ArrayList = Nothing, Optional ByVal aryWard As ArrayList = Nothing) As ArrayList
		Const CONST_TABINDEX As Long = 5
		Dim cliCom As XSP.clsCom = Nothing
		Dim cliMENCommon As clsMENCOMMON
		Dim lRetErrCnt As ArrayList
		Dim lRowCnt As Integer = 0
		Dim lCnt As Integer = 0
		Dim lAttendDateFlg As Boolean = False
		Dim lWkCnt1 As Integer = 0
		Dim lWkCnt2 As Integer = 0
		Dim laryDoctor As ArrayList = Nothing
		Dim wDoctor1 As MEN.datChDoctorInfo = Nothing
		Dim wDoctor2 As MEN.datChDoctorInfo = Nothing
		Dim laryWard As ArrayList = Nothing
		Dim wWard1 As MEN.datChWardInfo = Nothing
		Dim wWard2 As MEN.datChWardInfo = Nothing
		Dim lFlgCnt As Integer = 0
		Dim lDtWork As DataTable
		Dim lDtRow As DataRow = Nothing
		Dim lWorkCount As Integer = 0
		Dim lStartDt As Nullable(Of Date) = Nothing
		Dim lStartTm As String = Nothing
		Dim lEndDt As Nullable(Of Date) = Nothing
		Dim laryAllergy As ArrayList = Nothing
		Dim wAllergy1 As String = Nothing
		Dim wAllergy2 As String = Nothing
		Dim lNen As Integer = 0
		Dim lTuki As Integer = 0
		Dim lHi As Integer = 0
		Dim lHspDays As String = Nothing
		Try
			cliCom = New XSP.clsCom
			cliMENCommon = New clsMENCOMMON
			lRetErrCnt = New ArrayList
			lDtWork = New DataTable
			'動作環境設定の「科歴医師の開始日・終了日を入力」＝「する」の場合
			If clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00007) = CStr(clsConst.Enum_ChDoctorStrAndEndInput.ChDocInput) Then
				lAttendDateFlg = True
			End If
			For lCnt = 0 To 15
				lRetErrCnt.Add(0)
			Next
			For Each wRecOne As MEN.datChInfo In aryTable
				lRowCnt = lRowCnt + 1
				'医師情報、病棟情報
				If rChkBOX IsNot Nothing Then
					laryDoctor = getChDoctorInfo(wRecOne.PATIENT_NO, wRecOne.HSP_HISTORY_NO.Value, wRecOne.CH_NO.Value)
					laryWard = getChWardInfo(wRecOne.PATIENT_NO, wRecOne.HSP_HISTORY_NO.Value, wRecOne.CH_NO.Value)
				Else
					laryDoctor = aryDoctor
					laryWard = aryWard
				End If
				'必須チェック
				If rChkBOX Is Nothing OrElse rChkBOX(0).Checked = True Then
					lCnt = lRetErrCnt(0)
					'診療科コード
					If String.IsNullOrEmpty(wRecOne.DEPT_CD) Then
						AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, Nothing, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.DEPT_CD, "診療科コード", "E0001")
					End If
					'開始日
					If IsDateEx(wRecOne.START_DT) = False Then
						AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, Nothing, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.START_DT, "開始日", "E0001")
					End If
					'開始経路コード	
					If String.IsNullOrEmpty(wRecOne.START_CNL_CD) Then
						AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, Nothing, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.START_CNL_CD, "開始経路コード", "E0001")
					End If
					'「退院フラグ」がオンの場合に「終了日」が未設定の場合はエラーとする。
					If wRecOne.OUT_HSP_FLG = clsConst.Enum_CheckBox_Flg.CheckOn AndAlso IsDateEx(wRecOne.END_DT) = False Then
						AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, Nothing, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.END_DT, "終了日", "E0016", "退院がチェックされているのに終了日", Nothing)
					End If
					'「終了経路コード」があり、「終了日」が未設定の場合はエラーとする。
					If String.IsNullOrEmpty(wRecOne.END_CNL_CD) = False AndAlso IsDateEx(wRecOne.END_DT) = False Then
						AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, Nothing, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.END_DT, "終了日", "E0016", "終了経路が入力されているのに終了日", Nothing)
					End If
					'「終了日」があり、「終了経路コード」が未設定の場合はエラーとする。
					If IsDateEx(wRecOne.END_DT) AndAlso String.IsNullOrEmpty(wRecOne.END_CNL_CD) Then
						AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, Nothing, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.END_CNL_CD, "終了経路コード", "E0016", "終了日が入力されているのに終了経路", Nothing)
					End If
					'医師情報
					If laryDoctor IsNot Nothing AndAlso laryDoctor.Count <> 0 Then
						lWkCnt1 = 0
						lFlgCnt = 0
						For Each wDoctor1 In laryDoctor
							lWkCnt1 += +1
							'主治医フラグ
							If wDoctor1.MAIN_DOCTOR_FLG.HasValue AndAlso wDoctor1.MAIN_DOCTOR_FLG.Value = clsConst.Enum_CheckBox_Flg.CheckOn Then
								lFlgCnt += 1
							End If
							'医師区分コード
							If String.IsNullOrEmpty(wDoctor1.DOCTOR_DIV) Then
								AddErrMsgTable2(rErrAllCnt, wDoctor1.HSP_HISTORY_NO, wDoctor1.CH_NO, wDoctor1.DOCTOR_SERIAL_NO, lWkCnt1, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.DOCTOR_DIV, "医師区分コード", "E0001")
							End If
							'医師コード
							If String.IsNullOrEmpty(wDoctor1.DOCTOR_CD) Then
								AddErrMsgTable2(rErrAllCnt, wDoctor1.HSP_HISTORY_NO, wDoctor1.CH_NO, wDoctor1.DOCTOR_SERIAL_NO, lWkCnt1, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.DOCTOR_CD, "医師コード", "E0001")
							End If
						Next
						'全ての主治医フラグがオフの場合はエラーとする。
						If lFlgCnt = 0 Then
							AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, Nothing, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.MAIN_DOCTOR_FLG, "医師情報", "E0016", "代表医師", Nothing)
						End If
					End If
					'病棟情報
					If laryWard IsNot Nothing AndAlso laryWard.Count <> 0 Then
						lWkCnt2 = 0
						lFlgCnt = 0
						For Each wWard1 In laryWard
							lWkCnt2 += +1
							'主病棟フラグ
							If wWard1.MAIN_WARD_FLG.HasValue AndAlso wWard1.MAIN_WARD_FLG.Value = clsConst.Enum_CheckBox_Flg.CheckOn Then
								lFlgCnt += 1
							End If
							'病棟コード
							If String.IsNullOrEmpty(wWard1.WARD_CD) Then
								AddErrMsgTable2(rErrAllCnt, wWard1.HSP_HISTORY_NO, wWard1.CH_NO, wWard1.WARD_SERIAL_NO, lWkCnt2, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.WARD_CD, "病棟コード", "E0001")
							End If
							'病棟開始日、病棟終了日
							Select Case True
								Case IsDateEx(wWard1.WARD_START_DT) AndAlso IsDateEx(wWard1.WARD_END_DT)
									'病棟開始日、病棟終了日共に入力時はＯＫ。
									Exit Select
								Case IsDateEx(wWard1.WARD_START_DT) = False AndAlso IsDateEx(wWard1.WARD_END_DT) = False
									'病棟開始日、病棟終了日が共に未設定の場合はエラーとする。
									AddErrMsgTable2(rErrAllCnt, wWard1.HSP_HISTORY_NO, wWard1.CH_NO, wWard1.WARD_SERIAL_NO, lWkCnt2, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.WARD_START_DT, "病棟開始日、終了日", "E0016", "病棟開始日、終了日", Nothing)
								Case IsDateEx(wRecOne.START_DT) AndAlso IsDateEx(wRecOne.END_DT)
									'開始日、終了日共に入力時、病棟開始日もしくは病棟終了日が未設定の場合はエラーとする。
									AddErrMsgTable2(rErrAllCnt, wWard1.HSP_HISTORY_NO, wWard1.CH_NO, wWard1.WARD_SERIAL_NO, lWkCnt2, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.WARD_START_DT, "病棟開始日、終了日", "E0016", "病棟開始日、終了日", Nothing)
								Case lWkCnt2 = 1 AndAlso IsDateEx(wRecOne.START_DT) AndAlso IsDateEx(wWard1.WARD_START_DT) = False
									'開始日入力時、先頭行の病棟開始日が未設定の場合はエラーとする。
									AddErrMsgTable2(rErrAllCnt, wWard1.HSP_HISTORY_NO, wWard1.CH_NO, wWard1.WARD_SERIAL_NO, lWkCnt2, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.WARD_START_DT, "病棟開始日", "E0016", "病棟開始日", Nothing)
								Case lWkCnt2 = laryWard.Count AndAlso IsDateEx(wRecOne.END_DT) AndAlso IsDateEx(wWard1.WARD_END_DT) = False
									'終了日入力時、最終行の病棟終了日が未設定の場合はエラーとする。
									AddErrMsgTable2(rErrAllCnt, wWard1.HSP_HISTORY_NO, wWard1.CH_NO, wWard1.WARD_SERIAL_NO, lWkCnt2, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.WARD_END_DT, "病棟終了日", "E0016", "病棟終了日", Nothing)
								Case Else
							End Select
						Next
						'全ての主病棟フラグがオフの場合はエラーとする。
						If lFlgCnt = 0 Then
							AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, Nothing, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.MAIN_WARD_FLG, "医師情報", "E0016", "主病棟", Nothing)
						End If
					End If
					lRetErrCnt(0) = lCnt
				Else
					lRetErrCnt(0) = Nothing
				End If
				'マスタに存在しないコードが使われているもの（チェック処理画面のみ）
				If rChkBOX IsNot Nothing AndAlso rChkBOX(1).Checked = True Then
					lCnt = lRetErrCnt(1)
					'診療科コード
					If String.IsNullOrEmpty(wRecOne.DEPT_CD) = False AndAlso String.IsNullOrEmpty(wRecOne.DEPT_NM) Then
						AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, Nothing, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.DEPT_CD, "診療科コード", "E0015", "マスタに診療科コード", Nothing)
					End If
					'開始経路コード
					If String.IsNullOrEmpty(wRecOne.START_CNL_CD) = False AndAlso String.IsNullOrEmpty(wRecOne.HSP_CNL_NM) Then
						AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, Nothing, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.END_CNL_CD, "開始経路コード", "E0015", "マスタに開始経路コード", Nothing)
					End If
					'終了経路コード
					If String.IsNullOrEmpty(wRecOne.END_CNL_CD) = False AndAlso String.IsNullOrEmpty(wRecOne.OUT_HSP_CNL_NM) Then
						AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, Nothing, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.END_CNL_CD, "終了経路コード", "E0015", "マスタに終了経路コード", Nothing)
					End If
					'終了転帰コード
					If String.IsNullOrEmpty(wRecOne.END_OUTCOME_CD) = False AndAlso String.IsNullOrEmpty(wRecOne.OUT_HSP_OUTCOME_NM) Then
						AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, Nothing, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.END_OUTCOME_CD, "終了転帰コード", "E0015", "マスタに終了転帰コード", Nothing)
					End If
					'病棟コード
					If String.IsNullOrEmpty(wRecOne.WARD_CD) = False AndAlso String.IsNullOrEmpty(wRecOne.WARD_NM) Then
						AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, Nothing, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.WARD_CD, "病棟コード", "E0015", "マスタに病棟コード", Nothing)
					End If
					'診療圏コード
					If String.IsNullOrEmpty(wRecOne.AREA_CD) = False AndAlso String.IsNullOrEmpty(wRecOne.AREA_NM) Then
						AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, Nothing, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.AREA_CD, "診療圏コード", "E0015", "マスタに診療圏コード", Nothing)
					End If
					'登録状況コード
					If String.IsNullOrEmpty(wRecOne.REG_STATUS_CD) = False AndAlso String.IsNullOrEmpty(wRecOne.REG_STATUS_NM) Then
						AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, Nothing, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.REG_STATUS_CD, "登録状況コード", "E0015", "マスタに登録状況コード", Nothing)
					End If
					'紹介元コード
					If String.IsNullOrEmpty(wRecOne.INTRODUCED_CD) = False AndAlso String.IsNullOrEmpty(wRecOne.FROM_MED_AGENCY_NM) Then
						AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, Nothing, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.INTRODUCED_CD, "紹介元コード", "E0015", "マスタに紹介元コード", Nothing)
					End If
					'紹介先コード
					If String.IsNullOrEmpty(wRecOne.REFERENCE_CD) = False AndAlso String.IsNullOrEmpty(wRecOne.TO_MED_AGENCY_NM) Then
						AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, Nothing, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.REFERENCE_CD, "紹介先コード", "E0015", "マスタに紹介先コード", Nothing)
					End If
					'医師コード
					If String.IsNullOrEmpty(wRecOne.DOCTOR_CD) = False AndAlso String.IsNullOrEmpty(wRecOne.DOCTOR_STAFF) Then
						AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, Nothing, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.DOCTOR_CD, "医師コード", "E0015", "マスタに医師コード", Nothing)
					End If
					'職業コード
					If String.IsNullOrEmpty(wRecOne.CURRENT_JOB_CD) = False AndAlso String.IsNullOrEmpty(wRecOne.JOB_NM) Then
						AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, Nothing, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.CURRENT_JOB_CD, "職業コード", "E0015", "マスタに職業コード", Nothing)
					End If
					'登録者コード
					If String.IsNullOrEmpty(wRecOne.REG_PERSON_CD) = False AndAlso String.IsNullOrEmpty(wRecOne.ENTRY_STAFF) Then
						AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, Nothing, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.REG_PERSON_CD, "登録者コード", "E0015", "マスタに登録者コード", Nothing)
					End If
					'医師情報
					If laryDoctor IsNot Nothing AndAlso laryDoctor.Count <> 0 Then
						lWkCnt1 = 0
						For Each wDoctor1 In laryDoctor
							lWkCnt1 += +1
							'医師区分コード
							If String.IsNullOrEmpty(wDoctor1.DOCTOR_DIV) = False AndAlso String.IsNullOrEmpty(wDoctor1.DOCTOR_DIV_NM) Then
								AddErrMsgTable2(rErrAllCnt, wDoctor1.HSP_HISTORY_NO, wDoctor1.CH_NO, wDoctor1.DOCTOR_SERIAL_NO, lWkCnt1, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.DOCTOR_DIV, "医師区分コード", "E0015", "マスタに医師区分コード", Nothing)
							End If
							'医師コード
							If String.IsNullOrEmpty(wDoctor1.DOCTOR_CD) = False AndAlso String.IsNullOrEmpty(wDoctor1.STAFF_NM) Then
								AddErrMsgTable2(rErrAllCnt, wDoctor1.HSP_HISTORY_NO, wDoctor1.CH_NO, wDoctor1.DOCTOR_SERIAL_NO, lWkCnt1, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.DOCTOR_CD, "医師コード", "E0015", "マスタに医師コード", Nothing)
							End If
						Next
					End If
					'病棟情報
					If laryWard IsNot Nothing AndAlso laryWard.Count <> 0 Then
						lWkCnt2 = 0
						For Each wWard1 In laryWard
							lWkCnt2 += +1
							'病棟コード
							If String.IsNullOrEmpty(wWard1.WARD_CD) = False AndAlso String.IsNullOrEmpty(wWard1.WARD_NM) Then
								AddErrMsgTable2(rErrAllCnt, wWard1.HSP_HISTORY_NO, wWard1.CH_NO, wWard1.WARD_SERIAL_NO, lWkCnt2, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.WARD_CD, "病棟コード", "E0015", "マスタに医師コード", Nothing)
							End If
						Next
					End If
					lRetErrCnt(1) = lCnt
				Else
					lRetErrCnt(1) = Nothing
				End If
				'日付チェック
				If rChkBOX Is Nothing OrElse rChkBOX(2).Checked = True Then
					lCnt = lRetErrCnt(2)
					If IsDateEx(wRecOne.START_DT) Then
						'生年月日が開始日の翌日以降の場合はエラーとする。
						If IsDateEx(wRecOne.BIRTH_DT) Then
							If Date.Compare(wRecOne.START_DT.Value, wRecOne.BIRTH_DT.Value) < 0 Then
								AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, Nothing, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.START_DT, "開始日", "E0031", "開始日", "生年月日より過去の日付", Nothing)
							End If
						End If
						If IsDateEx(wRecOne.DEATH_DT) Then
							If wRecOne.OUT_HSP_OUTCOME_FIXED_CD <> CStr(clsConst.Enum_DiscchargeOutcome_Fix1.Decease) Then
								'終了転帰「死亡」以外で、開始日が死亡情報の死亡日以降の場合
								If Date.Compare(wRecOne.DEATH_DT.Value, wRecOne.START_DT.Value) < 0 Then
									AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, Nothing, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.START_DT, "開始日", "E0021", "死亡日より未来の開始日または終了日", Nothing)
								End If
							End If
						End If
					End If
					If IsDateEx(wRecOne.END_DT) Then
						'終了日が設定されていて、生年月日が終了日の翌日以降の場合はエラーとする。
						If IsDateEx(wRecOne.BIRTH_DT) Then
							If Date.Compare(wRecOne.END_DT.Value, wRecOne.BIRTH_DT.Value) < 0 Then
								AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, Nothing, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.END_DT, "終了日", "E0031", "終了日", "生年月日より過去の日付", Nothing)
							End If
						End If
						'終了日が設定されていて、開始日が終了日の翌日以降の場合はエラーとする。
						If IsDateEx(wRecOne.START_DT) Then
							If IsDate(wRecOne.START_TIME) AndAlso IsDate(wRecOne.END_TIME) Then
								lStartDt = getDateTime(wRecOne.START_DT.Value, wRecOne.START_TIME)
								lEndDt = getDateTime(wRecOne.END_DT.Value, wRecOne.END_TIME)
							Else
								lStartDt = wRecOne.START_DT
								lEndDt = wRecOne.END_DT
							End If
							If Date.Compare(lStartDt.Value, lEndDt.Value) > 0 Then
								AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, Nothing, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.END_DT, "終了日", "E0031", "終了日", "開始日より過去", Nothing)
							End If
						End If
						If IsDateEx(wRecOne.DEATH_DT) Then
							If wRecOne.OUT_HSP_OUTCOME_FIXED_CD = CStr(clsConst.Enum_DiscchargeOutcome_Fix1.Decease) Then
								'終了転帰「死亡」時、死亡情報の死亡日と終了日の差が＋１日以外の場合はエラーとする。
								If Date.Compare(wRecOne.DEATH_DT.Value, wRecOne.END_DT.Value) > 0 OrElse DateDiff(DateInterval.Day, wRecOne.DEATH_DT.Value, wRecOne.END_DT.Value) > 1 Then
									AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, Nothing, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.END_DT, "終了日", "E0032", "終了日付と死亡日付が", Nothing)
								End If
							Else
								'終了転帰「死亡」以外で、終了日が死亡情報の死亡日以降の場合
								If Date.Compare(wRecOne.DEATH_DT.Value, wRecOne.END_DT.Value) < 0 Then
									AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, Nothing, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.END_DT, "終了日", "E0021", "死亡日より未来の開始日または終了日", Nothing)
								End If
							End If
						End If
					End If
					'医師情報
					If lAttendDateFlg AndAlso laryDoctor IsNot Nothing AndAlso laryDoctor.Count <> 0 Then
						lWkCnt1 = 0
						For Each wDoctor1 In laryDoctor
							lWkCnt1 += +1
							'担当開始日＞担当終了日の場合はエラーとする。
							If IsDateEx(wDoctor1.ATTEND_START_DT) AndAlso IsDateEx(wDoctor1.ATTEND_END_DT) Then
								If Date.Compare(wDoctor1.ATTEND_START_DT.Value, wDoctor1.ATTEND_END_DT.Value) > 0 Then
									AddErrMsgTable2(rErrAllCnt, wDoctor1.HSP_HISTORY_NO, wDoctor1.CH_NO, wDoctor1.DOCTOR_SERIAL_NO, lWkCnt1, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.ATTEND_START_DT, "医師情報", "E0031", "担当終了日", "担当開始日より過去", Nothing)
								End If
							End If
							'担当開始日＜開始日の場合はエラーとする。
							If IsDateEx(wDoctor1.ATTEND_START_DT) AndAlso IsDateEx(wRecOne.START_DT) Then
								If Date.Compare(wDoctor1.ATTEND_START_DT.Value, wRecOne.START_DT.Value) < 0 Then
									AddErrMsgTable2(rErrAllCnt, wDoctor1.HSP_HISTORY_NO, wDoctor1.CH_NO, wDoctor1.DOCTOR_SERIAL_NO, lWkCnt1, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.ATTEND_START_DT, "担当開始日", "E0031", "担当開始日", "科開始日より過去になっているか、担当終了日が科終了日より未来", Nothing)
								End If
							End If
							'終了日が設定されていて、担当終了日＞終了日の場合はエラーとする。
							If IsDateEx(wDoctor1.ATTEND_END_DT) AndAlso IsDateEx(wRecOne.END_DT) Then
								If Date.Compare(wDoctor1.ATTEND_END_DT.Value, wRecOne.END_DT.Value) > 0 Then
									AddErrMsgTable2(rErrAllCnt, wDoctor1.HSP_HISTORY_NO, wDoctor1.CH_NO, wDoctor1.DOCTOR_SERIAL_NO, lWkCnt1, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.ATTEND_END_DT, "担当終了日", "E0031", "担当開始日が科開始日より過去になっているか、担当終了日", "科終了日より未来", Nothing)
								End If
							End If
						Next
					End If
					'病棟情報
					If laryWard IsNot Nothing AndAlso laryWard.Count <> 0 Then
						lWkCnt2 = 0
						For Each wWard1 In laryWard
							lWkCnt2 += +1
							'担当開始日＞担当終了日の場合はエラーとする。
							If IsDateEx(wWard1.WARD_START_DT) AndAlso IsDateEx(wWard1.WARD_END_DT) Then
								If Date.Compare(wWard1.WARD_START_DT.Value, wWard1.WARD_END_DT.Value) > 0 Then
									AddErrMsgTable2(rErrAllCnt, wWard1.HSP_HISTORY_NO, wWard1.CH_NO, wWard1.WARD_SERIAL_NO, lWkCnt2, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.WARD_START_DT, "病棟情報", "E0031", "病棟終了日", "病棟開始日より過去", Nothing)
								End If
							End If
							'開始日入力時、先頭行の病棟開始日≠開始日の場合はエラーとする。
							If lWkCnt2 = 1 AndAlso IsDateEx(wRecOne.START_DT) AndAlso IsDateEx(wWard1.WARD_START_DT) Then
								If Date.Compare(wRecOne.START_DT.Value, wWard1.WARD_START_DT.Value) <> 0 Then
									AddErrMsgTable2(rErrAllCnt, wWard1.HSP_HISTORY_NO, wWard1.CH_NO, wWard1.WARD_SERIAL_NO, lWkCnt2, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.WARD_START_DT, "病棟開始日", "E0032", "科開始日と病棟開始日が", Nothing)
								End If
							End If
							'終了日入力時、最終行の病棟終了日≠終了日の場合はエラーとする。
							If lWkCnt2 = laryWard.Count AndAlso IsDateEx(wRecOne.END_DT) AndAlso IsDateEx(wWard1.WARD_END_DT) Then
								If Date.Compare(wRecOne.END_DT.Value, wWard1.WARD_END_DT.Value) <> 0 Then
									AddErrMsgTable2(rErrAllCnt, wWard1.HSP_HISTORY_NO, wWard1.CH_NO, wWard1.WARD_SERIAL_NO, lWkCnt2, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.WARD_END_DT, "病棟終了日", "E0032", "科終了日と病棟終了日が", Nothing)
								End If
							End If
						Next
					End If
					lRetErrCnt(2) = lCnt
				Else
					lRetErrCnt(2) = Nothing
				End If
				'入退院歴内で科歴同士の開始日、終了日の整合性チェック
				If rChkBOX Is Nothing OrElse rChkBOX(3).Checked = True Then
					lCnt = lRetErrCnt(3)
					If IsDateEx(wRecOne.START_DT) AndAlso wRecOne.HSP_FLG <> clsConst.Enum_CheckBox_Flg.CheckOn Then
						'入院の科歴参照
						Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
							db.setSQLDa(sqlMEN010F060.sqlCH_CHK_HSP_FLG_DATA)
							db.setParamDa(MEN.sqlMEN010F060.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
							db.setParamDa(MEN.sqlMEN010F060.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
							db.setParamDa(MEN.sqlMEN010F060.prmCH_NO, clsDB.Enum_dbType.dbInt)
							db.setParamDa(MEN.sqlMEN010F060.prmCheckFlg, clsDB.Enum_dbType.dbInt)
							db.setValDa(MEN.sqlMEN010F060.prmPATIENT_NO, wRecOne.PATIENT_NO)
							db.setValDa(MEN.sqlMEN010F060.prmHSP_HISTORY_NO, wRecOne.HSP_HISTORY_NO.Value, False)
							db.setValDa(MEN.sqlMEN010F060.prmCH_NO, wRecOne.CH_NO.Value, False)
							db.setValDa(MEN.sqlMEN010F060.prmCheckFlg, clsConst.Enum_CheckBox_Flg.CheckOn, False)
							db.execQueryDa(lDtWork)
							Select Case False
								Case lDtWork.Rows.Count > 0 AndAlso IsDate(lDtWork.Rows(0).Item(sqlMEN010F060.itmSTART_DT))
									lStartDt = Nothing
									lStartTm = Nothing
								Case IsDate(lDtWork.Rows(0).Item(sqlMEN010F060.itmSTART_TIME))
									lStartDt = lDtWork.Rows(0).Item(sqlMEN010F060.itmSTART_DT)
									lStartTm = Nothing
								Case Else
									lStartDt = lDtWork.Rows(0).Item(sqlMEN010F060.itmSTART_DT)
									lStartTm = lDtWork.Rows(0).Item(sqlMEN010F060.itmSTART_TIME)
							End Select
							lDtWork.Clear()
						End Using
						'入院日が開始日の翌日以降の場合はエラーとする。
						If IsDateEx(lStartDt) Then
							If IsDate(wRecOne.START_TIME) AndAlso IsDate(lStartTm) Then
								If Date.Compare(getDateTime(wRecOne.START_DT.Value, wRecOne.START_TIME), getDateTime(lStartDt.Value, lStartTm)) < 0 Then
									AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, Nothing, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.START_DT, "開始日", "E0031", "開始日", "入院フラグの付いている入院日より過去の日付", Nothing)
								End If
							Else
								If Date.Compare(wRecOne.START_DT.Value, lStartDt.Value) < 0 Then
									AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, Nothing, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.START_DT, "開始日", "E0031", "開始日", "入院フラグの付いている入院日より過去の日付", Nothing)
								End If
							End If
						End If
					End If
					Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
						'開始経路が「兼科」以外の場合（チェック処理画面のみ）
						If rChkBOX IsNot Nothing AndAlso wRecOne.HSP_CNL_FIXED_CD <> CStr(clsConst.Enum_HspChannel_Fix1.HoldDept) Then
							'前回科歴参照
							db.setSQLDa(sqlMEN010F060.sqlCH_CHK_PREV_DATA)
							db.setParamDa(MEN.sqlMEN010F060.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
							db.setParamDa(MEN.sqlMEN010F060.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
							db.setParamDa(MEN.sqlMEN010F060.prmCH_NO, clsDB.Enum_dbType.dbInt)
							db.setValDa(MEN.sqlMEN010F060.prmPATIENT_NO, wRecOne.PATIENT_NO)
							db.setValDa(MEN.sqlMEN010F060.prmHSP_HISTORY_NO, wRecOne.HSP_HISTORY_NO.Value, False)
							db.setValDa(MEN.sqlMEN010F060.prmCH_NO, wRecOne.CH_NO.Value, False)
							db.execQueryDa(lDtWork)
							If lDtWork.Rows.Count = 0 OrElse IsDBNull(lDtWork.Rows(0).Item(sqlMEN010F060.itmEND_DT)) Then
								lEndDt = Nothing
							Else
								lEndDt = lDtWork.Rows(0).Item(sqlMEN010F060.itmEND_DT)
							End If
							lDtWork.Clear()
							If IsDateEx(lEndDt) AndAlso IsDateEx(wRecOne.START_DT) Then
								If clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00005) = CStr(clsConst.Enum_ChangeDeptStrAndEndRelaShip.ChangeDeptEqual) Then
									'動作環境設定の「転科、転棟の終了日から開始日の関係」＝「同一日」の場合	
									'「開始日」と前回の「終了日」が同一日でない場合にエラーとする。	
									If Date.Compare(wRecOne.START_DT.Value, lEndDt) <> 0 Then
										AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, Nothing, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.START_DT, "開始日", "E0029", "開始日", "前回の「終了日」と同一日", Nothing)
									End If
								Else
									'動作環境設定の「転科、転棟の終了日から開始日の関係」＝「一日ずらす」の場合	
									'「開始日」が前回の「終了日」と同一日でない、且つ前日でない場合にエラーとする。	
									If Date.Compare(wRecOne.START_DT.Value, lEndDt) <> 0 AndAlso Date.Compare(wRecOne.START_DT.Value, lEndDt.Value.AddDays(+1)) <> 0 Then
										AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, Nothing, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.START_DT, "開始日", "E0029", "開始日", "前回の「終了日」の翌日", Nothing)
									End If
								End If
							End If
						End If
						'退院時の場合
						If wRecOne.OUT_HSP_FLG = clsConst.Enum_CheckBox_Flg.CheckOn AndAlso IsDateEx(wRecOne.END_DT) Then
							'他の科歴参照
							db.setSQLDa(sqlMEN010F060.sqlCH_CHK_OTHER_DATA)
							db.setParamDa(MEN.sqlMEN010F060.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
							db.setParamDa(MEN.sqlMEN010F060.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
							db.setParamDa(MEN.sqlMEN010F060.prmCH_NO, clsDB.Enum_dbType.dbInt)
							db.setValDa(MEN.sqlMEN010F060.prmPATIENT_NO, wRecOne.PATIENT_NO)
							db.setValDa(MEN.sqlMEN010F060.prmHSP_HISTORY_NO, wRecOne.HSP_HISTORY_NO.Value, False)
							db.setValDa(MEN.sqlMEN010F060.prmCH_NO, wRecOne.CH_NO.Value, False)
							db.execQueryDa(lDtWork)
							For Each lDtRow In lDtWork.Rows
								lEndDt = getDateTime(lDtRow(sqlMEN010F060.itmEND_DT))
								'終了日より他の科歴情報の終了日が後のデータがある場合はエラーとする。
								If IsDateEx(lEndDt) AndAlso Date.Compare(wRecOne.END_DT.Value, lEndDt) < 0 Then
									AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, Nothing, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.END_DT, "終了日", "E0033", "退院がチェックされている終了日より未来の終了日", Nothing)
									Exit For
								End If
							Next
							lDtWork.Clear()
						End If
					End Using
					lRetErrCnt(3) = lCnt
				Else
					lRetErrCnt(3) = Nothing
				End If
				'開始経路の「固定コード」
				Select Case wRecOne.HSP_CNL_FIXED_CD	'「転科」、「兼科」
					Case CStr(clsConst.Enum_HspChannel_Fix1.ChangeDept), CStr(clsConst.Enum_HspChannel_Fix1.HoldDept)
						'科歴番号１の開始経路が「転科」、「兼科」である
						If rChkBOX Is Nothing OrElse rChkBOX(4).Checked = True Then
							lCnt = lRetErrCnt(4)
							'「科歴番号」が１の場合「固定コード」が「内部コード（転科）('1')」または「内部コード（兼科）('9')」の場合、エラーとする。
							If wRecOne.HSP_FLG = clsConst.Enum_CheckBox_Flg.CheckOn Then
								If rChkBOX Is Nothing Then
									AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, Nothing, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.START_CNL_CD, "開始経路コード", "E0003", "入院の", "開始経路が「転科」及び「兼科」は入力", Nothing)
								Else
									AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, Nothing, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.START_CNL_CD, "開始経路コード", "E0031", "科歴番号", "１の場合、開始経路が「転科」または「兼科」", Nothing)
								End If
							End If
							lRetErrCnt(4) = lCnt
						Else
							lRetErrCnt(4) = Nothing
						End If
					Case Else							'「転科」でも「兼科」でもない
						'１入院歴内で開始経路が「転科」でも「兼科」でもない歴が複数存在する（チェック処理画面のみ）
						If rChkBOX IsNot Nothing AndAlso rChkBOX(5).Checked = True Then
							lCnt = lRetErrCnt(5)
							Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
								db.setSQLDa(sqlMEN010F060.sqlCH_CHK_START_CNL_CD_DATA)
								db.setParamDa(MEN.sqlMEN010F060.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
								db.setParamDa(MEN.sqlMEN010F060.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
								db.setParamDa(MEN.sqlMEN010F060.prmCH_NO, clsDB.Enum_dbType.dbInt)
								db.setParamDa(MEN.sqlMEN010F060.prmFIXED_CD1, clsDB.Enum_dbType.dbNVarChar)
								db.setParamDa(MEN.sqlMEN010F060.prmFIXED_CD2, clsDB.Enum_dbType.dbNVarChar)
								db.setValDa(MEN.sqlMEN010F060.prmPATIENT_NO, wRecOne.PATIENT_NO)
								db.setValDa(MEN.sqlMEN010F060.prmHSP_HISTORY_NO, wRecOne.HSP_HISTORY_NO.Value, False)
								db.setValDa(MEN.sqlMEN010F060.prmCH_NO, wRecOne.CH_NO.Value, False)
								db.setValDa(MEN.sqlMEN010F060.prmFIXED_CD1, CStr(clsConst.Enum_HspChannel_Fix1.ChangeDept))
								db.setValDa(MEN.sqlMEN010F060.prmFIXED_CD2, CStr(clsConst.Enum_HspChannel_Fix1.HoldDept))
								db.execQueryDa(lDtWork)
								If lDtWork.Rows.Count <> 0 AndAlso lDtWork.Rows(0).Item(sqlMEN010F060.itmCNT) > 0 Then
									AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, Nothing, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.START_CNL_CD, "開始経路コード", "E0033", "１入院歴内で開始経路が「転科」でも「兼科」でもない複数の歴", Nothing)
								End If
								lDtWork.Clear()
							End Using
							lRetErrCnt(5) = lCnt
						Else
							lRetErrCnt(5) = Nothing
						End If
				End Select
				'開始経路が「紹介」以外のとき紹介元、紹介元医療機関が入力されている（チェック処理画面のみ）
				If rChkBOX IsNot Nothing AndAlso rChkBOX(6).Checked = True Then
					lCnt = lRetErrCnt(6)
					'「固定コード３」が「内部コード（紹介）('5')」以外の場合
					If wRecOne.HSP_CNL_FIXED_CD3 <> CStr(clsConst.Enum_HspChannel_Fix3.Introduction) Then
						'「紹介元コード」「紹介元名」「紹介元医師名」のいずれかにデータがある場合、エラーとする。
						Select Case False
							Case String.IsNullOrEmpty(wRecOne.INTRODUCED_CD)
								AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, Nothing, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.INTRODUCED_CD, "紹介元コード", "E0021", "開始経路が「紹介」以外のとき紹介元医療機関", Nothing)
							Case String.IsNullOrEmpty(wRecOne.INTRODUCED_NM)
								AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, Nothing, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.INTRODUCED_NM, "紹介元名", "E0021", "開始経路が「紹介」以外のとき紹介元医療機関", Nothing)
							Case String.IsNullOrEmpty(wRecOne.INTRODUCED_DOCTOR_NM)
								AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, Nothing, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.INTRODUCED_DOCTOR_NM, "紹介元医師名", "E0021", "開始経路が「紹介」以外のとき紹介元医療機関", Nothing)
							Case Else
						End Select
					End If
					lRetErrCnt(6) = lCnt
				Else
					lRetErrCnt(6) = Nothing
				End If
				'終了経路が「紹介」以外のとき紹介先、紹介先医療機関が入力されている（チェック処理画面のみ）
				If rChkBOX IsNot Nothing AndAlso rChkBOX(7).Checked = True Then
					lCnt = lRetErrCnt(7)
					'「固定コード３」が「内部コード（紹介）('5')」以外の場合
					If wRecOne.OUT_HSP_CNL_FIXED_CD3 <> CStr(clsConst.Enum_DiscchargeCannel_fix2.Introduction) Then
						'「紹介先コード」「紹介先名」「紹介先医師名」のいずれかにデータがある場合、エラーとする。
						Select Case False
							Case String.IsNullOrEmpty(wRecOne.REFERENCE_CD)
								AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, Nothing, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.REFERENCE_CD, "紹介先コード", "E0021", "終了経路が「紹介」以外のとき紹介先医療機関", Nothing)
							Case String.IsNullOrEmpty(wRecOne.REFERENCE_NM)
								AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, Nothing, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.REFERENCE_NM, "紹介先名", "E0021", "終了経路が「紹介」以外のとき紹介先医療機関", Nothing)
							Case String.IsNullOrEmpty(wRecOne.REFERENCE_DOCTOR_NM)
								AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, Nothing, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.REFERENCE_DOCTOR_NM, "紹介先医師名", "E0021", "終了経路が「紹介」以外のとき紹介先医療機関", Nothing)
							Case Else
						End Select
					End If
					lRetErrCnt(7) = lCnt
				Else
					lRetErrCnt(7) = Nothing
				End If
				'同じアレルギーが入力されている
				If rChkBOX Is Nothing OrElse rChkBOX(8).Checked = True Then
					lCnt = lRetErrCnt(8)
					laryAllergy = New ArrayList
					laryAllergy.Add(wRecOne.ALLERGY1)
					laryAllergy.Add(wRecOne.ALLERGY2)
					laryAllergy.Add(wRecOne.ALLERGY3)
					laryAllergy.Add(wRecOne.ALLERGY4)
					laryAllergy.Add(wRecOne.ALLERGY5)
					laryAllergy.Add(wRecOne.ALLERGY6)
					lWkCnt1 = 0
					For Each wAllergy1 In laryAllergy
						lWkCnt1 += +1
						If String.IsNullOrEmpty(wAllergy1) Then
							Continue For
						End If
						lWkCnt2 = lWkCnt1
						For Each wAllergy2 In laryAllergy.GetRange(lWkCnt1, laryAllergy.Count - lWkCnt1)
							lWkCnt2 += +1
							If String.IsNullOrEmpty(wAllergy2) = False AndAlso wAllergy1 = wAllergy2 Then
								If rChkBOX IsNot Nothing Then
									Select Case lWkCnt1
										Case 1
											AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, Nothing, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.ALLERGY1, "アレルギー１", "E0021", "同じアレルギー", Nothing)
										Case 2
											AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, Nothing, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.ALLERGY2, "アレルギー２", "E0021", "同じアレルギー", Nothing)
										Case 3
											AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, Nothing, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.ALLERGY3, "アレルギー３", "E0021", "同じアレルギー", Nothing)
										Case 4
											AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, Nothing, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.ALLERGY4, "アレルギー４", "E0021", "同じアレルギー", Nothing)
										Case 5
											AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, Nothing, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.ALLERGY5, "アレルギー５", "E0021", "同じアレルギー", Nothing)
										Case Else
											AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, Nothing, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.ALLERGY6, "アレルギー６", "E0021", "同じアレルギー", Nothing)
									End Select
									Exit For
								Else
									Select Case lWkCnt2
										Case 1
											AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, Nothing, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.ALLERGY1, "アレルギー１", "E0012", "アレルギー" & StrConv(lWkCnt1, VbStrConv.Wide) & "に設定", Nothing)
										Case 2
											AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, Nothing, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.ALLERGY2, "アレルギー２", "E0012", "アレルギー" & StrConv(lWkCnt1, VbStrConv.Wide) & "に設定", Nothing)
										Case 3
											AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, Nothing, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.ALLERGY3, "アレルギー３", "E0012", "アレルギー" & StrConv(lWkCnt1, VbStrConv.Wide) & "に設定", Nothing)
										Case 4
											AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, Nothing, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.ALLERGY4, "アレルギー４", "E0012", "アレルギー" & StrConv(lWkCnt1, VbStrConv.Wide) & "に設定", Nothing)
										Case 5
											AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, Nothing, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.ALLERGY5, "アレルギー５", "E0012", "アレルギー" & StrConv(lWkCnt1, VbStrConv.Wide) & "に設定", Nothing)
										Case Else
											AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, Nothing, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.ALLERGY6, "アレルギー６", "E0012", "アレルギー" & StrConv(lWkCnt1, VbStrConv.Wide) & "に設定", Nothing)
									End Select
								End If
							End If
						Next
					Next
					lRetErrCnt(8) = lCnt
				Else
					lRetErrCnt(8) = Nothing
				End If
				'終了転帰が「死亡」の場合、死亡情報（院内）が存在しない
				If rChkBOX Is Nothing OrElse rChkBOX(9).Checked = True Then
					lCnt = lRetErrCnt(9)
					'「TM_退院転帰マスタ．固定コード」が「内部コード（死亡）('3')」の場合
					If wRecOne.OUT_HSP_OUTCOME_FIXED_CD = CStr(clsConst.Enum_DiscchargeOutcome_Fix1.Decease) Then
						'「患者番号」にデータが無い、または「TM_死亡場所マスタ.固定コード」が「内部コード（院内）('1')」ではない場合エラーとする。
						If String.IsNullOrEmpty(wRecOne.DEATH_PATIENT_NO) OrElse wRecOne.DEATH_LCT_FIXED_CD <> CStr(clsConst.Enum_Decease_Lct_Fix1.Hsp) Then
							AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, Nothing, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.END_OUTCOME_CD, "終了転帰コード", "E0015", "終了転帰が死亡の場合、死亡情報（院内）", Nothing)
						End If
					End If
					lRetErrCnt(9) = lCnt
				Else
					lRetErrCnt(9) = Nothing
				End If
				'転科の時、転科元、転科先の情報が存在しない（チェック処理画面のみ）
				If rChkBOX IsNot Nothing AndAlso rChkBOX(10).Checked = True Then
					lCnt = lRetErrCnt(10)
					'「開始経路コード」が「内部コード（転科）('1')」の場合
					If wRecOne.HSP_CNL_FIXED_CD = CStr(clsConst.Enum_HspChannel_Fix1.ChangeDept) Then
						'前回科歴の「終了経路コード」が「内部コード（転科）('1')」のデータが無い場合、エラーとする。
						Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
							db.setSQLDa(sqlMEN010F060.sqlCH_CHK_PREV_END_CNL_CD_DATA)
							db.setParamDa(MEN.sqlMEN010F060.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
							db.setParamDa(MEN.sqlMEN010F060.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
							db.setParamDa(MEN.sqlMEN010F060.prmCH_NO, clsDB.Enum_dbType.dbInt)
							db.setParamDa(MEN.sqlMEN010F060.prmFIXED_CD, clsDB.Enum_dbType.dbNVarChar)
							db.setValDa(MEN.sqlMEN010F060.prmPATIENT_NO, wRecOne.PATIENT_NO)
							db.setValDa(MEN.sqlMEN010F060.prmHSP_HISTORY_NO, wRecOne.HSP_HISTORY_NO.Value, False)
							db.setValDa(MEN.sqlMEN010F060.prmCH_NO, wRecOne.CH_NO.Value, False)
							db.setValDa(MEN.sqlMEN010F060.prmFIXED_CD, CStr(clsConst.Enum_DiscchargeCannel_Fix1.ChangeDept))
							db.execQueryDa(lDtWork)
							If lDtWork.Rows.Count <> 0 AndAlso lDtWork.Rows(0).Item(sqlMEN010F060.itmCNT) = 0 Then
								AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, Nothing, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.START_CNL_CD, "開始経路コード", "E0015", "開始経路が転科の場合、転科元", Nothing)
							End If
							lDtWork.Clear()
						End Using
					End If
					'「終了経路コード」が「内部コード（転科）('1')」の場合
					If wRecOne.OUT_HSP_CNL_FIXED_CD = CStr(clsConst.Enum_DiscchargeCannel_Fix1.ChangeDept) Then
						'以降の科歴情報で「開始経路コード」が「内部コード（転科）('1')」のデータが無い場合、エラーとする。
						Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
							db.setSQLDa(sqlMEN010F060.sqlCH_CHK_NEXT_START_CNL_CD_DATA)
							db.setParamDa(MEN.sqlMEN010F060.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
							db.setParamDa(MEN.sqlMEN010F060.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
							db.setParamDa(MEN.sqlMEN010F060.prmCH_NO, clsDB.Enum_dbType.dbInt)
							db.setParamDa(MEN.sqlMEN010F060.prmFIXED_CD, clsDB.Enum_dbType.dbNVarChar)
							db.setValDa(MEN.sqlMEN010F060.prmPATIENT_NO, wRecOne.PATIENT_NO)
							db.setValDa(MEN.sqlMEN010F060.prmHSP_HISTORY_NO, wRecOne.HSP_HISTORY_NO.Value, False)
							db.setValDa(MEN.sqlMEN010F060.prmCH_NO, wRecOne.CH_NO.Value, False)
							db.setValDa(MEN.sqlMEN010F060.prmFIXED_CD, CStr(clsConst.Enum_DiscchargeCannel_Fix1.ChangeDept))
							db.execQueryDa(lDtWork)
							If lDtWork.Rows.Count <> 0 AndAlso lDtWork.Rows(0).Item(sqlMEN010F060.itmCNT) = 0 Then
								AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, Nothing, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.END_CNL_CD, "終了経路コード", "E0015", "終了経路が転科の場合、転科先", Nothing)
							End If
							lDtWork.Clear()
						End Using
					End If
					lRetErrCnt(10) = lCnt
				Else
					lRetErrCnt(10) = Nothing
				End If
				'科歴内の病棟開始日、終了日の前後チェック
				If rChkBOX Is Nothing OrElse rChkBOX(11).Checked = True Then
					lCnt = lRetErrCnt(11)
					If laryWard IsNot Nothing AndAlso laryWard.Count > 1 Then	'2件以上の場合
						'取得した病棟情報から２件目以降に「病棟開始日」がある場合、前回病棟情報の「病棟終了日」と日付を比較する。
						lWkCnt1 = 0
						For Each wWard1 In laryWard.GetRange(0, laryWard.Count - 1)
							lWkCnt1 += +1
							If Not IsDateEx(wWard1.WARD_END_DT) Then
								Continue For
							End If
							lWkCnt2 = lWkCnt1
							For Each wWard2 In laryWard.GetRange(lWkCnt1, 1)
								lWkCnt2 += +1
								If Not IsDateEx(wWard2.WARD_START_DT) Then
									Continue For
								End If
								If clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00005) = CStr(clsConst.Enum_ChangeDeptStrAndEndRelaShip.ChangeDeptEqual) Then
									'動作環境設定の「転科、転棟の終了日から開始日の関係」＝「同一日」の場合、
									'同一の日付でない場合エラーとする。
									If wWard2.WARD_START_DT.Value <> wWard1.WARD_END_DT.Value Then
										AddErrMsgTable2(rErrAllCnt, wWard2.HSP_HISTORY_NO, wWard2.CH_NO, wWard2.WARD_SERIAL_NO, lWkCnt2, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.WARD_START_DT, "病棟情報", "E0006", "病棟開始日、病棟終了日", Nothing)
									End If
								Else
									'動作環境設定の「転科、転棟の終了日から開始日の関係」＝「一日ずらす」の場合
									'「病棟開始日」が「病棟終了日」と同一日でない、且つ翌日でない場合はエラーとする。
									If wWard2.WARD_START_DT.Value <> wWard1.WARD_END_DT.Value AndAlso wWard2.WARD_START_DT.Value <> wWard1.WARD_END_DT.Value.AddDays(1) Then
										AddErrMsgTable2(rErrAllCnt, wWard2.HSP_HISTORY_NO, wWard2.CH_NO, wWard2.WARD_SERIAL_NO, lWkCnt2, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.WARD_START_DT, "病棟情報", "E0006", "病棟開始日、病棟終了日", Nothing)
									End If
								End If
							Next
						Next
					End If
					lRetErrCnt(11) = lCnt
				Else
					lRetErrCnt(11) = Nothing
				End If
				'開始時年齢、終了時年齢の値をチェック
				If rChkBOX Is Nothing OrElse rChkBOX(12).Checked = True Then
					lCnt = lRetErrCnt(12)
					'「生年月日」と「開始日」の差から「開始時年齢」「開始時月齢」「開始時日齢」を計算し、レコードのデータと比較し、異なっていた場合はエラーとする。
					If IsDateEx(wRecOne.BIRTH_DT) AndAlso IsDateEx(wRecOne.START_DT) Then
						cliCom.setCalcNenGetuNiti(wRecOne.BIRTH_DT, wRecOne.START_DT, lNen, lTuki, lHi)
						If wRecOne.START_AGE <> lNen Then
							AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, Nothing, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.START_DT, "開始年齢", "E0032", "開始年齢と計算値が", Nothing)
						End If
						If wRecOne.START_MONTH_AGE <> lTuki Then
							AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, Nothing, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.START_DT, "開始月齢", "E0032", "開始月齢と計算値が", Nothing)
						End If
						If wRecOne.START_DAY_AGE <> lHi Then
							AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, Nothing, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.START_DT, "開始日齢", "E0032", "開始日齢と計算値が", Nothing)
						End If
					End If
					'「生年月日」と「終了日」の差から「終了時年齢」「終了時月齢」「終了時日齢」を計算し、レコードのデータと比較し、異なっていた場合はエラーとする。
					If IsDateEx(wRecOne.BIRTH_DT) AndAlso IsDateEx(wRecOne.END_DT) Then
						cliCom.setCalcNenGetuNiti(wRecOne.BIRTH_DT, wRecOne.END_DT, lNen, lTuki, lHi)
						If wRecOne.END_AGE <> lNen Then
							AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, Nothing, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.END_DT, "終了年齢", "E0032", "終了年齢と計算値が", Nothing)
						End If
						If wRecOne.END_MONTH_AGE <> lTuki Then
							AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, Nothing, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.END_DT, "終了月齢", "E0032", "終了月齢と計算値が", Nothing)
						End If
						If wRecOne.END_DAY_AGE <> lHi Then
							AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, Nothing, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.END_DT, "終了日齢", "E0032", "終了日齢と計算値が", Nothing)
						End If
					End If
					lRetErrCnt(12) = lCnt
				Else
					lRetErrCnt(12) = Nothing
				End If
				'在院日数の値をチェック（チェック処理画面のみ）
				If rChkBOX IsNot Nothing AndAlso rChkBOX(13).Checked = True Then
					lCnt = lRetErrCnt(13)
					lHspDays = cliMENCommon.calcDateTime(clsMENCOMMON.Enum_Mode.eDate, wRecOne.START_DT, wRecOne.END_DT, wRecOne.START_TIME, wRecOne.END_TIME, wRecOne.OUT_HSP_FLG)
					If wRecOne.HSP_DAYS.HasValue = False OrElse wRecOne.HSP_DAYS.Value = 0 Then
						If String.IsNullOrEmpty(lHspDays) = False AndAlso lHspDays <> "0" Then
							AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, Nothing, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.HSP_DAYS, "在院日数", "E0032", "在院日数と計算値が", Nothing)
						End If
					Else
						If wRecOne.HSP_DAYS.ToString <> lHspDays Then
							AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, Nothing, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.HSP_DAYS, "在院日数", "E0032", "在院日数と計算値が", Nothing)
						End If
					End If
					lRetErrCnt(13) = lCnt
				Else
					lRetErrCnt(13) = Nothing
				End If
				'病名数～分娩数のチェック（チェック処理画面のみ）
				If rChkBOX IsNot Nothing AndAlso rChkBOX(14).Checked = True Then
					lCnt = lRetErrCnt(14)
					Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
						db.setSQLDa(sqlMEN010F060.sqlCH_CHK_RECORDCOUNT)
						db.setParamDa(MEN.sqlMEN010F060.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
						db.setParamDa(MEN.sqlMEN010F060.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
						db.setParamDa(MEN.sqlMEN010F060.prmCH_NO, clsDB.Enum_dbType.dbInt)
						db.setValDa(MEN.sqlMEN010F060.prmPATIENT_NO, wRecOne.PATIENT_NO)
						db.setValDa(MEN.sqlMEN010F060.prmHSP_HISTORY_NO, wRecOne.HSP_HISTORY_NO.Value, False)
						db.setValDa(MEN.sqlMEN010F060.prmCH_NO, wRecOne.CH_NO.Value, False)
						db.execQueryDa(lDtWork)
						If lDtWork.Rows.Count <> 0 Then
							For Each lDtRow In lDtWork.Rows
								Select Case lDtRow(sqlMEN010F060.itmTABLENAME)
									Case CNT_TABLE_MTI_MED_COST
										'計算で取得した「医療費数」と「TI_科歴情報．医療費数」が異なる場合、エラーとする。
										If wRecOne.MED_COST_COUNT <> lDtRow(sqlMEN010F060.itmCNT) Then
											AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, Nothing, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.MED_COST_COUNT, "医療費数", "E0032", "医療費数と計算値が", Nothing)
										End If
									Case CNT_TABLE_MTI_EMERGENCY
										'計算で取得した「救命救急数」と「TI_科歴情報．救命救急数」が異なる場合、エラーとする。
										If wRecOne.EMERGENCY_COUNT <> lDtRow(sqlMEN010F060.itmCNT) Then
											AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, Nothing, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.EMERGENCY_COUNT, "救命救急数", "E0032", "救命救急数と計算値が", Nothing)
										End If
									Case CNT_TABLE_MTI_TEST
										'計算で取得した「検査数」と「TI_科歴情報．検査数」が異なる場合、エラーとする。
										If wRecOne.TEST_COUNT <> lDtRow(sqlMEN010F060.itmCNT) Then
											AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, Nothing, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.TEST_COUNT, "検査数", "E0032", "検査数と計算値が", Nothing)
										End If
									Case CNT_TABLE_MTI_CARE
										'計算で取得した「治療処置数」と「TI_科歴情報．治療処置数」が異なる場合、エラーとする。
										If wRecOne.CARE_COUNT <> lDtRow(sqlMEN010F060.itmCNT) Then
											AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, Nothing, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.CARE_COUNT, "治療処置数", "E0032", "治療処置数と計算値が", Nothing)
										End If
									Case CNT_TABLE_MTI_OPE
										'計算で取得した「手術数」と「TI_科歴情報．手術数」が異なる場合、エラーとする。
										If wRecOne.OPE_COUNT <> lDtRow(sqlMEN010F060.itmCNT) Then
											AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, Nothing, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.OPE_COUNT, "手術数", "E0032", "手術数と計算値が", Nothing)
										End If
									Case CNT_TABLE_MTI_OTHER_DEPT
										'計算で取得した「対診科数」と「TI_科歴情報．対診科数」が異なる場合、エラーとする。
										If wRecOne.OTHER_DEPT_COUNT <> lDtRow(sqlMEN010F060.itmCNT) Then
											AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, Nothing, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.OTHER_DEPT_COUNT, "対診科数", "E0032", "対診科数と計算値が", Nothing)
										End If
									Case CNT_TABLE_MTI_DISEASE
										'計算で取得した「病名数」と「TI_科歴情報．病名数」が異なる場合、エラーとする。
										If wRecOne.DISEASE_COUNT <> lDtRow(sqlMEN010F060.itmCNT) Then
											AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, Nothing, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.DISEASE_COUNT, "病名数", "E0032", "病名数と計算値が", Nothing)
										End If
									Case CNT_TABLE_MTI_CB
										'計算で取得した「分娩数」と「TI_科歴情報．分娩数」が異なる場合、エラーとする。
										If wRecOne.CB_COUNT <> lDtRow(sqlMEN010F060.itmCNT) Then
											AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, Nothing, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.CB_COUNT, "分娩数", "E0032", "分娩数と計算値が", Nothing)
										End If
									Case CNT_TABLE_MTI_ASST1
										'計算で取得した「補足項目１数」と「TI_科歴情報．補足項目１数」が異なる場合、エラーとする。
										If wRecOne.ASST_ITM1_COUNT <> lDtRow(sqlMEN010F060.itmCNT) Then
											AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, Nothing, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.ASST_ITM1_COUNT, "補足項目１数", "E0032", "補足項目１数と計算値が", Nothing)
										End If
									Case CNT_TABLE_MTI_ASST2
										'計算で取得した「補足項目２数」と「TI_科歴情報．補足項目２数」が異なる場合、エラーとする。
										If wRecOne.ASST_ITM2_COUNT <> lDtRow(sqlMEN010F060.itmCNT) Then
											AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, Nothing, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.ASST_ITM2_COUNT, "補足項目２数", "E0032", "補足項目２数と計算値が", Nothing)
										End If
									Case CNT_TABLE_MTI_PATH
										'計算で取得した「パス数」と「TI_科歴情報．パス数」が異なる場合、エラーとする。
										If wRecOne.PATH_COUNT <> lDtRow(sqlMEN010F060.itmCNT) Then
											AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, Nothing, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.PATH_COUNT, "パス数", "E0032", "パス数と計算値が", Nothing)
										End If
									Case Else
								End Select
							Next
						End If
						lDtWork.Clear()
					End Using
					lRetErrCnt(14) = lCnt
				Else
					lRetErrCnt(14) = Nothing
				End If
				'医師区分＋医師が重複している
				If rChkBOX Is Nothing OrElse rChkBOX(15).Checked = True Then
					lCnt = lRetErrCnt(15)
					If laryDoctor IsNot Nothing AndAlso laryDoctor.Count <> 0 Then
						lWkCnt1 = 0
						Dim bError As Boolean = False
						For Each wDoctor1 In laryDoctor
							lWkCnt1 += +1
							If String.IsNullOrEmpty(wDoctor1.DOCTOR_DIV) OrElse String.IsNullOrEmpty(wDoctor1.DOCTOR_CD) Then
								'医師区分コードもしくは医師コードが未設定の場合は対象外
								Continue For
							End If
							lWkCnt2 = lWkCnt1
							For Each wDoctor2 In laryDoctor.GetRange(lWkCnt1, laryDoctor.Count - lWkCnt1)
								If String.IsNullOrEmpty(wDoctor2.DOCTOR_DIV) OrElse String.IsNullOrEmpty(wDoctor2.DOCTOR_CD) Then
									'医師区分コードもしくは医師コードが未設定の場合は対象外
									Continue For
								End If
								If lAttendDateFlg Then
									If IsDateEx(wDoctor1.ATTEND_START_DT) Xor IsDateEx(wDoctor2.ATTEND_START_DT) Then
										'動作環境設定の「科歴医師の開始日・終了日を入力」＝「する」の場合、担当開始日も対象
										Continue For
									End If
								End If
								If wDoctor1.DOCTOR_CD = wDoctor2.DOCTOR_CD AndAlso wDoctor1.DOCTOR_DIV = wDoctor2.DOCTOR_DIV Then
									If lAttendDateFlg Then
										If IsDateEx(wDoctor1.ATTEND_START_DT) = False OrElse wDoctor1.ATTEND_START_DT.Value = wDoctor2.ATTEND_START_DT.Value Then
											AddErrMsgTable2(rErrAllCnt, wDoctor1.HSP_HISTORY_NO, wDoctor1.CH_NO, wDoctor1.DOCTOR_SERIAL_NO, lWkCnt1, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.DOCTOR_DIV, "医師情報", "E0038", "同一医師", "同一医師区分", Nothing)
											bError = True
											Exit For
										End If
									Else
										AddErrMsgTable2(rErrAllCnt, wDoctor1.HSP_HISTORY_NO, wDoctor1.CH_NO, wDoctor1.DOCTOR_SERIAL_NO, lWkCnt1, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.DOCTOR_DIV, "医師情報", "E0038", "同一医師", "同一医師区分", Nothing)
										bError = True
										Exit For
									End If
								End If
							Next
							' 重複エラーの場合、次のレコードへ
							If bError Then
								Exit For
							End If
						Next
					End If
					lRetErrCnt(15) = lCnt
				Else
					lRetErrCnt(15) = Nothing
				End If
				' 画面からの入力チェックのみ
				If rChkBOX Is Nothing Then
					lCnt = 0
					'主科フラグ＝オンの場合、他の科歴に主科フラグ＝オンのデータがあればエラーとする。
					If wRecOne.MAIN_DPM_FLG = clsConst.Enum_CheckBox_Flg.CheckOn Then
						'主科の科歴参照
						Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
							db.setSQLDa(sqlMEN010F060.sqlCH_CHK_MAIN_DPM_FLG_DATA)
							db.setParamDa(MEN.sqlMEN010F060.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
							db.setParamDa(MEN.sqlMEN010F060.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
							db.setParamDa(MEN.sqlMEN010F060.prmCH_NO, clsDB.Enum_dbType.dbInt)
							db.setParamDa(MEN.sqlMEN010F060.prmCheckFlg, clsDB.Enum_dbType.dbInt)
							db.setValDa(MEN.sqlMEN010F060.prmPATIENT_NO, wRecOne.PATIENT_NO)
							db.setValDa(MEN.sqlMEN010F060.prmHSP_HISTORY_NO, wRecOne.HSP_HISTORY_NO.Value, False)
							db.setValDa(MEN.sqlMEN010F060.prmCH_NO, wRecOne.CH_NO.Value, False)
							db.setValDa(MEN.sqlMEN010F060.prmCheckFlg, clsConst.Enum_CheckBox_Flg.CheckOn, False)
							db.execQueryDa(lDtWork)
							If lDtWork.Rows.Count <> 0 AndAlso lDtWork.Rows(0).Item(sqlMEN010F060.itmCNT) > 0 Then
								AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, Nothing, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.MAIN_DPM_FLG, "主科フラグ", "E0012", "主科がチェック", Nothing)
							End If
							lDtWork.Clear()
						End Using
					End If
					'開始経路が「兼科」の場合
					If wRecOne.HSP_CNL_FIXED_CD = CStr(clsConst.Enum_HspChannel_Fix1.HoldDept) Then
						'入院フラグがオンの場合はエラーとする。
						If wRecOne.HSP_FLG = clsConst.Enum_CheckBox_Flg.CheckOn Then
							AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, Nothing, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.START_CNL_CD, "開始経路コード", "E0003", "入院がチェックされている", "開始経路は兼科に", Nothing)
						End If
						'退院フラグがオンの場合はエラーとする。
						If wRecOne.OUT_HSP_FLG = clsConst.Enum_CheckBox_Flg.CheckOn Then
							AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, Nothing, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.START_CNL_CD, "開始経路コード", "E0003", "退院がチェックされている", "開始経路は兼科に", Nothing)
						End If
						'主科フラグがオンの場合はエラーとする。
						If wRecOne.MAIN_DPM_FLG = clsConst.Enum_CheckBox_Flg.CheckOn Then
							AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, Nothing, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.START_CNL_CD, "開始経路コード", "E0003", "主科がチェックされている", "開始経路は兼科に", Nothing)
						End If
						'医療費が登録されている場合はエラーとする。
						If wRecOne.MED_COST_COUNT <> 0 Then
							AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, Nothing, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.START_CNL_CD, "開始経路コード", "E0003", "医療費が登録されている", "開始経路は兼科に", Nothing)
						End If
						If wRecOne.OUT_HSP_OUTCOME_FIXED_CD = CStr(clsConst.Enum_DiscchargeOutcome_Fix1.Decease) Then
							'終了転帰「死亡」時、且つ、動作環境設定の終了転帰「死亡」の重複＝不可の場合はエラーとする。
							If clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00059) = CStr(clsConst.Enum_EndOutComeDupDeath.ImPossible) Then
								AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, Nothing, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.START_CNL_CD, "開始経路コード", "E0003", "終了転帰が死亡の", "開始経路は兼科に", Nothing)
							End If
						End If
					End If
					'終了日入力時
					If IsDateEx(wRecOne.END_DT) Then
						'退院フラグ＝オンの場合
						If wRecOne.OUT_HSP_FLG = clsConst.Enum_CheckBox_Flg.CheckOn Then
							Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
								'退院の科歴参照
								db.setSQLDa(sqlMEN010F060.sqlCH_CHK_OUT_HSP_FLG_DATA)
								db.setParamDa(MEN.sqlMEN010F060.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
								db.setParamDa(MEN.sqlMEN010F060.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
								db.setParamDa(MEN.sqlMEN010F060.prmCH_NO, clsDB.Enum_dbType.dbInt)
								db.setParamDa(MEN.sqlMEN010F060.prmCheckFlg, clsDB.Enum_dbType.dbInt)
								db.setValDa(MEN.sqlMEN010F060.prmPATIENT_NO, wRecOne.PATIENT_NO)
								db.setValDa(MEN.sqlMEN010F060.prmHSP_HISTORY_NO, wRecOne.HSP_HISTORY_NO.Value, False)
								db.setValDa(MEN.sqlMEN010F060.prmCH_NO, wRecOne.CH_NO.Value, False)
								db.setValDa(MEN.sqlMEN010F060.prmCheckFlg, clsConst.Enum_CheckBox_Flg.CheckOn, False)
								db.execQueryDa(lDtWork)
								'他の科歴情報に退院フラグ＝オンのデータがある場合はエラーとする。
								If lDtWork.Rows.Count <> 0 AndAlso lDtWork.Rows(0).Item(sqlMEN010F060.itmCNT) > 0 Then
									AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, Nothing, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.OUT_HSP_FLG, "退院フラグ", "E0012", "他の科歴情報で退院がチェック", Nothing)
								End If
								lDtWork.Clear()
								'他の科歴参照
								db.setSQLDa(sqlMEN010F060.sqlCH_CHK_OTHER_DATA)
								db.setParamDa(MEN.sqlMEN010F060.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
								db.setParamDa(MEN.sqlMEN010F060.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
								db.setParamDa(MEN.sqlMEN010F060.prmCH_NO, clsDB.Enum_dbType.dbInt)
								db.setValDa(MEN.sqlMEN010F060.prmPATIENT_NO, wRecOne.PATIENT_NO)
								db.setValDa(MEN.sqlMEN010F060.prmHSP_HISTORY_NO, wRecOne.HSP_HISTORY_NO.Value, False)
								db.setValDa(MEN.sqlMEN010F060.prmCH_NO, wRecOne.CH_NO.Value, False)
								db.execQueryDa(lDtWork)
								For Each lDtRow In lDtWork.Rows
									lEndDt = getDateTime(lDtRow(sqlMEN010F060.itmEND_DT))
									'他の科歴情報に終了日が未設定のデータがある場合はエラーとする。
									If Not IsDateEx(lEndDt) Then
										AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, Nothing, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.OUT_HSP_FLG, "退院フラグ", "E0020", "他の科歴の終了日を入力後、退院", Nothing)
										Exit For
									End If
								Next
								lDtWork.Clear()
							End Using
						End If
						If wRecOne.OUT_HSP_OUTCOME_FIXED_CD = CStr(clsConst.Enum_DiscchargeOutcome_Fix1.Decease) Then
							'終了転帰「死亡」時、終了経路が「死亡」以外の場合はエラーとする。
							If wRecOne.OUT_HSP_CNL_FIXED_CD <> CStr(clsConst.Enum_DiscchargeCannel_Fix1.Decease) Then
								'死亡の退院経路の取得
								Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
									db.setSQLDa(sqlMEN010F060.sqlOUT_HSP_CNL_CD)
									db.setParamDa(MEN.sqlMEN010F060.prmFIXED_CD, clsDB.Enum_dbType.dbNVarChar)
									db.setValDa(MEN.sqlMEN010F060.prmFIXED_CD, CStr(clsConst.Enum_DiscchargeOutcome_Fix1.Decease))
									db.execQueryDa(lDtWork)
									If lDtWork.Rows.Count = 0 Then
										'死亡の退院経路がない場合、終了経路が「転科」もしくは「紹介」の場合はエラーとする。
										If wRecOne.OUT_HSP_CNL_FIXED_CD = CStr(clsConst.Enum_DiscchargeCannel_Fix1.ChangeDept) OrElse wRecOne.OUT_HSP_CNL_FIXED_CD3 = CStr(clsConst.Enum_DiscchargeCannel_fix2.Introduction) Then
											AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, Nothing, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.END_CNL_CD, "終了経路コード", "E0020", "終了経路は「転科」「紹介」以外を選択", Nothing)
										End If
									Else
										AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, Nothing, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.END_CNL_CD, "終了経路コード", "E0020", "終了経路には「死亡」を選択", Nothing)
									End If
									lDtWork.Clear()
								End Using
							End If
							'動作環境設定の終了転帰「死亡」の重複＝不可の場合
							If clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00059) = CStr(clsConst.Enum_EndOutComeDupDeath.ImPossible) Then
								'同一終了転帰の科歴参照
								Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
									db.setSQLDa(sqlMEN010F060.sqlCH_CHK_OUTCOME_CD_DATA)
									db.setParamDa(MEN.sqlMEN010F060.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
									db.setParamDa(MEN.sqlMEN010F060.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
									db.setParamDa(MEN.sqlMEN010F060.prmCH_NO, clsDB.Enum_dbType.dbInt)
									db.setParamDa(MEN.sqlMEN010F060.prmFIXED_CD, clsDB.Enum_dbType.dbNVarChar)
									db.setValDa(MEN.sqlMEN010F060.prmPATIENT_NO, wRecOne.PATIENT_NO)
									db.setValDa(MEN.sqlMEN010F060.prmHSP_HISTORY_NO, wRecOne.HSP_HISTORY_NO.Value, False)
									db.setValDa(MEN.sqlMEN010F060.prmCH_NO, wRecOne.CH_NO.Value, False)
									db.setValDa(MEN.sqlMEN010F060.prmFIXED_CD, CStr(clsConst.Enum_DiscchargeOutcome_Fix1.Decease))
									db.execQueryDa(lDtWork)
									'他の科歴情報に終了転帰＝「死亡」のデータがある場合はエラーとする。
									If lDtWork.Rows.Count <> 0 AndAlso lDtWork.Rows(0).Item(sqlMEN010F060.itmCNT) > 0 Then
										AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, Nothing, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.END_OUTCOME_CD, "終了転帰コード", "E0012", "他の科歴情報で終了転帰「死亡」が入力", Nothing)
									End If
									lDtWork.Clear()
								End Using
							End If
							'死亡情報の死亡日が未設定の場合はエラーとする。
							If String.IsNullOrEmpty(wRecOne.DEATH_PATIENT_NO) = False AndAlso wRecOne.DEATH_LCT_FIXED_CD = CStr(clsConst.Enum_Decease_Lct_Fix1.Hsp) Then
								If Not IsDateEx(wRecOne.DEATH_DT) Then
									AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, Nothing, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.DEATH_DT, "死亡日", "E0001")
								End If
							End If
						Else
							'退院フラグ＝オンの時、終了経路が「転科」の場合はエラーとする。
							If wRecOne.OUT_HSP_FLG = clsConst.Enum_CheckBox_Flg.CheckOn And wRecOne.OUT_HSP_CNL_FIXED_CD = CStr(clsConst.Enum_DiscchargeCannel_Fix1.ChangeDept) Then
								AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, Nothing, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.OUT_HSP_FLG, "退院フラグ", "E0003", "終了経路が転科の", "退院はチェック", Nothing)
							End If
							'終了経路「死亡」時、終了転帰が「死亡」以外の場合はエラーとする。
							If wRecOne.OUT_HSP_CNL_FIXED_CD = CStr(clsConst.Enum_DiscchargeCannel_Fix1.Decease) Then
								AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, Nothing, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.END_OUTCOME_CD, "終了転帰コード", "E0020", "「死亡」の場合は、終了経路も終了転帰も「死亡」を選択", Nothing)
							End If
							'動作環境設定の死因の登録チェック＝するの場合
							If clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00065) = CStr(clsConst.Enum_Chk.ChkOn) Then
								'死因病名フラグチェックの病名情報参照
								Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
									db.setSQLDa(sqlMEN010F060.sqlDISEASE_DEATH_FLG_CHK)
									db.setParamDa(MEN.sqlMEN010F060.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
									db.setParamDa(MEN.sqlMEN010F060.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
									db.setParamDa(MEN.sqlMEN010F060.prmCH_NO, clsDB.Enum_dbType.dbInt)
									db.setParamDa(MEN.sqlMEN010F060.prmCheckFlg, clsDB.Enum_dbType.dbInt)
									db.setValDa(MEN.sqlMEN010F060.prmPATIENT_NO, wRecOne.PATIENT_NO)
									db.setValDa(MEN.sqlMEN010F060.prmHSP_HISTORY_NO, wRecOne.HSP_HISTORY_NO.Value, False)
									db.setValDa(MEN.sqlMEN010F060.prmCH_NO, wRecOne.CH_NO.Value, False)
									db.setValDa(MEN.sqlMEN010F060.prmCheckFlg, clsConst.Enum_CheckBox_Flg.CheckOn, False)
									db.execQueryDa(lDtWork)
									'終了転帰「死亡」以外で、病名情報より死因病名フラグもしくは死因外因フラグがオンのデータが存在する場合はエラーとする。
									If lDtWork.Rows.Count <> 0 AndAlso lDtWork.Rows(0).Item(sqlMEN010F060.itmCNT) > 0 Then
										AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, Nothing, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.DEATH_DISEASE_FLG, "病名情報", "E0012", "終了転帰が「死亡」ではないのに、死因がチェック", Nothing)
									End If
									lDtWork.Clear()
								End Using
							End If
						End If
					Else
						'終了日未入力時、他の科歴情報に終了日の入っていない同一診療科が存在する場合はエラーとする。
						If Not String.IsNullOrEmpty(wRecOne.DEPT_CD) Then
							'同一診療科の科歴参照
							Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
								db.setSQLDa(sqlMEN010F060.sqlCH_CHK_DEPT_CD_DATA)
								db.setParamDa(MEN.sqlMEN010F060.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
								db.setParamDa(MEN.sqlMEN010F060.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
								db.setParamDa(MEN.sqlMEN010F060.prmCH_NO, clsDB.Enum_dbType.dbInt)
								db.setParamDa(MEN.sqlMEN010F060.prmDEPT_CD, clsDB.Enum_dbType.dbNVarChar)
								db.setValDa(MEN.sqlMEN010F060.prmPATIENT_NO, wRecOne.PATIENT_NO)
								db.setValDa(MEN.sqlMEN010F060.prmHSP_HISTORY_NO, wRecOne.HSP_HISTORY_NO.Value, False)
								db.setValDa(MEN.sqlMEN010F060.prmCH_NO, wRecOne.CH_NO.Value, False)
								db.setValDa(MEN.sqlMEN010F060.prmDEPT_CD, wRecOne.DEPT_CD)
								db.execQueryDa(lDtWork)
								For Each lDtRow In lDtWork.Rows
									lEndDt = getDateTime(lDtRow(sqlMEN010F060.itmEND_DT))
									If Not IsDateEx(lEndDt) Then
										AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, Nothing, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.DEPT_CD, "診療科コード", "E0025")
										Exit For
									End If
								Next
								lDtWork.Clear()
							End Using
						End If
					End If
					'病棟情報
					If laryWard IsNot Nothing AndAlso laryWard.Count > 1 Then	'2件以上の場合
						'連続行で同じ病棟コードが入力された場合はエラーとする。
						lWkCnt1 = 0
						For Each wWard1 In laryWard.GetRange(0, laryWard.Count - 1)
							lWkCnt1 += +1
							If String.IsNullOrEmpty(wWard1.WARD_CD) Then
								Continue For
							End If
							lWkCnt2 = lWkCnt1
							For Each wWard2 In laryWard.GetRange(lWkCnt1, 1)
								lWkCnt2 += +1
								If String.IsNullOrEmpty(wWard2.WARD_CD) Then
									Continue For
								End If
								If wWard1.WARD_CD = wWard2.WARD_CD Then
									AddErrMsgTable2(rErrAllCnt, wWard2.HSP_HISTORY_NO, wWard2.CH_NO, wWard2.WARD_SERIAL_NO, lWkCnt2, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.WARD_START_DT, "病棟コード", "E0021", "続けて同じ病棟", Nothing)
									Exit For
								End If
							Next
						Next
					End If
					'病歴番号入力時
					If Not String.IsNullOrEmpty(wRecOne.BYOREKI_NO) Then
						Select Case clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00058)
							Case "2"	'動作環境設定の病歴番号の重複＝同一患者内のみ可の場合
								'同一患者以外の病歴番号の科歴参照
								Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
									db.setSQLDa(sqlMEN010F060.sqlCH_CHK_BYOREKI_NO_OTHER_PATIENT_DATA)
									db.setParamDa(MEN.sqlMEN010F060.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
									db.setParamDa(MEN.sqlMEN010F060.prmBYOREKI_NO, clsDB.Enum_dbType.dbNVarChar)
									db.setValDa(MEN.sqlMEN010F060.prmPATIENT_NO, wRecOne.PATIENT_NO)
									db.setValDa(MEN.sqlMEN010F060.prmBYOREKI_NO, wRecOne.BYOREKI_NO)
									db.execQueryDa(lDtWork)
									'同じ病歴番号が存在する場合はエラーとする。
									If lDtWork.Rows.Count <> 0 AndAlso lDtWork.Rows(0).Item(sqlMEN010F060.itmCNT) > 0 Then
										AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, Nothing, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.BYOREKI_NO, "病歴番号", "E0012", "同じ病歴番号が入力", Nothing)
									End If
									lDtWork.Clear()
								End Using
							Case "3"	'動作環境設定の病歴番号の重複＝不可の場合
								'同一科歴以外の病歴番号の科歴参照
								Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
									db.setSQLDa(sqlMEN010F060.sqlCH_CHK_BYOREKI_NO_OTHER_DATA)
									db.setParamDa(MEN.sqlMEN010F060.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
									db.setParamDa(MEN.sqlMEN010F060.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
									db.setParamDa(MEN.sqlMEN010F060.prmCH_NO, clsDB.Enum_dbType.dbInt)
									db.setParamDa(MEN.sqlMEN010F060.prmBYOREKI_NO, clsDB.Enum_dbType.dbNVarChar)
									db.setValDa(MEN.sqlMEN010F060.prmPATIENT_NO, wRecOne.PATIENT_NO)
									db.setValDa(MEN.sqlMEN010F060.prmHSP_HISTORY_NO, wRecOne.HSP_HISTORY_NO.Value, False)
									db.setValDa(MEN.sqlMEN010F060.prmCH_NO, wRecOne.CH_NO.Value, False)
									db.setValDa(MEN.sqlMEN010F060.prmBYOREKI_NO, wRecOne.BYOREKI_NO)
									db.execQueryDa(lDtWork)
									'同じ病歴番号が存在する場合はエラーとする。
									If lDtWork.Rows.Count <> 0 AndAlso lDtWork.Rows(0).Item(sqlMEN010F060.itmCNT) > 0 Then
										AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, Nothing, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.BYOREKI_NO, "病歴番号", "E0012", "同じ病歴番号が入力", Nothing)
									End If
									lDtWork.Clear()
								End Using
							Case Else
						End Select
					End If
				End If
			Next
		Catch ex As Exception
			Throw
		Finally
			cliCom = Nothing
			cliMENCommon = Nothing
			lRowCnt = Nothing
			lCnt = Nothing
			lAttendDateFlg = Nothing
			lWkCnt1 = Nothing
			lWkCnt2 = Nothing
			laryDoctor = Nothing
			wDoctor1 = Nothing
			wDoctor2 = Nothing
			laryWard = Nothing
			wWard1 = Nothing
			wWard2 = Nothing
			lFlgCnt = Nothing
			lDtWork = Nothing
			lDtRow = Nothing
			lWorkCount = Nothing
			lStartDt = Nothing
			lStartTm = Nothing
			lEndDt = Nothing
			laryAllergy = Nothing
			wAllergy1 = Nothing
			wAllergy2 = Nothing
			lNen = Nothing
			lTuki = Nothing
			lHi = Nothing
			lHspDays = Nothing
		End Try
		Return lRetErrCnt
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 病名情報チェック処理
	''' </summary>
	''' <param name="aryTable">配列型レコードセット</param>
	''' <param name="fbase">BaseForm</param>
	''' <param name="rChkBOX">チェックボックス配列</param>
	''' <returns>成否</returns>
	''' <remarks>
	''' 2010/11/01 新規作成 NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function chkDiseaseNameInfo(ByVal aryTable As ArrayList, ByRef fbase As MEN000F010, _
	 Optional ByRef rErrAllCnt As Integer = 0, Optional ByVal rChkBOX() As Windows.Forms.CheckBox = Nothing) As ArrayList
		Const CONST_TABINDEX As Long = 6
		Dim cliMENCommon As clsMENCOMMON
		Dim lRetErrCnt As ArrayList
		Dim lRowCnt As Integer = 0
		Dim lCnt As Integer = 0
		Dim lDtTable As DataTable
		Dim lIcd10Code As String = String.Empty
		Dim lSGrpCd As String = String.Empty
		Dim lLGrpCd As String = String.Empty
		Dim lMGrpCd As String = String.Empty
		Dim l300GrpCd As String = String.Empty
		Dim lAGrpCd As String = String.Empty
		Dim lBGrpCd As String = String.Empty
		Dim lCGrpCd As String = String.Empty
		Dim lDGrpCd As String = String.Empty
		Try
			cliMENCommon = New clsMENCOMMON
			lRetErrCnt = New ArrayList
			lDtTable = New DataTable
			For lCnt = 0 To 6
				lRetErrCnt.Add(0)
			Next
			For Each wRecOne As MEN.datDiseaseNameInfo In aryTable
				lRowCnt = lRowCnt + 1
				'必須チェック（病名区分・ＩＣＤ１０ or ＩＣＤ９・病名）
				If rChkBOX Is Nothing OrElse rChkBOX(0).Checked = True Then
					lCnt = lRetErrCnt(0)
					If String.IsNullOrEmpty(wRecOne.DISEASE_DIV) Then
						AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, wRecOne.DISEASE_SERIAL_NO, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.DISEASE_DIV, "病名区分コード", "E0001")
					End If
					If String.IsNullOrEmpty(wRecOne.DISEASE) Then
						AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, wRecOne.DISEASE_SERIAL_NO, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.DISEASE, "病名", "E0001")
					End If
					If clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00081) = CStr(clsConst.Enum_ICD9Can.NonUse) Then
						If String.IsNullOrEmpty(wRecOne.ICD10_CD) Then
							AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, wRecOne.DISEASE_SERIAL_NO, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.ICD10_CD, "ＩＣＤ１０", "E0001")
						End If
					Else
						If String.IsNullOrEmpty(wRecOne.ICD10_CD) AndAlso String.IsNullOrEmpty(wRecOne.ICD9_CD) Then
							AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, wRecOne.DISEASE_SERIAL_NO, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.ICD10_CD, "ICD10 又は ICD9", "E0001")
						End If
					End If
					If String.IsNullOrEmpty(wRecOne.ICD10_CD) = False AndAlso String.IsNullOrEmpty(wRecOne.ICD9_CD) = False Then
						AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, wRecOne.DISEASE_SERIAL_NO, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.ICD9_CD, "ICD9", "E0003", "ICD10が設定されている", "ICD9に設定", Nothing)
					End If
					'病名転帰コード 動作環境により必須の場合で病名区分コードが主病名の場合病名転帰コードが必須 
					If clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00064) = CStr(clsConst.Enum_MainDiseaseOutCome.Required) Then
						If wRecOne.DISEASE_DIV_FIXED_CD = CStr(clsConst.Enum_Disease_Div_Fix1.MainDisease) AndAlso String.IsNullOrEmpty(wRecOne.DISEASE_OUTCOME_CD) Then
							AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, wRecOne.DISEASE_SERIAL_NO, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.DISEASE_OUTCOME_CD, "病名転帰", "E0001")
						End If
					End If
					lRetErrCnt(0) = lCnt
				Else
					lRetErrCnt(0) = Nothing
				End If
				'マスタに存在しないコードが使われているもの（チェック処理画面のみ）
				If rChkBOX IsNot Nothing AndAlso rChkBOX(1).Checked = True Then
					lCnt = lRetErrCnt(1)
					'病名区分コードが設定されていて病名区分名が無い場合、エラーとする。
					If String.IsNullOrEmpty(wRecOne.DISEASE_DIV) = False AndAlso String.IsNullOrEmpty(wRecOne.DISEASE_DIV_NM) Then
						AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, wRecOne.DISEASE_SERIAL_NO, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.DISEASE_DIV, "病名区分コード", "E0015", "マスタに病名区分コード", Nothing)
					End If
					'病名転帰コードが設定されていて病名転帰が無い場合、エラーとする。
					If String.IsNullOrEmpty(wRecOne.DISEASE_OUTCOME_CD) = False AndAlso String.IsNullOrEmpty(wRecOne.DISEASE_OUTCOME_NM) Then
						AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, wRecOne.DISEASE_SERIAL_NO, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.DISEASE_OUTCOME_CD, "病名転帰コード", "E0015", "マスタに病名転帰コード", Nothing)
					End If
					lRetErrCnt(1) = lCnt
				Else
					lRetErrCnt(1) = Nothing
				End If
				'日付チェック
				If rChkBOX Is Nothing OrElse rChkBOX(2).Checked = True Then
					lCnt = lRetErrCnt(2)
					' 診断日と終了日の整合性
					If IsDateEx(wRecOne.DIAGNOSIS_DT) AndAlso IsDateEx(wRecOne.END_DT) Then
						If wRecOne.DIAGNOSIS_DT.Value > wRecOne.END_DT.Value Then
							AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, wRecOne.DISEASE_SERIAL_NO, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.DIAGNOSIS_DT, "診断日", "E0006", "診断日、発症日、終了日", Nothing)
						End If
					End If
					' 発症日と終了日の整合性
					If IsDateEx(wRecOne.ONSET_DT) AndAlso IsDateEx(wRecOne.END_DT) Then
						If wRecOne.ONSET_DT.Value > wRecOne.END_DT.Value Then
							AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, wRecOne.DISEASE_SERIAL_NO, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.ONSET_DT, "発症日", "E0006", "診断日、発症日、終了日", Nothing)
						End If
					End If
					'診断日と発症日の整合性
					If IsDateEx(wRecOne.ONSET_DT) AndAlso IsDateEx(wRecOne.DIAGNOSIS_DT) Then
						If wRecOne.ONSET_DT.Value > wRecOne.DIAGNOSIS_DT.Value Then
							AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, wRecOne.DISEASE_SERIAL_NO, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.ONSET_DT, "発症日", "E0006", "診断日、発症日、終了日", Nothing)
						End If
					End If
					lRetErrCnt(2) = lCnt
				Else
					lRetErrCnt(2) = Nothing
				End If
				'科歴内に主病名が複数存在する（チェック処理画面のみ）
				If rChkBOX IsNot Nothing AndAlso rChkBOX(3).Checked = True Then
					lCnt = lRetErrCnt(3)
					'「固定コード」が「内部コード（主病名）('1')」のデータが２件以上ある場合エラーとする。
					Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
						db.setSQLDa(sqlMEN010F060.sqlDISEASENAME_FIXED_CD_CHK)
						db.setParamDa(MEN.sqlMEN010F060.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
						db.setParamDa(MEN.sqlMEN010F060.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
						db.setParamDa(MEN.sqlMEN010F060.prmCH_NO, clsDB.Enum_dbType.dbInt)
						db.setParamDa(MEN.sqlMEN010F060.prmFIXED_CD, clsDB.Enum_dbType.dbNVarChar)
						db.setValDa(MEN.sqlMEN010F060.prmPATIENT_NO, wRecOne.PATIENT_NO)
						db.setValDa(MEN.sqlMEN010F060.prmHSP_HISTORY_NO, CInt(wRecOne.HSP_HISTORY_NO))
						db.setValDa(MEN.sqlMEN010F060.prmCH_NO, CInt(wRecOne.CH_NO))
						db.setValDa(MEN.sqlMEN010F060.prmFIXED_CD, CStr(clsConst.Enum_Disease_Div_Fix1.MainDisease))
						db.execQueryDa(lDtTable)
						If lDtTable.Rows.Count <> 0 Then
							If lDtTable.Rows(0).Item(sqlMEN010F060.itmCNT) > 1 Then
								AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, wRecOne.DISEASE_SERIAL_NO, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.DISEASE_DIV, "科歴", "E0033", "科歴内に主病名が複数", Nothing)
							End If
						End If
						lDtTable.Clear()
					End Using
					lRetErrCnt(3) = lCnt
				Else
					lRetErrCnt(3) = Nothing
				End If
				'死亡していないのに死因がチェックされている
				If rChkBOX Is Nothing OrElse rChkBOX(4).Checked = True Then
					lCnt = lRetErrCnt(4)
					'「固定コード」が「内部コード（死亡）('3')」以外の場合、
					'「死因病名フラグ」「死因外因フラグ」「直接死因病名フラグ」のいずれかのデータがある場合はエラーとする。
					If wRecOne.FIXED_CD <> CStr(clsConst.Enum_DiscchargeOutcome_Fix1.Decease) Then
						Select Case True
							Case wRecOne.DEATH_DISEASE_FLG.HasValue AndAlso wRecOne.DEATH_DISEASE_FLG = clsConst.Enum_CheckBox_Flg.CheckOn
								AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, wRecOne.DISEASE_SERIAL_NO, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.DEATH_DISEASE_FLG, "死因病名フラグ", "E0021", "死亡していないのに死因", Nothing)
							Case wRecOne.DEATH_CAUSE_FLG.HasValue AndAlso wRecOne.DEATH_CAUSE_FLG = clsConst.Enum_CheckBox_Flg.CheckOn
								AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, wRecOne.DISEASE_SERIAL_NO, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.DEATH_CAUSE_FLG, "死因外因フラグ", "E0021", "死亡していないのに死因", Nothing)
							Case wRecOne.DIRECT_DEATH_DISEASE_FLG.HasValue AndAlso wRecOne.DIRECT_DEATH_DISEASE_FLG = clsConst.Enum_CheckBox_Flg.CheckOn
								AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, wRecOne.DISEASE_SERIAL_NO, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.DIRECT_DEATH_DISEASE_FLG, "直接死因病名フラグ", "E0021", "死亡していないのに死因", Nothing)
							Case Else
						End Select
					End If
					lRetErrCnt(4) = lCnt
				Else
					lRetErrCnt(4) = Nothing
				End If
				'入院契機、医療投入資源１位、２位が１入院歴内で複数チェックされている（チェック処理画面のみ）
				If rChkBOX IsNot Nothing AndAlso rChkBOX(5).Checked = True Then
					lCnt = lRetErrCnt(5)
					'入院契機
					If wRecOne.HSP_CHANCE_DISEASE_FLG.HasValue AndAlso wRecOne.HSP_CHANCE_DISEASE_FLG = clsConst.Enum_CheckBox_Flg.CheckOn Then
						If getDiseaseChkData(Enum_Disease_Chk_Select_Mode.Hsp_Chance_Disease_Flg, wRecOne.PATIENT_NO, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, wRecOne.DISEASE_SERIAL_NO) Then
							AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, wRecOne.DISEASE_SERIAL_NO, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.HSP_CHANCE_DISEASE_FLG, "入院契機", "E0033", "複数の入院契機", Nothing)
						End If
					End If
					'医療投入資源１位
					If wRecOne.DISEASE_MED_RES_FLG1.HasValue AndAlso wRecOne.DISEASE_MED_RES_FLG1 = clsConst.Enum_CheckBox_Flg.CheckOn Then
						If getDiseaseChkData(Enum_Disease_Chk_Select_Mode.Disease_Med_Res_Flg1, wRecOne.PATIENT_NO, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, wRecOne.DISEASE_SERIAL_NO) Then
							AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, wRecOne.DISEASE_SERIAL_NO, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.DISEASE_MED_RES_FLG1, "医療投入資源１位", "E0033", "複数の医療投入資源１位", Nothing)
						End If
					End If
					'医療投入資源２位
					If wRecOne.DISEASE_MED_RES_FLG2.HasValue AndAlso wRecOne.DISEASE_MED_RES_FLG2 = clsConst.Enum_CheckBox_Flg.CheckOn Then
						If getDiseaseChkData(Enum_Disease_Chk_Select_Mode.Disease_Med_Res_Flg2, wRecOne.PATIENT_NO, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, wRecOne.DISEASE_SERIAL_NO) Then
							AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, wRecOne.DISEASE_SERIAL_NO, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.DISEASE_MED_RES_FLG2, "医療投入資源２位", "E0033", "複数の医療投入資源２位", Nothing)
						End If
					End If
					lRetErrCnt(5) = lCnt
				Else
					lRetErrCnt(5) = Nothing
				End If
				'ICD10に関する分類コードがセットされていない（大中小３００ａｂｃ死因）（チェック処理画面のみ）
				If rChkBOX IsNot Nothing AndAlso rChkBOX(6).Checked = True Then
					lCnt = lRetErrCnt(6)
					lIcd10Code = wRecOne.ICD10_CD
					lSGrpCd = String.Empty
					lLGrpCd = String.Empty
					lMGrpCd = String.Empty
					l300GrpCd = String.Empty
					lAGrpCd = String.Empty
					lBGrpCd = String.Empty
					lCGrpCd = String.Empty
					lDGrpCd = String.Empty
					cliMENCommon.getICD10ToByomeiBunruCode(lIcd10Code, lSGrpCd, lLGrpCd, lMGrpCd, l300GrpCd, lAGrpCd, lBGrpCd, lCGrpCd, lDGrpCd)
					If String.IsNullOrEmpty(lLGrpCd) <> String.IsNullOrEmpty(wRecOne.L_GRP_CD) OrElse lLGrpCd <> wRecOne.L_GRP_CD Then
						AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, wRecOne.DISEASE_SERIAL_NO, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.ICD10_CD, "ＩＣＤ１０", "E0032", "大分類が", Nothing)
					End If
					If String.IsNullOrEmpty(lMGrpCd) <> String.IsNullOrEmpty(wRecOne.M_GRP_CD) OrElse lMGrpCd <> wRecOne.M_GRP_CD Then
						AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, wRecOne.DISEASE_SERIAL_NO, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.ICD10_CD, "ＩＣＤ１０", "E0032", "中分類が", Nothing)
					End If
					If String.IsNullOrEmpty(lSGrpCd) <> String.IsNullOrEmpty(wRecOne.S_GRP_CD) OrElse lSGrpCd <> wRecOne.S_GRP_CD Then
						AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, wRecOne.DISEASE_SERIAL_NO, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.ICD10_CD, "ＩＣＤ１０", "E0032", "小分類が", Nothing)
					End If
					If String.IsNullOrEmpty(l300GrpCd) <> String.IsNullOrEmpty(wRecOne.GRP300_CD) OrElse l300GrpCd <> wRecOne.GRP300_CD Then
						AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, wRecOne.DISEASE_SERIAL_NO, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.ICD10_CD, "ＩＣＤ１０", "E0032", "３００分類が", Nothing)
					End If
					If String.IsNullOrEmpty(lAGrpCd) <> String.IsNullOrEmpty(wRecOne.A_GRP_CD) OrElse lAGrpCd <> wRecOne.A_GRP_CD Then
						AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, wRecOne.DISEASE_SERIAL_NO, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.ICD10_CD, "ＩＣＤ１０", "E0032", "ａ分類が", Nothing)
					End If
					If String.IsNullOrEmpty(lBGrpCd) <> String.IsNullOrEmpty(wRecOne.B_GRP_CD) OrElse lBGrpCd <> wRecOne.B_GRP_CD Then
						AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, wRecOne.DISEASE_SERIAL_NO, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.ICD10_CD, "ＩＣＤ１０", "E0032", "ｂ分類が", Nothing)
					End If
					If String.IsNullOrEmpty(lCGrpCd) <> String.IsNullOrEmpty(wRecOne.C_GRP_CD) OrElse lCGrpCd <> wRecOne.C_GRP_CD Then
						AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, wRecOne.DISEASE_SERIAL_NO, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.ICD10_CD, "ＩＣＤ１０", "E0032", "ｃ分類が", Nothing)
					End If
					If String.IsNullOrEmpty(lDGrpCd) <> String.IsNullOrEmpty(wRecOne.DEATH_GRP_CD) OrElse lDGrpCd <> wRecOne.DEATH_GRP_CD Then
						AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, wRecOne.DISEASE_SERIAL_NO, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.ICD10_CD, "ＩＣＤ１０", "E0032", "死因分類が", Nothing)
					End If
					lRetErrCnt(6) = lCnt
				Else
					lRetErrCnt(6) = Nothing
				End If
				' 画面からの入力チェックのみ
				If rChkBOX Is Nothing Then
					'入院時併存症名フラグと入院後発症疾患名フラグの両方があればエラー
					Select Case False
						Case wRecOne.HSP_DISEASE_FLG.HasValue AndAlso wRecOne.HSP_DISEASE_FLG = clsConst.Enum_CheckBox_Flg.CheckOn
						Case wRecOne.AFTER_HSP_DISEASE_FLG.HasValue AndAlso wRecOne.AFTER_HSP_DISEASE_FLG = clsConst.Enum_CheckBox_Flg.CheckOn
						Case Else
							AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, wRecOne.DISEASE_SERIAL_NO, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.HSP_DISEASE_FLG, "同時選択", "E0002", "入院時併存症名フラグと入院後発症疾患名フラグの同時", Nothing)
							lRetErrCnt(0) = lRetErrCnt(0) + 1
					End Select
					'死因病名フラグと死因外因フラグの両方があればエラー
					Select Case False
						Case wRecOne.DEATH_DISEASE_FLG.HasValue AndAlso wRecOne.DEATH_DISEASE_FLG = clsConst.Enum_CheckBox_Flg.CheckOn
						Case wRecOne.DEATH_CAUSE_FLG.HasValue AndAlso wRecOne.DEATH_CAUSE_FLG = clsConst.Enum_CheckBox_Flg.CheckOn
						Case Else
							AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, wRecOne.DISEASE_SERIAL_NO, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.DEATH_DISEASE_FLG, "同時選択", "E0002", "死因病名フラグと死因外因フラグの同時", Nothing)
							lRetErrCnt(0) = lRetErrCnt(0) + 1
					End Select
				End If
			Next
		Catch ex As Exception
			Throw
		Finally
			cliMENCommon = Nothing
			lRowCnt = Nothing
			lCnt = Nothing
			lDtTable = Nothing
			lIcd10Code = Nothing
			lSGrpCd = Nothing
			lLGrpCd = Nothing
			lMGrpCd = Nothing
			l300GrpCd = Nothing
			lAGrpCd = Nothing
			lBGrpCd = Nothing
			lCGrpCd = Nothing
			lDGrpCd = Nothing
		End Try
		Return lRetErrCnt
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 手術情報チェック処理
	''' </summary>
	''' <param name="aryTable">配列型レコードセット</param>
	''' <param name="fbase">BaseForm</param>
	''' <param name="rChkBOX">チェックボックス配列</param>
	''' <returns>成否</returns>
	''' <remarks>
	''' 2010/11/01 新規作成 NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function chkOpeInfo(ByVal aryTable As ArrayList, ByRef fbase As MEN000F010, _
	 Optional ByRef rErrAllCnt As Integer = 0, Optional ByVal rChkBOX() As Windows.Forms.CheckBox = Nothing, _
	 Optional ByVal aryDoctor As ArrayList = Nothing) As ArrayList
		Const CONST_TABINDEX As Long = 7
		Dim cliMENCommon As clsMENCOMMON
		Dim lRetErrCnt As ArrayList
		Dim lRowCnt As Integer = 0
		Dim lCnt As Integer = 0
		Dim laryDoctor As ArrayList
		Dim lWkCnt As Integer = 0 ' 医師情報用
		Dim lstDate As DateTime = Nothing
		Dim ledDate As DateTime = Nothing
		Dim cliCom As XSP.clsCom
		Dim lNen As Integer
		Dim lTuki As Integer
		Dim lHi As Integer
		Dim lOpeDays As String = String.Empty
		Dim lIcd9Code As String = String.Empty
		Dim lLGrpCd As String = String.Empty
		Dim lMGrpCd As String = String.Empty
		Dim l3GrpCd As String = String.Empty
		Dim wDoctor1 As MEN.datOpeDoctorInfo
		Dim wDoctor2 As MEN.datOpeDoctorInfo
		Try
			cliMENCommon = New clsMENCOMMON
			lRetErrCnt = New ArrayList
			cliCom = New XSP.clsCom
			For lCnt = 0 To 6
				lRetErrCnt.Add(0)
			Next
			For Each wRecOne As MEN.datOpeInfo In aryTable
				lRowCnt = lRowCnt + 1
				'手術医師情報
				Select Case True
					Case rChkBOX IsNot Nothing
						laryDoctor = getOpeDoctorInfo(wRecOne.PATIENT_NO, wRecOne.HSP_HISTORY_NO.Value, wRecOne.CH_NO.Value, wRecOne.OPE_SERIAL_NO.Value)
					Case aryDoctor IsNot Nothing
						laryDoctor = New ArrayList
						For Each wDoctor1 In aryDoctor
							Select Case False
								Case wRecOne.PATIENT_NO.Equals(wDoctor1.PATIENT_NO)
								Case wRecOne.HSP_HISTORY_NO.Value.Equals(wDoctor1.HSP_HISTORY_NO.Value)
								Case wRecOne.CH_NO.Value.Equals(wDoctor1.CH_NO.Value)
								Case wRecOne.OPE_SERIAL_NO.Value.Equals(wDoctor1.OPE_SERIAL_NO.Value)
								Case Not String.IsNullOrEmpty(wDoctor1.DOCTOR_CD)
								Case Else
									laryDoctor.Add(wDoctor1)
							End Select
						Next
						If laryDoctor.Count = 0 Then
							laryDoctor = Nothing
						End If
					Case Else
						laryDoctor = Nothing
				End Select
				'必須チェック（手術区分・ICD9CM・実施日〔開始日〕・手術名）
				If rChkBOX Is Nothing OrElse rChkBOX(0).Checked = True Then
					lCnt = lRetErrCnt(0)
					If String.IsNullOrEmpty(wRecOne.OPE_DIV) Then
						AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, wRecOne.OPE_SERIAL_NO, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.OPE_DIV, "手術区分", "E0001")
					End If
					If String.IsNullOrEmpty(wRecOne.ICD9CM_CD) Then
						AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, wRecOne.OPE_SERIAL_NO, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.ICD9CM_CD, "ICD9CM", "E0001")
					End If
					If Not IsDateEx(wRecOne.OPE_DT) Then
						AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, wRecOne.OPE_SERIAL_NO, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.OPE_DT, "実施日", "E0001")
					End If
					If String.IsNullOrEmpty(wRecOne.OPE_NM) Then
						AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, wRecOne.OPE_SERIAL_NO, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.OPE_NM, "手術名", "E0001")
					End If
					'麻酔１
					If clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00068) = CStr(clsConst.Enum_OpeAnesthesia.Required) Then
						If String.IsNullOrEmpty(wRecOne.ANESTHESIA_DIV1) Then
							AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, wRecOne.OPE_SERIAL_NO, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.ANESTHESIA_DIV1, "麻酔１", "E0001")
						End If
					End If
					'点数表コード
					If clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00094) = CStr(clsConst.Enum_OpeScore.Required) Then
						If String.IsNullOrEmpty(wRecOne.SCORE_CD) Then
							AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, wRecOne.OPE_SERIAL_NO, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.SCORE_CD, "点数表コード", "E0001")
						End If
					End If
					'手術医師情報（チェック処理画面のみ）
					If rChkBOX IsNot Nothing Then
						If laryDoctor IsNot Nothing AndAlso laryDoctor.Count <> 0 Then
							For Each wDoctor1 In laryDoctor
								'医師コード
								If String.IsNullOrEmpty(wDoctor1.DOCTOR_CD) Then
									AddErrMsgTable2(rErrAllCnt, wDoctor1.HSP_HISTORY_NO, wDoctor1.CH_NO, wRecOne.OPE_SERIAL_NO, wDoctor1.OPE_DOCTOR_SERIAL_NO, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.DOCTOR_CD, "医師コード", "E0001")
								End If
							Next
						End If
					End If
					lRetErrCnt(0) = lCnt
				Else
					lRetErrCnt(0) = Nothing
				End If
				'マスタに存在しないコードが使われているもの（チェック処理画面のみ）
				If rChkBOX IsNot Nothing AndAlso rChkBOX(1).Checked = True Then
					lCnt = lRetErrCnt(1)
					'TI_手術情報.手術区分コード, TM_手術区分マスタ.手術区分名
					If String.IsNullOrEmpty(wRecOne.OPE_DIV) = False AndAlso String.IsNullOrEmpty(wRecOne.OPE_DIV_NM) Then
						AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, wRecOne.OPE_SERIAL_NO, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.OPE_DIV, "手術区分コード", "E0015", "マスタに手術区分コード", Nothing)
					End If
					'TI_手術情報.麻酔区分コード１, TM_麻酔マスタ.麻酔名
					If String.IsNullOrEmpty(wRecOne.ANESTHESIA_DIV1) = False AndAlso String.IsNullOrEmpty(wRecOne.ANESTHESIA_NM) Then
						AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, wRecOne.OPE_SERIAL_NO, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.ANESTHESIA_DIV1, "麻酔区分コード", "E0015", "マスタに麻酔区分コード", Nothing)
					End If
					'TI_手術情報.麻酔区分コード２, TM_麻酔マスタ.麻酔名
					If String.IsNullOrEmpty(wRecOne.ANESTHESIA_DIV2) = False AndAlso String.IsNullOrEmpty(wRecOne.ANESTHESIA_NM2) Then
						AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, wRecOne.OPE_SERIAL_NO, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.ANESTHESIA_DIV2, "麻酔区分コード", "E0015", "マスタに麻酔区分コード", Nothing)
					End If
					'手術医師情報
					If laryDoctor IsNot Nothing AndAlso laryDoctor.Count <> 0 Then
						For Each wDoctor1 In laryDoctor
							If String.IsNullOrEmpty(wDoctor1.STAFF_NM) Then
								AddErrMsgTable2(rErrAllCnt, wDoctor1.HSP_HISTORY_NO, wDoctor1.CH_NO, wRecOne.OPE_SERIAL_NO, wDoctor1.OPE_DOCTOR_SERIAL_NO, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.DOCTOR_CD, "手術医師情報", "E0015", "マスタに手術医師コード", Nothing)
							End If
						Next
					End If
					lRetErrCnt(1) = lCnt
				Else
					lRetErrCnt(1) = Nothing
				End If
				'日付チェック
				If rChkBOX Is Nothing OrElse rChkBOX(2).Checked = True Then
					lCnt = lRetErrCnt(2)
					If clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00067) = CStr(clsConst.Enum_DiseaseDtRange.HspOut) Then
						' 1:入院日～退院日
						'「実施日」が「入院日」の２日以上前の場合、エラーとする。
						If IsDateEx(wRecOne.OPE_DT) AndAlso IsDateEx(wRecOne.HSP_DT) Then
							If wRecOne.OPE_DT.Value.AddDays(1) < wRecOne.HSP_DT.Value Then
								AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, wRecOne.OPE_SERIAL_NO, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.OPE_DT, "実施日", "E0031", "実施日", "入院日より過去になっているか、実施日が退院日より未来", Nothing)
							End If
						End If
						'「実施日」が「退院日」の翌日以降の場合、エラーとする。
						If IsDateEx(wRecOne.OPE_DT) AndAlso IsDateEx(wRecOne.OUT_HSP_DT) Then
							If wRecOne.OPE_DT.Value > wRecOne.OUT_HSP_DT.Value Then
								AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, wRecOne.OPE_SERIAL_NO, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.OPE_DT, "実施日", "E0031", "実施日", "入院日より過去になっているか、実施日が退院日より未来", Nothing)
							End If
						End If
						'「TI_手術情報．終了日」が「入院日」の２日以上前の場合、エラーとする。
						If IsDateEx(wRecOne.END_DT) AndAlso IsDateEx(wRecOne.HSP_DT) Then
							If wRecOne.END_DT.Value.AddDays(1) < wRecOne.HSP_DT.Value Then
								AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, wRecOne.OPE_SERIAL_NO, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.END_DT, "終了日", "E0031", "終了日", "入院日より過去になっているか、終了日が退院日より未来", Nothing)
							End If
						End If
						'「TI_手術情報．終了日」が「退院日」の翌日以降の場合、エラーとする。
						If IsDateEx(wRecOne.END_DT) AndAlso IsDateEx(wRecOne.OUT_HSP_DT) Then
							If wRecOne.END_DT.Value > wRecOne.OUT_HSP_DT.Value Then
								AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, wRecOne.OPE_SERIAL_NO, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.END_DT, "終了日", "E0031", "終了日", "入院日より過去になっているか、終了日が退院日より未来", Nothing)
							End If
						End If
					Else
						'0:開始日～終了日
						'「実施日」が「TI_科歴情報．開始日」の２日以上前の場合、エラーとする。
						If IsDateEx(wRecOne.OPE_DT) AndAlso IsDateEx(wRecOne.START_DT) Then
							If wRecOne.OPE_DT.Value.AddDays(1) < wRecOne.START_DT.Value Then
								AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, wRecOne.OPE_SERIAL_NO, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.OPE_DT, "実施日", "E0031", "実施日", "科開始日より過去になっているか、実施日が科終了日より未来", Nothing)
							End If
						End If
						'「実施日」が「TI_科歴情報．終了日」の翌日以降の場合、エラーとする。
						If IsDateEx(wRecOne.OPE_DT) AndAlso IsDateEx(wRecOne.CH_END_DT) Then
							If wRecOne.OPE_DT.Value > wRecOne.CH_END_DT.Value Then
								AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, wRecOne.OPE_SERIAL_NO, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.OPE_DT, "実施日", "E0031", "実施日", "科開始日より過去になっているか、実施日が科終了日より未来", Nothing)
							End If
						End If
						'「TI_手術情報．終了日」が「TI_科歴情報．開始日」の２日以上前の場合、エラーとする。
						If IsDateEx(wRecOne.END_DT) AndAlso IsDateEx(wRecOne.START_DT) Then
							If wRecOne.END_DT.Value.AddDays(1) < wRecOne.START_DT.Value Then
								AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, wRecOne.OPE_SERIAL_NO, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.END_DT, "終了日", "E0031", "終了日", "科開始日より過去になっているか、実施日が科終了日より未来", Nothing)
							End If
						End If
						'「TI_手術情報．終了日」が「TI_科歴情報．終了日」の翌日以降の場合、エラーとする。
						If IsDateEx(wRecOne.END_DT) AndAlso IsDateEx(wRecOne.CH_END_DT) Then
							If wRecOne.END_DT.Value > wRecOne.CH_END_DT.Value Then
								AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, wRecOne.OPE_SERIAL_NO, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.END_DT, "終了日", "E0031", "終了日", "科開始日より過去になっているか、実施日が科終了日より未来", Nothing)
							End If
						End If
					End If
					'「実施日」＋「実施時刻」が「終了日」＋「終了時刻」より後の場合、エラーとする。
					If IsDateEx(wRecOne.OPE_DT) AndAlso IsDateEx(wRecOne.END_DT) Then
						If String.IsNullOrEmpty(wRecOne.OPE_TIME) = False AndAlso String.IsNullOrEmpty(wRecOne.END_TIME) = False Then
							lstDate = DateTime.ParseExact(Format(wRecOne.OPE_DT.Value, clsConst.CST_YYYYMMDD_FORMAT) & Space(1) & wRecOne.OPE_TIME, clsMENCOMMON.CONST_FORMAT_DATETIME, System.Globalization.DateTimeFormatInfo.InvariantInfo, System.Globalization.DateTimeStyles.None)
							ledDate = DateTime.ParseExact(Format(wRecOne.END_DT.Value, clsConst.CST_YYYYMMDD_FORMAT) & Space(1) & wRecOne.END_TIME, clsMENCOMMON.CONST_FORMAT_DATETIME, System.Globalization.DateTimeFormatInfo.InvariantInfo, System.Globalization.DateTimeStyles.None)
							If lstDate > ledDate Then
								AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, wRecOne.OPE_SERIAL_NO, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.OPE_TIME, "実施日時", "E0006", "開始日（実施日時）と終了日時", Nothing)
							End If
						Else
							If wRecOne.OPE_DT.Value > wRecOne.END_DT.Value Then
								AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, wRecOne.OPE_SERIAL_NO, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.OPE_DT, "実施日", "E0006", "開始日（実施日）と終了日", Nothing)
							End If
						End If
					End If
					lRetErrCnt(2) = lCnt
				Else
					lRetErrCnt(2) = Nothing
				End If
				'手術時年齢、術前日数、術後日数（チェック処理画面のみ）
				If rChkBOX IsNot Nothing AndAlso rChkBOX(3).Checked = True Then
					lCnt = lRetErrCnt(3)
					If IsDateEx(wRecOne.BIRTH_DT) AndAlso IsDateEx(wRecOne.OPE_DT) Then
						'「生年月日」と「実施日」の差からそれぞれ術後年齢を計算する。
						cliCom.setCalcNenGetuNiti(wRecOne.BIRTH_DT.Value, wRecOne.OPE_DT.Value, lNen, lTuki, lHi)
						'「手術時年齢」と計算結果が異なる時エラーとする。
						If wRecOne.OPE_AGE <> lNen Then
							AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, wRecOne.OPE_SERIAL_NO, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.OPE_DT, "手術時年齢", "E0032", "手術時年齢と計算値が", Nothing)
						End If
						'「手術時月齢」と計算結果が異なる時エラーとする。
						If wRecOne.OPE_MONTH_AGE <> lTuki Then
							AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, wRecOne.OPE_SERIAL_NO, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.OPE_DT, "手術時月齢", "E0032", "手術時月齢と計算値が", Nothing)
						End If
						'「手術時日齢」と計算結果が異なる時エラーとする。
						If wRecOne.OPE_DAY_AGE <> lHi Then
							AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, wRecOne.OPE_SERIAL_NO, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.OPE_DT, "手術時日齢", "E0032", "手術時日齢と計算値が", Nothing)
						End If
					End If
					If (IsDateEx(wRecOne.END_DT) OrElse IsDateEx(wRecOne.OPE_DT)) AndAlso IsDateEx(wRecOne.OUT_HSP_DT) Then
						'「実施日」と「退院日」の差から日数を計算する。
						lOpeDays = cliMENCommon.calcAfterOpeDays(wRecOne.OUT_HSP_DT, wRecOne.END_DT, wRecOne.OPE_DT)
						If wRecOne.AFTER_OPE_DAYS.HasValue = False OrElse wRecOne.AFTER_OPE_DAYS.Value = 0 Then
							If String.IsNullOrEmpty(lOpeDays) = False AndAlso lOpeDays <> "0" Then
								AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, wRecOne.OPE_SERIAL_NO, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.AFTER_OPE_DAYS, "術後日数", "E0032", "術後日数と計算値が", Nothing)
							End If
						Else
							If wRecOne.AFTER_OPE_DAYS.ToString <> lOpeDays Then
								AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, wRecOne.OPE_SERIAL_NO, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.AFTER_OPE_DAYS, "術後日数", "E0032", "術後日数と計算値が", Nothing)
							End If
						End If
					End If
					If IsDateEx(wRecOne.OPE_DT) AndAlso IsDateEx(wRecOne.HSP_DT) Then
						'「実施日」と「入院日」の差から日数を計算する。
						lOpeDays = cliMENCommon.calcPreOpeDays(wRecOne.HSP_DT, wRecOne.OPE_DT)
						If wRecOne.PRE_OPE_DAYS.HasValue = False OrElse wRecOne.PRE_OPE_DAYS.Value = 0 Then
							If String.IsNullOrEmpty(lOpeDays) = False AndAlso lOpeDays <> "0" Then
								AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, wRecOne.OPE_SERIAL_NO, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.PRE_OPE_DAYS, "術前日数", "E0032", "術前日数と計算値が", Nothing)
							End If
						Else
							If wRecOne.PRE_OPE_DAYS.ToString <> lOpeDays Then
								AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, wRecOne.OPE_SERIAL_NO, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.PRE_OPE_DAYS, "術前日数", "E0032", "術前日数と計算値が", Nothing)
							End If
						End If
					End If
					lRetErrCnt(3) = lCnt
				Else
					lRetErrCnt(3) = Nothing
				End If
				'手術に関する分類コードがセットされていない（大中３）（チェック処理画面のみ）
				If rChkBOX IsNot Nothing AndAlso rChkBOX(4).Checked = True Then
					lCnt = lRetErrCnt(4)
					lIcd9Code = wRecOne.ICD9CM_CD
					lLGrpCd = String.Empty
					lMGrpCd = String.Empty
					l3GrpCd = String.Empty
					cliMENCommon.getICD9CMToBunruCode(lIcd9Code, lLGrpCd, lMGrpCd, l3GrpCd)
					If String.IsNullOrEmpty(lLGrpCd) <> String.IsNullOrEmpty(wRecOne.L_GRP_CD) OrElse lLGrpCd <> wRecOne.L_GRP_CD Then
						AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, wRecOne.OPE_SERIAL_NO, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.ICD9CM_CD, "ICD9CM", "E0032", "大分類が", Nothing)
					End If
					If String.IsNullOrEmpty(lMGrpCd) <> String.IsNullOrEmpty(wRecOne.M_GRP_CD) OrElse lMGrpCd <> wRecOne.M_GRP_CD Then
						AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, wRecOne.OPE_SERIAL_NO, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.ICD9CM_CD, "ICD9CM", "E0032", "中分類が", Nothing)
					End If
					If String.IsNullOrEmpty(l3GrpCd) <> String.IsNullOrEmpty(wRecOne.DIGS3_GRP_CD) OrElse l3GrpCd <> wRecOne.DIGS3_GRP_CD Then
						AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, wRecOne.OPE_SERIAL_NO, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.ICD9CM_CD, "ICD9CM", "E0032", "３桁分類が", Nothing)
					End If
					lRetErrCnt(4) = lCnt
				Else
					lRetErrCnt(4) = Nothing
				End If
				'麻酔区分１と麻酔区分２が重複している														
				If rChkBOX Is Nothing OrElse rChkBOX(5).Checked = True Then
					lCnt = lRetErrCnt(5)
					If String.IsNullOrEmpty(wRecOne.ANESTHESIA_DIV1) = False AndAlso String.IsNullOrEmpty(wRecOne.ANESTHESIA_DIV2) = False AndAlso wRecOne.ANESTHESIA_DIV1 = wRecOne.ANESTHESIA_DIV2 Then
						AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, wRecOne.OPE_SERIAL_NO, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.ANESTHESIA_DIV1, "麻酔区分", "E0021", "麻酔１と麻酔２に同じもの", Nothing)
					End If
					lRetErrCnt(5) = lCnt
				Else
					lRetErrCnt(5) = Nothing
				End If
				'手術医師情報の中に、医師区分＋医師が重複している
				If rChkBOX Is Nothing OrElse rChkBOX(6).Checked = True Then
					lCnt = lRetErrCnt(6)
					lWkCnt = 0
					If laryDoctor IsNot Nothing AndAlso laryDoctor.Count <> 0 Then
						Dim bError As Boolean = False
						For Each wDoctor1 In laryDoctor
							lWkCnt = lWkCnt + 1
							For Each wDoctor2 In laryDoctor.GetRange(lWkCnt, laryDoctor.Count - lWkCnt)
								If wDoctor1.DOCTOR_CD = wDoctor2.DOCTOR_CD AndAlso wDoctor1.OPE_DOCTOR_DIV = wDoctor2.OPE_DOCTOR_DIV Then
									AddErrMsgTable2(rErrAllCnt, wDoctor1.HSP_HISTORY_NO, wDoctor1.CH_NO, wRecOne.OPE_SERIAL_NO, wDoctor1.OPE_DOCTOR_SERIAL_NO, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.OPE_DOCTOR_DIV, "手術医師情報", "E0038", "同一医師", "同一医師区分", Nothing)
									bError = True
									Exit For
								End If
							Next
							' 重複時、１件エラー出力後、次のレコードへ
							If bError Then
								Exit For
							End If
						Next
					End If
					lRetErrCnt(6) = lCnt
				Else
					lRetErrCnt(6) = Nothing
				End If
			Next
		Catch ex As Exception
			Throw
		Finally
			cliMENCommon = Nothing
			lRowCnt = Nothing
			lCnt = Nothing
			laryDoctor = Nothing
			lWkCnt = Nothing
			lstDate = Nothing
			ledDate = Nothing
			cliCom = Nothing
			lNen = Nothing
			lTuki = Nothing
			lHi = Nothing
			lOpeDays = Nothing
			lIcd9Code = Nothing
			lLGrpCd = Nothing
			lMGrpCd = Nothing
			l3GrpCd = Nothing
			wDoctor1 = Nothing
			wDoctor2 = Nothing
		End Try
		Return lRetErrCnt
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 治療処置情報チェック処理
	''' </summary>
	''' <param name="aryTable">配列型レコードセット</param>
	''' <param name="fbase">BaseForm</param>
	''' <param name="rChkBOX">チェックボックス配列</param>
	''' <returns>成否</returns>
	''' <remarks>
	''' 2010/11/01 新規作成 NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function chkCareInfo(ByVal aryTable As ArrayList, ByRef fbase As MEN000F010, _
	 Optional ByRef rErrAllCnt As Integer = 0, Optional ByVal rChkBOX() As Windows.Forms.CheckBox = Nothing) As ArrayList
		Const CONST_TABINDEX As Long = 8
		Dim cliMENCommon As clsMENCOMMON
		Dim lRetErrCnt As ArrayList
		Dim lRowCnt As Integer = 0
		Dim lCnt As Integer = 0
		Dim lChkSTDate As Nullable(Of Date) = Nothing
		Dim lChkEdDate As Nullable(Of Date) = Nothing
		Dim lDtOpeNm As DataTable
		Dim lLGrpCd As String = String.Empty
		Dim lMGrpCd As String = String.Empty
		Dim lDgs3GrpCd As String = String.Empty
		Dim lErrMsg As String = String.Empty
		Try
			cliMENCommon = New clsMENCOMMON
			lRetErrCnt = New ArrayList
			lDtOpeNm = New DataTable
			For lCnt = 0 To 3
				lRetErrCnt.Add(0)
			Next
			For Each wRecOne As MEN.datCareInfo In aryTable
				lRowCnt = lRowCnt + 1	' 行カウントＵＰ
				' 必須チェック
				If rChkBOX Is Nothing OrElse rChkBOX(0).Checked = True Then
					lCnt = lRetErrCnt(0)
					'治療処置区分コード
					If String.IsNullOrEmpty(wRecOne.CARE_DIV) Then
						AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, wRecOne.CARE_SERIAL_NO, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.CARE_DIV, "治療処置区分コード", "E0001")
					End If
					'ICD9CM
					If String.IsNullOrEmpty(wRecOne.ICD9CM_CD) Then
						AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, wRecOne.CARE_SERIAL_NO, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.ICD9CM_CD, "ICD9CM", "E0001")
					End If
					'治療処置名
					If String.IsNullOrEmpty(wRecOne.CARE_NM) Then
						AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, wRecOne.CARE_SERIAL_NO, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.CARE_NM, "治療処置名", "E0001")
					End If
					'実施日
					If clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00069) <> CStr(clsConst.Enum_CareDtRange.NoCheck) Then
						If IsDateEx(wRecOne.CARE_DT) = False Then
							AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, wRecOne.CARE_SERIAL_NO, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.CARE_DT, "実施日", "E0001")
						End If
					End If

					lRetErrCnt(0) = lCnt
				Else
					lRetErrCnt(0) = Nothing
				End If
				'マスタに存在しないコードが使われているもの（チェック処理画面のみ）
				If rChkBOX IsNot Nothing AndAlso rChkBOX(1).Checked = True Then
					lCnt = lRetErrCnt(1)
					'治療処置区分コード
					If String.IsNullOrEmpty(wRecOne.CARE_DIV) = False AndAlso String.IsNullOrEmpty(wRecOne.CARE_DIV_NM) Then
						AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, wRecOne.CARE_SERIAL_NO, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.CARE_DIV, "治療処置区分コード", "E0015", "マスタに治療処置区分コード", Nothing)
					End If
					lRetErrCnt(1) = lCnt
				Else
					lRetErrCnt(1) = Nothing
				End If
				'日付チェック
				If rChkBOX Is Nothing OrElse rChkBOX(2).Checked = True Then
					lCnt = lRetErrCnt(2)
					Select Case clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00069)
						Case CStr(clsConst.Enum_CareDtRange.HspOut)
							lChkSTDate = wRecOne.HSP_DT
							lChkEdDate = wRecOne.OUT_HSP_DT
							lErrMsg = "入院日より過去になっているか、実施日が退院日より未来"
						Case CStr(clsConst.Enum_CareDtRange.StartEnd)
							lChkSTDate = wRecOne.START_DT
							lChkEdDate = wRecOne.CH_END_DT
							lErrMsg = "科開始日より過去になっているか、実施日が科終了日より未来"
						Case Else
							lChkSTDate = Nothing
							lChkEdDate = Nothing
							lErrMsg = String.Empty
					End Select
					'「実施日」が「開始日」の前日より前の場合、エラーとする。
					If IsDateEx(wRecOne.CARE_DT) AndAlso IsDateEx(lChkSTDate) Then
						If Date.Compare(wRecOne.CARE_DT.Value.AddDays(+1), lChkSTDate.Value) < 0 Then
							AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, wRecOne.CARE_SERIAL_NO, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.CARE_DT, "実施日", "E0031", "実施日", lErrMsg, Nothing)
						End If
					End If
					'「実施日」が「終了日」の翌日以降の場合、エラーとする。
					If IsDateEx(wRecOne.CARE_DT) AndAlso IsDateEx(lChkEdDate) Then
						If Date.Compare(wRecOne.CARE_DT.Value, lChkEdDate.Value) > 0 Then
							AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, wRecOne.CARE_SERIAL_NO, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.CARE_DT, "実施日", "E0031", "実施日", lErrMsg, Nothing)
						End If
					End If
					lRetErrCnt(2) = lCnt
				Else
					lRetErrCnt(2) = Nothing
				End If
				'治療処置に関する分類コードがセットされていない(大中３)（チェック処理画面のみ）
				If rChkBOX IsNot Nothing AndAlso rChkBOX(3).Checked = True Then
					lCnt = lRetErrCnt(3)
					lLGrpCd = String.Empty
					lMGrpCd = String.Empty
					lDgs3GrpCd = String.Empty
					cliMENCommon.getICD9CMToBunruCode(wRecOne.ICD9CM_CD, lLGrpCd, lMGrpCd, lDgs3GrpCd)
					If String.IsNullOrEmpty(lLGrpCd) <> String.IsNullOrEmpty(wRecOne.L_GRP_CD) OrElse lLGrpCd <> wRecOne.L_GRP_CD Then
						AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, wRecOne.CARE_SERIAL_NO, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.ICD9CM_CD, "ICD9CM", "E0032", "大分類が", Nothing)
					End If
					If String.IsNullOrEmpty(lMGrpCd) <> String.IsNullOrEmpty(wRecOne.M_GRP_CD) OrElse lMGrpCd <> wRecOne.M_GRP_CD Then
						AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, wRecOne.CARE_SERIAL_NO, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.ICD9CM_CD, "ICD9CM", "E0032", "中分類が", Nothing)
					End If
					If String.IsNullOrEmpty(lDgs3GrpCd) <> String.IsNullOrEmpty(wRecOne.DIGS3_GRP_CD) OrElse lDgs3GrpCd <> wRecOne.DIGS3_GRP_CD Then
						AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, wRecOne.CARE_SERIAL_NO, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.ICD9CM_CD, "ICD9CM", "E0032", "３桁分類が", Nothing)
					End If
					lRetErrCnt(3) = lCnt
				Else
					lRetErrCnt(3) = Nothing
				End If
			Next
		Catch ex As Exception
			Throw
		Finally
			cliMENCommon = Nothing
			lRowCnt = Nothing
			lCnt = Nothing
			lChkSTDate = Nothing
			lChkEdDate = Nothing
			lDtOpeNm = Nothing
			lLGrpCd = Nothing
			lMGrpCd = Nothing
			lDgs3GrpCd = Nothing
			lErrMsg = Nothing
		End Try
		Return lRetErrCnt
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 救命救急情報チェック処理
	''' </summary>
	''' <param name="aryTable">配列型レコードセット</param>
	''' <param name="fbase">BaseForm</param>
	''' <param name="rErrAllCnt">ＡＬＬエラー件数</param>
	''' <param name="rChkBOX">チェックボックス配列</param>
	''' <returns>エラー件数配列</returns>
	''' <remarks>
	''' 2010/11/01 新規作成 NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function chkEmergencyInfo(ByVal aryTable As ArrayList, ByRef fbase As MEN000F010, _
	  Optional ByRef rErrAllCnt As Integer = 0, Optional ByVal rChkBOX() As Windows.Forms.CheckBox = Nothing) As ArrayList
		Const CONST_TABINDEX As Long = 10
		Dim lstDate As DateTime = Nothing
		Dim ledDate As DateTime = Nothing
		Dim lRetErrCnt As ArrayList
		Dim lRowCnt As Integer = 0
		Dim lCnt As Integer = 0
		Dim cliMENCommon As clsMENCOMMON
		Dim cliCom As XSP.clsCom
		Dim lNenAge As Integer
		Dim lTukiAge As Integer
		Dim lHiAge As Integer
		Try
			lRetErrCnt = New ArrayList
			cliMENCommon = New clsMENCOMMON
			cliCom = New XSP.clsCom
			For lCnt = 0 To 3
				lRetErrCnt.Add(0)
			Next
			For Each wRecOne As MEN.datEmergencyInfo In aryTable
				lRowCnt = lRowCnt + 1	' 行カウントＵＰ
				' 必須チェック
				If rChkBOX Is Nothing OrElse rChkBOX(0).Checked = True Then
					lCnt = lRetErrCnt(0)
					If IsDateEx(wRecOne.ENTERING_DT) = False Then
						AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, wRecOne.EMERGENCY_SERIAL_NO, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.ENTERING_DT, "入室日", "E0001")
					End If
					' 配列に格納
					lRetErrCnt(0) = lCnt
				Else
					lRetErrCnt(0) = Nothing
				End If
				'マスタに存在しないコードが使われているもの（チェック処理画面のみ）
				If rChkBOX IsNot Nothing AndAlso rChkBOX(1).Checked = True Then
					lCnt = lRetErrCnt(1)
					If String.IsNullOrEmpty(wRecOne.IN_METHOD_CD) = False AndAlso String.IsNullOrEmpty(wRecOne.IN_METHOD_NM) Then
						AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, wRecOne.EMERGENCY_SERIAL_NO, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.IN_METHOD_CD, "入法コード", "E0015", "マスタに入法コード", Nothing)
					End If
					If String.IsNullOrEmpty(wRecOne.OUT_METHOD_CD) = False AndAlso String.IsNullOrEmpty(wRecOne.OUT_METHOD_NM) Then
						AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, wRecOne.EMERGENCY_SERIAL_NO, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.OUT_METHOD_CD, "出法コード", "E0015", "マスタに出法コード", Nothing)
					End If
					If String.IsNullOrEmpty(wRecOne.SEVERE_CD) = False AndAlso String.IsNullOrEmpty(wRecOne.SEVERE_DIV_NM) Then
						AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, wRecOne.EMERGENCY_SERIAL_NO, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.SEVERE_CD, "重症区分コード", "E0015", "マスタに重症区分コード", Nothing)
					End If
					lRetErrCnt(1) = lCnt
				Else
					lRetErrCnt(1) = Nothing
				End If
				'日付チェック
				If rChkBOX Is Nothing OrElse rChkBOX(2).Checked = True Then
					lCnt = lRetErrCnt(2)
					If IsDateEx(wRecOne.ENTERING_DT) AndAlso IsDateEx(wRecOne.LEAVING_DT) Then
						If String.IsNullOrEmpty(wRecOne.ENTERING_TIME) OrElse String.IsNullOrEmpty(wRecOne.LEAVING_TIME) Then
							'「退室日」<「入室日」ならエラーとする。
							If wRecOne.LEAVING_DT.Value < wRecOne.ENTERING_DT.Value Then
								AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, wRecOne.EMERGENCY_SERIAL_NO, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.ENTERING_DT, "入室日・退出日", "E0006", "入室日と退出日", Nothing)
							End If
						Else
							'「入室日」＋「入室時刻」が「退室日」＋「退室時刻」より後の場合、エラーとする。
							lstDate = DateTime.ParseExact(Format(wRecOne.ENTERING_DT, clsConst.CST_YYYYMMDD_FORMAT) & Space(1) & wRecOne.ENTERING_TIME, clsMENCOMMON.CONST_FORMAT_DATETIME, System.Globalization.DateTimeFormatInfo.InvariantInfo, System.Globalization.DateTimeStyles.None)
							ledDate = DateTime.ParseExact(Format(wRecOne.LEAVING_DT, clsConst.CST_YYYYMMDD_FORMAT) & Space(1) & wRecOne.LEAVING_TIME, clsMENCOMMON.CONST_FORMAT_DATETIME, System.Globalization.DateTimeFormatInfo.InvariantInfo, System.Globalization.DateTimeStyles.None)
							If DateTime.Compare(lstDate, ledDate) > 0 Then
								AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, wRecOne.EMERGENCY_SERIAL_NO, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.ENTERING_TIME, "入室日時", "E0031", "入室日時", "退室日時より未来の日時", Nothing)
							End If
						End If
					End If
					Select Case clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00080)
						Case CStr(clsConst.Enum_EmergencyInputRange.StartEnd)	':開始日～終了日
							If IsDateEx(wRecOne.ENTERING_DT) Then
								'「入室日」<「開始日」ならエラーとする。
								If IsDateEx(wRecOne.START_DT) Then
									If wRecOne.ENTERING_DT.Value < wRecOne.START_DT.Value Then
										AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, wRecOne.EMERGENCY_SERIAL_NO, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.ENTERING_DT, "入室日", "E0031", "入室日", "科開始日より過去の日付", Nothing)
									End If
								End If
								'「入室日」＞「終了日」ならエラーとする。
								If IsDateEx(wRecOne.END_DT) Then
									If wRecOne.ENTERING_DT.Value > wRecOne.END_DT.Value Then
										AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, wRecOne.EMERGENCY_SERIAL_NO, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.ENTERING_DT, "入室日", "E0031", "入室日", "科終了日より未来の日付", Nothing)
									End If
								End If
							End If
							If IsDateEx(wRecOne.LEAVING_DT) Then
								'「退室日」<「開始日」ならエラーとする。
								If IsDateEx(wRecOne.START_DT) Then
									If wRecOne.LEAVING_DT.Value < wRecOne.START_DT.Value Then
										AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, wRecOne.EMERGENCY_SERIAL_NO, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.LEAVING_DT, "退室日", "E0031", "退室日", "科開始日より過去の日付", Nothing)
									End If
								End If
								'「退室日」＞「終了日」ならエラーとする。
								If IsDateEx(wRecOne.END_DT) Then
									If wRecOne.LEAVING_DT.Value > wRecOne.END_DT.Value Then
										AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, wRecOne.EMERGENCY_SERIAL_NO, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.LEAVING_DT, "退室日", "E0031", "退室日", "科終了日より未来の日付", Nothing)
									End If
								End If
							End If
						Case CStr(clsConst.Enum_EmergencyInputRange.HspOut)		':入院日～退院日
							If IsDateEx(wRecOne.ENTERING_DT) Then
								'「入室日」<「入院日」ならエラーとする。
								If IsDateEx(wRecOne.HSP_DT) Then
									If wRecOne.ENTERING_DT.Value < wRecOne.HSP_DT.Value Then
										AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, wRecOne.EMERGENCY_SERIAL_NO, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.ENTERING_DT, "入室日", "E0031", "入室日", "入院日より過去の日付", Nothing)
									End If
								End If
								'「入室日」＞「退院日」ならエラーとする。
								If IsDateEx(wRecOne.OUT_HSP_DT) Then
									If wRecOne.ENTERING_DT.Value > wRecOne.OUT_HSP_DT.Value Then
										AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, wRecOne.EMERGENCY_SERIAL_NO, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.ENTERING_DT, "入室日", "E0031", "入室日", "退院日より未来の日付", Nothing)
									End If
								End If
							End If
							If IsDateEx(wRecOne.LEAVING_DT) Then
								'「退室日」<「入院日」ならエラーとする。
								If IsDateEx(wRecOne.HSP_DT) Then
									If wRecOne.LEAVING_DT.Value < wRecOne.HSP_DT.Value Then
										AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, wRecOne.EMERGENCY_SERIAL_NO, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.LEAVING_DT, "退室日", "E0031", "退室日", "入院日より過去の日付", Nothing)
									End If
								End If
								'「退室日」＞「退院日」ならエラーとする。
								If IsDateEx(wRecOne.OUT_HSP_DT) Then
									If wRecOne.LEAVING_DT.Value > wRecOne.OUT_HSP_DT.Value Then
										AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, wRecOne.EMERGENCY_SERIAL_NO, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.LEAVING_DT, "退室日", "E0031", "退室日", "退院日より未来の日付", Nothing)
									End If
								End If
							End If
						Case Else
					End Select
					lRetErrCnt(2) = lCnt
				Else
					lRetErrCnt(2) = Nothing
				End If
				'入室時年齢、退室時年齢、在室日数、救命所要時間（チェック処理画面のみ）
				If rChkBOX IsNot Nothing AndAlso rChkBOX(3).Checked = True Then
					lCnt = lRetErrCnt(3)
					'「生年月日」と「入室日」の差からそれぞれ年齢を計算する。
					If IsDateEx(wRecOne.BIRTH_DT) AndAlso IsDateEx(wRecOne.ENTERING_DT) Then
						cliCom.setCalcNenGetuNiti(wRecOne.BIRTH_DT.Value, wRecOne.ENTERING_DT.Value, lNenAge, lTukiAge, lHiAge)
						'「入室時年齢」と計算結果が異なる場合はエラーとする。
						If wRecOne.ENTERING_AGE <> lNenAge Then
							AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, wRecOne.EMERGENCY_SERIAL_NO, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.ENTERING_DT, "入室時年齢", "E0032", "入室時年齢と計算値が", Nothing)
						End If
						'「入室時月齢」と計算結果が異なる場合はエラーとする。
						If wRecOne.ENTERING_MONTH_AGE <> lTukiAge Then
							AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, wRecOne.EMERGENCY_SERIAL_NO, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.ENTERING_DT, "入室時月齢", "E0032", "入室時月齢と計算値が", Nothing)
						End If
						'「入室時日齢」と計算結果が異なる場合はエラーとする。
						If wRecOne.ENTERING_DAY_AGE <> lHiAge Then
							AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, wRecOne.EMERGENCY_SERIAL_NO, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.ENTERING_DT, "入室時日齢", "E0032", "入室時日齢と計算値が", Nothing)
						End If
					End If
					'「生年月日」と「退室日」の差からそれぞれ年齢を計算する。
					If IsDateEx(wRecOne.BIRTH_DT) AndAlso IsDateEx(wRecOne.LEAVING_DT) Then
						cliCom.setCalcNenGetuNiti(wRecOne.BIRTH_DT.Value, wRecOne.LEAVING_DT.Value, lNenAge, lTukiAge, lHiAge)
						'「退室時年齢」と計算結果が異なる場合はエラーとする。
						If wRecOne.LEAVING_AGE <> lNenAge Then
							AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, wRecOne.EMERGENCY_SERIAL_NO, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.LEAVING_DT, "退室時年齢", "E0032", "退室時年齢と計算値が", Nothing)
						End If
						'「退室時月齢」と計算結果が異なる場合はエラーとする。
						If wRecOne.LEAVING_MONTH_AGE <> lTukiAge Then
							AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, wRecOne.EMERGENCY_SERIAL_NO, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.LEAVING_DT, "退室時月齢", "E0032", "退室時月齢と計算値が", Nothing)
						End If
						'「退室時日齢」と計算結果が異なる場合はエラーとする。
						If wRecOne.LEAVING_DAY_AGE <> lHiAge Then
							AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, wRecOne.EMERGENCY_SERIAL_NO, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.LEAVING_DT, "退室時日齢", "E0032", "退室時日齢と計算値が", Nothing)
						End If
					End If
					If IsDateEx(wRecOne.LEAVING_DT) AndAlso IsDateEx(wRecOne.ENTERING_DT) Then
						'「入室日」と「退室日」の差から日数を計算する。
						Select Case Date.Compare(wRecOne.ENTERING_DT.Value, wRecOne.LEAVING_DT.Value)
							Case Is = 0
								If wRecOne.IN_ROOM_DAYS <> CInt(clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00006)) Then
									AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, wRecOne.EMERGENCY_SERIAL_NO, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.IN_ROOM_DAYS, "在室日数", "E0032", "在室日数と計算値が", Nothing)
								End If
							Case Is < 0
								If wRecOne.IN_ROOM_DAYS <> cliMENCommon.calcDateTime(clsMENCOMMON.Enum_Mode.eDate, _
								   wRecOne.ENTERING_DT, wRecOne.LEAVING_DT, _
								   wRecOne.ENTERING_TIME, wRecOne.LEAVING_TIME) Then
									AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, wRecOne.EMERGENCY_SERIAL_NO, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.IN_ROOM_DAYS, "在室日数", "E0032", "在室日数と計算値が", Nothing)
								End If
							Case Else
						End Select
						'「入室日」＋「入室時刻」と「退室日」＋「退室時刻」の差から所要時間を計算する。
						'「救命所要時間」と計算結果が異なる場合はエラーとする。
						If String.IsNullOrEmpty(wRecOne.ENTERING_TIME) = False AndAlso String.IsNullOrEmpty(wRecOne.LEAVING_TIME) = False Then
							Dim strCalcTime As String = cliMENCommon.calcDateTime(clsMENCOMMON.Enum_Mode.eTime6, wRecOne.ENTERING_DT, wRecOne.LEAVING_DT, wRecOne.ENTERING_TIME, wRecOne.LEAVING_TIME)
							If CLng(Replace(wRecOne.MED_REQUIRED_TIME, clsMENCOMMON.CONTST_TIME_SPLIT_STRING, String.Empty)) <> CLng(strCalcTime) Then
								AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, wRecOne.EMERGENCY_SERIAL_NO, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.MED_REQUIRED_TIME, "所要時間", "E0032", "所要時間と計算値が", Nothing)
							End If
						End If
					End If
					lRetErrCnt(3) = lCnt
				Else
					lRetErrCnt(3) = Nothing
				End If
			Next
		Catch ex As Exception
			Throw
		Finally
			lstDate = Nothing
			ledDate = Nothing
			lRowCnt = Nothing
			lCnt = Nothing
			cliMENCommon = Nothing
			cliCom = Nothing
			lNenAge = Nothing
			lTukiAge = Nothing
			lHiAge = Nothing
		End Try
		Return lRetErrCnt
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 分娩情報チェック処理
	''' </summary>
	''' <param name="aryTable">配列型レコードセット</param>
	''' <param name="fbase">BaseForm</param>
	''' <param name="rChkBOX">チェックボックス配列</param>
	''' <returns>成否</returns>
	''' <remarks>
	''' 2010/11/01 新規作成 NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function chkCbInfo(ByVal aryTable As ArrayList, ByRef fbase As MEN000F010, _
	  Optional ByRef rErrAllCnt As Integer = 0, Optional ByVal rChkBOX() As Windows.Forms.CheckBox = Nothing) As ArrayList
		Const CONST_TABINDEX As Long = 11
		Dim lRetErrCnt As ArrayList
		Dim lRowCnt As Integer = 0
		Dim lCnt As Integer = 0
		Dim lDtCbChildSu As DataTable
		Dim cliMENCommon As clsMENCOMMON
		Dim lChkSTDate As Nullable(Of Date) = Nothing
		Dim lChkEdDate As Nullable(Of Date) = Nothing
		Dim cliCom As XSP.clsCom
		Dim lNenAge As Integer
		Dim lTukiAge As Integer
		Dim lHiAge As Integer
		Dim lErrMsg As String = Nothing
		Try
			lRetErrCnt = New ArrayList
			lDtCbChildSu = New DataTable
			cliMENCommon = New clsMENCOMMON
			cliCom = New XSP.clsCom
			For lCnt = 0 To 3
				lRetErrCnt.Add(0)
			Next
			For Each wRecOne As MEN.datCbInfo In aryTable
				lRowCnt = lRowCnt + 1	' 行カウントＵＰ
				' 必須チェック
				If rChkBOX Is Nothing OrElse rChkBOX(0).Checked = True Then
					lCnt = lRetErrCnt(0)
					'「流産」が「無し」の場合「分娩日」が未設定の場合、エラーとする。
					If wRecOne.MISCARRIAGE = clsConst.Enum_CheckBox_Flg.CheckOff AndAlso IsDateEx(wRecOne.CB_DT) = False Then
						AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, Nothing, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.CB_DT, "分娩日", "E0001")
					End If
					lRetErrCnt(0) = lCnt
				Else
					lRetErrCnt(0) = Nothing
				End If
				' 日付チェック
				If rChkBOX Is Nothing OrElse rChkBOX(1).Checked = True Then
					lCnt = lRetErrCnt(1)
					If clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00071) = CStr(clsConst.Enum_CbDtRange.HspOut) Then
						lChkSTDate = wRecOne.HSP_DT
						lChkEdDate = wRecOne.OUT_HSP_DT
						lErrMsg = "入院日より過去になっているか、分娩日が退院日より未来"
					Else
						lChkSTDate = wRecOne.START_DT
						lChkEdDate = wRecOne.END_DT
						lErrMsg = "科開始日より過去になっているか、分娩日が科終了日より未来"
					End If
					If IsDateEx(wRecOne.CB_DT) AndAlso IsDateEx(lChkSTDate) Then
						If rChkBOX IsNot Nothing Then
							'「分娩日」が「開始日」の前日以前の場合、エラーとする。（入力チェック側）
							If wRecOne.CB_DT.Value < lChkSTDate.Value Then
								AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, Nothing, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.CB_DT, "分娩日", "E0031", "分娩日", lErrMsg, Nothing)
							End If
						Else
							'「分娩日」が「開始日」の-1 以前の場合、エラーとする。（登録画面側）
							If wRecOne.CB_DT.Value.AddDays(+1) < lChkSTDate.Value Then
								AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, Nothing, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.CB_DT, "分娩日", "E0031", "分娩日", lErrMsg, Nothing)
							End If
						End If
					End If
					'「分娩日」が「終了日」の翌日以降の場合、エラーとする。
					If IsDateEx(wRecOne.CB_DT) AndAlso IsDateEx(lChkEdDate) Then
						If wRecOne.CB_DT.Value > lChkEdDate.Value Then
							AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, Nothing, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.CB_DT, "分娩日", "E0031", "分娩日", lErrMsg, Nothing)
						End If
					End If
					lRetErrCnt(1) = lCnt
				Else
					lRetErrCnt(1) = Nothing
				End If
				'分娩時年齢、児数
				If rChkBOX Is Nothing OrElse rChkBOX(2).Checked = True Then
					lCnt = lRetErrCnt(2)
					If IsDateEx(wRecOne.CB_DT) AndAlso IsDateEx(wRecOne.BIRTH_DT) Then
						cliCom.setCalcNenGetuNiti(wRecOne.BIRTH_DT.Value, wRecOne.CB_DT.Value, lNenAge, lTukiAge, lHiAge)
						'「分娩時年齢」と計算結果が異なる場合、エラーとする。
						If wRecOne.CB_AGE <> lNenAge Then
							AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, Nothing, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.CB_DT, "分娩時年齢", "E0032", "分娩時年齢と計算値が", Nothing)
						End If
						'「分娩時月齢」と計算結果が異なる場合、エラーとする。
						If wRecOne.CB_MONTH_AGE <> lTukiAge Then
							AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, Nothing, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.CB_DT, "分娩時月齢", "E0032", "分娩時月齢と計算値が", Nothing)
						End If
					End If
					If rChkBOX IsNot Nothing Then	' MEN010F060画面からのみチェック
						' 児童数
						Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
							db.setSQLDa(sqlMEN010F060.sqlCB_CHILD_SU)			'SELECT文設定
							db.setParamDa(MEN.sqlMEN010F060.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
							db.setParamDa(MEN.sqlMEN010F060.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
							db.setParamDa(MEN.sqlMEN010F060.prmCH_NO, clsDB.Enum_dbType.dbInt)
							db.setValDa(MEN.sqlMEN010F060.prmPATIENT_NO, wRecOne.PATIENT_NO)
							db.setValDa(MEN.sqlMEN010F060.prmHSP_HISTORY_NO, CInt(wRecOne.HSP_HISTORY_NO))
							db.setValDa(MEN.sqlMEN010F060.prmCH_NO, CInt(wRecOne.CH_NO))
							db.execQueryDa(lDtCbChildSu)						'値取得
						End Using
						If lDtCbChildSu.Rows(0).Item(sqlMEN010F060.itmCNT) <> wRecOne.CHD_COUNT Then
							AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, Nothing, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.CHD_COUNT, "児数", "E0032", "児数が", Nothing)
						End If
						lDtCbChildSu.Clear()
					End If
					lRetErrCnt(2) = lCnt
				Else
					lRetErrCnt(2) = Nothing
				End If
				'男性なのに分娩情報、分娩児情報、分娩児死産情報が存在する（チェック処理画面のみ）
				If rChkBOX IsNot Nothing AndAlso rChkBOX(3).Checked = True Then
					lCnt = lRetErrCnt(3)
					If wRecOne.GENDER_CD = CStr(clsConst.Enum_Gender.Man) Then
						AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, Nothing, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.GENDER_CD, "性別", "E0029", "性別", "女性", Nothing)
					End If
					lRetErrCnt(3) = lCnt
				Else
					lRetErrCnt(3) = Nothing
				End If
			Next
		Catch ex As Exception
			Throw
		Finally
			lRowCnt = Nothing
			lCnt = Nothing
			lDtCbChildSu = Nothing
			cliMENCommon = Nothing
			lChkSTDate = Nothing
			lChkEdDate = Nothing
			cliCom = Nothing
			lNenAge = Nothing
			lTukiAge = Nothing
			lHiAge = Nothing
			lErrMsg = Nothing
		End Try
		Return lRetErrCnt
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 分娩児情報チェック処理
	''' </summary>
	''' <param name="aryTable">配列型レコードセット</param>
	''' <param name="fbase">BaseForm</param>
	''' <param name="rChkBOX">チェックボックス配列</param>
	''' <returns>成否</returns>
	''' <remarks>
	''' 2010/11/01 新規作成 NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function chkCbChildInfo(ByVal aryTable As ArrayList, ByRef fbase As MEN000F010, _
	  Optional ByRef rErrAllCnt As Integer = 0, Optional ByVal rChkBOX() As Windows.Forms.CheckBox = Nothing) As ArrayList
		Const CONST_TABINDEX As Long = 12
		Dim lRetErrCnt As ArrayList
		Dim lRowCnt As Integer = 0
		Dim lCnt As Integer = 0
		Try
			lRetErrCnt = New ArrayList
			For lCnt = 0 To 2
				lRetErrCnt.Add(0)
			Next
			For Each wRecOne As MEN.datCbChildInfo In aryTable
				lRowCnt = lRowCnt + 1
				' 必須チェック
				If rChkBOX Is Nothing OrElse rChkBOX(0).Checked = True Then
					lCnt = lRetErrCnt(0)
					'「性別コード」が未設定の場合、エラーとする。
					If String.IsNullOrEmpty(wRecOne.GENDER_CD) Then
						AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, wRecOne.CB_SERIAL_NO, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.GENDER_CD, "性別", "E0001")
					End If
					lRetErrCnt(0) = lCnt
				Else
					lRetErrCnt(0) = Nothing
				End If
				' 日付チェック（チェック処理画面のみ）
				If rChkBOX IsNot Nothing AndAlso rChkBOX(1).Checked = True Then
					lCnt = lRetErrCnt(1)
					'「子分娩日」が「分娩日」の前後１日以内でない場合、エラーとする。
					If IsDateEx(wRecOne.CHD_CB_DT) AndAlso IsDateEx(wRecOne.CB_DT) Then
						If wRecOne.CB_DT.Value.AddDays(-1) > wRecOne.CHD_CB_DT.Value OrElse wRecOne.CHD_CB_DT.Value > wRecOne.CB_DT.Value.AddDays(+1) Then
							AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, wRecOne.CB_SERIAL_NO, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.CHD_CB_DT, "子分娩日", "E0029", "子分娩日", "分娩日の１日以内", Nothing)
						End If
					End If
					lRetErrCnt(1) = lCnt
				Else
					lRetErrCnt(1) = Nothing
				End If
				'死産にチェックされているが死産情報がない
				If rChkBOX Is Nothing OrElse rChkBOX(2).Checked = True Then
					lCnt = lRetErrCnt(2)
					If wRecOne.STILLBIRTH = clsConst.Enum_CheckBox_Flg.CheckOn Then
						If String.IsNullOrEmpty(wRecOne.CB_SB_PATIENT_NO) Then
							AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, wRecOne.CB_SERIAL_NO, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.STILLBIRTH, "死産情報", "E0032", "死産情報が", Nothing)
						End If
					End If
					lRetErrCnt(2) = lCnt
				Else
					lRetErrCnt(2) = Nothing
				End If
			Next
		Catch ex As Exception
			Throw
		Finally
			lRowCnt = Nothing
			lCnt = Nothing
		End Try
		Return lRetErrCnt
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 検査情報チェック処理
	''' </summary>
	''' <param name="aryTable">配列型レコードセット</param>
	''' <param name="fbase">BaseForm</param>
	''' <param name="rChkBOX">チェックボックス配列</param>
	''' <returns>成否</returns>
	''' <remarks>
	''' 2010/11/01 新規作成 NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function chkTestInfo(ByVal aryTable As ArrayList, ByRef fbase As MEN000F010, _
	  Optional ByRef rErrAllCnt As Integer = 0, Optional ByVal rChkBOX() As Windows.Forms.CheckBox = Nothing) As ArrayList
		Const CONST_TABINDEX As Long = 9
		Dim cliMENCommon As clsMENCOMMON
		Dim lRetErrCnt As ArrayList
		Dim lRowCnt As Integer = 0
		Dim lCnt As Integer = 0
		Dim lChkSTDate As Nullable(Of Date) = Nothing
		Dim lChkEdDate As Nullable(Of Date) = Nothing
		Dim lDtOpeNm As DataTable
		Dim lLGrpCd As String = String.Empty
		Dim lMGrpCd As String = String.Empty
		Dim lDgs3GrpCd As String = String.Empty
		Dim lErrMsg As String = String.Empty
		Try
			cliMENCommon = New clsMENCOMMON
			lRetErrCnt = New ArrayList
			lDtOpeNm = New DataTable
			For lCnt = 0 To 3
				lRetErrCnt.Add(0)
			Next
			For Each wRecOne As MEN.datTestInfo In aryTable
				lRowCnt = lRowCnt + 1
				' 必須チェック
				If rChkBOX Is Nothing OrElse rChkBOX(0).Checked = True Then
					lCnt = lRetErrCnt(0)
					'TI_検査情報.検査区分コード
					If String.IsNullOrEmpty(wRecOne.TEST_DIV) Then
						AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, wRecOne.TEST_SERIAL_NO, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.TEST_DIV, "検査区分コード", "E0001")
					End If
					'TI_検査情報.ＩＣＤ９ＣＭコード
					If String.IsNullOrEmpty(wRecOne.ICD9CM_CD) Then
						AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, wRecOne.TEST_SERIAL_NO, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.ICD9CM_CD, "ＩＣＤ９ＣＭコード", "E0001")
					End If
					'TI_検査情報.検査名
					If String.IsNullOrEmpty(wRecOne.TEST_NM) Then
						AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, wRecOne.TEST_SERIAL_NO, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.TEST_NM, "検査名", "E0001")
					End If
					'実施日
					If clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00070) <> CStr(clsConst.Enum_TestDtRange.NoCheck) Then
						If IsDateEx(wRecOne.TEST_DT) = False Then
							AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, wRecOne.TEST_SERIAL_NO, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.TEST_DT, "実施日", "E0001")
						End If
					End If
					lRetErrCnt(0) = lCnt
				Else
					lRetErrCnt(0) = Nothing
				End If
				'マスタ存在チェック
				If rChkBOX Is Nothing OrElse rChkBOX(1).Checked = True Then
					lCnt = lRetErrCnt(1)
					'検査区分コード
					If String.IsNullOrEmpty(wRecOne.TEST_DIV) = False AndAlso String.IsNullOrEmpty(wRecOne.TEST_DIV_NM) Then
						AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, wRecOne.TEST_SERIAL_NO, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.TEST_DIV, "検査区分コード", "E0015", "マスタに検査区分コード", Nothing)
					End If
					lRetErrCnt(1) = lCnt
				Else
					lRetErrCnt(1) = Nothing
				End If
				'日付チェック
				If rChkBOX Is Nothing OrElse rChkBOX(2).Checked = True Then
					lCnt = lRetErrCnt(2)
					Select Case clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00070)
						Case CStr(clsConst.Enum_TestDtRange.HspOut)
							lChkSTDate = wRecOne.HSP_DT
							lChkEdDate = wRecOne.OUT_HSP_DT
							lErrMsg = "入院日より過去になっているか、実施日が退院日より未来"
						Case CStr(clsConst.Enum_TestDtRange.StartEnd)
							lChkSTDate = wRecOne.START_DT
							lChkEdDate = wRecOne.CH_END_DT
							lErrMsg = "科開始日より過去になっているか、実施日が科終了日より未来"
						Case Else
							lChkSTDate = Nothing
							lChkEdDate = Nothing
							lErrMsg = String.Empty
					End Select
					'「実施日」が「開始日」の前日より前の場合、エラーとする。
					If IsDateEx(wRecOne.TEST_DT) AndAlso IsDateEx(lChkSTDate) Then
						If Date.Compare(wRecOne.TEST_DT.Value.AddDays(+1), lChkSTDate.Value) < 0 Then
							AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, wRecOne.TEST_SERIAL_NO, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.TEST_DT, "実施日", "E0031", "実施日", lErrMsg, Nothing)
						End If
					End If
					'「実施日」が「終了日」の翌日以降の場合、エラーとする。
					If IsDateEx(wRecOne.TEST_DT) AndAlso IsDateEx(lChkEdDate) Then
						If Date.Compare(wRecOne.TEST_DT.Value, lChkEdDate.Value) > 0 Then
							AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, wRecOne.TEST_SERIAL_NO, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.TEST_DT, "実施日", "E0031", "実施日", lErrMsg, Nothing)
						End If
					End If
					lRetErrCnt(2) = lCnt
				Else
					lRetErrCnt(2) = Nothing
				End If
				'検査処置に関する分類コードがセットされていない(大中３)（チェック処理画面のみ）
				If rChkBOX IsNot Nothing AndAlso rChkBOX(3).Checked = True Then
					lCnt = lRetErrCnt(3)
					lLGrpCd = String.Empty
					lMGrpCd = String.Empty
					lDgs3GrpCd = String.Empty
					cliMENCommon.getICD9CMToBunruCode(wRecOne.ICD9CM_CD, lLGrpCd, lMGrpCd, lDgs3GrpCd)
					If String.IsNullOrEmpty(lLGrpCd) <> String.IsNullOrEmpty(wRecOne.L_GRP_CD) OrElse lLGrpCd <> wRecOne.L_GRP_CD Then
						AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, wRecOne.TEST_SERIAL_NO, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.ICD9CM_CD, "ICD9CM", "E0032", "大分類が", Nothing)
					End If
					If String.IsNullOrEmpty(lMGrpCd) <> String.IsNullOrEmpty(wRecOne.M_GRP_CD) OrElse lMGrpCd <> wRecOne.M_GRP_CD Then
						AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, wRecOne.TEST_SERIAL_NO, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.ICD9CM_CD, "ICD9CM", "E0032", "中分類が", Nothing)
					End If
					If String.IsNullOrEmpty(lDgs3GrpCd) <> String.IsNullOrEmpty(wRecOne.DIGS3_GRP_CD) OrElse lDgs3GrpCd <> wRecOne.DIGS3_GRP_CD Then
						AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, wRecOne.TEST_SERIAL_NO, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.ICD9CM_CD, "ICD9CM", "E0032", "３桁分類が", Nothing)
					End If
					lRetErrCnt(3) = lCnt
				Else
					lRetErrCnt(3) = Nothing
				End If
			Next
		Catch ex As Exception
			Throw
		Finally
			cliMENCommon = Nothing
			lRowCnt = Nothing
			lCnt = Nothing
			lChkSTDate = Nothing
			lChkEdDate = Nothing
			lDtOpeNm = Nothing
			lLGrpCd = Nothing
			lMGrpCd = Nothing
			lDgs3GrpCd = Nothing
			lErrMsg = Nothing
		End Try
		Return lRetErrCnt
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 貸出物情報チェック処理
	''' </summary>
	''' <param name="aryTable">配列型レコードセット</param>
	''' <param name="fbase">BaseForm</param>
	''' <param name="rChkBOX">チェックボックス配列</param>
	''' <returns>成否</returns>
	''' <remarks>
	''' 2010/11/01 新規作成 NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function chkLenditmInfo(ByVal aryTable As ArrayList, ByRef fbase As MEN000F010, _
	  Optional ByRef rErrAllCnt As Integer = 0, Optional ByVal rChkBOX() As Windows.Forms.CheckBox = Nothing) As ArrayList
		Const CONST_TABINDEX As Long = 13
		Dim lRetErrCnt As ArrayList
		Dim lRowCnt As Integer = 0
		Dim lCnt As Integer = 0
		Try
			lRetErrCnt = New ArrayList
			For lCnt = 0 To 1
				lRetErrCnt.Add(0)
			Next
			For Each wRecOne As MEN.datLenditmInfo In aryTable
				lRowCnt = lRowCnt + 1	' 行カウントＵＰ
				'マスタに存在しないコードが使われているもの（チェック処理画面のみ）
				If rChkBOX IsNot Nothing AndAlso rChkBOX(1).Checked = True Then
					lCnt = lRetErrCnt(0)
					'TK_貸出物情報.カルテ管理状況コード, TM_貸出物管理状況マスタ.管理状況
					If String.IsNullOrEmpty(wRecOne.RECORD_MNGSTATUS_CD) = False AndAlso String.IsNullOrEmpty(wRecOne.KARUTE_MNGSTATUS_NM) Then
						AddErrMsgTable(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, CONST_TABINDEX, "E0015", "カルテ管理状況", "", lRowCnt, lCnt, fbase, "マスタにカルテ管理状況コード")
					End If
					'TK_貸出物情報.サマリ管理状況コード, TM_貸出物管理状況マスタ.管理状況
					If String.IsNullOrEmpty(wRecOne.SUMMARY_MNGSTATUS_CD) = False AndAlso String.IsNullOrEmpty(wRecOne.SUMMARY_MNGSTATUS_NM) Then
						AddErrMsgTable(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, CONST_TABINDEX, "E0015", "サマリ管理状況", "", lRowCnt, lCnt, fbase, "マスタにサマリ管理状況コード")
					End If
					'TK_貸出物情報.他１管理状況コード, TM_貸出物管理状況マスタ.管理状況
					If String.IsNullOrEmpty(wRecOne.OTHER1_MNGSTATUS_CD) = False AndAlso String.IsNullOrEmpty(wRecOne.OTHER1_MNGSTATUS_NM) Then
						AddErrMsgTable(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, CONST_TABINDEX, "E0015", "他１管理状況", "", lRowCnt, lCnt, fbase, "マスタに他１管理状況コード")
					End If
					'TK_貸出物情報.他２管理状況コード, TM_貸出物管理状況マスタ.管理状況
					If String.IsNullOrEmpty(wRecOne.OTHER2_MNGSTATUS_CD) = False AndAlso String.IsNullOrEmpty(wRecOne.OTHER2_MNGSTATUS_NM) Then
						AddErrMsgTable(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, CONST_TABINDEX, "E0015", "他２管理状況", "", lRowCnt, lCnt, fbase, "マスタに他２管理状況コード")
					End If
					'TK_貸出物情報.他３管理状況コード, TM_貸出物管理状況マスタ.管理状況
					If String.IsNullOrEmpty(wRecOne.OTHER3_MNGSTATUS_CD) = False AndAlso String.IsNullOrEmpty(wRecOne.OTHER3_MNGSTATUS_NM) Then
						AddErrMsgTable(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, CONST_TABINDEX, "E0015", "他３管理状況", "", lRowCnt, lCnt, fbase, "マスタに他３管理状況コード")
					End If
					'TK_貸出物情報.サマリ作成者コード, XTM_職員.職員名
					If String.IsNullOrEmpty(wRecOne.SUMMARY_MAKER_CD) = False AndAlso String.IsNullOrEmpty(wRecOne.STAFF_NM) Then
						AddErrMsgTable(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, CONST_TABINDEX, "E0015", ".サマリ作成者", "", lRowCnt, lCnt, fbase, "マスタにサマリ作成者コード")
					End If
					lRetErrCnt(0) = lCnt
				Else
					lRetErrCnt(0) = Nothing
				End If
				' 受領時に受領日が入力されていない
				If rChkBOX Is Nothing OrElse rChkBOX(1).Checked = True Then
					lCnt = lRetErrCnt(1)
					'TK_貸出物情報.カルテ管理状況コード, TK_貸出物情報.カルテ受領日, TM_貸出物管理状況マスタ.固定コード１
					If wRecOne.KARUTE_FIXED_CD1 = CStr(clsConst.Enum_LendStat_Fix1.Receiving) AndAlso Not IsDateEx(wRecOne.RECORD_RECEIPT_DT) Then
						AddErrMsgTable(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, CONST_TABINDEX, "E0016", "カルテ受領日", "", lRowCnt, lCnt, fbase, "カルテ受領日")
					End If
					'TK_貸出物情報.サマリ管理状況コード, TK_貸出物情報.サマリ受領日, TM_貸出物管理状況マスタ.固定コード１
					If wRecOne.SUMMARY_FIXED_CD1 = CStr(clsConst.Enum_LendStat_Fix1.Receiving) AndAlso Not IsDateEx(wRecOne.SUMMARY_RECEIPT_DT) Then
						AddErrMsgTable(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, CONST_TABINDEX, "E0016", "サマリ受領日", "", lRowCnt, lCnt, fbase, "サマリ受領日")
					End If
					'TK_貸出物情報.他１管理状況コード, TK_貸出物情報.他１受領日, TM_貸出物管理状況マスタ.固定コード１
					If wRecOne.OTHER1_FIXED_CD1 = CStr(clsConst.Enum_LendStat_Fix1.Receiving) AndAlso Not IsDateEx(wRecOne.OTHER1_RECEIPT_DT) Then
						AddErrMsgTable(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, CONST_TABINDEX, "E0016", "他１受領日", "", lRowCnt, lCnt, fbase, "他１受領日")
					End If
					'TK_貸出物情報.他２管理状況コード, TK_貸出物情報.他２受領日, TM_貸出物管理状況マスタ.固定コード１
					If wRecOne.OTHER2_FIXED_CD1 = CStr(clsConst.Enum_LendStat_Fix1.Receiving) AndAlso Not IsDateEx(wRecOne.OTHER2_RECEIPT_DT) Then
						AddErrMsgTable(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, CONST_TABINDEX, "E0016", "他２受領日", "", lRowCnt, lCnt, fbase, "他２受領日")
					End If
					'TK_貸出物情報.他３管理状況コード, TK_貸出物情報.他３受領日, TM_貸出物管理状況マスタ.固定コード１
					If wRecOne.OTHER3_FIXED_CD1 = CStr(clsConst.Enum_LendStat_Fix1.Receiving) AndAlso Not IsDateEx(wRecOne.OTHER3_RECEIPT_DT) Then
						AddErrMsgTable(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, CONST_TABINDEX, "E0016", "他３受領日", "", lRowCnt, lCnt, fbase, "他３受領日")
					End If
					lRetErrCnt(1) = lCnt
				Else
					lRetErrCnt(1) = Nothing
				End If
			Next
		Catch ex As Exception
			Throw
		Finally
			lRowCnt = Nothing
			lCnt = Nothing
		End Try
		Return lRetErrCnt
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 医療費情報チェック処理
	''' </summary>
	''' <param name="aryTable">配列型レコードセット</param>
	''' <param name="fbase">BaseForm</param>
	''' <param name="rChkBOX">チェックボックス配列</param>
	''' <returns>成否</returns>
	''' <remarks>
	''' 2010/11/01 新規作成 NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function chkMedCostInfo(ByVal aryTable As ArrayList, ByRef fbase As MEN000F010, _
	  Optional ByRef rErrAllCnt As Integer = 0, Optional ByVal rChkBOX() As Windows.Forms.CheckBox = Nothing) As ArrayList
		Const CONST_TABINDEX As Long = 14
		Dim arMedCostItem As ArrayList = Nothing					'医療費項目マスタ
		Dim datHspMedCost As datMTI_MED_COST_OneRec = Nothing		'入院単位の医療費情報
		Dim cliMEMCOMMON As clsMENCOMMON
		Dim intTotalMedCost As Integer
		Dim lRecArray As ArrayList = Nothing
		Dim lRetErrCnt As ArrayList
		Dim lRowCnt As Integer = 0
		Dim lCnt As Integer = 0
		Try
			lRetErrCnt = New ArrayList
			cliMEMCOMMON = New clsMENCOMMON
			For lCnt = 0 To 0
				lRetErrCnt.Add(0)
			Next
			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData), cliMedCost As clsMTI_MED_COST = New clsMTI_MED_COST, cliMedCostItemMst As clsMTM_MED_COST_ITM = New clsMTM_MED_COST_ITM
				' 医療費項目マスタを取得する
				arMedCostItem = cliMedCostItemMst.getMedCostItmInfo(db)
				For Each wRecOne As MEN.datMedCostInfo In aryTable
					lRowCnt = lRowCnt + 1
					' 必須チェック
					If rChkBOX Is Nothing OrElse rChkBOX(0).Checked = True Then
						lCnt = lRetErrCnt(0)
						' 入退院単位の医療費情報を取得する
						datHspMedCost = cliMedCost.getMedCostOneRec(db, wRecOne.PATIENT_NO, wRecOne.HSP_HISTORY_NO, 0)
						' 入退院単位の医療費合計を取得する
						intTotalMedCost = 0
						cliMEMCOMMON.getTotalMedCostFromMedCostRec(datHspMedCost, arMedCostItem, intTotalMedCost)
						If wRecOne.TOTAL_MED_COST <> intTotalMedCost Then
							AddErrMsgTable(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, CONST_TABINDEX, "E0032", "医療費合計", "", lRowCnt, lCnt, fbase, "医療費情報の合計と入退院歴医療費合計が")
						End If
						lRetErrCnt(0) = lCnt
					Else
						lRetErrCnt(0) = Nothing
					End If
				Next
			End Using
		Catch ex As Exception
			Throw
		Finally
			lRowCnt = Nothing
			lCnt = Nothing
			arMedCostItem = Nothing
			datHspMedCost = Nothing
			cliMEMCOMMON = Nothing
			intTotalMedCost = Nothing
			lRecArray = Nothing
		End Try
		Return lRetErrCnt
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 医療費情報(科歴）チェック処理
	''' </summary>
	''' <param name="aryTable">配列型レコードセット</param>
	''' <param name="fbase">BaseForm</param>
	''' <param name="rChkBOX">チェックボックス配列</param>
	''' <returns>成否</returns>
	''' <remarks>
	''' 2010/11/01 新規作成 NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function chkMedCostChInfo(ByVal aryTable As ArrayList, ByRef fbase As MEN000F010, _
	  Optional ByRef rErrAllCnt As Integer = 0, Optional ByVal rChkBOX() As Windows.Forms.CheckBox = Nothing) As ArrayList
		Const CONST_TABINDEX As Long = 14
		Dim arChMedCost As ArrayList = Nothing						'診療科単位の医療費情報
		Dim arMedCostItem As ArrayList = Nothing					'医療費項目マスタ
		Dim datHspMedCost As datMTI_MED_COST_OneRec = Nothing		'入院単位の医療費情報
		Dim cliMEMCOMMON As clsMENCOMMON
		Dim intTotalMedCost As Integer
		Dim lRecArray As ArrayList = Nothing
		Dim lRetErrCnt As ArrayList
		Dim lRowCnt As Integer = 0
		Dim lCnt As Integer = 0
		Try
			lRetErrCnt = New ArrayList
			For lCnt = 0 To 0
				lRetErrCnt.Add(0)
			Next
			cliMEMCOMMON = New clsMENCOMMON
			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData), cliMedCost As clsMTI_MED_COST = New clsMTI_MED_COST, cliMedCostItemMst As clsMTM_MED_COST_ITM = New clsMTM_MED_COST_ITM
				' 医療費項目マスタを取得する
				arMedCostItem = cliMedCostItemMst.getMedCostItmInfo(db)
				For Each wRecOne As MEN.datMedCostInfo In aryTable
					lRowCnt = lRowCnt + 1
					' 必須チェック
					If rChkBOX Is Nothing OrElse rChkBOX(0).Checked = True Then
						lCnt = lRetErrCnt(0)
						' １科歴分の医療費情報を取得する
						datHspMedCost = cliMedCost.getMedCostOneRec(db, wRecOne.PATIENT_NO, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO)
						' 科歴単位の医療費合計を取得する
						intTotalMedCost = 0
						cliMEMCOMMON.getTotalMedCostFromMedCostRec(datHspMedCost, arMedCostItem, intTotalMedCost)
						If wRecOne.TOTAL_MED_COST <> intTotalMedCost Then
							AddErrMsgTable(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, CONST_TABINDEX, "E0032", "医療費合計", "", lRowCnt, lCnt, fbase, "医療費情報の合計と科歴医療費合計が")
						End If
						lRetErrCnt(0) = lCnt
					Else
						lRetErrCnt(0) = Nothing
					End If
				Next
			End Using
		Catch ex As Exception
			Throw
		Finally
			arChMedCost = Nothing
			arMedCostItem = Nothing
			datHspMedCost = Nothing
			cliMEMCOMMON = Nothing
			intTotalMedCost = Nothing
			lRecArray = Nothing
			lRowCnt = Nothing
			lCnt = Nothing
		End Try
		Return lRetErrCnt
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' クリニカルパス情報チェック処理
	''' </summary>
	''' <param name="aryTable">配列型レコードセット</param>
	''' <param name="fbase">BaseForm</param>
	''' <param name="rErrAllCnt">ＡＬＬエラー件数</param>
	''' <param name="rChkBOX">チェックボックス配列</param>
	''' <returns>エラー件数配列</returns>
	''' <remarks>
	''' 2010/11/01 新規作成 NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function chkPathInfo(ByVal aryTable As ArrayList, ByRef fbase As MEN000F010, _
	  Optional ByRef rErrAllCnt As Integer = 0, Optional ByVal rChkBOX() As Windows.Forms.CheckBox = Nothing) As ArrayList
		Const CONST_TABINDEX As Long = 15
		Dim lstDate As DateTime = Nothing
		Dim ledDate As DateTime = Nothing
		Dim lAgeAry As ArrayList = Nothing
		Dim lRetErrCnt As ArrayList
		Dim lRowCnt As Integer = 0
		Dim lCnt As Integer = 0
		Try
			lRetErrCnt = New ArrayList
			For lCnt = 0 To 3
				lRetErrCnt.Add(0)
			Next
			For Each wRecOne As MEN.datMtiPathInfo In aryTable
				lRowCnt = lRowCnt + 1	' 行カウントＵＰ
				' 必須チェック
				If rChkBOX Is Nothing OrElse rChkBOX(0).Checked = True Then
					lCnt = lRetErrCnt(0)
					If String.IsNullOrEmpty(wRecOne.PATH_CD) Then
						AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, wRecOne.PATH_SERIAL_NO, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.PATH_CD, "パスコード", "E0001")
					End If
					lRetErrCnt(0) = lCnt
				Else
					lRetErrCnt(0) = Nothing
				End If
				'マスタに存在しないコードが使われているもの（チェック処理画面のみ）
				If rChkBOX IsNot Nothing AndAlso rChkBOX(1).Checked = True Then
					lCnt = lRetErrCnt(1)
					'パスコード
					If String.IsNullOrEmpty(wRecOne.PATH_CD) = False AndAlso String.IsNullOrEmpty(wRecOne.PATH_NM) Then
						AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, wRecOne.PATH_SERIAL_NO, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.PATH_CD, "パスコード", "E0015", "マスタにパスコード", Nothing)
					End If
					'指示医
					If String.IsNullOrEmpty(wRecOne.DOCTOR_CD) = False AndAlso String.IsNullOrEmpty(wRecOne.STAFF_NM) Then
						AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, wRecOne.PATH_SERIAL_NO, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.DOCTOR_CD, "指示医コード", "E0015", "マスタに指示医コード", Nothing)
					End If
					'バリアンス有無
					If String.IsNullOrEmpty(wRecOne.CHK_CD) = False AndAlso String.IsNullOrEmpty(wRecOne.VARIANCE_CHK_NM) Then
						AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, wRecOne.PATH_SERIAL_NO, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.CHK_CD, "有無コード", "E0015", "マスタに有無コード", Nothing)
					End If
					'種類
					If String.IsNullOrEmpty(wRecOne.TYPE_CD) = False AndAlso String.IsNullOrEmpty(wRecOne.VARIANCE_TYPE_NM) Then
						AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, wRecOne.PATH_SERIAL_NO, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.TYPE_CD, "種類コード", "E0015", "マスタに種類コード", Nothing)
					End If
					'理由１
					If String.IsNullOrEmpty(wRecOne.REASON1_CD) = False AndAlso String.IsNullOrEmpty(wRecOne.REASON1_NM) Then
						AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, wRecOne.PATH_SERIAL_NO, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.REASON1_CD, "理由１コード", "E0015", "マスタに理由１コード", Nothing)
					End If
					'理由２
					If String.IsNullOrEmpty(wRecOne.REASON2_CD) = False AndAlso String.IsNullOrEmpty(wRecOne.REASON2_NM) Then
						AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, wRecOne.PATH_SERIAL_NO, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.REASON2_CD, "理由２コード", "E0015", "マスタに理由２コード", Nothing)
					End If
					'理由３
					If String.IsNullOrEmpty(wRecOne.REASON3_CD) = False AndAlso String.IsNullOrEmpty(wRecOne.REASON3_NM) Then
						AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, wRecOne.PATH_SERIAL_NO, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.REASON3_CD, "理由３コード", "E0015", "マスタに理由３コード", Nothing)
					End If
					'理由４
					If String.IsNullOrEmpty(wRecOne.REASON4_CD) = False AndAlso String.IsNullOrEmpty(wRecOne.REASON4_NM) Then
						AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, wRecOne.PATH_SERIAL_NO, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.REASON4_CD, "理由４コード", "E0015", "マスタに理由４コード", Nothing)
					End If
					lRetErrCnt(1) = lCnt
				Else
					lRetErrCnt(1) = Nothing
				End If
				'日付チェック
				If rChkBOX Is Nothing OrElse rChkBOX(2).Checked = True Then
					lCnt = lRetErrCnt(2)
					Select Case clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00084)
						Case CStr(clsConst.Enum_PathIndication.StartEnd)	':開始日～終了日 
							'「TI_パス情報．開始日」が「TI_科歴情報．開始日」の２日以上前の場合、エラーとする。
							If IsDateEx(wRecOne.PATH_START_DT) AndAlso IsDateEx(wRecOne.CH_START_DT) Then
								If wRecOne.PATH_START_DT.Value < wRecOne.CH_START_DT.Value.AddDays(-1) Then
									AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, wRecOne.PATH_SERIAL_NO, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.PATH_START_DT, "適用開始日", "E0031", "適用開始日", "科開始日より過去になっているか、適用終了日が科終了日より未来", Nothing)
								End If
							End If
							'「TI_パス情報．開始日」が「TI_科歴情報．終了日」の翌日以降の場合、エラーとする。
							If IsDateEx(wRecOne.PATH_START_DT) AndAlso IsDateEx(wRecOne.CH_END_DT) Then
								If wRecOne.PATH_START_DT.Value > wRecOne.CH_END_DT.Value Then
									AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, wRecOne.PATH_SERIAL_NO, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.PATH_START_DT, "適用開始日", "E0031", "適用開始日", "科終了日より未来", Nothing)
								End If
							End If
							'「TI_パス情報．終了日」が「TI_科歴情報．開始日」の前日以前の場合、エラーとする。
							If IsDateEx(wRecOne.PATH_END_DT) AndAlso IsDateEx(wRecOne.CH_START_DT) Then
								If wRecOne.PATH_END_DT.Value < wRecOne.CH_START_DT.Value Then
									AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, wRecOne.PATH_SERIAL_NO, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.PATH_END_DT, "適用終了日", "E0031", "適用終了日", "科開始日より過去", Nothing)
								End If
							End If
							'「TI_パス情報．終了日」が「TI_科歴情報．終了日」の翌日以降の場合、エラーとする。
							If IsDateEx(wRecOne.PATH_END_DT) AndAlso IsDateEx(wRecOne.CH_END_DT) Then
								If wRecOne.PATH_END_DT.Value > wRecOne.CH_END_DT.Value Then
									AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, wRecOne.PATH_SERIAL_NO, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.PATH_END_DT, "適用終了日", "E0031", "適用終了日", "科開始日より過去になっているか、適用終了日が科終了日より未来", Nothing)
								End If
							End If
						Case CStr(clsConst.Enum_PathIndication.HspOut)	':入院日～退院日
							'「TI_パス情報．開始日」が「入院日」の２日以上前の場合、エラーとする。
							If IsDateEx(wRecOne.PATH_START_DT) AndAlso IsDateEx(wRecOne.HSP_DT) Then
								If wRecOne.PATH_START_DT.Value < wRecOne.HSP_DT.Value.AddDays(-1) Then
									AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, wRecOne.PATH_SERIAL_NO, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.PATH_START_DT, "適用開始日", "E0031", "適用開始日", "入院日より過去になっているか、適用終了日が退院日より未来", Nothing)
								End If
							End If
							'「TI_パス情報．開始日」が「退院日」の翌日以降の場合、エラーとする。
							If IsDateEx(wRecOne.PATH_START_DT) AndAlso IsDateEx(wRecOne.OUT_HSP_DT) Then
								If wRecOne.PATH_START_DT.Value > wRecOne.OUT_HSP_DT.Value Then
									AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, wRecOne.PATH_SERIAL_NO, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.PATH_START_DT, "適用開始日", "E0031", "適用開始日", "退院日より未来", Nothing)
								End If
							End If
							'「TI_パス情報．終了日」が「入院日」の前日以前の場合、エラーとする。
							If IsDateEx(wRecOne.PATH_END_DT) AndAlso IsDateEx(wRecOne.HSP_DT) Then
								If wRecOne.PATH_END_DT.Value < wRecOne.HSP_DT.Value Then
									AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, wRecOne.PATH_SERIAL_NO, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.PATH_END_DT, "適用終了日", "E0031", "適用終了日", "入院日より過去", Nothing)
								End If
							End If
							'「TI_パス情報．終了日」が「退院日」の翌日以降の場合、エラーとする。
							If IsDateEx(wRecOne.PATH_END_DT) AndAlso IsDateEx(wRecOne.OUT_HSP_DT) Then
								If wRecOne.PATH_END_DT.Value > wRecOne.OUT_HSP_DT.Value Then
									AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, wRecOne.PATH_SERIAL_NO, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.PATH_END_DT, "適用終了日", "E0031", "適用終了日", "入院日より過去になっているか、適用終了日が退院日より未来", Nothing)
								End If
							End If
						Case Else
					End Select
					'「TI_パス情報．開始日」が「TI_パス情報．終了日」より後の場合、エラーとする。
					If IsDateEx(wRecOne.PATH_START_DT) AndAlso IsDateEx(wRecOne.PATH_END_DT) Then
						If Date.Compare(wRecOne.PATH_START_DT.Value, wRecOne.PATH_END_DT.Value) > 0 Then
							AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, wRecOne.PATH_SERIAL_NO, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.PATH_START_DT, "適用開始日", "E0006", "適用開始日と適用終了日", Nothing)
						End If
					End If
					'「TI_パス情報．バリアンス日」が「TI_パス情報．開始日」～「TI_パス情報．終了日」の範囲外の場合エラーとする
					If IsDateEx(wRecOne.VARIANCE_DAY) Then
						Select Case True
							Case IsDateEx(wRecOne.PATH_START_DT) AndAlso IsDateEx(wRecOne.PATH_END_DT)
								If wRecOne.VARIANCE_DAY.Value < wRecOne.PATH_START_DT.Value OrElse wRecOne.VARIANCE_DAY.Value > wRecOne.PATH_END_DT.Value Then
									AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, wRecOne.PATH_SERIAL_NO, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.VARIANCE_DAY, "バリアンス日", "E0022", "バリアンス日が適用開始日から適用終了日の", Nothing)
								End If
							Case IsDateEx(wRecOne.PATH_START_DT) = False
								If wRecOne.VARIANCE_DAY.Value > wRecOne.PATH_END_DT.Value Then
									AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, wRecOne.PATH_SERIAL_NO, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.VARIANCE_DAY, "バリアンス日", "E0022", "バリアンス日が適用開始日から適用終了日の", Nothing)
								End If
							Case IsDateEx(wRecOne.PATH_END_DT) = False
								If wRecOne.VARIANCE_DAY.Value < wRecOne.PATH_START_DT.Value Then
									AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, wRecOne.PATH_SERIAL_NO, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.VARIANCE_DAY, "バリアンス日", "E0022", "バリアンス日が適用開始日から適用終了日の", Nothing)
								End If
							Case Else
								'チェックなし
						End Select
					End If
					lRetErrCnt(2) = lCnt
				Else
					lRetErrCnt(2) = Nothing
				End If
				' 理由重複チェック
				If rChkBOX Is Nothing OrElse rChkBOX(3).Checked = True Then
					lCnt = lRetErrCnt(3)
					If String.IsNullOrEmpty(wRecOne.REASON1_CD) = False AndAlso String.IsNullOrEmpty(wRecOne.REASON2_CD) = False Then
						If wRecOne.REASON1_CD = wRecOne.REASON2_CD Then
							AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, wRecOne.PATH_SERIAL_NO, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.REASON2_CD, "理由２", "E0012", "理由１に設定", Nothing)
						End If
					End If
					If String.IsNullOrEmpty(wRecOne.REASON1_CD) = False AndAlso String.IsNullOrEmpty(wRecOne.REASON3_CD) = False Then
						If wRecOne.REASON1_CD = wRecOne.REASON3_CD Then
							AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, wRecOne.PATH_SERIAL_NO, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.REASON3_CD, "理由３", "E0012", "理由１に設定", Nothing)
						End If
					End If
					If String.IsNullOrEmpty(wRecOne.REASON1_CD) = False AndAlso String.IsNullOrEmpty(wRecOne.REASON4_CD) = False Then
						If wRecOne.REASON1_CD = wRecOne.REASON4_CD Then
							AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, wRecOne.PATH_SERIAL_NO, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.REASON4_CD, "理由４", "E0012", "理由１に設定", Nothing)
						End If
					End If
					If String.IsNullOrEmpty(wRecOne.REASON2_CD) = False AndAlso String.IsNullOrEmpty(wRecOne.REASON3_CD) = False Then
						If wRecOne.REASON2_CD = wRecOne.REASON3_CD Then
							AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, wRecOne.PATH_SERIAL_NO, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.REASON3_CD, "理由３", "E0012", "理由２に設定", Nothing)
						End If
					End If
					If String.IsNullOrEmpty(wRecOne.REASON2_CD) = False AndAlso String.IsNullOrEmpty(wRecOne.REASON4_CD) = False Then
						If wRecOne.REASON2_CD = wRecOne.REASON4_CD Then
							AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, wRecOne.PATH_SERIAL_NO, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.REASON4_CD, "理由４", "E0012", "理由２に設定", Nothing)
						End If
					End If
					If String.IsNullOrEmpty(wRecOne.REASON3_CD) = False AndAlso String.IsNullOrEmpty(wRecOne.REASON4_CD) = False Then
						If wRecOne.REASON3_CD = wRecOne.REASON4_CD Then
							AddErrMsgTable2(rErrAllCnt, wRecOne.HSP_HISTORY_NO, wRecOne.CH_NO, wRecOne.PATH_SERIAL_NO, lRowCnt, lCnt, fbase, CONST_TABINDEX, Enum_Control_ID.REASON4_CD, "理由４", "E0012", "理由３に設定", Nothing)
						End If
					End If
					lRetErrCnt(3) = lCnt
				Else
					lRetErrCnt(3) = Nothing
				End If
			Next
		Catch ex As Exception
			Throw
		Finally
			lstDate = Nothing
			ledDate = Nothing
			lAgeAry = Nothing
			lRowCnt = Nothing
			lCnt = Nothing
		End Try
		Return lRetErrCnt
	End Function

#End Region

#Region "共通メソッド"

	''' ---------------------------------------------
	''' <summary>
	''' エラーテーブルを返す
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2010/11/01 新規作成 NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function getErrTable() As DataTable
		Try
			Return _dtErrMsg
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' エラーデータテーブルのクリア処理
	''' </summary>
	''' <remarks>
	''' 2010/12/28 新規作成 NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Sub clearErrTable()
		Try
			_dtErrMsg.Clear()
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' Nullable日付の判定
	''' </summary>
	''' <param name="dt"></param>
	''' <returns></returns>
	''' <remarks>
	''' 2011/01/14 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function IsDateEx(ByVal dt As Nullable(Of Date)) As Boolean
		Try
			If Not dt.HasValue OrElse dt.Value.Equals(Nothing) Then
				Return False
			Else
				Return True
			End If
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 日時取得
	''' </summary>
	''' <param name="dt"></param>
	''' <returns></returns>
	''' <remarks>
	''' 2011/01/14 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function getDateTime(ByVal dt As Object) As Nullable(Of Date)
		Try
			Return getDateTime(dt, Nothing)
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 日時取得
	''' </summary>
	''' <param name="dt"></param>
	''' <returns></returns>
	''' <remarks>
	''' 2011/01/14 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function getDateTime(ByVal dt As Object, ByVal tm As Object) As Nullable(Of Date)
		Dim wDt As Date = Nothing
		Dim wTm As TimeSpan = Nothing
		Try
			Select Case False
				Case IsDate(dt) AndAlso Date.TryParse(dt.ToString, wDt)
					Return Nothing
				Case IsDate(tm) AndAlso TimeSpan.TryParse(tm.ToString, wTm)
					Return wDt
				Case Else
					Return wDt.Add(wTm)
			End Select
		Catch ex As Exception
			Throw
		End Try
	End Function

#End Region

End Class
