﻿Imports XCM
Imports XSP

'''---------------------------------------------
''' <summary>
''' 受領・貸出処理＿ＳＱＬパラメータクラス
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
'''---------------------------------------------
Public NotInheritable Class clsDBparam
	Public ParameterName As String
	Public ItemType As clsDB.Enum_dbType
	Public ItemValue As String

	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <param name="ParamName">パラメータ名</param>
	''' <param name="IType">タイプ</param>
	''' <param name="Value">値</param>
	''' <remarks>
	''' 2010/11/05 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Sub New(ByVal ParamName As String, ByVal IType As clsDB.Enum_dbType, ByVal Value As String)
		ParameterName = ParamName
		ItemType = IType
		ItemValue = Value
	End Sub
End Class

'''---------------------------------------------
''' <summary>
''' 受領・貸出処理＿サマリ検索データクラス
''' </summary>
'''---------------------------------------------
Public NotInheritable Class clsSummaryOnly
	Public strPatient_No As String = Nothing
	Public iHsp_History_No As Integer = Nothing
	Public iCh_No As Integer = Nothing

	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <param name="Patient_No"></param>
	''' <param name="Hsp_History_No"></param>
	''' <param name="Ch_No"></param>
	''' <remarks>
	''' 2010/11/26 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Sub New(ByVal Patient_No As String, ByVal Hsp_History_No As Integer, ByVal Ch_No As Integer)
		strPatient_No = Patient_No
		iHsp_History_No = Hsp_History_No
		iCh_No = Ch_No
	End Sub

End Class

'''---------------------------------------------
''' <summary>
''' 受領・貸出処理＿監査検索データクラス
''' </summary>
'''---------------------------------------------
Public NotInheritable Class clsInspect
	Public strPatient_No As String = Nothing
	Public iHsp_History_No As Integer = Nothing
	Public iCh_No As Integer = Nothing
	Public strLendItem_Cd As String = Nothing

	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <param name="Patient_No"></param>
	''' <param name="Hsp_History_No"></param>
	''' <param name="Ch_No"></param>
	''' <param name="LendItem_Cd"></param>
	''' <remarks>
	''' 2010/11/26 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Sub New(ByVal Patient_No As String, ByVal Hsp_History_No As Integer, ByVal Ch_No As Integer, ByVal LendItem_Cd As String)
		strPatient_No = Patient_No
		iHsp_History_No = Hsp_History_No
		iCh_No = Ch_No
		strLendItem_Cd = LendItem_Cd
	End Sub

End Class

'''---------------------------------------------
''' <summary>
''' 受領・貸出処理＿受領ヘッダデータクラス
''' </summary>
'''---------------------------------------------
Public NotInheritable Class datReceiptHeader
	Public LENDITEM_CD1 As String = Nothing								'カルテ貸出物コード
	Public LENDITEM_NM1 As String = Nothing								'カルテ貸出物
	Public RECORD_COUNT As String = Nothing								'カルテ数
	Public RECORD_RECEIPT_DT As String = Nothing						'カルテ受領日
	Public RECORD_RECIPIENT_CD As String = Nothing						'カルテ受領者コード
	Public RECORD_RECIPIENT_NM As String = Nothing						'カルテ受領者
	Public RECORD_KEEPLCT_CD As String = Nothing						'カルテ保管場所コード
	Public RECORD_KEEPLCT_NM As String = Nothing						'カルテ保管場所
	Public RECORD_KEEPLCT_RNM As String = Nothing						'カルテ保管場所略称名
	Public RECORD_ARG_STATUS_CD As String = Nothing						'カルテ整理状況コード
	Public RECORD_ARG_STATUS_NM As String = Nothing						'カルテ整理状況
	Public RECORD_ARG_STATUS_RNM As String = Nothing					'カルテ整理状況略称名
	Public RECORD_MNGSTATUS_CD As String = Nothing						'カルテ管理状況コード
	Public RECORD_MNGSTATUS_NM As String = Nothing						'カルテ管理状況
	Public RECORD_MNGSTATUS_RNM As String = Nothing						'カルテ管理状況略称名

	Public LENDITEM_CD2 As String = Nothing								'サマリ貸出物コード
	Public LENDITEM_NM2 As String = Nothing								'サマリ貸出物
	Public SUMMARY_COUNT As String = Nothing							'サマリ数
	Public SUMMARY_RECEIPT_DT As String = Nothing						'サマリ受領日
	Public SUMMARY_KEEPLCT_CD As String = Nothing						'サマリ保管場所コード
	Public SUMMARY_KEEPLCT_NM As String = Nothing						'サマリ保管場所
	Public SUMMARY_KEEPLCT_RNM As String = Nothing						'サマリ保管場所略称名
	Public SUMMARY_MNGSTATUS_CD As String = Nothing						'サマリ管理状況コード
	Public SUMMARY_MNGSTATUS_NM As String = Nothing						'サマリ管理状況
	Public SUMMARY_MNGSTATUS_RNM As String = Nothing					'サマリ管理状況略称名
	Public SUMMARY_MAKER_CD As String = Nothing							'サマリ作成者コード
	Public SUMMARY_MAKER_NM As String = Nothing							'サマリ作成者
	Public SUMMARY_APPROVAL_DT As String = Nothing						'サマリ承認日

	Public LENDITEM_CD3 As String = Nothing								'他１貸出物コード
	Public LENDITEM_NM3 As String = Nothing								'他１貸出物
	Public OTHER1_COUNT As String = Nothing								'他１数
	Public OTHER1_RECEIPT_DT As String = Nothing						'他１受領日
	Public OTHER1_KEEPLCT_CD As String = Nothing						'他１保管場所コード
	Public OTHER1_KEEPLCT_NM As String = Nothing						'他１保管場所
	Public OTHER1_KEEPLCT_RNM As String = Nothing						'他１保管場所略称名
	Public OTHER1_MNGSTATUS_CD As String = Nothing						'他１管理状況コード
	Public OTHER1_MNGSTATUS_NM As String = Nothing						'他１管理状況
	Public OTHER1_MNGSTATUS_RNM As String = Nothing						'他１管理状況略称名

	Public LENDITEM_CD4 As String = Nothing								'他２貸出物コード
	Public LENDITEM_NM4 As String = Nothing								'他２貸出物
	Public OTHER2_COUNT As String = Nothing								'他２数
	Public OTHER2_RECEIPT_DT As String = Nothing						'他２受領日
	Public OTHER2_KEEPLCT_CD As String = Nothing						'他２保管場所コード
	Public OTHER2_KEEPLCT_NM As String = Nothing						'他２保管場所
	Public OTHER2_KEEPLCT_RNM As String = Nothing						'他２保管場所略称名
	Public OTHER2_MNGSTATUS_CD As String = Nothing						'他２管理状況コード
	Public OTHER2_MNGSTATUS_NM As String = Nothing						'他２管理状況
	Public OTHER2_MNGSTATUS_RNM As String = Nothing						'他２管理状況略称名

	Public LENDITEM_CD5 As String = Nothing								'他３貸出物コード
	Public LENDITEM_NM5 As String = Nothing								'他３貸出物
	Public OTHER3_COUNT As String = Nothing								'他３数
	Public OTHER3_RECEIPT_DT As String = Nothing						'他３受領日
	Public OTHER3_KEEPLCT_CD As String = Nothing						'他３保管場所コード
	Public OTHER3_KEEPLCT_NM As String = Nothing						'他３保管場所
	Public OTHER3_KEEPLCT_RNM As String = Nothing						'他３保管場所略称名
	Public OTHER3_MNGSTATUS_CD As String = Nothing						'他３管理状況コード
	Public OTHER3_MNGSTATUS_NM As String = Nothing						'他３管理状況
	Public OTHER3_MNGSTATUS_RNM As String = Nothing						'他３管理状況略称名

	Public DATA_COUNT As Integer = Nothing								'データ件数

	Public PREMISES As Integer = Nothing								'頭書き識別コード
	Public TITLE As String = Nothing									'タイトル
	Public DPM_NM As String = Nothing									'部署名
	Public BYOREKI_NO_TITLE As String = Nothing							'病歴番号タイトル
End Class

'''---------------------------------------------
''' <summary>
''' 受領・貸出処理＿貸出ヘッダデータクラス
''' </summary>
'''---------------------------------------------
Public NotInheritable Class datLendHeader
	Public SLIP_CD As String = Nothing									'伝票コード
	Public LENDAIM_CD As String = Nothing								'貸出目的コード
	Public LENDAIM_NM As String = Nothing								'貸出目的
	Public LENDAIM_RNM As String = Nothing								'貸出目的略称名
	Public LCT_CD As String = Nothing									'所在場所コード
	Public LCT_NM As String = Nothing									'所在場所
	Public LCT_RNM As String = Nothing									'所在場所略称名
	Public ISSUE_DT As String = Nothing									'貸出日
	Public EXPECTBACK_DT As String = Nothing							'返却予定日
	Public BORROWER_DIV As String = Nothing								'借用者部門コード
	Public BORROWER_DIV_NM As String = Nothing							'借用者部門
	Public BORROWER_CD As String = Nothing								'借用者コード
	Public BORROWER_NM As String = Nothing								'借用者名
	Public TAKER_DIV As String = Nothing								'帯出者部門コード
	Public TAKER_DIV_NM As String = Nothing								'帯出者部門
	Public TAKER_CD As String = Nothing									'帯出者コード
	Public TAKER_NM As String = Nothing									'帯出者名
	Public LENDCLERK_CD As String = Nothing								'貸出取扱者コード
	Public LENDCLERK_NM As String = Nothing								'貸出取扱者
	Public REMARKS As String = Nothing									'備考

	Public DATA_COUNT As Integer = Nothing								'データ件数

	Public PREMISES As Integer = Nothing								'頭書き識別コード
	Public TITLE As String = Nothing									'タイトル
	Public DPM_NM As String = Nothing									'部署名
	Public BYOREKI_NO_TITLE As String = Nothing							'病歴番号タイトル
'(A) STR V4-11044-000 003 20110909 FJSK)荒川 XXX号 病歴大将V4PKG問題点No20 貸出準備機能の追加対応
	Public STATUS As String = Nothing									'状況（貸出時は貸出不可理由）
'(A) END V4-11044-000 003 20110909
End Class

'''---------------------------------------------
''' <summary>
''' 受領・貸出処理＿返却ヘッダデータクラス
''' </summary>
'''---------------------------------------------
Public NotInheritable Class datBackHeader
	Public BACK_DT As String = Nothing									'返却日
	Public BACKCLERK_CD As String = Nothing								'返却取扱者コード
	Public BACKCLERK_NM As String = Nothing								'返却取扱者

	Public DATA_COUNT As Integer = Nothing								'データ件数

	Public PREMISES As Integer = Nothing								'頭書き識別コード
	Public TITLE As String = Nothing									'タイトル
	Public DPM_NM As String = Nothing									'部署名
	Public BYOREKI_NO_TITLE As String = Nothing							'病歴番号タイトル
End Class
'''---------------------------------------------
''' <summary>
''' 受領・貸出処理＿ＳＱＬクラス
''' </summary>
'''---------------------------------------------
Public NotInheritable Class sqlMLN010F010
	' 項目名
	Public Const itmSELECTED As String = "SELECTED"							'選択
	Public Const itmSLIP_CD As String = "SLIP_CD"							'伝票コード
	Public Const itmPATIENT_NM As String = "PATIENT_NM"						'氏名
	Public Const itmCNT As String = "CNT"									'数
	Public Const itmLENDITEM_RNM As String = "LENDITEM_RNM"					'貸出物略称名
	Public Const itmMNGSTATUS_CD As String = "MNGSTATUS_CD"					'管理状況コード
	Public Const itmMNGSTATUS1_RNM As String = "MNGSTATUS1_RNM"				'略称名１
	Public Const itmKEEPLCT_CD As String = "KEEPLCT_CD"						'保管場所コード
	Public Const itmKEEPLCT_RNM As String = "KEEPLCT_RNM"					'保管場所略称名
	Public Const itmLENDAIM_CD As String = "LENDAIM_CD"						'貸出目的コード
	Public Const itmLENDAIM_RNM As String = "LENDAIM_RNM"					'貸出目的略称名
	Public Const itmEXPECTBACK_DT As String = "EXPECTBACK_DT"				'返却予定日
	Public Const itmAUDIT As String = "AUDIT"								'監査
	Public Const itmFINISH As String = "FINISH"								'完了
	Public Const itmINSPECT_FINISHING_DT As String = "INSPECT_FINISHING_DT"	'監査完了日
	Public Const itmRECORD_MNGSTATUS_CD As String = "RECORD_MNGSTATUS_CD"	'カルテ管理状況
	Public Const itmRECORD_MNGSTATUS_RNM As String = "RECORD_MNGSTATUS_RNM"	'カルテ管理状況
	Public Const itmSUMMARY_MNGSTATUS_CD As String = "SUMMARY_MNGSTATUS_CD"	'サマリ管理状況
	Public Const itmSUMMARY_MNGSTATUS_RNM As String = "SUMMARY_MNGSTATUS_RNM"	'サマリ管理状況
	Public Const itmRECORD_ARG_STATUS_CD As String = "RECORD_ARG_STATUS_CD"	'カルテ整理状況
	Public Const itmRECORD_ARG_STATUS_RNM As String = "RECORD_ARG_STATUS_RNM"	'カルテ整理状況
	Public Const itmUPDATED As String = "UPDATED"							'更新フラグ
	Public Const itmLENDCAP As String = "LENDCAP"							'貸出可能フラグ
	Public Const itmARG_STATUS_CD As String = "ARG_STATUS_CD"				'整理状況
	Public Const itmARG_STATUS_RNM As String = "ARG_STATUS_RNM"				'整理状況

	Public Const itmPATIENT_NO As String = "PATIENT_NO"						'患者番号
	Public Const itmHSP_HISTORY_NO As String = "HSP_HISTORY_NO"				'入退院歴番号
	Public Const itmCH_NO As String = "CH_NO"								'科歴番号
	Public Const itmLENDITEM_CD As String = "LENDITEM_CD"					'貸出物コード
	Public Const itmLENDSERIAL_NO As String = "LENDSERIAL_NO"				'貸出連番

	Public Const itmHISTORY_NO As String = "HISTORY_NO"						'歴番
	Public Const itmDEPT_CD As String = "DEPT_CD"							'診療科コード
	Public Const itmDEPT_RNM As String = "DEPT_RNM"							'診療科略称名
	Public Const itmSTART_DT As String = "START_DT"							'開始日
	Public Const itmEND_DT As String = "END_DT"								'終了日
	Public Const itmDOCTOR_CD As String = "DOCTOR_CD"						'医師コード
	Public Const itmDOCTOR_NM As String = "DOCTOR_NM"						'医師名
	Public Const itmWARD_CD As String = "WARD_CD"							'病棟コード
	Public Const itmMAIN_DPM_FLG As String = "MAIN_DPM_FLG"					'主科フラグ
	Public Const itmBYOREKI_NO As String = "BYOREKI_NO"						'病歴番号

	Public Const itmSTAFF_CD As String = "STAFF_CD"							'職員コード
	Public Const itmSTAFFDIV_CD As String = "STAFFDIV_CD"					'職員部門コード

	Public Const itmISSUE_DT As String = "ISSUE_DT"							'貸出日
	Public Const itmLCT_CD As String = "LCT_CD"								'所在場所コード
	Public Const itmBORROWER_CD As String = "BORROWER_CD"					'借用者コード
	Public Const itmBORROWER_NM As String = "BORROWER_NM"					'借用者名
	Public Const itmBORROWER_DIV As String = "BORROWER_DIV"					'借用者部門コード
	Public Const itmTAKER_CD As String = "TAKER_CD"							'帯出者コード
	Public Const itmTAKER_NM As String = "TAKER_NM"							'帯出者名
	Public Const itmTAKER_DIV As String = "TAKER_DIV"						'帯出者部門コード
	Public Const itmREMARKS As String = "REMARKS"							'備考
	Public Const itmLENDCLERK_CD As String = "LENDCLERK_CD"					'貸出取扱者コード
	Public Const itmLENDCLERK_NM As String = "LENDCLERK_NM"					'貸出取扱者

'(A) STR V4-11044-000 014 20110909 FJSK)荒川 XXX号 病歴大将V4PKG問題点No20 貸出準備機能の追加対応
	Public Const itmPRE_ISSUE_DT As String = "PRE_ISSUE_DT"					'貸出日
	Public Const itmPRE_LENDAIM_CD As String = "PRE_LENDAIM_CD"				'貸出目的コード
	Public Const itmPRE_EXPECTBACK_DT As String = "PRE_EXPECTBACK_DT"		'返却予定日
	Public Const itmPRE_LCT_CD As String = "PRE_LCT_CD"						'所在場所コード
	Public Const itmPRE_BORROWER_CD As String = "PRE_BORROWER_CD"			'借用者コード
	Public Const itmPRE_BORROWER_NM As String = "PRE_BORROWER_NM"			'借用者名
	Public Const itmPRE_BORROWER_DIV As String = "PRE_BORROWER_DIV"			'借用者部門コード
	Public Const itmPRE_TAKER_CD As String = "PRE_TAKER_CD"					'帯出者コード
	Public Const itmPRE_TAKER_NM As String = "PRE_TAKER_NM"					'帯出者名
	Public Const itmPRE_TAKER_DIV As String = "PRE_TAKER_DIV"				'帯出者部門コード
	Public Const itmPRE_REMARKS As String = "PRE_REMARKS"					'備考
	Public Const itmPRE_LENDCLERK_CD As String = "PRE_LENDCLERK_CD"			'貸出取扱者コード
'(A) END V4-11044-000 014 20110909
	Public Const itmSEARCH_NO As String = "SEARCH_NO"						'検索番号

	' 帳票用（データ）
	Public Const itmPATIENT_KNM As String = "PATIENT_KNM"					'カナ氏名
	Public Const itmBACK_DT As String = "BACK_DT"							'返却日
	Public Const itmMAKER_CD As String = "MAKER_CD"							'作成者コード
	Public Const itmMAKER_NM As String = "MAKER_NM"							'作成者
	Public Const itmRECIPIENT_CD As String = "RECIPIENT_CD"					'受領者コード
	Public Const itmRECIPIENT_NM As String = "RECIPIENT_NM"					'受領者
	Public Const itmRECEIPT_DT As String = "RECEIPT_DT"						'受領日
	Public Const itmDEPT_DSPORDER As String = "DEPT_DSPORDER"				'診療科表示順
	Public Const itmDEPT_NM As String = "DEPT_NM"							'診療科名
	Public Const itmLENDITEM_NM As String = "LENDITEM_NM"					'貸出物
	Public Const itmMNGSTATUS_NM As String = "MNGSTATUS_NM"					'管理状況
	Public Const itmMNGSTATUS_DSPORDER As String = "MNGSTATUS_DSPORDER"		'管理状況表示順
'(A) STR V4-11044-000 004 20110909 FJSK)荒川 XXX号 病歴大将V4PKG問題点No20 貸出準備機能の追加対応
	Public Const itmFIXED_CD1 As String = "FIXED_CD1"						'固定コード1
	Public Const itmFIXED_CD2 As String = "FIXED_CD2"						'固定コード2
'(A) END V4-11044-000 004 20110909
	Public Const itmLCT_NM As String = "LCT_NM"								'所在場所
	Public Const itmLCT_RNM As String = "LCT_RNM"							'所在場所略称名
	Public Const itmLCT_DSPORDER As String = "LCT_DSPORDER"					'貸出場所表示順
	Public Const itmARG_STATUS_NM As String = "ARG_STATUS_NM"				'整理状況
	Public Const itmARG_STATUS_DSPORDER As String = "ARG_STATUS_DSPORDER"	'整理状況表示順
	Public Const itmKEEPLCT_NM As String = "KEEPLCT_NM"						'保管場所
	Public Const itmKEEPLCT_DSPORDER As String = "KEEPLCT_DSPORDER"			'保管場所表示順
	Public Const itmLENDAIM_NM As String = "LENDAIM_NM"						'貸出目的
	Public Const itmLENDAIM_DSPORDER As String = "LENDAIM_DSPORDER"			'貸出目的表示順
	Public Const itmOUT_HSP_CNL_DSPORDER As String = "OUT_HSP_CNL_DSPORDER"	'終了経路表示順
	Public Const itmOUT_HSP_CNL_NM As String = "OUT_HSP_CNL_NM"				'退院経路
	Public Const itmOUT_HSP_CNL_RNM As String = "OUT_HSP_CNL_RNM"			'退院経路略称名
	Public Const itmOUT_HSP_OUTCOME_DSPORDER As String = "OUT_HSP_OUTCOME_DSPORDER"	'終了転帰表示順
	Public Const itmOUT_HSP_OUTCOME_NM As String = "OUT_HSP_OUTCOME_NM"		'退院転帰
	Public Const itmOUT_HSP_OUTCOME_RNM As String = "OUT_HSP_OUTCOME_RNM"	'退院転帰略称名
	Public Const itmHSP_CNL_DSPORDER As String = "HSP_CNL_DSPORDER"			'開始経路表示順
	Public Const itmHSP_CNL_NM As String = "HSP_CNL_NM"						'入院経路
	Public Const itmHSP_CNL_RNM As String = "HSP_CNL_RNM"					'入院経路略称名
	Public Const itmWARD_DSPORDER As String = "WARD_DSPORDER"				'病棟表示順
	Public Const itmWARD_NM As String = "WARD_NM"							'病棟名
	Public Const itmWARD_RNM As String = "WARD_RNM"							'病棟略称名
	Public Const itmDOCTOR_DSPORDER As String = "DOCTOR_DSPORDER"			'医師表示順
	Public Const itmMAKER_DSPORDER As String = "MAKER_DSPORDER"				'作成者表示順
	Public Const itmBORROWER_DSPORDER As String = "BORROWER_DSPORDER"		'借用者表示順
	Public Const itmBORROWERDIV_NM As String = "BORROWERDIV_NM"				'借用者部門
	Public Const itmBORROWERDIV_RNM As String = "BORROWERDIV_RNM"			'借用者部門略称名
	Public Const itmRECIPIENT_DSPORDER As String = "RECIPIENT_DSPORDER"		'受領者表示順
	Public Const itmLENDCLERK_DSPORDER As String = "LENDCLERK_DSPORDER"		'貸出取扱者表示順
	Public Const itmBORROWERDIV_DSPORDER As String = "BORROWERDIV_DSPORDER"	'借用者部門表示順
	Public Const itmTAKER_DIV_NM As String = "TAKERDIV_NM"					'帯出者部門
	Public Const itmTAKER_DSPORDER As String = "TAKER_DSPORDER"				'帯出者表示順
	'Public Const itmLENDCLERKDIV_NM As String = "LENDCLERKDIV_NM"			'貸出取扱者
	Public Const itmGENDER_NM As String = "GENDER_NM"						'性別名称
	Public Const itmSTART_CNL_CD As String = "START_CNL_CD"					'開始経路コード
	Public Const itmHSP_DAYS As String = "HSP_DAYS"							'在院日数
	Public Const itmEND_CNL_CD As String = "END_CNL_CD"						'終了経路コード
	Public Const itmEND_OUTCOME_CD As String = "END_OUTCOME_CD"				'終了転帰コード
'(A) STR V4-11044-000 003 20110909 FJSK)荒川 XXX号 病歴大将V4PKG問題点No20 貸出準備機能の追加対応
	Public Const itmNOTLENDBARIANCE As String = "NOTLENDBARIANCE"			'貸し出せなかった時の管理状況
'(A) END V4-11044-000 003 20110909

	Public Const itmSTAFF_NM As String = "STAFF_NM"							'職員名
	Public Const itmSTAFF_KNM As String = "STAFF_KNM"						'職員名カナ
	Public Const itmERR_FLG As String = "ERR_FLG"							'エラーフラグ
	Public Const itmDSPORDER As String = "DSPORDER"							'表示順
	Public Const itmSTAFFDIV_NM As String = "STAFFDIV_NM"					'職員部門
	Public Const itmSTAFFDIV_RNM As String = "STAFFDIV_RNM"					'職員部門略称名
	Public Const itmUNIT_CD As String = "UNIT_CD"							'単位

	Public Const itmOUT_HSP_CNL_CD As String = "OUT_HSP_CNL_CD"				'退院経路コード
	Public Const itmOUT_HSP_OUTCOME_CD As String = "OUT_HSP_OUTCOME_CD"		'退院転帰コード
	Public Const itmHSP_CNL_CD As String = "HSP_CNL_CD"						'入院経路コード
	Public Const itmGENDER_CD As String = "GENDER_CD"						'性別コード

	Public Const itmSUMMARY_MNGSTATUS1_RNM As String = "SUMMARY_MNGSTATUS1_RNM"		'サマリ管理状況略称名
	Public Const itmSUMMARY_MAKER_CD As String = "SUMMARY_MAKER_CD"					'サマリ作成者コード
	Public Const itmSUMMARY_MAKER_NM As String = "SUMMARY_MAKER_NM"					'サマリ作成者
	Public Const itmSUMMARY_MNGSTATUS_CD_1 As String = "SUMMARY_MNGSTATUS_CD_1"		'サマリ管理状況コード１
	Public Const itmSUMMARY_MNGSTATUS1_RNM_1 As String = "SUMMARY_MNGSTATUS1_RNM_1"	'サマリ管理状況略称名１
	Public Const itmSUMMARY_MAKER_CD_1 As String = "SUMMARY_MAKER_CD_1"				'サマリ作成者コード１
	Public Const itmSUMMARY_MAKER_NM_1 As String = "SUMMARY_MAKER_NM_1"				'サマリ作成者１
	Public Const itmSUMMARY_MNGSTATUS_CD_2 As String = "SUMMARY_MNGSTATUS_CD_2"		'サマリ管理状況コード２
	Public Const itmSUMMARY_MNGSTATUS1_RNM_2 As String = "SUMMARY_MNGSTATUS1_RNM_2"	'サマリ管理状況略称名２
	Public Const itmSUMMARY_MAKER_CD_2 As String = "SUMMARY_MAKER_CD_2"				'サマリ作成者コード２
	Public Const itmSUMMARY_MAKER_NM_2 As String = "SUMMARY_MAKER_NM_2"				'サマリ作成者２
	Public Const itmSUMMARY_MNGSTATUS_CD_3 As String = "SUMMARY_MNGSTATUS_CD_3"		'サマリ管理状況コード３
	Public Const itmSUMMARY_MNGSTATUS1_RNM_3 As String = "SUMMARY_MNGSTATUS1_RNM_3"	'サマリ管理状況略称名３
	Public Const itmSUMMARY_MAKER_CD_3 As String = "SUMMARY_MAKER_CD_3"				'サマリ作成者コード３
	Public Const itmSUMMARY_MAKER_NM_3 As String = "SUMMARY_MAKER_NM_3"				'サマリ作成者３
	Public Const itmSUMMARY_MNGSTATUS_CD_4 As String = "SUMMARY_MNGSTATUS_CD_4"		'サマリ管理状況コード４
	Public Const itmSUMMARY_MNGSTATUS1_RNM_4 As String = "SUMMARY_MNGSTATUS1_RNM_4"	'サマリ管理状況略称名４
	Public Const itmSUMMARY_MAKER_CD_4 As String = "SUMMARY_MAKER_CD_4"				'サマリ作成者コード４
	Public Const itmSUMMARY_MAKER_NM_4 As String = "SUMMARY_MAKER_NM_4"				'サマリ作成者４
	Public Const itmSUMMARY_MNGSTATUS_CD_5 As String = "SUMMARY_MNGSTATUS_CD_5"		'サマリ管理状況コード５
	Public Const itmSUMMARY_MNGSTATUS1_RNM_5 As String = "SUMMARY_MNGSTATUS1_RNM_5"	'サマリ管理状況略称名５
	Public Const itmSUMMARY_MAKER_CD_5 As String = "SUMMARY_MAKER_CD_5"				'サマリ作成者コード５
	Public Const itmSUMMARY_MAKER_NM_5 As String = "SUMMARY_MAKER_NM_5"				'サマリ作成者５

	' パラメータ
	Public Const prmSELECTED As String = "@SELECTED"						'選択
	Public Const prmSEARCH_SEQ As String = "@SEARCH_SEQ"					'検索順
	Public Const prmCHK_LENDITEM_CD1 As String = "@CHK_LENDITEM_CD1"		'チェック貸出物コード１
	Public Const prmCHK_LENDITEM_CD2 As String = "@CHK_LENDITEM_CD2"		'チェック貸出物コード２
	Public Const prmCHK_LENDITEM_CD3 As String = "@CHK_LENDITEM_CD3"		'チェック貸出物コード３
	Public Const prmCHK_LENDITEM_CD4 As String = "@CHK_LENDITEM_CD4"		'チェック貸出物コード４
	Public Const prmCHK_LENDITEM_CD5 As String = "@CHK_LENDITEM_CD5"		'チェック貸出物コード５
	Public Const prmLENDITEM_CD As String = "@LENDITEM_CD"					'貸出物コード
	Public Const prmLENDITEM_CD1 As String = "@LENDITEM_CD1"				'貸出物コード１
	Public Const prmLENDITEM_CD2 As String = "@LENDITEM_CD2"				'貸出物コード２
	Public Const prmLENDITEM_CD3 As String = "@LENDITEM_CD3"				'貸出物コード３
	Public Const prmLENDITEM_CD4 As String = "@LENDITEM_CD4"				'貸出物コード４
	Public Const prmLENDITEM_CD5 As String = "@LENDITEM_CD5"				'貸出物コード５
	Public Const prmDEPT_CD As String = "@DEPT_CD"							'診療科コード
	Public Const prmDATE_FROM As String = "@DATE_FROM"						'日付FROM
	Public Const prmDATE_TO As String = "@DATE_TO"							'日付TO
	Public Const prmPATIENT_NO As String = "@PATIENT_NO"					'患者番号
'(A) STR V4-11044-000 004 20110909 FJSK)荒川 XXX号 病歴大将V4PKG問題点No20 貸出準備機能の追加対応
	Public Const prmRSLIP_CD As String = "@RSLIP_CD"						'伝票番号
	Public Const prmBARCODE As String = "@BARCODE"							 'バーコード
'(A) END V4-11044-000 004 20110909
	Public Const prmHSP_HISTORY_NO As String = "@HSP_HISTORY_NO"			'入退院歴番号
	Public Const prmCH_NO As String = "@CH_NO"								'科歴番号
	Public Const prmBYOREKI_NO As String = "@BYOREKI_NO"					'病歴番号
	Public Const prmSLIP_CD As String = "@SLIP_CD"							'伝票コード

	Public Const prmUSER_CD As String = "@USER_CD"							'ユーザコード
	Public Const prmSEARCH_NO As String = "@SEARCH_NO"						'検索番号
	Public Const prmFINISHING_FLG As String = "@FINISHING_FLG"				'完了フラグ

	Public Const prmFIXED_CD2 As String = "@FIXED_CD2"						'固定コード２
	Public Const prmCHECKBOX_ON As String = "@CHECKBOX_ON"					'チェックボックスON値

	Public Const prmHOST_NM As String = "@HOST_NM"							'ホスト名
	Public Const prmPRT_ID_1 As String = "@PRT_ID_1"						'帳票ＩＤ１
	Public Const prmPRT_ID_2 As String = "@PRT_ID_2"						'帳票ＩＤ２
	Public Const prmPRT_ID_3 As String = "@PRT_ID_3"						'帳票ＩＤ３

	Public Const prmCHECKBOX_FLG_ON As String = "@CHECKBOX_FLG_ON"				'チェックボックスフラグＯＮ

	Public Const C_FINISH_STR As String = "○"								'完了
	Public Const C_NOTFINISH_STR As String = "×"							'未完了

	' 職員情報取得
	Public Const sqlSelStaffInfo As String = _
	"SELECT" _
	& "  STF.STAFF_CD," _
	& "  STF.STAFF_NM," _
	& "  STF.NONDSP_FLG," _
	& "  STF.DSPORDER," _
	& "  STD.STAFFDIV_CD," _
	& "  STD.STAFFDIV_NM," _
	& "  STD.STAFFDIV_RNM," _
	& "  STD.NONDSP_FLG," _
	& "  STD.DSPORDER," _
	& "  STO.FIXED_CD1" _
	& " FROM XTM_STAFF STF" _
	& " LEFT JOIN XTM_STAFFDIV STD" _
	& "  ON STF.STAFFDIV_CD = STD.STAFFDIV_CD" _
	& " LEFT JOIN XTM_STAFFOPK STO" _
	& "  ON STF.STAFFOPK_CD = STO.STAFFOPK_CD"

	' ■受領■
	' （受領）検索処理
'(M) STR V4-11044-000 130 20110909 FJSK)荒川 XXX号 病歴大将V4PKG問題点No20 貸出準備機能の追加対応
'	Public Const sqlSelReceipt As String = _
'	"SELECT" _
'	& "  " & prmSELECTED & " AS SELECTED," _
'	& "  LI.PATIENT_NO," _
'	& "  '' AS SLIP_CD," _
'	& "  CONVERT(varchar, LI.HSP_HISTORY_NO) + ' - ' + CONVERT(varchar, LI.CH_NO) AS HISTORY_NO," _
'	& "  LI.BYOREKI_NO," _
'	& "  BI.PATIENT_NM," _
'	& "  LI.DEPT_CD," _
'	& "  DEP.DEPT_RNM," _
'	& "  LI.START_DT," _
'	& "  LI.END_DT," _
'	& "  LI.DOCTOR_CD," _
'	& "  STF.STAFF_NM AS DOCTOR_NM," _
'	& "  LI.WARD_CD," _
'	& "  LI.MAIN_DPM_FLG," _
'	& "  LI.CNT," _
'	& "  LI.LENDITEM_CD," _
'	& "  LIM.LENDITEM_RNM," _
'	& "  '' AS LENDAIM_CD," _
'	& "  '' AS LENDAIM_RNM," _
'	& "  '' AS EXPECTBACK_DT," _
'	& "  LI.MNGSTATUS_CD," _
'	& "  LIMS.MNGSTATUS1_RNM," _
'	& "  LI.KEEPLCT_CD," _
'	& "  LIKL.KEEPLCT_RNM," _
'	& "  '' AS AUDIT," _
'	& "  '' AS FINISH," _
'	& "  '' AS INSPECT_FINISHING_DT," _
'	& "  '' AS RECORD_MNGSTATUS_CD," _
'	& "  '' AS RECORD_MNGSTATUS_RNM," _
'	& "  '' AS RECORD_ARG_STATUS_CD," _
'	& "  '' AS RECORD_ARG_STATUS_RNM," _
'	& "  '' AS SUMMARY_MNGSTATUS_CD," _
'	& "  '' AS SUMMARY_MNGSTATUS_RNM," _
'	& "  " & prmSEARCH_SEQ & " AS SEARCH_NO," _
'	& "  0 AS LENDSERIAL_NO," _
'	& "  0 AS UPDATED," _
'	& "  LI.HSP_HISTORY_NO," _
'	& "  LI.CH_NO," _
'	& "  '' AS ISSUE_DT," _
'	& "  '' AS LCT_CD," _
'	& "  '' AS BORROWER_DIV," _
'	& "  '' AS BORROWER_CD," _
'	& "  '' AS BORROWER_NM," _
'	& "  '' AS TAKER_DIV," _
'	& "  '' AS TAKER_CD," _
'	& "  '' AS TAKER_NM," _
'	& "  '' AS LENDCLERK_CD," _
'	& "  '' AS REMARKS," _
'	& "  BI.PATIENT_KNM," _
'	& "  BI.GENDER_CD," _
'	& "  0 AS LENDCAP" _
'	& " FROM" _
'	& " ("
'(M) STR V4-12051-000 141 2013/01/23 ID)荒川 病歴大将V4PKG 管理No.32 ソート条件名称からコードに修正
'	Public Const sqlSelReceipt As String = _
'	"SELECT" _
'	& "  " & prmSELECTED & " AS SELECTED," _
'	& "  LI.PATIENT_NO," _
'	& "  '' AS SLIP_CD," _
'	& "  CONVERT(varchar, LI.HSP_HISTORY_NO) + ' - ' + CONVERT(varchar, LI.CH_NO) AS HISTORY_NO," _
'	& "  LI.BYOREKI_NO," _
'	& "  BI.PATIENT_NM," _
'	& "  LI.DEPT_CD," _
'	& "  DEP.DEPT_RNM," _
'	& "  LI.START_DT," _
'	& "  LI.END_DT," _
'	& "  LI.DOCTOR_CD," _
'	& "  STF.STAFF_NM AS DOCTOR_NM," _
'	& "  LI.WARD_CD," _
'	& "  LI.MAIN_DPM_FLG," _
'	& "  LI.CNT," _
'	& "  LI.LENDITEM_CD," _
'	& "  LIM.LENDITEM_RNM," _
'	& "  LI.BARCODE," _
'	& "  '' AS LENDAIM_CD," _
'	& "  '' AS LENDAIM_RNM," _
'	& "  '' AS EXPECTBACK_DT," _
'	& "  LI.MNGSTATUS_CD," _
'	& "  LIMS.MNGSTATUS1_RNM," _
'	& "  LI.KEEPLCT_CD," _
'	& "  LIKL.KEEPLCT_RNM," _
'	& "  '' AS AUDIT," _
'	& "  '' AS FINISH," _
'	& "  '' AS INSPECT_FINISHING_DT," _
'	& "  '' AS RECORD_MNGSTATUS_CD," _
'	& "  '' AS RECORD_MNGSTATUS_RNM," _
'	& "  '' AS RECORD_ARG_STATUS_CD," _
'	& "  '' AS RECORD_ARG_STATUS_RNM," _
'	& "  '' AS SUMMARY_MNGSTATUS_CD," _
'	& "  '' AS SUMMARY_MNGSTATUS_RNM," _
'	& "  " & prmSEARCH_SEQ & " AS SEARCH_NO," _
'	& "  0 AS LENDSERIAL_NO," _
'	& "  0 AS UPDATED," _
'	& "  LI.HSP_HISTORY_NO," _
'	& "  LI.CH_NO," _
'	& "  '' AS ISSUE_DT," _
'	& "  '' AS LCT_CD," _
'	& "  '' AS BORROWER_DIV," _
'	& "  '' AS BORROWER_CD," _
'	& "  '' AS BORROWER_NM," _
'	& "  '' AS TAKER_DIV," _
'	& "  '' AS TAKER_CD," _
'	& "  '' AS TAKER_NM," _
'	& "  '' AS LENDCLERK_CD," _
'	& "  '' AS REMARKS," _
'	& "  BI.PATIENT_KNM," _
'	& "  BI.GENDER_CD," _
'	& "  0 AS LENDCAP," _
'	& "  '' AS NOTLENDBARIANCE," _
'	& "  '' AS PRE_LENDAIM_CD," _
'	& "  '' AS PRE_ISSUE_DT," _
'	& "  '' AS PRE_BORROWER_CD," _
'	& "  '' AS PRE_BORROWER_NM," _
'	& "  '' AS PRE_BORROWER_DIV," _
'	& "  '' AS PRE_LCT_CD," _
'	& "  '' AS PRE_EXPECTBACK_DT," _
'	& "  '' AS PRE_TAKER_CD," _
'	& "  '' AS PRE_TAKER_NM," _
'	& "  '' AS PRE_TAKER_DIV," _
'	& "  '' AS PRE_LENDCLERK_CD," _
'	& "  '' AS PRE_REMARKS" _
'	& " FROM" _
'	& " ("
	Public Const sqlSelReceipt As String = _
	"SELECT" _
	& "  " & prmSELECTED & " AS SELECTED," _
	& "  LI.PATIENT_NO," _
	& "  '' AS SLIP_CD," _
	& "  CONVERT(varchar, LI.HSP_HISTORY_NO) + ' - ' + CONVERT(varchar, LI.CH_NO) AS HISTORY_NO," _
	& "  LI.BYOREKI_NO," _
	& "  BI.PATIENT_NM," _
	& "  LI.DEPT_CD," _
	& "  DEP.DEPT_RNM," _
	& "  LI.START_DT," _
	& "  LI.END_DT," _
	& "  LI.DOCTOR_CD," _
	& "  STF.STAFF_NM AS DOCTOR_NM," _
	& "  STF.DSPORDER AS DOCTOR_DSPORDER," _
	& "  LI.WARD_CD," _
	& "  LI.MAIN_DPM_FLG," _
	& "  LI.CNT," _
	& "  LI.LENDITEM_CD," _
	& "  LIM.LENDITEM_RNM," _
	& "  LI.BARCODE," _
	& "  '' AS LENDAIM_CD," _
	& "  '' AS LENDAIM_RNM," _
	& "  '' AS EXPECTBACK_DT," _
	& "  LI.MNGSTATUS_CD," _
	& "  LIMS.MNGSTATUS1_RNM," _
	& "  LI.KEEPLCT_CD," _
	& "  LIKL.KEEPLCT_RNM," _
	& "  '' AS AUDIT," _
	& "  '' AS FINISH," _
	& "  '' AS INSPECT_FINISHING_DT," _
	& "  '' AS RECORD_MNGSTATUS_CD," _
	& "  '' AS RECORD_MNGSTATUS_RNM," _
	& "  '' AS RECORD_ARG_STATUS_CD," _
	& "  '' AS RECORD_ARG_STATUS_RNM," _
	& "  '' AS SUMMARY_MNGSTATUS_CD," _
	& "  '' AS SUMMARY_MNGSTATUS_RNM," _
	& "  " & prmSEARCH_SEQ & " AS SEARCH_NO," _
	& "  0 AS LENDSERIAL_NO," _
	& "  0 AS UPDATED," _
	& "  LI.HSP_HISTORY_NO," _
	& "  LI.CH_NO," _
	& "  '' AS ISSUE_DT," _
	& "  '' AS LCT_CD," _
	& "  '' AS BORROWER_DIV," _
	& "  '' AS BORROWER_CD," _
	& "  '' AS BORROWER_NM," _
	& "  '' AS TAKER_DIV," _
	& "  '' AS TAKER_CD," _
	& "  '' AS TAKER_NM," _
	& "  '' AS LENDCLERK_CD," _
	& "  '' AS REMARKS," _
	& "  BI.PATIENT_KNM," _
	& "  BI.GENDER_CD," _
	& "  0 AS LENDCAP," _
	& "  '' AS NOTLENDBARIANCE," _
	& "  '' AS PRE_LENDAIM_CD," _
	& "  '' AS PRE_ISSUE_DT," _
	& "  '' AS PRE_BORROWER_CD," _
	& "  '' AS PRE_BORROWER_NM," _
	& "  '' AS PRE_BORROWER_DIV," _
	& "  '' AS PRE_LCT_CD," _
	& "  '' AS PRE_EXPECTBACK_DT," _
	& "  '' AS PRE_TAKER_CD," _
	& "  '' AS PRE_TAKER_NM," _
	& "  '' AS PRE_TAKER_DIV," _
	& "  '' AS PRE_LENDCLERK_CD," _
	& "  '' AS PRE_REMARKS" _
	& " FROM" _
	& " ("
'(M) END V4-12051-000 141 2013/01/23
'(M) END V4-11044-000 130 20110909

	' WHERE文（必須）
	Public Const sqlSelReceipt_WHERE_REQUIRE As String = _
	" WHERE RECEIPT_DT " & clsConst.CST_EMPTY_WHERE _
	& " AND ((" & prmCHK_LENDITEM_CD1 & " = " & prmCHECKBOX_ON & " AND LI.LENDITEM_CD = " & prmLENDITEM_CD1 & ")" _
	& " OR   (" & prmCHK_LENDITEM_CD2 & " = " & prmCHECKBOX_ON & " AND LI.LENDITEM_CD = " & prmLENDITEM_CD2 & ")" _
	& " OR   (" & prmCHK_LENDITEM_CD3 & " = " & prmCHECKBOX_ON & " AND LI.LENDITEM_CD = " & prmLENDITEM_CD3 & ")" _
	& " OR   (" & prmCHK_LENDITEM_CD4 & " = " & prmCHECKBOX_ON & " AND LI.LENDITEM_CD = " & prmLENDITEM_CD4 & ")" _
	& " OR   (" & prmCHK_LENDITEM_CD5 & " = " & prmCHECKBOX_ON & " AND LI.LENDITEM_CD = " & prmLENDITEM_CD5 & ") ) "

	' ■受領■
	' （受領）サマリのみの検索処理
'(M) STR V4-11044-000 243 20110909 FJSK)荒川 XXX号 病歴大将V4PKG問題点No20 貸出準備機能の追加対応
'	Public Const sqlSelReceiptSummaryOnly As String = _
'	"SELECT" _
'	& "  " & prmSELECTED & " AS SELECTED," _
'	& "  LI.PATIENT_NO," _
'	& "  '' AS SLIP_CD," _
'	& "  CONVERT(varchar, LI.HSP_HISTORY_NO) + ' - ' + CONVERT(varchar, LI.CH_NO) AS HISTORY_NO," _
'	& "  LI.BYOREKI_NO," _
'	& "  BI.PATIENT_NM," _
'	& "  LI.DEPT_CD," _
'	& "  DEP.DEPT_RNM," _
'	& "  LI.START_DT," _
'	& "  LI.END_DT," _
'	& "  LI.DOCTOR_CD," _
'	& "  STF.STAFF_NM AS DOCTOR_NM," _
'	& "  LI.WARD_CD," _
'	& "  LI.MAIN_DPM_FLG," _
'	& "  LI.CNT," _
'	& "  LI.LENDITEM_CD," _
'	& "  LIM.LENDITEM_RNM," _
'	& "  '' AS LENDAIM_CD," _
'	& "  '' AS LENDAIM_RNM," _
'	& "  '' AS EXPECTBACK_DT," _
'	& "  LI.MNGSTATUS_CD," _
'	& "  LIMS.MNGSTATUS1_RNM," _
'	& "  LI.KEEPLCT_CD," _
'	& "  LIKL.KEEPLCT_RNM," _
'	& "  '' AS AUDIT," _
'	& "  '' AS FINISH," _
'	& "  '' AS INSPECT_FINISHING_DT," _
'	& "  '' AS RECORD_MNGSTATUS_CD," _
'	& "  '' AS RECORD_MNGSTATUS_RNM," _
'	& "  '' AS RECORD_ARG_STATUS_CD," _
'	& "  '' AS RECORD_ARG_STATUS_RNM," _
'	& "  '' AS SUMMARY_MNGSTATUS_CD," _
'	& "  '' AS SUMMARY_MNGSTATUS_RNM," _
'	& "  " & prmSEARCH_SEQ & " AS SEARCH_NO," _
'	& "  0 AS LENDSERIAL_NO," _
'	& "  0 AS UPDATED," _
'	& "  LI.HSP_HISTORY_NO," _
'	& "  LI.CH_NO," _
'	& "  '' AS ISSUE_DT," _
'	& "  '' AS LCT_CD," _
'	& "  '' AS BORROWER_DIV," _
'	& "  '' AS BORROWER_CD," _
'	& "  '' AS BORROWER_NM," _
'	& "  '' AS TAKER_DIV," _
'	& "  '' AS TAKER_CD," _
'	& "  '' AS TAKER_NM," _
'	& "  '' AS LENDCLERK_CD," _
'	& "  '' AS REMARKS," _
'	& "  BI.PATIENT_KNM," _
'	& "  BI.GENDER_CD," _
'	& "  0 AS LENDCAP" _
'	& " FROM" _
'	& " (" _
'	& " SELECT" _
'	& "  LIS.PATIENT_NO," _
'	& "  LIS.HSP_HISTORY_NO," _
'	& "  LIS.CH_NO," _
'	& "  " & prmLENDITEM_CD2 & " AS LENDITEM_CD," _
'	& "  CASE WHEN SUMMARY_RECEIPT_DT IS NULL" _
'	& "   THEN ''" _
'	& "   ELSE CONVERT(varchar, SUMMARY_RECEIPT_DT, 111)" _
'	& "  END AS RECEIPT_DT," _
'	& "  SUMMARY_COUNT AS CNT," _
'	& "  SUMMARY_MNGSTATUS_CD AS MNGSTATUS_CD," _
'	& "  SUMMARY_KEEPLCT_CD AS KEEPLCT_CD," _
'	& "  '' AS ARG_STATUS_CD," _
'	& "  '' AS RECIPIENT_CD," _
'	& "  SUMMARY_MAKER_CD," _
'	& "  CASE WHEN SUMMARY_APPROVAL_DT IS NULL" _
'	& "   THEN ''" _
'	& "   ELSE CONVERT(varchar, SUMMARY_APPROVAL_DT, 111)" _
'	& "   END AS SUMMARY_APPROVAL_DT," _
'	& "  TR.BYOREKI_NO," _
'	& "  TR.DEPT_CD," _
'	& "  CASE WHEN TR.START_DT IS NULL" _
'	& "   THEN ''" _
'	& "   ELSE CONVERT(varchar, TR.START_DT, 111)" _
'	& "  END AS START_DT," _
'	& "  CASE WHEN TR.END_DT IS NULL" _
'	& "   THEN ''" _
'	& "   ELSE CONVERT(varchar, TR.END_DT, 111)" _
'	& "  END AS END_DT," _
'	& "  TR.DOCTOR_CD," _
'	& "  TR.WARD_CD," _
'	& "  TR.MAIN_DPM_FLG" _
'	& "  FROM MTI_LENDITM LIS" _
'	& " LEFT JOIN" _
'	& " (" _
'	& "  SELECT" _
'	& "    PATIENT_NO," _
'	& "    BYOREKI_NO," _
'	& "    DEPT_CD," _
'	& "    START_DT," _
'	& "    END_DT," _
'	& "    DOCTOR_CD," _
'	& "    WARD_CD," _
'	& "    MAIN_DPM_FLG," _
'	& "    HSP_HISTORY_NO," _
'	& "    CH_NO" _
'	& "  FROM MTI_CH" _
'	& " ) TR" _
'	& "  ON  LIS.PATIENT_NO = TR.PATIENT_NO" _
'	& "  AND LIS.HSP_HISTORY_NO = TR.HSP_HISTORY_NO" _
'	& "  AND LIS.CH_NO = TR.CH_NO" _
'	& " WHERE LIS.HSP_HISTORY_NO > 0" _
'	& "   AND LIS.CH_NO > 0" _
'	& "   AND TR.HSP_HISTORY_NO > 0" _
'	& "   AND TR.CH_NO > 0" _
'	& " ) LI"
'(M) STR V4-12051-000 255 2013/01/23 ID)荒川 病歴大将V4PKG 管理No.32 ソート条件名称からコードに修正
'	Public Const sqlSelReceiptSummaryOnly As String = _
'	"SELECT" _
'	& "  " & prmSELECTED & " AS SELECTED," _
'	& "  LI.PATIENT_NO," _
'	& "  '' AS SLIP_CD," _
'	& "  CONVERT(varchar, LI.HSP_HISTORY_NO) + ' - ' + CONVERT(varchar, LI.CH_NO) AS HISTORY_NO," _
'	& "  LI.BYOREKI_NO," _
'	& "  BI.PATIENT_NM," _
'	& "  LI.DEPT_CD," _
'	& "  DEP.DEPT_RNM," _
'	& "  LI.START_DT," _
'	& "  LI.END_DT," _
'	& "  LI.DOCTOR_CD," _
'	& "  STF.STAFF_NM AS DOCTOR_NM," _
'	& "  LI.WARD_CD," _
'	& "  LI.MAIN_DPM_FLG," _
'	& "  LI.CNT," _
'	& "  LI.LENDITEM_CD," _
'	& "  LIM.LENDITEM_RNM," _
'	& "  LI.BARCODE," _
'	& "  '' AS LENDAIM_CD," _
'	& "  '' AS LENDAIM_RNM," _
'	& "  '' AS EXPECTBACK_DT," _
'	& "  LI.MNGSTATUS_CD," _
'	& "  LIMS.MNGSTATUS1_RNM," _
'	& "  LI.KEEPLCT_CD," _
'	& "  LIKL.KEEPLCT_RNM," _
'	& "  '' AS AUDIT," _
'	& "  '' AS FINISH," _
'	& "  '' AS INSPECT_FINISHING_DT," _
'	& "  '' AS RECORD_MNGSTATUS_CD," _
'	& "  '' AS RECORD_MNGSTATUS_RNM," _
'	& "  '' AS RECORD_ARG_STATUS_CD," _
'	& "  '' AS RECORD_ARG_STATUS_RNM," _
'	& "  '' AS SUMMARY_MNGSTATUS_CD," _
'	& "  '' AS SUMMARY_MNGSTATUS_RNM," _
'	& "  " & prmSEARCH_SEQ & " AS SEARCH_NO," _
'	& "  0 AS LENDSERIAL_NO," _
'	& "  0 AS UPDATED," _
'	& "  LI.HSP_HISTORY_NO," _
'	& "  LI.CH_NO," _
'	& "  '' AS ISSUE_DT," _
'	& "  '' AS LCT_CD," _
'	& "  '' AS BORROWER_DIV," _
'	& "  '' AS BORROWER_CD," _
'	& "  '' AS BORROWER_NM," _
'	& "  '' AS TAKER_DIV," _
'	& "  '' AS TAKER_CD," _
'	& "  '' AS TAKER_NM," _
'	& "  '' AS LENDCLERK_CD," _
'	& "  '' AS REMARKS," _
'	& "  BI.PATIENT_KNM," _
'	& "  BI.GENDER_CD," _
'	& "  0 AS LENDCAP," _
'	& "  '' AS NOTLENDBARIANCE," _
'	& "  '' AS PRE_LENDAIM_CD," _
'	& "  '' AS PRE_ISSUE_DT," _
'	& "  '' AS PRE_BORROWER_CD," _
'	& "  '' AS PRE_BORROWER_NM," _
'	& "  '' AS PRE_BORROWER_DIV," _
'	& "  '' AS PRE_LCT_CD," _
'	& "  '' AS PRE_EXPECTBACK_DT," _
'	& "  '' AS PRE_TAKER_CD," _
'	& "  '' AS PRE_TAKER_NM," _
'	& "  '' AS PRE_TAKER_DIV," _
'	& "  '' AS PRE_LENDCLERK_CD," _
'	& "  '' AS PRE_REMARKS" _
'	& " FROM" _
'	& " (" _
'	& " SELECT" _
'	& "  LIS.PATIENT_NO," _
'	& "  LIS.HSP_HISTORY_NO," _
'	& "  LIS.CH_NO," _
'	& "  " & prmLENDITEM_CD2 & " AS LENDITEM_CD," _
'	& "  LIS.SUMMARY_BARCODE AS BARCODE," _
'	& "  CASE WHEN SUMMARY_RECEIPT_DT IS NULL" _
'	& "   THEN ''" _
'	& "   ELSE CONVERT(varchar, SUMMARY_RECEIPT_DT, 111)" _
'	& "  END AS RECEIPT_DT," _
'	& "  SUMMARY_COUNT AS CNT," _
'	& "  SUMMARY_MNGSTATUS_CD AS MNGSTATUS_CD," _
'	& "  SUMMARY_KEEPLCT_CD AS KEEPLCT_CD," _
'	& "  '' AS ARG_STATUS_CD," _
'	& "  '' AS RECIPIENT_CD," _
'	& "  SUMMARY_MAKER_CD," _
'	& "  CASE WHEN SUMMARY_APPROVAL_DT IS NULL" _
'	& "   THEN ''" _
'	& "   ELSE CONVERT(varchar, SUMMARY_APPROVAL_DT, 111)" _
'	& "   END AS SUMMARY_APPROVAL_DT," _
'	& "  TR.BYOREKI_NO," _
'	& "  TR.DEPT_CD," _
'	& "  CASE WHEN TR.START_DT IS NULL" _
'	& "   THEN ''" _
'	& "   ELSE CONVERT(varchar, TR.START_DT, 111)" _
'	& "  END AS START_DT," _
'	& "  CASE WHEN TR.END_DT IS NULL" _
'	& "   THEN ''" _
'	& "   ELSE CONVERT(varchar, TR.END_DT, 111)" _
'	& "  END AS END_DT," _
'	& "  TR.DOCTOR_CD," _
'	& "  TR.WARD_CD," _
'	& "  TR.MAIN_DPM_FLG" _
'	& "  FROM MTI_LENDITM LIS" _
'	& " LEFT JOIN" _
'	& " (" _
'	& "  SELECT" _
'	& "    PATIENT_NO," _
'	& "    BYOREKI_NO," _
'	& "    DEPT_CD," _
'	& "    START_DT," _
'	& "    END_DT," _
'	& "    DOCTOR_CD," _
'	& "    WARD_CD," _
'	& "    MAIN_DPM_FLG," _
'	& "    HSP_HISTORY_NO," _
'	& "    CH_NO" _
'	& "  FROM MTI_CH" _
'	& " ) TR" _
'	& "  ON  LIS.PATIENT_NO = TR.PATIENT_NO" _
'	& "  AND LIS.HSP_HISTORY_NO = TR.HSP_HISTORY_NO" _
'	& "  AND LIS.CH_NO = TR.CH_NO" _
'	& " WHERE LIS.HSP_HISTORY_NO > 0" _
'	& "   AND LIS.CH_NO > 0" _
'	& "   AND TR.HSP_HISTORY_NO > 0" _
'	& "   AND TR.CH_NO > 0" _
'	& " ) LI"
	Public Const sqlSelReceiptSummaryOnly As String = _
	"SELECT" _
	& "  " & prmSELECTED & " AS SELECTED," _
	& "  LI.PATIENT_NO," _
	& "  '' AS SLIP_CD," _
	& "  CONVERT(varchar, LI.HSP_HISTORY_NO) + ' - ' + CONVERT(varchar, LI.CH_NO) AS HISTORY_NO," _
	& "  LI.BYOREKI_NO," _
	& "  BI.PATIENT_NM," _
	& "  LI.DEPT_CD," _
	& "  DEP.DEPT_RNM," _
	& "  LI.START_DT," _
	& "  LI.END_DT," _
	& "  LI.DOCTOR_CD," _
	& "  STF.STAFF_NM AS DOCTOR_NM," _
	& "  STF.DSPORDER AS DOCTOR_DSPORDER," _
	& "  LI.WARD_CD," _
	& "  LI.MAIN_DPM_FLG," _
	& "  LI.CNT," _
	& "  LI.LENDITEM_CD," _
	& "  LIM.LENDITEM_RNM," _
	& "  LI.BARCODE," _
	& "  '' AS LENDAIM_CD," _
	& "  '' AS LENDAIM_RNM," _
	& "  '' AS EXPECTBACK_DT," _
	& "  LI.MNGSTATUS_CD," _
	& "  LIMS.MNGSTATUS1_RNM," _
	& "  LI.KEEPLCT_CD," _
	& "  LIKL.KEEPLCT_RNM," _
	& "  '' AS AUDIT," _
	& "  '' AS FINISH," _
	& "  '' AS INSPECT_FINISHING_DT," _
	& "  '' AS RECORD_MNGSTATUS_CD," _
	& "  '' AS RECORD_MNGSTATUS_RNM," _
	& "  '' AS RECORD_ARG_STATUS_CD," _
	& "  '' AS RECORD_ARG_STATUS_RNM," _
	& "  '' AS SUMMARY_MNGSTATUS_CD," _
	& "  '' AS SUMMARY_MNGSTATUS_RNM," _
	& "  " & prmSEARCH_SEQ & " AS SEARCH_NO," _
	& "  0 AS LENDSERIAL_NO," _
	& "  0 AS UPDATED," _
	& "  LI.HSP_HISTORY_NO," _
	& "  LI.CH_NO," _
	& "  '' AS ISSUE_DT," _
	& "  '' AS LCT_CD," _
	& "  '' AS BORROWER_DIV," _
	& "  '' AS BORROWER_CD," _
	& "  '' AS BORROWER_NM," _
	& "  '' AS TAKER_DIV," _
	& "  '' AS TAKER_CD," _
	& "  '' AS TAKER_NM," _
	& "  '' AS LENDCLERK_CD," _
	& "  '' AS REMARKS," _
	& "  BI.PATIENT_KNM," _
	& "  BI.GENDER_CD," _
	& "  0 AS LENDCAP," _
	& "  '' AS NOTLENDBARIANCE," _
	& "  '' AS PRE_LENDAIM_CD," _
	& "  '' AS PRE_ISSUE_DT," _
	& "  '' AS PRE_BORROWER_CD," _
	& "  '' AS PRE_BORROWER_NM," _
	& "  '' AS PRE_BORROWER_DIV," _
	& "  '' AS PRE_LCT_CD," _
	& "  '' AS PRE_EXPECTBACK_DT," _
	& "  '' AS PRE_TAKER_CD," _
	& "  '' AS PRE_TAKER_NM," _
	& "  '' AS PRE_TAKER_DIV," _
	& "  '' AS PRE_LENDCLERK_CD," _
	& "  '' AS PRE_REMARKS" _
	& " FROM" _
	& " (" _
	& " SELECT" _
	& "  LIS.PATIENT_NO," _
	& "  LIS.HSP_HISTORY_NO," _
	& "  LIS.CH_NO," _
	& "  " & prmLENDITEM_CD2 & " AS LENDITEM_CD," _
	& "  LIS.SUMMARY_BARCODE AS BARCODE," _
	& "  CASE WHEN SUMMARY_RECEIPT_DT IS NULL" _
	& "   THEN ''" _
	& "   ELSE CONVERT(varchar, SUMMARY_RECEIPT_DT, 111)" _
	& "  END AS RECEIPT_DT," _
	& "  SUMMARY_COUNT AS CNT," _
	& "  SUMMARY_MNGSTATUS_CD AS MNGSTATUS_CD," _
	& "  SUMMARY_KEEPLCT_CD AS KEEPLCT_CD," _
	& "  '' AS ARG_STATUS_CD," _
	& "  '' AS RECIPIENT_CD," _
	& "  SUMMARY_MAKER_CD," _
	& "  CASE WHEN SUMMARY_APPROVAL_DT IS NULL" _
	& "   THEN ''" _
	& "   ELSE CONVERT(varchar, SUMMARY_APPROVAL_DT, 111)" _
	& "   END AS SUMMARY_APPROVAL_DT," _
	& "  TR.BYOREKI_NO," _
	& "  TR.DEPT_CD," _
	& "  CASE WHEN TR.START_DT IS NULL" _
	& "   THEN ''" _
	& "   ELSE CONVERT(varchar, TR.START_DT, 111)" _
	& "  END AS START_DT," _
	& "  CASE WHEN TR.END_DT IS NULL" _
	& "   THEN ''" _
	& "   ELSE CONVERT(varchar, TR.END_DT, 111)" _
	& "  END AS END_DT," _
	& "  TR.DOCTOR_CD," _
	& "  TR.WARD_CD," _
	& "  TR.MAIN_DPM_FLG" _
	& "  FROM MTI_LENDITM LIS" _
	& " LEFT JOIN" _
	& " (" _
	& "  SELECT" _
	& "    PATIENT_NO," _
	& "    BYOREKI_NO," _
	& "    DEPT_CD," _
	& "    START_DT," _
	& "    END_DT," _
	& "    DOCTOR_CD," _
	& "    WARD_CD," _
	& "    MAIN_DPM_FLG," _
	& "    HSP_HISTORY_NO," _
	& "    CH_NO" _
	& "  FROM MTI_CH" _
	& " ) TR" _
	& "  ON  LIS.PATIENT_NO = TR.PATIENT_NO" _
	& "  AND LIS.HSP_HISTORY_NO = TR.HSP_HISTORY_NO" _
	& "  AND LIS.CH_NO = TR.CH_NO" _
	& " WHERE LIS.HSP_HISTORY_NO > 0" _
	& "   AND LIS.CH_NO > 0" _
	& "   AND TR.HSP_HISTORY_NO > 0" _
	& "   AND TR.CH_NO > 0" _
	& " ) LI"
'(M) END V4-12051-000 255 2013/01/23
'(M) END V4-11044-000 243 20110909

	' （受領）サマリのみの必須条件
	Public Const sqlSelReceiptSummaryOnly_Require As String = "" _
	& " WHERE RECEIPT_DT " & clsConst.CST_EMPTY_WHERE _
	& " AND LI.LENDITEM_CD = " & prmLENDITEM_CD2

	' ■貸出■
	' （貸出）検索処理
'(M) STR V4-11044-000 142 20110909 FJSK)荒川 XXX号 病歴大将V4PKG問題点No20 貸出準備機能の追加対応
'	Public Const sqlSelLend As String = _
'	"SELECT" _
'	& "  " & prmSELECTED & " AS SELECTED," _
'	& "  LI.PATIENT_NO," _
'	& "  L.SLIP_CD," _
'	& "  CONVERT(varchar, LI.HSP_HISTORY_NO) + ' - ' + CONVERT(varchar, LI.CH_NO) AS HISTORY_NO," _
'	& "  LI.BYOREKI_NO," _
'	& "  BI.PATIENT_NM," _
'	& "  LI.DEPT_CD," _
'	& "  DEP.DEPT_RNM," _
'	& "  LI.START_DT," _
'	& "  LI.END_DT," _
'	& "  LI.DOCTOR_CD," _
'	& "  STF.STAFF_NM AS DOCTOR_NM," _
'	& "  LI.WARD_CD," _
'	& "  LI.MAIN_DPM_FLG," _
'	& "  LI.CNT," _
'	& "  LI.LENDITEM_CD," _
'	& "  LIM.LENDITEM_RNM," _
'	& "  '' AS LENDAIM_CD," _
'	& "  '' AS LENDAIM_RNM," _
'	& "  '' AS EXPECTBACK_DT," _
'	& "  LI.MNGSTATUS_CD," _
'	& "  LIMS.MNGSTATUS1_RNM," _
'	& "  LI.KEEPLCT_CD," _
'	& "  LIKL.KEEPLCT_RNM," _
'	& "  '' AS AUDIT," _
'	& "  '' AS FINISH," _
'	& "  '' AS INSPECT_FINISHING_DT," _
'	& "  '' AS RECORD_MNGSTATUS_CD," _
'	& "  '' AS RECORD_MNGSTATUS_RNM," _
'	& "  LI.ARG_STATUS_CD AS RECORD_ARG_STATUS_CD," _
'	& "  '' AS RECORD_ARG_STATUS_RNM," _
'	& "  '' AS SUMMARY_MNGSTATUS_CD," _
'	& "  '' AS SUMMARY_MNGSTATUS_RNM," _
'	& "  " & prmSEARCH_SEQ & " AS SEARCH_NO," _
'	& "  L.LENDSERIAL_NO," _
'	& "  0 AS UPDATED," _
'	& "  LI.HSP_HISTORY_NO," _
'	& "  LI.CH_NO," _
'	& "  '' AS ISSUE_DT," _
'	& "  L.LCT_CD," _
'	& "  L.BORROWER_DIV," _
'	& "  L.BORROWER_CD," _
'	& "  L.BORROWER_NM," _
'	& "  L.TAKER_DIV," _
'	& "  L.TAKER_CD," _
'	& "  L.TAKER_NM," _
'	& "  L.LENDCLERK_CD," _
'	& "  L.REMARKS," _
'	& "  BI.PATIENT_KNM," _
'	& "  BI.GENDER_CD," _
'	& "  CASE WHEN LI.RECEIPT_DT " & clsConst.CST_NONEMPTY_WHERE & " AND ISNULL(LIMS.FIXED_CD2, '0') <> " & prmFIXED_CD2 & " AND L.PATIENT_NO IS NULL" _
'	& "   THEN 1" _
'	& "   ELSE 0" _
'	& "  END AS LENDCAP" _
'	& " FROM" _
'	& " ("
'(M) STR V4-12051-000 159 2013/01/23 ID)荒川 病歴大将V4PKG 管理No.32 ソート条件名称からコードに修正
'	Public Const sqlSelLend As String = _
'	"SELECT" _
'	& "  " & prmSELECTED & " AS SELECTED," _
'	& "  LI.PATIENT_NO," _
'	& "  L.SLIP_CD," _
'	& "  CONVERT(varchar, LI.HSP_HISTORY_NO) + ' - ' + CONVERT(varchar, LI.CH_NO) AS HISTORY_NO," _
'	& "  LI.BYOREKI_NO," _
'	& "  BI.PATIENT_NM," _
'	& "  LI.DEPT_CD," _
'	& "  DEP.DEPT_RNM," _
'	& "  LI.START_DT," _
'	& "  LI.END_DT," _
'	& "  LI.DOCTOR_CD," _
'	& "  STF.STAFF_NM AS DOCTOR_NM," _
'	& "  LI.WARD_CD," _
'	& "  LI.MAIN_DPM_FLG," _
'	& "  LI.CNT," _
'	& "  LI.LENDITEM_CD," _
'	& "  LIM.LENDITEM_RNM," _
'	& "  LI.BARCODE," _
'	& "  '' AS LENDAIM_CD," _
'	& "  '' AS LENDAIM_RNM," _
'	& "  '' AS EXPECTBACK_DT," _
'	& "  LI.MNGSTATUS_CD," _
'	& "  LIMS.MNGSTATUS1_RNM," _
'	& "  LI.KEEPLCT_CD," _
'	& "  LIKL.KEEPLCT_RNM," _
'	& "  '' AS AUDIT," _
'	& "  '' AS FINISH," _
'	& "  '' AS INSPECT_FINISHING_DT," _
'	& "  '' AS RECORD_MNGSTATUS_CD," _
'	& "  '' AS RECORD_MNGSTATUS_RNM," _
'	& "  LI.ARG_STATUS_CD AS RECORD_ARG_STATUS_CD," _
'	& "  '' AS RECORD_ARG_STATUS_RNM," _
'	& "  '' AS SUMMARY_MNGSTATUS_CD," _
'	& "  '' AS SUMMARY_MNGSTATUS_RNM," _
'	& "  " & prmSEARCH_SEQ & " AS SEARCH_NO," _
'	& "  L.LENDSERIAL_NO," _
'	& "  0 AS UPDATED," _
'	& "  LI.HSP_HISTORY_NO," _
'	& "  LI.CH_NO," _
'	& "  '' AS ISSUE_DT," _
'	& "  L.LCT_CD," _
'	& "  L.BORROWER_DIV," _
'	& "  L.BORROWER_CD," _
'	& "  L.BORROWER_NM," _
'	& "  L.TAKER_DIV," _
'	& "  L.TAKER_CD," _
'	& "  L.TAKER_NM," _
'	& "  L.LENDCLERK_CD," _
'	& "  L.REMARKS," _
'	& "  BI.PATIENT_KNM," _
'	& "  BI.GENDER_CD," _
'	& "  CASE WHEN LI.RECEIPT_DT " & clsConst.CST_NONEMPTY_WHERE & " AND ISNULL(LIMS.FIXED_CD2, '0') <> " & prmFIXED_CD2 & " AND L.PATIENT_NO IS NULL" _
'	& "   THEN 1" _
'	& "   ELSE 0" _
'	& "  END AS LENDCAP," _
'	& "  '' AS NOTLENDBARIANCE," _
'	& "  LP.LENDAIM_CD AS PRE_LENDAIM_CD," _
'	& "  CASE WHEN LP.ISSUE_DT IS NULL" _
'	& "   THEN ''" _
'	& "   ELSE CONVERT(varchar, LP.ISSUE_DT, 111)" _
'	& "  END AS PRE_ISSUE_DT," _
'	& "  LP.BORROWER_CD AS PRE_BORROWER_CD," _
'	& "  LP.BORROWER_NM AS PRE_BORROWER_NM," _
'	& "  LP.BORROWER_DIV AS PRE_BORROWER_DIV," _
'	& "  LP.LCT_CD AS PRE_LCT_CD," _
'	& "  CASE WHEN LP.EXPECTBACK_DT IS NULL" _
'	& "   THEN ''" _
'	& "   ELSE CONVERT(varchar, LP.EXPECTBACK_DT, 111)" _
'	& "  END AS PRE_EXPECTBACK_DT," _
'	& "  LP.TAKER_CD AS PRE_TAKER_CD," _
'	& "  LP.TAKER_NM AS PRE_TAKER_NM," _
'	& "  LP.TAKER_DIV AS PRE_TAKER_DIV," _
'	& "  LP.LENDCLERK_CD AS PRE_LENDCLERK_CD," _
'	& "  LP.REMARKS AS PRE_REMARKS" _
'	& " FROM" _
'	& " ("
	Public Const sqlSelLend As String = _
	"SELECT" _
	& "  " & prmSELECTED & " AS SELECTED," _
	& "  LI.PATIENT_NO," _
	& "  L.SLIP_CD," _
	& "  CONVERT(varchar, LI.HSP_HISTORY_NO) + ' - ' + CONVERT(varchar, LI.CH_NO) AS HISTORY_NO," _
	& "  LI.BYOREKI_NO," _
	& "  BI.PATIENT_NM," _
	& "  LI.DEPT_CD," _
	& "  DEP.DEPT_RNM," _
	& "  LI.START_DT," _
	& "  LI.END_DT," _
	& "  LI.DOCTOR_CD," _
	& "  STF.STAFF_NM AS DOCTOR_NM," _
	& "  STF.DSPORDER AS DOCTOR_DSPORDER," _
	& "  LI.WARD_CD," _
	& "  LI.MAIN_DPM_FLG," _
	& "  LI.CNT," _
	& "  LI.LENDITEM_CD," _
	& "  LIM.LENDITEM_RNM," _
	& "  LI.BARCODE," _
	& "  '' AS LENDAIM_CD," _
	& "  '' AS LENDAIM_RNM," _
	& "  '' AS EXPECTBACK_DT," _
	& "  LI.MNGSTATUS_CD," _
	& "  LIMS.MNGSTATUS1_RNM," _
	& "  LI.KEEPLCT_CD," _
	& "  LIKL.KEEPLCT_RNM," _
	& "  '' AS AUDIT," _
	& "  '' AS FINISH," _
	& "  '' AS INSPECT_FINISHING_DT," _
	& "  '' AS RECORD_MNGSTATUS_CD," _
	& "  '' AS RECORD_MNGSTATUS_RNM," _
	& "  LI.ARG_STATUS_CD AS RECORD_ARG_STATUS_CD," _
	& "  '' AS RECORD_ARG_STATUS_RNM," _
	& "  '' AS SUMMARY_MNGSTATUS_CD," _
	& "  '' AS SUMMARY_MNGSTATUS_RNM," _
	& "  " & prmSEARCH_SEQ & " AS SEARCH_NO," _
	& "  L.LENDSERIAL_NO," _
	& "  0 AS UPDATED," _
	& "  LI.HSP_HISTORY_NO," _
	& "  LI.CH_NO," _
	& "  '' AS ISSUE_DT," _
	& "  L.LCT_CD," _
	& "  L.BORROWER_DIV," _
	& "  L.BORROWER_CD," _
	& "  L.BORROWER_NM," _
	& "  L.TAKER_DIV," _
	& "  L.TAKER_CD," _
	& "  L.TAKER_NM," _
	& "  L.LENDCLERK_CD," _
	& "  L.REMARKS," _
	& "  BI.PATIENT_KNM," _
	& "  BI.GENDER_CD," _
	& "  CASE WHEN LI.RECEIPT_DT " & clsConst.CST_NONEMPTY_WHERE & " AND ISNULL(LIMS.FIXED_CD2, '0') <> " & prmFIXED_CD2 & " AND L.PATIENT_NO IS NULL" _
	& "   THEN 1" _
	& "   ELSE 0" _
	& "  END AS LENDCAP," _
	& "  '' AS NOTLENDBARIANCE," _
	& "  LP.LENDAIM_CD AS PRE_LENDAIM_CD," _
	& "  CASE WHEN LP.ISSUE_DT IS NULL" _
	& "   THEN ''" _
	& "   ELSE CONVERT(varchar, LP.ISSUE_DT, 111)" _
	& "  END AS PRE_ISSUE_DT," _
	& "  LP.BORROWER_CD AS PRE_BORROWER_CD," _
	& "  LP.BORROWER_NM AS PRE_BORROWER_NM," _
	& "  LP.BORROWER_DIV AS PRE_BORROWER_DIV," _
	& "  LP.LCT_CD AS PRE_LCT_CD," _
	& "  CASE WHEN LP.EXPECTBACK_DT IS NULL" _
	& "   THEN ''" _
	& "   ELSE CONVERT(varchar, LP.EXPECTBACK_DT, 111)" _
	& "  END AS PRE_EXPECTBACK_DT," _
	& "  LP.TAKER_CD AS PRE_TAKER_CD," _
	& "  LP.TAKER_NM AS PRE_TAKER_NM," _
	& "  LP.TAKER_DIV AS PRE_TAKER_DIV," _
	& "  LP.LENDCLERK_CD AS PRE_LENDCLERK_CD," _
	& "  LP.REMARKS AS PRE_REMARKS" _
	& " FROM" _
	& " ("
'(M) END V4-12051-000 159 2013/01/23
'(M) END V4-11044-000 142 20110909

	' 貸出情報（貸出）
	Public Const sqlSelMTI_Lend As String = "" _
	& " LEFT JOIN MTI_LEND L" _
	& "  ON  LI.PATIENT_NO = L.PATIENT_NO" _
	& "  AND LI.HSP_HISTORY_NO = L.HSP_HISTORY_NO" _
	& "  AND LI.CH_NO = L.CH_NO" _
	& "  AND LI.LENDITEM_CD = L.LENDITEM_CD" _
	& "  AND ISNULL(L.ISSUE_DT, '') " & clsConst.CST_NONEMPTY_WHERE _
	& "  AND ISNULL(L.BACK_DT, '') " & clsConst.CST_EMPTY_WHERE

'(A) STR V4-11044-000 013 20110909 FJSK)荒川 XXX号 病歴大将V4PKG問題点No20 貸出準備機能の追加対応
	' 貸出準備情報（貸出）
	Public Const sqlSelMTI_LendPrepare As String = "" _
	& " LEFT JOIN (" _
	& " SELECT PATIENT_NO,HSP_HISTORY_NO,CH_NO,LENDITEM_CD," _
	& "        SLIP_CD,LENDAIM_CD,ISSUE_DT,BORROWER_CD,BORROWER_NM,BORROWER_DIV," _
	& "        LCT_CD,EXPECTBACK_DT,TAKER_CD,TAKER_NM,TAKER_DIV,LENDCLERK_CD,REMARKS FROM MTI_LENDPREPARE WHERE ISNULL(" & prmRSLIP_CD & ",'')<>'' AND SLIP_CD=" & prmRSLIP_CD _
	& " ) LP" _
	& "  ON  LI.PATIENT_NO = LP.PATIENT_NO" _
	& "  AND LI.HSP_HISTORY_NO = LP.HSP_HISTORY_NO" _
	& "  AND LI.CH_NO = LP.CH_NO" _
	& "  AND LI.LENDITEM_CD = LP.LENDITEM_CD"
'(A) END V4-11044-000 013 20110909

	' 貸出WHERE文（必須）
	Public Const sqlSelLend_WHERE_REQUIRE As String = _
	" WHERE " _
	& "     ((" & prmCHK_LENDITEM_CD1 & " = " & prmCHECKBOX_ON & " AND LI.LENDITEM_CD = " & prmLENDITEM_CD1 & ")" _
	& " OR   (" & prmCHK_LENDITEM_CD2 & " = " & prmCHECKBOX_ON & " AND LI.LENDITEM_CD = " & prmLENDITEM_CD2 & ")" _
	& " OR   (" & prmCHK_LENDITEM_CD3 & " = " & prmCHECKBOX_ON & " AND LI.LENDITEM_CD = " & prmLENDITEM_CD3 & ")" _
	& " OR   (" & prmCHK_LENDITEM_CD4 & " = " & prmCHECKBOX_ON & " AND LI.LENDITEM_CD = " & prmLENDITEM_CD4 & ")" _
	& " OR   (" & prmCHK_LENDITEM_CD5 & " = " & prmCHECKBOX_ON & " AND LI.LENDITEM_CD = " & prmLENDITEM_CD5 & ") ) "

	' 貸出WHERE文（貸出可能）
	Public Const sqlSelLend_Lendable As String = "" _
	& " AND RECEIPT_DT " & clsConst.CST_NONEMPTY_WHERE _
	& " AND ISNULL(LIMS.FIXED_CD2, '0') <> " & prmFIXED_CD2 _
	& " AND L.PATIENT_NO IS NULL"

	' ■返却■
	' （返却）検索処理
'(M) STR V4-11044-000 141 20110909 FJSK)荒川 XXX号 病歴大将V4PKG問題点No20 貸出準備機能の追加対応
'	Public Const sqlSelBack As String = _
'	"SELECT" _
'	& "  " & prmSELECTED & " AS SELECTED," _
'	& "  LI.PATIENT_NO," _
'	& "  L.SLIP_CD," _
'	& "  CONVERT(varchar, LI.HSP_HISTORY_NO) + ' - ' + CONVERT(varchar, LI.CH_NO) AS HISTORY_NO," _
'	& "  LI.BYOREKI_NO," _
'	& "  BI.PATIENT_NM," _
'	& "  LI.DEPT_CD," _
'	& "  DEP.DEPT_RNM," _
'	& "  '' AS START_DT," _
'	& "  LI.END_DT," _
'	& "  LI.DOCTOR_CD," _
'	& "  STF.STAFF_NM AS DOCTOR_NM," _
'	& "  LI.WARD_CD," _
'	& "  LI.MAIN_DPM_FLG," _
'	& "  LI.CNT," _
'	& "  LI.LENDITEM_CD," _
'	& "  LIM.LENDITEM_RNM," _
'	& "  L.LENDAIM_CD," _
'	& "  LA.LENDAIM_RNM," _
'	& "  CASE WHEN L.EXPECTBACK_DT IS NULL" _
'	& "   THEN ''" _
'	& "   ELSE CONVERT(varchar, L.EXPECTBACK_DT, 111)" _
'	& "  END AS EXPECTBACK_DT," _
'	& "  LI.MNGSTATUS_CD," _
'	& "  LIMS.MNGSTATUS1_RNM," _
'	& "  LI.KEEPLCT_CD," _
'	& "  LIKL.KEEPLCT_RNM," _
'	& "  '' AS AUDIT," _
'	& "  '' AS FINISH," _
'	& "  '' AS INSPECT_FINISHING_DT," _
'	& "  '' AS RECORD_MNGSTATUS_CD," _
'	& "  '' AS RECORD_MNGSTATUS_RNM," _
'	& "  LI.ARG_STATUS_CD AS RECORD_ARG_STATUS_CD," _
'	& "  '' AS RECORD_ARG_STATUS_RNM," _
'	& "  '' AS SUMMARY_MNGSTATUS_CD," _
'	& "  '' AS SUMMARY_MNGSTATUS_RNM," _
'	& "  " & prmSEARCH_SEQ & " AS SEARCH_NO," _
'	& "  L.LENDSERIAL_NO," _
'	& "  0 AS UPDATED," _
'	& "  LI.HSP_HISTORY_NO," _
'	& "  LI.CH_NO," _
'	& "  CASE WHEN L.ISSUE_DT IS NULL" _
'	& "   THEN ''" _
'	& "   ELSE CONVERT(varchar, L.ISSUE_DT, 111)" _
'	& "  END AS ISSUE_DT," _
'	& "  L.LCT_CD," _
'	& "  L.BORROWER_DIV," _
'	& "  L.BORROWER_CD," _
'	& "  L.BORROWER_NM," _
'	& "  L.TAKER_DIV," _
'	& "  L.TAKER_CD," _
'	& "  L.TAKER_NM," _
'	& "  L.LENDCLERK_CD," _
'	& "  L.REMARKS," _
'	& "  BI.PATIENT_KNM," _
'	& "  BI.GENDER_CD," _
'	& "  0 AS LENDCAP" _
'	& " FROM" _
'	& " ("
'(M) STR V4-12051-000 154 2013/01/23 ID)荒川 病歴大将V4PKG 管理No.32 ソート条件名称からコードに修正
'	Public Const sqlSelBack As String = _
'	"SELECT" _
'	& "  " & prmSELECTED & " AS SELECTED," _
'	& "  LI.PATIENT_NO," _
'	& "  L.SLIP_CD," _
'	& "  CONVERT(varchar, LI.HSP_HISTORY_NO) + ' - ' + CONVERT(varchar, LI.CH_NO) AS HISTORY_NO," _
'	& "  LI.BYOREKI_NO," _
'	& "  BI.PATIENT_NM," _
'	& "  LI.DEPT_CD," _
'	& "  DEP.DEPT_RNM," _
'	& "  '' AS START_DT," _
'	& "  LI.END_DT," _
'	& "  LI.DOCTOR_CD," _
'	& "  STF.STAFF_NM AS DOCTOR_NM," _
'	& "  LI.WARD_CD," _
'	& "  LI.MAIN_DPM_FLG," _
'	& "  LI.CNT," _
'	& "  LI.LENDITEM_CD," _
'	& "  LIM.LENDITEM_RNM," _
'	& "  LI.BARCODE," _
'	& "  L.LENDAIM_CD," _
'	& "  LA.LENDAIM_RNM," _
'	& "  CASE WHEN L.EXPECTBACK_DT IS NULL" _
'	& "   THEN ''" _
'	& "   ELSE CONVERT(varchar, L.EXPECTBACK_DT, 111)" _
'	& "  END AS EXPECTBACK_DT," _
'	& "  LI.MNGSTATUS_CD," _
'	& "  LIMS.MNGSTATUS1_RNM," _
'	& "  LI.KEEPLCT_CD," _
'	& "  LIKL.KEEPLCT_RNM," _
'	& "  '' AS AUDIT," _
'	& "  '' AS FINISH," _
'	& "  '' AS INSPECT_FINISHING_DT," _
'	& "  '' AS RECORD_MNGSTATUS_CD," _
'	& "  '' AS RECORD_MNGSTATUS_RNM," _
'	& "  LI.ARG_STATUS_CD AS RECORD_ARG_STATUS_CD," _
'	& "  '' AS RECORD_ARG_STATUS_RNM," _
'	& "  '' AS SUMMARY_MNGSTATUS_CD," _
'	& "  '' AS SUMMARY_MNGSTATUS_RNM," _
'	& "  " & prmSEARCH_SEQ & " AS SEARCH_NO," _
'	& "  L.LENDSERIAL_NO," _
'	& "  0 AS UPDATED," _
'	& "  LI.HSP_HISTORY_NO," _
'	& "  LI.CH_NO," _
'	& "  CASE WHEN L.ISSUE_DT IS NULL" _
'	& "   THEN ''" _
'	& "   ELSE CONVERT(varchar, L.ISSUE_DT, 111)" _
'	& "  END AS ISSUE_DT," _
'	& "  L.LCT_CD," _
'	& "  L.BORROWER_DIV," _
'	& "  L.BORROWER_CD," _
'	& "  L.BORROWER_NM," _
'	& "  L.TAKER_DIV," _
'	& "  L.TAKER_CD," _
'	& "  L.TAKER_NM," _
'	& "  L.LENDCLERK_CD," _
'	& "  L.REMARKS," _
'	& "  BI.PATIENT_KNM," _
'	& "  BI.GENDER_CD," _
'	& "  0 AS LENDCAP," _
'	& "  '' AS NOTLENDBARIANCE," _
'	& "  '' AS PRE_LENDAIM_CD," _
'	& "  '' AS PRE_ISSUE_DT," _
'	& "  '' AS PRE_BORROWER_CD," _
'	& "  '' AS PRE_BORROWER_NM," _
'	& "  '' AS PRE_BORROWER_DIV," _
'	& "  '' AS PRE_LCT_CD," _
'	& "  '' AS PRE_EXPECTBACK_DT," _
'	& "  '' AS PRE_TAKER_CD," _
'	& "  '' AS PRE_TAKER_NM," _
'	& "  '' AS PRE_TAKER_DIV," _
'	& "  '' AS PRE_LENDCLERK_CD," _
'	& "  '' AS PRE_REMARKS" _
'	& " FROM" _
'	& " ("
	Public Const sqlSelBack As String = _
	"SELECT" _
	& "  " & prmSELECTED & " AS SELECTED," _
	& "  LI.PATIENT_NO," _
	& "  L.SLIP_CD," _
	& "  CONVERT(varchar, LI.HSP_HISTORY_NO) + ' - ' + CONVERT(varchar, LI.CH_NO) AS HISTORY_NO," _
	& "  LI.BYOREKI_NO," _
	& "  BI.PATIENT_NM," _
	& "  LI.DEPT_CD," _
	& "  DEP.DEPT_RNM," _
	& "  '' AS START_DT," _
	& "  LI.END_DT," _
	& "  LI.DOCTOR_CD," _
	& "  STF.STAFF_NM AS DOCTOR_NM," _
	& "  STF.DSPORDER AS DOCTOR_DSPORDER," _
	& "  LI.WARD_CD," _
	& "  LI.MAIN_DPM_FLG," _
	& "  LI.CNT," _
	& "  LI.LENDITEM_CD," _
	& "  LIM.LENDITEM_RNM," _
	& "  LI.BARCODE," _
	& "  L.LENDAIM_CD," _
	& "  LA.LENDAIM_RNM," _
	& "  CASE WHEN L.EXPECTBACK_DT IS NULL" _
	& "   THEN ''" _
	& "   ELSE CONVERT(varchar, L.EXPECTBACK_DT, 111)" _
	& "  END AS EXPECTBACK_DT," _
	& "  LI.MNGSTATUS_CD," _
	& "  LIMS.MNGSTATUS1_RNM," _
	& "  LI.KEEPLCT_CD," _
	& "  LIKL.KEEPLCT_RNM," _
	& "  '' AS AUDIT," _
	& "  '' AS FINISH," _
	& "  '' AS INSPECT_FINISHING_DT," _
	& "  '' AS RECORD_MNGSTATUS_CD," _
	& "  '' AS RECORD_MNGSTATUS_RNM," _
	& "  LI.ARG_STATUS_CD AS RECORD_ARG_STATUS_CD," _
	& "  '' AS RECORD_ARG_STATUS_RNM," _
	& "  '' AS SUMMARY_MNGSTATUS_CD," _
	& "  '' AS SUMMARY_MNGSTATUS_RNM," _
	& "  " & prmSEARCH_SEQ & " AS SEARCH_NO," _
	& "  L.LENDSERIAL_NO," _
	& "  0 AS UPDATED," _
	& "  LI.HSP_HISTORY_NO," _
	& "  LI.CH_NO," _
	& "  CASE WHEN L.ISSUE_DT IS NULL" _
	& "   THEN ''" _
	& "   ELSE CONVERT(varchar, L.ISSUE_DT, 111)" _
	& "  END AS ISSUE_DT," _
	& "  L.LCT_CD," _
	& "  L.BORROWER_DIV," _
	& "  L.BORROWER_CD," _
	& "  L.BORROWER_NM," _
	& "  L.TAKER_DIV," _
	& "  L.TAKER_CD," _
	& "  L.TAKER_NM," _
	& "  L.LENDCLERK_CD," _
	& "  L.REMARKS," _
	& "  BI.PATIENT_KNM," _
	& "  BI.GENDER_CD," _
	& "  0 AS LENDCAP," _
	& "  '' AS NOTLENDBARIANCE," _
	& "  '' AS PRE_LENDAIM_CD," _
	& "  '' AS PRE_ISSUE_DT," _
	& "  '' AS PRE_BORROWER_CD," _
	& "  '' AS PRE_BORROWER_NM," _
	& "  '' AS PRE_BORROWER_DIV," _
	& "  '' AS PRE_LCT_CD," _
	& "  '' AS PRE_EXPECTBACK_DT," _
	& "  '' AS PRE_TAKER_CD," _
	& "  '' AS PRE_TAKER_NM," _
	& "  '' AS PRE_TAKER_DIV," _
	& "  '' AS PRE_LENDCLERK_CD," _
	& "  '' AS PRE_REMARKS" _
	& " FROM" _
	& " ("
'(M) END V4-12051-000 154 2013/01/23
'(M) END V4-11044-000 141 20110909

	' 貸出情報（返却）
	Public Const sqlSelMTI_Back As String = "" _
	& " INNER JOIN MTI_LEND L" _
	& "  ON  LI.PATIENT_NO = L.PATIENT_NO" _
	& "  AND LI.HSP_HISTORY_NO = L.HSP_HISTORY_NO" _
	& "  AND LI.CH_NO = L.CH_NO" _
	& "  AND LI.LENDITEM_CD = L.LENDITEM_CD" _
	& "  AND L.ISSUE_DT IS NOT NULL" _
	& "  AND L.BACK_DT IS NULL" _
	& " LEFT JOIN MTM_LENDAIM LA" _
	& "  ON  L.LENDAIM_CD = LA.LENDAIM_CD"

	' 返却WHERE文（必須）
	Public Const sqlSelBack_WHERE_REQUIRE As String = _
	" WHERE " _
	& "     ((" & prmCHK_LENDITEM_CD1 & " = -1 AND LI.LENDITEM_CD = " & prmLENDITEM_CD1 & ")" _
	& " OR   (" & prmCHK_LENDITEM_CD2 & " = -1 AND LI.LENDITEM_CD = " & prmLENDITEM_CD2 & ")" _
	& " OR   (" & prmCHK_LENDITEM_CD3 & " = -1 AND LI.LENDITEM_CD = " & prmLENDITEM_CD3 & ")" _
	& " OR   (" & prmCHK_LENDITEM_CD4 & " = -1 AND LI.LENDITEM_CD = " & prmLENDITEM_CD4 & ")" _
	& " OR   (" & prmCHK_LENDITEM_CD5 & " = -1 AND LI.LENDITEM_CD = " & prmLENDITEM_CD5 & ") ) "

	' ■更新■
	' （更新）検索処理
'(M) STR V4-11044-000 130 20110909 FJSK)荒川 XXX号 病歴大将V4PKG問題点No20 貸出準備機能の追加対応
'	Public Const sqlSelUpdate As String = _
'	"SELECT" _
'	& "  " & prmSELECTED & " AS SELECTED," _
'	& "  LI.PATIENT_NO," _
'	& "  '' AS SLIP_CD," _
'	& "  CONVERT(varchar, LI.HSP_HISTORY_NO) + ' - ' + CONVERT(varchar, LI.CH_NO) AS HISTORY_NO," _
'	& "  LI.BYOREKI_NO," _
'	& "  BI.PATIENT_NM," _
'	& "  LI.DEPT_CD," _
'	& "  DEP.DEPT_RNM," _
'	& "  LI.START_DT," _
'	& "  LI.END_DT," _
'	& "  LI.DOCTOR_CD," _
'	& "  STF.STAFF_NM AS DOCTOR_NM," _
'	& "  LI.WARD_CD," _
'	& "  LI.MAIN_DPM_FLG," _
'	& "  LI.CNT," _
'	& "  LI.LENDITEM_CD," _
'	& "  LIM.LENDITEM_RNM," _
'	& "  '' AS LENDAIM_CD," _
'	& "  '' AS LENDAIM_RNM," _
'	& "  '' AS EXPECTBACK_DT," _
'	& "  LI.MNGSTATUS_CD," _
'	& "  LIMS.MNGSTATUS1_RNM," _
'	& "  LI.KEEPLCT_CD," _
'	& "  LIKL.KEEPLCT_RNM," _
'	& "  '' AS AUDIT," _
'	& "  '' AS FINISH," _
'	& "  '' AS INSPECT_FINISHING_DT," _
'	& "  '' AS RECORD_MNGSTATUS_CD," _
'	& "  '' AS RECORD_MNGSTATUS_RNM," _
'	& "  '' AS RECORD_ARG_STATUS_CD," _
'	& "  '' AS RECORD_ARG_STATUS_RNM," _
'	& "  '' AS SUMMARY_MNGSTATUS_CD," _
'	& "  '' AS SUMMARY_MNGSTATUS_RNM," _
'	& "  " & prmSEARCH_SEQ & " AS SEARCH_NO," _
'	& "  0 AS LENDSERIAL_NO," _
'	& "  0 AS UPDATED," _
'	& "  LI.HSP_HISTORY_NO," _
'	& "  LI.CH_NO," _
'	& "  '' AS ISSUE_DT," _
'	& "  '' AS LCT_CD," _
'	& "  '' AS BORROWER_DIV," _
'	& "  '' AS BORROWER_CD," _
'	& "  '' AS BORROWER_NM," _
'	& "  '' AS TAKER_DIV," _
'	& "  '' AS TAKER_CD," _
'	& "  '' AS TAKER_NM," _
'	& "  '' AS REMARKS," _
'	& "  '' AS LENDCLERK_CD," _
'	& "  BI.PATIENT_KNM," _
'	& "  BI.GENDER_CD," _
'	& "  0 AS LENDCAP" _
'	& " FROM" _
'	& " ("
'(M) STR V4-12051-000 004 2013/01/23 ID)荒川 病歴大将V4PKG 管理No.32 ソート条件名称からコードに修正
'	Public Const sqlSelUpdate As String = _
'	"SELECT" _
'	& "  " & prmSELECTED & " AS SELECTED," _
'	& "  LI.PATIENT_NO," _
'	& "  '' AS SLIP_CD," _
'	& "  CONVERT(varchar, LI.HSP_HISTORY_NO) + ' - ' + CONVERT(varchar, LI.CH_NO) AS HISTORY_NO," _
'	& "  LI.BYOREKI_NO," _
'	& "  BI.PATIENT_NM," _
'	& "  LI.DEPT_CD," _
'	& "  DEP.DEPT_RNM," _
'	& "  LI.START_DT," _
'	& "  LI.END_DT," _
'	& "  LI.DOCTOR_CD," _
'	& "  STF.STAFF_NM AS DOCTOR_NM," _
'	& "  LI.WARD_CD," _
'	& "  LI.MAIN_DPM_FLG," _
'	& "  LI.CNT," _
'	& "  LI.LENDITEM_CD," _
'	& "  LIM.LENDITEM_RNM," _
'	& "  LI.BARCODE," _
'	& "  '' AS LENDAIM_CD," _
'	& "  '' AS LENDAIM_RNM," _
'	& "  '' AS EXPECTBACK_DT," _
'	& "  LI.MNGSTATUS_CD," _
'	& "  LIMS.MNGSTATUS1_RNM," _
'	& "  LI.KEEPLCT_CD," _
'	& "  LIKL.KEEPLCT_RNM," _
'	& "  '' AS AUDIT," _
'	& "  '' AS FINISH," _
'	& "  '' AS INSPECT_FINISHING_DT," _
'	& "  '' AS RECORD_MNGSTATUS_CD," _
'	& "  '' AS RECORD_MNGSTATUS_RNM," _
'	& "  '' AS RECORD_ARG_STATUS_CD," _
'	& "  '' AS RECORD_ARG_STATUS_RNM," _
'	& "  '' AS SUMMARY_MNGSTATUS_CD," _
'	& "  '' AS SUMMARY_MNGSTATUS_RNM," _
'	& "  " & prmSEARCH_SEQ & " AS SEARCH_NO," _
'	& "  0 AS LENDSERIAL_NO," _
'	& "  0 AS UPDATED," _
'	& "  LI.HSP_HISTORY_NO," _
'	& "  LI.CH_NO," _
'	& "  '' AS ISSUE_DT," _
'	& "  '' AS LCT_CD," _
'	& "  '' AS BORROWER_DIV," _
'	& "  '' AS BORROWER_CD," _
'	& "  '' AS BORROWER_NM," _
'	& "  '' AS TAKER_DIV," _
'	& "  '' AS TAKER_CD," _
'	& "  '' AS TAKER_NM," _
'	& "  '' AS REMARKS," _
'	& "  '' AS LENDCLERK_CD," _
'	& "  BI.PATIENT_KNM," _
'	& "  BI.GENDER_CD," _
'	& "  0 AS LENDCAP," _
'	& "  '' AS NOTLENDBARIANCE," _
'	& "  '' AS PRE_LENDAIM_CD," _
'	& "  '' AS PRE_ISSUE_DT," _
'	& "  '' AS PRE_BORROWER_CD," _
'	& "  '' AS PRE_BORROWER_NM," _
'	& "  '' AS PRE_BORROWER_DIV," _
'	& "  '' AS PRE_LCT_CD," _
'	& "  '' AS PRE_EXPECTBACK_DT," _
'	& "  '' AS PRE_TAKER_CD," _
'	& "  '' AS PRE_TAKER_NM," _
'	& "  '' AS PRE_TAKER_DIV," _
'	& "  '' AS PRE_LENDCLERK_CD," _
'	& "  '' AS PRE_REMARKS" _
'	& " FROM" _
'	& " ("
	Public Const sqlSelUpdate As String = _
	"SELECT" _
	& "  " & prmSELECTED & " AS SELECTED," _
	& "  LI.PATIENT_NO," _
	& "  '' AS SLIP_CD," _
	& "  CONVERT(varchar, LI.HSP_HISTORY_NO) + ' - ' + CONVERT(varchar, LI.CH_NO) AS HISTORY_NO," _
	& "  LI.BYOREKI_NO," _
	& "  BI.PATIENT_NM," _
	& "  LI.DEPT_CD," _
	& "  DEP.DEPT_RNM," _
	& "  LI.START_DT," _
	& "  LI.END_DT," _
	& "  LI.DOCTOR_CD," _
	& "  STF.STAFF_NM AS DOCTOR_NM," _
	& "  STF.DSPORDER AS DOCTOR_DSPORDER," _
	& "  LI.WARD_CD," _
	& "  LI.MAIN_DPM_FLG," _
	& "  LI.CNT," _
	& "  LI.LENDITEM_CD," _
	& "  LIM.LENDITEM_RNM," _
	& "  LI.BARCODE," _
	& "  '' AS LENDAIM_CD," _
	& "  '' AS LENDAIM_RNM," _
	& "  '' AS EXPECTBACK_DT," _
	& "  LI.MNGSTATUS_CD," _
	& "  LIMS.MNGSTATUS1_RNM," _
	& "  LI.KEEPLCT_CD," _
	& "  LIKL.KEEPLCT_RNM," _
	& "  '' AS AUDIT," _
	& "  '' AS FINISH," _
	& "  '' AS INSPECT_FINISHING_DT," _
	& "  '' AS RECORD_MNGSTATUS_CD," _
	& "  '' AS RECORD_MNGSTATUS_RNM," _
	& "  '' AS RECORD_ARG_STATUS_CD," _
	& "  '' AS RECORD_ARG_STATUS_RNM," _
	& "  '' AS SUMMARY_MNGSTATUS_CD," _
	& "  '' AS SUMMARY_MNGSTATUS_RNM," _
	& "  " & prmSEARCH_SEQ & " AS SEARCH_NO," _
	& "  0 AS LENDSERIAL_NO," _
	& "  0 AS UPDATED," _
	& "  LI.HSP_HISTORY_NO," _
	& "  LI.CH_NO," _
	& "  '' AS ISSUE_DT," _
	& "  '' AS LCT_CD," _
	& "  '' AS BORROWER_DIV," _
	& "  '' AS BORROWER_CD," _
	& "  '' AS BORROWER_NM," _
	& "  '' AS TAKER_DIV," _
	& "  '' AS TAKER_CD," _
	& "  '' AS TAKER_NM," _
	& "  '' AS REMARKS," _
	& "  '' AS LENDCLERK_CD," _
	& "  BI.PATIENT_KNM," _
	& "  BI.GENDER_CD," _
	& "  0 AS LENDCAP," _
	& "  '' AS NOTLENDBARIANCE," _
	& "  '' AS PRE_LENDAIM_CD," _
	& "  '' AS PRE_ISSUE_DT," _
	& "  '' AS PRE_BORROWER_CD," _
	& "  '' AS PRE_BORROWER_NM," _
	& "  '' AS PRE_BORROWER_DIV," _
	& "  '' AS PRE_LCT_CD," _
	& "  '' AS PRE_EXPECTBACK_DT," _
	& "  '' AS PRE_TAKER_CD," _
	& "  '' AS PRE_TAKER_NM," _
	& "  '' AS PRE_TAKER_DIV," _
	& "  '' AS PRE_LENDCLERK_CD," _
	& "  '' AS PRE_REMARKS" _
	& " FROM" _
	& " ("
'(M) END V4-12051-000 004 2013/01/23
'(M) END V4-11044-000 130 20110909

	' WHERE文（必須）
	Public Const sqlSelUpdate_WHERE_REQUIRE As String = _
	" WHERE " _
	& "     ((" & prmCHK_LENDITEM_CD1 & " = -1 AND LI.LENDITEM_CD = " & prmLENDITEM_CD1 & ")" _
	& " OR   (" & prmCHK_LENDITEM_CD2 & " = -1 AND LI.LENDITEM_CD = " & prmLENDITEM_CD2 & ")" _
	& " OR   (" & prmCHK_LENDITEM_CD3 & " = -1 AND LI.LENDITEM_CD = " & prmLENDITEM_CD3 & ")" _
	& " OR   (" & prmCHK_LENDITEM_CD4 & " = -1 AND LI.LENDITEM_CD = " & prmLENDITEM_CD4 & ")" _
	& " OR   (" & prmCHK_LENDITEM_CD5 & " = -1 AND LI.LENDITEM_CD = " & prmLENDITEM_CD5 & ") ) "

	' ■貸出更新■
	' （貸出更新）検索処理
'(M) STR V4-11044-000 142 20110909 FJSK)荒川 XXX号 病歴大将V4PKG問題点No20 貸出準備機能の追加対応
'	Public Const sqlSelLendUpdate As String = _
'	 "SELECT" _
'	 & "  " & prmSELECTED & " AS SELECTED," _
'	 & "  LI.PATIENT_NO," _
'	 & "  L.SLIP_CD," _
'	 & "  CONVERT(varchar, LI.HSP_HISTORY_NO) + ' - ' + CONVERT(varchar, LI.CH_NO) AS HISTORY_NO," _
'	 & "  LI.BYOREKI_NO," _
'	 & "  BI.PATIENT_NM," _
'	 & "  LI.DEPT_CD," _
'	 & "  DEP.DEPT_RNM," _
'	 & "  LI.START_DT," _
'	 & "  LI.END_DT," _
'	 & "  LI.DOCTOR_CD," _
'	 & "  STF.STAFF_NM AS DOCTOR_NM," _
'	 & "  LI.WARD_CD," _
'	 & "  LI.MAIN_DPM_FLG," _
'	 & "  LI.CNT," _
'	 & "  LI.LENDITEM_CD," _
'	 & "  LIM.LENDITEM_RNM," _
'	 & "  L.LENDAIM_CD," _
'	 & "  LA.LENDAIM_RNM," _
'	 & "  CASE WHEN L.EXPECTBACK_DT IS NULL" _
'	 & "   THEN ''" _
'	 & "   ELSE CONVERT(varchar, L.EXPECTBACK_DT, 111)" _
'	 & "  END AS EXPECTBACK_DT," _
'	 & "  LI.MNGSTATUS_CD," _
'	 & "  LIMS.MNGSTATUS1_RNM," _
'	 & "  LI.KEEPLCT_CD," _
'	 & "  LIKL.KEEPLCT_RNM," _
'	 & "  '' AS AUDIT," _
'	 & "  '' AS FINISH," _
'	 & "  '' AS INSPECT_FINISHING_DT," _
'	 & "  '' AS RECORD_MNGSTATUS_CD," _
'	 & "  '' AS RECORD_MNGSTATUS_RNM," _
'	 & "  LI.ARG_STATUS_CD AS RECORD_ARG_STATUS_CD," _
'	 & "  '' AS RECORD_ARG_STATUS_RNM," _
'	 & "  '' AS SUMMARY_MNGSTATUS_CD," _
'	 & "  '' AS SUMMARY_MNGSTATUS_RNM," _
'	 & "  " & prmSEARCH_SEQ & " AS SEARCH_NO," _
'	 & "  L.LENDSERIAL_NO," _
'	 & "  0 AS UPDATED," _
'	 & "  LI.HSP_HISTORY_NO," _
'	 & "  LI.CH_NO," _
'	 & "  CASE WHEN L.ISSUE_DT IS NULL" _
'	 & "   THEN ''" _
'	 & "   ELSE CONVERT(varchar, L.ISSUE_DT, 111)" _
'	 & "  END AS ISSUE_DT," _
'	 & "  L.LCT_CD," _
'	 & "  L.BORROWER_DIV," _
'	 & "  L.BORROWER_CD," _
'	 & "  L.BORROWER_NM," _
'	 & "  L.TAKER_DIV," _
'	 & "  L.TAKER_CD," _
'	 & "  L.TAKER_NM," _
'	 & "  L.LENDCLERK_CD," _
'	 & "  L.REMARKS," _
'	 & "  BI.PATIENT_KNM," _
'	 & "  BI.GENDER_CD," _
'	 & "  0 AS LENDCAP" _
'	 & " FROM" _
'	 & " ("
'(M) STR V4-12051-000 154 2013/01/23 ID)荒川 病歴大将V4PKG 管理No.32 ソート条件名称からコードに修正
'	Public Const sqlSelLendUpdate As String = _
'	"SELECT" _
'	& "  " & prmSELECTED & " AS SELECTED," _
'	& "  LI.PATIENT_NO," _
'	& "  L.SLIP_CD," _
'	& "  CONVERT(varchar, LI.HSP_HISTORY_NO) + ' - ' + CONVERT(varchar, LI.CH_NO) AS HISTORY_NO," _
'	& "  LI.BYOREKI_NO," _
'	& "  BI.PATIENT_NM," _
'	& "  LI.DEPT_CD," _
'	& "  DEP.DEPT_RNM," _
'	& "  LI.START_DT," _
'	& "  LI.END_DT," _
'	& "  LI.DOCTOR_CD," _
'	& "  STF.STAFF_NM AS DOCTOR_NM," _
'	& "  LI.WARD_CD," _
'	& "  LI.MAIN_DPM_FLG," _
'	& "  LI.CNT," _
'	& "  LI.LENDITEM_CD," _
'	& "  LIM.LENDITEM_RNM," _
'	& "  LI.BARCODE," _
'	& "  L.LENDAIM_CD," _
'	& "  LA.LENDAIM_RNM," _
'	& "  CASE WHEN L.EXPECTBACK_DT IS NULL" _
'	& "   THEN ''" _
'	& "   ELSE CONVERT(varchar, L.EXPECTBACK_DT, 111)" _
'	& "  END AS EXPECTBACK_DT," _
'	& "  LI.MNGSTATUS_CD," _
'	& "  LIMS.MNGSTATUS1_RNM," _
'	& "  LI.KEEPLCT_CD," _
'	& "  LIKL.KEEPLCT_RNM," _
'	& "  '' AS AUDIT," _
'	& "  '' AS FINISH," _
'	& "  '' AS INSPECT_FINISHING_DT," _
'	& "  '' AS RECORD_MNGSTATUS_CD," _
'	& "  '' AS RECORD_MNGSTATUS_RNM," _
'	& "  LI.ARG_STATUS_CD AS RECORD_ARG_STATUS_CD," _
'	& "  '' AS RECORD_ARG_STATUS_RNM," _
'	& "  '' AS SUMMARY_MNGSTATUS_CD," _
'	& "  '' AS SUMMARY_MNGSTATUS_RNM," _
'	& "  " & prmSEARCH_SEQ & " AS SEARCH_NO," _
'	& "  L.LENDSERIAL_NO," _
'	& "  0 AS UPDATED," _
'	& "  LI.HSP_HISTORY_NO," _
'	& "  LI.CH_NO," _
'	& "  CASE WHEN L.ISSUE_DT IS NULL" _
'	& "   THEN ''" _
'	& "   ELSE CONVERT(varchar, L.ISSUE_DT, 111)" _
'	& "  END AS ISSUE_DT," _
'	& "  L.LCT_CD," _
'	& "  L.BORROWER_DIV," _
'	& "  L.BORROWER_CD," _
'	& "  L.BORROWER_NM," _
'	& "  L.TAKER_DIV," _
'	& "  L.TAKER_CD," _
'	& "  L.TAKER_NM," _
'	& "  L.LENDCLERK_CD," _
'	& "  L.REMARKS," _
'	& "  BI.PATIENT_KNM," _
'	& "  BI.GENDER_CD," _
'	& "  0 AS LENDCAP," _
'	& "  '' AS NOTLENDBARIANCE," _
'	& "  '' AS PRE_LENDAIM_CD," _
'	& "  '' AS PRE_ISSUE_DT," _
'	& "  '' AS PRE_BORROWER_CD," _
'	& "  '' AS PRE_BORROWER_NM," _
'	& "  '' AS PRE_BORROWER_DIV," _
'	& "  '' AS PRE_LCT_CD," _
'	& "  '' AS PRE_EXPECTBACK_DT," _
'	& "  '' AS PRE_TAKER_CD," _
'	& "  '' AS PRE_TAKER_NM," _
'	& "  '' AS PRE_TAKER_DIV," _
'	& "  '' AS PRE_LENDCLERK_CD," _
'	& "  '' AS PRE_REMARKS" _
'	& " FROM" _
'	& " ("
	Public Const sqlSelLendUpdate As String = _
	"SELECT" _
	& "  " & prmSELECTED & " AS SELECTED," _
	& "  LI.PATIENT_NO," _
	& "  L.SLIP_CD," _
	& "  CONVERT(varchar, LI.HSP_HISTORY_NO) + ' - ' + CONVERT(varchar, LI.CH_NO) AS HISTORY_NO," _
	& "  LI.BYOREKI_NO," _
	& "  BI.PATIENT_NM," _
	& "  LI.DEPT_CD," _
	& "  DEP.DEPT_RNM," _
	& "  LI.START_DT," _
	& "  LI.END_DT," _
	& "  LI.DOCTOR_CD," _
	& "  STF.STAFF_NM AS DOCTOR_NM," _
	& "  STF.DSPORDER AS DOCTOR_DSPORDER," _
	& "  LI.WARD_CD," _
	& "  LI.MAIN_DPM_FLG," _
	& "  LI.CNT," _
	& "  LI.LENDITEM_CD," _
	& "  LIM.LENDITEM_RNM," _
	& "  LI.BARCODE," _
	& "  L.LENDAIM_CD," _
	& "  LA.LENDAIM_RNM," _
	& "  CASE WHEN L.EXPECTBACK_DT IS NULL" _
	& "   THEN ''" _
	& "   ELSE CONVERT(varchar, L.EXPECTBACK_DT, 111)" _
	& "  END AS EXPECTBACK_DT," _
	& "  LI.MNGSTATUS_CD," _
	& "  LIMS.MNGSTATUS1_RNM," _
	& "  LI.KEEPLCT_CD," _
	& "  LIKL.KEEPLCT_RNM," _
	& "  '' AS AUDIT," _
	& "  '' AS FINISH," _
	& "  '' AS INSPECT_FINISHING_DT," _
	& "  '' AS RECORD_MNGSTATUS_CD," _
	& "  '' AS RECORD_MNGSTATUS_RNM," _
	& "  LI.ARG_STATUS_CD AS RECORD_ARG_STATUS_CD," _
	& "  '' AS RECORD_ARG_STATUS_RNM," _
	& "  '' AS SUMMARY_MNGSTATUS_CD," _
	& "  '' AS SUMMARY_MNGSTATUS_RNM," _
	& "  " & prmSEARCH_SEQ & " AS SEARCH_NO," _
	& "  L.LENDSERIAL_NO," _
	& "  0 AS UPDATED," _
	& "  LI.HSP_HISTORY_NO," _
	& "  LI.CH_NO," _
	& "  CASE WHEN L.ISSUE_DT IS NULL" _
	& "   THEN ''" _
	& "   ELSE CONVERT(varchar, L.ISSUE_DT, 111)" _
	& "  END AS ISSUE_DT," _
	& "  L.LCT_CD," _
	& "  L.BORROWER_DIV," _
	& "  L.BORROWER_CD," _
	& "  L.BORROWER_NM," _
	& "  L.TAKER_DIV," _
	& "  L.TAKER_CD," _
	& "  L.TAKER_NM," _
	& "  L.LENDCLERK_CD," _
	& "  L.REMARKS," _
	& "  BI.PATIENT_KNM," _
	& "  BI.GENDER_CD," _
	& "  0 AS LENDCAP," _
	& "  '' AS NOTLENDBARIANCE," _
	& "  '' AS PRE_LENDAIM_CD," _
	& "  '' AS PRE_ISSUE_DT," _
	& "  '' AS PRE_BORROWER_CD," _
	& "  '' AS PRE_BORROWER_NM," _
	& "  '' AS PRE_BORROWER_DIV," _
	& "  '' AS PRE_LCT_CD," _
	& "  '' AS PRE_EXPECTBACK_DT," _
	& "  '' AS PRE_TAKER_CD," _
	& "  '' AS PRE_TAKER_NM," _
	& "  '' AS PRE_TAKER_DIV," _
	& "  '' AS PRE_LENDCLERK_CD," _
	& "  '' AS PRE_REMARKS" _
	& " FROM" _
	& " ("
'(M) END V4-12051-000 154 2013/01/23
'(M) END V4-11044-000 142 20110909

	' 貸出情報（貸出更新）
	Public Const sqlSelMTI_LendUpdate As String = "" _
	& " INNER JOIN MTI_LEND L" _
	& "  ON  LI.PATIENT_NO = L.PATIENT_NO" _
	& "  AND LI.HSP_HISTORY_NO = L.HSP_HISTORY_NO" _
	& "  AND LI.CH_NO = L.CH_NO" _
	& "  AND LI.LENDITEM_CD = L.LENDITEM_CD" _
	& " LEFT JOIN MTM_LENDAIM LA" _
	& "  ON  L.LENDAIM_CD = LA.LENDAIM_CD"

	' 貸出更新WHERE文（必須）
	Public Const sqlSelLendUpdate_WHERE_REQUIRE As String = _
	" WHERE " _
	& "      ISNULL(L.ISSUE_DT, '') " & clsConst.CST_NONEMPTY_WHERE _
	& "  AND ISNULL(L.BACK_DT, '') " & clsConst.CST_EMPTY_WHERE

	' ■監査■
	' （監査）検索処理
'(M) STR V4-11044-000 198 20110909 FJSK)荒川 XXX号 病歴大将V4PKG問題点No20 貸出準備機能の追加対応
'	Public Const sqlSelInspect As String = _
'	"SELECT" _
'	& "  " & prmSELECTED & " AS SELECTED," _
'	& "  LI.PATIENT_NO," _
'	& "  '' AS SLIP_CD," _
'	& "  CONVERT(varchar, LI.HSP_HISTORY_NO) + ' - ' + CONVERT(varchar, LI.CH_NO) AS HISTORY_NO," _
'	& "  SRH_CH.BYOREKI_NO," _
'	& "  BI.PATIENT_NM," _
'	& "  SRH_CH.DEPT_CD," _
'	& "  DEP.DEPT_RNM," _
'	& "  CASE WHEN SRH_CH.START_DT IS NULL" _
'	& "   THEN ''" _
'	& "   ELSE CONVERT(varchar, SRH_CH.START_DT, 111)" _
'	& "  END AS START_DT," _
'	& "  CASE WHEN SRH_CH.END_DT IS NULL" _
'	& "   THEN ''" _
'	& "   ELSE CONVERT(varchar, SRH_CH.END_DT, 111)" _
'	& "  END AS END_DT," _
'	& "  SRH_CH.DOCTOR_CD," _
'	& "  STF.STAFF_NM AS DOCTOR_NM," _
'	& "  '' AS WARD_CD," _
'	& "  '' AS MAIN_DPM_FLG," _
'	& "  '' AS CNT," _
'	& "  '' AS LENDITEM_CD," _
'	& "  '' AS LENDITEM_RNM," _
'	& "  '' AS LENDAIM_CD," _
'	& "  '' AS LENDAIM_RNM," _
'	& "  '' AS EXPECTBACK_DT," _
'	& "  '' AS MNGSTATUS_CD," _
'	& "  '' AS MNGSTATUS1_RNM," _
'	& "  '' AS KEEPLCT_CD," _
'	& "  '' AS KEEPLCT_RNM," _
'	& "  CASE WHEN INS.INSPECT1_DT IS NOT NULL" _
'	& "   THEN '" & C_FINISH_STR & "'" _
'	& "   ELSE '" & C_NOTFINISH_STR & "'" _
'	& "  END AS AUDIT," _
'	& "  CASE WHEN INS.FINISHING_FLG = " & prmFINISHING_FLG _
'	& "   THEN '" & C_FINISH_STR & "'" _
'	& "   ELSE '" & C_NOTFINISH_STR & "'" _
'	& "  END AS FINISH," _
'	& "  CASE WHEN INS.INSPECT_FINISHING_DT IS NULL" _
'	& "   THEN ''" _
'	& "   ELSE CONVERT(varchar, INS.INSPECT_FINISHING_DT, 111)" _
'	& "  END AS INSPECT_FINISHING_DT," _
'	& "  LIR.RECORD_MNGSTATUS_CD," _
'	& "  LIMSR.MNGSTATUS1_RNM AS RECORD_MNGSTATUS_RNM," _
'	& "  LIR.RECORD_ARG_STATUS_CD," _
'	& "  LIAS.ARG_STATUS_RNM AS RECORD_ARG_STATUS_RNM," _
'	& "  LI.SUMMARY_MNGSTATUS_CD," _
'	& "  LIMS.MNGSTATUS1_RNM AS SUMMARY_MNGSTATUS_RNM," _
'	& "  " & prmSEARCH_SEQ & " AS SEARCH_NO," _
'	& "  '' AS LENDSERIAL_NO," _
'	& "  0 AS UPDATED," _
'	& "  LI.HSP_HISTORY_NO," _
'	& "  LI.CH_NO," _
'	& "  '' AS ISSUE_DT," _
'	& "  '' AS LCT_CD," _
'	& "  '' AS BORROWER_DIV," _
'	& "  '' AS BORROWER_CD," _
'	& "  '' AS BORROWER_NM," _
'	& "  '' AS TAKER_DIV," _
'	& "  '' AS TAKER_CD," _
'	& "  '' AS TAKER_NM," _
'	& "  '' AS LENDCLERK_CD," _
'	& "  '' AS REMARKS," _
'	& "  BI.PATIENT_KNM," _
'	& "  BI.GENDER_CD," _
'	& "  0 AS LENDCAP" _
'	& " 	 FROM MTI_LENDITM LI" _
'	& "  LEFT JOIN XTI_BASICINFO BI" _
'	& "   ON LI.PATIENT_NO = BI.PATIENT_NO" _
'	& "  LEFT JOIN MTI_CH SRH_CH" _
'	& "   ON LI.PATIENT_NO = SRH_CH.PATIENT_NO" _
'	& "   AND LI.HSP_HISTORY_NO = SRH_CH.HSP_HISTORY_NO" _
'	& "   AND LI.CH_NO = SRH_CH.CH_NO" _
'	& "  LEFT JOIN MTI_HSP SRH_HSP" _
'	& "   ON LI.PATIENT_NO = SRH_HSP.PATIENT_NO" _
'	& "   AND LI.HSP_HISTORY_NO = SRH_HSP.HSP_HISTORY_NO" _
'	& "  LEFT JOIN MTI_INSPECT INS" _
'	& "   ON LI.PATIENT_NO = INS.PATIENT_NO" _
'	& "   AND LI.HSP_HISTORY_NO = INS.HSP_HISTORY_NO" _
'	& "   AND LI.CH_NO = INS.CH_NO" _
'	& "  LEFT JOIN MTM_DEPT DEP" _
'	& "   ON SRH_CH.DEPT_CD = DEP.DEPT_CD" _
'	& "  LEFT JOIN XTM_STAFF STF" _
'	& "   ON SRH_CH.DOCTOR_CD = STF.STAFF_CD" _
'	& "  LEFT JOIN MTM_LENDITEM_MNGSTATUS LIMS" _
'	& "   ON " & prmLENDITEM_CD2 & " = LIMS.LENDITEM_CD" _
'	& "   AND LI.SUMMARY_MNGSTATUS_CD = LIMS.MNGSTATUS_CD"
'(M) STR V4-12051-000 208 2013/01/23 ID)荒川 病歴大将V4PKG 管理No.32 ソート条件名称からコードに修正
'	Public Const sqlSelInspect As String = _
'	"SELECT" _
'	& "  " & prmSELECTED & " AS SELECTED," _
'	& "  LI.PATIENT_NO," _
'	& "  '' AS SLIP_CD," _
'	& "  CONVERT(varchar, LI.HSP_HISTORY_NO) + ' - ' + CONVERT(varchar, LI.CH_NO) AS HISTORY_NO," _
'	& "  SRH_CH.BYOREKI_NO," _
'	& "  BI.PATIENT_NM," _
'	& "  SRH_CH.DEPT_CD," _
'	& "  DEP.DEPT_RNM," _
'	& "  CASE WHEN SRH_CH.START_DT IS NULL" _
'	& "   THEN ''" _
'	& "   ELSE CONVERT(varchar, SRH_CH.START_DT, 111)" _
'	& "  END AS START_DT," _
'	& "  CASE WHEN SRH_CH.END_DT IS NULL" _
'	& "   THEN ''" _
'	& "   ELSE CONVERT(varchar, SRH_CH.END_DT, 111)" _
'	& "  END AS END_DT," _
'	& "  SRH_CH.DOCTOR_CD," _
'	& "  STF.STAFF_NM AS DOCTOR_NM," _
'	& "  '' AS WARD_CD," _
'	& "  '' AS MAIN_DPM_FLG," _
'	& "  '' AS CNT," _
'	& "  '' AS LENDITEM_CD," _
'	& "  '' AS LENDITEM_RNM," _
'	& "  '' AS BARCODE," _
'	& "  '' AS LENDAIM_CD," _
'	& "  '' AS LENDAIM_RNM," _
'	& "  '' AS EXPECTBACK_DT," _
'	& "  '' AS MNGSTATUS_CD," _
'	& "  '' AS MNGSTATUS1_RNM," _
'	& "  '' AS KEEPLCT_CD," _
'	& "  '' AS KEEPLCT_RNM," _
'	& "  CASE WHEN INS.INSPECT1_DT IS NOT NULL" _
'	& "   THEN '" & C_FINISH_STR & "'" _
'	& "   ELSE '" & C_NOTFINISH_STR & "'" _
'	& "  END AS AUDIT," _
'	& "  CASE WHEN INS.FINISHING_FLG = " & prmFINISHING_FLG _
'	& "   THEN '" & C_FINISH_STR & "'" _
'	& "   ELSE '" & C_NOTFINISH_STR & "'" _
'	& "  END AS FINISH," _
'	& "  CASE WHEN INS.INSPECT_FINISHING_DT IS NULL" _
'	& "   THEN ''" _
'	& "   ELSE CONVERT(varchar, INS.INSPECT_FINISHING_DT, 111)" _
'	& "  END AS INSPECT_FINISHING_DT," _
'	& "  LIR.RECORD_MNGSTATUS_CD," _
'	& "  LIMSR.MNGSTATUS1_RNM AS RECORD_MNGSTATUS_RNM," _
'	& "  LIR.RECORD_ARG_STATUS_CD," _
'	& "  LIAS.ARG_STATUS_RNM AS RECORD_ARG_STATUS_RNM," _
'	& "  LI.SUMMARY_MNGSTATUS_CD," _
'	& "  LIMS.MNGSTATUS1_RNM AS SUMMARY_MNGSTATUS_RNM," _
'	& "  " & prmSEARCH_SEQ & " AS SEARCH_NO," _
'	& "  '' AS LENDSERIAL_NO," _
'	& "  0 AS UPDATED," _
'	& "  LI.HSP_HISTORY_NO," _
'	& "  LI.CH_NO," _
'	& "  '' AS ISSUE_DT," _
'	& "  '' AS LCT_CD," _
'	& "  '' AS BORROWER_DIV," _
'	& "  '' AS BORROWER_CD," _
'	& "  '' AS BORROWER_NM," _
'	& "  '' AS TAKER_DIV," _
'	& "  '' AS TAKER_CD," _
'	& "  '' AS TAKER_NM," _
'	& "  '' AS LENDCLERK_CD," _
'	& "  '' AS REMARKS," _
'	& "  BI.PATIENT_KNM," _
'	& "  BI.GENDER_CD," _
'	& "  0 AS LENDCAP," _
'	& "  '' AS NOTLENDBARIANCE," _
'	& "  '' AS PRE_LENDAIM_CD," _
'	& "  '' AS PRE_ISSUE_DT," _
'	& "  '' AS PRE_BORROWER_CD," _
'	& "  '' AS PRE_BORROWER_NM," _
'	& "  '' AS PRE_BORROWER_DIV," _
'	& "  '' AS PRE_LCT_CD," _
'	& "  '' AS PRE_EXPECTBACK_DT," _
'	& "  '' AS PRE_TAKER_CD," _
'	& "  '' AS PRE_TAKER_NM," _
'	& "  '' AS PRE_TAKER_DIV," _
'	& "  '' AS PRE_LENDCLERK_CD," _
'	& "  '' AS PRE_REMARKS" _
'	& " 	 FROM MTI_LENDITM LI" _
'	& "  LEFT JOIN XTI_BASICINFO BI" _
'	& "   ON LI.PATIENT_NO = BI.PATIENT_NO" _
'	& "  LEFT JOIN MTI_CH SRH_CH" _
'	& "   ON LI.PATIENT_NO = SRH_CH.PATIENT_NO" _
'	& "   AND LI.HSP_HISTORY_NO = SRH_CH.HSP_HISTORY_NO" _
'	& "   AND LI.CH_NO = SRH_CH.CH_NO" _
'	& "  LEFT JOIN MTI_HSP SRH_HSP" _
'	& "   ON LI.PATIENT_NO = SRH_HSP.PATIENT_NO" _
'	& "   AND LI.HSP_HISTORY_NO = SRH_HSP.HSP_HISTORY_NO" _
'	& "  LEFT JOIN MTI_INSPECT INS" _
'	& "   ON LI.PATIENT_NO = INS.PATIENT_NO" _
'	& "   AND LI.HSP_HISTORY_NO = INS.HSP_HISTORY_NO" _
'	& "   AND LI.CH_NO = INS.CH_NO" _
'	& "  LEFT JOIN MTM_DEPT DEP" _
'	& "   ON SRH_CH.DEPT_CD = DEP.DEPT_CD" _
'	& "  LEFT JOIN XTM_STAFF STF" _
'	& "   ON SRH_CH.DOCTOR_CD = STF.STAFF_CD" _
'	& "  LEFT JOIN MTM_LENDITEM_MNGSTATUS LIMS" _
'	& "   ON " & prmLENDITEM_CD2 & " = LIMS.LENDITEM_CD" _
'	& "   AND LI.SUMMARY_MNGSTATUS_CD = LIMS.MNGSTATUS_CD"
	Public Const sqlSelInspect As String = _
	 "SELECT" _
	 & "  " & prmSELECTED & " AS SELECTED," _
	 & "  LI.PATIENT_NO," _
	 & "  '' AS SLIP_CD," _
	 & "  CONVERT(varchar, LI.HSP_HISTORY_NO) + ' - ' + CONVERT(varchar, LI.CH_NO) AS HISTORY_NO," _
	 & "  SRH_CH.BYOREKI_NO," _
	 & "  BI.PATIENT_NM," _
	 & "  SRH_CH.DEPT_CD," _
	 & "  DEP.DEPT_RNM," _
	 & "  CASE WHEN SRH_CH.START_DT IS NULL" _
	 & "   THEN ''" _
	 & "   ELSE CONVERT(varchar, SRH_CH.START_DT, 111)" _
	 & "  END AS START_DT," _
	 & "  CASE WHEN SRH_CH.END_DT IS NULL" _
	 & "   THEN ''" _
	 & "   ELSE CONVERT(varchar, SRH_CH.END_DT, 111)" _
	 & "  END AS END_DT," _
	 & "  SRH_CH.DOCTOR_CD," _
	 & "  STF.STAFF_NM AS DOCTOR_NM," _
	 & "  STF.DSPORDER AS DOCTOR_DSPORDER," _
	 & "  '' AS WARD_CD," _
	 & "  '' AS MAIN_DPM_FLG," _
	 & "  '' AS CNT," _
	 & "  '' AS LENDITEM_CD," _
	 & "  '' AS LENDITEM_RNM," _
	 & "  '' AS BARCODE," _
	 & "  '' AS LENDAIM_CD," _
	 & "  '' AS LENDAIM_RNM," _
	 & "  '' AS EXPECTBACK_DT," _
	 & "  '' AS MNGSTATUS_CD," _
	 & "  '' AS MNGSTATUS1_RNM," _
	 & "  '' AS KEEPLCT_CD," _
	 & "  '' AS KEEPLCT_RNM," _
	 & "  CASE WHEN INS.INSPECT1_DT IS NOT NULL" _
	 & "   THEN '" & C_FINISH_STR & "'" _
	 & "   ELSE '" & C_NOTFINISH_STR & "'" _
	 & "  END AS AUDIT," _
	 & "  CASE WHEN INS.FINISHING_FLG = " & prmFINISHING_FLG _
	 & "   THEN '" & C_FINISH_STR & "'" _
	 & "   ELSE '" & C_NOTFINISH_STR & "'" _
	 & "  END AS FINISH," _
	 & "  CASE WHEN INS.INSPECT_FINISHING_DT IS NULL" _
	 & "   THEN ''" _
	 & "   ELSE CONVERT(varchar, INS.INSPECT_FINISHING_DT, 111)" _
	 & "  END AS INSPECT_FINISHING_DT," _
	 & "  LIR.RECORD_MNGSTATUS_CD," _
	 & "  LIMSR.MNGSTATUS1_RNM AS RECORD_MNGSTATUS_RNM," _
	 & "  LIR.RECORD_ARG_STATUS_CD," _
	 & "  LIAS.ARG_STATUS_RNM AS RECORD_ARG_STATUS_RNM," _
	 & "  LI.SUMMARY_MNGSTATUS_CD," _
	 & "  LIMS.MNGSTATUS1_RNM AS SUMMARY_MNGSTATUS_RNM," _
	 & "  " & prmSEARCH_SEQ & " AS SEARCH_NO," _
	 & "  '' AS LENDSERIAL_NO," _
	 & "  0 AS UPDATED," _
	 & "  LI.HSP_HISTORY_NO," _
	 & "  LI.CH_NO," _
	 & "  '' AS ISSUE_DT," _
	 & "  '' AS LCT_CD," _
	 & "  '' AS BORROWER_DIV," _
	 & "  '' AS BORROWER_CD," _
	 & "  '' AS BORROWER_NM," _
	 & "  '' AS TAKER_DIV," _
	 & "  '' AS TAKER_CD," _
	 & "  '' AS TAKER_NM," _
	 & "  '' AS LENDCLERK_CD," _
	 & "  '' AS REMARKS," _
	 & "  BI.PATIENT_KNM," _
	 & "  BI.GENDER_CD," _
	 & "  0 AS LENDCAP," _
	 & "  '' AS NOTLENDBARIANCE," _
	 & "  '' AS PRE_LENDAIM_CD," _
	 & "  '' AS PRE_ISSUE_DT," _
	 & "  '' AS PRE_BORROWER_CD," _
	 & "  '' AS PRE_BORROWER_NM," _
	 & "  '' AS PRE_BORROWER_DIV," _
	 & "  '' AS PRE_LCT_CD," _
	 & "  '' AS PRE_EXPECTBACK_DT," _
	 & "  '' AS PRE_TAKER_CD," _
	 & "  '' AS PRE_TAKER_NM," _
	 & "  '' AS PRE_TAKER_DIV," _
	 & "  '' AS PRE_LENDCLERK_CD," _
	 & "  '' AS PRE_REMARKS" _
	 & " 	 FROM MTI_LENDITM LI" _
	 & "  LEFT JOIN XTI_BASICINFO BI" _
	 & "   ON LI.PATIENT_NO = BI.PATIENT_NO" _
	 & "  LEFT JOIN MTI_CH SRH_CH" _
	 & "   ON LI.PATIENT_NO = SRH_CH.PATIENT_NO" _
	 & "   AND LI.HSP_HISTORY_NO = SRH_CH.HSP_HISTORY_NO" _
	 & "   AND LI.CH_NO = SRH_CH.CH_NO" _
	 & "  LEFT JOIN MTI_HSP SRH_HSP" _
	 & "   ON LI.PATIENT_NO = SRH_HSP.PATIENT_NO" _
	 & "   AND LI.HSP_HISTORY_NO = SRH_HSP.HSP_HISTORY_NO" _
	 & "  LEFT JOIN MTI_INSPECT INS" _
	 & "   ON LI.PATIENT_NO = INS.PATIENT_NO" _
	 & "   AND LI.HSP_HISTORY_NO = INS.HSP_HISTORY_NO" _
	 & "   AND LI.CH_NO = INS.CH_NO" _
	 & "  LEFT JOIN MTM_DEPT DEP" _
	 & "   ON SRH_CH.DEPT_CD = DEP.DEPT_CD" _
	 & "  LEFT JOIN XTM_STAFF STF" _
	 & "   ON SRH_CH.DOCTOR_CD = STF.STAFF_CD" _
	 & "  LEFT JOIN MTM_LENDITEM_MNGSTATUS LIMS" _
	 & "   ON " & prmLENDITEM_CD2 & " = LIMS.LENDITEM_CD" _
	 & "   AND LI.SUMMARY_MNGSTATUS_CD = LIMS.MNGSTATUS_CD"
'(M) END V4-12051-000 208 2013/01/23
'(M) END V4-11044-000 198 20110909

	' カルテの管理単位＝患者（監査）
'(M) STR V4-11044-000 031 20110909 FJSK)荒川 XXX号 病歴大将V4PKG問題点No20 貸出準備機能の追加対応
'	Public Const sqlSel_Inspect_Patient As String = "" _
'	& "  LEFT JOIN" _
'	& "  (" _
'	& "   SELECT" _
'	& "    PATIENT_NO," _
'	& "    HSP_HISTORY_NO," _
'	& "    CH_NO," _
'	& "    RECORD_MNGSTATUS_CD," _
'	& "    RECORD_ARG_STATUS_CD" _
'	& "   FROM MTI_LENDITM" _
'	& "   WHERE HSP_HISTORY_NO = 0" _
'	& "     AND CH_NO = 0" _
'	& "  ) LIR" _
'	& "  ON LIR.PATIENT_NO = SRH_CH.PATIENT_NO"
	Public Const sqlSel_Inspect_Patient As String = "" _
	& "  LEFT JOIN" _
	& "  (" _
	& "   SELECT" _
	& "    PATIENT_NO," _
	& "    HSP_HISTORY_NO," _
	& "    CH_NO," _
	& "    RECORD_MNGSTATUS_CD," _
	& "    RECORD_ARG_STATUS_CD," _
	& "    RECORD_BARCODE" _
	& "   FROM MTI_LENDITM" _
	& "   WHERE HSP_HISTORY_NO = 0" _
	& "     AND CH_NO = 0" _
	& "  ) LIR" _
	& "  ON LIR.PATIENT_NO = SRH_CH.PATIENT_NO"
'(M) END V4-11044-000 031 20110909

	' カルテの管理単位＝入退院歴（監査）
'(M) STR V4-11044-000 031 20110909 FJSK)荒川 XXX号 病歴大将V4PKG問題点No20 貸出準備機能の追加対応
'	Public Const sqlSel_Inspect_Hsp As String = "" _
'	& "  LEFT JOIN" _
'	& "  (" _
'	& "   SELECT" _
'	& "    PATIENT_NO," _
'	& "    HSP_HISTORY_NO," _
'	& "    CH_NO," _
'	& "    RECORD_MNGSTATUS_CD," _
'	& "    RECORD_ARG_STATUS_CD" _
'	& "   FROM MTI_LENDITM" _
'	& "   WHERE CH_NO = 0" _
'	& "  ) LIR" _
'	& "  ON LIR.PATIENT_NO = SRH_CH.PATIENT_NO" _
'	& "  AND LIR.HSP_HISTORY_NO = SRH_CH.HSP_HISTORY_NO"
	Public Const sqlSel_Inspect_Hsp As String = "" _
	& "  LEFT JOIN" _
	& "  (" _
	& "   SELECT" _
	& "    PATIENT_NO," _
	& "    HSP_HISTORY_NO," _
	& "    CH_NO," _
	& "    RECORD_MNGSTATUS_CD," _
	& "    RECORD_ARG_STATUS_CD," _
	& "    RECORD_BARCODE" _
	& "   FROM MTI_LENDITM" _
	& "   WHERE CH_NO = 0" _
	& "  ) LIR" _
	& "  ON LIR.PATIENT_NO = SRH_CH.PATIENT_NO" _
	& "  AND LIR.HSP_HISTORY_NO = SRH_CH.HSP_HISTORY_NO"
'(M) END V4-11044-000 031 20110909

	' カルテの管理単位＝科歴（監査）
'(M) STR V4-11044-000 031 20110909 FJSK)荒川 XXX号 病歴大将V4PKG問題点No20 貸出準備機能の追加対応
'	Public Const sqlSel_Inspect_Ch As String = "" _
'	& "  LEFT JOIN" _
'	& "  (" _
'	& "   SELECT" _
'	& "    PATIENT_NO," _
'	& "    HSP_HISTORY_NO," _
'	& "    CH_NO," _
'	& "    RECORD_MNGSTATUS_CD," _
'	& "    RECORD_ARG_STATUS_CD" _
'	& "   FROM MTI_LENDITM" _
'	& "  ) LIR" _
'	& "  ON LIR.PATIENT_NO = SRH_CH.PATIENT_NO" _
'	& "  AND LIR.HSP_HISTORY_NO = SRH_CH.HSP_HISTORY_NO" _
'	& "  AND LIR.CH_NO = SRH_CH.CH_NO"
	Public Const sqlSel_Inspect_Ch As String = "" _
	& "  LEFT JOIN" _
	& "  (" _
	& "   SELECT" _
	& "    PATIENT_NO," _
	& "    HSP_HISTORY_NO," _
	& "    CH_NO," _
	& "    RECORD_MNGSTATUS_CD," _
	& "    RECORD_ARG_STATUS_CD," _
	& "    RECORD_BARCODE" _
	& "   FROM MTI_LENDITM" _
	& "  ) LIR" _
	& "  ON LIR.PATIENT_NO = SRH_CH.PATIENT_NO" _
	& "  AND LIR.HSP_HISTORY_NO = SRH_CH.HSP_HISTORY_NO" _
	& "  AND LIR.CH_NO = SRH_CH.CH_NO"
'(M) END V4-11044-000 031 20110909

	' カルテ管理状況、整理状況のJOIN文（監査）
	Public Const sqlSel_Inspect_Join As String = "" _
	& "  LEFT JOIN MTM_LENDITEM_MNGSTATUS LIMSR" _
	& "  ON " & prmLENDITEM_CD1 & " = LIMSR.LENDITEM_CD" _
	& "  AND LIR.RECORD_MNGSTATUS_CD = LIMSR.MNGSTATUS_CD" _
	& "  LEFT JOIN MTM_LENDITEM_ARG_STATUS LIAS" _
	& "  ON " & prmLENDITEM_CD1 & " = LIAS.LENDITEM_CD" _
	& "  AND LIR.RECORD_ARG_STATUS_CD = LIAS.ARG_STATUS_CD" _
	& "  WHERE LI.CH_NO > 0"

	' ■貸出物情報取得共通■
	' カルテ
'(M) STR V4-11044-000 067 20110909 FJSK)荒川 XXX号 病歴大将V4PKG問題点No20 貸出準備機能の追加対応
'	Public Const sqlSelLendItm1 As String = _
'	"SELECT" _
'	& "  LIS.PATIENT_NO," _
'	& "  LIS.HSP_HISTORY_NO," _
'	& "  LIS.CH_NO," _
'	& "  " & prmLENDITEM_CD1 & " AS LENDITEM_CD," _
'	& "  CASE WHEN RECORD_RECEIPT_DT IS NULL" _
'	& "   THEN ''" _
'	& "   ELSE CONVERT(varchar, RECORD_RECEIPT_DT, 111)" _
'	& "  END AS RECEIPT_DT," _
'	& "  RECORD_COUNT AS CNT," _
'	& "  RECORD_MNGSTATUS_CD AS MNGSTATUS_CD," _
'	& "  RECORD_KEEPLCT_CD AS KEEPLCT_CD," _
'	& "  RECORD_ARG_STATUS_CD AS ARG_STATUS_CD," _
'	& "  RECORD_RECIPIENT_CD AS RECIPIENT_CD," _
'	& "  '' AS SUMMARY_MAKER_CD," _
'	& "  '' AS SUMMARY_APPROVAL_DT," _
'	& "  TR.BYOREKI_NO," _
'	& "  TR.DEPT_CD," _
'	& "  CASE WHEN TR.START_DT IS NULL" _
'	& "   THEN ''" _
'	& "   ELSE CONVERT(varchar, TR.START_DT, 111)" _
'	& "  END AS START_DT," _
'	& "  CASE WHEN TR.END_DT IS NULL" _
'	& "   THEN ''" _
'	& "   ELSE CONVERT(varchar, TR.END_DT, 111)" _
'	& "  END AS END_DT," _
'	& "  TR.DOCTOR_CD," _
'	& "  TR.WARD_CD," _
'	& "  TR.MAIN_DPM_FLG" _
'	& " FROM MTI_LENDITM LIS"
	Public Const sqlSelLendItm1 As String = _
	"SELECT" _
	& "  LIS.PATIENT_NO," _
	& "  LIS.HSP_HISTORY_NO," _
	& "  LIS.CH_NO," _
	& "  " & prmLENDITEM_CD1 & " AS LENDITEM_CD," _
	& "  CASE WHEN RECORD_RECEIPT_DT IS NULL" _
	& "   THEN ''" _
	& "   ELSE CONVERT(varchar, RECORD_RECEIPT_DT, 111)" _
	& "  END AS RECEIPT_DT," _
	& "  RECORD_COUNT AS CNT," _
	& "  RECORD_MNGSTATUS_CD AS MNGSTATUS_CD," _
	& "  RECORD_KEEPLCT_CD AS KEEPLCT_CD," _
	& "  RECORD_ARG_STATUS_CD AS ARG_STATUS_CD," _
	& "  RECORD_RECIPIENT_CD AS RECIPIENT_CD," _
	& "  RECORD_BARCODE AS BARCODE," _
	& "  '' AS SUMMARY_MAKER_CD," _
	& "  '' AS SUMMARY_APPROVAL_DT," _
	& "  TR.BYOREKI_NO," _
	& "  TR.DEPT_CD," _
	& "  CASE WHEN TR.START_DT IS NULL" _
	& "   THEN ''" _
	& "   ELSE CONVERT(varchar, TR.START_DT, 111)" _
	& "  END AS START_DT," _
	& "  CASE WHEN TR.END_DT IS NULL" _
	& "   THEN ''" _
	& "   ELSE CONVERT(varchar, TR.END_DT, 111)" _
	& "  END AS END_DT," _
	& "  TR.DOCTOR_CD," _
	& "  TR.WARD_CD," _
	& "  TR.MAIN_DPM_FLG" _
	& " FROM MTI_LENDITM LIS"
'(M) END V4-11044-000 067 20110909

	' サマリ
'(M) STR V4-11044-000 073 20110909 FJSK)荒川 XXX号 病歴大将V4PKG問題点No20 貸出準備機能の追加対応
'	Public Const sqlSelLendItm2 As String = _
'	"SELECT" _
'	& "  LIS.PATIENT_NO," _
'	& "  LIS.HSP_HISTORY_NO," _
'	& "  LIS.CH_NO," _
'	& "  " & prmLENDITEM_CD2 & " AS LENDITEM_CD," _
'	& "  CASE WHEN SUMMARY_RECEIPT_DT IS NULL" _
'	& "   THEN ''" _
'	& "   ELSE CONVERT(varchar, SUMMARY_RECEIPT_DT, 111)" _
'	& "  END AS RECEIPT_DT," _
'	& "  SUMMARY_COUNT AS CNT," _
'	& "  SUMMARY_MNGSTATUS_CD AS MNGSTATUS_CD," _
'	& "  SUMMARY_KEEPLCT_CD AS KEEPLCT_CD," _
'	& "  '' AS ARG_STATUS_CD," _
'	& "  '' AS RECIPIENT_CD," _
'	& "  SUMMARY_MAKER_CD," _
'	& "  CASE WHEN SUMMARY_APPROVAL_DT IS NULL" _
'	& "   THEN ''" _
'	& "   ELSE CONVERT(varchar, SUMMARY_APPROVAL_DT, 111)" _
'	& "   END AS SUMMARY_APPROVAL_DT," _
'	& "  TR.BYOREKI_NO," _
'	& "  TR.DEPT_CD," _
'	& "  CASE WHEN TR.START_DT IS NULL" _
'	& "   THEN ''" _
'	& "   ELSE CONVERT(varchar, TR.START_DT, 111)" _
'	& "  END AS START_DT," _
'	& "  CASE WHEN TR.END_DT IS NULL" _
'	& "   THEN ''" _
'	& "   ELSE CONVERT(varchar, TR.END_DT, 111)" _
'	& "  END AS END_DT," _
'	& "  TR.DOCTOR_CD," _
'	& "  TR.WARD_CD," _
'	& "  TR.MAIN_DPM_FLG" _
'	& "  FROM MTI_LENDITM LIS"
	Public Const sqlSelLendItm2 As String = _
	"SELECT" _
	& "  LIS.PATIENT_NO," _
	& "  LIS.HSP_HISTORY_NO," _
	& "  LIS.CH_NO," _
	& "  " & prmLENDITEM_CD2 & " AS LENDITEM_CD," _
	& "  CASE WHEN SUMMARY_RECEIPT_DT IS NULL" _
	& "   THEN ''" _
	& "   ELSE CONVERT(varchar, SUMMARY_RECEIPT_DT, 111)" _
	& "  END AS RECEIPT_DT," _
	& "  SUMMARY_COUNT AS CNT," _
	& "  SUMMARY_MNGSTATUS_CD AS MNGSTATUS_CD," _
	& "  SUMMARY_KEEPLCT_CD AS KEEPLCT_CD," _
	& "  SUMMARY_BARCODE AS BARCODE," _
	& "  '' AS ARG_STATUS_CD," _
	& "  '' AS RECIPIENT_CD," _
	& "  SUMMARY_MAKER_CD," _
	& "  CASE WHEN SUMMARY_APPROVAL_DT IS NULL" _
	& "   THEN ''" _
	& "   ELSE CONVERT(varchar, SUMMARY_APPROVAL_DT, 111)" _
	& "   END AS SUMMARY_APPROVAL_DT," _
	& "  TR.BYOREKI_NO," _
	& "  TR.DEPT_CD," _
	& "  CASE WHEN TR.START_DT IS NULL" _
	& "   THEN ''" _
	& "   ELSE CONVERT(varchar, TR.START_DT, 111)" _
	& "  END AS START_DT," _
	& "  CASE WHEN TR.END_DT IS NULL" _
	& "   THEN ''" _
	& "   ELSE CONVERT(varchar, TR.END_DT, 111)" _
	& "  END AS END_DT," _
	& "  TR.DOCTOR_CD," _
	& "  TR.WARD_CD," _
	& "  TR.MAIN_DPM_FLG" _
	& "  FROM MTI_LENDITM LIS"
'(M) END V4-11044-000 073 20110909

	' 他１
'(M) STR V4-11044-000 067 20110909 FJSK)荒川 XXX号 病歴大将V4PKG問題点No20 貸出準備機能の追加対応
'	Public Const sqlSelLendItm3 As String = _
'	"SELECT" _
'	& "  LIS.PATIENT_NO," _
'	& "  LIS.HSP_HISTORY_NO," _
'	& "  LIS.CH_NO," _
'	& "  " & prmLENDITEM_CD3 & " AS LENDITEM_CD," _
'	& "  CASE WHEN OTHER1_RECEIPT_DT IS NULL" _
'	& "   THEN ''" _
'	& "   ELSE CONVERT(varchar, OTHER1_RECEIPT_DT, 111)" _
'	& "  END AS RECEIPT_DT," _
'	& "  OTHER1_COUNT AS CNT," _
'	& "  OTHER1_MNGSTATUS_CD AS MNGSTATUS_CD," _
'	& "  OTHER1_KEEPLCT_CD AS KEEPLCT_CD," _
'	& "  '' AS ARG_STATUS_CD," _
'	& "  '' AS RECIPIENT_CD," _
'	& "  '' AS SUMMARY_MAKER_CD," _
'	& "  '' AS SUMMARY_APPROVAL_DT," _
'	& "  TR.BYOREKI_NO," _
'	& "  TR.DEPT_CD," _
'	& "  CASE WHEN TR.START_DT IS NULL" _
'	& "   THEN ''" _
'	& "   ELSE CONVERT(varchar, TR.START_DT, 111)" _
'	& "  END AS START_DT," _
'	& "  CASE WHEN TR.END_DT IS NULL" _
'	& "   THEN ''" _
'	& "   ELSE CONVERT(varchar, TR.END_DT, 111)" _
'	& "  END AS END_DT," _
'	& "  TR.DOCTOR_CD," _
'	& "  TR.WARD_CD," _
'	& "  TR.MAIN_DPM_FLG" _
'	& " FROM MTI_LENDITM LIS"
	Public Const sqlSelLendItm3 As String = _
	"SELECT" _
	& "  LIS.PATIENT_NO," _
	& "  LIS.HSP_HISTORY_NO," _
	& "  LIS.CH_NO," _
	& "  " & prmLENDITEM_CD3 & " AS LENDITEM_CD," _
	& "  CASE WHEN OTHER1_RECEIPT_DT IS NULL" _
	& "   THEN ''" _
	& "   ELSE CONVERT(varchar, OTHER1_RECEIPT_DT, 111)" _
	& "  END AS RECEIPT_DT," _
	& "  OTHER1_COUNT AS CNT," _
	& "  OTHER1_MNGSTATUS_CD AS MNGSTATUS_CD," _
	& "  OTHER1_KEEPLCT_CD AS KEEPLCT_CD," _
	& "  OTHER1_BARCODE AS BARCODE," _
	& "  '' AS ARG_STATUS_CD," _
	& "  '' AS RECIPIENT_CD," _
	& "  '' AS SUMMARY_MAKER_CD," _
	& "  '' AS SUMMARY_APPROVAL_DT," _
	& "  TR.BYOREKI_NO," _
	& "  TR.DEPT_CD," _
	& "  CASE WHEN TR.START_DT IS NULL" _
	& "   THEN ''" _
	& "   ELSE CONVERT(varchar, TR.START_DT, 111)" _
	& "  END AS START_DT," _
	& "  CASE WHEN TR.END_DT IS NULL" _
	& "   THEN ''" _
	& "   ELSE CONVERT(varchar, TR.END_DT, 111)" _
	& "  END AS END_DT," _
	& "  TR.DOCTOR_CD," _
	& "  TR.WARD_CD," _
	& "  TR.MAIN_DPM_FLG" _
	& " FROM MTI_LENDITM LIS"
'(M) END V4-11044-000 067 20110909

	' 他２
'(M) STR V4-11044-000 067 20110909 FJSK)荒川 XXX号 病歴大将V4PKG問題点No20 貸出準備機能の追加対応
'	Public Const sqlSelLendItm4 As String = _
'	"SELECT" _
'	& "  LIS.PATIENT_NO," _
'	& "  LIS.HSP_HISTORY_NO," _
'	& "  LIS.CH_NO," _
'	& "  " & prmLENDITEM_CD4 & " AS LENDITEM_CD," _
'	& "  CASE WHEN OTHER2_RECEIPT_DT IS NULL" _
'	& "   THEN ''" _
'	& "   ELSE CONVERT(varchar, OTHER2_RECEIPT_DT, 111)" _
'	& "  END AS RECEIPT_DT," _
'	& "  OTHER2_COUNT AS CNT," _
'	& "  OTHER2_MNGSTATUS_CD AS MNGSTATUS_CD," _
'	& "  OTHER2_KEEPLCT_CD AS KEEPLCT_CD," _
'	& "  '' AS ARG_STATUS_CD," _
'	& "  '' AS RECIPIENT_CD," _
'	& "  '' AS SUMMARY_MAKER_CD," _
'	& "  '' AS SUMMARY_APPROVAL_DT," _
'	& "  TR.BYOREKI_NO," _
'	& "  TR.DEPT_CD," _
'	& "  CASE WHEN TR.START_DT IS NULL" _
'	& "   THEN ''" _
'	& "   ELSE CONVERT(varchar, TR.START_DT, 111)" _
'	& "  END AS START_DT," _
'	& "  CASE WHEN TR.END_DT IS NULL" _
'	& "   THEN ''" _
'	& "   ELSE CONVERT(varchar, TR.END_DT, 111)" _
'	& "  END AS END_DT," _
'	& "  TR.DOCTOR_CD," _
'	& "  TR.WARD_CD," _
'	& "  TR.MAIN_DPM_FLG" _
'	& " FROM MTI_LENDITM LIS"
	Public Const sqlSelLendItm4 As String = _
	"SELECT" _
	& "  LIS.PATIENT_NO," _
	& "  LIS.HSP_HISTORY_NO," _
	& "  LIS.CH_NO," _
	& "  " & prmLENDITEM_CD4 & " AS LENDITEM_CD," _
	& "  CASE WHEN OTHER2_RECEIPT_DT IS NULL" _
	& "   THEN ''" _
	& "   ELSE CONVERT(varchar, OTHER2_RECEIPT_DT, 111)" _
	& "  END AS RECEIPT_DT," _
	& "  OTHER2_COUNT AS CNT," _
	& "  OTHER2_MNGSTATUS_CD AS MNGSTATUS_CD," _
	& "  OTHER2_KEEPLCT_CD AS KEEPLCT_CD," _
	& "  OTHER2_BARCODE AS BARCODE," _
	& "  '' AS ARG_STATUS_CD," _
	& "  '' AS RECIPIENT_CD," _
	& "  '' AS SUMMARY_MAKER_CD," _
	& "  '' AS SUMMARY_APPROVAL_DT," _
	& "  TR.BYOREKI_NO," _
	& "  TR.DEPT_CD," _
	& "  CASE WHEN TR.START_DT IS NULL" _
	& "   THEN ''" _
	& "   ELSE CONVERT(varchar, TR.START_DT, 111)" _
	& "  END AS START_DT," _
	& "  CASE WHEN TR.END_DT IS NULL" _
	& "   THEN ''" _
	& "   ELSE CONVERT(varchar, TR.END_DT, 111)" _
	& "  END AS END_DT," _
	& "  TR.DOCTOR_CD," _
	& "  TR.WARD_CD," _
	& "  TR.MAIN_DPM_FLG" _
	& " FROM MTI_LENDITM LIS"
'(M) END V4-11044-000 067 20110909

	' 他３
'(M) STR V4-11044-000 066 20110909 FJSK)荒川 XXX号 病歴大将V4PKG問題点No20 貸出準備機能の追加対応
'	Public Const sqlSelLendItm5 As String = _
'	"SELECT" _
'	& "  LIS.PATIENT_NO," _
'	& "  LIS.HSP_HISTORY_NO," _
'	& "  LIS.CH_NO," _
'	& "  " & prmLENDITEM_CD5 & " AS LENDITEM_CD," _
'	& "  CASE WHEN OTHER3_RECEIPT_DT IS NULL" _
'	& "   THEN ''" _
'	& "   ELSE CONVERT(varchar, OTHER3_RECEIPT_DT, 111)" _
'	& "  END AS RECEIPT_DT," _
'	& "  OTHER3_COUNT AS CNT," _
'	& "  OTHER3_MNGSTATUS_CD AS MNGSTATUS_CD," _
'	& "  OTHER3_KEEPLCT_CD AS KEEPLCT_CD," _
'	& "  '' AS ARG_STATUS_CD," _
'	& "  '' AS RECIPIENT_CD," _
'	& "  '' AS SUMMARY_MAKER_CD," _
'	& "  '' AS SUMMARY_APPROVAL_DT," _
'	& "  TR.BYOREKI_NO," _
'	& "  TR.DEPT_CD," _
'	& "  CASE WHEN TR.START_DT IS NULL" _
'	& "   THEN ''" _
'	& "   ELSE CONVERT(varchar, TR.START_DT, 111)" _
'	& "  END AS START_DT," _
'	& "  CASE WHEN TR.END_DT IS NULL" _
'	& "   THEN ''" _
'	& "   ELSE CONVERT(varchar, TR.END_DT, 111)" _
'	& "  END AS END_DT," _
'	& "  TR.DOCTOR_CD," _
'	& "  TR.WARD_CD," _
'	& "  TR.MAIN_DPM_FLG" _
'	& " FROM MTI_LENDITM LIS"
	Public Const sqlSelLendItm5 As String = _
	"SELECT" _
	& "  LIS.PATIENT_NO," _
	& "  LIS.HSP_HISTORY_NO," _
	& "  LIS.CH_NO," _
	& "  " & prmLENDITEM_CD5 & " AS LENDITEM_CD," _
	& "  CASE WHEN OTHER3_RECEIPT_DT IS NULL" _
	& "   THEN ''" _
	& "   ELSE CONVERT(varchar, OTHER3_RECEIPT_DT, 111)" _
	& "  END AS RECEIPT_DT," _
	& "  OTHER3_COUNT AS CNT," _
	& "  OTHER3_MNGSTATUS_CD AS MNGSTATUS_CD," _
	& "  OTHER3_KEEPLCT_CD AS KEEPLCT_CD," _
	& "  OTHER3_BARCODE AS BARCODE," _
	& "  '' AS ARG_STATUS_CD," _
	& "  '' AS RECIPIENT_CD," _
	& "  '' AS SUMMARY_MAKER_CD," _
	& "  '' AS SUMMARY_APPROVAL_DT," _
	& "  TR.BYOREKI_NO," _
	& "  TR.DEPT_CD," _
	& "  CASE WHEN TR.START_DT IS NULL" _
	& "   THEN ''" _
	& "   ELSE CONVERT(varchar, TR.START_DT, 111)" _
	& "  END AS START_DT," _
	& "  CASE WHEN TR.END_DT IS NULL" _
	& "   THEN ''" _
	& "   ELSE CONVERT(varchar, TR.END_DT, 111)" _
	& "  END AS END_DT," _
	& "  TR.DOCTOR_CD," _
	& "  TR.WARD_CD," _
	& "  TR.MAIN_DPM_FLG" _
	& " FROM MTI_LENDITM LIS"
'(M) END V4-11044-000 000 20110909

	' UNION ALL
	Public Const sqlSelUnion_All As String = " UNION ALL "

	' ■マスタ■
	' マスタJOIN
	Public Const sqlSel_Join As String = "" _
	& " LEFT JOIN XTI_BASICINFO BI" _
	& "  ON  LI.PATIENT_NO = BI.PATIENT_NO" _
	& " LEFT JOIN MTM_DEPT DEP" _
	& "  ON  LI.DEPT_CD = DEP.DEPT_CD" _
	& " LEFT JOIN XTM_STAFF STF" _
	& "  ON  LI.DOCTOR_CD = STF.STAFF_CD" _
	& " LEFT JOIN MTM_LENDITEM LIM" _
	& "  ON  LI.LENDITEM_CD = LIM.LENDITEM_CD" _
	& " LEFT JOIN MTM_LENDITEM_MNGSTATUS LIMS" _
	& "  ON  LI.LENDITEM_CD = LIMS.LENDITEM_CD" _
	& "  AND LI.MNGSTATUS_CD = LIMS.MNGSTATUS_CD" _
	& " LEFT JOIN MTM_LENDITEM_KEEPLCT LIKL" _
	& "  ON  LI.LENDITEM_CD = LIKL.LENDITEM_CD" _
	& "  AND LI.KEEPLCT_CD = LIKL.KEEPLCT_CD"

	' （受領）検索処理（２）
	Public Const sqlSelEnd As String = " ) LI"

	' WHERE文（診療科コード）
	Public Const sqlSel_WHERE_DEPT As String = " AND LI.DEPT_CD = " & prmDEPT_CD
'(A) STR V4-11044-000 003 20110909 FJSK)荒川 XXX号 病歴大将V4PKG問題点No20 貸出準備機能の追加対応
	Public Const sqldtSel_WHERE_DEPT As String = " DEPT_CD = " & prmDEPT_CD
'(A) END V4-11044-000 003 20110909
	' WHERE文（診療科コード IS NULL）
	Public Const sqlSel_WHERE_DEPT_NULL As String = " AND LI.DEPT_CD IS NULL"
	' WHERE文（終了日 From TO）
	Public Const sqlSel_WHERE_DATE_BETWEEN As String = " AND END_DT BETWEEN " & prmDATE_FROM & " AND " & prmDATE_TO
	' WHERE文（終了日 From）
	Public Const sqlSel_WHERE_DATE_FROM As String = " AND END_DT >= " & prmDATE_FROM
	' WHERE文（終了日 To）
	Public Const sqlSel_WHERE_DATE_TO As String = " AND END_DT <= " & prmDATE_TO
	' WHERE文（終了日 IS NULL）
	Public Const sqlSel_WHERE_DATE_NULL As String = " AND (END_DT IS NULL OR END_DT " & clsConst.CST_EMPTY_WHERE & ")"
	' WHERE文（終了日 IS NOT NULL）
	Public Const sqlSel_WHERE_DATE_NOTNULL As String = " AND (END_DT IS NOT NULL AND END_DT " & clsConst.CST_NONEMPTY_WHERE & ")"
	' WHERE文（終了日 EQUALS）
	Public Const sqlSel_WHERE_DATE_START_EQUALS As String = " AND START_DT = " & prmDATE_FROM
'(A) STR V4-11044-000 003 20110909 FJSK)荒川 XXX号 病歴大将V4PKG問題点No20 貸出準備機能の追加対応
	Public Const sqldtSel_WHERE_DATE_START_EQUALS As String = " START_DT = " & prmDATE_FROM
'(A) END V4-11044-000 003 20110909
	' WHERE文（終了日 EQUALS）
	Public Const sqlSel_WHERE_DATE_END_EQUALS As String = " AND END_DT = " & prmDATE_FROM
'(A) STR V4-11044-000 003 20110909 FJSK)荒川 XXX号 病歴大将V4PKG問題点No20 貸出準備機能の追加対応
	Public Const sqldtSel_WHERE_DATE_END_EQUALS As String = " END_DT = " & prmDATE_FROM
'(A) END V4-11044-000 003 20110909
	' WHERE文（患者番号）
	Public Const sqlSel_WHERE_PATIENT_NO As String = " AND LI.PATIENT_NO = " & prmPATIENT_NO
'(A) STR V4-11044-000 003 20110909 FJSK)荒川 XXX号 病歴大将V4PKG問題点No20 貸出準備機能の追加対応
	Public Const sqldtSel_WHERE_PATIENT_NO As String = "PATIENT_NO = " & prmPATIENT_NO
	' WHERE文（バーコード）
	Public Const sqlSel_WHERE_BARCODE As String = " AND LI.BARCODE = " & prmBARCODE
	Public Const sqldtSel_WHERE_BARCODE As String = " BARCODE = " & prmBARCODE
'(A) END V4-11044-000 003 20110909
	' WHERE文（入退院番号）
	Public Const sqlSel_WHERE_HSP_HISTORY_NO As String = " AND LI.HSP_HISTORY_NO = " & prmHSP_HISTORY_NO
	' WHERE文（科歴番号）
	Public Const sqlSel_WHERE_CH_NO As String = " AND LI.CH_NO = " & prmCH_NO
	' WHERE文（病歴番号）
	Public Const sqlSel_WHERE_BYOREKI_NO As String = " AND BYOREKI_NO = " & prmBYOREKI_NO
'(A) STR V4-11044-000 003 20110909 FJSK)荒川 XXX号 病歴大将V4PKG問題点No20 貸出準備機能の追加対応
	Public Const sqldtSel_WHERE_BYOREKI_NO As String = " BYOREKI_NO = " & prmBYOREKI_NO
'(A) END V4-11044-000 003 20110909
	' WHERE文（伝票コード）
	Public Const sqlSel_WHERE_SLIP_CD As String = " AND SLIP_CD = " & prmSLIP_CD
	' WHERE文（（準備）伝票コード）
'(A) STR V4-11044-000 003 20110909 FJSK)荒川 XXX号 病歴大将V4PKG問題点No20 貸出準備機能の追加対応
	Public Const sqlSel_WHERE_RSLIP_CD As String = " AND LP.SLIP_CD = " & prmRSLIP_CD
'(A) END V4-11044-000 003 20110909

	' WHERE文（診療科コード）（監査用）
	Public Const sqlSel_WHERE_DEPT_INS As String = " AND SRH_CH.DEPT_CD = " & prmDEPT_CD
	' WHERE文（診療科コード IS NULL）（監査用）
	Public Const sqlSel_WHERE_DEPT_NULL_INS As String = " AND SRH_CH.DEPT_CD IS NULL"
	' WHERE文（病歴番号）（監査用）
	Public Const sqlSel_WHERE_BYOREKI_NO_INS As String = " AND SRH_CH.BYOREKI_NO = " & prmBYOREKI_NO
'(A) STR V4-11044-000 003 20110909 FJSK)荒川 XXX号 病歴大将V4PKG問題点No20 貸出準備機能の追加対応
	Public Const sqlSel_WHERE_BARCODE_INS As String = " AND (LIR.RECORD_BARCODE = " & prmBARCODE _
													& " OR LI.SUMMARY_BARCODE = " & prmBARCODE & ")"
'(A) END V4-11044-000 003 20110909

	' 並び順
	Public Const sqlSel_Order As String = " ORDER BY LI.PATIENT_NO, HSP_HISTORY_NO DESC, LI.LENDITEM_CD, CH_NO DESC"
	Public Const sqlSel_Order_Inspect As String = " ORDER BY LI.PATIENT_NO, HSP_HISTORY_NO DESC, CH_NO DESC"

	' ■条件検索■
	' 条件検索用固定ＳＱＬ（貸出物情報）
	Public Const sqlSelSearchFix_LendItm As String = "" _
	& " LEFT JOIN MTI_HSP SRH_HSP" _
	& "  ON  LI.PATIENT_NO = SRH_HSP.PATIENT_NO" _
	& "  AND LI.HSP_HISTORY_NO = SRH_HSP.HSP_HISTORY_NO" _
	& " LEFT JOIN MTI_CH SRH_CH" _
	& "  ON  LI.PATIENT_NO = SRH_CH.PATIENT_NO" _
	& "  AND LI.HSP_HISTORY_NO = SRH_CH.HSP_HISTORY_NO" _
	& "  AND LI.CH_NO = SRH_CH.CH_NO"

	' 条件検索用固定ＳＱＬ（貸出情報）
	Public Const sqlSelSearchFix_Lend As String = "" _
	& " LEFT JOIN MTI_HSP SRH_HSP" _
	& "  ON  LI.PATIENT_NO = SRH_HSP.PATIENT_NO" _
	& "  AND LI.HSP_HISTORY_NO = SRH_HSP.HSP_HISTORY_NO" _
	& " LEFT JOIN MTI_CH SRH_CH" _
	& "  ON  LI.PATIENT_NO = SRH_CH.PATIENT_NO" _
	& "  AND LI.HSP_HISTORY_NO = SRH_CH.HSP_HISTORY_NO" _
	& "  AND LI.CH_NO = SRH_CH.CH_NO" _
	& " LEFT JOIN MTI_LEND SRH_LI" _
	& "  ON  LI.PATIENT_NO = SRH_LI.PATIENT_NO" _
	& "  AND LI.HSP_HISTORY_NO = SRH_LI.HSP_HISTORY_NO" _
	& "  AND LI.CH_NO = SRH_LI.CH_NO" _
	& "  AND LI.LENDITEM_CD = SRH_LI.LENDITEM_CD" _
	& "  AND L.LENDSERIAL_NO = SRH_LI.LENDSERIAL_NO"

	' ■管理単位■
	' 入退院歴情報（患者単位）
	Public Const sqlSel_PATIENT As String = _
	" LEFT JOIN" _
	& " (" _
	& "  SELECT" _
	& "    PATIENT_NO," _
	& "    BYOREKI_NO," _
	& "    DEPT_CD," _
	& "    HSP_DT AS START_DT," _
	& "    OUT_HSP_DT AS END_DT," _
	& "    DOCTOR_CD," _
	& "    WARD_CD," _
	& "    " & sqlMAIN_DOCTOR.C_FIX_MAIN_DPM_FLG & " AS MAIN_DPM_FLG," _
	& "    HSP_HISTORY_NO," _
	& "    0 AS CH_NO" _
	& "  FROM MTI_HSP" _
	& " ) TR" _
	& "  ON  LIS.PATIENT_NO = TR.PATIENT_NO" _
	& " WHERE LIS.HSP_HISTORY_NO = 0" _
	& "   AND LIS.CH_NO = 0" _
	& "   AND TR.HSP_HISTORY_NO > 0" _
	& "   AND TR.CH_NO = 0"

	' 入退院歴情報（入退院単位）
	Public Const sqlSel_HSP As String = _
	" LEFT JOIN" _
	& " (" _
	& "  SELECT" _
	& "    PATIENT_NO," _
	& "    BYOREKI_NO," _
	& "    DEPT_CD," _
	& "    HSP_DT AS START_DT," _
	& "    OUT_HSP_DT AS END_DT," _
	& "    DOCTOR_CD," _
	& "    WARD_CD," _
	& "    " & sqlMAIN_DOCTOR.C_FIX_MAIN_DPM_FLG & " AS MAIN_DPM_FLG," _
	& "    HSP_HISTORY_NO," _
	& "    0 AS CH_NO" _
	& "  FROM MTI_HSP" _
	& " ) TR" _
	& "  ON  LIS.PATIENT_NO = TR.PATIENT_NO" _
	& "  AND LIS.HSP_HISTORY_NO = TR.HSP_HISTORY_NO" _
	& " WHERE LIS.HSP_HISTORY_NO > 0" _
	& "   AND LIS.CH_NO = 0" _
	& "   AND TR.HSP_HISTORY_NO > 0" _
	& "   AND TR.CH_NO = 0"

	' 科歴情報（科歴単位）
	Public Const sqlSel_CH As String = _
	" LEFT JOIN" _
	& " (" _
	& "  SELECT" _
	& "    PATIENT_NO," _
	& "    BYOREKI_NO," _
	& "    DEPT_CD," _
	& "    START_DT," _
	& "    END_DT," _
	& "    DOCTOR_CD," _
	& "    WARD_CD," _
	& "    MAIN_DPM_FLG," _
	& "    HSP_HISTORY_NO," _
	& "    CH_NO" _
	& "  FROM MTI_CH" _
	& " ) TR" _
	& "  ON  LIS.PATIENT_NO = TR.PATIENT_NO" _
	& "  AND LIS.HSP_HISTORY_NO = TR.HSP_HISTORY_NO" _
	& "  AND LIS.CH_NO = TR.CH_NO" _
	& " WHERE LIS.HSP_HISTORY_NO > 0" _
	& "   AND LIS.CH_NO > 0" _
	& "   AND TR.HSP_HISTORY_NO > 0" _
	& "   AND TR.CH_NO > 0"


	' ■管理単位（検索より）■
	' 検索追加ＳＱＬ（患者単位）
	Public Const sqlSelSearchResult_PATIENT As String = "" _
	& " LEFT JOIN" _
	& " (" _
	& "  SELECT" _
	& "    PATIENT_NO," _
	& "    BYOREKI_NO," _
	& "    DEPT_CD," _
	& "    HSP_DT AS START_DT," _
	& "    OUT_HSP_DT AS END_DT," _
	& "    DOCTOR_CD," _
	& "    WARD_CD," _
	& "    " & sqlMAIN_DOCTOR.C_FIX_MAIN_DPM_FLG & " AS MAIN_DPM_FLG," _
	& "    HSP_HISTORY_NO," _
	& "    0 AS CH_NO" _
	& "  FROM MTI_HSP" _
	& " ) TR" _
	& "  ON  LIS.PATIENT_NO = TR.PATIENT_NO" _
	& " INNER JOIN MTT_SEARCH_RESULT SR" _
	& "  ON  TR.PATIENT_NO = SR.PATIENT_NO" _
	& "  AND SR.USER_CD = " & prmUSER_CD _
	& "  AND SR.SEARCH_NO = " & prmSEARCH_NO _
	& " WHERE LIS.HSP_HISTORY_NO = 0" _
	& "   AND LIS.CH_NO = 0" _
	& "   AND TR.HSP_HISTORY_NO > 0" _
	& "   AND TR.CH_NO = 0"

	' 検索追加ＳＱＬ（入退院歴単位）
	Public Const sqlSelSearchResult_HSP As String = "" _
	& " LEFT JOIN" _
	& " (" _
	& "  SELECT" _
	& "    PATIENT_NO," _
	& "    BYOREKI_NO," _
	& "    DEPT_CD," _
	& "    HSP_DT AS START_DT," _
	& "    OUT_HSP_DT AS END_DT," _
	& "    DOCTOR_CD," _
	& "    WARD_CD," _
	& "    " & sqlMAIN_DOCTOR.C_FIX_MAIN_DPM_FLG & " AS MAIN_DPM_FLG," _
	& "    HSP_HISTORY_NO," _
	& "    0 AS CH_NO" _
	& "  FROM MTI_HSP" _
	& " ) TR" _
	& "  ON  LIS.PATIENT_NO = TR.PATIENT_NO" _
	& "  AND LIS.HSP_HISTORY_NO = TR.HSP_HISTORY_NO" _
	& " INNER JOIN MTT_SEARCH_RESULT SR" _
	& "  ON  TR.PATIENT_NO = SR.PATIENT_NO" _
	& "  AND TR.HSP_HISTORY_NO = SR.HSP_HISTORY_NO" _
	& "  AND SR.USER_CD = " & prmUSER_CD _
	& "  AND SR.SEARCH_NO = " & prmSEARCH_NO _
	& " WHERE LIS.HSP_HISTORY_NO > 0" _
	& "   AND LIS.CH_NO = 0" _
	& "   AND TR.HSP_HISTORY_NO > 0" _
	& "   AND TR.CH_NO = 0"

	' 検索追加ＳＱＬ（科歴単位）
	Public Const sqlSelSearchResult_CH As String = "" _
	& " LEFT JOIN" _
	& " (" _
	& "  SELECT" _
	& "    PATIENT_NO," _
	& "    BYOREKI_NO," _
	& "    DEPT_CD," _
	& "    START_DT," _
	& "    END_DT," _
	& "    DOCTOR_CD," _
	& "    WARD_CD," _
	& "    MAIN_DPM_FLG," _
	& "    HSP_HISTORY_NO," _
	& "    CH_NO" _
	& "  FROM MTI_CH" _
	& " ) TR" _
	& "  ON  LIS.PATIENT_NO = TR.PATIENT_NO" _
	& "  AND LIS.HSP_HISTORY_NO = TR.HSP_HISTORY_NO" _
	& "  AND LIS.CH_NO = TR.CH_NO" _
	& " INNER JOIN MTT_SEARCH_RESULT SR" _
	& "  ON  TR.PATIENT_NO = SR.PATIENT_NO" _
	& "  AND TR.HSP_HISTORY_NO = SR.HSP_HISTORY_NO" _
	& "  AND TR.CH_NO = SR.CH_NO" _
	& "  AND SR.USER_CD = " & prmUSER_CD _
	& "  AND SR.SEARCH_NO = " & prmSEARCH_NO _
	& " WHERE LIS.HSP_HISTORY_NO > 0" _
	& "   AND LIS.CH_NO > 0" _
	& "   AND TR.HSP_HISTORY_NO > 0" _
	& "   AND TR.CH_NO > 0"

	' ■帳票用SQL文■
	' 診療科マスタ
	Public Const sqlSelDeptAll As String = "" _
	& "SELECT" _
	& "  DEPT_CD," _
	& "  DEPT_NM," _
	& "  DEPT_RNM," _
	& "  DSPORDER" _
	& " FROM MTM_DEPT"

	' 貸出物管理状況マスタ
'(M) STR V4-11044-000 022 20110909 FJSK)荒川 XXX号 病歴大将V4PKG問題点No20 貸出準備機能の追加対応
'	Public Const sqlSelMngStatusAll As String = "" _
'	& "SELECT" _
'	& "  LENDITEM_CD," _
'	& "  MNGSTATUS_CD," _
'	& "  MNGSTATUS_NM," _
'	& "  MNGSTATUS1_RNM," _
'	& "  MNGSTATUS2_RNM," _
'	& "  DSPORDER" _
'	& " FROM MTM_LENDITEM_MNGSTATUS"
	Public Const sqlSelMngStatusAll As String = "" _
	& "SELECT" _
	& "  LENDITEM_CD," _
	& "  MNGSTATUS_CD," _
	& "  MNGSTATUS_NM," _
	& "  MNGSTATUS1_RNM," _
	& "  MNGSTATUS2_RNM," _
	& "  DSPORDER," _
	& "  FIXED_CD1," _
	& "  FIXED_CD2" _
	& " FROM MTM_LENDITEM_MNGSTATUS"
'(M) END V4-11044-000 022 20110909

	' 貸出物所在場所マスタ
	Public Const sqlSelLctAll As String = "" _
	& "SELECT" _
	& "  LCT_CD," _
	& "  LCT_NM," _
	& "  LCT_RNM," _
	& "  DSPORDER" _
	& " FROM MTM_LENDITEM_LCT"

	' 貸出物整理状況マスタ
	Public Const sqlSelArgStatusAll As String = "" _
	& "SELECT" _
	& "  LENDITEM_CD," _
	& "  ARG_STATUS_CD," _
	& "  ARG_STATUS_NM," _
	& "  ARG_STATUS_RNM," _
	& "  DSPORDER" _
	& " FROM MTM_LENDITEM_ARG_STATUS"

	' 貸出物保管場所マスタ
	Public Const sqlSelKeepLctAll As String = "" _
	& "SELECT" _
	& "  LENDITEM_CD," _
	& "  KEEPLCT_CD," _
	& "  KEEPLCT_NM," _
	& "  KEEPLCT_RNM," _
	& "  DSPORDER" _
	& " FROM MTM_LENDITEM_KEEPLCT"

	' 貸出目的マスタ
	Public Const sqlSelLendAimAll As String = "" _
	& "SELECT" _
	& "  LENDAIM_CD," _
	& "  LENDAIM_NM," _
	& "  LENDAIM_RNM," _
	& "  DSPORDER" _
	& " FROM MTM_LENDAIM"

	' 退院経路マスタ
	Public Const sqlSelOutHspCnlAll As String = "" _
	& "SELECT" _
	& "  OUT_HSP_CNL_CD," _
	& "  OUT_HSP_CNL_NM," _
	& "  OUT_HSP_CNL_RNM," _
	& "  DSPORDER" _
	& " FROM MTM_OUT_HSP_CNL"

	' 退院転帰マスタ
	Public Const sqlSelOutHspOutComeAll As String = "" _
	& "SELECT" _
	& "  OUT_HSP_OUTCOME_CD," _
	& "  OUT_HSP_OUTCOME_NM," _
	& "  OUT_HSP_OUTCOME_RNM," _
	& "  DSPORDER" _
	& " FROM MTM_OUT_HSP_OUTCOME"

	' 入院経路マスタ
	Public Const sqlSelHspCnlAll As String = "" _
	& "SELECT" _
	& "  HSP_CNL_CD," _
	& "  HSP_CNL_NM," _
	& "  HSP_CNL_RNM," _
	& "  DSPORDER" _
	& " FROM MTM_HSP_CNL"

	' 病棟マスタ
	Public Const sqlSelWardAll As String = "" _
	& "SELECT" _
	& "  WARD_CD," _
	& "  WARD_NM," _
	& "  WARD_RNM," _
	& "  DSPORDER" _
	& " FROM MTM_WARD"

	' 職員
	Public Const sqlSelStaffAll As String = "" _
	& "SELECT" _
	& "  STAFF_CD," _
	& "  STAFF_NM," _
	& "  STAFF_KNM," _
	& "  DSPORDER" _
	& " FROM XTM_STAFF"

	' 職員部門
	Public Const sqlSelStaffDivAll As String = "" _
	& "SELECT" _
	& "  STAFFDIV_CD," _
	& "  STAFFDIV_NM," _
	& "  STAFFDIV_RNM," _
	& "  DSPORDER" _
	& " FROM XTM_STAFFDIV"

	' 性別
	Public Const sqlSelGenderAll As String = "" _
	& "SELECT" _
	& "  GENDER_CD," _
	& "  GENDER_NM" _
	& " FROM XTM_GENDER"

	' 貸出物マスタ
	Public Const sqlSelLendItemAll As String = "" _
	& "SELECT" _
	& "  LENDITEM_CD," _
	& "  LENDITEM_NM," _
	& "  LENDITEM_RNM," _
	& "  UNIT_CD" _
	& " FROM MTM_LENDITEM"

	' 科歴情報取得
	Public Const sqlSelCh As String = "" _
	& "SELECT" _
	& "  CASE WHEN START_DT IS NULL" _
	& "   THEN ''" _
	& "   ELSE CONVERT(varchar, START_DT, 111)" _
	& "  END AS START_DT," _
	& "  START_CNL_CD AS HSP_CNL_CD," _
	& "  END_CNL_CD AS OUT_HSP_CNL_CD," _
	& "  END_OUTCOME_CD AS OUT_HSP_OUTCOME_CD," _
	& "  HSP_DAYS" _
	& " FROM MTI_CH" _
	& " WHERE PATIENT_NO = " & prmPATIENT_NO _
	& "   AND HSP_HISTORY_NO = " & prmHSP_HISTORY_NO _
	& "   AND CH_NO = " & prmCH_NO

	' 入退院歴情報取得
	Public Const sqlSelHsp As String = "" _
	& "SELECT" _
	& "  CASE WHEN HSP_DT IS NULL" _
	& "   THEN ''" _
	& "   ELSE CONVERT(varchar, HSP_DT, 111)" _
	& "  END AS START_DT," _
	& "  HSP_CNL_CD," _
	& "  OUT_HSP_CNL_CD," _
	& "  OUT_HSP_OUTCOME_CD," _
	& "  HSP_DAYS" _
	& " FROM MTI_HSP" _
	& " WHERE PATIENT_NO = " & prmPATIENT_NO _
	& "   AND HSP_HISTORY_NO = " & prmHSP_HISTORY_NO

	' 貸出物情報１
'(M) STR V4-11044-000 039 20110909 FJSK)荒川 XXX号 病歴大将V4PKG問題点No20 貸出準備機能の追加対応
'	Public Const sqlSelLend1 As String = "" _
'	& "SELECT" _
'	& "  CASE WHEN RECORD_RECEIPT_DT IS NULL" _
'	& "   THEN ''" _
'	& "   ELSE CONVERT(varchar, RECORD_RECEIPT_DT, 111)" _
'	& "  END AS RECEIPT_DT," _
'	& "  RECORD_COUNT AS CNT," _
'	& "  RECORD_MNGSTATUS_CD AS MNGSTATUS_CD," _
'	& "  RECORD_KEEPLCT_CD AS KEEPLCT_CD," _
'	& "  RECORD_ARG_STATUS_CD AS ARG_STATUS_CD," _
'	& "  RECORD_RECIPIENT_CD AS RECIPIENT_CD," _
'	& "  '' AS MAKER_CD," _
'	& "  '' AS APPROVAL_DT" _
'	& " FROM MTI_LENDITM" _
'	& " WHERE PATIENT_NO = " & prmPATIENT_NO _
'	& "   AND HSP_HISTORY_NO = " & prmHSP_HISTORY_NO _
'	& "   AND CH_NO = " & prmCH_NO
	Public Const sqlSelLend1 As String = "" _
	& "SELECT" _
	& "  CASE WHEN RECORD_RECEIPT_DT IS NULL" _
	& "   THEN ''" _
	& "   ELSE CONVERT(varchar, RECORD_RECEIPT_DT, 111)" _
	& "  END AS RECEIPT_DT," _
	& "  RECORD_COUNT AS CNT," _
	& "  RECORD_MNGSTATUS_CD AS MNGSTATUS_CD," _
	& "  RECORD_KEEPLCT_CD AS KEEPLCT_CD," _
	& "  RECORD_ARG_STATUS_CD AS ARG_STATUS_CD," _
	& "  RECORD_RECIPIENT_CD AS RECIPIENT_CD," _
	& "  RECORD_BARCODE AS BARCODE," _
	& "  '' AS MAKER_CD," _
	& "  '' AS APPROVAL_DT" _
	& " FROM MTI_LENDITM" _
	& " WHERE PATIENT_NO = " & prmPATIENT_NO _
	& "   AND HSP_HISTORY_NO = " & prmHSP_HISTORY_NO _
	& "   AND CH_NO = " & prmCH_NO
'(M) END V4-11044-000 039 20110909

	' 貸出物情報２
'(M) STR V4-11044-000 045 20110909 FJSK)荒川 XXX号 病歴大将V4PKG問題点No20 貸出準備機能の追加対応
'	Public Const sqlSelLend2 As String = "" _
'	& "SELECT" _
'	& "  CASE WHEN SUMMARY_RECEIPT_DT IS NULL" _
'	& "   THEN ''" _
'	& "   ELSE CONVERT(varchar, SUMMARY_RECEIPT_DT, 111)" _
'	& "  END AS RECEIPT_DT," _
'	& "  SUMMARY_COUNT AS CNT," _
'	& "  SUMMARY_MNGSTATUS_CD AS MNGSTATUS_CD," _
'	& "  SUMMARY_KEEPLCT_CD AS KEEPLCT_CD," _
'	& "  '' AS ARG_STATUS_CD," _
'	& "  '' AS RECIPIENT_CD," _
'	& "  SUMMARY_MAKER_CD AS MAKER_CD," _
'	& "  CASE WHEN SUMMARY_APPROVAL_DT IS NULL" _
'	& "   THEN ''" _
'	& "   ELSE CONVERT(varchar, SUMMARY_APPROVAL_DT, 111)" _
'	& "  END AS APPROVAL_DT" _
'	& " FROM MTI_LENDITM" _
'	& " WHERE PATIENT_NO = " & prmPATIENT_NO _
'	& "   AND HSP_HISTORY_NO = " & prmHSP_HISTORY_NO _
'	& "   AND CH_NO = " & prmCH_NO
	Public Const sqlSelLend2 As String = "" _
	& "SELECT" _
	& "  CASE WHEN SUMMARY_RECEIPT_DT IS NULL" _
	& "   THEN ''" _
	& "   ELSE CONVERT(varchar, SUMMARY_RECEIPT_DT, 111)" _
	& "  END AS RECEIPT_DT," _
	& "  SUMMARY_COUNT AS CNT," _
	& "  SUMMARY_MNGSTATUS_CD AS MNGSTATUS_CD," _
	& "  SUMMARY_KEEPLCT_CD AS KEEPLCT_CD," _
	& "  SUMMARY_BARCODE AS BARCODE," _
	& "  '' AS ARG_STATUS_CD," _
	& "  '' AS RECIPIENT_CD," _
	& "  SUMMARY_MAKER_CD AS MAKER_CD," _
	& "  CASE WHEN SUMMARY_APPROVAL_DT IS NULL" _
	& "   THEN ''" _
	& "   ELSE CONVERT(varchar, SUMMARY_APPROVAL_DT, 111)" _
	& "  END AS APPROVAL_DT" _
	& " FROM MTI_LENDITM" _
	& " WHERE PATIENT_NO = " & prmPATIENT_NO _
	& "   AND HSP_HISTORY_NO = " & prmHSP_HISTORY_NO _
	& "   AND CH_NO = " & prmCH_NO
'(M) END V4-11044-000 045 20110909

	' 貸出物情報３
'(M) STR V4-11044-000 039 20110909 FJSK)荒川 XXX号 病歴大将V4PKG問題点No20 貸出準備機能の追加対応
'	Public Const sqlSelLend3 As String = "" _
'	& "SELECT" _
'	& "  CASE WHEN OTHER1_RECEIPT_DT IS NULL" _
'	& "   THEN ''" _
'	& "   ELSE CONVERT(varchar, OTHER1_RECEIPT_DT, 111)" _
'	& "  END AS RECEIPT_DT," _
'	& "  OTHER1_COUNT AS CNT," _
'	& "  OTHER1_MNGSTATUS_CD AS MNGSTATUS_CD," _
'	& "  OTHER1_KEEPLCT_CD AS KEEPLCT_CD," _
'	& "  '' AS ARG_STATUS_CD," _
'	& "  '' AS RECIPIENT_CD," _
'	& "  '' AS MAKER_CD," _
'	& "  '' AS APPROVAL_DT" _
'	& " FROM MTI_LENDITM" _
'	& " WHERE PATIENT_NO = " & prmPATIENT_NO _
'	& "   AND HSP_HISTORY_NO = " & prmHSP_HISTORY_NO _
'	& "   AND CH_NO = " & prmCH_NO
	Public Const sqlSelLend3 As String = "" _
	& "SELECT" _
	& "  CASE WHEN OTHER1_RECEIPT_DT IS NULL" _
	& "   THEN ''" _
	& "   ELSE CONVERT(varchar, OTHER1_RECEIPT_DT, 111)" _
	& "  END AS RECEIPT_DT," _
	& "  OTHER1_COUNT AS CNT," _
	& "  OTHER1_MNGSTATUS_CD AS MNGSTATUS_CD," _
	& "  OTHER1_KEEPLCT_CD AS KEEPLCT_CD," _
	& "  OTHER1_BARCODE AS BARCODE," _
	& "  '' AS ARG_STATUS_CD," _
	& "  '' AS RECIPIENT_CD," _
	& "  '' AS MAKER_CD," _
	& "  '' AS APPROVAL_DT" _
	& " FROM MTI_LENDITM" _
	& " WHERE PATIENT_NO = " & prmPATIENT_NO _
	& "   AND HSP_HISTORY_NO = " & prmHSP_HISTORY_NO _
	& "   AND CH_NO = " & prmCH_NO
'(M) END V4-11044-000 039 20110909

	' 貸出物情報４
'(M) STR V4-11044-000 039 20110909 FJSK)荒川 XXX号 病歴大将V4PKG問題点No20 貸出準備機能の追加対応
'	Public Const sqlSelLend4 As String = "" _
'	& "SELECT" _
'	& "  CASE WHEN OTHER2_RECEIPT_DT IS NULL" _
'	& "   THEN ''" _
'	& "   ELSE CONVERT(varchar, OTHER2_RECEIPT_DT, 111)" _
'	& "  END AS RECEIPT_DT," _
'	& "  OTHER2_COUNT AS CNT," _
'	& "  OTHER2_MNGSTATUS_CD AS MNGSTATUS_CD," _
'	& "  OTHER2_KEEPLCT_CD AS KEEPLCT_CD," _
'	& "  '' AS ARG_STATUS_CD," _
'	& "  '' AS RECIPIENT_CD," _
'	& "  '' AS MAKER_CD," _
'	& "  '' AS APPROVAL_DT" _
'	& " FROM MTI_LENDITM" _
'	& " WHERE PATIENT_NO = " & prmPATIENT_NO _
'	& "   AND HSP_HISTORY_NO = " & prmHSP_HISTORY_NO _
'	& "   AND CH_NO = " & prmCH_NO
	Public Const sqlSelLend4 As String = "" _
	& "SELECT" _
	& "  CASE WHEN OTHER2_RECEIPT_DT IS NULL" _
	& "   THEN ''" _
	& "   ELSE CONVERT(varchar, OTHER2_RECEIPT_DT, 111)" _
	& "  END AS RECEIPT_DT," _
	& "  OTHER2_COUNT AS CNT," _
	& "  OTHER2_MNGSTATUS_CD AS MNGSTATUS_CD," _
	& "  OTHER2_KEEPLCT_CD AS KEEPLCT_CD," _
	& "  OTHER2_BARCODE AS BARCODE," _
	& "  '' AS ARG_STATUS_CD," _
	& "  '' AS RECIPIENT_CD," _
	& "  '' AS MAKER_CD," _
	& "  '' AS APPROVAL_DT" _
	& " FROM MTI_LENDITM" _
	& " WHERE PATIENT_NO = " & prmPATIENT_NO _
	& "   AND HSP_HISTORY_NO = " & prmHSP_HISTORY_NO _
	& "   AND CH_NO = " & prmCH_NO
'(M) END V4-11044-000 039 20110909

	' 貸出物情報５
'(M) STR V4-11044-000 039 20110909 FJSK)荒川 XXX号 病歴大将V4PKG問題点No20 貸出準備機能の追加対応
'	Public Const sqlSelLend5 As String = "" _
'	& "SELECT" _
'	& "  CASE WHEN OTHER3_RECEIPT_DT IS NULL" _
'	& "   THEN ''" _
'	& "   ELSE CONVERT(varchar, OTHER3_RECEIPT_DT, 111)" _
'	& "  END AS RECEIPT_DT," _
'	& "  OTHER3_COUNT AS CNT," _
'	& "  OTHER3_MNGSTATUS_CD AS MNGSTATUS_CD," _
'	& "  OTHER3_KEEPLCT_CD AS KEEPLCT_CD," _
'	& "  '' AS ARG_STATUS_CD," _
'	& "  '' AS RECIPIENT_CD," _
'	& "  '' AS MAKER_CD," _
'	& "  '' AS APPROVAL_DT" _
'	& " FROM MTI_LENDITM" _
'	& " WHERE PATIENT_NO = " & prmPATIENT_NO _
'	& "   AND HSP_HISTORY_NO = " & prmHSP_HISTORY_NO _
'	& "   AND CH_NO = " & prmCH_NO
	Public Const sqlSelLend5 As String = "" _
	& "SELECT" _
	& "  CASE WHEN OTHER3_RECEIPT_DT IS NULL" _
	& "   THEN ''" _
	& "   ELSE CONVERT(varchar, OTHER3_RECEIPT_DT, 111)" _
	& "  END AS RECEIPT_DT," _
	& "  OTHER3_COUNT AS CNT," _
	& "  OTHER3_MNGSTATUS_CD AS MNGSTATUS_CD," _
	& "  OTHER3_KEEPLCT_CD AS KEEPLCT_CD," _
	& "  OTHER3_BARCODE AS BARCODE," _
	& "  '' AS ARG_STATUS_CD," _
	& "  '' AS RECIPIENT_CD," _
	& "  '' AS MAKER_CD," _
	& "  '' AS APPROVAL_DT" _
	& " FROM MTI_LENDITM" _
	& " WHERE PATIENT_NO = " & prmPATIENT_NO _
	& "   AND HSP_HISTORY_NO = " & prmHSP_HISTORY_NO _
	& "   AND CH_NO = " & prmCH_NO
'(M) END V4-11044-000 039 20110909

	' 貸出情報
	Public Const sqlSelLendMax As String = "" _
	& "SELECT" _
	& "  CASE WHEN ISSUE_DT IS NULL" _
	& "   THEN ''" _
	& "   ELSE CONVERT(varchar, ISSUE_DT, 111)" _
	& "  END AS ISSUE_DT," _
	& "  CASE WHEN EXPECTBACK_DT IS NULL" _
	& "   THEN ''" _
	& "   ELSE CONVERT(varchar, EXPECTBACK_DT, 111)" _
	& "  END AS EXPECTBACK_DT" _
	& " FROM MTI_LEND" _
	& " WHERE PATIENT_NO = " & prmPATIENT_NO _
	& "   AND HSP_HISTORY_NO = " & prmHSP_HISTORY_NO _
	& "   AND CH_NO = " & prmCH_NO _
	& "   AND LENDITEM_CD = " & prmLENDITEM_CD _
	& "   AND BACK_DT IS NULL"

	' ヘッダーワーク削除
	Public Const sqlDel_XTW_HEADER_WORK As String = "" _
	& "DELETE FROM XTW_HEADER_WORK" _
	& " WHERE HOST_NM = " & prmHOST_NM _
	& "   AND (PRT_ID = " & prmPRT_ID_1 _
	& "    OR PRT_ID = " & prmPRT_ID_2 _
	& "    OR PRT_ID = " & prmPRT_ID_3 & ")"

	' 帳票ワーク削除
	Public Const sqlDel_MTW_RECEIPT_LIST As String = "" _
	& "DELETE FROM MTW_RECEIPT_LIST" _
	& " WHERE HOST_NM = " & prmHOST_NM

	Public Const sqlDel_MTW_LEND_LIST As String = "" _
	& "DELETE FROM MTW_LEND_LIST" _
	& " WHERE HOST_NM = " & prmHOST_NM

	Public Const sqlDel_MTW_BACK_LIST As String = "" _
	& "DELETE FROM MTW_BACK_LIST" _
	& " WHERE HOST_NM = " & prmHOST_NM

	' サマリ歴情報取得処理
	Public Const sqlSelSummaryInfo As String = "" _
	& " SELECT" _
	& "   LI.SUMMARY_MNGSTATUS_CD," _
	& "   LIMS.MNGSTATUS1_RNM AS SUMMARY_MNGSTATUS1_RNM," _
	& "   LI.SUMMARY_MAKER_CD," _
	& "   STF.STAFF_NM AS SUMMARY_MAKER_NM" _
	& " FROM MTI_LENDITM LI" _
	& " LEFT JOIN MTM_LENDITEM_MNGSTATUS LIMS" _
	& "  ON  LI.SUMMARY_MNGSTATUS_CD = LIMS.MNGSTATUS_CD" _
	& "  AND LIMS.LENDITEM_CD = " & prmLENDITEM_CD2 _
	& " LEFT JOIN XTM_STAFF STF" _
	& "  ON  LI.SUMMARY_MAKER_CD = STF.STAFF_CD"

	' サマリ歴情報取得処理（主科のみ）
	Public Const sqlSelSummaryInfo_CH As String = "" _
	& " INNER JOIN MTI_CH CH" _
	& "  ON  LI.PATIENT_NO = CH.PATIENT_NO" _
	& "  AND LI.HSP_HISTORY_NO = CH.HSP_HISTORY_NO" _
	& "  AND LI.CH_NO = CH.CH_NO" _
	& "  AND CH.CH_NO > 0" _
	& "  AND CH.MAIN_DPM_FLG = " & prmCHECKBOX_FLG_ON

	' サマリ歴情報取得処理WHERE
	Public Const sqlSelSummaryInfo_WHERE As String = "" _
	& " WHERE LI.PATIENT_NO = " & prmPATIENT_NO _
	& "   AND LI.HSP_HISTORY_NO = " & prmHSP_HISTORY_NO _
	& "   AND LI.CH_NO > 0" _
	& " ORDER BY LI.CH_NO"

End Class
